
//-----------------------------------------------------------------------------
// Copyright Notice
//
//   Copyright 2002 Sandia Corporation. Under the terms
//   of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S.
//   Government retains certain rights in this software.
//
//    Xyce(TM) Parallel Electrical Simulator
//    Copyright (C) 2002-2014 Sandia Corporation
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------

//-------------------------------------------------------------------------
// Filename       : $RCSfile: N_DEV_ADMSPSP103VA.C,v $
//
// Purpose        :
//
// Special Notes  : Generated from verilog file psp103.va with ADMS
//                  interface for Xyce 6.1.0
//                  DO NOT EDIT THIS FILE DIRECTLY!  It may be overwritten!
//
// Creator        : admsXml-2.3.0
//
// Creation Date  : Mon, 02 Jun 2014 11:34:00
//
// Revision Information:
// ---------------------
//
// Revision Number: $Revision: 1.51 $
//
// Revision Date  : $Date: 2014/06/02 17:46:47 $
//
// Current Owner  : $Author: tvrusso $
//-------------------------------------------------------------------------

#include <Xyce_config.h>
#include <N_DEV_ADMSPSP103VA.h>


#include <N_UTL_Misc.h>

#include <N_DEV_Const.h>
#include <N_DEV_DeviceOptions.h>
#include <N_DEV_DeviceMaster.h>
#include <N_DEV_ExternData.h>
#include <N_DEV_MatrixLoadData.h>
#include <N_DEV_SolverState.h>
#include <N_DEV_Message.h>

#include <N_LAS_Matrix.h>
#include <N_LAS_Vector.h>

namespace Xyce {
namespace Device {
namespace ADMSPSP103VA {


void
Traits::loadInstanceParameters(ParametricData<ADMSPSP103VA::Instance> &p)
{
  // Set up each parameter directly, using the up-cased variable name
  // as the tag.

  // This kludge is to force us always to have an instance parameter
  // that the device manager can set to the temperature, even if we have
  // no "TEMP".
  p.addPar("XYCEADMSINSTTEMP", 0.0, &ADMSPSP103VA::Instance::admsInstTemp)
    .setExpressionAccess(NO_DOC)
    .setUnit(U_DEGK)
    .setCategory(CAT_TEMP)
    .setDescription("Internal-use parameter for setting device instance temperature");
  p.addPar("L", static_cast<double>(10e-6), &ADMSPSP103VA::Instance::L)
    .setUnit(U_METER)
    .setDescription("Design length");
  p.addPar("W", static_cast<double>(10e-6), &ADMSPSP103VA::Instance::W)
    .setUnit(U_METER)
    .setDescription("Design width");
  p.addPar("SA", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SA)
    .setUnit(U_METER)
    .setDescription("Distance between OD-edge and poly from one side");
  p.addPar("SB", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SB)
    .setUnit(U_METER)
    .setDescription("Distance between OD-edge and poly from other side");
  p.addPar("SD", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SD)
    .setUnit(U_METER)
    .setDescription("Distance between neighbouring fingers");
  p.addPar("SCA", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SCA)
    .setDescription("Integral of the first distribution function for scattered well dopants");
  p.addPar("SCB", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SCB)
    .setDescription("Integral of the second distribution function for scattered well dopants");
  p.addPar("SCC", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SCC)
    .setDescription("Integral of the third distribution function for scattered well dopants");
  p.addPar("SC", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SC)
    .setUnit(U_METER)
    .setDescription("Distance between OD-edge and nearest well edge");
  p.addPar("NF", static_cast<double>(1.0), &ADMSPSP103VA::Instance::NF)
    .setDescription("Number of fingers");
  p.addPar("NGCON", static_cast<double>(1.0), &ADMSPSP103VA::Instance::NGCON)
    .setDescription("Number of gate contacts");
  p.addPar("XGW", static_cast<double>(1.0E-7), &ADMSPSP103VA::Instance::XGW)
    .setUnit(U_METER)
    .setDescription("Distance from the gate contact to the channel edge");
  p.addPar("NRS", static_cast<double>(0.0), &ADMSPSP103VA::Instance::NRS)
    .setDescription("Number of squares of source diffusion");
  p.addPar("NRD", static_cast<double>(0.0), &ADMSPSP103VA::Instance::NRD)
    .setDescription("Number of squares of drain diffusion");
  p.addPar("JW", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::JW)
    .setUnit(U_METER)
    .setDescription("Gate-edge length of source/drain junction");
  p.addPar("DELVTO", static_cast<double>(0.0), &ADMSPSP103VA::Instance::DELVTO)
    .setUnit(U_VOLT)
    .setDescription("Threshold voltage shift parameter");
  p.addPar("FACTUO", static_cast<double>(1.0), &ADMSPSP103VA::Instance::FACTUO)
    .setDescription("Zero-field mobility pre-factor");
  p.addPar("ABSOURCE", static_cast<double>(1E-12), &ADMSPSP103VA::Instance::ABSOURCE)
    .setDescription("Bottom area of source junction");
  p.addPar("LSSOURCE", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::LSSOURCE)
    .setUnit(U_METER)
    .setDescription("STI-edge length of source junction");
  p.addPar("LGSOURCE", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::LGSOURCE)
    .setUnit(U_METER)
    .setDescription("Gate-edge length of source junction");
  p.addPar("ABDRAIN", static_cast<double>(1E-12), &ADMSPSP103VA::Instance::ABDRAIN)
    .setDescription("Bottom area of drain junction");
  p.addPar("LSDRAIN", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::LSDRAIN)
    .setUnit(U_METER)
    .setDescription("STI-edge length of drain junction");
  p.addPar("LGDRAIN", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::LGDRAIN)
    .setUnit(U_METER)
    .setDescription("Gate-edge length of drain junction");
  p.addPar("AS", static_cast<double>(1E-12), &ADMSPSP103VA::Instance::AS)
    .setDescription("Bottom area of source junction");
  p.addPar("PS", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::PS)
    .setUnit(U_METER)
    .setDescription("Perimeter of source junction");
  p.addPar("AD", static_cast<double>(1E-12), &ADMSPSP103VA::Instance::AD)
    .setDescription("Bottom area of drain junction");
  p.addPar("PD", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::PD)
    .setUnit(U_METER)
    .setDescription("Perimeter of drain junction");
  p.addPar("MULT", static_cast<double>(1.0), &ADMSPSP103VA::Instance::MULT)
    .setDescription("Number of devices in parallel");


}

void Traits::loadModelParameters(ParametricData<ADMSPSP103VA::Model> &p)
{
  // Set up each parameter directly, using the up-cased variable name
  // as the tag.

  // This kludge is to force us always to have a model parameter
  // that the device manager can set to the temperature, even if we have
  // no "TEMP".
  p.addPar("XYCEADMSMODTEMP", 0.0, &ADMSPSP103VA::Model::admsModTemp)
    .setExpressionAccess(NO_DOC)
    .setUnit(U_DEGK)
    .setCategory(CAT_TEMP)
    .setDescription("Internal-use parameter for setting device model temperature");
  p.addPar("LEVEL", static_cast<double>(103), &ADMSPSP103VA::Model::LEVEL)
    .setDescription("Model level");
  p.addPar("TYPE", static_cast<double>(1.0), &ADMSPSP103VA::Model::TYPE)
    .setDescription("Channel type parameter, +1=NMOS -1=PMOS");
  p.addPar("TR", static_cast<double>(21.0), &ADMSPSP103VA::Model::TR)
    .setUnit(U_DEGC)

    .setDescription("nominal (reference) temperature");
  p.addPar("SWGEO", static_cast<double>(1.0), &ADMSPSP103VA::Model::SWGEO)
    .setDescription("Flag for geometrical model, 0=local, 1=global, 2=binning");
  p.addPar("SWIGATE", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWIGATE)
    .setDescription("Flag for gate current, 0=turn off IG");
  p.addPar("SWIMPACT", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWIMPACT)
    .setDescription("Flag for impact ionization current, 0=turn off II");
  p.addPar("SWGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWGIDL)
    .setDescription("Flag for GIDL current, 0=turn off IGIDL");
  p.addPar("SWJUNCAP", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWJUNCAP)
    .setDescription("Flag for juncap, 0=turn off juncap");
  p.addPar("SWJUNASYM", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWJUNASYM)
    .setDescription("Flag for asymmetric junctions; 0=symmetric, 1=asymmetric");
  p.addPar("SWNUD", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWNUD)
    .setDescription("Flag for NUD-effect; 0=off, 1=on, 2=on+CV-correction");
  p.addPar("SWDELVTAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWDELVTAC)
    .setDescription("Flag for separate capacitance calculation; 0=off, 1=on");
  p.addPar("QMC", static_cast<double>(1.0), &ADMSPSP103VA::Model::QMC)
    .setDescription("Quantum-mechanical correction factor");
  p.addPar("VFB", static_cast<double>((-1.0)), &ADMSPSP103VA::Model::VFB)
    .setUnit(U_VOLT)

    .setDescription("Flat band voltage at TR");
  p.addPar("STVFB", static_cast<double>(5.0e-4), &ADMSPSP103VA::Model::STVFB)
    .setUnit(U_VKM1)

    .setDescription("Temperature dependence of VFB");
  p.addPar("TOX", static_cast<double>(2.0e-09), &ADMSPSP103VA::Model::TOX)
    .setUnit(U_METER)

    .setDescription("Gate oxide thickness");
  p.addPar("EPSROX", static_cast<double>(3.9), &ADMSPSP103VA::Model::EPSROX)
    .setDescription("Relative permittivity of gate dielectric");
  p.addPar("NEFF", static_cast<double>(5.0e+23), &ADMSPSP103VA::Model::NEFF)
    .setUnit(U_METERM3)

    .setDescription("Effective substrate doping");
  p.addPar("FACNEFFAC", static_cast<double>(1.0), &ADMSPSP103VA::Model::FACNEFFAC)
    .setDescription("Pre-factor for effective substrate doping in separate charge calculation");
  p.addPar("GFACNUD", static_cast<double>(1.0), &ADMSPSP103VA::Model::GFACNUD)
    .setDescription("Bodyfactor change due to NUD-effect");
  p.addPar("VSBNUD", static_cast<double>(0.0), &ADMSPSP103VA::Model::VSBNUD)
    .setUnit(U_VOLT)

    .setDescription("Lower Vsb value for NUD-effect");
  p.addPar("DVSBNUD", static_cast<double>(1.0), &ADMSPSP103VA::Model::DVSBNUD)
    .setUnit(U_VOLT)

    .setDescription("Vsb-range for NUD-effect");
  p.addPar("VNSUB", static_cast<double>(0.0), &ADMSPSP103VA::Model::VNSUB)
    .setUnit(U_VOLT)

    .setDescription("Effective doping bias-dependence parameter");
  p.addPar("NSLP", static_cast<double>(0.05), &ADMSPSP103VA::Model::NSLP)
    .setUnit(U_VOLT)

    .setDescription("Effective doping bias-dependence parameter");
  p.addPar("DNSUB", static_cast<double>(0.0), &ADMSPSP103VA::Model::DNSUB)
    .setUnit(U_VOLTM1)

    .setDescription("Effective doping bias-dependence parameter");
  p.addPar("DPHIB", static_cast<double>(0.0), &ADMSPSP103VA::Model::DPHIB)
    .setUnit(U_VOLT)

    .setDescription("Offset parameter for PHIB");
  p.addPar("DELVTAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::DELVTAC)
    .setUnit(U_VOLT)

    .setDescription("Offset parameter for PHIB in separate charge calculation");
  p.addPar("NP", static_cast<double>(1.0e+26), &ADMSPSP103VA::Model::NP)
    .setUnit(U_METERM3)

    .setDescription("Gate poly-silicon doping");
  p.addPar("CT", static_cast<double>(0.0), &ADMSPSP103VA::Model::CT)
    .setDescription("Interface states factor");
  p.addPar("TOXOV", static_cast<double>(2.0e-09), &ADMSPSP103VA::Model::TOXOV)
    .setUnit(U_METER)

    .setDescription("Overlap oxide thickness");
  p.addPar("TOXOVD", static_cast<double>(2.0e-09), &ADMSPSP103VA::Model::TOXOVD)
    .setUnit(U_METER)

    .setDescription("Overlap oxide thickness for drain side");
  p.addPar("NOV", static_cast<double>(5.0e+25), &ADMSPSP103VA::Model::NOV)
    .setUnit(U_METERM3)

    .setDescription("Effective doping of overlap region");
  p.addPar("NOVD", static_cast<double>(5.0e+25), &ADMSPSP103VA::Model::NOVD)
    .setUnit(U_METERM3)

    .setDescription("Effective doping of overlap region for drain side");
  p.addPar("CF", static_cast<double>(0.0), &ADMSPSP103VA::Model::CF)
    .setDescription("DIBL-parameter");
  p.addPar("CFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFB)
    .setUnit(U_VOLTM1)

    .setDescription("Back bias dependence of CF");
  p.addPar("BETN", static_cast<double>(7e-2), &ADMSPSP103VA::Model::BETN)
    .setUnit(U_M2VM1SM1)

    .setDescription("Channel aspect ratio times zero-field mobility");
  p.addPar("STBET", static_cast<double>(1.0), &ADMSPSP103VA::Model::STBET)
    .setDescription("Temperature dependence of BETN");
  p.addPar("MUE", static_cast<double>(0.5), &ADMSPSP103VA::Model::MUE)
    .setUnit(U_MVM1)

    .setDescription("Mobility reduction coefficient at TR");
  p.addPar("STMUE", static_cast<double>(0.0), &ADMSPSP103VA::Model::STMUE)
    .setDescription("Temperature dependence of MUE");
  p.addPar("THEMU", static_cast<double>(1.5), &ADMSPSP103VA::Model::THEMU)
    .setDescription("Mobility reduction exponent at TR");
  p.addPar("STTHEMU", static_cast<double>(1.5), &ADMSPSP103VA::Model::STTHEMU)
    .setDescription("Temperature dependence of THEMU");
  p.addPar("CS", static_cast<double>(0.0), &ADMSPSP103VA::Model::CS)
    .setDescription("Coulomb scattering parameter at TR");
  p.addPar("STCS", static_cast<double>(0.0), &ADMSPSP103VA::Model::STCS)
    .setDescription("Temperature dependence of CS");
  p.addPar("XCOR", static_cast<double>(0.0), &ADMSPSP103VA::Model::XCOR)
    .setUnit(U_VOLTM1)

    .setDescription("Non-universality factor");
  p.addPar("STXCOR", static_cast<double>(0.0), &ADMSPSP103VA::Model::STXCOR)
    .setDescription("Temperature dependence of XCOR");
  p.addPar("FETA", static_cast<double>(1.0), &ADMSPSP103VA::Model::FETA)
    .setDescription("Effective field parameter");
  p.addPar("RS", static_cast<double>(30), &ADMSPSP103VA::Model::RS)
    .setUnit(U_OHM)

    .setDescription("Series resistance at TR");
  p.addPar("STRS", static_cast<double>(1.0), &ADMSPSP103VA::Model::STRS)
    .setDescription("Temperature dependence of RS");
  p.addPar("RSB", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSB)
    .setUnit(U_VOLTM1)

    .setDescription("Back-bias dependence of series resistance");
  p.addPar("RSG", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSG)
    .setUnit(U_VOLTM1)

    .setDescription("Gate-bias dependence of series resistance");
  p.addPar("THESAT", static_cast<double>(1.0), &ADMSPSP103VA::Model::THESAT)
    .setUnit(U_VOLTM1)

    .setDescription("Velocity saturation parameter at TR");
  p.addPar("STTHESAT", static_cast<double>(1.0), &ADMSPSP103VA::Model::STTHESAT)
    .setDescription("Temperature dependence of THESAT");
  p.addPar("THESATB", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATB)
    .setUnit(U_VOLTM1)

    .setDescription("Back-bias dependence of velocity saturation");
  p.addPar("THESATG", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATG)
    .setUnit(U_VOLTM1)

    .setDescription("Gate-bias dependence of velocity saturation");
  p.addPar("AX", static_cast<double>(3.0), &ADMSPSP103VA::Model::AX)
    .setDescription("Linear/saturation transition factor");
  p.addPar("ALP", static_cast<double>(0.01), &ADMSPSP103VA::Model::ALP)
    .setDescription("CLM pre-factor");
  p.addPar("ALP1", static_cast<double>(0.00), &ADMSPSP103VA::Model::ALP1)
    .setUnit(U_VOLT)

    .setDescription("CLM enhancement factor above threshold");
  p.addPar("ALP2", static_cast<double>(0.00), &ADMSPSP103VA::Model::ALP2)
    .setUnit(U_VOLTM1)

    .setDescription("CLM enhancement factor below threshold");
  p.addPar("VP", static_cast<double>(0.05), &ADMSPSP103VA::Model::VP)
    .setUnit(U_VOLT)

    .setDescription("CLM logarithm dependence factor");
  p.addPar("A1", static_cast<double>(1.0), &ADMSPSP103VA::Model::A1)
    .setDescription("Impact-ionization pre-factor");
  p.addPar("A2", static_cast<double>(10.0), &ADMSPSP103VA::Model::A2)
    .setUnit(U_VOLT)

    .setDescription("Impact-ionization exponent at TR");
  p.addPar("STA2", static_cast<double>(0.0), &ADMSPSP103VA::Model::STA2)
    .setUnit(U_VOLT)

    .setDescription("Temperature dependence of A2");
  p.addPar("A3", static_cast<double>(1.0), &ADMSPSP103VA::Model::A3)
    .setDescription("Saturation-voltage dependence of impact-ionization");
  p.addPar("A4", static_cast<double>(0.0), &ADMSPSP103VA::Model::A4)
    .setUnit(U_VOLTMH)

    .setDescription("Back-bias dependence of impact-ionization");
  p.addPar("GCO", static_cast<double>(0.0), &ADMSPSP103VA::Model::GCO)
    .setDescription("Gate tunneling energy adjustment");
  p.addPar("IGINV", static_cast<double>(0.0), &ADMSPSP103VA::Model::IGINV)
    .setUnit(U_AMP)

    .setDescription("Gate channel current pre-factor");
  p.addPar("IGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::IGOV)
    .setUnit(U_AMP)

    .setDescription("Gate overlap current pre-factor");
  p.addPar("IGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::IGOVD)
    .setUnit(U_AMP)

    .setDescription("Gate overlap current pre-factor for drain side");
  p.addPar("STIG", static_cast<double>(2.0), &ADMSPSP103VA::Model::STIG)
    .setDescription("Temperature dependence of IGINV and IGOV");
  p.addPar("GC2", static_cast<double>(0.375), &ADMSPSP103VA::Model::GC2)
    .setDescription("Gate current slope factor");
  p.addPar("GC3", static_cast<double>(0.063), &ADMSPSP103VA::Model::GC3)
    .setDescription("Gate current curvature factor");
  p.addPar("CHIB", static_cast<double>(3.1), &ADMSPSP103VA::Model::CHIB)
    .setUnit(U_VOLT)

    .setDescription("Tunneling barrier height");
  p.addPar("AGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::AGIDL)
    .setUnit(U_AMPVM3)

    .setDescription("GIDL pre-factor");
  p.addPar("AGIDLD", static_cast<double>(0.0), &ADMSPSP103VA::Model::AGIDLD)
    .setUnit(U_AMPVM3)

    .setDescription("GIDL pre-factor for drain side");
  p.addPar("BGIDL", static_cast<double>(41.0), &ADMSPSP103VA::Model::BGIDL)
    .setUnit(U_VOLT)

    .setDescription("GIDL probability factor at TR");
  p.addPar("BGIDLD", static_cast<double>(41.0), &ADMSPSP103VA::Model::BGIDLD)
    .setUnit(U_VOLT)

    .setDescription("GIDL probability factor at TR for drain side");
  p.addPar("STBGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBGIDL)
    .setUnit(U_VKM1)

    .setDescription("Temperature dependence of BGIDL");
  p.addPar("STBGIDLD", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBGIDLD)
    .setUnit(U_VKM1)

    .setDescription("Temperature dependence of BGIDL for drain side");
  p.addPar("CGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::CGIDL)
    .setDescription("Back-bias dependence of GIDL");
  p.addPar("CGIDLD", static_cast<double>(0.0), &ADMSPSP103VA::Model::CGIDLD)
    .setDescription("Back-bias dependence of GIDL for drain side");
  p.addPar("COX", static_cast<double>(1.0e-14), &ADMSPSP103VA::Model::COX)
    .setUnit(U_FARAD)

    .setDescription("Oxide capacitance for intrinsic channel");
  p.addPar("CGOV", static_cast<double>(1.0e-15), &ADMSPSP103VA::Model::CGOV)
    .setUnit(U_FARAD)

    .setDescription("Oxide capacitance for gate-drain/source overlap");
  p.addPar("CGOVD", static_cast<double>(1.0e-15), &ADMSPSP103VA::Model::CGOVD)
    .setUnit(U_FARAD)

    .setDescription("Oxide capacitance for gate-drain overlap");
  p.addPar("CGBOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::CGBOV)
    .setUnit(U_FARAD)

    .setDescription("Oxide capacitance for gate-bulk overlap");
  p.addPar("CFR", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFR)
    .setUnit(U_FARAD)

    .setDescription("Outer fringe capacitance");
  p.addPar("CFRD", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFRD)
    .setUnit(U_FARAD)

    .setDescription("Outer fringe capacitance for drain side");
  p.addPar("FNT", static_cast<double>(1.0), &ADMSPSP103VA::Model::FNT)
    .setDescription("Thermal noise coefficient");
  p.addPar("NFA", static_cast<double>(8.0e+22), &ADMSPSP103VA::Model::NFA)
    .setDescription("First coefficient of flicker noise");
  p.addPar("NFB", static_cast<double>(3.0e+07), &ADMSPSP103VA::Model::NFB)
    .setDescription("Second coefficient of flicker noise");
  p.addPar("NFC", static_cast<double>(0.0), &ADMSPSP103VA::Model::NFC)
    .setUnit(U_VOLTM1)

    .setDescription("Third coefficient of flicker noise");
  p.addPar("EF", static_cast<double>(1.0), &ADMSPSP103VA::Model::EF)
    .setDescription("Flicker noise frequency exponent");
  p.addPar("RG", static_cast<double>(0.0), &ADMSPSP103VA::Model::RG)
    .setUnit(U_OHM)

    .setDescription("Gate resistance");
  p.addPar("RSE", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSE)
    .setUnit(U_OHM)

    .setDescription("External source resistance");
  p.addPar("RDE", static_cast<double>(0.0), &ADMSPSP103VA::Model::RDE)
    .setUnit(U_OHM)

    .setDescription("External drain resistance");
  p.addPar("RBULK", static_cast<double>(0.0), &ADMSPSP103VA::Model::RBULK)
    .setUnit(U_OHM)

    .setDescription("Bulk resistance between node BP and BI");
  p.addPar("RWELL", static_cast<double>(0.0), &ADMSPSP103VA::Model::RWELL)
    .setUnit(U_OHM)

    .setDescription("Well resistance between node BI and B");
  p.addPar("RJUNS", static_cast<double>(0.0), &ADMSPSP103VA::Model::RJUNS)
    .setUnit(U_OHM)

    .setDescription("Source-side bulk resistance between node BI and BS");
  p.addPar("RJUND", static_cast<double>(0.0), &ADMSPSP103VA::Model::RJUND)
    .setUnit(U_OHM)

    .setDescription("Drain-side bulk resistance between node BI and BD");
  p.addPar("POVFB", static_cast<double>((-1)), &ADMSPSP103VA::Model::POVFB)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of VFB");
  p.addPar("PLVFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLVFB)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the length dependence of VFB");
  p.addPar("PWVFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWVFB)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the width dependence of VFB");
  p.addPar("PLWVFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWVFB)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the length times width dependence of VFB");
  p.addPar("POSTVFB", static_cast<double>(0.0005), &ADMSPSP103VA::Model::POSTVFB)
    .setUnit(U_VKM1)

    .setDescription("Coefficient for the geometry independent part of STVFB");
  p.addPar("PLSTVFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLSTVFB)
    .setUnit(U_VKM1)

    .setDescription("Coefficient for the length dependence of STVFB");
  p.addPar("PWSTVFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWSTVFB)
    .setUnit(U_VKM1)

    .setDescription("Coefficient for the width dependence of STVFB");
  p.addPar("PLWSTVFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWSTVFB)
    .setUnit(U_VKM1)

    .setDescription("Coefficient for the length times width dependence of STVFB");
  p.addPar("POTOX", static_cast<double>(2E-09), &ADMSPSP103VA::Model::POTOX)
    .setUnit(U_METER)

    .setDescription("Coefficient for the geometry independent part of TOX");
  p.addPar("POEPSROX", static_cast<double>(3.9), &ADMSPSP103VA::Model::POEPSROX)
    .setDescription("Coefficient for the geometry independent part of EPSOX");
  p.addPar("PONEFF", static_cast<double>(5E+23), &ADMSPSP103VA::Model::PONEFF)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the geometry independent part of NEFF");
  p.addPar("PLNEFF", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNEFF)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the length dependence of NEFF");
  p.addPar("PWNEFF", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNEFF)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the width dependence of NEFF");
  p.addPar("PLWNEFF", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNEFF)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the length times width dependence of NEFF");
  p.addPar("POFACNEFFAC", static_cast<double>(1.0), &ADMSPSP103VA::Model::POFACNEFFAC)
    .setDescription("Coefficient for the geometry independent part of FACNEFFAC");
  p.addPar("PLFACNEFFAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLFACNEFFAC)
    .setDescription("Coefficient for the length dependence of FACNEFFAC");
  p.addPar("PWFACNEFFAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWFACNEFFAC)
    .setDescription("Coefficient for the width dependence of FACNEFFAC");
  p.addPar("PLWFACNEFFAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWFACNEFFAC)
    .setDescription("Coefficient for the length times width dependence of FACNEFFAC");
  p.addPar("POGFACNUD", static_cast<double>(1.0), &ADMSPSP103VA::Model::POGFACNUD)
    .setDescription("Coefficient for the geometry independent part of GFACNUD");
  p.addPar("PLGFACNUD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLGFACNUD)
    .setDescription("Coefficient for the length dependence of GFACNUD");
  p.addPar("PWGFACNUD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWGFACNUD)
    .setDescription("Coefficient for the width dependence of GFACNUD");
  p.addPar("PLWGFACNUD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWGFACNUD)
    .setDescription("Coefficient for the length times width dependence of GFACNUD");
  p.addPar("POVSBNUD", static_cast<double>(0.0), &ADMSPSP103VA::Model::POVSBNUD)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of VSBNUD");
  p.addPar("PODVSBNUD", static_cast<double>(1.0), &ADMSPSP103VA::Model::PODVSBNUD)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of DVSBNUD");
  p.addPar("POVNSUB", static_cast<double>(0), &ADMSPSP103VA::Model::POVNSUB)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of VNSUB");
  p.addPar("PONSLP", static_cast<double>(0.05), &ADMSPSP103VA::Model::PONSLP)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of NSLP");
  p.addPar("PODNSUB", static_cast<double>(0), &ADMSPSP103VA::Model::PODNSUB)
    .setDescription("Coefficient for the geometry independent part of DNSUB");
  p.addPar("PODPHIB", static_cast<double>(0), &ADMSPSP103VA::Model::PODPHIB)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of DPHIB");
  p.addPar("PLDPHIB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLDPHIB)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the length dependence of DPHIB");
  p.addPar("PWDPHIB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWDPHIB)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the width dependence of DPHIB");
  p.addPar("PLWDPHIB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWDPHIB)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the length times width dependence of DPHIB");
  p.addPar("PODELVTAC", static_cast<double>(0), &ADMSPSP103VA::Model::PODELVTAC)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of DELVTAC");
  p.addPar("PLDELVTAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLDELVTAC)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the length dependence of DELVTAC");
  p.addPar("PWDELVTAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWDELVTAC)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the width dependence of DELVTAC");
  p.addPar("PLWDELVTAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWDELVTAC)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the length times width dependence of DELVTAC");
  p.addPar("PONP", static_cast<double>(1E+26), &ADMSPSP103VA::Model::PONP)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the geometry independent part of NP");
  p.addPar("PLNP", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNP)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the length dependence of NP");
  p.addPar("PWNP", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNP)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the width dependence of NP");
  p.addPar("PLWNP", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNP)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the length times width dependence of NP");
  p.addPar("POCT", static_cast<double>(0), &ADMSPSP103VA::Model::POCT)
    .setDescription("Coefficient for the geometry independent part of CT");
  p.addPar("PLCT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCT)
    .setDescription("Coefficient for the length dependence of CT");
  p.addPar("PWCT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCT)
    .setDescription("Coefficient for the width dependence of CT");
  p.addPar("PLWCT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCT)
    .setDescription("Coefficient for the length times width dependence of CT");
  p.addPar("POTOXOV", static_cast<double>(2E-09), &ADMSPSP103VA::Model::POTOXOV)
    .setUnit(U_METER)

    .setDescription("Coefficient for the geometry independent part of TOXOV");
  p.addPar("POTOXOVD", static_cast<double>(2E-09), &ADMSPSP103VA::Model::POTOXOVD)
    .setUnit(U_METER)

    .setDescription("Coefficient for the geometry independent part of TOXOV for drain side");
  p.addPar("PONOV", static_cast<double>(5E+25), &ADMSPSP103VA::Model::PONOV)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the geometry independent part of NOV");
  p.addPar("PLNOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNOV)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the length dependence of NOV");
  p.addPar("PWNOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNOV)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the width dependence of NOV");
  p.addPar("PLWNOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNOV)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the length times width dependence of NOV");
  p.addPar("PONOVD", static_cast<double>(5E+25), &ADMSPSP103VA::Model::PONOVD)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the geometry independent part of NOV for drain side");
  p.addPar("PLNOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNOVD)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the length dependence of NOV for drain side");
  p.addPar("PWNOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNOVD)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the width dependence of NOV for drain side");
  p.addPar("PLWNOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNOVD)
    .setUnit(U_METERM3)

    .setDescription("Coefficient for the length times width dependence of NOV for drain side");
  p.addPar("POCF", static_cast<double>(0), &ADMSPSP103VA::Model::POCF)
    .setDescription("Coefficient for the geometry independent part of CF");
  p.addPar("PLCF", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCF)
    .setDescription("Coefficient for the length dependence of CF");
  p.addPar("PWCF", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCF)
    .setDescription("Coefficient for the width dependence of CF");
  p.addPar("PLWCF", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCF)
    .setDescription("Coefficient for the length times width dependence of CF");
  p.addPar("POCFB", static_cast<double>(0), &ADMSPSP103VA::Model::POCFB)
    .setDescription("Coefficient for the geometry independent part of CFB");
  p.addPar("POBETN", static_cast<double>(0.07), &ADMSPSP103VA::Model::POBETN)
    .setDescription("Coefficient for the geometry independent part of BETN");
  p.addPar("PLBETN", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLBETN)
    .setDescription("Coefficient for the length dependence of BETN");
  p.addPar("PWBETN", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWBETN)
    .setDescription("Coefficient for the width dependence of BETN");
  p.addPar("PLWBETN", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWBETN)
    .setDescription("Coefficient for the length times width dependence of BETN");
  p.addPar("POSTBET", static_cast<double>(1), &ADMSPSP103VA::Model::POSTBET)
    .setDescription("Coefficient for the geometry independent part of STBET");
  p.addPar("PLSTBET", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLSTBET)
    .setDescription("Coefficient for the length dependence of STBET");
  p.addPar("PWSTBET", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWSTBET)
    .setDescription("Coefficient for the width dependence of STBET");
  p.addPar("PLWSTBET", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWSTBET)
    .setDescription("Coefficient for the length times width dependence of STBET");
  p.addPar("POMUE", static_cast<double>(0.5), &ADMSPSP103VA::Model::POMUE)
    .setDescription("Coefficient for the geometry independent part of MUE");
  p.addPar("PLMUE", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLMUE)
    .setDescription("Coefficient for the length dependence of MUE");
  p.addPar("PWMUE", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWMUE)
    .setDescription("Coefficient for the width dependence of MUE");
  p.addPar("PLWMUE", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWMUE)
    .setDescription("Coefficient for the length times width dependence of MUE");
  p.addPar("POSTMUE", static_cast<double>(0), &ADMSPSP103VA::Model::POSTMUE)
    .setDescription("Coefficient for the geometry independent part of STMUE");
  p.addPar("POTHEMU", static_cast<double>(1.5), &ADMSPSP103VA::Model::POTHEMU)
    .setDescription("Coefficient for the geometry independent part of THEMU");
  p.addPar("POSTTHEMU", static_cast<double>(1.5), &ADMSPSP103VA::Model::POSTTHEMU)
    .setDescription("Coefficient for the geometry independent part of STTHEMU");
  p.addPar("POCS", static_cast<double>(0), &ADMSPSP103VA::Model::POCS)
    .setDescription("Coefficient for the geometry independent part of CS");
  p.addPar("PLCS", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCS)
    .setDescription("Coefficient for the length dependence of CS");
  p.addPar("PWCS", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCS)
    .setDescription("Coefficient for the width dependence of CS");
  p.addPar("PLWCS", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCS)
    .setDescription("Coefficient for the length times width dependence of CS");
  p.addPar("POSTCS", static_cast<double>(0), &ADMSPSP103VA::Model::POSTCS)
    .setDescription("Coefficient for the geometry independent part of STCS");
  p.addPar("POXCOR", static_cast<double>(0), &ADMSPSP103VA::Model::POXCOR)
    .setDescription("Coefficient for the geometry independent part of XCOR");
  p.addPar("PLXCOR", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLXCOR)
    .setDescription("Coefficient for the length dependence of XCOR");
  p.addPar("PWXCOR", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWXCOR)
    .setDescription("Coefficient for the width dependence of XCOR");
  p.addPar("PLWXCOR", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWXCOR)
    .setDescription("Coefficient for the length times width dependence of XCOR");
  p.addPar("POSTXCOR", static_cast<double>(0), &ADMSPSP103VA::Model::POSTXCOR)
    .setDescription("Coefficient for the geometry independent part of STXCOR");
  p.addPar("POFETA", static_cast<double>(1), &ADMSPSP103VA::Model::POFETA)
    .setDescription("Coefficient for the geometry independent part of FETA");
  p.addPar("PORS", static_cast<double>(30), &ADMSPSP103VA::Model::PORS)
    .setDescription("Coefficient for the geometry independent part of RS");
  p.addPar("PLRS", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLRS)
    .setDescription("Coefficient for the length dependence of RS");
  p.addPar("PWRS", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWRS)
    .setDescription("Coefficient for the width dependence of RS");
  p.addPar("PLWRS", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWRS)
    .setDescription("Coefficient for the length times width dependence of RS");
  p.addPar("POSTRS", static_cast<double>(1), &ADMSPSP103VA::Model::POSTRS)
    .setDescription("Coefficient for the geometry independent part of STRS");
  p.addPar("PORSB", static_cast<double>(0), &ADMSPSP103VA::Model::PORSB)
    .setDescription("Coefficient for the geometry independent part of RSB");
  p.addPar("PORSG", static_cast<double>(0), &ADMSPSP103VA::Model::PORSG)
    .setDescription("Coefficient for the geometry independent part of RSG");
  p.addPar("POTHESAT", static_cast<double>(1), &ADMSPSP103VA::Model::POTHESAT)
    .setDescription("Coefficient for the geometry independent part of THESAT");
  p.addPar("PLTHESAT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLTHESAT)
    .setDescription("Coefficient for the length dependence of THESAT");
  p.addPar("PWTHESAT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWTHESAT)
    .setDescription("Coefficient for the width dependence of THESAT");
  p.addPar("PLWTHESAT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWTHESAT)
    .setDescription("Coefficient for the length times width dependence of THESAT");
  p.addPar("POSTTHESAT", static_cast<double>(1), &ADMSPSP103VA::Model::POSTTHESAT)
    .setDescription("Coefficient for the geometry independent part of STTHESAT");
  p.addPar("PLSTTHESAT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLSTTHESAT)
    .setDescription("Coefficient for the length dependence of STTHESAT");
  p.addPar("PWSTTHESAT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWSTTHESAT)
    .setDescription("Coefficient for the width dependence of STTHESAT");
  p.addPar("PLWSTTHESAT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWSTTHESAT)
    .setDescription("Coefficient for the length times width dependence of STTHESAT");
  p.addPar("POTHESATB", static_cast<double>(0), &ADMSPSP103VA::Model::POTHESATB)
    .setDescription("Coefficient for the geometry independent part of THESATB");
  p.addPar("PLTHESATB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLTHESATB)
    .setDescription("Coefficient for the length dependence of THESATB");
  p.addPar("PWTHESATB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWTHESATB)
    .setDescription("Coefficient for the width dependence of THESATB");
  p.addPar("PLWTHESATB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWTHESATB)
    .setDescription("Coefficient for the length times width dependence of THESATB");
  p.addPar("POTHESATG", static_cast<double>(0), &ADMSPSP103VA::Model::POTHESATG)
    .setDescription("Coefficient for the geometry independent part of THESATG");
  p.addPar("PLTHESATG", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLTHESATG)
    .setDescription("Coefficient for the length dependence of THESATG");
  p.addPar("PWTHESATG", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWTHESATG)
    .setDescription("Coefficient for the width dependence of THESATG");
  p.addPar("PLWTHESATG", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWTHESATG)
    .setDescription("Coefficient for the length times width dependence of THESATG");
  p.addPar("POAX", static_cast<double>(3), &ADMSPSP103VA::Model::POAX)
    .setDescription("Coefficient for the geometry independent part of AX");
  p.addPar("PLAX", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLAX)
    .setDescription("Coefficient for the length dependence of AX");
  p.addPar("PWAX", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWAX)
    .setDescription("Coefficient for the width dependence of AX");
  p.addPar("PLWAX", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWAX)
    .setDescription("Coefficient for the length times width dependence of AX");
  p.addPar("POALP", static_cast<double>(0.01), &ADMSPSP103VA::Model::POALP)
    .setDescription("Coefficient for the geometry independent part of ALP");
  p.addPar("PLALP", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLALP)
    .setDescription("Coefficient for the length dependence of ALP");
  p.addPar("PWALP", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWALP)
    .setDescription("Coefficient for the width dependence of ALP");
  p.addPar("PLWALP", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWALP)
    .setDescription("Coefficient for the length times width dependence of ALP");
  p.addPar("POALP1", static_cast<double>(0), &ADMSPSP103VA::Model::POALP1)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of ALP1");
  p.addPar("PLALP1", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLALP1)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the length dependence of ALP1");
  p.addPar("PWALP1", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWALP1)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the width dependence of ALP1");
  p.addPar("PLWALP1", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWALP1)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the length times width dependence of ALP1");
  p.addPar("POALP2", static_cast<double>(0), &ADMSPSP103VA::Model::POALP2)
    .setDescription("Coefficient for the geometry independent part of ALP2");
  p.addPar("PLALP2", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLALP2)
    .setDescription("Coefficient for the length dependence of ALP2");
  p.addPar("PWALP2", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWALP2)
    .setDescription("Coefficient for the width dependence of ALP2");
  p.addPar("PLWALP2", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWALP2)
    .setDescription("Coefficient for the length times width dependence of ALP2");
  p.addPar("POVP", static_cast<double>(0.05), &ADMSPSP103VA::Model::POVP)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of VP");
  p.addPar("POA1", static_cast<double>(1), &ADMSPSP103VA::Model::POA1)
    .setDescription("Coefficient for the geometry independent part of A1");
  p.addPar("PLA1", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLA1)
    .setDescription("Coefficient for the length dependence of A1");
  p.addPar("PWA1", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWA1)
    .setDescription("Coefficient for the width dependence of A1");
  p.addPar("PLWA1", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWA1)
    .setDescription("Coefficient for the length times width dependence of A1");
  p.addPar("POA2", static_cast<double>(10), &ADMSPSP103VA::Model::POA2)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of A2");
  p.addPar("POSTA2", static_cast<double>(0), &ADMSPSP103VA::Model::POSTA2)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of STA2");
  p.addPar("POA3", static_cast<double>(1), &ADMSPSP103VA::Model::POA3)
    .setDescription("Coefficient for the geometry independent part of A3");
  p.addPar("PLA3", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLA3)
    .setDescription("Coefficient for the length dependence of A3");
  p.addPar("PWA3", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWA3)
    .setDescription("Coefficient for the width dependence of A3");
  p.addPar("PLWA3", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWA3)
    .setDescription("Coefficient for the length times width dependence of A3");
  p.addPar("POA4", static_cast<double>(0), &ADMSPSP103VA::Model::POA4)
    .setDescription("Coefficient for the geometry independent part of A4");
  p.addPar("PLA4", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLA4)
    .setDescription("Coefficient for the length dependence of A4");
  p.addPar("PWA4", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWA4)
    .setDescription("Coefficient for the width dependence of A4");
  p.addPar("PLWA4", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWA4)
    .setDescription("Coefficient for the length times width dependence of A4");
  p.addPar("POGCO", static_cast<double>(0), &ADMSPSP103VA::Model::POGCO)
    .setDescription("Coefficient for the geometry independent part of GCO");
  p.addPar("POIGINV", static_cast<double>(0), &ADMSPSP103VA::Model::POIGINV)
    .setUnit(U_AMP)

    .setDescription("Coefficient for the geometry independent part of IGINV");
  p.addPar("PLIGINV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLIGINV)
    .setUnit(U_AMP)

    .setDescription("Coefficient for the length dependence of IGINV");
  p.addPar("PWIGINV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWIGINV)
    .setUnit(U_AMP)

    .setDescription("Coefficient for the width dependence of IGINV");
  p.addPar("PLWIGINV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWIGINV)
    .setUnit(U_AMP)

    .setDescription("Coefficient for the length times width dependence of IGINV");
  p.addPar("POIGOV", static_cast<double>(0), &ADMSPSP103VA::Model::POIGOV)
    .setUnit(U_AMP)

    .setDescription("Coefficient for the geometry independent part of IGOV");
  p.addPar("PLIGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLIGOV)
    .setUnit(U_AMP)

    .setDescription("Coefficient for the length dependence of IGOV");
  p.addPar("PWIGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWIGOV)
    .setUnit(U_AMP)

    .setDescription("Coefficient for the width dependence of IGOV");
  p.addPar("PLWIGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWIGOV)
    .setUnit(U_AMP)

    .setDescription("Coefficient for the length times width dependence of IGOV");
  p.addPar("POIGOVD", static_cast<double>(0), &ADMSPSP103VA::Model::POIGOVD)
    .setUnit(U_AMP)

    .setDescription("Coefficient for the geometry independent part of IGOV for drain side");
  p.addPar("PLIGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLIGOVD)
    .setUnit(U_AMP)

    .setDescription("Coefficient for the length dependence of IGOV for drain side");
  p.addPar("PWIGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWIGOVD)
    .setUnit(U_AMP)

    .setDescription("Coefficient for the width dependence of IGOV for drain side");
  p.addPar("PLWIGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWIGOVD)
    .setUnit(U_AMP)

    .setDescription("Coefficient for the length times width dependence of IGOV for drain side");
  p.addPar("POSTIG", static_cast<double>(2), &ADMSPSP103VA::Model::POSTIG)
    .setDescription("Coefficient for the geometry independent part of STIG");
  p.addPar("POGC2", static_cast<double>(0.375), &ADMSPSP103VA::Model::POGC2)
    .setDescription("Coefficient for the geometry independent part of GC2");
  p.addPar("POGC3", static_cast<double>(0.063), &ADMSPSP103VA::Model::POGC3)
    .setDescription("Coefficient for the geometry independent part of GC3");
  p.addPar("POCHIB", static_cast<double>(3.1), &ADMSPSP103VA::Model::POCHIB)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of CHIB");
  p.addPar("POAGIDL", static_cast<double>(0), &ADMSPSP103VA::Model::POAGIDL)
    .setUnit(U_AMPVM3)

    .setDescription("Coefficient for the geometry independent part of AGIDL");
  p.addPar("PLAGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLAGIDL)
    .setUnit(U_AMPVM3)

    .setDescription("Coefficient for the length dependence of AGIDL");
  p.addPar("PWAGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWAGIDL)
    .setUnit(U_AMPVM3)

    .setDescription("Coefficient for the width dependence of AGIDL");
  p.addPar("PLWAGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWAGIDL)
    .setUnit(U_AMPVM3)

    .setDescription("Coefficient for the length times width dependence of AGIDL");
  p.addPar("POAGIDLD", static_cast<double>(0), &ADMSPSP103VA::Model::POAGIDLD)
    .setUnit(U_AMPVM3)

    .setDescription("Coefficient for the geometry independent part of AGIDL for drain side");
  p.addPar("PLAGIDLD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLAGIDLD)
    .setUnit(U_AMPVM3)

    .setDescription("Coefficient for the length dependence of AGIDL for drain side");
  p.addPar("PWAGIDLD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWAGIDLD)
    .setUnit(U_AMPVM3)

    .setDescription("Coefficient for the width dependence of AGIDL for drain side");
  p.addPar("PLWAGIDLD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWAGIDLD)
    .setUnit(U_AMPVM3)

    .setDescription("Coefficient for the length times width dependence of AGIDL for drain side");
  p.addPar("POBGIDL", static_cast<double>(41), &ADMSPSP103VA::Model::POBGIDL)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of BGIDL");
  p.addPar("POBGIDLD", static_cast<double>(41), &ADMSPSP103VA::Model::POBGIDLD)
    .setUnit(U_VOLT)

    .setDescription("Coefficient for the geometry independent part of BGIDL for drain side");
  p.addPar("POSTBGIDL", static_cast<double>(0), &ADMSPSP103VA::Model::POSTBGIDL)
    .setUnit(U_VKM1)

    .setDescription("Coefficient for the geometry independent part of STBGIDL");
  p.addPar("POSTBGIDLD", static_cast<double>(0), &ADMSPSP103VA::Model::POSTBGIDLD)
    .setUnit(U_VKM1)

    .setDescription("Coefficient for the geometry independent part of STBGIDL for drain side");
  p.addPar("POCGIDL", static_cast<double>(0), &ADMSPSP103VA::Model::POCGIDL)
    .setDescription("Coefficient for the geometry independent part of CGIDL");
  p.addPar("POCGIDLD", static_cast<double>(0), &ADMSPSP103VA::Model::POCGIDLD)
    .setDescription("Coefficient for the geometry independent part of CGIDL for drain side");
  p.addPar("POCOX", static_cast<double>(1E-14), &ADMSPSP103VA::Model::POCOX)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the geometry independent part of COX");
  p.addPar("PLCOX", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCOX)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the length dependence of COX");
  p.addPar("PWCOX", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCOX)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the width dependence of COX");
  p.addPar("PLWCOX", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCOX)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the length times width dependence of COX");
  p.addPar("POCGOV", static_cast<double>(1E-15), &ADMSPSP103VA::Model::POCGOV)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the geometry independent part of CGOV");
  p.addPar("PLCGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCGOV)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the length dependence of CGOV");
  p.addPar("PWCGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCGOV)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the width dependence of CGOV");
  p.addPar("PLWCGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCGOV)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the length times width dependence of CGOV");
  p.addPar("POCGOVD", static_cast<double>(1E-15), &ADMSPSP103VA::Model::POCGOVD)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the geometry independent part of CGOV for drain side");
  p.addPar("PLCGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCGOVD)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the length dependence of CGOV for drain side");
  p.addPar("PWCGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCGOVD)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the width dependence of CGOV for drain side");
  p.addPar("PLWCGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCGOVD)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the length times width dependence of CGOV for drain side");
  p.addPar("POCGBOV", static_cast<double>(0), &ADMSPSP103VA::Model::POCGBOV)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the geometry independent part of CGBOV");
  p.addPar("PLCGBOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCGBOV)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the length dependence of CGBOV");
  p.addPar("PWCGBOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCGBOV)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the width dependence of CGBOV");
  p.addPar("PLWCGBOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCGBOV)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the length times width dependence of CGBOV");
  p.addPar("POCFR", static_cast<double>(0), &ADMSPSP103VA::Model::POCFR)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the geometry independent part of CFR");
  p.addPar("PLCFR", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCFR)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the length dependence of CFR");
  p.addPar("PWCFR", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCFR)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the width dependence of CFR");
  p.addPar("PLWCFR", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCFR)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the length times width dependence of CFR");
  p.addPar("POCFRD", static_cast<double>(0), &ADMSPSP103VA::Model::POCFRD)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the geometry independent part of CFR for drain side");
  p.addPar("PLCFRD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCFRD)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the length dependence of CFR for drain side");
  p.addPar("PWCFRD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCFRD)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the width dependence of CFR for drain side");
  p.addPar("PLWCFRD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCFRD)
    .setUnit(U_FARAD)

    .setDescription("Coefficient for the length times width dependence of CFR for drain side");
  p.addPar("POFNT", static_cast<double>(1), &ADMSPSP103VA::Model::POFNT)
    .setDescription("Coefficient for the geometry independent part of FNT");
  p.addPar("PONFA", static_cast<double>(8E+22), &ADMSPSP103VA::Model::PONFA)
    .setDescription("Coefficient for the geometry independent part of NFA");
  p.addPar("PLNFA", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNFA)
    .setDescription("Coefficient for the length dependence of NFA");
  p.addPar("PWNFA", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNFA)
    .setDescription("Coefficient for the width dependence of NFA");
  p.addPar("PLWNFA", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNFA)
    .setDescription("Coefficient for the length times width dependence of NFA");
  p.addPar("PONFB", static_cast<double>(3E+07), &ADMSPSP103VA::Model::PONFB)
    .setDescription("Coefficient for the geometry independent part of NFB");
  p.addPar("PLNFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNFB)
    .setDescription("Coefficient for the length dependence of NFB");
  p.addPar("PWNFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNFB)
    .setDescription("Coefficient for the width dependence of NFB");
  p.addPar("PLWNFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNFB)
    .setDescription("Coefficient for the length times width dependence of NFB");
  p.addPar("PONFC", static_cast<double>(0), &ADMSPSP103VA::Model::PONFC)
    .setDescription("Coefficient for the geometry independent part of NFC");
  p.addPar("PLNFC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNFC)
    .setDescription("Coefficient for the length dependence of NFC");
  p.addPar("PWNFC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNFC)
    .setDescription("Coefficient for the width dependence of NFC");
  p.addPar("PLWNFC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNFC)
    .setDescription("Coefficient for the length times width dependence of NFC");
  p.addPar("POEF", static_cast<double>(1.0), &ADMSPSP103VA::Model::POEF)
    .setDescription("Coefficient for the flicker noise frequency exponent");
  p.addPar("POKVTHOWE", static_cast<double>(0), &ADMSPSP103VA::Model::POKVTHOWE)
    .setDescription("Coefficient for the geometry independent part of KVTHOWE");
  p.addPar("PLKVTHOWE", static_cast<double>(0), &ADMSPSP103VA::Model::PLKVTHOWE)
    .setDescription("Coefficient for the length dependence part of KVTHOWE");
  p.addPar("PWKVTHOWE", static_cast<double>(0), &ADMSPSP103VA::Model::PWKVTHOWE)
    .setDescription("Coefficient for the width dependence part of KVTHOWE");
  p.addPar("PLWKVTHOWE", static_cast<double>(0), &ADMSPSP103VA::Model::PLWKVTHOWE)
    .setDescription("Coefficient for the length times width dependence part of KVTHOWE");
  p.addPar("POKUOWE", static_cast<double>(0), &ADMSPSP103VA::Model::POKUOWE)
    .setDescription("Coefficient for the geometry independent part of KUOWE");
  p.addPar("PLKUOWE", static_cast<double>(0), &ADMSPSP103VA::Model::PLKUOWE)
    .setDescription("Coefficient for the length dependence part of KUOWE");
  p.addPar("PWKUOWE", static_cast<double>(0), &ADMSPSP103VA::Model::PWKUOWE)
    .setDescription("Coefficient for the width dependence part of KUOWE");
  p.addPar("PLWKUOWE", static_cast<double>(0), &ADMSPSP103VA::Model::PLWKUOWE)
    .setDescription("Coefficient for the length times width dependence part of KUOWE");
  p.addPar("LMIN", static_cast<double>(0), &ADMSPSP103VA::Model::LMIN)
    .setUnit(U_METER)

    .setDescription("Dummy parameter to label binning set");
  p.addPar("LMAX", static_cast<double>(1.0), &ADMSPSP103VA::Model::LMAX)
    .setUnit(U_METER)

    .setDescription("Dummy parameter to label binning set");
  p.addPar("WMIN", static_cast<double>(0), &ADMSPSP103VA::Model::WMIN)
    .setUnit(U_METER)

    .setDescription("Dummy parameter to label binning set");
  p.addPar("WMAX", static_cast<double>(1.0), &ADMSPSP103VA::Model::WMAX)
    .setUnit(U_METER)

    .setDescription("Dummy parameter to label binning set");
  p.addPar("LVARO", static_cast<double>(0.0), &ADMSPSP103VA::Model::LVARO)
    .setUnit(U_METER)

    .setDescription("Geom. independent difference between actual and programmed gate length");
  p.addPar("LVARL", static_cast<double>(0.0), &ADMSPSP103VA::Model::LVARL)
    .setDescription("Length dependence of LVAR");
  p.addPar("LVARW", static_cast<double>(0.0), &ADMSPSP103VA::Model::LVARW)
    .setDescription("Width dependence of LVAR");
  p.addPar("LAP", static_cast<double>(0.0), &ADMSPSP103VA::Model::LAP)
    .setUnit(U_METER)

    .setDescription("Effective channel length reduction per side");
  p.addPar("WVARO", static_cast<double>(0.0), &ADMSPSP103VA::Model::WVARO)
    .setUnit(U_METER)

    .setDescription("Geom. independent difference between actual and programmed field-oxide opening");
  p.addPar("WVARL", static_cast<double>(0.0), &ADMSPSP103VA::Model::WVARL)
    .setDescription("Length dependence of WVAR");
  p.addPar("WVARW", static_cast<double>(0.0), &ADMSPSP103VA::Model::WVARW)
    .setDescription("Width dependence of WVAR");
  p.addPar("WOT", static_cast<double>(0.0), &ADMSPSP103VA::Model::WOT)
    .setUnit(U_METER)

    .setDescription("Effective channel width reduction per side");
  p.addPar("DLQ", static_cast<double>(0.0), &ADMSPSP103VA::Model::DLQ)
    .setUnit(U_METER)

    .setDescription("Effective channel length reduction for CV");
  p.addPar("DWQ", static_cast<double>(0.0), &ADMSPSP103VA::Model::DWQ)
    .setUnit(U_METER)

    .setDescription("Effective channel width reduction for CV");
  p.addPar("VFBO", static_cast<double>((-1.0)), &ADMSPSP103VA::Model::VFBO)
    .setUnit(U_VOLT)

    .setDescription("Geometry-independent flat-band voltage at TR");
  p.addPar("VFBL", static_cast<double>(0.0), &ADMSPSP103VA::Model::VFBL)
    .setUnit(U_VOLT)

    .setDescription("Length dependence of flat-band voltage");
  p.addPar("VFBW", static_cast<double>(0.0), &ADMSPSP103VA::Model::VFBW)
    .setUnit(U_VOLT)

    .setDescription("Width dependence of flat-band voltage");
  p.addPar("VFBLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::VFBLW)
    .setUnit(U_VOLT)

    .setDescription("Area dependence of flat-band voltage");
  p.addPar("STVFBO", static_cast<double>(5e-4), &ADMSPSP103VA::Model::STVFBO)
    .setUnit(U_VKM1)

    .setDescription("Geometry-independent temperature dependence of VFB");
  p.addPar("STVFBL", static_cast<double>(0.0), &ADMSPSP103VA::Model::STVFBL)
    .setUnit(U_VKM1)

    .setDescription("Length dependence of temperature dependence of VFB");
  p.addPar("STVFBW", static_cast<double>(0.0), &ADMSPSP103VA::Model::STVFBW)
    .setUnit(U_VKM1)

    .setDescription("Width dependence of temperature dependence of VFB");
  p.addPar("STVFBLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::STVFBLW)
    .setUnit(U_VKM1)

    .setDescription("Area dependence of temperature dependence of VFB");
  p.addPar("TOXO", static_cast<double>(2e-9), &ADMSPSP103VA::Model::TOXO)
    .setUnit(U_METER)

    .setDescription("Gate oxide thickness");
  p.addPar("EPSROXO", static_cast<double>(3.9), &ADMSPSP103VA::Model::EPSROXO)
    .setDescription("Relative permittivity of gate dielectric");
  p.addPar("NSUBO", static_cast<double>(3e23), &ADMSPSP103VA::Model::NSUBO)
    .setUnit(U_METERM3)

    .setDescription("Geometry independent substrate doping");
  p.addPar("NSUBW", static_cast<double>(0.0), &ADMSPSP103VA::Model::NSUBW)
    .setDescription("Width dependence of background doping NSUBO due to segregation");
  p.addPar("WSEG", static_cast<double>(1e-8), &ADMSPSP103VA::Model::WSEG)
    .setUnit(U_METER)

    .setDescription("Char. length of segregation of background doping NSUBO");
  p.addPar("NPCK", static_cast<double>(1e24), &ADMSPSP103VA::Model::NPCK)
    .setUnit(U_METERM3)

    .setDescription("Pocket doping level");
  p.addPar("NPCKW", static_cast<double>(0.0), &ADMSPSP103VA::Model::NPCKW)
    .setDescription("Width dependence of pocket doping NPCK due to segregation");
  p.addPar("WSEGP", static_cast<double>(1e-8), &ADMSPSP103VA::Model::WSEGP)
    .setUnit(U_METER)

    .setDescription("Char. length of segregation of pocket doping NPCK");
  p.addPar("LPCK", static_cast<double>(1e-8), &ADMSPSP103VA::Model::LPCK)
    .setUnit(U_METER)

    .setDescription("Char. length of lateral doping profile");
  p.addPar("LPCKW", static_cast<double>(0.0), &ADMSPSP103VA::Model::LPCKW)
    .setDescription("Width dependence of char. length of lateral doping profile");
  p.addPar("FOL1", static_cast<double>(0.0), &ADMSPSP103VA::Model::FOL1)
    .setDescription("First length dependence coefficient for short channel body effect");
  p.addPar("FOL2", static_cast<double>(0.0), &ADMSPSP103VA::Model::FOL2)
    .setDescription("Second length dependence coefficient for short channel body effect");
  p.addPar("FACNEFFACO", static_cast<double>(1.0), &ADMSPSP103VA::Model::FACNEFFACO)
    .setDescription("Geom. independent pre-factor for effective substrate doping in separate charge calculation");
  p.addPar("FACNEFFACL", static_cast<double>(0.0), &ADMSPSP103VA::Model::FACNEFFACL)
    .setDescription("Length dependence of FACNEFFAC");
  p.addPar("FACNEFFACW", static_cast<double>(0.0), &ADMSPSP103VA::Model::FACNEFFACW)
    .setDescription("Width dependence of FACNEFFAC");
  p.addPar("FACNEFFACLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::FACNEFFACLW)
    .setDescription("Area dependence of FACNEFFAC");
  p.addPar("GFACNUDO", static_cast<double>(1.0), &ADMSPSP103VA::Model::GFACNUDO)
    .setDescription("Geom. independent bodyfactor change due to NUD-effect");
  p.addPar("GFACNUDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::GFACNUDL)
    .setDescription("Length dependence of GFACNUD");
  p.addPar("GFACNUDLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::GFACNUDLEXP)
    .setDescription("Exponent for length dependence of GFACNUD");
  p.addPar("GFACNUDW", static_cast<double>(0.0), &ADMSPSP103VA::Model::GFACNUDW)
    .setDescription("Width dependence of GFACNUD");
  p.addPar("GFACNUDLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::GFACNUDLW)
    .setDescription("Area dependence of GFACNUD");
  p.addPar("VSBNUDO", static_cast<double>(0.0), &ADMSPSP103VA::Model::VSBNUDO)
    .setUnit(U_VOLT)

    .setDescription("Lower Vsb value for NUD-effect");
  p.addPar("DVSBNUDO", static_cast<double>(1.0), &ADMSPSP103VA::Model::DVSBNUDO)
    .setUnit(U_VOLT)

    .setDescription("Vsb range for NUD-effect");
  p.addPar("VNSUBO", static_cast<double>(0.0), &ADMSPSP103VA::Model::VNSUBO)
    .setUnit(U_VOLT)

    .setDescription("Effective doping bias-dependence parameter");
  p.addPar("NSLPO", static_cast<double>(0.05), &ADMSPSP103VA::Model::NSLPO)
    .setUnit(U_VOLT)

    .setDescription("Effective doping bias-dependence parameter");
  p.addPar("DNSUBO", static_cast<double>(0.0), &ADMSPSP103VA::Model::DNSUBO)
    .setUnit(U_VOLTM1)

    .setDescription("Effective doping bias-dependence parameter");
  p.addPar("DPHIBO", static_cast<double>(0.0), &ADMSPSP103VA::Model::DPHIBO)
    .setUnit(U_VOLT)

    .setDescription("Geometry independent offset of PHIB");
  p.addPar("DPHIBL", static_cast<double>(0.0), &ADMSPSP103VA::Model::DPHIBL)
    .setUnit(U_VOLT)

    .setDescription("Length dependence offset of PHIB");
  p.addPar("DPHIBLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::DPHIBLEXP)
    .setDescription("Exponent for length dependence of offset of PHIB");
  p.addPar("DPHIBW", static_cast<double>(0.0), &ADMSPSP103VA::Model::DPHIBW)
    .setUnit(U_VOLT)

    .setDescription("Width dependence of offset of PHIB");
  p.addPar("DPHIBLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::DPHIBLW)
    .setUnit(U_VOLT)

    .setDescription("Area dependence of offset of PHIB");
  p.addPar("DELVTACO", static_cast<double>(0.0), &ADMSPSP103VA::Model::DELVTACO)
    .setUnit(U_VOLT)

    .setDescription("Geom. independent offset parameter for PHIB in separate charge calculation");
  p.addPar("DELVTACL", static_cast<double>(0.0), &ADMSPSP103VA::Model::DELVTACL)
    .setUnit(U_VOLT)

    .setDescription("Length dependence of DELVTAC");
  p.addPar("DELVTACLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::DELVTACLEXP)
    .setDescription("Exponent for length dependence of offset of DELVTAC");
  p.addPar("DELVTACW", static_cast<double>(0.0), &ADMSPSP103VA::Model::DELVTACW)
    .setUnit(U_VOLT)

    .setDescription("Width dependence of DELVTAC");
  p.addPar("DELVTACLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::DELVTACLW)
    .setUnit(U_VOLT)

    .setDescription("Area dependence of DELVTAC");
  p.addPar("NPO", static_cast<double>(1e26), &ADMSPSP103VA::Model::NPO)
    .setUnit(U_METERM3)

    .setDescription("Geometry-independent gate poly-silicon doping");
  p.addPar("NPL", static_cast<double>(0.0), &ADMSPSP103VA::Model::NPL)
    .setDescription("Length dependence of gate poly-silicon doping");
  p.addPar("CTO", static_cast<double>(0.0), &ADMSPSP103VA::Model::CTO)
    .setDescription("Geometry-independent interface states factor");
  p.addPar("CTL", static_cast<double>(0.0), &ADMSPSP103VA::Model::CTL)
    .setDescription("Length dependence of interface states factor");
  p.addPar("CTLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::CTLEXP)
    .setDescription("Exponent for length dependence of interface states factor");
  p.addPar("CTW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CTW)
    .setDescription("Width dependence of interface states factor");
  p.addPar("CTLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CTLW)
    .setDescription("Area dependence of interface states factor");
  p.addPar("TOXOVO", static_cast<double>(2e-9), &ADMSPSP103VA::Model::TOXOVO)
    .setUnit(U_METER)

    .setDescription("Overlap oxide thickness");
  p.addPar("TOXOVDO", static_cast<double>(2e-9), &ADMSPSP103VA::Model::TOXOVDO)
    .setUnit(U_METER)

    .setDescription("Overlap oxide thickness for drain side");
  p.addPar("LOV", static_cast<double>(0), &ADMSPSP103VA::Model::LOV)
    .setUnit(U_METER)

    .setDescription("Overlap length for gate/drain and gate/source overlap capacitance");
  p.addPar("LOVD", static_cast<double>(0), &ADMSPSP103VA::Model::LOVD)
    .setUnit(U_METER)

    .setDescription("Overlap length for gate/drain overlap capacitance");
  p.addPar("NOVO", static_cast<double>(5e25), &ADMSPSP103VA::Model::NOVO)
    .setUnit(U_METERM3)

    .setDescription("Effective doping of overlap region");
  p.addPar("NOVDO", static_cast<double>(5e25), &ADMSPSP103VA::Model::NOVDO)
    .setUnit(U_METERM3)

    .setDescription("Effective doping of overlap region for drain side");
  p.addPar("CFL", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFL)
    .setDescription("Length dependence of DIBL-parameter");
  p.addPar("CFLEXP", static_cast<double>(2.0), &ADMSPSP103VA::Model::CFLEXP)
    .setDescription("Exponent for length dependence of CF");
  p.addPar("CFW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFW)
    .setDescription("Width dependence of CF");
  p.addPar("CFBO", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFBO)
    .setUnit(U_VOLTM1)

    .setDescription("Back-bias dependence of CF");
  p.addPar("UO", static_cast<double>(5e-2), &ADMSPSP103VA::Model::UO)
    .setUnit(U_M2VM1SM1)

    .setDescription("Zero-field mobility at TR");
  p.addPar("FBET1", static_cast<double>(0.0), &ADMSPSP103VA::Model::FBET1)
    .setDescription("Relative mobility decrease due to first lateral profile");
  p.addPar("FBET1W", static_cast<double>(0.0), &ADMSPSP103VA::Model::FBET1W)
    .setDescription("Width dependence of relative mobility decrease due to first lateral profile");
  p.addPar("LP1", static_cast<double>(1e-8), &ADMSPSP103VA::Model::LP1)
    .setUnit(U_METER)

    .setDescription("Mobility-related characteristic length of first lateral profile");
  p.addPar("LP1W", static_cast<double>(0.0), &ADMSPSP103VA::Model::LP1W)
    .setDescription("Width dependence of mobility-related characteristic length of first lateral profile");
  p.addPar("FBET2", static_cast<double>(0.0), &ADMSPSP103VA::Model::FBET2)
    .setDescription("Relative mobility decrease due to second lateral profile");
  p.addPar("LP2", static_cast<double>(1e-8), &ADMSPSP103VA::Model::LP2)
    .setUnit(U_METER)

    .setDescription("Mobility-related characteristic length of second lateral profile");
  p.addPar("BETW1", static_cast<double>(0.0), &ADMSPSP103VA::Model::BETW1)
    .setDescription("First higher-order width scaling coefficient of BETN");
  p.addPar("BETW2", static_cast<double>(0.0), &ADMSPSP103VA::Model::BETW2)
    .setDescription("Second higher-order width scaling coefficient of BETN");
  p.addPar("WBET", static_cast<double>(1e-9), &ADMSPSP103VA::Model::WBET)
    .setUnit(U_METER)

    .setDescription("Characteristic width for width scaling of BETN");
  p.addPar("STBETO", static_cast<double>(1.0), &ADMSPSP103VA::Model::STBETO)
    .setDescription("Geometry independent temperature dependence of BETN");
  p.addPar("STBETL", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBETL)
    .setDescription("Length dependence of temperature dependence of BETN");
  p.addPar("STBETW", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBETW)
    .setDescription("Width dependence of temperature dependence of BETN");
  p.addPar("STBETLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBETLW)
    .setDescription("Area dependence of temperature dependence of BETN");
  p.addPar("MUEO", static_cast<double>(0.5), &ADMSPSP103VA::Model::MUEO)
    .setUnit(U_MVM1)

    .setDescription("Geometry independent mobility reduction coefficient at TR");
  p.addPar("MUEW", static_cast<double>(0.0), &ADMSPSP103VA::Model::MUEW)
    .setDescription("Width dependence of mobility reduction coefficient at TR");
  p.addPar("STMUEO", static_cast<double>(0.0), &ADMSPSP103VA::Model::STMUEO)
    .setDescription("Temperature dependence of MUE");
  p.addPar("THEMUO", static_cast<double>(1.5), &ADMSPSP103VA::Model::THEMUO)
    .setDescription("Mobility reduction exponent at TR");
  p.addPar("STTHEMUO", static_cast<double>(1.5), &ADMSPSP103VA::Model::STTHEMUO)
    .setDescription("Temperature dependence of THEMU");
  p.addPar("CSO", static_cast<double>(0.0), &ADMSPSP103VA::Model::CSO)
    .setDescription("Geometry independent coulomb scattering parameter at TR");
  p.addPar("CSL", static_cast<double>(0.0), &ADMSPSP103VA::Model::CSL)
    .setDescription("Length dependence of CS");
  p.addPar("CSLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::CSLEXP)
    .setDescription("Exponent for length dependence of CS");
  p.addPar("CSW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CSW)
    .setDescription("Width dependence of CS");
  p.addPar("CSLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CSLW)
    .setDescription("Area dependence of CS");
  p.addPar("STCSO", static_cast<double>(0.0), &ADMSPSP103VA::Model::STCSO)
    .setDescription("Temperature dependence of CS");
  p.addPar("XCORO", static_cast<double>(0.0), &ADMSPSP103VA::Model::XCORO)
    .setUnit(U_VOLTM1)

    .setDescription("Geometry independent non-universality parameter");
  p.addPar("XCORL", static_cast<double>(0.0), &ADMSPSP103VA::Model::XCORL)
    .setDescription("Length dependence of non-universality parameter");
  p.addPar("XCORW", static_cast<double>(0.0), &ADMSPSP103VA::Model::XCORW)
    .setDescription("Width dependence of non-universality parameter");
  p.addPar("XCORLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::XCORLW)
    .setDescription("Area dependence of non-universality parameter");
  p.addPar("STXCORO", static_cast<double>(0.0), &ADMSPSP103VA::Model::STXCORO)
    .setDescription("Temperature dependence of XCOR");
  p.addPar("FETAO", static_cast<double>(1.0), &ADMSPSP103VA::Model::FETAO)
    .setDescription("Effective field parameter");
  p.addPar("RSW1", static_cast<double>(50.0), &ADMSPSP103VA::Model::RSW1)
    .setUnit(U_OHM)

    .setDescription("Source/drain series resistance for 1 um wide channel at TR");
  p.addPar("RSW2", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSW2)
    .setDescription("Higher-order width scaling of RS");
  p.addPar("STRSO", static_cast<double>(1.0), &ADMSPSP103VA::Model::STRSO)
    .setDescription("Temperature dependence of RS");
  p.addPar("RSBO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSBO)
    .setUnit(U_VOLTM1)

    .setDescription("Back-bias dependence of series resistance");
  p.addPar("RSGO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSGO)
    .setUnit(U_VOLTM1)

    .setDescription("Gate-bias dependence of series resistance");
  p.addPar("THESATO", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATO)
    .setUnit(U_VOLTM1)

    .setDescription("Geometry independent velocity saturation parameter at TR");
  p.addPar("THESATL", static_cast<double>(0.05), &ADMSPSP103VA::Model::THESATL)
    .setUnit(U_VOLTM1)

    .setDescription("Length dependence of THESAT");
  p.addPar("THESATLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::THESATLEXP)
    .setDescription("Exponent for length dependence of THESAT");
  p.addPar("THESATW", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATW)
    .setDescription("Width dependence of velocity saturation parameter");
  p.addPar("THESATLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATLW)
    .setDescription("Area dependence of velocity saturation parameter");
  p.addPar("STTHESATO", static_cast<double>(1.0), &ADMSPSP103VA::Model::STTHESATO)
    .setDescription("Geometry independent temperature dependence of THESAT");
  p.addPar("STTHESATL", static_cast<double>(0.0), &ADMSPSP103VA::Model::STTHESATL)
    .setDescription("Length dependence of temperature dependence of THESAT");
  p.addPar("STTHESATW", static_cast<double>(0.0), &ADMSPSP103VA::Model::STTHESATW)
    .setDescription("Width dependence of temperature dependence of THESAT");
  p.addPar("STTHESATLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::STTHESATLW)
    .setDescription("Area dependence of temperature dependence of THESAT");
  p.addPar("THESATBO", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATBO)
    .setUnit(U_VOLTM1)

    .setDescription("Back-bias dependence of velocity saturation");
  p.addPar("THESATGO", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATGO)
    .setUnit(U_VOLTM1)

    .setDescription("Gate-bias dependence of velocity saturation");
  p.addPar("AXO", static_cast<double>(18), &ADMSPSP103VA::Model::AXO)
    .setDescription("Geometry independent linear/saturation transition factor");
  p.addPar("AXL", static_cast<double>(0.4), &ADMSPSP103VA::Model::AXL)
    .setDescription("Length dependence of AX");
  p.addPar("ALPL", static_cast<double>(5e-4), &ADMSPSP103VA::Model::ALPL)
    .setDescription("Length dependence of ALP");
  p.addPar("ALPLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::ALPLEXP)
    .setDescription("Exponent for length dependence of ALP");
  p.addPar("ALPW", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALPW)
    .setDescription("Width dependence of ALP");
  p.addPar("ALP1L1", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALP1L1)
    .setUnit(U_VOLT)

    .setDescription("Length dependence of CLM enhancement factor above threshold");
  p.addPar("ALP1LEXP", static_cast<double>(0.5), &ADMSPSP103VA::Model::ALP1LEXP)
    .setDescription("Exponent for length dependence of ALP1");
  p.addPar("ALP1L2", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALP1L2)
    .setDescription("Second order length dependence of ALP1");
  p.addPar("ALP1W", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALP1W)
    .setDescription("Width dependence of ALP1");
  p.addPar("ALP2L1", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALP2L1)
    .setUnit(U_VOLTM1)

    .setDescription("Length dependence of CLM enhancement factor below threshold");
  p.addPar("ALP2LEXP", static_cast<double>(0.5), &ADMSPSP103VA::Model::ALP2LEXP)
    .setDescription("Exponent for length dependence of ALP2");
  p.addPar("ALP2L2", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALP2L2)
    .setDescription("Second order length dependence of ALP2");
  p.addPar("ALP2W", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALP2W)
    .setDescription("Width dependence of ALP2");
  p.addPar("VPO", static_cast<double>(0.05), &ADMSPSP103VA::Model::VPO)
    .setUnit(U_VOLT)

    .setDescription("CLM logarithmic dependence parameter");
  p.addPar("A1O", static_cast<double>(1.0), &ADMSPSP103VA::Model::A1O)
    .setDescription("Geometry independent impact-ionization pre-factor");
  p.addPar("A1L", static_cast<double>(0.0), &ADMSPSP103VA::Model::A1L)
    .setDescription("Length dependence of A1");
  p.addPar("A1W", static_cast<double>(0.0), &ADMSPSP103VA::Model::A1W)
    .setDescription("Width dependence of A1");
  p.addPar("A2O", static_cast<double>(10), &ADMSPSP103VA::Model::A2O)
    .setUnit(U_VOLT)

    .setDescription("Impact-ionization exponent at TR");
  p.addPar("STA2O", static_cast<double>(0.0), &ADMSPSP103VA::Model::STA2O)
    .setUnit(U_VOLT)

    .setDescription("Temperature dependence of A2");
  p.addPar("A3O", static_cast<double>(1.0), &ADMSPSP103VA::Model::A3O)
    .setDescription("Geometry independent saturation-voltage dependence of II");
  p.addPar("A3L", static_cast<double>(0.0), &ADMSPSP103VA::Model::A3L)
    .setDescription("Length dependence of A3");
  p.addPar("A3W", static_cast<double>(0.0), &ADMSPSP103VA::Model::A3W)
    .setDescription("Width dependence of A3");
  p.addPar("A4O", static_cast<double>(0.0), &ADMSPSP103VA::Model::A4O)
    .setUnit(U_VOLTMH)

    .setDescription("Geometry independent back-bias dependence of II");
  p.addPar("A4L", static_cast<double>(0.0), &ADMSPSP103VA::Model::A4L)
    .setDescription("Length dependence of A4");
  p.addPar("A4W", static_cast<double>(0.0), &ADMSPSP103VA::Model::A4W)
    .setDescription("Width dependence of A4");
  p.addPar("GCOO", static_cast<double>(0.0), &ADMSPSP103VA::Model::GCOO)
    .setDescription("Gate tunneling energy adjustment");
  p.addPar("IGINVLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::IGINVLW)
    .setUnit(U_AMP)

    .setDescription("Gate channel current pre-factor for 1 um**2 channel area");
  p.addPar("IGOVW", static_cast<double>(0.0), &ADMSPSP103VA::Model::IGOVW)
    .setUnit(U_AMP)

    .setDescription("Gate overlap current pre-factor for 1 um wide channel");
  p.addPar("IGOVDW", static_cast<double>(0.0), &ADMSPSP103VA::Model::IGOVDW)
    .setUnit(U_AMP)

    .setDescription("Gate overlap current pre-factor for 1 um wide channel for drain side");
  p.addPar("STIGO", static_cast<double>(2.0), &ADMSPSP103VA::Model::STIGO)
    .setDescription("Temperature dependence of IGINV and IGOV");
  p.addPar("GC2O", static_cast<double>(0.375), &ADMSPSP103VA::Model::GC2O)
    .setDescription("Gate current slope factor");
  p.addPar("GC3O", static_cast<double>(0.063), &ADMSPSP103VA::Model::GC3O)
    .setDescription("Gate current curvature factor");
  p.addPar("CHIBO", static_cast<double>(3.1), &ADMSPSP103VA::Model::CHIBO)
    .setUnit(U_VOLT)

    .setDescription("Tunneling barrier height");
  p.addPar("AGIDLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::AGIDLW)
    .setUnit(U_AMPVM3)

    .setDescription("Width dependence of GIDL pre-factor");
  p.addPar("AGIDLDW", static_cast<double>(0.0), &ADMSPSP103VA::Model::AGIDLDW)
    .setUnit(U_AMPVM3)

    .setDescription("Width dependence of GIDL pre-factor for drain side");
  p.addPar("BGIDLO", static_cast<double>(41), &ADMSPSP103VA::Model::BGIDLO)
    .setUnit(U_VOLT)

    .setDescription("GIDL probability factor at TR");
  p.addPar("BGIDLDO", static_cast<double>(41), &ADMSPSP103VA::Model::BGIDLDO)
    .setUnit(U_VOLT)

    .setDescription("GIDL probability factor at TR for drain side");
  p.addPar("STBGIDLO", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBGIDLO)
    .setUnit(U_VKM1)

    .setDescription("Temperature dependence of BGIDL");
  p.addPar("STBGIDLDO", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBGIDLDO)
    .setUnit(U_VKM1)

    .setDescription("Temperature dependence of BGIDL for drain side");
  p.addPar("CGIDLO", static_cast<double>(0.0), &ADMSPSP103VA::Model::CGIDLO)
    .setDescription("Back-bias dependence of GIDL");
  p.addPar("CGIDLDO", static_cast<double>(0.0), &ADMSPSP103VA::Model::CGIDLDO)
    .setDescription("Back-bias dependence of GIDL for drain side");
  p.addPar("CGBOVL", static_cast<double>(0.0), &ADMSPSP103VA::Model::CGBOVL)
    .setUnit(U_FARAD)

    .setDescription("Oxide capacitance for gate-bulk overlap for 1 um long channel");
  p.addPar("CFRW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFRW)
    .setUnit(U_FARAD)

    .setDescription("Outer fringe capacitance for 1 um wide channel");
  p.addPar("CFRDW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFRDW)
    .setUnit(U_FARAD)

    .setDescription("Outer fringe capacitance for 1 um wide channel for drain side");
  p.addPar("FNTO", static_cast<double>(1.0), &ADMSPSP103VA::Model::FNTO)
    .setDescription("Thermal noise coefficient");
  p.addPar("NFALW", static_cast<double>(8e22), &ADMSPSP103VA::Model::NFALW)
    .setDescription("First coefficient of flicker noise for 1 um**2 channel area");
  p.addPar("NFBLW", static_cast<double>(3e7), &ADMSPSP103VA::Model::NFBLW)
    .setDescription("Second coefficient of flicker noise for 1 um**2 channel area");
  p.addPar("NFCLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::NFCLW)
    .setUnit(U_VOLTM1)

    .setDescription("Third coefficient of flicker noise for 1 um**2 channel area");
  p.addPar("EFO", static_cast<double>(1.0), &ADMSPSP103VA::Model::EFO)
    .setDescription("Flicker noise frequency exponent");
  p.addPar("LINTNOI", static_cast<double>(0.0), &ADMSPSP103VA::Model::LINTNOI)
    .setUnit(U_METER)

    .setDescription("Length offset for flicker noise");
  p.addPar("ALPNOI", static_cast<double>(2.0), &ADMSPSP103VA::Model::ALPNOI)
    .setDescription("Exponent for length offset for flicker noise");
  p.addPar("KVTHOWEO", static_cast<double>(0), &ADMSPSP103VA::Model::KVTHOWEO)
    .setDescription("Geometrical independent threshold shift parameter");
  p.addPar("KVTHOWEL", static_cast<double>(0), &ADMSPSP103VA::Model::KVTHOWEL)
    .setDescription("Length dependent threshold shift parameter");
  p.addPar("KVTHOWEW", static_cast<double>(0), &ADMSPSP103VA::Model::KVTHOWEW)
    .setDescription("Width dependent threshold shift parameter");
  p.addPar("KVTHOWELW", static_cast<double>(0), &ADMSPSP103VA::Model::KVTHOWELW)
    .setDescription("Area dependent threshold shift parameter");
  p.addPar("KUOWEO", static_cast<double>(0), &ADMSPSP103VA::Model::KUOWEO)
    .setDescription("Geometrical independent mobility degradation factor");
  p.addPar("KUOWEL", static_cast<double>(0), &ADMSPSP103VA::Model::KUOWEL)
    .setDescription("Length dependent mobility degradation factor");
  p.addPar("KUOWEW", static_cast<double>(0), &ADMSPSP103VA::Model::KUOWEW)
    .setDescription("Width dependent mobility degradation factor");
  p.addPar("KUOWELW", static_cast<double>(0), &ADMSPSP103VA::Model::KUOWELW)
    .setDescription("Area dependent mobility degradation factor");
  p.addPar("RGO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RGO)
    .setUnit(U_OHM)

    .setDescription("Gate resistance");
  p.addPar("RINT", static_cast<double>(0.0), &ADMSPSP103VA::Model::RINT)
    .setUnit(U_OHMM2)

    .setDescription("Contact resistance between silicide and ploy");
  p.addPar("RVPOLY", static_cast<double>(0.0), &ADMSPSP103VA::Model::RVPOLY)
    .setUnit(U_OHMM2)

    .setDescription("Vertical poly resistance");
  p.addPar("RSHG", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSHG)
    .setUnit(U_OSQM1)

    .setDescription("Gate electrode diffusion sheet resistance");
  p.addPar("DLSIL", static_cast<double>(0.0), &ADMSPSP103VA::Model::DLSIL)
    .setUnit(U_METER)

    .setDescription("Silicide extension over the physical gate length");
  p.addPar("RSH", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSH)
    .setUnit(U_OSQM1)

    .setDescription("Sheet resistance of source diffusion");
  p.addPar("RSHD", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSHD)
    .setUnit(U_OSQM1)

    .setDescription("Sheet resistance of drain diffusion");
  p.addPar("RBULKO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RBULKO)
    .setUnit(U_OHM)

    .setDescription("Bulk resistance between node BP and BI");
  p.addPar("RWELLO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RWELLO)
    .setUnit(U_OHM)

    .setDescription("Well resistance between node BI and B");
  p.addPar("RJUNSO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RJUNSO)
    .setUnit(U_OHM)

    .setDescription("Source-side bulk resistance between node BI and BS");
  p.addPar("RJUNDO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RJUNDO)
    .setUnit(U_OHM)

    .setDescription("Drain-side bulk resistance between node BI and BD");
  p.addPar("SAREF", static_cast<double>(1.0e-6), &ADMSPSP103VA::Model::SAREF)
    .setUnit(U_METER)

    .setDescription("Reference distance between OD-edge and poly from one side");
  p.addPar("SBREF", static_cast<double>(1.0e-6), &ADMSPSP103VA::Model::SBREF)
    .setUnit(U_METER)

    .setDescription("Reference distance between OD-edge and poly from other side");
  p.addPar("WLOD", static_cast<double>(0), &ADMSPSP103VA::Model::WLOD)
    .setUnit(U_METER)

    .setDescription("Width parameter");
  p.addPar("KUO", static_cast<double>(0), &ADMSPSP103VA::Model::KUO)
    .setUnit(U_METER)

    .setDescription("Mobility degradation/enhancement coefficient");
  p.addPar("KVSAT", static_cast<double>(0), &ADMSPSP103VA::Model::KVSAT)
    .setUnit(U_METER)

    .setDescription("Saturation velocity degradation/enhancement coefficient");
  p.addPar("TKUO", static_cast<double>(0), &ADMSPSP103VA::Model::TKUO)
    .setDescription("Temperature dependence of KUO");
  p.addPar("LKUO", static_cast<double>(0), &ADMSPSP103VA::Model::LKUO)
    .setDescription("Length dependence of KUO");
  p.addPar("WKUO", static_cast<double>(0), &ADMSPSP103VA::Model::WKUO)
    .setDescription("Width dependence of KUO");
  p.addPar("PKUO", static_cast<double>(0), &ADMSPSP103VA::Model::PKUO)
    .setDescription("Cross-term dependence of KUO");
  p.addPar("LLODKUO", static_cast<double>(0), &ADMSPSP103VA::Model::LLODKUO)
    .setDescription("Length parameter for UO stress effect");
  p.addPar("WLODKUO", static_cast<double>(0), &ADMSPSP103VA::Model::WLODKUO)
    .setDescription("Width parameter for UO stress effect");
  p.addPar("KVTHO", static_cast<double>(0), &ADMSPSP103VA::Model::KVTHO)
    .setUnit(U_VM)

    .setDescription("Threshold shift parameter");
  p.addPar("LKVTHO", static_cast<double>(0), &ADMSPSP103VA::Model::LKVTHO)
    .setDescription("Length dependence of KVTHO");
  p.addPar("WKVTHO", static_cast<double>(0), &ADMSPSP103VA::Model::WKVTHO)
    .setDescription("Width dependence of KVTHO");
  p.addPar("PKVTHO", static_cast<double>(0), &ADMSPSP103VA::Model::PKVTHO)
    .setDescription("Cross-term dependence of KVTHO");
  p.addPar("LLODVTH", static_cast<double>(0), &ADMSPSP103VA::Model::LLODVTH)
    .setDescription("Length parameter for VTH-stress effect");
  p.addPar("WLODVTH", static_cast<double>(0), &ADMSPSP103VA::Model::WLODVTH)
    .setDescription("Width parameter for VTH-stress effect");
  p.addPar("STETAO", static_cast<double>(0), &ADMSPSP103VA::Model::STETAO)
    .setUnit(U_METER)

    .setDescription("eta0 shift factor related to VTHO change");
  p.addPar("LODETAO", static_cast<double>(1.0), &ADMSPSP103VA::Model::LODETAO)
    .setDescription("eta0 shift modification factor for stress effect");
  p.addPar("SCREF", static_cast<double>(1.0e-6), &ADMSPSP103VA::Model::SCREF)
    .setUnit(U_METER)

    .setDescription("Distance between OD-edge and well edge of a reference device");
  p.addPar("WEB", static_cast<double>(0), &ADMSPSP103VA::Model::WEB)
    .setDescription("Coefficient for SCB");
  p.addPar("WEC", static_cast<double>(0), &ADMSPSP103VA::Model::WEC)
    .setDescription("Coefficient for SCC");
  p.addPar("IMAX", static_cast<double>(1000), &ADMSPSP103VA::Model::IMAX)
    .setDescription("Maximum current up to which forward current behaves exponentially");
  p.addPar("TRJ", static_cast<double>(21), &ADMSPSP103VA::Model::TRJ)
    .setDescription("reference temperature");
  p.addPar("CJORBOT", static_cast<double>(1E-3), &ADMSPSP103VA::Model::CJORBOT)
    .setDescription("Zero-bias capacitance per unit-of-area of bottom component for source-bulk junction");
  p.addPar("CJORSTI", static_cast<double>(1E-9), &ADMSPSP103VA::Model::CJORSTI)
    .setDescription("Zero-bias capacitance per unit-of-length of STI-edge component for source-bulk junction");
  p.addPar("CJORGAT", static_cast<double>(1E-9), &ADMSPSP103VA::Model::CJORGAT)
    .setDescription("Zero-bias capacitance per unit-of-length of gate-edge component for source-bulk junction");
  p.addPar("VBIRBOT", static_cast<double>(1), &ADMSPSP103VA::Model::VBIRBOT)
    .setDescription("Built-in voltage at the reference temperature of bottom component for source-bulk junction");
  p.addPar("VBIRSTI", static_cast<double>(1), &ADMSPSP103VA::Model::VBIRSTI)
    .setDescription("Built-in voltage at the reference temperature of STI-edge component for source-bulk junction");
  p.addPar("VBIRGAT", static_cast<double>(1), &ADMSPSP103VA::Model::VBIRGAT)
    .setDescription("Built-in voltage at the reference temperature of gate-edge component for source-bulk junction");
  p.addPar("PBOT", static_cast<double>(0.5), &ADMSPSP103VA::Model::PBOT)
    .setDescription("Grading coefficient of bottom component for source-bulk junction");
  p.addPar("PSTI", static_cast<double>(0.5), &ADMSPSP103VA::Model::PSTI)
    .setDescription("Grading coefficient of STI-edge component for source-bulk junction");
  p.addPar("PGAT", static_cast<double>(0.5), &ADMSPSP103VA::Model::PGAT)
    .setDescription("Grading coefficient of gate-edge component for source-bulk junction");
  p.addPar("PHIGBOT", static_cast<double>(1.16), &ADMSPSP103VA::Model::PHIGBOT)
    .setDescription("Zero-temperature bandgap voltage of bottom component for source-bulk junction");
  p.addPar("PHIGSTI", static_cast<double>(1.16), &ADMSPSP103VA::Model::PHIGSTI)
    .setDescription("Zero-temperature bandgap voltage of STI-edge component for source-bulk junction");
  p.addPar("PHIGGAT", static_cast<double>(1.16), &ADMSPSP103VA::Model::PHIGGAT)
    .setDescription("Zero-temperature bandgap voltage of gate-edge component for source-bulk junction");
  p.addPar("IDSATRBOT", static_cast<double>(1E-12), &ADMSPSP103VA::Model::IDSATRBOT)
    .setDescription("Saturation current density at the reference temperature of bottom component for source-bulk junction");
  p.addPar("IDSATRSTI", static_cast<double>(1E-18), &ADMSPSP103VA::Model::IDSATRSTI)
    .setDescription("Saturation current density at the reference temperature of STI-edge component for source-bulk junction");
  p.addPar("IDSATRGAT", static_cast<double>(1E-18), &ADMSPSP103VA::Model::IDSATRGAT)
    .setDescription("Saturation current density at the reference temperature of gate-edge component for source-bulk junction");
  p.addPar("CSRHBOT", static_cast<double>(1E2), &ADMSPSP103VA::Model::CSRHBOT)
    .setDescription("Shockley-Read-Hall prefactor of bottom component for source-bulk junction");
  p.addPar("CSRHSTI", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CSRHSTI)
    .setDescription("Shockley-Read-Hall prefactor of STI-edge component for source-bulk junction");
  p.addPar("CSRHGAT", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CSRHGAT)
    .setDescription("Shockley-Read-Hall prefactor of gate-edge component for source-bulk junction");
  p.addPar("XJUNSTI", static_cast<double>(100E-9), &ADMSPSP103VA::Model::XJUNSTI)
    .setDescription("Junction depth of STI-edge component for source-bulk junction");
  p.addPar("XJUNGAT", static_cast<double>(100E-9), &ADMSPSP103VA::Model::XJUNGAT)
    .setDescription("Junction depth of gate-edge component for source-bulk junction");
  p.addPar("CTATBOT", static_cast<double>(1E2), &ADMSPSP103VA::Model::CTATBOT)
    .setDescription("Trap-assisted tunneling prefactor of bottom component for source-bulk junction");
  p.addPar("CTATSTI", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CTATSTI)
    .setDescription("Trap-assisted tunneling prefactor of STI-edge component for source-bulk junction");
  p.addPar("CTATGAT", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CTATGAT)
    .setDescription("Trap-assisted tunneling prefactor of gate-edge component for source-bulk junction");
  p.addPar("MEFFTATBOT", static_cast<double>(0.25), &ADMSPSP103VA::Model::MEFFTATBOT)
    .setDescription("Effective mass (in units of m0) for trap-assisted tunneling of bottom component for source-bulk junction");
  p.addPar("MEFFTATSTI", static_cast<double>(0.25), &ADMSPSP103VA::Model::MEFFTATSTI)
    .setDescription("Effective mass (in units of m0) for trap-assisted tunneling of STI-edge component for source-bulk junction");
  p.addPar("MEFFTATGAT", static_cast<double>(0.25), &ADMSPSP103VA::Model::MEFFTATGAT)
    .setDescription("Effective mass (in units of m0) for trap-assisted tunneling of gate-edge component for source-bulk junction");
  p.addPar("CBBTBOT", static_cast<double>(1E-12), &ADMSPSP103VA::Model::CBBTBOT)
    .setDescription("Band-to-band tunneling prefactor of bottom component for source-bulk junction");
  p.addPar("CBBTSTI", static_cast<double>(1E-18), &ADMSPSP103VA::Model::CBBTSTI)
    .setDescription("Band-to-band tunneling prefactor of STI-edge component for source-bulk junction");
  p.addPar("CBBTGAT", static_cast<double>(1E-18), &ADMSPSP103VA::Model::CBBTGAT)
    .setDescription("Band-to-band tunneling prefactor of gate-edge component for source-bulk junction");
  p.addPar("FBBTRBOT", static_cast<double>(1E9), &ADMSPSP103VA::Model::FBBTRBOT)
    .setDescription("Normalization field at the reference temperature for band-to-band tunneling of bottom component for source-bulk junction");
  p.addPar("FBBTRSTI", static_cast<double>(1E9), &ADMSPSP103VA::Model::FBBTRSTI)
    .setDescription("Normalization field at the reference temperature for band-to-band tunneling of STI-edge component for source-bulk junction");
  p.addPar("FBBTRGAT", static_cast<double>(1E9), &ADMSPSP103VA::Model::FBBTRGAT)
    .setDescription("Normalization field at the reference temperature for band-to-band tunneling of gate-edge component for source-bulk junction");
  p.addPar("STFBBTBOT", static_cast<double>((-1E-3)), &ADMSPSP103VA::Model::STFBBTBOT)
    .setDescription("Temperature scaling parameter for band-to-band tunneling of bottom component for source-bulk junction");
  p.addPar("STFBBTSTI", static_cast<double>((-1E-3)), &ADMSPSP103VA::Model::STFBBTSTI)
    .setDescription("Temperature scaling parameter for band-to-band tunneling of STI-edge component for source-bulk junction");
  p.addPar("STFBBTGAT", static_cast<double>((-1E-3)), &ADMSPSP103VA::Model::STFBBTGAT)
    .setDescription("Temperature scaling parameter for band-to-band tunneling of gate-edge component for source-bulk junction");
  p.addPar("VBRBOT", static_cast<double>(10), &ADMSPSP103VA::Model::VBRBOT)
    .setDescription("Breakdown voltage of bottom component for source-bulk junction");
  p.addPar("VBRSTI", static_cast<double>(10), &ADMSPSP103VA::Model::VBRSTI)
    .setDescription("Breakdown voltage of STI-edge component for source-bulk junction");
  p.addPar("VBRGAT", static_cast<double>(10), &ADMSPSP103VA::Model::VBRGAT)
    .setDescription("Breakdown voltage of gate-edge component for source-bulk junction");
  p.addPar("PBRBOT", static_cast<double>(4), &ADMSPSP103VA::Model::PBRBOT)
    .setDescription("Breakdown onset tuning parameter of bottom component for source-bulk junction");
  p.addPar("PBRSTI", static_cast<double>(4), &ADMSPSP103VA::Model::PBRSTI)
    .setDescription("Breakdown onset tuning parameter of STI-edge component for source-bulk junction");
  p.addPar("PBRGAT", static_cast<double>(4), &ADMSPSP103VA::Model::PBRGAT)
    .setDescription("Breakdown onset tuning parameter of gate-edge component for source-bulk junction");
  p.addPar("CJORBOTD", static_cast<double>(1E-3), &ADMSPSP103VA::Model::CJORBOTD)
    .setDescription("Zero-bias capacitance per unit-of-area of bottom component for drain-bulk junction");
  p.addPar("CJORSTID", static_cast<double>(1E-9), &ADMSPSP103VA::Model::CJORSTID)
    .setDescription("Zero-bias capacitance per unit-of-length of STI-edge component for drain-bulk junction");
  p.addPar("CJORGATD", static_cast<double>(1E-9), &ADMSPSP103VA::Model::CJORGATD)
    .setDescription("Zero-bias capacitance per unit-of-length of gate-edge component for drain-bulk junction");
  p.addPar("VBIRBOTD", static_cast<double>(1), &ADMSPSP103VA::Model::VBIRBOTD)
    .setDescription("Built-in voltage at the reference temperature of bottom component for drain-bulk junction");
  p.addPar("VBIRSTID", static_cast<double>(1), &ADMSPSP103VA::Model::VBIRSTID)
    .setDescription("Built-in voltage at the reference temperature of STI-edge component for drain-bulk junction");
  p.addPar("VBIRGATD", static_cast<double>(1), &ADMSPSP103VA::Model::VBIRGATD)
    .setDescription("Built-in voltage at the reference temperature of gate-edge component for drain-bulk junction");
  p.addPar("PBOTD", static_cast<double>(0.5), &ADMSPSP103VA::Model::PBOTD)
    .setDescription("Grading coefficient of bottom component for drain-bulk junction");
  p.addPar("PSTID", static_cast<double>(0.5), &ADMSPSP103VA::Model::PSTID)
    .setDescription("Grading coefficient of STI-edge component for drain-bulk junction");
  p.addPar("PGATD", static_cast<double>(0.5), &ADMSPSP103VA::Model::PGATD)
    .setDescription("Grading coefficient of gate-edge component for drain-bulk junction");
  p.addPar("PHIGBOTD", static_cast<double>(1.16), &ADMSPSP103VA::Model::PHIGBOTD)
    .setDescription("Zero-temperature bandgap voltage of bottom component for drain-bulk junction");
  p.addPar("PHIGSTID", static_cast<double>(1.16), &ADMSPSP103VA::Model::PHIGSTID)
    .setDescription("Zero-temperature bandgap voltage of STI-edge component for drain-bulk junction");
  p.addPar("PHIGGATD", static_cast<double>(1.16), &ADMSPSP103VA::Model::PHIGGATD)
    .setDescription("Zero-temperature bandgap voltage of gate-edge component for drain-bulk junction");
  p.addPar("IDSATRBOTD", static_cast<double>(1E-12), &ADMSPSP103VA::Model::IDSATRBOTD)
    .setDescription("Saturation current density at the reference temperature of bottom component for drain-bulk junction");
  p.addPar("IDSATRSTID", static_cast<double>(1E-18), &ADMSPSP103VA::Model::IDSATRSTID)
    .setDescription("Saturation current density at the reference temperature of STI-edge component for drain-bulk junction");
  p.addPar("IDSATRGATD", static_cast<double>(1E-18), &ADMSPSP103VA::Model::IDSATRGATD)
    .setDescription("Saturation current density at the reference temperature of gate-edge component for drain-bulk junction");
  p.addPar("CSRHBOTD", static_cast<double>(1E2), &ADMSPSP103VA::Model::CSRHBOTD)
    .setDescription("Shockley-Read-Hall prefactor of bottom component for drain-bulk junction");
  p.addPar("CSRHSTID", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CSRHSTID)
    .setDescription("Shockley-Read-Hall prefactor of STI-edge component for drain-bulk junction");
  p.addPar("CSRHGATD", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CSRHGATD)
    .setDescription("Shockley-Read-Hall prefactor of gate-edge component for drain-bulk junction");
  p.addPar("XJUNSTID", static_cast<double>(100E-9), &ADMSPSP103VA::Model::XJUNSTID)
    .setDescription("Junction depth of STI-edge component for drain-bulk junction");
  p.addPar("XJUNGATD", static_cast<double>(100E-9), &ADMSPSP103VA::Model::XJUNGATD)
    .setDescription("Junction depth of gate-edge component for drain-bulk junction");
  p.addPar("CTATBOTD", static_cast<double>(1E2), &ADMSPSP103VA::Model::CTATBOTD)
    .setDescription("Trap-assisted tunneling prefactor of bottom component for drain-bulk junction");
  p.addPar("CTATSTID", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CTATSTID)
    .setDescription("Trap-assisted tunneling prefactor of STI-edge component for drain-bulk junction");
  p.addPar("CTATGATD", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CTATGATD)
    .setDescription("Trap-assisted tunneling prefactor of gate-edge component for drain-bulk junction");
  p.addPar("MEFFTATBOTD", static_cast<double>(0.25), &ADMSPSP103VA::Model::MEFFTATBOTD)
    .setDescription("Effective mass (in units of m0) for trap-assisted tunneling of bottom component for drain-bulk junction");
  p.addPar("MEFFTATSTID", static_cast<double>(0.25), &ADMSPSP103VA::Model::MEFFTATSTID)
    .setDescription("Effective mass (in units of m0) for trap-assisted tunneling of STI-edge component for drain-bulk junction");
  p.addPar("MEFFTATGATD", static_cast<double>(0.25), &ADMSPSP103VA::Model::MEFFTATGATD)
    .setDescription("Effective mass (in units of m0) for trap-assisted tunneling of gate-edge component for drain-bulk junction");
  p.addPar("CBBTBOTD", static_cast<double>(1E-12), &ADMSPSP103VA::Model::CBBTBOTD)
    .setDescription("Band-to-band tunneling prefactor of bottom component for drain-bulk junction");
  p.addPar("CBBTSTID", static_cast<double>(1E-18), &ADMSPSP103VA::Model::CBBTSTID)
    .setDescription("Band-to-band tunneling prefactor of STI-edge component for drain-bulk junction");
  p.addPar("CBBTGATD", static_cast<double>(1E-18), &ADMSPSP103VA::Model::CBBTGATD)
    .setDescription("Band-to-band tunneling prefactor of gate-edge component for drain-bulk junction");
  p.addPar("FBBTRBOTD", static_cast<double>(1E9), &ADMSPSP103VA::Model::FBBTRBOTD)
    .setDescription("Normalization field at the reference temperature for band-to-band tunneling of bottom component for drain-bulk junction");
  p.addPar("FBBTRSTID", static_cast<double>(1E9), &ADMSPSP103VA::Model::FBBTRSTID)
    .setDescription("Normalization field at the reference temperature for band-to-band tunneling of STI-edge component for drain-bulk junction");
  p.addPar("FBBTRGATD", static_cast<double>(1E9), &ADMSPSP103VA::Model::FBBTRGATD)
    .setDescription("Normalization field at the reference temperature for band-to-band tunneling of gate-edge component for drain-bulk junction");
  p.addPar("STFBBTBOTD", static_cast<double>((-1E-3)), &ADMSPSP103VA::Model::STFBBTBOTD)
    .setDescription("Temperature scaling parameter for band-to-band tunneling of bottom component for drain-bulk junction");
  p.addPar("STFBBTSTID", static_cast<double>((-1E-3)), &ADMSPSP103VA::Model::STFBBTSTID)
    .setDescription("Temperature scaling parameter for band-to-band tunneling of STI-edge component for drain-bulk junction");
  p.addPar("STFBBTGATD", static_cast<double>((-1E-3)), &ADMSPSP103VA::Model::STFBBTGATD)
    .setDescription("Temperature scaling parameter for band-to-band tunneling of gate-edge component for drain-bulk junction");
  p.addPar("VBRBOTD", static_cast<double>(10), &ADMSPSP103VA::Model::VBRBOTD)
    .setDescription("Breakdown voltage of bottom component for drain-bulk junction");
  p.addPar("VBRSTID", static_cast<double>(10), &ADMSPSP103VA::Model::VBRSTID)
    .setDescription("Breakdown voltage of STI-edge component for drain-bulk junction");
  p.addPar("VBRGATD", static_cast<double>(10), &ADMSPSP103VA::Model::VBRGATD)
    .setDescription("Breakdown voltage of gate-edge component for drain-bulk junction");
  p.addPar("PBRBOTD", static_cast<double>(4), &ADMSPSP103VA::Model::PBRBOTD)
    .setDescription("Breakdown onset tuning parameter of bottom component for drain-bulk junction");
  p.addPar("PBRSTID", static_cast<double>(4), &ADMSPSP103VA::Model::PBRSTID)
    .setDescription("Breakdown onset tuning parameter of STI-edge component for drain-bulk junction");
  p.addPar("PBRGATD", static_cast<double>(4), &ADMSPSP103VA::Model::PBRGATD)
    .setDescription("Breakdown onset tuning parameter of gate-edge component for drain-bulk junction");
  p.addPar("SWJUNEXP", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWJUNEXP)
    .setDescription("Flag for JUNCAP-express; 0=full model, 1=express model");
  p.addPar("VJUNREF", static_cast<double>(2.5), &ADMSPSP103VA::Model::VJUNREF)
    .setDescription("Typical maximum source-bulk junction voltage; usually about 2*VSUP");
  p.addPar("FJUNQ", static_cast<double>(0.03), &ADMSPSP103VA::Model::FJUNQ)
    .setDescription("Fraction below which source-bulk junction capacitance components are considered negligible");
  p.addPar("VJUNREFD", static_cast<double>(2.5), &ADMSPSP103VA::Model::VJUNREFD)
    .setDescription("Typical maximum drain-bulk junction voltage; usually about 2*VSUP");
  p.addPar("FJUNQD", static_cast<double>(0.03), &ADMSPSP103VA::Model::FJUNQD)
    .setDescription("Fraction below which drain-bulk junction capacitance components are considered negligible");
  p.addPar("DTA", static_cast<double>(0.0), &ADMSPSP103VA::Model::DTA)
    .setUnit(U_DEGK)

    .setDescription("Temperature offset w.r.t. ambient temperature");

}

//-----------------------------------------------------------------------------
// Function      : Instance::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::processParams()
{
  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

  //    Parameter L : [ 1e-9,  (+inf) [
  if ( (!((L >=1e-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter L value " << L << " out of range [ 1e-9,  (+inf) [";
  }

  //    Parameter W : [ 1e-9,  (+inf) [
  if ( (!((W >=1e-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter W value " << W << " out of range [ 1e-9,  (+inf) [";
  }

  //    Parameter SCA : [ 0.0,  (+inf) [
  if ( (!((SCA >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SCA value " << SCA << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter SCB : [ 0.0,  (+inf) [
  if ( (!((SCB >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SCB value " << SCB << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter SCC : [ 0.0,  (+inf) [
  if ( (!((SCC >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SCC value " << SCC << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter NF : [ 1.0,  (+inf) [
  if ( (!((NF >=1.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NF value " << NF << " out of range [ 1.0,  (+inf) [";
  }

  //    Parameter NGCON : [ 1.0, 2.0 ]
  if ( (!((NGCON >=1.0 && NGCON <=2.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NGCON value " << NGCON << " out of range [ 1.0, 2.0 ]";
  }

  //    Parameter JW : [ 0,  (+inf) [
  if ( (!((JW >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter JW value " << JW << " out of range [ 0,  (+inf) [";
  }

  //    Parameter FACTUO : [ 0.0,  (+inf) [
  if ( (!((FACTUO >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter FACTUO value " << FACTUO << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter ABSOURCE : [ 0,  (+inf) [
  if ( (!((ABSOURCE >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ABSOURCE value " << ABSOURCE << " out of range [ 0,  (+inf) [";
  }

  //    Parameter LSSOURCE : [ 0,  (+inf) [
  if ( (!((LSSOURCE >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LSSOURCE value " << LSSOURCE << " out of range [ 0,  (+inf) [";
  }

  //    Parameter LGSOURCE : [ 0,  (+inf) [
  if ( (!((LGSOURCE >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LGSOURCE value " << LGSOURCE << " out of range [ 0,  (+inf) [";
  }

  //    Parameter ABDRAIN : [ 0,  (+inf) [
  if ( (!((ABDRAIN >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ABDRAIN value " << ABDRAIN << " out of range [ 0,  (+inf) [";
  }

  //    Parameter LSDRAIN : [ 0,  (+inf) [
  if ( (!((LSDRAIN >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LSDRAIN value " << LSDRAIN << " out of range [ 0,  (+inf) [";
  }

  //    Parameter LGDRAIN : [ 0,  (+inf) [
  if ( (!((LGDRAIN >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LGDRAIN value " << LGDRAIN << " out of range [ 0,  (+inf) [";
  }

  //    Parameter AS : [ 0,  (+inf) [
  if ( (!((AS >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter AS value " << AS << " out of range [ 0,  (+inf) [";
  }

  //    Parameter PS : [ 0,  (+inf) [
  if ( (!((PS >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PS value " << PS << " out of range [ 0,  (+inf) [";
  }

  //    Parameter AD : [ 0,  (+inf) [
  if ( (!((AD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter AD value " << AD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter PD : [ 0,  (+inf) [
  if ( (!((PD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PD value " << PD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter MULT : [ 0.0,  (+inf) [
  if ( (!((MULT >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MULT value " << MULT << " out of range [ 0.0,  (+inf) [";
  }


  // this seems a little stupid, but verilog models that use $temperature
  // don't also use a defined parameter "Temp", and count on $temperature
  // to be the one the simulator wants:

  updateTemperature(admsInstTemp);

  // and of course, this routine is where we should put the initial_instance
  // stuff
  double I5;
  double I4;
  double I3;
  double I2;
  double I1;
  double ijungat;
  double ijunsti;
  double ijunbot;
  double V5;
  double V4;
  double V3;
  double V2;
  double V1;
  double FRACI;
  double FRACNB;
  double FRACNA;
  double qjungat;
  double qjunsti;
  double qjunbot;
  double fbreakdown;
  double Fmaxr;
  double ibbt;
  double gammamax;
  double erfctimesexpmtat;
  double xerfc;
  double mtat;
  double ltat;
  double ktat;
  double wtat;
  double wgamma;
  double umaxpoweronepointfive;
  double sqrtumax;
  double umax;
  double umaxbeforelimiting;
  double twoatatoverthreebtat;
  double btat;
  double itat;
  double asrh;
  double wdep;
  double wsrh;
  double dwsrh;
  double wsrhstep;
  double vbi_minus_vjsrh;
  double isrh;
  double id;
  double tmp;
  double vav;
  double vbbt;
  double vjsrh;
  double vjlim;
  double two_psistar;
  double zinv;
  double z;
  double vj;
  double idmult;
  double h5;
  double h4;
  double h3;
  double h2d;
  double h2;
  double h1;
  double erfcpos;
  double terfc;
  double ysq;
  double pmax;
  double vbigat2r;
  double vbisti2r;
  double vbibot2r;
  double pgat2;
  double psti2;
  double pbot2;
  double vbigat2;
  double vbisti2;
  double vbibot2;
  double vmaxgat;
  double vmaxsti;
  double vmaxbot;
  double alphaje;
  double zfrac;
  double tt2;
  double tt1;
  double tt0;
  double I5_cor;
  double I4_cor;
  double I3_cor;
  double I2_cor;
  double I1_cor;
  double mcor_rev;
  double m0_rev;
  double jww;
  double jwcorr;
  double LGD_i;
  double LSD_i;
  double ABD_i;
  double LGS_i;
  double LSS_i;
  double ABS_i;
  double NEFFAC_i;
  double Sfl_prefac;
  double Cox_over_q;
  double nt;
  double tempM;
  double tf_ig;
  double tf_thesat;
  double tf_ther;
  double tf_xcor;
  double tf_cs;
  double tf_mue;
  double tf_bet;
  double CoxovPrime_d;
  double CoxovPrime;
  double phix2;
  double dphibq;
  double qb0;
  double np;
  double arg2max;
  double tox_sq;
  double CoxPrime;
  double EPSOX;
  double DELVTO_i;
  double FACTUO_i;
  double EF_i;
  double NFC_i;
  double NFB_i;
  double NFA_i;
  double FNT_i;
  double STBGIDLD_i;
  double STBGIDL_i;
  double STIG_i;
  double GCO_i;
  double STA2_i;
  double VP_i;
  double STTHESAT_i;
  double STRS_i;
  double RS_i;
  double FETA_i;
  double STXCOR_i;
  double STCS_i;
  double STTHEMU_i;
  double STMUE_i;
  double STBET_i;
  double BETN_i;
  double NOVD_i;
  double NOV_i;
  double TOXOVD_i;
  double TOXOV_i;
  double CT_i;
  double NP_i;
  double DELVTAC_i;
  double DPHIB_i;
  double DVSBNUD_i;
  double VSBNUD_i;
  double FACNEFFAC_i;
  double NEFF_i;
  double EPSROX_i;
  double TOX_i;
  double STVFB_i;
  double temp00;
  double Kstressvth0;
  double rhobetaref;
  double rhobeta;
  double Kstressu0;
  double tempw;
  double templ;
  double Wx;
  double Lx;
  double Invsbref;
  double Invsaref;
  double Invsb;
  double Invsa;
  double loop;
  double tmpb;
  double tmpa;
  double iiiLWcv;
  double iLcv;
  double iiLWcv;
  double iiWcv;
  double iiLcv;
  double iiiLEWEcv;
  double iLEcv;
  double iiLEWEcv;
  double iiWEcv;
  double iiLEcv;
  double iiiLEWE;
  double iiLEWE;
  double iiWE;
  double iiLE;
  double iLEWE;
  double KUOWE;
  double KVTHOWE;
  double Lred;
  double Lnoi;
  double temp0;
  double tmpx;
  double GWE;
  double GPE;
  double LP1e;
  double FBET1e;
  double NSUB;
  double BB;
  double AA;
  double LPCKe;
  double NPCKe;
  double NSUB0e;
  double RJUND_p;
  double RJUNS_p;
  double RBULK_p;
  double RWELL_p;
  double RDE_p;
  double RSE_p;
  double RG_p;
  double EF_p;
  double NFC_p;
  double NFB_p;
  double NFA_p;
  double FNT_p;
  double CFRD_p;
  double CFR_p;
  double CGBOV_p;
  double CGOVD_p;
  double CGOV_p;
  double COX_p;
  double CGIDLD_p;
  double CGIDL_p;
  double STBGIDLD_p;
  double STBGIDL_p;
  double BGIDLD_p;
  double BGIDL_p;
  double AGIDLD_p;
  double AGIDL_p;
  double CHIB_p;
  double GC3_p;
  double GC2_p;
  double STIG_p;
  double IGOVD_p;
  double IGOV_p;
  double IGINV_p;
  double GCO_p;
  double A4_p;
  double A3_p;
  double STA2_p;
  double A2_p;
  double A1_p;
  double VP_p;
  double ALP2_p;
  double ALP1_p;
  double ALP_p;
  double AX_p;
  double THESATG_p;
  double THESATB_p;
  double STTHESAT_p;
  double THESAT_p;
  double RSG_p;
  double RSB_p;
  double STRS_p;
  double RS_p;
  double FETA_p;
  double STXCOR_p;
  double XCOR_p;
  double STCS_p;
  double CS_p;
  double STTHEMU_p;
  double THEMU_p;
  double STMUE_p;
  double MUE_p;
  double STBET_p;
  double BETN_p;
  double CFB_p;
  double CF_p;
  double NOVD_p;
  double NOV_p;
  double TOXOVD_p;
  double TOXOV_p;
  double CT_p;
  double NP_p;
  double DELVTAC_p;
  double DPHIB_p;
  double DNSUB_p;
  double NSLP_p;
  double VNSUB_p;
  double DVSBNUD_p;
  double VSBNUD_p;
  double GFACNUD_p;
  double FACNEFFAC_p;
  double NEFF_p;
  double EPSROX_p;
  double TOX_p;
  double STVFB_p;
  double VFB_p;
  double XGWE;
  double W_f;
  double L_slif;
  double L_f;
  double iWE;
  double iLE;
  double Wcv;
  double Lcv;
  double WEcv;
  double LEcv;
  double delWOD;
  double delLPS;
  double iW;
  double iL;
  double WEN;
  double LEN;
  double NGCON_i;
  double SCC_i;
  double SCB_i;
  double SCA_i;
  double JW_i;
  double PD_i;
  double AD_i;
  double PS_i;
  double AS_i;
  double XGW_i;
  double SC_i;
  double SD_i;
  double SB_i;
  double SA_i;
  double W_i;
  double L_i;
  double WE;
  double LE;
  double invNF;
  double NF_i;
  //Begin block initial_instance
  {
    NF_i = 1.0;
    invNF = 1.0;
    LE = 0.0;
    WE = 0.0;
    L_i = L;
    W_i = W;
    SA_i = SA;
    SB_i = SB;
    SD_i = SD;
    SC_i = SC;
    XGW_i = XGW;
    ABSOURCE_i = ABSOURCE;
    LSSOURCE_i = LSSOURCE;
    LGSOURCE_i = LGSOURCE;
    ABDRAIN_i = ABDRAIN;
    LSDRAIN_i = LSDRAIN;
    LGDRAIN_i = LGDRAIN;
    AS_i = AS;
    PS_i = PS;
    AD_i = AD;
    PD_i = PD;
    JW_i = JW;
    if ((((model_.SWGEO_i)==1)||((model_.SWGEO_i)==2)))
    {
      NF_i = ((NF>1.0)?NF:1.0);
      NF_i = floor((NF_i+0.5));
      invNF = (1.0/NF_i);
      L_i = ((L_i>1e-9)?L_i:1e-9);
      W_i = (((W_i*invNF)>1e-9)?(W_i*invNF):1e-9);
      SCA_i = ((SCA>0.0)?SCA:0.0);
      SCB_i = ((SCB>0.0)?SCB:0.0);
      SCC_i = ((SCC>0.0)?SCC:0.0);
      NGCON_i = ((NGCON<1.5)?1.0:2.0);
      LEN = 1e-6;
      WEN = 1e-6;
      iL = (LEN/L_i);
      iW = (WEN/W_i);
      if (((model_.SWGEO_i)==2))
      {
        delLPS = ((model_.LVARO)*(1.0+((model_.LVARL)*iL)));
        delWOD = ((model_.WVARO)*(1.0+((model_.WVARW)*iW)));
      }
      else
      {
        delLPS = (((model_.LVARO)*(1.0+((model_.LVARL)*iL)))*(1.0+((model_.LVARW)*iW)));
        delWOD = (((model_.WVARO)*(1.0+((model_.WVARL)*iL)))*(1.0+((model_.WVARW)*iW)));
      }
      LE = ((((L_i+delLPS)-(2.0*(model_.LAP)))>1e-9)?((L_i+delLPS)-(2.0*(model_.LAP))):1e-9);
      WE = ((((W_i+delWOD)-(2.0*(model_.WOT)))>1e-9)?((W_i+delWOD)-(2.0*(model_.WOT))):1e-9);
      LEcv = (((((L_i+delLPS)-(2.0*(model_.LAP)))+(model_.DLQ))>1e-9)?(((L_i+delLPS)-(2.0*(model_.LAP)))+(model_.DLQ)):1e-9);
      WEcv = (((((W_i+delWOD)-(2.0*(model_.WOT)))+(model_.DWQ))>1e-9)?(((W_i+delWOD)-(2.0*(model_.WOT)))+(model_.DWQ)):1e-9);
      Lcv = ((((L_i+delLPS)+(model_.DLQ))>1e-9)?((L_i+delLPS)+(model_.DLQ)):1e-9);
      Wcv = ((((W_i+delWOD)+(model_.DWQ))>1e-9)?((W_i+delWOD)+(model_.DWQ)):1e-9);
      iLE = (LEN/LE);
      iWE = (WEN/WE);
      L_f = (((L_i+delLPS)>1e-9)?(L_i+delLPS):1e-9);
      L_slif = (((L_f+(model_.DLSIL))>1e-9)?(L_f+(model_.DLSIL)):1e-9);
      W_f = (((W_i+delWOD)>1e-9)?(W_i+delWOD):1e-9);
      XGWE = (((XGW_i-(0.5*delWOD))>1e-9)?(XGW_i-(0.5*delWOD)):1e-9);
    }
    if (((model_.SWGEO_i)==0))
    {
      VFB_p = (model_.VFB);
      STVFB_p = (model_.STVFB);
      TOX_p = (model_.TOX);
      EPSROX_p = (model_.EPSROX);
      NEFF_p = (model_.NEFF);
      FACNEFFAC_p = (model_.FACNEFFAC);
      GFACNUD_p = (model_.GFACNUD);
      VSBNUD_p = (model_.VSBNUD);
      DVSBNUD_p = (model_.DVSBNUD);
      VNSUB_p = (model_.VNSUB);
      NSLP_p = (model_.NSLP);
      DNSUB_p = (model_.DNSUB);
      DPHIB_p = (model_.DPHIB);
      DELVTAC_p = (model_.DELVTAC);
      NP_p = (model_.NP);
      CT_p = (model_.CT);
      TOXOV_p = (model_.TOXOV);
      TOXOVD_p = (model_.TOXOVD);
      NOV_p = (model_.NOV);
      NOVD_p = (model_.NOVD);
      CF_p = (model_.CF);
      CFB_p = (model_.CFB);
      BETN_p = (model_.BETN);
      STBET_p = (model_.STBET);
      MUE_p = (model_.MUE);
      STMUE_p = (model_.STMUE);
      THEMU_p = (model_.THEMU);
      STTHEMU_p = (model_.STTHEMU);
      CS_p = (model_.CS);
      STCS_p = (model_.STCS);
      XCOR_p = (model_.XCOR);
      STXCOR_p = (model_.STXCOR);
      FETA_p = (model_.FETA);
      RS_p = (model_.RS);
      STRS_p = (model_.STRS);
      RSB_p = (model_.RSB);
      RSG_p = (model_.RSG);
      THESAT_p = (model_.THESAT);
      STTHESAT_p = (model_.STTHESAT);
      THESATB_p = (model_.THESATB);
      THESATG_p = (model_.THESATG);
      AX_p = (model_.AX);
      ALP_p = (model_.ALP);
      ALP1_p = (model_.ALP1);
      ALP2_p = (model_.ALP2);
      VP_p = (model_.VP);
      A1_p = (model_.A1);
      A2_p = (model_.A2);
      STA2_p = (model_.STA2);
      A3_p = (model_.A3);
      A4_p = (model_.A4);
      GCO_p = (model_.GCO);
      IGINV_p = (model_.IGINV);
      IGOV_p = (model_.IGOV);
      IGOVD_p = (model_.IGOVD);
      STIG_p = (model_.STIG);
      GC2_p = (model_.GC2);
      GC3_p = (model_.GC3);
      CHIB_p = (model_.CHIB);
      AGIDL_p = (model_.AGIDL);
      AGIDLD_p = (model_.AGIDLD);
      BGIDL_p = (model_.BGIDL);
      BGIDLD_p = (model_.BGIDLD);
      STBGIDL_p = (model_.STBGIDL);
      STBGIDLD_p = (model_.STBGIDLD);
      CGIDL_p = (model_.CGIDL);
      CGIDLD_p = (model_.CGIDLD);
      COX_p = (model_.COX);
      CGOV_p = (model_.CGOV);
      CGOVD_p = (model_.CGOVD);
      CGBOV_p = (model_.CGBOV);
      CFR_p = (model_.CFR);
      CFRD_p = (model_.CFRD);
      FNT_p = (model_.FNT);
      NFA_p = (model_.NFA);
      NFB_p = (model_.NFB);
      NFC_p = (model_.NFC);
      EF_p = (model_.EF);
      RG_p = (model_.RG);
      RSE_p = (model_.RSE);
      RDE_p = (model_.RDE);
      RWELL_p = (model_.RWELL);
      RBULK_p = (model_.RBULK);
      RJUNS_p = (model_.RJUNS);
      RJUND_p = (model_.RJUND);
    }
    if (((model_.SWGEO_i)==1))
    {
      VFB_p = ((((model_.VFBO)+((model_.VFBL)*iLE))+((model_.VFBW)*iWE))+(((model_.VFBLW)*iLE)*iWE));
      STVFB_p = ((((model_.STVFBO)+((model_.STVFBL)*iLE))+((model_.STVFBW)*iWE))+(((model_.STVFBLW)*iLE)*iWE));
      TOX_p = (model_.TOXO);
      EPSROX_p = (model_.EPSROXO);
      NSUB0e = ((model_.NSUBO_i)*(((1.0+(((model_.NSUBW)*iWE)*log((1.0+(WE/(model_.WSEG_i))))))>1.0E-03)?(1.0+(((model_.NSUBW)*iWE)*log((1.0+(WE/(model_.WSEG_i)))))):1.0E-03));
      NPCKe = ((model_.NPCK_i)*(((1.0+(((model_.NPCKW)*iWE)*log((1.0+(WE/(model_.WSEGP_i))))))>1.0E-03)?(1.0+(((model_.NPCKW)*iWE)*log((1.0+(WE/(model_.WSEGP_i)))))):1.0E-03));
      LPCKe = ((model_.LPCK_i)*(((1.0+(((model_.LPCKW)*iWE)*log((1.0+(WE/(model_.WSEGP_i))))))>1.0E-03)?(1.0+(((model_.LPCKW)*iWE)*log((1.0+(WE/(model_.WSEGP_i)))))):1.0E-03));
      if ((LE>(2*LPCKe)))
      {
        AA = 7.5e10;
        BB = (sqrt((NSUB0e+(0.5*NPCKe)))-sqrt(NSUB0e));
        NSUB = (sqrt(NSUB0e)+(AA*log((1+(((2*LPCKe)/LE)*(exp((BB/AA))-1))))));
        NSUB = (NSUB*NSUB);
      }
      else
      {
        if ((LE>=LPCKe))
        {
          NSUB = (NSUB0e+((NPCKe*LPCKe)/LE));
        }
        else
        {
          NSUB = (NSUB0e+(NPCKe*(2-(LE/LPCKe))));
        }
      }
      NEFF_p = (NSUB*((1-((model_.FOL1)*iLE))-(((model_.FOL2)*iLE)*iLE)));
      FACNEFFAC_p = ((((model_.FACNEFFACO)+((model_.FACNEFFACL)*iLE))+((model_.FACNEFFACW)*iWE))+(((model_.FACNEFFACLW)*iLE)*iWE));
      GFACNUD_p = ((((model_.GFACNUDO)+((model_.GFACNUDL)*pow(iLE,(model_.GFACNUDLEXP))))+((model_.GFACNUDW)*iWE))+(((model_.GFACNUDLW)*iLE)*iWE));
      VSBNUD_p = (model_.VSBNUDO);
      DVSBNUD_p = (model_.DVSBNUDO);
      VNSUB_p = (model_.VNSUBO);
      NSLP_p = (model_.NSLPO);
      DNSUB_p = (model_.DNSUBO);
      DPHIB_p = ((((model_.DPHIBO)+((model_.DPHIBL)*pow(iLE,(model_.DPHIBLEXP))))+((model_.DPHIBW)*iWE))+(((model_.DPHIBLW)*iLE)*iWE));
      DELVTAC_p = ((((model_.DELVTACO)+((model_.DELVTACL)*pow(iLE,(model_.DELVTACLEXP))))+((model_.DELVTACW)*iWE))+(((model_.DELVTACLW)*iLE)*iWE));
      NP_p = ((model_.NPO)*((1e-6>(1.0+((model_.NPL)*iLE)))?1e-6:(1.0+((model_.NPL)*iLE))));
      CT_p = ((((model_.CTO)+((model_.CTL)*pow(iLE,(model_.CTLEXP))))*(1.0+((model_.CTW)*iWE)))*(1.0+(((model_.CTLW)*iLE)*iWE)));
      TOXOV_p = (model_.TOXOVO);
      TOXOVD_p = (model_.TOXOVDO);
      NOV_p = (model_.NOVO);
      NOVD_p = (model_.NOVDO);
      CF_p = (((model_.CFL)*pow(iLE,(model_.CFLEXP)))*(1.0+((model_.CFW)*iWE)));
      CFB_p = (model_.CFBO);
      FBET1e = ((model_.FBET1)*(1.0+((model_.FBET1W)*iWE)));
      LP1e = ((model_.LP1_i)*(((1.0+((model_.LP1W)*iWE))>1.0E-03)?(1.0+((model_.LP1W)*iWE)):1.0E-03));
      GPE = ((1.0+(((FBET1e*LP1e)/LE)*(1.0-exp(((-LE)/LP1e)))))+((((model_.FBET2)*(model_.LP2_i))/LE)*(1.0-exp(((-LE)/(model_.LP2_i))))));
      GPE = ((GPE>1e-15)?GPE:1e-15);
      GWE = ((1.0+((model_.BETW1)*iWE))+(((model_.BETW2)*iWE)*log((1.0+(WE/(model_.WBET_i))))));
      BETN_p = ((((model_.UO)*WE)/(GPE*LE))*GWE);
      STBET_p = ((((model_.STBETO)+((model_.STBETL)*iLE))+((model_.STBETW)*iWE))+(((model_.STBETLW)*iLE)*iWE));
      MUE_p = ((model_.MUEO)*(1.0+((model_.MUEW)*iWE)));
      STMUE_p = (model_.STMUEO);
      THEMU_p = (model_.THEMUO);
      STTHEMU_p = (model_.STTHEMUO);
      CS_p = ((((model_.CSO)+((model_.CSL)*pow(iLE,(model_.CSLEXP))))*(1.0+((model_.CSW)*iWE)))*(1.0+(((model_.CSLW)*iLE)*iWE)));
      STCS_p = (model_.STCSO);
      XCOR_p = ((((model_.XCORO)*(1.0+((model_.XCORL)*iLE)))*(1.0+((model_.XCORW)*iWE)))*(1.0+(((model_.XCORLW)*iLE)*iWE)));
      STXCOR_p = (model_.STXCORO);
      FETA_p = (model_.FETAO);
      RS_p = (((model_.RSW1)*iWE)*(1.0+((model_.RSW2)*iWE)));
      STRS_p = (model_.STRSO);
      RSB_p = (model_.RSBO);
      RSG_p = (model_.RSGO);
      THESAT_p = ((((model_.THESATO)+((((model_.THESATL)*GWE)/GPE)*pow(iLE,(model_.THESATLEXP))))*(1.0+((model_.THESATW)*iWE)))*(1.0+(((model_.THESATLW)*iLE)*iWE)));
      STTHESAT_p = ((((model_.STTHESATO)+((model_.STTHESATL)*iLE))+((model_.STTHESATW)*iWE))+(((model_.STTHESATLW)*iLE)*iWE));
      THESATB_p = (model_.THESATBO);
      THESATG_p = (model_.THESATGO);
      AX_p = ((model_.AXO)/(1.0+((model_.AXL_i)*iLE)));
      ALP_p = (((model_.ALPL)*pow(iLE,(model_.ALPLEXP)))*(1.0+((model_.ALPW)*iWE)));
      tmpx = pow(iLE,(model_.ALP1LEXP));
      ALP1_p = ((((model_.ALP1L1)*tmpx)*(1.0+((model_.ALP1W)*iWE)))/(1.0+(((model_.ALP1L2_i)*iLE)*tmpx)));
      tmpx = pow(iLE,(model_.ALP2LEXP));
      ALP2_p = ((((model_.ALP2L1)*tmpx)*(1.0+((model_.ALP2W)*iWE)))/(1.0+(((model_.ALP2L2_i)*iLE)*tmpx)));
      VP_p = (model_.VPO);
      A1_p = (((model_.A1O)*(1.0+((model_.A1L)*iLE)))*(1.0+((model_.A1W)*iWE)));
      A2_p = (model_.A2O);
      STA2_p = (model_.STA2O);
      A3_p = (((model_.A3O)*(1.0+((model_.A3L)*iLE)))*(1.0+((model_.A3W)*iWE)));
      A4_p = (((model_.A4O)*(1.0+((model_.A4L)*iLE)))*(1.0+((model_.A4W)*iWE)));
      GCO_p = (model_.GCOO);
      IGINV_p = ((model_.IGINVLW)/(iWE*iLE));
      IGOV_p = (((model_.IGOVW)*(model_.LOV_i))/(LEN*iWE));
      IGOVD_p = (((model_.IGOVDW)*(model_.LOVD_i))/(LEN*iWE));
      STIG_p = (model_.STIGO);
      GC2_p = (model_.GC2O);
      GC3_p = (model_.GC3O);
      CHIB_p = (model_.CHIBO);
      AGIDL_p = (((model_.AGIDLW)*(model_.LOV_i))/(LEN*iWE));
      AGIDLD_p = (((model_.AGIDLDW)*(model_.LOVD_i))/(LEN*iWE));
      BGIDL_p = (model_.BGIDLO);
      BGIDLD_p = (model_.BGIDLDO);
      STBGIDL_p = (model_.STBGIDLO);
      STBGIDLD_p = (model_.STBGIDLDO);
      CGIDL_p = (model_.CGIDLO);
      CGIDLD_p = (model_.CGIDLDO);
      COX_p = ((((8.8541878176E-12*(model_.EPSROXO_i))*WEcv)*LEcv)/(model_.TOXO_i));
      CGOV_p = ((((8.8541878176E-12*(model_.EPSROXO_i))*WEcv)*(model_.LOV_i))/(model_.TOXOVO_i));
      CGOVD_p = ((((8.8541878176E-12*(model_.EPSROXO_i))*WEcv)*(model_.LOVD_i))/(model_.TOXOVDO_i));
      CGBOV_p = (((model_.CGBOVL)*Lcv)/LEN);
      CFR_p = (((model_.CFRW)*Wcv)/WEN);
      CFRD_p = (((model_.CFRDW)*Wcv)/WEN);
      temp0 = (1.0-(((2.0*(model_.LINTNOI))*iLE)/LEN));
      Lnoi = ((temp0>1.0e-3)?temp0:1.0e-3);
      Lred = (1.0/pow(Lnoi,(model_.ALPNOI)));
      FNT_p = (model_.FNTO);
      NFA_p = (((Lred*iWE)*iLE)*(model_.NFALW));
      NFB_p = (((Lred*iWE)*iLE)*(model_.NFBLW));
      NFC_p = (((Lred*iWE)*iLE)*(model_.NFCLW));
      EF_p = (model_.EFO);
      KVTHOWE = ((((model_.KVTHOWEO)+((model_.KVTHOWEL)*iLE))+((model_.KVTHOWEW)*iWE))+(((model_.KVTHOWELW)*iLE)*iWE));
      KUOWE = ((((model_.KUOWEO)+((model_.KUOWEL)*iLE))+((model_.KUOWEW)*iWE))+(((model_.KUOWELW)*iLE)*iWE));
    }
    if (((model_.SWGEO_i)==2))
    {
      iLEWE = (iLE*iWE);
      iiLE = (LE/LEN);
      iiWE = (WE/WEN);
      iiLEWE = (iiLE*iiWE);
      iiiLEWE = (iiWE/iiLE);
      iiLEcv = (LEcv/LEN);
      iiWEcv = (WEcv/WEN);
      iiLEWEcv = (iiLEcv*iiWEcv);
      iLEcv = (LEN/LEcv);
      iiiLEWEcv = (iiWEcv/iiLEcv);
      iiLcv = (Lcv/LEN);
      iiWcv = (Wcv/WEN);
      iiLWcv = (iiLcv*iiWcv);
      iLcv = (LEN/Lcv);
      iiiLWcv = (iiWcv/iiLcv);
      VFB_p = ((((model_.POVFB)+(iLE*(model_.PLVFB)))+(iWE*(model_.PWVFB)))+(iLEWE*(model_.PLWVFB)));
      STVFB_p = ((((model_.POSTVFB)+(iLE*(model_.PLSTVFB)))+(iWE*(model_.PWSTVFB)))+(iLEWE*(model_.PLWSTVFB)));
      TOX_p = (model_.POTOX);
      EPSROX_p = (model_.POEPSROX);
      NEFF_p = ((((model_.PONEFF)+(iLE*(model_.PLNEFF)))+(iWE*(model_.PWNEFF)))+(iLEWE*(model_.PLWNEFF)));
      FACNEFFAC_p = ((((model_.POFACNEFFAC)+(iLE*(model_.PLFACNEFFAC)))+(iWE*(model_.PWFACNEFFAC)))+(iLEWE*(model_.PLWFACNEFFAC)));
      GFACNUD_p = ((((model_.POGFACNUD)+((model_.PLGFACNUD)*iLE))+((model_.PWGFACNUD)*iWE))+(((model_.PLWGFACNUD)*iLE)*iWE));
      VSBNUD_p = (model_.POVSBNUD);
      DVSBNUD_p = (model_.PODVSBNUD);
      VNSUB_p = (model_.POVNSUB);
      NSLP_p = (model_.PONSLP);
      DNSUB_p = (model_.PODNSUB);
      DPHIB_p = ((((model_.PODPHIB)+(iLE*(model_.PLDPHIB)))+(iWE*(model_.PWDPHIB)))+(iLEWE*(model_.PLWDPHIB)));
      DELVTAC_p = ((((model_.PODELVTAC)+(iLE*(model_.PLDELVTAC)))+(iWE*(model_.PWDELVTAC)))+(iLEWE*(model_.PLWDELVTAC)));
      NP_p = ((((model_.PONP)+(iLE*(model_.PLNP)))+(iWE*(model_.PWNP)))+(iLEWE*(model_.PLWNP)));
      CT_p = ((((model_.POCT)+(iLE*(model_.PLCT)))+(iWE*(model_.PWCT)))+(iLEWE*(model_.PLWCT)));
      TOXOV_p = (model_.POTOXOV);
      TOXOVD_p = (model_.POTOXOVD);
      NOV_p = ((((model_.PONOV)+(iLE*(model_.PLNOV)))+(iWE*(model_.PWNOV)))+(iLEWE*(model_.PLWNOV)));
      NOVD_p = ((((model_.PONOVD)+(iLE*(model_.PLNOVD)))+(iWE*(model_.PWNOVD)))+(iLEWE*(model_.PLWNOVD)));
      CF_p = ((((model_.POCF)+(iLE*(model_.PLCF)))+(iWE*(model_.PWCF)))+(iLEWE*(model_.PLWCF)));
      CFB_p = (model_.POCFB);
      BETN_p = ((iiWE*iLE)*((((model_.POBETN)+(iLE*(model_.PLBETN)))+(iWE*(model_.PWBETN)))+(iLEWE*(model_.PLWBETN))));
      STBET_p = ((((model_.POSTBET)+(iLE*(model_.PLSTBET)))+(iWE*(model_.PWSTBET)))+(iLEWE*(model_.PLWSTBET)));
      MUE_p = ((((model_.POMUE)+(iLE*(model_.PLMUE)))+(iWE*(model_.PWMUE)))+(iLEWE*(model_.PLWMUE)));
      STMUE_p = (model_.POSTMUE);
      THEMU_p = (model_.POTHEMU);
      STTHEMU_p = (model_.POSTTHEMU);
      CS_p = ((((model_.POCS)+(iLE*(model_.PLCS)))+(iWE*(model_.PWCS)))+(iLEWE*(model_.PLWCS)));
      STCS_p = (model_.POSTCS);
      XCOR_p = ((((model_.POXCOR)+(iLE*(model_.PLXCOR)))+(iWE*(model_.PWXCOR)))+(iLEWE*(model_.PLWXCOR)));
      STXCOR_p = (model_.POSTXCOR);
      FETA_p = (model_.POFETA);
      RS_p = ((((model_.PORS)+(iLE*(model_.PLRS)))+(iWE*(model_.PWRS)))+(iLEWE*(model_.PLWRS)));
      STRS_p = (model_.POSTRS);
      RSB_p = (model_.PORSB);
      RSG_p = (model_.PORSG);
      THESAT_p = ((((model_.POTHESAT)+(iLE*(model_.PLTHESAT)))+(iWE*(model_.PWTHESAT)))+(iLEWE*(model_.PLWTHESAT)));
      STTHESAT_p = ((((model_.POSTTHESAT)+(iLE*(model_.PLSTTHESAT)))+(iWE*(model_.PWSTTHESAT)))+(iLEWE*(model_.PLWSTTHESAT)));
      THESATB_p = ((((model_.POTHESATB)+(iLE*(model_.PLTHESATB)))+(iWE*(model_.PWTHESATB)))+(iLEWE*(model_.PLWTHESATB)));
      THESATG_p = ((((model_.POTHESATG)+(iLE*(model_.PLTHESATG)))+(iWE*(model_.PWTHESATG)))+(iLEWE*(model_.PLWTHESATG)));
      AX_p = ((((model_.POAX)+(iLE*(model_.PLAX)))+(iWE*(model_.PWAX)))+(iLEWE*(model_.PLWAX)));
      ALP_p = ((((model_.POALP)+(iLE*(model_.PLALP)))+(iWE*(model_.PWALP)))+(iLEWE*(model_.PLWALP)));
      ALP1_p = ((((model_.POALP1)+(iLE*(model_.PLALP1)))+(iWE*(model_.PWALP1)))+(iLEWE*(model_.PLWALP1)));
      ALP2_p = ((((model_.POALP2)+(iLE*(model_.PLALP2)))+(iWE*(model_.PWALP2)))+(iLEWE*(model_.PLWALP2)));
      VP_p = (model_.POVP);
      A1_p = ((((model_.POA1)+(iLE*(model_.PLA1)))+(iWE*(model_.PWA1)))+(iLEWE*(model_.PLWA1)));
      A2_p = (model_.POA2);
      STA2_p = (model_.POSTA2);
      A3_p = ((((model_.POA3)+(iLE*(model_.PLA3)))+(iWE*(model_.PWA3)))+(iLEWE*(model_.PLWA3)));
      A4_p = ((((model_.POA4)+(iLE*(model_.PLA4)))+(iWE*(model_.PWA4)))+(iLEWE*(model_.PLWA4)));
      GCO_p = (model_.POGCO);
      IGINV_p = ((((model_.POIGINV)+(iiLE*(model_.PLIGINV)))+(iiWE*(model_.PWIGINV)))+(iiLEWE*(model_.PLWIGINV)));
      IGOV_p = ((((model_.POIGOV)+(iLE*(model_.PLIGOV)))+(iiWE*(model_.PWIGOV)))+(iiiLEWE*(model_.PLWIGOV)));
      IGOVD_p = ((((model_.POIGOVD)+(iLE*(model_.PLIGOVD)))+(iiWE*(model_.PWIGOVD)))+(iiiLEWE*(model_.PLWIGOVD)));
      STIG_p = (model_.POSTIG);
      GC2_p = (model_.POGC2);
      GC3_p = (model_.POGC3);
      CHIB_p = (model_.POCHIB);
      AGIDL_p = ((((model_.POAGIDL)+(iLE*(model_.PLAGIDL)))+(iiWE*(model_.PWAGIDL)))+(iiiLEWE*(model_.PLWAGIDL)));
      AGIDLD_p = ((((model_.POAGIDLD)+(iLE*(model_.PLAGIDLD)))+(iiWE*(model_.PWAGIDLD)))+(iiiLEWE*(model_.PLWAGIDLD)));
      BGIDL_p = (model_.POBGIDL);
      BGIDLD_p = (model_.POBGIDLD);
      STBGIDL_p = (model_.POSTBGIDL);
      STBGIDLD_p = (model_.POSTBGIDLD);
      CGIDL_p = (model_.POCGIDL);
      CGIDLD_p = (model_.POCGIDLD);
      COX_p = ((((model_.POCOX)+(iiLEcv*(model_.PLCOX)))+(iiWEcv*(model_.PWCOX)))+(iiLEWEcv*(model_.PLWCOX)));
      CGOV_p = ((((model_.POCGOV)+(iLEcv*(model_.PLCGOV)))+(iiWEcv*(model_.PWCGOV)))+(iiiLEWEcv*(model_.PLWCGOV)));
      CGOVD_p = ((((model_.POCGOVD)+(iLEcv*(model_.PLCGOVD)))+(iiWEcv*(model_.PWCGOVD)))+(iiiLEWEcv*(model_.PLWCGOVD)));
      CGBOV_p = ((((model_.POCGBOV)+(iiLcv*(model_.PLCGBOV)))+(iiWcv*(model_.PWCGBOV)))+(iiLWcv*(model_.PLWCGBOV)));
      CFR_p = ((((model_.POCFR)+(iLcv*(model_.PLCFR)))+(iiWcv*(model_.PWCFR)))+(iiiLWcv*(model_.PLWCFR)));
      CFRD_p = ((((model_.POCFRD)+(iLcv*(model_.PLCFRD)))+(iiWcv*(model_.PWCFRD)))+(iiiLWcv*(model_.PLWCFRD)));
      FNT_p = (model_.POFNT);
      NFA_p = ((((model_.PONFA)+(iLE*(model_.PLNFA)))+(iWE*(model_.PWNFA)))+(iLEWE*(model_.PLWNFA)));
      NFB_p = ((((model_.PONFB)+(iLE*(model_.PLNFB)))+(iWE*(model_.PWNFB)))+(iLEWE*(model_.PLWNFB)));
      NFC_p = ((((model_.PONFC)+(iLE*(model_.PLNFC)))+(iWE*(model_.PWNFC)))+(iLEWE*(model_.PLWNFC)));
      EF_p = (model_.POEF);
      KVTHOWE = ((((model_.POKVTHOWE)+(iLE*(model_.PLKVTHOWE)))+(iWE*(model_.PWKVTHOWE)))+(iLEWE*(model_.PLWKVTHOWE)));
      KUOWE = ((((model_.POKUOWE)+(iLE*(model_.PLKUOWE)))+(iWE*(model_.PWKUOWE)))+(iLEWE*(model_.PLWKUOWE)));
    }
    if ((((model_.SWGEO_i)==1)||((model_.SWGEO_i)==2)))
    {
      RG_p = (((((model_.RSHG_i)*(((3.3333333333333333e-01*W_f)/NGCON_i)+XGWE))/(NGCON_i*L_slif))+(((model_.RINT_i)+(model_.RVPOLY_i))/(W_f*L_f)))+(NF_i*(model_.RGO)));
      if (((model_.SWJUNASYM)==0))
      {
        (model_.RSHD_i) = (model_.RSH_i);
      }
      RSE_p = (NRS*(model_.RSH_i));
      RDE_p = (NRD*(model_.RSHD_i));
      RWELL_p = (NF_i*(model_.RWELLO));
      RBULK_p = (NF_i*(model_.RBULKO));
      RJUNS_p = (NF_i*(model_.RJUNSO));
      RJUND_p = (NF_i*(model_.RJUNDO));
      tmpa = 0.0;
      tmpb = 0.0;
      loop = 0.0;
      if ((((SA_i>0.0)&&(SB_i>0.0))&&((NF_i==1.0)||((NF_i>1.0)&&(SD_i>0.0)))))
      {
        while ((loop<(NF_i-0.5)))
        {
          tmpa = (tmpa+(1.0/((SA_i+(0.5*L_i))+(loop*(SD_i+L_i)))));
          tmpb = (tmpb+(1.0/((SB_i+(0.5*L_i))+(loop*(SD_i+L_i)))));
          loop = (loop+1.0);
        }
        Invsa = (tmpa*invNF);
        Invsb = (tmpb*invNF);
        Invsaref = (1.0/((model_.SAREF_i)+(0.5*L_i)));
        Invsbref = (1.0/((model_.SBREF_i)+(0.5*L_i)));
        Lx = (((L_i+delLPS)>1e-9)?(L_i+delLPS):1e-9);
        Wx = ((((W_i+delWOD)+(model_.WLOD))>1e-9)?((W_i+delWOD)+(model_.WLOD)):1e-9);
        templ = (1.0/pow(Lx,(model_.LLODKUO_i)));
        tempw = (1.0/pow(Wx,(model_.WLODKUO_i)));
        Kstressu0 = ((((1.0+((model_.LKUO)*templ))+((model_.WKUO)*tempw))+(((model_.PKUO)*templ)*tempw))*(1.0+((model_.TKUO)*((model_.rT)-1.0))));
        rhobeta = (((model_.KUO)*(Invsa+Invsb))/Kstressu0);
        rhobetaref = (((model_.KUO)*(Invsaref+Invsbref))/Kstressu0);
        templ = (1.0/pow(Lx,(model_.LLODVTH_i)));
        tempw = (1.0/pow(Wx,(model_.WLODVTH_i)));
        Kstressvth0 = (((1.0+((model_.LKVTHO)*templ))+((model_.WKVTHO)*tempw))+(((model_.PKVTHO)*templ)*tempw));
        temp0 = (((Invsa+Invsb)-Invsaref)-Invsbref);
        BETN_p = ((BETN_p*(1.0+rhobeta))/(1.0+rhobetaref));
        THESAT_p = (((THESAT_p*(1.0+rhobeta))*(1.0+((model_.KVSAT_i)*rhobetaref)))/((1.0+rhobetaref)*(1.0+((model_.KVSAT_i)*rhobeta))));
        VFB_p = (VFB_p+(((model_.KVTHO)*temp0)/Kstressvth0));
        CF_p = (CF_p+(((model_.STETAO)*temp0)/pow(Kstressvth0,(model_.LODETAO_i))));
      }
      if (((((SCA_i>0.0)||(SCB_i>0.0))||(SCC_i>0.0))||(SC_i>0.0)))
      {
        if ((((SCA_i==0.0)&&(SCB_i==0.0))&&(SCC_i==0.0)))
        {
          temp0 = (SC_i+W_i);
          temp00 = (1.0/(model_.SCREF_i));
          SCA_i = (((model_.SCREF_i)*(model_.SCREF_i))/(SC_i*temp0));
          SCB_i = (((((0.1*SC_i)+(0.01*(model_.SCREF_i)))*exp((((-10.0)*SC_i)*temp00)))-(((0.1*temp0)+(0.01*(model_.SCREF_i)))*exp((((-10.0)*temp0)*temp00))))/W_i);
          SCC_i = (((((0.05*SC_i)+(0.0025*(model_.SCREF_i)))*exp((((-20.0)*SC_i)*temp00)))-(((0.05*temp0)+(0.0025*(model_.SCREF_i)))*exp((((-20.0)*temp0)*temp00))))/W_i);
        }
        temp0 = ((SCA_i+((model_.WEB_i)*SCB_i))+((model_.WEC_i)*SCC_i));
        VFB_p = (VFB_p+(KVTHOWE*temp0));
        BETN_p = (BETN_p*(1.0+(KUOWE*temp0)));
      }
    }
    VFB_i = VFB_p;
    STVFB_i = STVFB_p;
    TOX_i = ((TOX_p>1e-10)?TOX_p:1e-10);
    EPSROX_i = ((EPSROX_p>1.0)?EPSROX_p:1.0);
    NEFF_i = ((NEFF_p>1e20)?((NEFF_p<1e26)?NEFF_p:1e26):1e20);
    FACNEFFAC_i = ((FACNEFFAC_p>0.0)?FACNEFFAC_p:0.0);
    GFACNUD_i = ((GFACNUD_p>0.01)?GFACNUD_p:0.01);
    VSBNUD_i = ((VSBNUD_p>0.0)?VSBNUD_p:0.0);
    DVSBNUD_i = ((DVSBNUD_p>0.1)?DVSBNUD_p:0.1);
    VNSUB_i = VNSUB_p;
    NSLP_i = ((NSLP_p>1e-3)?NSLP_p:1e-3);
    DNSUB_i = ((DNSUB_p>0.0)?((DNSUB_p<1.0)?DNSUB_p:1.0):0.0);
    DPHIB_i = DPHIB_p;
    DELVTAC_i = DELVTAC_p;
    NP_i = ((NP_p>0.0)?NP_p:0.0);
    CT_i = ((CT_p>0.0)?CT_p:0.0);
    TOXOV_i = ((TOXOV_p>1e-10)?TOXOV_p:1e-10);
    TOXOVD_i = ((TOXOVD_p>1e-10)?TOXOVD_p:1e-10);
    NOV_i = ((NOV_p>1e20)?((NOV_p<1e27)?NOV_p:1e27):1e20);
    NOVD_i = ((NOVD_p>1e20)?((NOVD_p<1e27)?NOVD_p:1e27):1e20);
    CF_i = ((CF_p>0.0)?CF_p:0.0);
    CFB_i = ((CFB_p>0.0)?((CFB_p<1.0)?CFB_p:1.0):0.0);
    BETN_i = ((BETN_p>0.0)?BETN_p:0.0);
    STBET_i = STBET_p;
    MUE_i = ((MUE_p>0.0)?MUE_p:0.0);
    STMUE_i = STMUE_p;
    THEMU_i = ((THEMU_p>0.0)?THEMU_p:0.0);
    STTHEMU_i = STTHEMU_p;
    CS_i = ((CS_p>0.0)?CS_p:0.0);
    STCS_i = STCS_p;
    XCOR_i = ((XCOR_p>0.0)?XCOR_p:0.0);
    STXCOR_i = STXCOR_p;
    FETA_i = ((FETA_p>0.0)?FETA_p:0.0);
    RS_i = ((RS_p>0.0)?RS_p:0.0);
    STRS_i = STRS_p;
    RSB_i = ((RSB_p>(-0.5))?((RSB_p<1.0)?RSB_p:1.0):(-0.5));
    RSG_i = ((RSG_p>(-0.5))?RSG_p:(-0.5));
    THESAT_i = ((THESAT_p>0.0)?THESAT_p:0.0);
    STTHESAT_i = STTHESAT_p;
    THESATB_i = ((THESATB_p>(-0.5))?((THESATB_p<1.0)?THESATB_p:1.0):(-0.5));
    THESATG_i = ((THESATG_p>(-0.5))?THESATG_p:(-0.5));
    AX_i = ((AX_p>2.0)?AX_p:2.0);
    ALP_i = ((ALP_p>0.0)?ALP_p:0.0);
    ALP1_i = ((ALP1_p>0.0)?ALP1_p:0.0);
    ALP2_i = ((ALP2_p>0.0)?ALP2_p:0.0);
    VP_i = ((VP_p>1.0e-10)?VP_p:1.0e-10);
    A1_i = ((A1_p>0.0)?A1_p:0.0);
    A2_i = ((A2_p>0.0)?A2_p:0.0);
    STA2_i = STA2_p;
    A3_i = ((A3_p>0.0)?A3_p:0.0);
    A4_i = ((A4_p>0.0)?A4_p:0.0);
    GCO_i = ((GCO_p>(-10.0))?((GCO_p<10.0)?GCO_p:10.0):(-10.0));
    IGINV_i = ((IGINV_p>0.0)?IGINV_p:0.0);
    IGOV_i = ((IGOV_p>0.0)?IGOV_p:0.0);
    IGOVD_i = ((IGOVD_p>0.0)?IGOVD_p:0.0);
    STIG_i = STIG_p;
    GC2_i = ((GC2_p>0.0)?((GC2_p<10.0)?GC2_p:10.0):0.0);
    GC3_i = ((GC3_p>(-10.0))?((GC3_p<10.0)?GC3_p:10.0):(-10.0));
    CHIB_i = ((CHIB_p>1.0)?CHIB_p:1.0);
    AGIDL_i = ((AGIDL_p>0.0)?AGIDL_p:0.0);
    AGIDLD_i = ((AGIDLD_p>0.0)?AGIDLD_p:0.0);
    BGIDL_i = ((BGIDL_p>0.0)?BGIDL_p:0.0);
    BGIDLD_i = ((BGIDLD_p>0.0)?BGIDLD_p:0.0);
    STBGIDL_i = STBGIDL_p;
    STBGIDLD_i = STBGIDLD_p;
    CGIDL_i = CGIDL_p;
    CGIDLD_i = CGIDLD_p;
    COX_i = ((COX_p>0.0)?COX_p:0.0);
    CGOV_i = ((CGOV_p>0.0)?CGOV_p:0.0);
    CGOVD_i = ((CGOVD_p>0.0)?CGOVD_p:0.0);
    CGBOV_i = ((CGBOV_p>0.0)?CGBOV_p:0.0);
    CFR_i = ((CFR_p>0.0)?CFR_p:0.0);
    CFRD_i = ((CFRD_p>0.0)?CFRD_p:0.0);
    FNT_i = ((FNT_p>0.0)?FNT_p:0.0);
    NFA_i = ((NFA_p>0.0)?NFA_p:0.0);
    NFB_i = ((NFB_p>0.0)?NFB_p:0.0);
    NFC_i = ((NFC_p>0.0)?NFC_p:0.0);
    EF_i = ((EF_p>0.0)?EF_p:0.0);
    RG_i = ((RG_p>0.0)?RG_p:0.0);
    RSE_i = ((RSE_p>0.0)?RSE_p:0.0);
    RDE_i = ((RDE_p>0.0)?RDE_p:0.0);
    RBULK_i = ((RBULK_p>0.0)?RBULK_p:0.0);
    RJUNS_i = ((RJUNS_p>0.0)?RJUNS_p:0.0);
    RJUND_i = ((RJUND_p>0.0)?RJUND_p:0.0);
    RWELL_i = ((RWELL_p>0.0)?RWELL_p:0.0);
    MULT_i = (((MULT*NF_i)>0.0)?(MULT*NF_i):0.0);
    FACTUO_i = ((FACTUO>0.0)?FACTUO:0.0);
    DELVTO_i = DELVTO;
    if (((model_.SWJUNASYM_i)==0))
    {
      TOXOVD_i = TOXOV_i;
      NOVD_i = NOV_i;
      AGIDLD_i = AGIDL_i;
      BGIDLD_i = BGIDL_i;
      STBGIDLD_i = STBGIDL_i;
      CGIDLD_i = CGIDL_i;
      IGOVD_i = IGOV_i;
      CGOVD_i = CGOV_i;
      CFRD_i = CFR_i;
    }
    EPSOX = (8.8541878176E-12*EPSROX_i);
    phit1 = ((model_.phit)*(1.0+(CT_i*(model_.rTn))));
    inv_phit1 = (1.0/phit1);
    VFB_i = ((VFB_i+(STVFB_i*(model_.dT)))+DELVTO_i);
    phib_dc = (((model_.Eg)+DPHIB_i)+((2.0*(model_.phit))*log(((NEFF_i*pow((model_.phibFac),(-0.75)))*4.0e-26))));
    phib_dc = ((phib_dc>5.0E-2)?phib_dc:5.0E-2);
    CoxPrime = (EPSOX/TOX_i);
    tox_sq = (TOX_i*TOX_i);
    G_0_dc = (sqrt(((((2.0*1.6021918E-19)*NEFF_i)*(model_.EPSSI))*(model_.inv_phit)))/CoxPrime);
    kp = 0.0;
    if ((NP_i>0.0))
    {
      arg2max = (8.0e7/tox_sq);
      np = ((NP_i>arg2max)?NP_i:arg2max);
      np = ((5.0e24>np)?5.0e24:np);
      kp = ((((2.0*CoxPrime)*CoxPrime)*(model_.phit))/((1.6021918E-19*np)*(model_.EPSSI)));
    }
    qlim2 = ((100.0*(model_.phit))*(model_.phit));
    qq = 0.0;
    if (((model_.QMC_i)>0.0))
    {
      qq = (((0.4*5.951993)*(model_.QMC_i))*pow(CoxPrime,6.6666666666666667e-01));
      if (((model_.CHNL_TYPE)==(-1)))
      {
        qq = ((7.448711/5.951993)*qq);
      }
      qb0 = sqrt(((((model_.phit)*G_0_dc)*G_0_dc)*phib_dc));
      dphibq = ((0.75*qq)*pow(qb0,6.6666666666666667e-01));
      phib_dc = (phib_dc+dphibq);
      G_0_dc = (G_0_dc*(1.0+(((2.0*6.6666666666666667e-01)*dphibq)/qb0)));
    }
    sqrt_phib_dc = sqrt(phib_dc);
    phix_dc = (0.95*phib_dc);
    aphi_dc = ((0.0025*phib_dc)*phib_dc);
    bphi_dc = aphi_dc;
    phix2 = (0.5*sqrt(bphi_dc));
    phix1_dc = (0.5*(((phix_dc-phix2))-sqrt(((((phix_dc-phix2))*((phix_dc-phix2)))+aphi_dc))));
    us1 = (sqrt((VSBNUD_i+phib_dc))-sqrt_phib_dc);
    us21 = ((sqrt(((VSBNUD_i+DVSBNUD_i)+phib_dc))-sqrt_phib_dc)-us1);
    CoxovPrime = (EPSOX/TOXOV_i);
    CoxovPrime_d = (EPSOX/TOXOVD_i);
    GOV_s = (sqrt(((((2.0*1.6021918E-19)*NOV_i)*(model_.EPSSI))*(model_.inv_phit)))/CoxovPrime);
    GOV_d = (sqrt(((((2.0*1.6021918E-19)*NOVD_i)*(model_.EPSSI))*(model_.inv_phit)))/CoxovPrime_d);
    GOV2_s = (GOV_s*GOV_s);
    GOV2_d = (GOV_d*GOV_d);
    xi_ov_s = (1.0+(GOV_s*7.0710678118654746e-01));
    xi_ov_d = (1.0+(GOV_d*7.0710678118654746e-01));
    inv_xi_ov_s = (1.0/xi_ov_s);
    inv_xi_ov_d = (1.0/xi_ov_d);
    x_mrg_ov_s = (1.0e-5*xi_ov_s);
    x_mrg_ov_d = (1.0e-5*xi_ov_d);
    tf_bet = pow((model_.rTn),STBET_i);
    BETN_i = (BETN_i*tf_bet);
    BET_i = ((FACTUO_i*BETN_i)*CoxPrime);
    THEMU_i = (THEMU_i*pow((model_.rTn),STTHEMU_i));
    tf_mue = pow((model_.rTn),STMUE_i);
    MUE_i = (MUE_i*tf_mue);
    tf_cs = pow((model_.rTn),STCS_i);
    CS_i = (CS_i*tf_cs);
    tf_xcor = pow((model_.rTn),STXCOR_i);
    XCOR_i = (XCOR_i*tf_xcor);
    E_eff0 = ((1.0e-8*CoxPrime)/(model_.EPSSI));
    eta_mu = (0.5*FETA_i);
    eta_mu1 = 0.5;
    if (((model_.CHNL_TYPE)==(-1)))
    {
      eta_mu = (3.3333333333333333e-01*FETA_i);
      eta_mu1 = 3.3333333333333333e-01;
    }
    tf_ther = pow((model_.rTn),STRS_i);
    RS_i = (RS_i*tf_ther);
    THER_i = ((2*BET_i)*RS_i);
    tf_thesat = pow((model_.rTn),STTHESAT_i);
    THESAT_i = (THESAT_i*tf_thesat);
    Vdsat_lim = (3.912023005*phit1);
    inv_AX = (1.0/AX_i);
    inv_VP = (1.0/VP_i);
    A2_i = (A2_i*pow((model_.rT),STA2_i));
    tf_ig = pow((model_.rT),STIG_i);
    IGINV_i = (IGINV_i*tf_ig);
    IGOV_i = (IGOV_i*tf_ig);
    IGOVD_i = (IGOVD_i*tf_ig);
    inv_CHIB = (1.0/CHIB_i);
    tempM = (((4.0*3.3333333333333333e-01)*sqrt((((2*1.6021918E-19)*9.1093826E-31)*CHIB_i)))/1.05457168E-34);
    BCH = (tempM*TOX_i);
    BOV = (tempM*TOXOV_i);
    BOV_d = (tempM*TOXOVD_i);
    GCQ = 0;
    if ((GC3_i<0))
    {
      GCQ = (((-0.495)*GC2_i)/GC3_i);
    }
    alpha_b = (0.5*(phib_dc+(model_.Eg)));
    Dch = (GCO_i*phit1);
    Dov = (GCO_i*(model_.phit));
    AGIDL_i = ((AGIDL_i*4e-18)/(TOXOV_i*TOXOV_i));
    AGIDLD_i = ((AGIDLD_i*4e-18)/(TOXOVD_i*TOXOVD_i));
    tempM = (((1.0+(STBGIDL_i*(model_.dT)))>0)?(1.0+(STBGIDL_i*(model_.dT))):0);
    BGIDL_i = (((BGIDL_i*tempM)*TOXOV_i)*5e8);
    tempM = (((1.0+(STBGIDLD_i*(model_.dT)))>0)?(1.0+(STBGIDLD_i*(model_.dT))):0);
    BGIDLD_i = (((BGIDLD_i*tempM)*TOXOVD_i)*5e8);
    nt = (((FNT_i*4)*1.3806505E-23)*(model_.TKD));
    Cox_over_q = (CoxPrime/1.6021918E-19);
    Sfl_prefac = ((((model_.phit)*(model_.phit))*BET_i)/Cox_over_q);
    x1 = 1.25;
    inv_xg1_s = (1.0/(x1+(GOV_s*7.324648775608221e-1)));
    inv_xg1_d = (1.0/(x1+(GOV_d*7.324648775608221e-1)));
    NEFFAC_i = (FACNEFFAC_i*NEFF_i);
    NEFFAC_i = ((NEFFAC_i>1e20)?((NEFFAC_i<1e26)?NEFFAC_i:1e26):1e20);
    phib_ac = ((((model_.Eg)+DPHIB_i)+DELVTAC_i)+((2.0*(model_.phit))*log(((NEFFAC_i*pow((model_.phibFac),(-0.75)))*4.0e-26))));
    phib_ac = ((phib_ac>5.0E-2)?phib_ac:5.0E-2);
    G_0_ac = (sqrt(((((2.0*1.6021918E-19)*NEFFAC_i)*(model_.EPSSI))*(model_.inv_phit)))/CoxPrime);
    if (((model_.QMC_i)>0.0))
    {
      qb0 = sqrt(((((model_.phit)*G_0_ac)*G_0_ac)*phib_ac));
      dphibq = ((0.75*qq)*pow(qb0,6.6666666666666667e-01));
      phib_ac = (phib_ac+dphibq);
      G_0_ac = (G_0_ac*(1.0+(((2.0*6.6666666666666667e-01)*dphibq)/qb0)));
    }
    sqrt_phib_ac = sqrt(phib_ac);
    phix_ac = (0.95*phib_ac);
    aphi_ac = ((0.0025*phib_ac)*phib_ac);
    bphi_ac = aphi_ac;
    phix2 = (0.5*sqrt(bphi_ac));
    phix1_ac = (0.5*(((phix_ac-phix2))-sqrt(((((phix_ac-phix2))*((phix_ac-phix2)))+aphi_ac))));
    if ((RG_i>0.0))
    {
      ggate = (1.0/RG_i);
    }
    else
    {
      ggate = 0.0;
    }
    if ((RSE_i>0.0))
    {
      gsource = (1.0/RSE_i);
    }
    else
    {
      gsource = 0.0;
    }
    if ((RDE_i>0.0))
    {
      gdrain = (1.0/RDE_i);
    }
    else
    {
      gdrain = 0.0;
    }
    if ((RBULK_i>0.0))
    {
      gbulk = (1.0/RBULK_i);
    }
    else
    {
      gbulk = 0.0;
    }
    if ((RJUNS_i>0.0))
    {
      gjuns = (1.0/RJUNS_i);
    }
    else
    {
      gjuns = 0.0;
    }
    if ((RJUND_i>0.0))
    {
      gjund = (1.0/RJUND_i);
    }
    else
    {
      gjund = 0.0;
    }
    if ((RWELL_i>0.0))
    {
      gwell = (1.0/RWELL_i);
    }
    else
    {
      gwell = 0.0;
    }
    ABS_i = 0.0;
    LSS_i = 0.0;
    LGS_i = 0.0;
    ABD_i = 0.0;
    LSD_i = 0.0;
    LGD_i = 0.0;
    jwcorr = 0.0;
    jww = WE;
    if (((model_.SWGEO_i)==0))
    {
      jww = ((JW_i>0)?JW_i:0);
    }
    if (((model_.SWJUNCAP_i)==3))
    {
      jwcorr = 1.0;
    }
    ABS_i = (ABSOURCE_i*invNF);
    LSS_i = (LSSOURCE_i*invNF);
    LGS_i = (LGSOURCE_i*invNF);
    ABD_i = (ABDRAIN_i*invNF);
    LSD_i = (LSDRAIN_i*invNF);
    LGD_i = (LGDRAIN_i*invNF);
    if ((((model_.SWJUNCAP_i)==2)||((model_.SWJUNCAP_i)==3)))
    {
      ABS_i = (AS_i*invNF);
      LSS_i = ((PS_i*invNF)-(jwcorr*jww));
      LGS_i = jww;
      ABD_i = (AD_i*invNF);
      LSD_i = ((PD_i*invNF)-(jwcorr*jww));
      LGD_i = jww;
    }
    if (((((model_.SWJUNCAP_i)==1)||((model_.SWJUNCAP_i)==2))||((model_.SWJUNCAP_i)==3)))
    {
      ABSOURCE_i = ((ABS_i>0)?ABS_i:0);
      LSSOURCE_i = ((LSS_i>0)?LSS_i:0);
      LGSOURCE_i = ((LGS_i>0)?LGS_i:0);
      ABDRAIN_i = ((ABD_i>0)?ABD_i:0);
      LSDRAIN_i = ((LSD_i>0)?LSD_i:0);
      LGDRAIN_i = ((LGD_i>0)?LGD_i:0);
    }
    else
    {
      ABSOURCE_i = 0.0;
      LSSOURCE_i = 0.0;
      LGSOURCE_i = 0.0;
      ABDRAIN_i = 0.0;
      LSDRAIN_i = 0.0;
      LGDRAIN_i = 0.0;
    }
    vbimin_s = 0.0;
    vbimin_d = 0.0;
    vfmin_s = 0.0;
    vfmin_d = 0.0;
    vch_s = 0.0;
    vch_d = 0.0;
    vbbtlim_s = 0.0;
    vbbtlim_d = 0.0;
    VMAX_s = 0.0;
    VMAX_d = 0.0;
    exp_VMAX_over_phitd_s = 0.0;
    exp_VMAX_over_phitd_d = 0.0;
    vj = 0.0;
    idmult = 0.0;
    vjsrh = 0.0;
    zinv = 0.0;
    wdep = 0.0;
    wsrh = 0.0;
    asrh = 0.0;
    vav = 0.0;
    vbi_minus_vjsrh = 0.0;
    ISATFOR1_s = 0.0;
    ISATFOR1_d = 0.0;
    MFOR1_s = 1.0;
    MFOR1_d = 1.0;
    ISATFOR2_s = 0.0;
    ISATFOR2_d = 0.0;
    MFOR2_s = 1.0;
    MFOR2_d = 1.0;
    ISATREV_s = 0.0;
    ISATREV_d = 0.0;
    MREV_s = 1.0;
    MREV_d = 1.0;
    m0flag_s = 0.0;
    m0flag_d = 0.0;
    xhighf1_s = 0.0;
    xhighf1_d = 0.0;
    expxhf1_s = 0.0;
    expxhf1_d = 0.0;
    xhighf2_s = 0.0;
    xhighf2_d = 0.0;
    expxhf2_s = 0.0;
    expxhf2_d = 0.0;
    xhighr_s = 0.0;
    xhighr_d = 0.0;
    expxhr_s = 0.0;
    expxhr_d = 0.0;
    zflagbot_s = 1.0;
    zflagbot_d = 1.0;
    zflagsti_s = 1.0;
    zflagsti_d = 1.0;
    zflaggat_s = 1.0;
    zflaggat_d = 1.0;
    m0_rev = 0.0;
    mcor_rev = 0.0;
    I1_cor = 0.0;
    I2_cor = 0.0;
    I3_cor = 0.0;
    I4_cor = 0.0;
    I5_cor = 0.0;
    tt0 = 0.0;
    tt1 = 0.0;
    tt2 = 0.0;
    zfrac = 0.0;
    alphaje = 0.0;
    tmpv = 0.0;
    vjv = 0.0;
    ijun_s = 0.0;
    ijunbot_s = 0.0;
    ijunsti_s = 0.0;
    ijungat_s = 0.0;
    qjun_s = 0.0;
    qjunbot_s = 0.0;
    qjunsti_s = 0.0;
    qjungat_s = 0.0;
    ijun_d = 0.0;
    ijunbot_d = 0.0;
    ijunsti_d = 0.0;
    ijungat_d = 0.0;
    qjun_d = 0.0;
    qjunbot_d = 0.0;
    qjunsti_d = 0.0;
    qjungat_d = 0.0;
    if (((model_.SWJUNCAP_i)>0))
    {
      (model_.CJORBOT_i) = (model_.CJORBOTS_i);
      (model_.CJORSTI_i) = (model_.CJORSTIS_i);
      (model_.CJORGAT_i) = (model_.CJORGATS_i);
      (model_.VBIRBOT_i) = (model_.VBIRBOTS_i);
      (model_.VBIRSTI_i) = (model_.VBIRSTIS_i);
      (model_.VBIRGAT_i) = (model_.VBIRGATS_i);
      (model_.PBOT_i) = (model_.PBOTS_i);
      (model_.PSTI_i) = (model_.PSTIS_i);
      (model_.PGAT_i) = (model_.PGATS_i);
      (model_.PHIGBOT_i) = (model_.PHIGBOTS_i);
      (model_.PHIGSTI_i) = (model_.PHIGSTIS_i);
      (model_.PHIGGAT_i) = (model_.PHIGGATS_i);
      (model_.IDSATRBOT_i) = (model_.IDSATRBOTS_i);
      (model_.IDSATRSTI_i) = (model_.IDSATRSTIS_i);
      (model_.IDSATRGAT_i) = (model_.IDSATRGATS_i);
      (model_.CSRHBOT_i) = (model_.CSRHBOTS_i);
      (model_.CSRHSTI_i) = (model_.CSRHSTIS_i);
      (model_.CSRHGAT_i) = (model_.CSRHGATS_i);
      (model_.XJUNSTI_i) = (model_.XJUNSTIS_i);
      (model_.XJUNGAT_i) = (model_.XJUNGATS_i);
      (model_.CTATBOT_i) = (model_.CTATBOTS_i);
      (model_.CTATSTI_i) = (model_.CTATSTIS_i);
      (model_.CTATGAT_i) = (model_.CTATGATS_i);
      (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTS_i);
      (model_.MEFFTATSTI_i) = (model_.MEFFTATSTIS_i);
      (model_.MEFFTATGAT_i) = (model_.MEFFTATGATS_i);
      (model_.CBBTBOT_i) = (model_.CBBTBOTS_i);
      (model_.CBBTSTI_i) = (model_.CBBTSTIS_i);
      (model_.CBBTGAT_i) = (model_.CBBTGATS_i);
      (model_.FBBTRBOT_i) = (model_.FBBTRBOTS_i);
      (model_.FBBTRSTI_i) = (model_.FBBTRSTIS_i);
      (model_.FBBTRGAT_i) = (model_.FBBTRGATS_i);
      (model_.STFBBTBOT_i) = (model_.STFBBTBOTS_i);
      (model_.STFBBTSTI_i) = (model_.STFBBTSTIS_i);
      (model_.STFBBTGAT_i) = (model_.STFBBTGATS_i);
      (model_.VBRBOT_i) = (model_.VBRBOTS_i);
      (model_.VBRSTI_i) = (model_.VBRSTIS_i);
      (model_.VBRGAT_i) = (model_.VBRGATS_i);
      (model_.PBRBOT_i) = (model_.PBRBOTS_i);
      (model_.PBRSTI_i) = (model_.PBRSTIS_i);
      (model_.PBRGAT_i) = (model_.PBRGATS_i);
      (model_.VJUNREF_i) = (model_.VJUNREFS_i);
      (model_.FJUNQ_i) = (model_.FJUNQS_i);
      (model_.phigrbot) = (model_.phigrbot_s);
      (model_.phigrsti) = (model_.phigrsti_s);
      (model_.phigrgat) = (model_.phigrgat_s);
      (model_.phigdbot) = (model_.phigdbot_s);
      (model_.phigdsti) = (model_.phigdsti_s);
      (model_.phigdgat) = (model_.phigdgat_s);
      (model_.ftdbot) = (model_.ftdbot_s);
      (model_.ftdsti) = (model_.ftdsti_s);
      (model_.ftdgat) = (model_.ftdgat_s);
      (model_.idsatbot) = (model_.idsatbot_s);
      (model_.idsatsti) = (model_.idsatsti_s);
      (model_.idsatgat) = (model_.idsatgat_s);
      (model_.ubibot) = (model_.ubibot_s);
      (model_.ubisti) = (model_.ubisti_s);
      (model_.ubigat) = (model_.ubigat_s);
      (model_.vbibot) = (model_.vbibot_s);
      (model_.vbisti) = (model_.vbisti_s);
      (model_.vbigat) = (model_.vbigat_s);
      (model_.vbiinvbot) = (model_.vbiinvbot_s);
      (model_.vbiinvsti) = (model_.vbiinvsti_s);
      (model_.vbiinvgat) = (model_.vbiinvgat_s);
      (model_.one_minus_PBOT) = (model_.one_minus_PBOT_s);
      (model_.one_minus_PSTI) = (model_.one_minus_PSTI_s);
      (model_.one_minus_PGAT) = (model_.one_minus_PGAT_s);
      (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_s);
      (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_s);
      (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_s);
      (model_.cjobot) = (model_.cjobot_s);
      (model_.cjosti) = (model_.cjosti_s);
      (model_.cjogat) = (model_.cjogat_s);
      (model_.qprefbot) = (model_.qprefbot_s);
      (model_.qprefsti) = (model_.qprefsti_s);
      (model_.qprefgat) = (model_.qprefgat_s);
      (model_.qpref2bot) = (model_.qpref2bot_s);
      (model_.qpref2sti) = (model_.qpref2sti_s);
      (model_.qpref2gat) = (model_.qpref2gat_s);
      (model_.wdepnulrbot) = (model_.wdepnulrbot_s);
      (model_.wdepnulrsti) = (model_.wdepnulrsti_s);
      (model_.wdepnulrgat) = (model_.wdepnulrgat_s);
      (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_s);
      (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_s);
      (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_s);
      (model_.VBIRBOTinv) = (model_.VBIRBOTinv_s);
      (model_.VBIRSTIinv) = (model_.VBIRSTIinv_s);
      (model_.VBIRGATinv) = (model_.VBIRGATinv_s);
      (model_.deltaEbot) = (model_.deltaEbot_s);
      (model_.deltaEsti) = (model_.deltaEsti_s);
      (model_.deltaEgat) = (model_.deltaEgat_s);
      (model_.atatbot) = (model_.atatbot_s);
      (model_.atatsti) = (model_.atatsti_s);
      (model_.atatgat) = (model_.atatgat_s);
      (model_.btatpartbot) = (model_.btatpartbot_s);
      (model_.btatpartsti) = (model_.btatpartsti_s);
      (model_.btatpartgat) = (model_.btatpartgat_s);
      (model_.fbbtbot) = (model_.fbbtbot_s);
      (model_.fbbtsti) = (model_.fbbtsti_s);
      (model_.fbbtgat) = (model_.fbbtgat_s);
      (model_.fbbtbot) = (model_.fbbtbot_s);
      (model_.fbbtsti) = (model_.fbbtsti_s);
      (model_.fbbtgat) = (model_.fbbtgat_s);
      (model_.fstopbot) = (model_.fstopbot_s);
      (model_.fstopsti) = (model_.fstopsti_s);
      (model_.fstopgat) = (model_.fstopgat_s);
      (model_.VBRinvbot) = (model_.VBRinvbot_s);
      (model_.VBRinvsti) = (model_.VBRinvsti_s);
      (model_.VBRinvgat) = (model_.VBRinvgat_s);
      (model_.slopebot) = (model_.slopebot_s);
      (model_.slopesti) = (model_.slopesti_s);
      (model_.slopegat) = (model_.slopegat_s);
      if ((((model_.idsatbot)*ABSOURCE_i)>0))
      {
        vmaxbot = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatbot)*ABSOURCE_i))+1)));
      }
      else
      {
        vmaxbot = 1E8;
      }
      if ((((model_.idsatsti)*LSSOURCE_i)>0))
      {
        vmaxsti = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatsti)*LSSOURCE_i))+1)));
      }
      else
      {
        vmaxsti = 1E8;
      }
      if ((((model_.idsatgat)*LGSOURCE_i)>0))
      {
        vmaxgat = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatgat)*LGSOURCE_i))+1)));
      }
      else
      {
        vmaxgat = 1E8;
      }
      VMAX_s = std::min(std::min(vmaxbot,vmaxsti),vmaxgat);
      if ((fabs((VMAX_s*(model_.phitdinv)))<2.3025850929940458e+02))
      {
        exp_VMAX_over_phitd_s = exp((VMAX_s*(model_.phitdinv)));
      }
      else
      {
        if (((VMAX_s*(model_.phitdinv))<(-2.3025850929940458e+02)))
        {
          exp_VMAX_over_phitd_s = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(VMAX_s*(model_.phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(VMAX_s*(model_.phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(VMAX_s*(model_.phitdinv)))*3.3333333333333333e-01))))))));
        }
        else
        {
          exp_VMAX_over_phitd_s = (1.0e100*(1.0+(((VMAX_s*(model_.phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((VMAX_s*(model_.phitdinv))-2.3025850929940458e+02)*(1.0+(((VMAX_s*(model_.phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
        }
      }
      vbibot2 = (model_.vbibot);
      vbisti2 = (model_.vbisti);
      vbigat2 = (model_.vbigat);
      pbot2 = (model_.PBOT_i);
      psti2 = (model_.PSTI_i);
      pgat2 = (model_.PGAT_i);
      vbibot2r = (model_.VBIRBOT_i);
      vbisti2r = (model_.VBIRSTI_i);
      vbigat2r = (model_.VBIRGAT_i);
      if ((ABSOURCE_i==0))
      {
        vbibot2 = ((model_.vbisti)+(model_.vbigat));
        pbot2 = (0.9*std::min((model_.PSTI_i),(model_.PGAT_i)));
        vbibot2r = ((model_.VBIRSTI_i)+(model_.VBIRGAT_i));
      }
      if ((LSSOURCE_i==0))
      {
        vbisti2 = ((model_.vbibot)+(model_.vbigat));
        psti2 = (0.9*std::min((model_.PBOT_i),(model_.PGAT_i)));
        vbisti2r = ((model_.VBIRBOT_i)+(model_.VBIRGAT_i));
      }
      if ((LGSOURCE_i==0))
      {
        vbigat2 = ((model_.vbibot)+(model_.vbisti));
        pgat2 = (0.9*std::min((model_.PBOT_i),(model_.PSTI_i)));
        vbigat2r = ((model_.VBIRBOT_i)+(model_.VBIRSTI_i));
      }
      vbimin_s = std::min(std::min(vbibot2,vbisti2),vbigat2);
      vch_s = (vbimin_s*0.1);
      pmax = std::max(std::max(pbot2,psti2),pgat2);
      vfmin_s = (vbimin_s*(1-pow(2,((-1.0)/pmax))));
      vbbtlim_s = (std::min(std::min(vbibot2r,vbisti2r),vbigat2r)-0.050);
      (model_.CJORBOT_i) = (model_.CJORBOTD_i);
      (model_.CJORSTI_i) = (model_.CJORSTID_i);
      (model_.CJORGAT_i) = (model_.CJORGATD_i);
      (model_.VBIRBOT_i) = (model_.VBIRBOTD_i);
      (model_.VBIRSTI_i) = (model_.VBIRSTID_i);
      (model_.VBIRGAT_i) = (model_.VBIRGATD_i);
      (model_.PBOT_i) = (model_.PBOTD_i);
      (model_.PSTI_i) = (model_.PSTID_i);
      (model_.PGAT_i) = (model_.PGATD_i);
      (model_.PHIGBOT_i) = (model_.PHIGBOTD_i);
      (model_.PHIGSTI_i) = (model_.PHIGSTID_i);
      (model_.PHIGGAT_i) = (model_.PHIGGATD_i);
      (model_.IDSATRBOT_i) = (model_.IDSATRBOTD_i);
      (model_.IDSATRSTI_i) = (model_.IDSATRSTID_i);
      (model_.IDSATRGAT_i) = (model_.IDSATRGATD_i);
      (model_.CSRHBOT_i) = (model_.CSRHBOTD_i);
      (model_.CSRHSTI_i) = (model_.CSRHSTID_i);
      (model_.CSRHGAT_i) = (model_.CSRHGATD_i);
      (model_.XJUNSTI_i) = (model_.XJUNSTID_i);
      (model_.XJUNGAT_i) = (model_.XJUNGATD_i);
      (model_.CTATBOT_i) = (model_.CTATBOTD_i);
      (model_.CTATSTI_i) = (model_.CTATSTID_i);
      (model_.CTATGAT_i) = (model_.CTATGATD_i);
      (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTD_i);
      (model_.MEFFTATSTI_i) = (model_.MEFFTATSTID_i);
      (model_.MEFFTATGAT_i) = (model_.MEFFTATGATD_i);
      (model_.CBBTBOT_i) = (model_.CBBTBOTD_i);
      (model_.CBBTSTI_i) = (model_.CBBTSTID_i);
      (model_.CBBTGAT_i) = (model_.CBBTGATD_i);
      (model_.FBBTRBOT_i) = (model_.FBBTRBOTD_i);
      (model_.FBBTRSTI_i) = (model_.FBBTRSTID_i);
      (model_.FBBTRGAT_i) = (model_.FBBTRGATD_i);
      (model_.STFBBTBOT_i) = (model_.STFBBTBOTD_i);
      (model_.STFBBTSTI_i) = (model_.STFBBTSTID_i);
      (model_.STFBBTGAT_i) = (model_.STFBBTGATD_i);
      (model_.VBRBOT_i) = (model_.VBRBOTD_i);
      (model_.VBRSTI_i) = (model_.VBRSTID_i);
      (model_.VBRGAT_i) = (model_.VBRGATD_i);
      (model_.PBRBOT_i) = (model_.PBRBOTD_i);
      (model_.PBRSTI_i) = (model_.PBRSTID_i);
      (model_.PBRGAT_i) = (model_.PBRGATD_i);
      (model_.VJUNREF_i) = (model_.VJUNREFD_i);
      (model_.FJUNQ_i) = (model_.FJUNQD_i);
      (model_.phigrbot) = (model_.phigrbot_d);
      (model_.phigrsti) = (model_.phigrsti_d);
      (model_.phigrgat) = (model_.phigrgat_d);
      (model_.phigdbot) = (model_.phigdbot_d);
      (model_.phigdsti) = (model_.phigdsti_d);
      (model_.phigdgat) = (model_.phigdgat_d);
      (model_.ftdbot) = (model_.ftdbot_d);
      (model_.ftdsti) = (model_.ftdsti_d);
      (model_.ftdgat) = (model_.ftdgat_d);
      (model_.idsatbot) = (model_.idsatbot_d);
      (model_.idsatsti) = (model_.idsatsti_d);
      (model_.idsatgat) = (model_.idsatgat_d);
      (model_.ubibot) = (model_.ubibot_d);
      (model_.ubisti) = (model_.ubisti_d);
      (model_.ubigat) = (model_.ubigat_d);
      (model_.vbibot) = (model_.vbibot_d);
      (model_.vbisti) = (model_.vbisti_d);
      (model_.vbigat) = (model_.vbigat_d);
      (model_.vbiinvbot) = (model_.vbiinvbot_d);
      (model_.vbiinvsti) = (model_.vbiinvsti_d);
      (model_.vbiinvgat) = (model_.vbiinvgat_d);
      (model_.one_minus_PBOT) = (model_.one_minus_PBOT_d);
      (model_.one_minus_PSTI) = (model_.one_minus_PSTI_d);
      (model_.one_minus_PGAT) = (model_.one_minus_PGAT_d);
      (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_d);
      (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_d);
      (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_d);
      (model_.cjobot) = (model_.cjobot_d);
      (model_.cjosti) = (model_.cjosti_d);
      (model_.cjogat) = (model_.cjogat_d);
      (model_.qprefbot) = (model_.qprefbot_d);
      (model_.qprefsti) = (model_.qprefsti_d);
      (model_.qprefgat) = (model_.qprefgat_d);
      (model_.qpref2bot) = (model_.qpref2bot_d);
      (model_.qpref2sti) = (model_.qpref2sti_d);
      (model_.qpref2gat) = (model_.qpref2gat_d);
      (model_.wdepnulrbot) = (model_.wdepnulrbot_d);
      (model_.wdepnulrsti) = (model_.wdepnulrsti_d);
      (model_.wdepnulrgat) = (model_.wdepnulrgat_d);
      (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_d);
      (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_d);
      (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_d);
      (model_.VBIRBOTinv) = (model_.VBIRBOTinv_d);
      (model_.VBIRSTIinv) = (model_.VBIRSTIinv_d);
      (model_.VBIRGATinv) = (model_.VBIRGATinv_d);
      (model_.deltaEbot) = (model_.deltaEbot_d);
      (model_.deltaEsti) = (model_.deltaEsti_d);
      (model_.deltaEgat) = (model_.deltaEgat_d);
      (model_.atatbot) = (model_.atatbot_d);
      (model_.atatsti) = (model_.atatsti_d);
      (model_.atatgat) = (model_.atatgat_d);
      (model_.btatpartbot) = (model_.btatpartbot_d);
      (model_.btatpartsti) = (model_.btatpartsti_d);
      (model_.btatpartgat) = (model_.btatpartgat_d);
      (model_.fbbtbot) = (model_.fbbtbot_d);
      (model_.fbbtsti) = (model_.fbbtsti_d);
      (model_.fbbtgat) = (model_.fbbtgat_d);
      (model_.fbbtbot) = (model_.fbbtbot_d);
      (model_.fbbtsti) = (model_.fbbtsti_d);
      (model_.fbbtgat) = (model_.fbbtgat_d);
      (model_.fstopbot) = (model_.fstopbot_d);
      (model_.fstopsti) = (model_.fstopsti_d);
      (model_.fstopgat) = (model_.fstopgat_d);
      (model_.VBRinvbot) = (model_.VBRinvbot_d);
      (model_.VBRinvsti) = (model_.VBRinvsti_d);
      (model_.VBRinvgat) = (model_.VBRinvgat_d);
      (model_.slopebot) = (model_.slopebot_d);
      (model_.slopesti) = (model_.slopesti_d);
      (model_.slopegat) = (model_.slopegat_d);
      if ((((model_.idsatbot)*ABDRAIN_i)>0))
      {
        vmaxbot = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatbot)*ABDRAIN_i))+1)));
      }
      else
      {
        vmaxbot = 1E8;
      }
      if ((((model_.idsatsti)*LSDRAIN_i)>0))
      {
        vmaxsti = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatsti)*LSDRAIN_i))+1)));
      }
      else
      {
        vmaxsti = 1E8;
      }
      if ((((model_.idsatgat)*LGDRAIN_i)>0))
      {
        vmaxgat = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatgat)*LGDRAIN_i))+1)));
      }
      else
      {
        vmaxgat = 1E8;
      }
      VMAX_d = std::min(std::min(vmaxbot,vmaxsti),vmaxgat);
      if ((fabs((VMAX_d*(model_.phitdinv)))<2.3025850929940458e+02))
      {
        exp_VMAX_over_phitd_d = exp((VMAX_d*(model_.phitdinv)));
      }
      else
      {
        if (((VMAX_d*(model_.phitdinv))<(-2.3025850929940458e+02)))
        {
          exp_VMAX_over_phitd_d = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(VMAX_d*(model_.phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(VMAX_d*(model_.phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(VMAX_d*(model_.phitdinv)))*3.3333333333333333e-01))))))));
        }
        else
        {
          exp_VMAX_over_phitd_d = (1.0e100*(1.0+(((VMAX_d*(model_.phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((VMAX_d*(model_.phitdinv))-2.3025850929940458e+02)*(1.0+(((VMAX_d*(model_.phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
        }
      }
      vbibot2 = (model_.vbibot);
      vbisti2 = (model_.vbisti);
      vbigat2 = (model_.vbigat);
      pbot2 = (model_.PBOT_i);
      psti2 = (model_.PSTI_i);
      pgat2 = (model_.PGAT_i);
      vbibot2r = (model_.VBIRBOT_i);
      vbisti2r = (model_.VBIRSTI_i);
      vbigat2r = (model_.VBIRGAT_i);
      if ((ABDRAIN_i==0))
      {
        vbibot2 = ((model_.vbisti)+(model_.vbigat));
        pbot2 = (0.9*std::min((model_.PSTI_i),(model_.PGAT_i)));
        vbibot2r = ((model_.VBIRSTI_i)+(model_.VBIRGAT_i));
      }
      if ((LSDRAIN_i==0))
      {
        vbisti2 = ((model_.vbibot)+(model_.vbigat));
        psti2 = (0.9*std::min((model_.PBOT_i),(model_.PGAT_i)));
        vbisti2r = ((model_.VBIRBOT_i)+(model_.VBIRGAT_i));
      }
      if ((LGDRAIN_i==0))
      {
        vbigat2 = ((model_.vbibot)+(model_.vbisti));
        pgat2 = (0.9*std::min((model_.PBOT_i),(model_.PSTI_i)));
        vbigat2r = ((model_.VBIRBOT_i)+(model_.VBIRSTI_i));
      }
      vbimin_d = std::min(std::min(vbibot2,vbisti2),vbigat2);
      vch_d = (vbimin_d*0.1);
      pmax = std::max(std::max(pbot2,psti2),pgat2);
      vfmin_d = (vbimin_d*(1-pow(2,((-1.0)/pmax))));
      vbbtlim_d = (std::min(std::min(vbibot2r,vbisti2r),vbigat2r)-0.050);
      if (((model_.SWJUNEXP_i)==1))
        //Begin block JUNCAPexpressInit
      {
        //Block-local variables for block JUNCAPexpressInit
        double ysq;
        double terfc;
        double erfcpos;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double h1;
        double h2;
        double h2d;
        double h3;
        double h4;
        double h5;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double idmult;
        double vj;
        double z;
        double zinv;
        double two_psistar;
        double vjlim;
        double vjsrh;
        double vbbt;
        double vav;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double tmp;
        double id;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double isrh;
        double vbi_minus_vjsrh;
        double wsrhstep;
        double dwsrh;
        double wsrh;
        double wdep;
        double asrh;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double itat;
        double btat;
        double twoatatoverthreebtat;
        double umaxbeforelimiting;
        double umax;
        double sqrtumax;
        double umaxpoweronepointfive;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double wgamma;
        double wtat;
        double ktat;
        double ltat;
        double mtat;
        double xerfc;
        double erfctimesexpmtat;
        double gammamax;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double ibbt;
        double Fmaxr;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double fbreakdown;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double ijunbot;
        double ijunsti;
        double ijungat;
        double qjunbot;
        double qjunsti;
        double qjungat;
        //End of Block-local variables
        ysq = 0.0;
        terfc = 0.0;
        erfcpos = 0.0;
        h1 = 0.0;
        h2 = 0.0;
        h2d = 0.0;
        h3 = 0.0;
        h4 = 0.0;
        h5 = 0.0;
        idmult = 0.0;
        vj = 0.0;
        z = 0.0;
        zinv = 0.0;
        two_psistar = 0.0;
        vjlim = 0.0;
        vjsrh = 0.0;
        vbbt = 0.0;
        vav = 0.0;
        tmp = 0.0;
        id = 0.0;
        isrh = 0.0;
        vbi_minus_vjsrh = 0.0;
        wsrhstep = 0.0;
        dwsrh = 0.0;
        wsrh = 0.0;
        wdep = 0.0;
        asrh = 0.0;
        itat = 0.0;
        btat = 0.0;
        twoatatoverthreebtat = 0.0;
        umaxbeforelimiting = 0.0;
        umax = 0.0;
        sqrtumax = 0.0;
        umaxpoweronepointfive = 0.0;
        wgamma = 0.0;
        wtat = 0.0;
        ktat = 0.0;
        ltat = 0.0;
        mtat = 0.0;
        xerfc = 0.0;
        erfctimesexpmtat = 0.0;
        gammamax = 0.0;
        ibbt = 0.0;
        Fmaxr = 0.0;
        fbreakdown = 0.0;
        qjunbot = 0.0;
        qjunsti = 0.0;
        qjungat = 0.0;
        (model_.CJORBOT_i) = (model_.CJORBOTS_i);
        (model_.CJORSTI_i) = (model_.CJORSTIS_i);
        (model_.CJORGAT_i) = (model_.CJORGATS_i);
        (model_.VBIRBOT_i) = (model_.VBIRBOTS_i);
        (model_.VBIRSTI_i) = (model_.VBIRSTIS_i);
        (model_.VBIRGAT_i) = (model_.VBIRGATS_i);
        (model_.PBOT_i) = (model_.PBOTS_i);
        (model_.PSTI_i) = (model_.PSTIS_i);
        (model_.PGAT_i) = (model_.PGATS_i);
        (model_.PHIGBOT_i) = (model_.PHIGBOTS_i);
        (model_.PHIGSTI_i) = (model_.PHIGSTIS_i);
        (model_.PHIGGAT_i) = (model_.PHIGGATS_i);
        (model_.IDSATRBOT_i) = (model_.IDSATRBOTS_i);
        (model_.IDSATRSTI_i) = (model_.IDSATRSTIS_i);
        (model_.IDSATRGAT_i) = (model_.IDSATRGATS_i);
        (model_.CSRHBOT_i) = (model_.CSRHBOTS_i);
        (model_.CSRHSTI_i) = (model_.CSRHSTIS_i);
        (model_.CSRHGAT_i) = (model_.CSRHGATS_i);
        (model_.XJUNSTI_i) = (model_.XJUNSTIS_i);
        (model_.XJUNGAT_i) = (model_.XJUNGATS_i);
        (model_.CTATBOT_i) = (model_.CTATBOTS_i);
        (model_.CTATSTI_i) = (model_.CTATSTIS_i);
        (model_.CTATGAT_i) = (model_.CTATGATS_i);
        (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTS_i);
        (model_.MEFFTATSTI_i) = (model_.MEFFTATSTIS_i);
        (model_.MEFFTATGAT_i) = (model_.MEFFTATGATS_i);
        (model_.CBBTBOT_i) = (model_.CBBTBOTS_i);
        (model_.CBBTSTI_i) = (model_.CBBTSTIS_i);
        (model_.CBBTGAT_i) = (model_.CBBTGATS_i);
        (model_.FBBTRBOT_i) = (model_.FBBTRBOTS_i);
        (model_.FBBTRSTI_i) = (model_.FBBTRSTIS_i);
        (model_.FBBTRGAT_i) = (model_.FBBTRGATS_i);
        (model_.STFBBTBOT_i) = (model_.STFBBTBOTS_i);
        (model_.STFBBTSTI_i) = (model_.STFBBTSTIS_i);
        (model_.STFBBTGAT_i) = (model_.STFBBTGATS_i);
        (model_.VBRBOT_i) = (model_.VBRBOTS_i);
        (model_.VBRSTI_i) = (model_.VBRSTIS_i);
        (model_.VBRGAT_i) = (model_.VBRGATS_i);
        (model_.PBRBOT_i) = (model_.PBRBOTS_i);
        (model_.PBRSTI_i) = (model_.PBRSTIS_i);
        (model_.PBRGAT_i) = (model_.PBRGATS_i);
        (model_.VJUNREF_i) = (model_.VJUNREFS_i);
        (model_.FJUNQ_i) = (model_.FJUNQS_i);
        (model_.phigrbot) = (model_.phigrbot_s);
        (model_.phigrsti) = (model_.phigrsti_s);
        (model_.phigrgat) = (model_.phigrgat_s);
        (model_.phigdbot) = (model_.phigdbot_s);
        (model_.phigdsti) = (model_.phigdsti_s);
        (model_.phigdgat) = (model_.phigdgat_s);
        (model_.ftdbot) = (model_.ftdbot_s);
        (model_.ftdsti) = (model_.ftdsti_s);
        (model_.ftdgat) = (model_.ftdgat_s);
        (model_.idsatbot) = (model_.idsatbot_s);
        (model_.idsatsti) = (model_.idsatsti_s);
        (model_.idsatgat) = (model_.idsatgat_s);
        (model_.ubibot) = (model_.ubibot_s);
        (model_.ubisti) = (model_.ubisti_s);
        (model_.ubigat) = (model_.ubigat_s);
        (model_.vbibot) = (model_.vbibot_s);
        (model_.vbisti) = (model_.vbisti_s);
        (model_.vbigat) = (model_.vbigat_s);
        (model_.vbiinvbot) = (model_.vbiinvbot_s);
        (model_.vbiinvsti) = (model_.vbiinvsti_s);
        (model_.vbiinvgat) = (model_.vbiinvgat_s);
        (model_.one_minus_PBOT) = (model_.one_minus_PBOT_s);
        (model_.one_minus_PSTI) = (model_.one_minus_PSTI_s);
        (model_.one_minus_PGAT) = (model_.one_minus_PGAT_s);
        (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_s);
        (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_s);
        (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_s);
        (model_.cjobot) = (model_.cjobot_s);
        (model_.cjosti) = (model_.cjosti_s);
        (model_.cjogat) = (model_.cjogat_s);
        (model_.qprefbot) = (model_.qprefbot_s);
        (model_.qprefsti) = (model_.qprefsti_s);
        (model_.qprefgat) = (model_.qprefgat_s);
        (model_.qpref2bot) = (model_.qpref2bot_s);
        (model_.qpref2sti) = (model_.qpref2sti_s);
        (model_.qpref2gat) = (model_.qpref2gat_s);
        (model_.wdepnulrbot) = (model_.wdepnulrbot_s);
        (model_.wdepnulrsti) = (model_.wdepnulrsti_s);
        (model_.wdepnulrgat) = (model_.wdepnulrgat_s);
        (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_s);
        (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_s);
        (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_s);
        (model_.VBIRBOTinv) = (model_.VBIRBOTinv_s);
        (model_.VBIRSTIinv) = (model_.VBIRSTIinv_s);
        (model_.VBIRGATinv) = (model_.VBIRGATinv_s);
        (model_.deltaEbot) = (model_.deltaEbot_s);
        (model_.deltaEsti) = (model_.deltaEsti_s);
        (model_.deltaEgat) = (model_.deltaEgat_s);
        (model_.atatbot) = (model_.atatbot_s);
        (model_.atatsti) = (model_.atatsti_s);
        (model_.atatgat) = (model_.atatgat_s);
        (model_.btatpartbot) = (model_.btatpartbot_s);
        (model_.btatpartsti) = (model_.btatpartsti_s);
        (model_.btatpartgat) = (model_.btatpartgat_s);
        (model_.fbbtbot) = (model_.fbbtbot_s);
        (model_.fbbtsti) = (model_.fbbtsti_s);
        (model_.fbbtgat) = (model_.fbbtgat_s);
        (model_.fbbtbot) = (model_.fbbtbot_s);
        (model_.fbbtsti) = (model_.fbbtsti_s);
        (model_.fbbtgat) = (model_.fbbtgat_s);
        (model_.fstopbot) = (model_.fstopbot_s);
        (model_.fstopsti) = (model_.fstopsti_s);
        (model_.fstopgat) = (model_.fstopgat_s);
        (model_.VBRinvbot) = (model_.VBRinvbot_s);
        (model_.VBRinvsti) = (model_.VBRinvsti_s);
        (model_.VBRinvgat) = (model_.VBRinvgat_s);
        (model_.slopebot) = (model_.slopebot_s);
        (model_.slopesti) = (model_.slopesti_s);
        (model_.slopegat) = (model_.slopegat_s);
        FRACNA = 0.4;
        FRACNB = 0.65;
        FRACI = 0.8;
        V1 = ((-FRACNA)*(model_.VJUNREF_i));
        V2 = ((-FRACNB)*(model_.VJUNREF_i));
        V3 = ((-FRACI)*(model_.VJUNREF_i));
        V4 = 0.1;
        V5 = 0.2;
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V1+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V1*vfmin_s)/(h3+h5)));
          if ((V1<VMAX_s))
          {
            if ((fabs((0.5*(V1*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V1*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V1*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V1-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V1>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V1)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V1+vjlim)-sqrt((((V1-vjlim)*(V1-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V1+vbbtlim_s)-sqrt((((V1-vbbtlim_s)*(V1-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V1)-sqrt((((V1)*(V1))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V1-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V1-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V1-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I1 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V2+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V2*vfmin_s)/(h3+h5)));
          if ((V2<VMAX_s))
          {
            if ((fabs((0.5*(V2*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V2*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V2*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V2-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V2>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V2)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V2+vjlim)-sqrt((((V2-vjlim)*(V2-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V2+vbbtlim_s)-sqrt((((V2-vbbtlim_s)*(V2-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V2)-sqrt((((V2)*(V2))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V2-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V2-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V2-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I2 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V3+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V3*vfmin_s)/(h3+h5)));
          if ((V3<VMAX_s))
          {
            if ((fabs((0.5*(V3*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V3*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V3*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V3-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V3>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V3)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V3+vjlim)-sqrt((((V3-vjlim)*(V3-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V3+vbbtlim_s)-sqrt((((V3-vbbtlim_s)*(V3-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V3)-sqrt((((V3)*(V3))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V3-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V3-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V3-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I3 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V4+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V4*vfmin_s)/(h3+h5)));
          if ((V4<VMAX_s))
          {
            if ((fabs((0.5*(V4*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V4*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V4*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V4-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V4>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V4)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V4+vjlim)-sqrt((((V4-vjlim)*(V4-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V4+vbbtlim_s)-sqrt((((V4-vbbtlim_s)*(V4-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V4)-sqrt((((V4)*(V4))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V4-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V4-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V4-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I4 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V5+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V5*vfmin_s)/(h3+h5)));
          if ((V5<VMAX_s))
          {
            if ((fabs((0.5*(V5*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V5*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V5*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V5-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V5>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V5)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V5+vjlim)-sqrt((((V5-vjlim)*(V5-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V5+vbbtlim_s)-sqrt((((V5-vbbtlim_s)*(V5-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V5)-sqrt((((V5)*(V5))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V5-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V5-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V5-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I5 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        ISATFOR1_s = (((ABSOURCE_i*(model_.idsatbot))+(LSSOURCE_i*(model_.idsatsti)))+(LGSOURCE_i*(model_.idsatgat)));
        I4_cor = (I4-(ISATFOR1_s*(exp(((V4*(model_.phitdinv))*MFOR1_s))-1.0)));
        I5_cor = (I5-(ISATFOR1_s*(exp(((V5*(model_.phitdinv))*MFOR1_s))-1.0)));
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          if (((I4>0)&&(I5>0)))
          {
            if ((((((I4_cor/I4)>0.001)||((I5_cor/I5)>0.001))&&(I4_cor>0))&&(I5_cor>0)))
            {
              alphaje = (I4_cor/I5_cor);
              MFOR2_s = (((model_.phitd)*log(alphaje))/(V4-V5));
              ISATFOR2_s = (I4_cor/(exp(((V4*(model_.phitdinv))*MFOR2_s))-1));
            }
          }
          I1_cor = ((I1-(ISATFOR1_s*(exp(((V1*(model_.phitdinv))*MFOR1_s))-1.0)))-(ISATFOR2_s*(exp(((V1*(model_.phitdinv))*MFOR2_s))-1.0)));
          I2_cor = ((I2-(ISATFOR1_s*(exp(((V2*(model_.phitdinv))*MFOR1_s))-1.0)))-(ISATFOR2_s*(exp(((V2*(model_.phitdinv))*MFOR2_s))-1.0)));
          I3_cor = ((I3-(ISATFOR1_s*(exp(((V3*(model_.phitdinv))*MFOR1_s))-1.0)))-(ISATFOR2_s*(exp(((V3*(model_.phitdinv))*MFOR2_s))-1.0)));
          if ((((I1<0)&&(I2<0))&&(I3<0)))
          {
            if ((((((((I1_cor/I1)>0.001)||((I2_cor/I2)>0.001))||((I3_cor/I3)>0.001))&&(I1_cor<0))&&(I2_cor<0))&&(I3_cor<0)))
            {
              alphaje = (I1_cor/I2_cor);
              m0_rev = (((-(model_.phitd))*log(alphaje))/(V1-V2));
              tt0 = (V2/(V2-V1));
              tt1 = (((model_.phitd)*(alphaje-1))*(pow(alphaje,tt0)-1));
              tt0 = (V1/(V1-V2));
              tt2 = (((pow(alphaje,tt0)*(V2-V1))+(alphaje*V1))-V2);
              mcor_rev = (tt1/tt2);
              MREV_s = (m0_rev+mcor_rev);
              if ((fabs(((V3*(model_.phitdinv))*MREV_s))<1e-6))
              {
                m0flag_s = 1.0;
                ISATREV_s = (I3_cor*((1/V3)+((0.5*(model_.phitdinv))*MREV_s)));
                MREV_s = (((((-0.5)*I3_cor)*MREV_s)*(model_.phitdinv))/V3);
              }
              else
              {
                m0flag_s = 0.0;
                ISATREV_s = ((-I3_cor)/(exp((((-V3)*(model_.phitdinv))*MREV_s))-1));
              }
            }
          }
        }
        zfrac = ((model_.FJUNQ_i)*(((ABSOURCE_i*(model_.cjobot))+(LSSOURCE_i*(model_.cjosti)))+(LGSOURCE_i*(model_.cjogat))));
        if (((ABSOURCE_i*(model_.cjobot))<=zfrac))
        {
          zflagbot_s = 0.0;
        }
        if (((LSSOURCE_i*(model_.cjosti))<=zfrac))
        {
          zflagsti_s = 0.0;
        }
        if (((LGSOURCE_i*(model_.cjogat))<=zfrac))
        {
          zflaggat_s = 0.0;
        }
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          xhighf1_s = log(((0.5*(model_.IMAX_i))/(ISATFOR1_s+1e-21)));
          xhighf2_s = log(((0.5*(model_.IMAX_i))/(ISATFOR2_s+1e-21)));
          xhighr_s = log(((0.5*(model_.IMAX_i))/(fabs(ISATREV_s)+1e-21)));
        }
        xhighf1_s = std::min(xhighf1_s,2.3025850929940458e+02);
        expxhf1_s = exp(xhighf1_s);
        xhighf2_s = std::min(xhighf2_s,2.3025850929940458e+02);
        expxhf2_s = exp(xhighf2_s);
        xhighr_s = std::min(xhighr_s,2.3025850929940458e+02);
        expxhr_s = exp(xhighr_s);
        (model_.CJORBOT_i) = (model_.CJORBOTD_i);
        (model_.CJORSTI_i) = (model_.CJORSTID_i);
        (model_.CJORGAT_i) = (model_.CJORGATD_i);
        (model_.VBIRBOT_i) = (model_.VBIRBOTD_i);
        (model_.VBIRSTI_i) = (model_.VBIRSTID_i);
        (model_.VBIRGAT_i) = (model_.VBIRGATD_i);
        (model_.PBOT_i) = (model_.PBOTD_i);
        (model_.PSTI_i) = (model_.PSTID_i);
        (model_.PGAT_i) = (model_.PGATD_i);
        (model_.PHIGBOT_i) = (model_.PHIGBOTD_i);
        (model_.PHIGSTI_i) = (model_.PHIGSTID_i);
        (model_.PHIGGAT_i) = (model_.PHIGGATD_i);
        (model_.IDSATRBOT_i) = (model_.IDSATRBOTD_i);
        (model_.IDSATRSTI_i) = (model_.IDSATRSTID_i);
        (model_.IDSATRGAT_i) = (model_.IDSATRGATD_i);
        (model_.CSRHBOT_i) = (model_.CSRHBOTD_i);
        (model_.CSRHSTI_i) = (model_.CSRHSTID_i);
        (model_.CSRHGAT_i) = (model_.CSRHGATD_i);
        (model_.XJUNSTI_i) = (model_.XJUNSTID_i);
        (model_.XJUNGAT_i) = (model_.XJUNGATD_i);
        (model_.CTATBOT_i) = (model_.CTATBOTD_i);
        (model_.CTATSTI_i) = (model_.CTATSTID_i);
        (model_.CTATGAT_i) = (model_.CTATGATD_i);
        (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTD_i);
        (model_.MEFFTATSTI_i) = (model_.MEFFTATSTID_i);
        (model_.MEFFTATGAT_i) = (model_.MEFFTATGATD_i);
        (model_.CBBTBOT_i) = (model_.CBBTBOTD_i);
        (model_.CBBTSTI_i) = (model_.CBBTSTID_i);
        (model_.CBBTGAT_i) = (model_.CBBTGATD_i);
        (model_.FBBTRBOT_i) = (model_.FBBTRBOTD_i);
        (model_.FBBTRSTI_i) = (model_.FBBTRSTID_i);
        (model_.FBBTRGAT_i) = (model_.FBBTRGATD_i);
        (model_.STFBBTBOT_i) = (model_.STFBBTBOTD_i);
        (model_.STFBBTSTI_i) = (model_.STFBBTSTID_i);
        (model_.STFBBTGAT_i) = (model_.STFBBTGATD_i);
        (model_.VBRBOT_i) = (model_.VBRBOTD_i);
        (model_.VBRSTI_i) = (model_.VBRSTID_i);
        (model_.VBRGAT_i) = (model_.VBRGATD_i);
        (model_.PBRBOT_i) = (model_.PBRBOTD_i);
        (model_.PBRSTI_i) = (model_.PBRSTID_i);
        (model_.PBRGAT_i) = (model_.PBRGATD_i);
        (model_.VJUNREF_i) = (model_.VJUNREFD_i);
        (model_.FJUNQ_i) = (model_.FJUNQD_i);
        (model_.phigrbot) = (model_.phigrbot_d);
        (model_.phigrsti) = (model_.phigrsti_d);
        (model_.phigrgat) = (model_.phigrgat_d);
        (model_.phigdbot) = (model_.phigdbot_d);
        (model_.phigdsti) = (model_.phigdsti_d);
        (model_.phigdgat) = (model_.phigdgat_d);
        (model_.ftdbot) = (model_.ftdbot_d);
        (model_.ftdsti) = (model_.ftdsti_d);
        (model_.ftdgat) = (model_.ftdgat_d);
        (model_.idsatbot) = (model_.idsatbot_d);
        (model_.idsatsti) = (model_.idsatsti_d);
        (model_.idsatgat) = (model_.idsatgat_d);
        (model_.ubibot) = (model_.ubibot_d);
        (model_.ubisti) = (model_.ubisti_d);
        (model_.ubigat) = (model_.ubigat_d);
        (model_.vbibot) = (model_.vbibot_d);
        (model_.vbisti) = (model_.vbisti_d);
        (model_.vbigat) = (model_.vbigat_d);
        (model_.vbiinvbot) = (model_.vbiinvbot_d);
        (model_.vbiinvsti) = (model_.vbiinvsti_d);
        (model_.vbiinvgat) = (model_.vbiinvgat_d);
        (model_.one_minus_PBOT) = (model_.one_minus_PBOT_d);
        (model_.one_minus_PSTI) = (model_.one_minus_PSTI_d);
        (model_.one_minus_PGAT) = (model_.one_minus_PGAT_d);
        (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_d);
        (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_d);
        (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_d);
        (model_.cjobot) = (model_.cjobot_d);
        (model_.cjosti) = (model_.cjosti_d);
        (model_.cjogat) = (model_.cjogat_d);
        (model_.qprefbot) = (model_.qprefbot_d);
        (model_.qprefsti) = (model_.qprefsti_d);
        (model_.qprefgat) = (model_.qprefgat_d);
        (model_.qpref2bot) = (model_.qpref2bot_d);
        (model_.qpref2sti) = (model_.qpref2sti_d);
        (model_.qpref2gat) = (model_.qpref2gat_d);
        (model_.wdepnulrbot) = (model_.wdepnulrbot_d);
        (model_.wdepnulrsti) = (model_.wdepnulrsti_d);
        (model_.wdepnulrgat) = (model_.wdepnulrgat_d);
        (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_d);
        (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_d);
        (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_d);
        (model_.VBIRBOTinv) = (model_.VBIRBOTinv_d);
        (model_.VBIRSTIinv) = (model_.VBIRSTIinv_d);
        (model_.VBIRGATinv) = (model_.VBIRGATinv_d);
        (model_.deltaEbot) = (model_.deltaEbot_d);
        (model_.deltaEsti) = (model_.deltaEsti_d);
        (model_.deltaEgat) = (model_.deltaEgat_d);
        (model_.atatbot) = (model_.atatbot_d);
        (model_.atatsti) = (model_.atatsti_d);
        (model_.atatgat) = (model_.atatgat_d);
        (model_.btatpartbot) = (model_.btatpartbot_d);
        (model_.btatpartsti) = (model_.btatpartsti_d);
        (model_.btatpartgat) = (model_.btatpartgat_d);
        (model_.fbbtbot) = (model_.fbbtbot_d);
        (model_.fbbtsti) = (model_.fbbtsti_d);
        (model_.fbbtgat) = (model_.fbbtgat_d);
        (model_.fbbtbot) = (model_.fbbtbot_d);
        (model_.fbbtsti) = (model_.fbbtsti_d);
        (model_.fbbtgat) = (model_.fbbtgat_d);
        (model_.fstopbot) = (model_.fstopbot_d);
        (model_.fstopsti) = (model_.fstopsti_d);
        (model_.fstopgat) = (model_.fstopgat_d);
        (model_.VBRinvbot) = (model_.VBRinvbot_d);
        (model_.VBRinvsti) = (model_.VBRinvsti_d);
        (model_.VBRinvgat) = (model_.VBRinvgat_d);
        (model_.slopebot) = (model_.slopebot_d);
        (model_.slopesti) = (model_.slopesti_d);
        (model_.slopegat) = (model_.slopegat_d);
        FRACNA = 0.4;
        FRACNB = 0.65;
        FRACI = 0.8;
        V1 = ((-FRACNA)*(model_.VJUNREF_i));
        V2 = ((-FRACNB)*(model_.VJUNREF_i));
        V3 = ((-FRACI)*(model_.VJUNREF_i));
        V4 = 0.1;
        V5 = 0.2;
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V1+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V1*vfmin_d)/(h3+h5)));
          if ((V1<VMAX_d))
          {
            if ((fabs((0.5*(V1*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V1*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V1*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V1-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V1>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V1)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V1+vjlim)-sqrt((((V1-vjlim)*(V1-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V1+vbbtlim_d)-sqrt((((V1-vbbtlim_d)*(V1-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V1)-sqrt((((V1)*(V1))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V1-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V1-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V1-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I1 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V2+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V2*vfmin_d)/(h3+h5)));
          if ((V2<VMAX_d))
          {
            if ((fabs((0.5*(V2*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V2*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V2*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V2-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V2>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V2)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V2+vjlim)-sqrt((((V2-vjlim)*(V2-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V2+vbbtlim_d)-sqrt((((V2-vbbtlim_d)*(V2-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V2)-sqrt((((V2)*(V2))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V2-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V2-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V2-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I2 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V3+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V3*vfmin_d)/(h3+h5)));
          if ((V3<VMAX_d))
          {
            if ((fabs((0.5*(V3*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V3*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V3*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V3-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V3>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V3)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V3+vjlim)-sqrt((((V3-vjlim)*(V3-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V3+vbbtlim_d)-sqrt((((V3-vbbtlim_d)*(V3-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V3)-sqrt((((V3)*(V3))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V3-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V3-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V3-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I3 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V4+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V4*vfmin_d)/(h3+h5)));
          if ((V4<VMAX_d))
          {
            if ((fabs((0.5*(V4*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V4*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V4*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V4-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V4>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V4)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V4+vjlim)-sqrt((((V4-vjlim)*(V4-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V4+vbbtlim_d)-sqrt((((V4-vbbtlim_d)*(V4-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V4)-sqrt((((V4)*(V4))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V4-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V4-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V4-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I4 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V5+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V5*vfmin_d)/(h3+h5)));
          if ((V5<VMAX_d))
          {
            if ((fabs((0.5*(V5*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V5*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V5*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V5-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V5>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V5)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V5+vjlim)-sqrt((((V5-vjlim)*(V5-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V5+vbbtlim_d)-sqrt((((V5-vbbtlim_d)*(V5-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V5)-sqrt((((V5)*(V5))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V5-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V5-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V5-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I5 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        ISATFOR1_d = (((ABDRAIN_i*(model_.idsatbot))+(LSDRAIN_i*(model_.idsatsti)))+(LGDRAIN_i*(model_.idsatgat)));
        I4_cor = (I4-(ISATFOR1_d*(exp(((V4*(model_.phitdinv))*MFOR1_d))-1.0)));
        I5_cor = (I5-(ISATFOR1_d*(exp(((V5*(model_.phitdinv))*MFOR1_d))-1.0)));
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          if (((I4>0)&&(I5>0)))
          {
            if ((((((I4_cor/I4)>0.001)||((I5_cor/I5)>0.001))&&(I4_cor>0))&&(I5_cor>0)))
            {
              alphaje = (I4_cor/I5_cor);
              MFOR2_d = (((model_.phitd)*log(alphaje))/(V4-V5));
              ISATFOR2_d = (I4_cor/(exp(((V4*(model_.phitdinv))*MFOR2_d))-1));
            }
          }
          I1_cor = ((I1-(ISATFOR1_d*(exp(((V1*(model_.phitdinv))*MFOR1_d))-1.0)))-(ISATFOR2_d*(exp(((V1*(model_.phitdinv))*MFOR2_d))-1.0)));
          I2_cor = ((I2-(ISATFOR1_d*(exp(((V2*(model_.phitdinv))*MFOR1_d))-1.0)))-(ISATFOR2_d*(exp(((V2*(model_.phitdinv))*MFOR2_d))-1.0)));
          I3_cor = ((I3-(ISATFOR1_d*(exp(((V3*(model_.phitdinv))*MFOR1_d))-1.0)))-(ISATFOR2_d*(exp(((V3*(model_.phitdinv))*MFOR2_d))-1.0)));
          if ((((I1<0)&&(I2<0))&&(I3<0)))
          {
            if ((((((((I1_cor/I1)>0.001)||((I2_cor/I2)>0.001))||((I3_cor/I3)>0.001))&&(I1_cor<0))&&(I2_cor<0))&&(I3_cor<0)))
            {
              alphaje = (I1_cor/I2_cor);
              m0_rev = (((-(model_.phitd))*log(alphaje))/(V1-V2));
              tt0 = (V2/(V2-V1));
              tt1 = (((model_.phitd)*(alphaje-1))*(pow(alphaje,tt0)-1));
              tt0 = (V1/(V1-V2));
              tt2 = (((pow(alphaje,tt0)*(V2-V1))+(alphaje*V1))-V2);
              mcor_rev = (tt1/tt2);
              MREV_d = (m0_rev+mcor_rev);
              if ((fabs(((V3*(model_.phitdinv))*MREV_d))<1e-6))
              {
                m0flag_d = 1.0;
                ISATREV_d = (I3_cor*((1/V3)+((0.5*(model_.phitdinv))*MREV_d)));
                MREV_d = (((((-0.5)*I3_cor)*MREV_d)*(model_.phitdinv))/V3);
              }
              else
              {
                m0flag_d = 0.0;
                ISATREV_d = ((-I3_cor)/(exp((((-V3)*(model_.phitdinv))*MREV_d))-1));
              }
            }
          }
        }
        zfrac = ((model_.FJUNQ_i)*(((ABDRAIN_i*(model_.cjobot))+(LSDRAIN_i*(model_.cjosti)))+(LGDRAIN_i*(model_.cjogat))));
        if (((ABDRAIN_i*(model_.cjobot))<=zfrac))
        {
          zflagbot_d = 0.0;
        }
        if (((LSDRAIN_i*(model_.cjosti))<=zfrac))
        {
          zflagsti_d = 0.0;
        }
        if (((LGDRAIN_i*(model_.cjogat))<=zfrac))
        {
          zflaggat_d = 0.0;
        }
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          xhighf1_d = log(((0.5*(model_.IMAX_i))/(ISATFOR1_d+1e-21)));
          xhighf2_d = log(((0.5*(model_.IMAX_i))/(ISATFOR2_d+1e-21)));
          xhighr_d = log(((0.5*(model_.IMAX_i))/(fabs(ISATREV_d)+1e-21)));
        }
        xhighf1_d = std::min(xhighf1_d,2.3025850929940458e+02);
        expxhf1_d = exp(xhighf1_d);
        xhighf2_d = std::min(xhighf2_d,2.3025850929940458e+02);
        expxhf2_d = exp(xhighf2_d);
        xhighr_d = std::min(xhighr_d,2.3025850929940458e+02);
        expxhr_d = exp(xhighr_d);
      }
      // End block JUNCAPexpressInit
    }
  }
  // End block initial_instance


  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::Instance
// Purpose       : "instance block" constructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------

Instance::Instance(
   const Configuration & configuration,
   const InstanceBlock & instance_block,
   Model &               model,
   const FactoryBlock &  factory_block)
  : DeviceInstance(instance_block, configuration.getInstanceParameters(), factory_block),
    model_(model),
    L(10e-6),
    W(10e-6),
    SA(0.0),
    SB(0.0),
    SD(0.0),
    SCA(0.0),
    SCB(0.0),
    SCC(0.0),
    SC(0.0),
    NF(1.0),
    NGCON(1.0),
    XGW(1.0E-7),
    NRS(0.0),
    NRD(0.0),
    JW(1E-6),
    DELVTO(0.0),
    FACTUO(1.0),
  ABSOURCE(1E-12),
  LSSOURCE(1E-6),
  LGSOURCE(1E-6),
  ABDRAIN(1E-12),
  LSDRAIN(1E-6),
  LGDRAIN(1E-6),
  AS(1E-12),
  PS(1E-6),
  AD(1E-12),
  PD(1E-6),
  MULT(1.0),
  VFB_i(0.0),
  GFACNUD_i(0.0),
  VNSUB_i(0.0),
  NSLP_i(0.0),
  DNSUB_i(0.0),
  CF_i(0.0),
  CFB_i(0.0),
  MUE_i(0.0),
  THEMU_i(0.0),
  CS_i(0.0),
  XCOR_i(0.0),
  THER_i(0.0),
  RSB_i(0.0),
  RSG_i(0.0),
  THESAT_i(0.0),
  THESATB_i(0.0),
  THESATG_i(0.0),
  AX_i(0.0),
  ALP_i(0.0),
  ALP1_i(0.0),
  ALP2_i(0.0),
  A1_i(0.0),
  A2_i(0.0),
  A3_i(0.0),
  A4_i(0.0),
  IGINV_i(0.0),
  IGOV_i(0.0),
  IGOVD_i(0.0),
  GC2_i(0.0),
  GC3_i(0.0),
  CHIB_i(0.0),
  AGIDL_i(0.0),
  BGIDL_i(0.0),
  CGIDL_i(0.0),
  AGIDLD_i(0.0),
  BGIDLD_i(0.0),
  CGIDLD_i(0.0),
  COX_i(0.0),
  CGOV_i(0.0),
  CGOVD_i(0.0),
  CGBOV_i(0.0),
  CFR_i(0.0),
  CFRD_i(0.0),
  MULT_i(0.0),
  BET_i(0.0),
  kp(0.0),
  qq(0.0),
  qlim2(0.0),
  E_eff0(0.0),
  eta_mu(0.0),
  eta_mu1(0.0),
  BCH(0.0),
  BOV(0.0),
  inv_CHIB(0.0),
  GCQ(0.0),
  Dch(0.0),
  Dov(0.0),
  x1(0.0),
  Vdsat_lim(0.0),
  GOV_s(0.0),
  GOV_d(0.0),
  GOV2_s(0.0),
  GOV2_d(0.0),
  BOV_d(0.0),
  xi_ov_s(0.0),
  xi_ov_d(0.0),
  inv_xi_ov_s(0.0),
  inv_xi_ov_d(0.0),
  x_mrg_ov_s(0.0),
  x_mrg_ov_d(0.0),
  inv_xg1_s(0.0),
  inv_xg1_d(0.0),
  phit1(0.0),
  inv_phit1(0.0),
  alpha_b(0.0),
  inv_VP(0.0),
  inv_AX(0.0),
  us1(0.0),
  us21(0.0),
  phib_dc(0.0),
  sqrt_phib_dc(0.0),
  G_0_dc(0.0),
  aphi_dc(0.0),
  bphi_dc(0.0),
  phix_dc(0.0),
  phix1_dc(0.0),
  phib_ac(0.0),
  sqrt_phib_ac(0.0),
  G_0_ac(0.0),
  aphi_ac(0.0),
  bphi_ac(0.0),
  phix_ac(0.0),
  phix1_ac(0.0),
  RG_i(0.0),
  RSE_i(0.0),
  RDE_i(0.0),
  RBULK_i(0.0),
  RWELL_i(0.0),
  RJUNS_i(0.0),
  RJUND_i(0.0),
  ggate(0.0),
  gsource(0.0),
  gdrain(0.0),
  gbulk(0.0),
  gwell(0.0),
  gjund(0.0),
  gjuns(0.0),
  tmpv(0.0),
  vjv(0.0),
  idmult(0.0),
  vj(0.0),
  zinv(0.0),
  vjsrh(0.0),
  vav(0.0),
  vbi_minus_vjsrh(0.0),
  wsrh(0.0),
  wdep(0.0),
  asrh(0.0),
  ABSOURCE_i(0.0),
  LSSOURCE_i(0.0),
  LGSOURCE_i(0.0),
  zflagbot_s(0.0),
  zflagsti_s(0.0),
  zflaggat_s(0.0),
  VMAX_s(0.0),
  exp_VMAX_over_phitd_s(0.0),
  vbimin_s(0.0),
  vch_s(0.0),
  vfmin_s(0.0),
  vbbtlim_s(0.0),
  ijunbot_s(0.0),
  qjunbot_s(0.0),
  ijunsti_s(0.0),
  qjunsti_s(0.0),
  ijungat_s(0.0),
  qjungat_s(0.0),
  ijun_s(0.0),
  qjun_s(0.0),
  xhighf1_s(0.0),
  expxhf1_s(0.0),
  xhighf2_s(0.0),
  expxhf2_s(0.0),
  xhighr_s(0.0),
  expxhr_s(0.0),
  m0flag_s(0.0),
  ISATFOR1_s(0.0),
  MFOR1_s(0.0),
  ISATFOR2_s(0.0),
  MFOR2_s(0.0),
  ISATREV_s(0.0),
  MREV_s(0.0),
  ABDRAIN_i(0.0),
  LSDRAIN_i(0.0),
  LGDRAIN_i(0.0),
  zflagbot_d(0.0),
  zflagsti_d(0.0),
  zflaggat_d(0.0),
  VMAX_d(0.0),
  exp_VMAX_over_phitd_d(0.0),
  vbimin_d(0.0),
  vch_d(0.0),
  vfmin_d(0.0),
  vbbtlim_d(0.0),
  ijunbot_d(0.0),
  qjunbot_d(0.0),
  ijunsti_d(0.0),
  qjunsti_d(0.0),
  ijungat_d(0.0),
  qjungat_d(0.0),
  ijun_d(0.0),
  qjun_d(0.0),
  xhighf1_d(0.0),
  expxhf1_d(0.0),
  xhighf2_d(0.0),
  expxhf2_d(0.0),
  xhighr_d(0.0),
  expxhr_d(0.0),
  m0flag_d(0.0),
  ISATFOR1_d(0.0),
  MFOR1_d(0.0),
  ISATFOR2_d(0.0),
  MFOR2_d(0.0),
  ISATREV_d(0.0),
  MREV_d(0.0),
  li_D(-1),
  li_G(-1),
  li_S(-1),
  li_B(-1),
  li_GP(-1),
  li_SI(-1),
  li_DI(-1),
  li_BI(-1),
  li_BP(-1),
  li_BS(-1),
  li_BD(-1),
  f_DI_Equ_SI_Node_Ptr(0),
  f_DI_Equ_BP_Node_Ptr(0),
  f_BP_Equ_SI_Node_Ptr(0),
  f_BP_Equ_BP_Node_Ptr(0),
  f_DI_Equ_GP_Node_Ptr(0),
  f_BP_Equ_GP_Node_Ptr(0),
  f_DI_Equ_DI_Node_Ptr(0),
  f_BP_Equ_DI_Node_Ptr(0),
  f_SI_Equ_SI_Node_Ptr(0),
  f_SI_Equ_BP_Node_Ptr(0),
  f_SI_Equ_GP_Node_Ptr(0),
  f_SI_Equ_DI_Node_Ptr(0),
  f_GP_Equ_SI_Node_Ptr(0),
  f_GP_Equ_BP_Node_Ptr(0),
  f_GP_Equ_DI_Node_Ptr(0),
  f_GP_Equ_GP_Node_Ptr(0),
  f_BS_Equ_SI_Node_Ptr(0),
  f_BS_Equ_BS_Node_Ptr(0),
  f_SI_Equ_BS_Node_Ptr(0),
  f_BS_Equ_DI_Node_Ptr(0),
  f_BS_Equ_BD_Node_Ptr(0),
  f_SI_Equ_BD_Node_Ptr(0),
  f_BD_Equ_SI_Node_Ptr(0),
  f_BD_Equ_BS_Node_Ptr(0),
  f_DI_Equ_BS_Node_Ptr(0),
  f_BD_Equ_DI_Node_Ptr(0),
  f_BD_Equ_BD_Node_Ptr(0),
  f_DI_Equ_BD_Node_Ptr(0),
  f_G_Equ_G_Node_Ptr(0),
  f_G_Equ_GP_Node_Ptr(0),
  f_GP_Equ_G_Node_Ptr(0),
  f_S_Equ_S_Node_Ptr(0),
  f_S_Equ_SI_Node_Ptr(0),
  f_SI_Equ_S_Node_Ptr(0),
  f_D_Equ_D_Node_Ptr(0),
  f_D_Equ_DI_Node_Ptr(0),
  f_DI_Equ_D_Node_Ptr(0),
  f_BP_Equ_BI_Node_Ptr(0),
  f_BI_Equ_BP_Node_Ptr(0),
  f_BI_Equ_BI_Node_Ptr(0),
  f_BS_Equ_BI_Node_Ptr(0),
  f_BI_Equ_BS_Node_Ptr(0),
  f_BD_Equ_BI_Node_Ptr(0),
  f_BI_Equ_BD_Node_Ptr(0),
  f_B_Equ_B_Node_Ptr(0),
  f_B_Equ_BI_Node_Ptr(0),
  f_BI_Equ_B_Node_Ptr(0),
  q_DI_Equ_SI_Node_Ptr(0),
  q_DI_Equ_BP_Node_Ptr(0),
  q_BP_Equ_SI_Node_Ptr(0),
  q_BP_Equ_BP_Node_Ptr(0),
  q_DI_Equ_GP_Node_Ptr(0),
  q_BP_Equ_GP_Node_Ptr(0),
  q_DI_Equ_DI_Node_Ptr(0),
  q_BP_Equ_DI_Node_Ptr(0),
  q_SI_Equ_SI_Node_Ptr(0),
  q_SI_Equ_BP_Node_Ptr(0),
  q_SI_Equ_GP_Node_Ptr(0),
  q_SI_Equ_DI_Node_Ptr(0),
  q_GP_Equ_SI_Node_Ptr(0),
  q_GP_Equ_BP_Node_Ptr(0),
  q_GP_Equ_DI_Node_Ptr(0),
  q_GP_Equ_GP_Node_Ptr(0),
  q_BS_Equ_SI_Node_Ptr(0),
  q_BS_Equ_BS_Node_Ptr(0),
  q_SI_Equ_BS_Node_Ptr(0),
  q_BS_Equ_DI_Node_Ptr(0),
  q_BS_Equ_BD_Node_Ptr(0),
  q_SI_Equ_BD_Node_Ptr(0),
  q_BD_Equ_SI_Node_Ptr(0),
  q_BD_Equ_BS_Node_Ptr(0),
  q_DI_Equ_BS_Node_Ptr(0),
  q_BD_Equ_DI_Node_Ptr(0),
  q_BD_Equ_BD_Node_Ptr(0),
  q_DI_Equ_BD_Node_Ptr(0),
  q_G_Equ_G_Node_Ptr(0),
  q_G_Equ_GP_Node_Ptr(0),
  q_GP_Equ_G_Node_Ptr(0),
  q_S_Equ_S_Node_Ptr(0),
  q_S_Equ_SI_Node_Ptr(0),
  q_SI_Equ_S_Node_Ptr(0),
  q_D_Equ_D_Node_Ptr(0),
  q_D_Equ_DI_Node_Ptr(0),
  q_DI_Equ_D_Node_Ptr(0),
  q_BP_Equ_BI_Node_Ptr(0),
  q_BI_Equ_BP_Node_Ptr(0),
  q_BI_Equ_BI_Node_Ptr(0),
  q_BS_Equ_BI_Node_Ptr(0),
  q_BI_Equ_BS_Node_Ptr(0),
  q_BD_Equ_BI_Node_Ptr(0),
  q_BI_Equ_BD_Node_Ptr(0),
  q_B_Equ_B_Node_Ptr(0),
  q_B_Equ_BI_Node_Ptr(0),
  q_BI_Equ_B_Node_Ptr(0),
  admsTemperature(getDeviceOptions().temp.getImmutableValue<double>())

{
  numIntVars = 7 + 0;
  numExtVars = 4;


  // Right now, we only have state for limited probes...
  numStateVars = 0;


  // Set up jacobian stamp:

  if (jacStamp.empty())
  {
    jacStamp.resize(11);
    jacStamp[admsNodeID_D].resize(2);
    jacStamp[admsNodeID_D][0] = admsNodeID_D;
    jacStamp[admsNodeID_D][1] = admsNodeID_DI;
    jacStamp[admsNodeID_G].resize(2);
    jacStamp[admsNodeID_G][0] = admsNodeID_G;
    jacStamp[admsNodeID_G][1] = admsNodeID_GP;
    jacStamp[admsNodeID_S].resize(2);
    jacStamp[admsNodeID_S][0] = admsNodeID_S;
    jacStamp[admsNodeID_S][1] = admsNodeID_SI;
    jacStamp[admsNodeID_B].resize(2);
    jacStamp[admsNodeID_B][0] = admsNodeID_B;
    jacStamp[admsNodeID_B][1] = admsNodeID_BI;
    jacStamp[admsNodeID_GP].resize(5);
    jacStamp[admsNodeID_GP][0] = admsNodeID_SI;
    jacStamp[admsNodeID_GP][1] = admsNodeID_BP;
    jacStamp[admsNodeID_GP][2] = admsNodeID_DI;
    jacStamp[admsNodeID_GP][3] = admsNodeID_GP;
    jacStamp[admsNodeID_GP][4] = admsNodeID_G;
    jacStamp[admsNodeID_SI].resize(7);
    jacStamp[admsNodeID_SI][0] = admsNodeID_SI;
    jacStamp[admsNodeID_SI][1] = admsNodeID_BP;
    jacStamp[admsNodeID_SI][2] = admsNodeID_GP;
    jacStamp[admsNodeID_SI][3] = admsNodeID_DI;
    jacStamp[admsNodeID_SI][4] = admsNodeID_BS;
    jacStamp[admsNodeID_SI][5] = admsNodeID_BD;
    jacStamp[admsNodeID_SI][6] = admsNodeID_S;
    jacStamp[admsNodeID_DI].resize(7);
    jacStamp[admsNodeID_DI][0] = admsNodeID_SI;
    jacStamp[admsNodeID_DI][1] = admsNodeID_BP;
    jacStamp[admsNodeID_DI][2] = admsNodeID_GP;
    jacStamp[admsNodeID_DI][3] = admsNodeID_DI;
    jacStamp[admsNodeID_DI][4] = admsNodeID_BS;
    jacStamp[admsNodeID_DI][5] = admsNodeID_BD;
    jacStamp[admsNodeID_DI][6] = admsNodeID_D;
    jacStamp[admsNodeID_BI].resize(5);
    jacStamp[admsNodeID_BI][0] = admsNodeID_BP;
    jacStamp[admsNodeID_BI][1] = admsNodeID_BI;
    jacStamp[admsNodeID_BI][2] = admsNodeID_BS;
    jacStamp[admsNodeID_BI][3] = admsNodeID_BD;
    jacStamp[admsNodeID_BI][4] = admsNodeID_B;
    jacStamp[admsNodeID_BP].resize(5);
    jacStamp[admsNodeID_BP][0] = admsNodeID_SI;
    jacStamp[admsNodeID_BP][1] = admsNodeID_BP;
    jacStamp[admsNodeID_BP][2] = admsNodeID_GP;
    jacStamp[admsNodeID_BP][3] = admsNodeID_DI;
    jacStamp[admsNodeID_BP][4] = admsNodeID_BI;
    jacStamp[admsNodeID_BS].resize(5);
    jacStamp[admsNodeID_BS][0] = admsNodeID_SI;
    jacStamp[admsNodeID_BS][1] = admsNodeID_BS;
    jacStamp[admsNodeID_BS][2] = admsNodeID_DI;
    jacStamp[admsNodeID_BS][3] = admsNodeID_BD;
    jacStamp[admsNodeID_BS][4] = admsNodeID_BI;
    jacStamp[admsNodeID_BD].resize(5);
    jacStamp[admsNodeID_BD][0] = admsNodeID_SI;
    jacStamp[admsNodeID_BD][1] = admsNodeID_BS;
    jacStamp[admsNodeID_BD][2] = admsNodeID_DI;
    jacStamp[admsNodeID_BD][3] = admsNodeID_BD;
    jacStamp[admsNodeID_BD][4] = admsNodeID_BI;


    // This is really not strictly necessary when not mapping away nodes,
    // but makes life easier when we get to registerJacLIDs.  This block
    // simply makes a map that leaves everything in place.  Later, when we
    // start making nodes go away, we will need to modify this.

    int mapSize = jacStamp.size();
    jacMap.clear();
    jacMap2.clear();
    jacMap.resize(mapSize);
    jacMap2.resize(mapSize);
    for (int i=0;i<mapSize;++i)
    {
      int rowSize=jacStamp[i].size();
      jacMap[i]=i;
      jacMap2[i].resize(rowSize);
      for (int j=0;j<rowSize;++j)
      {
        jacMap2[i][j] = j;
      }
    }

  }


  setDefaultParams();
  setParams(instance_block.params);
  // set any non-constant parameter defaults

  // copy any model variables that have associated instance variables, but
  // are only given in the model card:



  // Set any parameters that were not given and whose defaults depend on other
  // parameters:


  // Real bogosity here...
  if (!given("XYCEADMSINSTTEMP"))
    admsInstTemp=getDeviceOptions().temp.getImmutableValue<double>();

  //calculate any parameters specified as expressions
  updateDependentParameters();

  // calculate dependent (i.e. computed params) and check for errors.
  processParams();
  collapseNodes();
}

//-----------------------------------------------------------------------------
// Function      : Instance::collapseNodes
// Purpose       : function to handle collapsing of nodes
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::collapseNodes()
{
  // Many, many lines of unnecessary and incorrect code manually deleted.

  if (!((RG_i>0.0)))
  {

    collapseNode_GP = true;

  }

  if (!((RSE_i>0.0)))
  {

    collapseNode_SI = true;

  }

  if (!((RDE_i>0.0)))
  {

    collapseNode_DI = true;

  }

  if (!((RBULK_i>0.0)))
  {

    collapseNode_BP = true;

  }

  if (!((RJUNS_i>0.0)))
  {

    collapseNode_BS = true;

  }

  if (!((RJUND_i>0.0)))
  {

    collapseNode_BD = true;

  }

  if (!((RWELL_i>0.0)))
  {

    collapseNode_BI = true;

  }

  // end block  named loadStatic



  // Map away any unneeded internal nodes:
  // temporary stamps and maps
  std::vector< std::vector<int> > tempStamp;
  std::vector<int> tempMap;
  std::vector< std::vector<int> > tempMap2;

  int OriginalSize = jacMap.size();

  // If the columns of the jacstamp are not in ascending order then
  // jacStampMap will do bogus things.  Our ADMS back-end doesn't guarantee
  // in-order jacStamps.  So we reorder (through the maps)
  jacStampMap_fixOrder(jacStamp,jacMap2,tempStamp,tempMap2);
  jacStamp=tempStamp; jacMap2=tempMap2;

  if (collapseNode_GP)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_GP] , jacMap[admsNodeID_G],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_SI)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_SI] , jacMap[admsNodeID_S],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_DI)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_DI] , jacMap[admsNodeID_D],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_BI)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_BI] , jacMap[admsNodeID_B],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_BP)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_BP] , jacMap[admsNodeID_BI],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_BS)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_BS] , jacMap[admsNodeID_BI],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_BD)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_BD] , jacMap[admsNodeID_BI],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
}

//-----------------------------------------------------------------------------
// Function      : Instance::~Instance
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
Instance::~Instance()
{
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerLIDs
// Purpose       : function for registering, and setting up, local ID's.
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerLIDs( const std::vector<int> & intLIDVecRef,
                             const std::vector<int> & extLIDVecRef)
{
  AssertLIDs(intLIDVecRef.size() == numIntVars);
  AssertLIDs(extLIDVecRef.size() == numExtVars);

#ifdef Xyce_DEBUG_DEVICE

  if (getDeviceOptions().debugLevel > 0)
  {
    Xyce::dout() << std::endl << section_divider << std::endl;
    Xyce::dout() << "In ADMSPSP103VA::Instance::register LIDs\n\n";
    Xyce::dout() << "name             = " << getName() << std::endl;
    Xyce::dout() << "number of internal variables: " << numIntVars << std::endl;
    Xyce::dout() << "number of external variables: " << numExtVars << std::endl;
  }
#endif

  // copy over the global ID lists.
  intLIDVec = intLIDVecRef;
  extLIDVec = extLIDVecRef;

  // Now use these lists to obtain the indices into the linear algebra
  // entities.  This assumes an order.
  int i=0;
  li_D = extLIDVecRef[i++];
  li_G = extLIDVecRef[i++];
  li_S = extLIDVecRef[i++];
  li_B = extLIDVecRef[i++];


  i=0;
  if (!collapseNode_GP)
    li_GP = intLIDVecRef[i++];
  else
    li_GP = li_G;
  if (!collapseNode_SI)
    li_SI = intLIDVecRef[i++];
  else
    li_SI = li_S;
  if (!collapseNode_DI)
    li_DI = intLIDVecRef[i++];
  else
    li_DI = li_D;
  if (!collapseNode_BI)
    li_BI = intLIDVecRef[i++];
  else
    li_BI = li_B;
  if (!collapseNode_BP)
    li_BP = intLIDVecRef[i++];
  else
    li_BP = li_BI;
  if (!collapseNode_BS)
    li_BS = intLIDVecRef[i++];
  else
    li_BS = li_BI;
  if (!collapseNode_BD)
    li_BD = intLIDVecRef[i++];
  else
    li_BD = li_BI;


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    Xyce::dout() << "\nSolution and RHS variables:\n";
    Xyce::dout() << "\nli_D = " << li_D << std::endl;
    Xyce::dout() << "\nli_G = " << li_G << std::endl;
    Xyce::dout() << "\nli_S = " << li_S << std::endl;
    Xyce::dout() << "\nli_B = " << li_B << std::endl;
    Xyce::dout() << "\nli_GP = " << li_GP << std::endl;
    Xyce::dout() << "\nli_SI = " << li_SI << std::endl;
    Xyce::dout() << "\nli_DI = " << li_DI << std::endl;
    Xyce::dout() << "\nli_BI = " << li_BI << std::endl;
    Xyce::dout() << "\nli_BP = " << li_BP << std::endl;
    Xyce::dout() << "\nli_BS = " << li_BS << std::endl;
    Xyce::dout() << "\nli_BD = " << li_BD << std::endl;
  }
#endif

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    Xyce::dout() << "\nEnd of ADMSPSP103VA::Instance::register LIDs\n";
    Xyce::dout() << section_divider << std::endl;
  }
#endif
}

//-----------------------------------------------------------------------------
// Function      : Instance::getIntNameMap
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
std::map<int,std::string> & Instance::getIntNameMap ()
{
  if (intNameMap.empty())
  {
    if (!collapseNode_GP)
    {
      intNameMap[li_GP] = spiceInternalName(getName(), "GP");
    }
    if (!collapseNode_SI)
    {
      intNameMap[li_SI] = spiceInternalName(getName(), "SI");
    }
    if (!collapseNode_DI)
    {
      intNameMap[li_DI] = spiceInternalName(getName(), "DI");
    }
    if (!collapseNode_BI)
    {
      intNameMap[li_BI] = spiceInternalName(getName(), "BI");
    }
    if (!collapseNode_BP)
    {
      intNameMap[li_BP] = spiceInternalName(getName(), "BP");
    }
    if (!collapseNode_BS)
    {
      intNameMap[li_BS] = spiceInternalName(getName(), "BS");
    }
    if (!collapseNode_BD)
    {
      intNameMap[li_BD] = spiceInternalName(getName(), "BD");
    }
  }
  return intNameMap;
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerStateLIDs
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerStateLIDs( const std::vector<int> & staLIDVecRef)
{
  AssertLIDs(staLIDVecRef.size() == numStateVars);
}

//-----------------------------------------------------------------------------
// Function      : Instance::jacobianStamp
// Purpose       :
// Special Notes : In initial version, we won't support mapping away nodes
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
const std::vector< std::vector<int> > & Instance::jacobianStamp() const
{
  return jacStamp;
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerJacLIDs
// Purpose       : Create Offset variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerJacLIDs( const std::vector< std::vector<int> > & jacLIDVec)
{
  DeviceInstance::registerJacLIDs(jacLIDVec);
  std::vector<int> & map=jacMap;
  std::vector< std::vector<int> > & map2=jacMap2;


  // do nothing, we won't use the jac lids anymore, we'll use pointers

}

//-----------------------------------------------------------------------------
// Function      : Instance::setupPointers
// Purpose       : Create pointer variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::setupPointers( )
{

  N_LAS_Matrix * dFdxMatPtr = extData.dFdxMatrixPtr;
  N_LAS_Matrix * dQdxMatPtr = extData.dQdxMatrixPtr;
  f_D_Equ_D_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_D,li_D);
  q_D_Equ_D_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_D,li_D);
  f_D_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_D,li_DI);
  q_D_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_D,li_DI);
  f_G_Equ_G_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_G,li_G);
  q_G_Equ_G_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_G,li_G);
  f_G_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_G,li_GP);
  q_G_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_G,li_GP);
  f_S_Equ_S_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_S,li_S);
  q_S_Equ_S_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_S,li_S);
  f_S_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_S,li_SI);
  q_S_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_S,li_SI);
  f_B_Equ_B_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_B,li_B);
  q_B_Equ_B_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_B,li_B);
  f_B_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_B,li_BI);
  q_B_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_B,li_BI);
  f_GP_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_SI);
  q_GP_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_SI);
  f_GP_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_BP);
  q_GP_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_BP);
  f_GP_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_DI);
  q_GP_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_DI);
  f_GP_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_GP);
  q_GP_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_GP);
  f_GP_Equ_G_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_G);
  q_GP_Equ_G_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_G);
  f_SI_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_SI);
  q_SI_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_SI);
  f_SI_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_BP);
  q_SI_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_BP);
  f_SI_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_GP);
  q_SI_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_GP);
  f_SI_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_DI);
  q_SI_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_DI);
  f_SI_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_BS);
  q_SI_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_BS);
  f_SI_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_BD);
  q_SI_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_BD);
  f_SI_Equ_S_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_S);
  q_SI_Equ_S_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_S);
  f_DI_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_SI);
  q_DI_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_SI);
  f_DI_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_BP);
  q_DI_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_BP);
  f_DI_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_GP);
  q_DI_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_GP);
  f_DI_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_DI);
  q_DI_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_DI);
  f_DI_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_BS);
  q_DI_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_BS);
  f_DI_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_BD);
  q_DI_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_BD);
  f_DI_Equ_D_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_D);
  q_DI_Equ_D_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_D);
  f_BI_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_BP);
  q_BI_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_BP);
  f_BI_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_BI);
  q_BI_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_BI);
  f_BI_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_BS);
  q_BI_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_BS);
  f_BI_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_BD);
  q_BI_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_BD);
  f_BI_Equ_B_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_B);
  q_BI_Equ_B_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_B);
  f_BP_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_SI);
  q_BP_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_SI);
  f_BP_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_BP);
  q_BP_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_BP);
  f_BP_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_GP);
  q_BP_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_GP);
  f_BP_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_DI);
  q_BP_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_DI);
  f_BP_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_BI);
  q_BP_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_BI);
  f_BS_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_SI);
  q_BS_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_SI);
  f_BS_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_BS);
  q_BS_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_BS);
  f_BS_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_DI);
  q_BS_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_DI);
  f_BS_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_BD);
  q_BS_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_BD);
  f_BS_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_BI);
  q_BS_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_BI);
  f_BD_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_SI);
  q_BD_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_SI);
  f_BD_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_BS);
  q_BD_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_BS);
  f_BD_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_DI);
  q_BD_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_DI);
  f_BD_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_BD);
  q_BD_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_BD);
  f_BD_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_BI);
  q_BD_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_BI);


}

// RHS load functions

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEFVector
// Purpose       : load F vector (static contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEFVector()
{

  bool bsuccess=true;

  (*extData.daeFVectorPtr)[li_D] += staticContributions[admsNodeID_D].val();
  (*extData.daeFVectorPtr)[li_G] += staticContributions[admsNodeID_G].val();
  (*extData.daeFVectorPtr)[li_S] += staticContributions[admsNodeID_S].val();
  (*extData.daeFVectorPtr)[li_B] += staticContributions[admsNodeID_B].val();
  (*extData.daeFVectorPtr)[li_GP] += staticContributions[admsNodeID_GP].val();
  (*extData.daeFVectorPtr)[li_SI] += staticContributions[admsNodeID_SI].val();
  (*extData.daeFVectorPtr)[li_DI] += staticContributions[admsNodeID_DI].val();
  (*extData.daeFVectorPtr)[li_BI] += staticContributions[admsNodeID_BI].val();
  (*extData.daeFVectorPtr)[li_BP] += staticContributions[admsNodeID_BP].val();
  (*extData.daeFVectorPtr)[li_BS] += staticContributions[admsNodeID_BS].val();
  (*extData.daeFVectorPtr)[li_BD] += staticContributions[admsNodeID_BD].val();

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEQVector
// Purpose       : load Q vector (dynamic contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEQVector()
{
  (*extData.daeQVectorPtr)[li_D] += dynamicContributions[admsNodeID_D].val();
  (*extData.daeQVectorPtr)[li_G] += dynamicContributions[admsNodeID_G].val();
  (*extData.daeQVectorPtr)[li_S] += dynamicContributions[admsNodeID_S].val();
  (*extData.daeQVectorPtr)[li_B] += dynamicContributions[admsNodeID_B].val();
  (*extData.daeQVectorPtr)[li_GP] += dynamicContributions[admsNodeID_GP].val();
  (*extData.daeQVectorPtr)[li_SI] += dynamicContributions[admsNodeID_SI].val();
  (*extData.daeQVectorPtr)[li_DI] += dynamicContributions[admsNodeID_DI].val();
  (*extData.daeQVectorPtr)[li_BI] += dynamicContributions[admsNodeID_BI].val();
  (*extData.daeQVectorPtr)[li_BP] += dynamicContributions[admsNodeID_BP].val();
  (*extData.daeQVectorPtr)[li_BS] += dynamicContributions[admsNodeID_BS].val();
  (*extData.daeQVectorPtr)[li_BD] += dynamicContributions[admsNodeID_BD].val();

  return true;
}


//-----------------------------------------------------------------------------
// Function      : Instance::updatePrimaryState
// Purpose       :
// Special Notes : In this initial implementation, does little more than
//                 call updateIntermediateVars()
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updatePrimaryState()
{
  bool bsuccess = true;

  bsuccess = updateIntermediateVars();

  // if old DAE were implemented, we'd save dynamic contributions as state
  // here.


  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateSecondaryState
// Purpose       :
// Special Notes : In this initial implementation, does nothing
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateSecondaryState()
{
  bool bsuccess = true;

  // were old DAE implemented, we'd pull dynamic contribution derivatives
  // out of state.

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateIntermediateVars
// Purpose       : update intermediate variables for one PSP103VA instance
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateIntermediateVars()
{

  bool bsuccess=true;
  N_LAS_Vector * solVectorPtr = extData.nextSolVectorPtr;

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << std::endl << subsection_divider << std::endl;
    Xyce::dout() << "  In ADMSPSP103VA::Instance::updateIntermediateVars\n\n";
    Xyce::dout() << "  name = " << getName() << std::endl;
  }
#endif

  // Local variables
  AdmsFadType Qs;
  AdmsFadType Idse;
  AdmsFadType Igbe;
  AdmsFadType Igcse;
  AdmsFadType Igcde;
  AdmsFadType Igsove;
  AdmsFadType Igdove;
  AdmsFadType Igidle;
  AdmsFadType Igisle;
  AdmsFadType Iimpacte;
  double rgatenoise;
  double rsourcenoise;
  double rdrainnoise;
  double rbulknoise;
  double rjunsnoise;
  double rjundnoise;
  double rwellnoise;
  AdmsFadType vbbt;
  AdmsFadType two_psistar;
  AdmsFadType z;
  AdmsFadType vjlim;
  AdmsFadType tmp;
  AdmsFadType id;
  AdmsFadType wsrhstep;
  AdmsFadType dwsrh;
  AdmsFadType isrh;
  AdmsFadType btat;
  AdmsFadType twoatatoverthreebtat;
  AdmsFadType umaxbeforelimiting;
  AdmsFadType umax;
  AdmsFadType sqrtumax;
  AdmsFadType umaxpoweronepointfive;
  AdmsFadType wgamma;
  AdmsFadType wtat;
  AdmsFadType ktat;
  AdmsFadType ltat;
  AdmsFadType mtat;
  AdmsFadType xerfc;
  AdmsFadType ysq;
  AdmsFadType terfc;
  AdmsFadType erfcpos;
  AdmsFadType erfctimesexpmtat;
  AdmsFadType gammamax;
  AdmsFadType itat;
  AdmsFadType Fmaxr;
  AdmsFadType ibbt;
  AdmsFadType fbreakdown;
  AdmsFadType tm0;
  AdmsFadType tm1;
  AdmsFadType ijunfor1;
  AdmsFadType ijunfor2;
  AdmsFadType ijunrev;
  AdmsFadType h5;
  AdmsFadType h4;
  AdmsFadType h3;
  AdmsFadType h2d;
  double h2;
  double h1;
  AdmsFadType Gf_ac;
  AdmsFadType x_m_ac;
  AdmsFadType Gmob_dL_ac;
  AdmsFadType Gvsat_ac;
  AdmsFadType eta_p_ac;
  AdmsFadType H_ac;
  AdmsFadType GdL_ac;
  AdmsFadType qim1_ac;
  AdmsFadType qim_ac;
  AdmsFadType dps_ac;
  AdmsFadType alpha_ac;
  AdmsFadType Voxm_ac;
  AdmsFadType qeff1_ac;
  AdmsFadType xg_ac;
  AdmsFadType Vsbstar_ac;
  AdmsFadType Vgb;
  AdmsFadType COX_qm;
  AdmsFadType Fj;
  AdmsFadType Fj2;
  AdmsFadType QG;
  AdmsFadType QI;
  AdmsFadType QD;
  AdmsFadType QB;
  AdmsFadType Qg;
  AdmsFadType Qd;
  AdmsFadType Qb;
  AdmsFadType Qgs_ov;
  AdmsFadType Qgd_ov;
  AdmsFadType Qgb_ov;
  AdmsFadType Qfgs;
  AdmsFadType Qfgd;
  AdmsFadType QCLM;
  AdmsFadType xs_ov;
  AdmsFadType xd_ov;
  AdmsFadType Vovs;
  AdmsFadType Vovd;
  AdmsFadType Iimpact;
  AdmsFadType mavl;
  AdmsFadType Vrg;
  AdmsFadType Vrs;
  AdmsFadType Vrd;
  AdmsFadType Vrjuns;
  AdmsFadType Vrjund;
  AdmsFadType Vrbulk;
  AdmsFadType Vrwell;
  AdmsFadType Vgs;
  AdmsFadType Vds;
  AdmsFadType Vsb;
  AdmsFadType Vjun_s;
  AdmsFadType Vjun_d;
  AdmsFadType VgsPrime;
  AdmsFadType VsbPrime;
  AdmsFadType VdbPrime;
  AdmsFadType VgdPrime;
  AdmsFadType xgs_ov;
  AdmsFadType xgd_ov;
  double sigVds;
  AdmsFadType Vgd;
  AdmsFadType Vdb;
  AdmsFadType Vdsx;
  AdmsFadType Udse_dc;
  AdmsFadType Vdsat_dc;
  AdmsFadType Gf_dc;
  AdmsFadType x_m_dc;
  AdmsFadType x_ds_dc;
  AdmsFadType Gmob_dL_dc;
  AdmsFadType Gvsatinv_dc;
  AdmsFadType Gvsat_dc;
  AdmsFadType eta_p_dc;
  AdmsFadType H_dc;
  AdmsFadType FdL_dc;
  AdmsFadType GdL_dc;
  AdmsFadType qim1_dc;
  AdmsFadType qim_dc;
  AdmsFadType dps_dc;
  AdmsFadType alpha_dc;
  AdmsFadType Voxm_dc;
  AdmsFadType qeff1_dc;
  AdmsFadType xg_dc;
  AdmsFadType help;
  AdmsFadType temp1;
  AdmsFadType temp2;
  AdmsFadType mutau;
  AdmsFadType nu;
  AdmsFadType delVg;
  AdmsFadType Vgb1;
  AdmsFadType Vgbstar;
  AdmsFadType Vdbstar;
  AdmsFadType Vsbnud;
  AdmsFadType Vmbnew;
  AdmsFadType usnew;
  AdmsFadType us;
  AdmsFadType Vmb;
  AdmsFadType Vsbstar_dc;
  AdmsFadType temp;
  AdmsFadType delVsat;
  AdmsFadType Ids;
  double GOV;
  double GOV2;
  double xi_ov;
  double inv_xi_ov;
  double x_mrg_ov;
  double inv_xg1;
  double SP_OV_Afac;
  AdmsFadType SP_OV_xbar;
  AdmsFadType SP_OV_x0;
  AdmsFadType SP_OV_u;
  AdmsFadType SP_OV_yg;
  AdmsFadType SP_OV_z;
  AdmsFadType SP_OV_eta;
  AdmsFadType SP_OV_a;
  AdmsFadType SP_OV_c;
  AdmsFadType SP_OV_tau;
  AdmsFadType SP_OV_y0;
  AdmsFadType SP_OV_D0;
  AdmsFadType SP_OV_temp;
  AdmsFadType SP_OV_p;
  AdmsFadType SP_OV_q;
  AdmsFadType SP_OV_xi;
  AdmsFadType SP_OV_w;
  AdmsFadType Igsov;
  AdmsFadType Igdov;
  AdmsFadType Igc;
  AdmsFadType Igb;
  AdmsFadType Igcs;
  AdmsFadType Igcd;
  AdmsFadType arg2mina;
  AdmsFadType psi_t;
  AdmsFadType zg;
  AdmsFadType arg1;
  AdmsFadType Dsi;
  AdmsFadType Dgate;
  AdmsFadType TP;
  AdmsFadType Vm;
  AdmsFadType Igc0;
  AdmsFadType u0;
  AdmsFadType x;
  AdmsFadType u0_div_H;
  AdmsFadType Bg;
  AdmsFadType Ag;
  AdmsFadType inv_x;
  AdmsFadType ex;
  AdmsFadType inv_ex;
  AdmsFadType xsq;
  AdmsFadType igc;
  AdmsFadType igcd_h;
  AdmsFadType Sg;
  AdmsFadType Igidl;
  AdmsFadType Igisl;
  AdmsFadType Vtovd;
  AdmsFadType Vtovs;


  // set the sizes of the Fad arrays:

  if (probeVars.size() != (12))
  {
    probeVars.resize(12);
    staticContributions.resize(11+0);
    dynamicContributions.resize(11+0);
  }

  // initialize contributions to zero (automatically sets derivatives to zero)
  for (int i=0; i < 11+0 ; ++i)
  {
    staticContributions[i]=0;
    dynamicContributions[i]=0;
  }

  // extract solution variables and set as Fad independent variables.
  probeVars[admsProbeID_V_DI_BD] = (*solVectorPtr)[li_DI] - (*solVectorPtr)[li_BD];
  probeVars[admsProbeID_V_DI_BD].diff(admsProbeID_V_DI_BD,12);

  probeVars[admsProbeID_V_SI_BS] = (*solVectorPtr)[li_SI] - (*solVectorPtr)[li_BS];
  probeVars[admsProbeID_V_SI_BS].diff(admsProbeID_V_SI_BS,12);

  probeVars[admsProbeID_V_SI_BP] = (*solVectorPtr)[li_SI] - (*solVectorPtr)[li_BP];
  probeVars[admsProbeID_V_SI_BP].diff(admsProbeID_V_SI_BP,12);

  probeVars[admsProbeID_V_DI_SI] = (*solVectorPtr)[li_DI] - (*solVectorPtr)[li_SI];
  probeVars[admsProbeID_V_DI_SI].diff(admsProbeID_V_DI_SI,12);

  probeVars[admsProbeID_V_GP_SI] = (*solVectorPtr)[li_GP] - (*solVectorPtr)[li_SI];
  probeVars[admsProbeID_V_GP_SI].diff(admsProbeID_V_GP_SI,12);

  probeVars[admsProbeID_V_B_BI] = (*solVectorPtr)[li_B] - (*solVectorPtr)[li_BI];
  probeVars[admsProbeID_V_B_BI].diff(admsProbeID_V_B_BI,12);

  probeVars[admsProbeID_V_BP_BI] = (*solVectorPtr)[li_BP] - (*solVectorPtr)[li_BI];
  probeVars[admsProbeID_V_BP_BI].diff(admsProbeID_V_BP_BI,12);

  probeVars[admsProbeID_V_BD_BI] = (*solVectorPtr)[li_BD] - (*solVectorPtr)[li_BI];
  probeVars[admsProbeID_V_BD_BI].diff(admsProbeID_V_BD_BI,12);

  probeVars[admsProbeID_V_BS_BI] = (*solVectorPtr)[li_BS] - (*solVectorPtr)[li_BI];
  probeVars[admsProbeID_V_BS_BI].diff(admsProbeID_V_BS_BI,12);

  probeVars[admsProbeID_V_D_DI] = (*solVectorPtr)[li_D] - (*solVectorPtr)[li_DI];
  probeVars[admsProbeID_V_D_DI].diff(admsProbeID_V_D_DI,12);

  probeVars[admsProbeID_V_S_SI] = (*solVectorPtr)[li_S] - (*solVectorPtr)[li_SI];
  probeVars[admsProbeID_V_S_SI].diff(admsProbeID_V_S_SI,12);

  probeVars[admsProbeID_V_G_GP] = (*solVectorPtr)[li_G] - (*solVectorPtr)[li_GP];
  probeVars[admsProbeID_V_G_GP].diff(admsProbeID_V_G_GP,12);


  // -- code converted from analog/code block
  //Begin block evaluateStatic
  {
    QCLM = 0.0;
    xs_ov = 0.0;
    xd_ov = 0.0;
    Vovs = 0.0;
    Vovd = 0.0;
    Iimpact = 0.0;
    mavl = 0.0;
    Vrg = (probeVars[admsProbeID_V_G_GP]);
    Vrs = (probeVars[admsProbeID_V_S_SI]);
    Vrd = (probeVars[admsProbeID_V_D_DI]);
    Vrjuns = (probeVars[admsProbeID_V_BS_BI]);
    Vrjund = (probeVars[admsProbeID_V_BD_BI]);
    Vrbulk = (probeVars[admsProbeID_V_BP_BI]);
    Vrwell = (probeVars[admsProbeID_V_B_BI]);
    if (((model_.CHNL_TYPE)==(+1)))
    {
      Vgs = (probeVars[admsProbeID_V_GP_SI]);
      Vds = (probeVars[admsProbeID_V_DI_SI]);
      Vsb = (probeVars[admsProbeID_V_SI_BP]);
      Vjun_s = (-(probeVars[admsProbeID_V_SI_BS]));
      Vjun_d = (-(probeVars[admsProbeID_V_DI_BD]));
    }
    else
    {
      Vgs = (-(probeVars[admsProbeID_V_GP_SI]));
      Vds = (-(probeVars[admsProbeID_V_DI_SI]));
      Vsb = (-(probeVars[admsProbeID_V_SI_BP]));
      Vjun_s = (probeVars[admsProbeID_V_SI_BS]);
      Vjun_d = (probeVars[admsProbeID_V_DI_BD]);
    }
    VgsPrime = Vgs;
    VsbPrime = Vsb;
    VdbPrime = (Vds+Vsb);
    VgdPrime = (Vgs-Vds);
    xgs_ov = ((-VgsPrime)*(model_.inv_phit));
    xgd_ov = ((-VgdPrime)*(model_.inv_phit));
    sigVds = 1.0;
    if ((Vds<0.0))
    {
      sigVds = (-1.0);
      Vgs = (Vgs-Vds);
      Vsb = (Vsb+Vds);
      Vds = (-Vds);
    }
    Vgd = (Vgs-Vds);
    Vdb = (Vds+Vsb);
    Vdsx = (sqrt(((Vds*Vds)+0.01))-0.1);
    //Begin block SPcalc_dc
    {
      //Block-local variables for block SPcalc_dc
      double phib;
      double G_0;
      double sqrt_phib;
      AdmsFadType Vsbstar;
      AdmsFadType Vsbx;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType xg;
      AdmsFadType qeff;
      AdmsFadType qeff1;
      AdmsFadType Voxm;
      AdmsFadType alpha;
      AdmsFadType dps;
      AdmsFadType qim;
      AdmsFadType qim1;
      AdmsFadType GdL;
      AdmsFadType H;
      AdmsFadType eta_p;
      AdmsFadType s1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Gvsat;
      AdmsFadType Gvsatinv;
      AdmsFadType Gmob_dL;
      AdmsFadType x_ds;
      AdmsFadType x_m;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Dnsub;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType x_s;
      AdmsFadType sqm;
      AdmsFadType alpha1;
      AdmsFadType phi_inf;
      AdmsFadType za;
      AdmsFadType xitsb;
      AdmsFadType rhob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType thesat1;
      AdmsFadType wsat;
      AdmsFadType ysat;
      AdmsFadType zsat;
      AdmsFadType dL;
      AdmsFadType GR;
      AdmsFadType Gmob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType xgm;
      AdmsFadType Ux;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType xn_s;
      AdmsFadType delta_ns;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Gf;
      AdmsFadType Gf2;
      AdmsFadType inv_Gf2;
      AdmsFadType xi;
      AdmsFadType inv_xi;
      AdmsFadType margin;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_xg1;
      AdmsFadType SP_S_temp;
      AdmsFadType SP_S_temp1;
      AdmsFadType SP_S_temp2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_yg;
      AdmsFadType SP_S_ysub;
      AdmsFadType SP_S_y0;
      AdmsFadType SP_S_a;
      AdmsFadType SP_S_b;
      AdmsFadType SP_S_c;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_bx;
      AdmsFadType SP_S_tau;
      AdmsFadType SP_S_eta;
      AdmsFadType SP_S_delta0;
      AdmsFadType SP_S_delta1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_pC;
      AdmsFadType SP_S_qC;
      AdmsFadType SP_S_A_fac;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_x1;
      AdmsFadType SP_S_w;
      AdmsFadType SP_S_xbar;
      AdmsFadType SP_S_x0;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_xi0;
      AdmsFadType SP_S_xi1;
      AdmsFadType SP_S_xi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType x_d;
      AdmsFadType Rxcor;
      AdmsFadType delta_1s;
      AdmsFadType xi0s;
      AdmsFadType xi1s;
      AdmsFadType xi2s;
      AdmsFadType xi0d;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Es;
      AdmsFadType Em;
      AdmsFadType Ed;
      AdmsFadType Ds;
      AdmsFadType Dm;
      AdmsFadType Dd;
      AdmsFadType Ps;
      AdmsFadType xgs;
      AdmsFadType qis;
      AdmsFadType qbs;
      AdmsFadType qbm;
      AdmsFadType Eeffm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Phi_0;
      AdmsFadType Phi_2;
      AdmsFadType asat;
      AdmsFadType Phi_0_2;
      AdmsFadType Phi0_Phi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Vdse;
      AdmsFadType Vdsat;
      AdmsFadType Udse;
      AdmsFadType xn_d;
      AdmsFadType k_ds;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Mutmp;
      AdmsFadType Phi_sat;
      AdmsFadType delta_nd;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType pC;
      AdmsFadType qC;
      AdmsFadType Pm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType d0;
      AdmsFadType D_bar;
      AdmsFadType km;
      AdmsFadType x_pm;
      AdmsFadType xi_pd;
      AdmsFadType p_pd;
      AdmsFadType u_pd;
      AdmsFadType q_pd;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType FdL;
      AdmsFadType qim1_1;
      AdmsFadType r1;
      AdmsFadType r2;
      AdmsFadType s2;
      AdmsFadType dL1;
      //End of Block-local variables
      temp = ((0.5*((Vdb+Vsb)-sqrt((((Vdb-Vsb)*(Vdb-Vsb))+bphi_dc))))+phix_dc);
      Vsbstar_dc = ((Vsb-(0.5*((temp)-sqrt((((temp)*(temp))+aphi_dc)))))+phix1_dc);
      if ((((model_.SWNUD_i)!=0)&&(GFACNUD_i!=1.0)))
      {
        Vmb = (Vsbstar_dc+(0.5*(Vds-Vdsx)));
        us = (sqrt((Vmb+phib_dc))-sqrt_phib_dc);
        temp = (((2*(us-us1))/us21)-1);
        usnew = (us-(((0.25*(1-GFACNUD_i))*us21)*(temp+sqrt(((temp*temp)+0.4804530139182)))));
        Vmbnew = ((usnew*usnew)+((2*sqrt_phib_dc)*usnew));
        Vsbnud = (Vmbnew-(0.5*(Vds-Vdsx)));
      }
      else
      {
        Vsbnud = Vsbstar_dc;
      }
      phib = phib_dc;
      G_0 = G_0_dc;
      sqrt_phib = sqrt_phib_dc;
      Vsbstar = Vsbnud;
      FdL = 1.0;
      alpha = 0.0;
      GdL = 1.0;
      dL = 0.0;
      qbm = 0.0;
      dps = 0.0;
      qim = 0.0;
      qim1 = 0.0;
      H = 1.0;
      eta_p = 1.0;
      Gvsat = 1.0;
      Gvsatinv = 1.0;
      SP_S_x1 = 0.0;
      x_s = 0.0;
      sqm = 0.0;
      xitsb = 0.0;
      rhob = 0.0;
      Gmob = 1.0;
      Gmob_dL = 1.0;
      Udse = 0.0;
      thesat1 = 0.0;
      xgm = 0.0;
      Vdbstar = (Vds+Vsbstar);
      Vgbstar = (Vgs+Vsbstar);
      Vgb1 = (Vgbstar-VFB_i);
      Vsbx = (Vsbstar+(0.5*(Vds-Vdsx)));
      delVg = (CF_i*(Vdsx*(1+(CFB_i*Vsbx))));
      Vgb1 = (Vgb1+delVg);
      xg = (Vgb1*inv_phit1);
      if ((DNSUB_i>0.0))
      {
        Dnsub = ((DNSUB_i*0.5)*((+((Vgs+Vsb)-VNSUB_i))+sqrt((((-((Vgs+Vsb)-VNSUB_i))*(-((Vgs+Vsb)-VNSUB_i)))+NSLP_i))));
        Gf = (G_0*sqrt((1.0+Dnsub)));
      }
      else
      {
        Gf = G_0;
      }
      Gf2 = (Gf*Gf);
      inv_Gf2 = (1.0/Gf2);
      xi = (1.0+(Gf*7.0710678118654746e-01));
      inv_xi = (1.0/xi);
      Ux = (Vsbstar*inv_phit1);
      xn_s = ((phib*inv_phit1)+Ux);
      if ((xn_s<4.6051701859880916e+02))
      {
        delta_ns = exp((-xn_s));
      }
      else
      {
        delta_ns = (1.0e-200/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
      }
      margin = (1e-5*xi);
      if ((fabs(xg)<=margin))
      {
        SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
        x_s = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)));
      }
      else
      {
        if ((xg<(-margin)))
        {
          SP_S_yg = (-xg);
          SP_S_ysub = (1.25*(SP_S_yg*inv_xi));
          SP_S_eta = (0.5*((SP_S_ysub+10)-sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))));
          SP_S_temp = (SP_S_yg-SP_S_eta);
          SP_S_a = ((SP_S_temp*SP_S_temp)+(Gf2*(SP_S_eta+1.0)));
          SP_S_c = ((2.0*SP_S_temp)-Gf2);
          SP_S_tau = ((-SP_S_eta)+log((SP_S_a*inv_Gf2)));
          nu = (SP_S_a+SP_S_c);
          mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-SP_S_a)));
          SP_S_y0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
          if ((SP_S_y0<2.3025850929940458e+02))
          {
            SP_S_delta0 = exp(SP_S_y0);
          }
          else
          {
            SP_S_delta0 = (1.0e100*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
          SP_S_delta1 = (1.0/SP_S_delta0);
          SP_S_temp = (1.0/(2.0+(SP_S_y0*SP_S_y0)));
          SP_S_xi0 = ((SP_S_y0*SP_S_y0)*SP_S_temp);
          SP_S_xi1 = (4.0*((SP_S_y0*SP_S_temp)*SP_S_temp));
          SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
          SP_S_temp = (SP_S_yg-SP_S_y0);
          SP_S_temp1 = (delta_ns*SP_S_delta1);
          SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))));
          SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))));
          SP_S_temp = (2.0-(Gf2*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))));
          SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
          x_s = ((-SP_S_y0)-(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
        }
        else
        {
          SP_xg1 = (1.0/(x1+(Gf*7.324648775608221e-001)));
          SP_S_A_fac = ((((xi*x1)*SP_xg1)-1.0)*SP_xg1);
          SP_S_xbar = ((xg*inv_xi)*(1.0+(SP_S_A_fac*xg)));
          if (((-SP_S_xbar)>(-2.3025850929940458e+02)))
          {
            SP_S_temp = exp((-SP_S_xbar));
          }
          else
          {
            SP_S_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
          }
          SP_S_w = (1.0-SP_S_temp);
          SP_S_x1 = ((xg+(Gf2*0.5))-(Gf*sqrt(((xg+(Gf2*0.25))-SP_S_w))));
          SP_S_bx = (xn_s+3.0);
          SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
          SP_S_temp = (xg-SP_S_eta);
          SP_S_temp1 = exp((-SP_S_eta));
          SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
          SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
          SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
          SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
          SP_S_a = max(1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))));
          SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))));
          SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))));
          SP_S_tau = ((xn_s-SP_S_eta)+log((SP_S_a/Gf2)));
          nu = (SP_S_a+SP_S_c);
          mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
          SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
          if ((SP_S_x0<2.3025850929940458e+02))
          {
            SP_S_delta0 = exp(SP_S_x0);
            SP_S_delta1 = (1.0/SP_S_delta0);
            SP_S_delta0 = (delta_ns*SP_S_delta0);
          }
          else
          {
            if ((SP_S_x0>(xn_s-2.3025850929940458e+02)))
            {
              SP_S_delta0 = exp((SP_S_x0-xn_s));
              SP_S_delta1 = (delta_ns/SP_S_delta0);
            }
            else
            {
              SP_S_delta0 = (1.0e-100/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
          }
          SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
          SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
          SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
          SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
          SP_S_temp = (xg-SP_S_x0);
          SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))));
          SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))));
          SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))));
          SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
          x_s = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
        }
      }
      x_d = x_s;
      x_m = x_s;
      x_ds = 0.0;
      if ((xg<=0.0))
      {
        qis = 0.0;
        xgm = (xg-x_s);
        Voxm = (xgm*phit1);
        qeff1 = Voxm;
        Vdsat = Vdsat_lim;
      }
      else
      {
        delta_1s = 0.0;
        temp = (1.0/(2.0+(x_s*x_s)));
        xi0s = ((x_s*x_s)*temp);
        xi1s = (4.0*((x_s*temp)*temp));
        xi2s = ((((8.0*temp)-(12.0*xi0s))*temp)*temp);
        if ((x_s<2.3025850929940458e+02))
        {
          delta_1s = exp(x_s);
          Es = (1.0/delta_1s);
          delta_1s = (delta_ns*delta_1s);
        }
        else
        {
          if ((x_s>(xn_s-2.3025850929940458e+02)))
          {
            delta_1s = exp((x_s-xn_s));
            Es = (delta_ns/delta_1s);
          }
          else
          {
            delta_1s = (1.0e-100/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            Es = (1.0e-100/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Ds = (delta_1s-(delta_ns*((x_s+1.0)+xi0s)));
        if ((x_s<1.0e-5))
        {
          Ps = (0.5*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))));
          Ds = (1.6666666666666667e-01*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s))));
          temp = sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))));
          sqm = (7.0710678118654746e-01*(x_s*temp));
          alpha = (1.0+(((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))/temp));
        }
        else
        {
          Ps = ((x_s-1.0)+Es);
          sqm = sqrt(Ps);
          alpha = (1.0+(0.5*((Gf*(1.0-Es))/sqm)));
        }
        Em = Es;
        Ed = Em;
        Dm = Ds;
        Dd = Dm;
        Rxcor = ((1.0+((0.2*XCOR_i)*Vsbx))/(1.0+(XCOR_i*Vsbx)));
        if ((Ds>1.0e-100))
        {
          xgs = (Gf*sqrt((Ps+Ds)));
          qis = (((Gf2*Ds)*phit1)/(xgs+(Gf*sqm)));
          qbs = ((sqm*Gf)*phit1);
          if ((RSB_i<0))
          {
            rhob = (1.0/(1.0-(RSB_i*Vsbx)));
          }
          else
          {
            rhob = (1.0+(RSB_i*Vsbx));
          }
          if ((RSG_i<0))
          {
            temp = (1.0-(RSG_i*qis));
          }
          else
          {
            temp = (1.0/(1.0+(RSG_i*qis)));
          }
          GR = (THER_i*((rhob*temp)*qis));
          Eeffm = (E_eff0*(qbs+(eta_mu*qis)));
          if (((Eeffm*MUE_i)!=0))
          {
            Mutmp = (pow((Eeffm*MUE_i),THEMU_i)+(CS_i*(Ps/((Ps+Ds)+1.0e-14))));
          }
          else
          {
            Mutmp = (CS_i*(Ps/((Ps+Ds)+1.0e-14)));
          }
          Gmob = (((1.0+Mutmp)+GR)*Rxcor);
          if ((THESATB_i<0))
          {
            xitsb = (1.0/(1.0-(THESATB_i*Vsbx)));
          }
          else
          {
            xitsb = (1.0+(THESATB_i*Vsbx));
          }
          temp2 = (qis*xitsb);
          wsat = (100.0*(temp2/(100.0+temp2)));
          if ((THESATG_i<0))
          {
            temp = (1/(1-(THESATG_i*wsat)));
          }
          else
          {
            temp = (1+(THESATG_i*wsat));
          }
          thesat1 = (THESAT_i*(temp/Gmob));
          phi_inf = ((qis/alpha)+phit1);
          ysat = ((thesat1*phi_inf)*7.0710678118654746e-01);
          if (((model_.CHNL_TYPE)==(-1)))
          {
            ysat = (ysat/sqrt((1.0+ysat)));
          }
          za = (2.0/(1.0+sqrt((1.0+(4.0*ysat)))));
          temp1 = (za*ysat);
          Phi_0 = ((phi_inf*za)*(1.0+(0.86*((temp1*(1.0-(temp1*za)))/(1.0+(4.0*((temp1*temp1)*za)))))));
          asat = (xgs+(0.5*Gf2));
          Phi_2 = (0.98*(((Gf2*Ds)*phit1)/(asat+sqrt(((asat*asat)-((Gf2*Ds)*0.98))))));
          Phi_0_2 = (Phi_0+Phi_2);
          Phi0_Phi2 = (2.0*(Phi_0*Phi_2));
          Phi_sat = (Phi0_Phi2/(Phi_0_2+sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))));
          Vdsat = (Phi_sat-(phit1*log((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*phit1)))*inv_Gf2)/((phit1*phit1)*Ds))))));
        }
        else
        {
          Vdsat = Vdsat_lim;
        }
        if (((Vds/Vdsat)!=0))
        {
          temp = pow((Vds/Vdsat),AX_i);
        }
        else
        {
          temp = 0;
        }
        Vdse = (Vds*pow((1.0+temp),(-inv_AX)));
        Udse = (Vdse*inv_phit1);
        xn_d = (xn_s+Udse);
        if ((Udse<4.6051701859880916e+02))
        {
          k_ds = exp((-Udse));
        }
        else
        {
          k_ds = (1.0e-200/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
        }
        delta_nd = (delta_ns*k_ds);
        if ((fabs(xg)<=margin))
        {
          SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
          x_d = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)));
        }
        else
        {
          SP_S_bx = (xn_d+3);
          SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
          SP_S_temp = (xg-SP_S_eta);
          SP_S_temp1 = exp((-SP_S_eta));
          SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
          SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
          SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
          SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
          SP_S_a = max(1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))));
          SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))));
          SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))));
          SP_S_tau = ((xn_d-SP_S_eta)+log((SP_S_a/Gf2)));
          nu = (SP_S_a+SP_S_c);
          mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
          SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
          if ((SP_S_x0<2.3025850929940458e+02))
          {
            SP_S_delta0 = exp(SP_S_x0);
            SP_S_delta1 = (1.0/SP_S_delta0);
            SP_S_delta0 = (delta_nd*SP_S_delta0);
          }
          else
          {
            if ((SP_S_x0>(xn_d-2.3025850929940458e+02)))
            {
              SP_S_delta0 = exp((SP_S_x0-xn_d));
              SP_S_delta1 = (delta_nd/SP_S_delta0);
            }
            else
            {
              SP_S_delta0 = (1.0e-100/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
          }
          SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
          SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
          SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
          SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
          SP_S_temp = (xg-SP_S_x0);
          SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))));
          SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))));
          SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))));
          SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
          x_d = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
        }
        x_ds = (x_d-x_s);
        if ((x_ds<1.0E-10))
        {
          pC = ((2.0*(xg-x_s))+(Gf2*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))));
          qC = ((Gf2*(1.0-k_ds))*Ds);
          temp = (2.0-(Gf2*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))));
          temp = ((pC*pC)-(2.0*(temp*qC)));
          x_ds = (2.0*(qC/(pC+sqrt(temp))));
          x_d = (x_s+x_ds);
        }
        dps = (x_ds*phit1);
        xi0d = ((x_d*x_d)/(2.0+(x_d*x_d)));
        if ((x_d<2.3025850929940458e+02))
        {
          Ed = exp((-x_d));
          if ((x_d<1.0e-5))
          {
            Dd = (((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.0+(1.75*x_d)));
          }
          else
          {
            Dd = (delta_nd*((((1.0/Ed)-x_d)-1.0)-xi0d));
          }
        }
        else
        {
          if ((x_d>(xn_d-2.3025850929940458e+02)))
          {
            temp = exp((x_d-xn_d));
            Ed = (delta_nd/temp);
            Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
          }
          else
          {
            Ed = (1.0e-100/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            temp = (1.0e-100/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
          }
        }
        x_m = (0.5*(x_s+x_d));
        Em = 0.0;
        temp = (Ed*Es);
        if ((temp>0.0))
        {
          Em = sqrt(temp);
        }
        D_bar = (0.5*(Ds+Dd));
        Dm = (D_bar+(0.125*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))));
        if ((x_m<1.0e-5))
        {
          Pm = (0.5*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))));
          xgm = (Gf*sqrt((Dm+Pm)));
          if ((kp>0.0))
          {
            eta_p = (1.0/sqrt((1.0+(kp*xgm))));
          }
          temp = sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))));
          sqm = (7.0710678118654746e-01*(x_m*temp));
          alpha = (eta_p+(7.0710678118654746e-01*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)));
        }
        else
        {
          Pm = ((x_m-1.0)+Em);
          xgm = (Gf*sqrt((Dm+Pm)));
          if ((kp>0.0))
          {
            d0 = ((1.0-Em)+(2.0*(xgm*inv_Gf2)));
            eta_p = (1.0/sqrt((1.0+(kp*xgm))));
            temp = (eta_p/(eta_p+1.0));
            x_pm = (kp*(((temp*temp)*Gf2)*Dm));
            p_pd = ((2.0*(xgm-x_pm))+(Gf2*((1.0-Em)+Dm)));
            q_pd = (x_pm*(x_pm-(2.0*xgm)));
            xi_pd = (1.0-(0.5*(Gf2*(Em+Dm))));
            u_pd = ((q_pd*p_pd)/((p_pd*p_pd)-(xi_pd*q_pd)));
            x_m = (x_m+u_pd);
            km = exp(u_pd);
            Em = (Em/km);
            Dm = (Dm*km);
            Pm = ((x_m-1.0)+Em);
            xgm = (Gf*sqrt((Dm+Pm)));
            help = ((1.0-Em)+(2.0*((xgm*eta_p)*inv_Gf2)));
            x_ds = (((x_ds*km)*(d0+D_bar))/(help+(km*D_bar)));
            dps = (x_ds*phit1);
          }
          sqm = sqrt(Pm);
          alpha = (eta_p+(0.5*((Gf*(1.0-Em))/sqm)));
        }
        qim = (phit1*((Gf2*Dm)/(xgm+(Gf*sqm))));
        qim1 = (qim+(phit1*alpha));
        qbm = ((sqm*Gf)*phit1);
        if ((RSG_i<0))
        {
          temp = (1.0-(RSG_i*qim));
        }
        else
        {
          temp = (1.0/(1.0+(RSG_i*qim)));
        }
        GR = (THER_i*((rhob*temp)*qim));
        qeff = (qbm+(eta_mu*qim));
        qeff1 = (qbm+(eta_mu1*qim));
        Eeffm = (E_eff0*qeff);
        if (((Eeffm*MUE_i)!=0))
        {
          Mutmp = (pow((Eeffm*MUE_i),THEMU_i)+(CS_i*(Pm/((Pm+Dm)+1.0e-14))));
        }
        else
        {
          Mutmp = (CS_i*(Pm/((Pm+Dm)+1.0e-14)));
        }
        Gmob = (((1.0+Mutmp)+GR)*Rxcor);
        s1 = log(((1.0+((Vds-dps)*inv_VP))/(1.0+((Vdse-dps)*inv_VP))));
        dL = (ALP_i*s1);
        GdL = (1.0/((1.0+dL)+(dL*dL)));
        temp2 = (qim*xitsb);
        wsat = (100.0*(temp2/(100.0+temp2)));
        Gmob_dL = (Gmob*GdL);
        if ((THESATG_i<0))
        {
          temp = (1/(1-(THESATG_i*wsat)));
        }
        else
        {
          temp = (1+(THESATG_i*wsat));
        }
        thesat1 = (THESAT_i*(temp/Gmob_dL));
        zsat = (((thesat1*thesat1)*dps)*dps);
        if (((model_.CHNL_TYPE)==(-1)))
        {
          zsat = (zsat/(1.0+(thesat1*dps)));
        }
        Gvsat = (0.5*(Gmob_dL*(1.0+sqrt((1.0+(2.0*zsat))))));
        Gvsatinv = (1.0/Gvsat);
        Voxm = (xgm*phit1);
        temp = (Gmob_dL*Gvsatinv);
        alpha1 = (alpha*(1.0+(0.5*((zsat*temp)*temp))));
        H = ((temp*qim1)/alpha1);
      }
      if ((xg>0.0))
      {
        qim1_1 = (1.0/qim1);
        r1 = (qim*qim1_1);
        r2 = (phit1*(alpha*qim1_1));
        s2 = log((1.0+(Vdsx*inv_VP)));
        dL1 = ((dL+(ALP1_i*((qim1_1*r1)*s1)))+(ALP2_i*(((qbm*r2)*r2)*s2)));
        FdL = (((1.0+dL1)+(dL1*dL1))*GdL);
      }
      xg_dc = xg;
      qeff1_dc = qeff1;
      Voxm_dc = Voxm;
      alpha_dc = alpha;
      dps_dc = dps;
      qim_dc = qim;
      qim1_dc = qim1;
      GdL_dc = GdL;
      FdL_dc = FdL;
      H_dc = H;
      eta_p_dc = eta_p;
      Gvsat_dc = Gvsat;
      Gvsatinv_dc = Gvsatinv;
      Gmob_dL_dc = Gmob_dL;
      x_ds_dc = x_ds;
      x_m_dc = x_m;
      Gf_dc = Gf;
      Vdsat_dc = Vdsat;
      Udse_dc = Udse;
    }
    // End block SPcalc_dc
    if ((xg_dc<=0))
    {
      Ids = 0.0;
    }
    else
    {
      Ids = (BET_i*(((FdL_dc*qim1_dc)*dps_dc)*Gvsatinv_dc));
      if (((model_.SWIMPACT_i)!=0))
      {
        delVsat = (Vds-(A3_i*dps_dc));
        if ((delVsat>0))
        {
          temp2 = (A2_i*((1.0+(A4_i*(sqrt((phib_dc+Vsbnud))-sqrt_phib_dc)))/(delVsat+1e-30)));
          if (((-temp2)>(-2.3025850929940458e+02)))
          {
            temp = exp((-temp2));
          }
          else
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
          }
          mavl = (A1_i*(delVsat*temp));
          Iimpact = (Ids*mavl);
        }
      }
    }
    if (((((((model_.SWIGATE_i)!=0)&&((IGOV_i>0)||(IGOVD_i>0)))||(((model_.SWGIDL_i)!=0)&&((AGIDL_i>0)||(AGIDLD_i>0))))||(CGOV_i>0))||(CGOVD_i>0)))
    {
      GOV = GOV_s;
      GOV2 = GOV2_s;
      xi_ov = xi_ov_s;
      inv_xi_ov = inv_xi_ov_s;
      x_mrg_ov = x_mrg_ov_s;
      inv_xg1 = inv_xg1_s;
      if ((fabs(xgs_ov)<=x_mrg_ov))
      {
        xs_ov = ((-xgs_ov)*inv_xi_ov);
      }
      else
      {
        if ((xgs_ov<(-x_mrg_ov)))
        {
          SP_OV_yg = (-xgs_ov);
          SP_OV_z = ((x1*SP_OV_yg)*inv_xi_ov);
          SP_OV_eta = (0.5*((SP_OV_z+10.0)-sqrt((((SP_OV_z-6.0)*(SP_OV_z-6.0))+64.0))));
          SP_OV_a = (((SP_OV_yg-SP_OV_eta)*(SP_OV_yg-SP_OV_eta))+(GOV2*(SP_OV_eta+1.0)));
          SP_OV_c = ((2.0*(SP_OV_yg-SP_OV_eta))-GOV2);
          SP_OV_tau = (log((SP_OV_a/GOV2))-SP_OV_eta);
          nu = (SP_OV_a+SP_OV_c);
          mutau = ((nu*nu)+(SP_OV_tau*((0.5*(SP_OV_c*SP_OV_c))-SP_OV_a)));
          SP_OV_y0 = (SP_OV_eta+(((SP_OV_a*nu)*SP_OV_tau)/(mutau+(((((nu/mutau)*SP_OV_tau)*SP_OV_tau)*SP_OV_c)*(((SP_OV_c*SP_OV_c)*3.3333333333333333e-01)-SP_OV_a)))));
          SP_OV_D0 = exp(SP_OV_y0);
          SP_OV_temp = (SP_OV_yg-SP_OV_y0);
          SP_OV_p = ((2.0*SP_OV_temp)+(GOV2*(SP_OV_D0-1.0)));
          SP_OV_q = ((SP_OV_temp*SP_OV_temp)+(GOV2*((SP_OV_y0+1.0)-SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_w = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xs_ov = (-(SP_OV_y0+SP_OV_w));
        }
        else
        {
          SP_OV_Afac = ((((xi_ov*x1)*inv_xg1)-1.0)*inv_xg1);
          SP_OV_xbar = ((xgs_ov*inv_xi_ov)*(1.0+(SP_OV_Afac*xgs_ov)));
          if (((-SP_OV_xbar)>(-2.3025850929940458e+02)))
          {
            SP_OV_temp = exp((-SP_OV_xbar));
          }
          else
          {
            SP_OV_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*3.3333333333333333e-01))))))));
          }
          SP_OV_w = (1.0-SP_OV_temp);
          SP_OV_x0 = ((xgs_ov+(GOV2*0.5))-(GOV*sqrt(((xgs_ov+(GOV2*0.25))-SP_OV_w))));
          if (((-SP_OV_x0)>(-2.3025850929940458e+02)))
          {
            SP_OV_D0 = exp((-SP_OV_x0));
          }
          else
          {
            SP_OV_D0 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*3.3333333333333333e-01))))))));
          }
          SP_OV_p = ((2.0*(xgs_ov-SP_OV_x0))+(GOV2*(1-SP_OV_D0)));
          SP_OV_q = (((xgs_ov-SP_OV_x0)*(xgs_ov-SP_OV_x0))-(GOV2*((SP_OV_x0-1.0)+SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_u = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xs_ov = (SP_OV_x0+SP_OV_u);
        }
        xs_ov = (-xs_ov);
      }
      GOV = GOV_d;
      GOV2 = GOV2_d;
      xi_ov = xi_ov_d;
      inv_xi_ov = inv_xi_ov_d;
      x_mrg_ov = x_mrg_ov_d;
      inv_xg1 = inv_xg1_d;
      if ((fabs(xgd_ov)<=x_mrg_ov))
      {
        xd_ov = ((-xgd_ov)*inv_xi_ov);
      }
      else
      {
        if ((xgd_ov<(-x_mrg_ov)))
        {
          SP_OV_yg = (-xgd_ov);
          SP_OV_z = ((x1*SP_OV_yg)*inv_xi_ov);
          SP_OV_eta = (0.5*((SP_OV_z+10.0)-sqrt((((SP_OV_z-6.0)*(SP_OV_z-6.0))+64.0))));
          SP_OV_a = (((SP_OV_yg-SP_OV_eta)*(SP_OV_yg-SP_OV_eta))+(GOV2*(SP_OV_eta+1.0)));
          SP_OV_c = ((2.0*(SP_OV_yg-SP_OV_eta))-GOV2);
          SP_OV_tau = (log((SP_OV_a/GOV2))-SP_OV_eta);
          nu = (SP_OV_a+SP_OV_c);
          mutau = ((nu*nu)+(SP_OV_tau*((0.5*(SP_OV_c*SP_OV_c))-SP_OV_a)));
          SP_OV_y0 = (SP_OV_eta+(((SP_OV_a*nu)*SP_OV_tau)/(mutau+(((((nu/mutau)*SP_OV_tau)*SP_OV_tau)*SP_OV_c)*(((SP_OV_c*SP_OV_c)*3.3333333333333333e-01)-SP_OV_a)))));
          SP_OV_D0 = exp(SP_OV_y0);
          SP_OV_temp = (SP_OV_yg-SP_OV_y0);
          SP_OV_p = ((2.0*SP_OV_temp)+(GOV2*(SP_OV_D0-1.0)));
          SP_OV_q = ((SP_OV_temp*SP_OV_temp)+(GOV2*((SP_OV_y0+1.0)-SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_w = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xd_ov = (-(SP_OV_y0+SP_OV_w));
        }
        else
        {
          SP_OV_Afac = ((((xi_ov*x1)*inv_xg1)-1.0)*inv_xg1);
          SP_OV_xbar = ((xgd_ov*inv_xi_ov)*(1.0+(SP_OV_Afac*xgd_ov)));
          if (((-SP_OV_xbar)>(-2.3025850929940458e+02)))
          {
            SP_OV_temp = exp((-SP_OV_xbar));
          }
          else
          {
            SP_OV_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*3.3333333333333333e-01))))))));
          }
          SP_OV_w = (1.0-SP_OV_temp);
          SP_OV_x0 = ((xgd_ov+(GOV2*0.5))-(GOV*sqrt(((xgd_ov+(GOV2*0.25))-SP_OV_w))));
          if (((-SP_OV_x0)>(-2.3025850929940458e+02)))
          {
            SP_OV_D0 = exp((-SP_OV_x0));
          }
          else
          {
            SP_OV_D0 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*3.3333333333333333e-01))))))));
          }
          SP_OV_p = ((2.0*(xgd_ov-SP_OV_x0))+(GOV2*(1-SP_OV_D0)));
          SP_OV_q = (((xgd_ov-SP_OV_x0)*(xgd_ov-SP_OV_x0))-(GOV2*((SP_OV_x0-1.0)+SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_u = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xd_ov = (SP_OV_x0+SP_OV_u);
        }
        xd_ov = (-xd_ov);
      }
      Vovs = ((-(model_.phit))*(xgs_ov+xs_ov));
      Vovd = ((-(model_.phit))*(xgd_ov+xd_ov));
    }
    Igsov = 0.0;
    Igdov = 0.0;
    Igc = 0.0;
    Igb = 0.0;
    Igcs = 0.0;
    Igcd = 0.0;
    if (((model_.SWIGATE_i)!=0))
    {
      if ((IGOV_i>0))
      {
        arg2mina = (Vovs+Dov);
        psi_t = (0.5*((+arg2mina)-sqrt((((-arg2mina)*(-arg2mina))+0.01))));
        zg = (sqrt(((Vovs*Vovs)+1.0e-6))*inv_CHIB);
        if ((GC3_i<0))
        {
          zg = (0.5*((zg+GCQ)-sqrt((((zg-GCQ)*(zg-GCQ))+1.0e-6))));
        }
        arg1 = ((3.0+xs_ov)+(psi_t*(model_.inv_phit)));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          Dsi = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            Dsi = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            Dsi = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        arg1 = ((-VgsPrime)*(model_.inv_phit));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          temp = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            temp = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Dgate = (Dsi*temp);
        temp = (BOV*((-1.5)+(zg*(GC2_i+(GC3_i*zg)))));
        if ((temp>0))
        {
          TP = (1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
        }
        else
        {
          if ((temp>(-2.3025850929940458e+02)))
          {
            TP = exp(temp);
          }
          else
          {
            TP = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
          }
        }
        Igsov = (IGOV_i*(TP*log(((1.0+Dsi)/(1.0+Dgate)))));
      }
      if ((IGOVD_i>0))
      {
        arg2mina = (Vovd+Dov);
        psi_t = (0.5*((+arg2mina)-sqrt((((-arg2mina)*(-arg2mina))+0.01))));
        zg = (sqrt(((Vovd*Vovd)+1.0e-6))*inv_CHIB);
        if ((GC3_i<0))
        {
          zg = (0.5*((zg+GCQ)-sqrt((((zg-GCQ)*(zg-GCQ))+1.0e-6))));
        }
        arg1 = ((3.0+xd_ov)+(psi_t*(model_.inv_phit)));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          Dsi = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            Dsi = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            Dsi = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        arg1 = ((-VgdPrime)*(model_.inv_phit));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          temp = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            temp = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Dgate = (Dsi*temp);
        temp = (BOV_d*((-1.5)+(zg*(GC2_i+(GC3_i*zg)))));
        if ((temp>0))
        {
          TP = (1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
        }
        else
        {
          if ((temp>(-2.3025850929940458e+02)))
          {
            TP = exp(temp);
          }
          else
          {
            TP = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
          }
        }
        Igdov = (IGOVD_i*(TP*log(((1.0+Dsi)/(1.0+Dgate)))));
      }
      if ((IGINV_i>0))
      {
        if ((xg_dc<=0.0))
        {
          temp = pow((Vds/Vdsat_lim),AX_i);
          Udse_dc = ((Vds*pow((1.0+temp),(-inv_AX)))*inv_phit1);
        }
        if (((x_ds_dc-Udse_dc)>(-2.3025850929940458e+02)))
        {
          temp = exp((x_ds_dc-Udse_dc));
        }
        else
        {
          temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
        }
        Vm = (Vsbnud+(phit1*((0.5*x_ds_dc)-log((0.5*(1.0+temp))))));
        arg2mina = (Voxm_dc+Dch);
        psi_t = (0.5*((+arg2mina)-sqrt((((-arg2mina)*(-arg2mina))+0.01))));
        zg = (sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*inv_CHIB);
        if ((GC3_i<0))
        {
          zg = (0.5*((zg+GCQ)-sqrt((((zg-GCQ)*(zg-GCQ))+1.0e-06))));
        }
        arg1 = (x_m_dc+(((psi_t-alpha_b)-Vm)*inv_phit1));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          Dsi = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            Dsi = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            Dsi = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        arg1 = ((-((Vgs+Vsbnud)-Vm))*inv_phit1);
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          temp = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            temp = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Dgate = (Dsi*temp);
        temp = (BCH*((-1.5)+(zg*(GC2_i+(GC3_i*zg)))));
        if ((temp>0))
        {
          TP = (1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
        }
        else
        {
          if ((temp>(-2.3025850929940458e+02)))
          {
            TP = exp(temp);
          }
          else
          {
            TP = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
          }
        }
        Igc0 = (IGINV_i*(TP*log(((1.0+Dsi)/(1.0+Dgate)))));
        if (((xg_dc<=0)||((GC2_i==0)&&(GC3_i==0))))
        {
          igc = 1.0;
          igcd_h = 0.5;
        }
        else
        {
          temp = (GC2_i+((2.0*GC3_i)*zg));
          u0 = (CHIB_i/(temp*BCH));
          x = (0.5*(dps_dc/u0));
          u0_div_H = (u0/H_dc);
          Bg = ((u0_div_H*(1.0-u0_div_H))*0.5);
          Ag = (0.5-(3.0*Bg));
          if ((x<1.0e-3))
          {
            xsq = (x*x);
            igc = (1.0+(xsq*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))));
            igcd_h = ((0.5*igc)-(1.6666666666666667e-01*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))));
          }
          else
          {
            inv_x = (1.0/x);
            if ((fabs(x)<2.3025850929940458e+02))
            {
              ex = exp(x);
            }
            else
            {
              if ((x<(-2.3025850929940458e+02)))
              {
                ex = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
              }
              else
              {
                ex = (1.0e100*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            inv_ex = (1.0/ex);
            temp = (ex-inv_ex);
            temp2 = (ex+inv_ex);
            igc = (0.5*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2)));
            igcd_h = (0.5*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x)));
          }
        }
        Sg = (0.5*(1.0+(xg_dc/sqrt(((xg_dc*xg_dc)+1.0e-6)))));
        Igc = ((Igc0*igc)*Sg);
        Igcd = ((Igc0*igcd_h)*Sg);
        Igcs = (Igc-Igcd);
        Igb = ((Igc0*igc)*(1.0-Sg));
      }
    }
    Igidl = 0.0;
    Igisl = 0.0;
    if (((model_.SWGIDL_i)!=0))
    {
      if (((AGIDLD_i>0)&&(Vovd<0)))
      {
        Vtovd = sqrt((((Vovd*Vovd)+((CGIDLD_i*CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6));
        temp = ((-BGIDLD_i)/Vtovd);
        if ((temp>(-2.3025850929940458e+02)))
        {
          temp2 = exp(temp);
        }
        else
        {
          temp2 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
        }
        Igidl = ((-AGIDLD_i)*(((VdbPrime*Vovd)*Vtovd)*temp2));
      }
      if (((AGIDL_i>0)&&(Vovs<0)))
      {
        Vtovs = sqrt((((Vovs*Vovs)+((CGIDL_i*CGIDL_i)*(VsbPrime*VsbPrime)))+1.0e-6));
        temp = ((-BGIDL_i)/Vtovs);
        if ((temp>(-2.3025850929940458e+02)))
        {
          temp2 = exp(temp);
        }
        else
        {
          temp2 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
        }
        Igisl = ((-AGIDL_i)*(((VsbPrime*Vovs)*Vtovs)*temp2));
      }
    }
  }
  // End block evaluateStatic
  //Begin block evaluateDynamic
  {
    //Begin block SPcalc_ac
    {
      //Block-local variables for block SPcalc_ac
      double phib;
      double G_0;
      double sqrt_phib;
      AdmsFadType Vsbstar;
      AdmsFadType Vsbx;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType xg;
      AdmsFadType qeff;
      AdmsFadType qeff1;
      AdmsFadType Voxm;
      AdmsFadType alpha;
      AdmsFadType dps;
      AdmsFadType qim;
      AdmsFadType qim1;
      AdmsFadType GdL;
      AdmsFadType H;
      AdmsFadType eta_p;
      AdmsFadType s1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Gvsat;
      AdmsFadType Gvsatinv;
      AdmsFadType Gmob_dL;
      AdmsFadType x_ds;
      AdmsFadType x_m;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Dnsub;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType x_s;
      AdmsFadType sqm;
      AdmsFadType alpha1;
      AdmsFadType phi_inf;
      AdmsFadType za;
      AdmsFadType xitsb;
      AdmsFadType rhob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType thesat1;
      AdmsFadType wsat;
      AdmsFadType ysat;
      AdmsFadType zsat;
      AdmsFadType dL;
      AdmsFadType GR;
      AdmsFadType Gmob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType xgm;
      AdmsFadType Ux;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType xn_s;
      AdmsFadType delta_ns;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Gf;
      AdmsFadType Gf2;
      AdmsFadType inv_Gf2;
      AdmsFadType xi;
      AdmsFadType inv_xi;
      AdmsFadType margin;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_xg1;
      AdmsFadType SP_S_temp;
      AdmsFadType SP_S_temp1;
      AdmsFadType SP_S_temp2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_yg;
      AdmsFadType SP_S_ysub;
      AdmsFadType SP_S_y0;
      AdmsFadType SP_S_a;
      AdmsFadType SP_S_b;
      AdmsFadType SP_S_c;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_bx;
      AdmsFadType SP_S_tau;
      AdmsFadType SP_S_eta;
      AdmsFadType SP_S_delta0;
      AdmsFadType SP_S_delta1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_pC;
      AdmsFadType SP_S_qC;
      AdmsFadType SP_S_A_fac;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_x1;
      AdmsFadType SP_S_w;
      AdmsFadType SP_S_xbar;
      AdmsFadType SP_S_x0;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_xi0;
      AdmsFadType SP_S_xi1;
      AdmsFadType SP_S_xi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType x_d;
      AdmsFadType Rxcor;
      AdmsFadType delta_1s;
      AdmsFadType xi0s;
      AdmsFadType xi1s;
      AdmsFadType xi2s;
      AdmsFadType xi0d;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Es;
      AdmsFadType Em;
      AdmsFadType Ed;
      AdmsFadType Ds;
      AdmsFadType Dm;
      AdmsFadType Dd;
      AdmsFadType Ps;
      AdmsFadType xgs;
      AdmsFadType qis;
      AdmsFadType qbs;
      AdmsFadType qbm;
      AdmsFadType Eeffm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Phi_0;
      AdmsFadType Phi_2;
      AdmsFadType asat;
      AdmsFadType Phi_0_2;
      AdmsFadType Phi0_Phi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Vdse;
      AdmsFadType Vdsat;
      AdmsFadType Udse;
      AdmsFadType xn_d;
      AdmsFadType k_ds;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Mutmp;
      AdmsFadType Phi_sat;
      AdmsFadType delta_nd;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType pC;
      AdmsFadType qC;
      AdmsFadType Pm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType d0;
      AdmsFadType D_bar;
      AdmsFadType km;
      AdmsFadType x_pm;
      AdmsFadType xi_pd;
      AdmsFadType p_pd;
      AdmsFadType u_pd;
      AdmsFadType q_pd;
      //End of Block-local variables
      if ((((model_.SWNUD_i)==1)||((model_.SWDELVTAC_i)!=0)))
      {
        if (((model_.SWDELVTAC_i)!=0))
        {
          temp = ((0.5*((Vdb+Vsb)-sqrt((((Vdb-Vsb)*(Vdb-Vsb))+bphi_ac))))+phix_ac);
          Vsbstar_ac = ((Vsb-(0.5*((temp)-sqrt((((temp)*(temp))+aphi_ac)))))+phix1_ac);
          Vsbstar = Vsbstar_ac;
          phib = phib_ac;
          G_0 = G_0_ac;
          sqrt_phib = sqrt_phib_ac;
        }
        else
        {
          Vsbstar = Vsbstar_dc;
          phib = phib_dc;
          G_0 = G_0_dc;
          sqrt_phib = sqrt_phib_dc;
        }
        alpha = 0.0;
        GdL = 1.0;
        dL = 0.0;
        qbm = 0.0;
        dps = 0.0;
        qim = 0.0;
        qim1 = 0.0;
        H = 1.0;
        eta_p = 1.0;
        Gvsat = 1.0;
        Gvsatinv = 1.0;
        SP_S_x1 = 0.0;
        x_s = 0.0;
        sqm = 0.0;
        xitsb = 0.0;
        rhob = 0.0;
        Gmob = 1.0;
        Gmob_dL = 1.0;
        Udse = 0.0;
        thesat1 = 0.0;
        xgm = 0.0;
        Vdbstar = (Vds+Vsbstar);
        Vgbstar = (Vgs+Vsbstar);
        Vgb1 = (Vgbstar-VFB_i);
        Vsbx = (Vsbstar+(0.5*(Vds-Vdsx)));
        delVg = (CF_i*(Vdsx*(1+(CFB_i*Vsbx))));
        Vgb1 = (Vgb1+delVg);
        xg = (Vgb1*inv_phit1);
        if ((DNSUB_i>0.0))
        {
          Dnsub = ((DNSUB_i*0.5)*((+((Vgs+Vsb)-VNSUB_i))+sqrt((((-((Vgs+Vsb)-VNSUB_i))*(-((Vgs+Vsb)-VNSUB_i)))+NSLP_i))));
          Gf = (G_0*sqrt((1.0+Dnsub)));
        }
        else
        {
          Gf = G_0;
        }
        Gf2 = (Gf*Gf);
        inv_Gf2 = (1.0/Gf2);
        xi = (1.0+(Gf*7.0710678118654746e-01));
        inv_xi = (1.0/xi);
        Ux = (Vsbstar*inv_phit1);
        xn_s = ((phib*inv_phit1)+Ux);
        if ((xn_s<4.6051701859880916e+02))
        {
          delta_ns = exp((-xn_s));
        }
        else
        {
          delta_ns = (1.0e-200/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
        }
        margin = (1e-5*xi);
        if ((fabs(xg)<=margin))
        {
          SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
          x_s = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)));
        }
        else
        {
          if ((xg<(-margin)))
          {
            SP_S_yg = (-xg);
            SP_S_ysub = (1.25*(SP_S_yg*inv_xi));
            SP_S_eta = (0.5*((SP_S_ysub+10)-sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))));
            SP_S_temp = (SP_S_yg-SP_S_eta);
            SP_S_a = ((SP_S_temp*SP_S_temp)+(Gf2*(SP_S_eta+1.0)));
            SP_S_c = ((2.0*SP_S_temp)-Gf2);
            SP_S_tau = ((-SP_S_eta)+log((SP_S_a*inv_Gf2)));
            nu = (SP_S_a+SP_S_c);
            mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-SP_S_a)));
            SP_S_y0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
            if ((SP_S_y0<2.3025850929940458e+02))
            {
              SP_S_delta0 = exp(SP_S_y0);
            }
            else
            {
              SP_S_delta0 = (1.0e100*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
            SP_S_delta1 = (1.0/SP_S_delta0);
            SP_S_temp = (1.0/(2.0+(SP_S_y0*SP_S_y0)));
            SP_S_xi0 = ((SP_S_y0*SP_S_y0)*SP_S_temp);
            SP_S_xi1 = (4.0*((SP_S_y0*SP_S_temp)*SP_S_temp));
            SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
            SP_S_temp = (SP_S_yg-SP_S_y0);
            SP_S_temp1 = (delta_ns*SP_S_delta1);
            SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))));
            SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))));
            SP_S_temp = (2.0-(Gf2*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))));
            SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
            x_s = ((-SP_S_y0)-(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
          }
          else
          {
            SP_xg1 = (1.0/(x1+(Gf*7.324648775608221e-001)));
            SP_S_A_fac = ((((xi*x1)*SP_xg1)-1.0)*SP_xg1);
            SP_S_xbar = ((xg*inv_xi)*(1.0+(SP_S_A_fac*xg)));
            if (((-SP_S_xbar)>(-2.3025850929940458e+02)))
            {
              SP_S_temp = exp((-SP_S_xbar));
            }
            else
            {
              SP_S_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
            }
            SP_S_w = (1.0-SP_S_temp);
            SP_S_x1 = ((xg+(Gf2*0.5))-(Gf*sqrt(((xg+(Gf2*0.25))-SP_S_w))));
            SP_S_bx = (xn_s+3.0);
            SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
            SP_S_temp = (xg-SP_S_eta);
            SP_S_temp1 = exp((-SP_S_eta));
            SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
            SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
            SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
            SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
            SP_S_a = max(1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))));
            SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))));
            SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))));
            SP_S_tau = ((xn_s-SP_S_eta)+log((SP_S_a/Gf2)));
            nu = (SP_S_a+SP_S_c);
            mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
            SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
            if ((SP_S_x0<2.3025850929940458e+02))
            {
              SP_S_delta0 = exp(SP_S_x0);
              SP_S_delta1 = (1.0/SP_S_delta0);
              SP_S_delta0 = (delta_ns*SP_S_delta0);
            }
            else
            {
              if ((SP_S_x0>(xn_s-2.3025850929940458e+02)))
              {
                SP_S_delta0 = exp((SP_S_x0-xn_s));
                SP_S_delta1 = (delta_ns/SP_S_delta0);
              }
              else
              {
                SP_S_delta0 = (1.0e-100/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
                SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
            SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
            SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
            SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
            SP_S_temp = (xg-SP_S_x0);
            SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))));
            SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))));
            SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))));
            SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
            x_s = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
          }
        }
        x_d = x_s;
        x_m = x_s;
        x_ds = 0.0;
        if ((xg<=0.0))
        {
          qis = 0.0;
          xgm = (xg-x_s);
          Voxm = (xgm*phit1);
          qeff1 = Voxm;
          Vdsat = Vdsat_lim;
        }
        else
        {
          delta_1s = 0.0;
          temp = (1.0/(2.0+(x_s*x_s)));
          xi0s = ((x_s*x_s)*temp);
          xi1s = (4.0*((x_s*temp)*temp));
          xi2s = ((((8.0*temp)-(12.0*xi0s))*temp)*temp);
          if ((x_s<2.3025850929940458e+02))
          {
            delta_1s = exp(x_s);
            Es = (1.0/delta_1s);
            delta_1s = (delta_ns*delta_1s);
          }
          else
          {
            if ((x_s>(xn_s-2.3025850929940458e+02)))
            {
              delta_1s = exp((x_s-xn_s));
              Es = (delta_ns/delta_1s);
            }
            else
            {
              delta_1s = (1.0e-100/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              Es = (1.0e-100/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
          }
          Ds = (delta_1s-(delta_ns*((x_s+1.0)+xi0s)));
          if ((x_s<1.0e-5))
          {
            Ps = (0.5*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))));
            Ds = (1.6666666666666667e-01*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s))));
            temp = sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))));
            sqm = (7.0710678118654746e-01*(x_s*temp));
            alpha = (1.0+(((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))/temp));
          }
          else
          {
            Ps = ((x_s-1.0)+Es);
            sqm = sqrt(Ps);
            alpha = (1.0+(0.5*((Gf*(1.0-Es))/sqm)));
          }
          Em = Es;
          Ed = Em;
          Dm = Ds;
          Dd = Dm;
          Rxcor = ((1.0+((0.2*XCOR_i)*Vsbx))/(1.0+(XCOR_i*Vsbx)));
          if ((Ds>1.0e-100))
          {
            xgs = (Gf*sqrt((Ps+Ds)));
            qis = (((Gf2*Ds)*phit1)/(xgs+(Gf*sqm)));
            qbs = ((sqm*Gf)*phit1);
            if ((RSB_i<0))
            {
              rhob = (1.0/(1.0-(RSB_i*Vsbx)));
            }
            else
            {
              rhob = (1.0+(RSB_i*Vsbx));
            }
            if ((RSG_i<0))
            {
              temp = (1.0-(RSG_i*qis));
            }
            else
            {
              temp = (1.0/(1.0+(RSG_i*qis)));
            }
            GR = (THER_i*((rhob*temp)*qis));
            Eeffm = (E_eff0*(qbs+(eta_mu*qis)));
            if (((Eeffm*MUE_i)!=0))
            {
              Mutmp = (pow((Eeffm*MUE_i),THEMU_i)+(CS_i*(Ps/((Ps+Ds)+1.0e-14))));
            }
            else
            {
              Mutmp = (CS_i*(Ps/((Ps+Ds)+1.0e-14)));
            }
            Gmob = (((1.0+Mutmp)+GR)*Rxcor);
            if ((THESATB_i<0))
            {
              xitsb = (1.0/(1.0-(THESATB_i*Vsbx)));
            }
            else
            {
              xitsb = (1.0+(THESATB_i*Vsbx));
            }
            temp2 = (qis*xitsb);
            wsat = (100.0*(temp2/(100.0+temp2)));
            if ((THESATG_i<0))
            {
              temp = (1/(1-(THESATG_i*wsat)));
            }
            else
            {
              temp = (1+(THESATG_i*wsat));
            }
            thesat1 = (THESAT_i*(temp/Gmob));
            phi_inf = ((qis/alpha)+phit1);
            ysat = ((thesat1*phi_inf)*7.0710678118654746e-01);
            if (((model_.CHNL_TYPE)==(-1)))
            {
              ysat = (ysat/sqrt((1.0+ysat)));
            }
            za = (2.0/(1.0+sqrt((1.0+(4.0*ysat)))));
            temp1 = (za*ysat);
            Phi_0 = ((phi_inf*za)*(1.0+(0.86*((temp1*(1.0-(temp1*za)))/(1.0+(4.0*((temp1*temp1)*za)))))));
            asat = (xgs+(0.5*Gf2));
            Phi_2 = (0.98*(((Gf2*Ds)*phit1)/(asat+sqrt(((asat*asat)-((Gf2*Ds)*0.98))))));
            Phi_0_2 = (Phi_0+Phi_2);
            Phi0_Phi2 = (2.0*(Phi_0*Phi_2));
            Phi_sat = (Phi0_Phi2/(Phi_0_2+sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))));
            Vdsat = (Phi_sat-(phit1*log((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*phit1)))*inv_Gf2)/((phit1*phit1)*Ds))))));
          }
          else
          {
            Vdsat = Vdsat_lim;
          }
          if (((Vds/Vdsat)!=0))
          {
            temp = pow((Vds/Vdsat),AX_i);
          }
          else
          {
            temp = 0;
          }
          Vdse = (Vds*pow((1.0+temp),(-inv_AX)));
          Udse = (Vdse*inv_phit1);
          xn_d = (xn_s+Udse);
          if ((Udse<4.6051701859880916e+02))
          {
            k_ds = exp((-Udse));
          }
          else
          {
            k_ds = (1.0e-200/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
          }
          delta_nd = (delta_ns*k_ds);
          if ((fabs(xg)<=margin))
          {
            SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
            x_d = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)));
          }
          else
          {
            SP_S_bx = (xn_d+3);
            SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
            SP_S_temp = (xg-SP_S_eta);
            SP_S_temp1 = exp((-SP_S_eta));
            SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
            SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
            SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
            SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
            SP_S_a = max(1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))));
            SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))));
            SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))));
            SP_S_tau = ((xn_d-SP_S_eta)+log((SP_S_a/Gf2)));
            nu = (SP_S_a+SP_S_c);
            mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
            SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
            if ((SP_S_x0<2.3025850929940458e+02))
            {
              SP_S_delta0 = exp(SP_S_x0);
              SP_S_delta1 = (1.0/SP_S_delta0);
              SP_S_delta0 = (delta_nd*SP_S_delta0);
            }
            else
            {
              if ((SP_S_x0>(xn_d-2.3025850929940458e+02)))
              {
                SP_S_delta0 = exp((SP_S_x0-xn_d));
                SP_S_delta1 = (delta_nd/SP_S_delta0);
              }
              else
              {
                SP_S_delta0 = (1.0e-100/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
                SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
            SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
            SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
            SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
            SP_S_temp = (xg-SP_S_x0);
            SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))));
            SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))));
            SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))));
            SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
            x_d = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
          }
          x_ds = (x_d-x_s);
          if ((x_ds<1.0E-10))
          {
            pC = ((2.0*(xg-x_s))+(Gf2*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))));
            qC = ((Gf2*(1.0-k_ds))*Ds);
            temp = (2.0-(Gf2*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))));
            temp = ((pC*pC)-(2.0*(temp*qC)));
            x_ds = (2.0*(qC/(pC+sqrt(temp))));
            x_d = (x_s+x_ds);
          }
          dps = (x_ds*phit1);
          xi0d = ((x_d*x_d)/(2.0+(x_d*x_d)));
          if ((x_d<2.3025850929940458e+02))
          {
            Ed = exp((-x_d));
            if ((x_d<1.0e-5))
            {
              Dd = (((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.0+(1.75*x_d)));
            }
            else
            {
              Dd = (delta_nd*((((1.0/Ed)-x_d)-1.0)-xi0d));
            }
          }
          else
          {
            if ((x_d>(xn_d-2.3025850929940458e+02)))
            {
              temp = exp((x_d-xn_d));
              Ed = (delta_nd/temp);
              Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
            }
            else
            {
              Ed = (1.0e-100/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              temp = (1.0e-100/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
            }
          }
          x_m = (0.5*(x_s+x_d));
          Em = 0.0;
          temp = (Ed*Es);
          if ((temp>0.0))
          {
            Em = sqrt(temp);
          }
          D_bar = (0.5*(Ds+Dd));
          Dm = (D_bar+(0.125*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))));
          if ((x_m<1.0e-5))
          {
            Pm = (0.5*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))));
            xgm = (Gf*sqrt((Dm+Pm)));
            if ((kp>0.0))
            {
              eta_p = (1.0/sqrt((1.0+(kp*xgm))));
            }
            temp = sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))));
            sqm = (7.0710678118654746e-01*(x_m*temp));
            alpha = (eta_p+(7.0710678118654746e-01*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)));
          }
          else
          {
            Pm = ((x_m-1.0)+Em);
            xgm = (Gf*sqrt((Dm+Pm)));
            if ((kp>0.0))
            {
              d0 = ((1.0-Em)+(2.0*(xgm*inv_Gf2)));
              eta_p = (1.0/sqrt((1.0+(kp*xgm))));
              temp = (eta_p/(eta_p+1.0));
              x_pm = (kp*(((temp*temp)*Gf2)*Dm));
              p_pd = ((2.0*(xgm-x_pm))+(Gf2*((1.0-Em)+Dm)));
              q_pd = (x_pm*(x_pm-(2.0*xgm)));
              xi_pd = (1.0-(0.5*(Gf2*(Em+Dm))));
              u_pd = ((q_pd*p_pd)/((p_pd*p_pd)-(xi_pd*q_pd)));
              x_m = (x_m+u_pd);
              km = exp(u_pd);
              Em = (Em/km);
              Dm = (Dm*km);
              Pm = ((x_m-1.0)+Em);
              xgm = (Gf*sqrt((Dm+Pm)));
              help = ((1.0-Em)+(2.0*((xgm*eta_p)*inv_Gf2)));
              x_ds = (((x_ds*km)*(d0+D_bar))/(help+(km*D_bar)));
              dps = (x_ds*phit1);
            }
            sqm = sqrt(Pm);
            alpha = (eta_p+(0.5*((Gf*(1.0-Em))/sqm)));
          }
          qim = (phit1*((Gf2*Dm)/(xgm+(Gf*sqm))));
          qim1 = (qim+(phit1*alpha));
          qbm = ((sqm*Gf)*phit1);
          if ((RSG_i<0))
          {
            temp = (1.0-(RSG_i*qim));
          }
          else
          {
            temp = (1.0/(1.0+(RSG_i*qim)));
          }
          GR = (THER_i*((rhob*temp)*qim));
          qeff = (qbm+(eta_mu*qim));
          qeff1 = (qbm+(eta_mu1*qim));
          Eeffm = (E_eff0*qeff);
          if (((Eeffm*MUE_i)!=0))
          {
            Mutmp = (pow((Eeffm*MUE_i),THEMU_i)+(CS_i*(Pm/((Pm+Dm)+1.0e-14))));
          }
          else
          {
            Mutmp = (CS_i*(Pm/((Pm+Dm)+1.0e-14)));
          }
          Gmob = (((1.0+Mutmp)+GR)*Rxcor);
          s1 = log(((1.0+((Vds-dps)*inv_VP))/(1.0+((Vdse-dps)*inv_VP))));
          dL = (ALP_i*s1);
          GdL = (1.0/((1.0+dL)+(dL*dL)));
          temp2 = (qim*xitsb);
          wsat = (100.0*(temp2/(100.0+temp2)));
          Gmob_dL = (Gmob*GdL);
          if ((THESATG_i<0))
          {
            temp = (1/(1-(THESATG_i*wsat)));
          }
          else
          {
            temp = (1+(THESATG_i*wsat));
          }
          thesat1 = (THESAT_i*(temp/Gmob_dL));
          zsat = (((thesat1*thesat1)*dps)*dps);
          if (((model_.CHNL_TYPE)==(-1)))
          {
            zsat = (zsat/(1.0+(thesat1*dps)));
          }
          Gvsat = (0.5*(Gmob_dL*(1.0+sqrt((1.0+(2.0*zsat))))));
          Gvsatinv = (1.0/Gvsat);
          Voxm = (xgm*phit1);
          temp = (Gmob_dL*Gvsatinv);
          alpha1 = (alpha*(1.0+(0.5*((zsat*temp)*temp))));
          H = ((temp*qim1)/alpha1);
        }
        xg_ac = xg;
        qeff1_ac = qeff1;
        Voxm_ac = Voxm;
        alpha_ac = alpha;
        dps_ac = dps;
        qim_ac = qim;
        qim1_ac = qim1;
        GdL_ac = GdL;
        H_ac = H;
        eta_p_ac = eta_p;
        Gvsat_ac = Gvsat;
        Gmob_dL_ac = Gmob_dL;
        x_m_ac = x_m;
        Gf_ac = Gf;
      }
      else
      {
        xg_ac = xg_dc;
        qeff1_ac = qeff1_dc;
        Voxm_ac = Voxm_dc;
        alpha_ac = alpha_dc;
        dps_ac = dps_dc;
        qim_ac = qim_dc;
        qim1_ac = qim1_dc;
        GdL_ac = GdL_dc;
        H_ac = H_dc;
        eta_p_ac = eta_p_dc;
        Gvsat_ac = Gvsat_dc;
        Gmob_dL_ac = Gmob_dL_dc;
        x_m_ac = x_m_dc;
        Gf_ac = Gf_dc;
      }
    }
    // End block SPcalc_ac
    Vgb = (Vgs+Vsb);
    COX_qm = COX_i;
    if ((qq>0.0))
    {
      COX_qm = (COX_i/(1.0+(qq*pow(((qeff1_ac*qeff1_ac)+qlim2),((-1.0)*1.6666666666666667e-01)))));
    }
    if ((xg_ac<=0.0))
    {
      QG = Voxm_ac;
      QI = 0.0;
      QD = 0.0;
      QB = QG;
    }
    else
    {
      Fj = (0.5*(dps_ac/H_ac));
      Fj2 = (Fj*Fj);
      QCLM = ((1.0-GdL_ac)*(qim_ac-(0.5*(alpha_ac*dps_ac))));
      QG = (Voxm_ac+(0.5*((eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))));
      temp = ((alpha_ac*dps_ac)*1.6666666666666667e-01);
      QI = ((GdL_ac*(qim_ac+(temp*Fj)))+QCLM);
      QD = (0.5*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac))));
      QB = (QG-QI);
    }
    Qg = (QG*COX_qm);
    Qd = ((-QD)*COX_qm);
    Qb = ((-QB)*COX_qm);
    Qgs_ov = (CGOV_i*Vovs);
    Qgd_ov = (CGOVD_i*Vovd);
    Qgb_ov = (CGBOV_i*Vgb);
    Qfgs = (CFR_i*VgsPrime);
    Qfgd = (CFRD_i*VgdPrime);
  }
  // End block evaluateDynamic
  //Begin block evaluateStaticDynamic
  {
    if (((model_.SWJUNCAP_i)>0))
    {
      if (((model_.SWJUNEXP_i)==1))
      {
        tm0 = ((Vjun_s*(model_.phitdinv))*MFOR1_s);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>xhighf1_s))
          {
            tm1 = (expxhf1_s*((tm0-xhighf1_s)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor1 = (ISATFOR1_s*(tm1-1.0));
        tm0 = ((Vjun_s*(model_.phitdinv))*MFOR2_s);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>xhighf2_s))
          {
            tm1 = (expxhf2_s*((tm0-xhighf2_s)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor2 = (ISATFOR2_s*(tm1-1.0));
        ijunrev = 0.0;
        if ((m0flag_s>0))
        {
          ijunrev = (Vjun_s*(ISATREV_s+(Vjun_s*MREV_s)));
        }
        else
        {
          tm0 = (((-Vjun_s)*(model_.phitdinv))*MREV_s);
          if ((tm0<(-2.3025850929940458e+02)))
          {
            tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
          }
          else
          {
            if ((tm0>xhighr_s))
            {
              tm1 = (expxhr_s*((tm0-xhighr_s)+1));
            }
            else
            {
              tm1 = exp(tm0);
            }
          }
          ijunrev = ((-ISATREV_s)*(tm1-1.0));
        }
        ijun_s = ((ijunfor1+ijunfor2)+ijunrev);
        tm0 = ((Vjun_d*(model_.phitdinv))*MFOR1_d);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>xhighf1_d))
          {
            tm1 = (expxhf1_d*((tm0-xhighf1_d)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor1 = (ISATFOR1_d*(tm1-1.0));
        tm0 = ((Vjun_d*(model_.phitdinv))*MFOR2_d);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>xhighf2_d))
          {
            tm1 = (expxhf2_d*((tm0-xhighf2_d)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor2 = (ISATFOR2_d*(tm1-1.0));
        ijunrev = 0.0;
        if ((m0flag_d>0))
        {
          ijunrev = (Vjun_d*(ISATREV_d+(Vjun_d*MREV_d)));
        }
        else
        {
          tm0 = (((-Vjun_d)*(model_.phitdinv))*MREV_d);
          if ((tm0<(-2.3025850929940458e+02)))
          {
            tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
          }
          else
          {
            if ((tm0>xhighr_d))
            {
              tm1 = (expxhr_d*((tm0-xhighr_d)+1));
            }
            else
            {
              tm1 = exp(tm0);
            }
          }
          ijunrev = ((-ISATREV_d)*(tm1-1.0));
        }
        ijun_d = ((ijunfor1+ijunfor2)+ijunrev);
        //Begin block evaluateDynamic
        {
          (model_.CJORBOT_i) = (model_.CJORBOTS_i);
          (model_.CJORSTI_i) = (model_.CJORSTIS_i);
          (model_.CJORGAT_i) = (model_.CJORGATS_i);
          (model_.VBIRBOT_i) = (model_.VBIRBOTS_i);
          (model_.VBIRSTI_i) = (model_.VBIRSTIS_i);
          (model_.VBIRGAT_i) = (model_.VBIRGATS_i);
          (model_.PBOT_i) = (model_.PBOTS_i);
          (model_.PSTI_i) = (model_.PSTIS_i);
          (model_.PGAT_i) = (model_.PGATS_i);
          (model_.PHIGBOT_i) = (model_.PHIGBOTS_i);
          (model_.PHIGSTI_i) = (model_.PHIGSTIS_i);
          (model_.PHIGGAT_i) = (model_.PHIGGATS_i);
          (model_.IDSATRBOT_i) = (model_.IDSATRBOTS_i);
          (model_.IDSATRSTI_i) = (model_.IDSATRSTIS_i);
          (model_.IDSATRGAT_i) = (model_.IDSATRGATS_i);
          (model_.CSRHBOT_i) = (model_.CSRHBOTS_i);
          (model_.CSRHSTI_i) = (model_.CSRHSTIS_i);
          (model_.CSRHGAT_i) = (model_.CSRHGATS_i);
          (model_.XJUNSTI_i) = (model_.XJUNSTIS_i);
          (model_.XJUNGAT_i) = (model_.XJUNGATS_i);
          (model_.CTATBOT_i) = (model_.CTATBOTS_i);
          (model_.CTATSTI_i) = (model_.CTATSTIS_i);
          (model_.CTATGAT_i) = (model_.CTATGATS_i);
          (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTS_i);
          (model_.MEFFTATSTI_i) = (model_.MEFFTATSTIS_i);
          (model_.MEFFTATGAT_i) = (model_.MEFFTATGATS_i);
          (model_.CBBTBOT_i) = (model_.CBBTBOTS_i);
          (model_.CBBTSTI_i) = (model_.CBBTSTIS_i);
          (model_.CBBTGAT_i) = (model_.CBBTGATS_i);
          (model_.FBBTRBOT_i) = (model_.FBBTRBOTS_i);
          (model_.FBBTRSTI_i) = (model_.FBBTRSTIS_i);
          (model_.FBBTRGAT_i) = (model_.FBBTRGATS_i);
          (model_.STFBBTBOT_i) = (model_.STFBBTBOTS_i);
          (model_.STFBBTSTI_i) = (model_.STFBBTSTIS_i);
          (model_.STFBBTGAT_i) = (model_.STFBBTGATS_i);
          (model_.VBRBOT_i) = (model_.VBRBOTS_i);
          (model_.VBRSTI_i) = (model_.VBRSTIS_i);
          (model_.VBRGAT_i) = (model_.VBRGATS_i);
          (model_.PBRBOT_i) = (model_.PBRBOTS_i);
          (model_.PBRSTI_i) = (model_.PBRSTIS_i);
          (model_.PBRGAT_i) = (model_.PBRGATS_i);
          (model_.VJUNREF_i) = (model_.VJUNREFS_i);
          (model_.FJUNQ_i) = (model_.FJUNQS_i);
          (model_.phigrbot) = (model_.phigrbot_s);
          (model_.phigrsti) = (model_.phigrsti_s);
          (model_.phigrgat) = (model_.phigrgat_s);
          (model_.phigdbot) = (model_.phigdbot_s);
          (model_.phigdsti) = (model_.phigdsti_s);
          (model_.phigdgat) = (model_.phigdgat_s);
          (model_.ftdbot) = (model_.ftdbot_s);
          (model_.ftdsti) = (model_.ftdsti_s);
          (model_.ftdgat) = (model_.ftdgat_s);
          (model_.idsatbot) = (model_.idsatbot_s);
          (model_.idsatsti) = (model_.idsatsti_s);
          (model_.idsatgat) = (model_.idsatgat_s);
          (model_.ubibot) = (model_.ubibot_s);
          (model_.ubisti) = (model_.ubisti_s);
          (model_.ubigat) = (model_.ubigat_s);
          (model_.vbibot) = (model_.vbibot_s);
          (model_.vbisti) = (model_.vbisti_s);
          (model_.vbigat) = (model_.vbigat_s);
          (model_.vbiinvbot) = (model_.vbiinvbot_s);
          (model_.vbiinvsti) = (model_.vbiinvsti_s);
          (model_.vbiinvgat) = (model_.vbiinvgat_s);
          (model_.one_minus_PBOT) = (model_.one_minus_PBOT_s);
          (model_.one_minus_PSTI) = (model_.one_minus_PSTI_s);
          (model_.one_minus_PGAT) = (model_.one_minus_PGAT_s);
          (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_s);
          (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_s);
          (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_s);
          (model_.cjobot) = (model_.cjobot_s);
          (model_.cjosti) = (model_.cjosti_s);
          (model_.cjogat) = (model_.cjogat_s);
          (model_.qprefbot) = (model_.qprefbot_s);
          (model_.qprefsti) = (model_.qprefsti_s);
          (model_.qprefgat) = (model_.qprefgat_s);
          (model_.qpref2bot) = (model_.qpref2bot_s);
          (model_.qpref2sti) = (model_.qpref2sti_s);
          (model_.qpref2gat) = (model_.qpref2gat_s);
          (model_.wdepnulrbot) = (model_.wdepnulrbot_s);
          (model_.wdepnulrsti) = (model_.wdepnulrsti_s);
          (model_.wdepnulrgat) = (model_.wdepnulrgat_s);
          (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_s);
          (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_s);
          (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_s);
          (model_.VBIRBOTinv) = (model_.VBIRBOTinv_s);
          (model_.VBIRSTIinv) = (model_.VBIRSTIinv_s);
          (model_.VBIRGATinv) = (model_.VBIRGATinv_s);
          (model_.deltaEbot) = (model_.deltaEbot_s);
          (model_.deltaEsti) = (model_.deltaEsti_s);
          (model_.deltaEgat) = (model_.deltaEgat_s);
          (model_.atatbot) = (model_.atatbot_s);
          (model_.atatsti) = (model_.atatsti_s);
          (model_.atatgat) = (model_.atatgat_s);
          (model_.btatpartbot) = (model_.btatpartbot_s);
          (model_.btatpartsti) = (model_.btatpartsti_s);
          (model_.btatpartgat) = (model_.btatpartgat_s);
          (model_.fbbtbot) = (model_.fbbtbot_s);
          (model_.fbbtsti) = (model_.fbbtsti_s);
          (model_.fbbtgat) = (model_.fbbtgat_s);
          (model_.fbbtbot) = (model_.fbbtbot_s);
          (model_.fbbtsti) = (model_.fbbtsti_s);
          (model_.fbbtgat) = (model_.fbbtgat_s);
          (model_.fstopbot) = (model_.fstopbot_s);
          (model_.fstopsti) = (model_.fstopsti_s);
          (model_.fstopgat) = (model_.fstopgat_s);
          (model_.VBRinvbot) = (model_.VBRinvbot_s);
          (model_.VBRinvsti) = (model_.VBRinvsti_s);
          (model_.VBRinvgat) = (model_.VBRinvgat_s);
          (model_.slopebot) = (model_.slopebot_s);
          (model_.slopesti) = (model_.slopesti_s);
          (model_.slopegat) = (model_.slopegat_s);
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (Vjun_s+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vjv = (2.0*((Vjun_s*vfmin_s)/(h3+h5)));
          if ((zflagbot_s>0.5))
          {
            if (((model_.one_minus_PBOT)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvbot))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvbot))),(model_.one_minus_PBOT));
            }
            qjunbot_s = (((model_.qprefbot)*(1-tmpv))+((model_.qpref2bot)*(Vjun_s-vjv)));
          }
          if ((zflagsti_s>0.5))
          {
            if (((model_.one_minus_PSTI)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvsti))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvsti))),(model_.one_minus_PSTI));
            }
            qjunsti_s = (((model_.qprefsti)*(1-tmpv))+((model_.qpref2sti)*(Vjun_s-vjv)));
          }
          if ((zflaggat_s>0.5))
          {
            if (((model_.one_minus_PGAT)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvgat))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvgat))),(model_.one_minus_PGAT));
            }
            qjungat_s = (((model_.qprefgat)*(1-tmpv))+((model_.qpref2gat)*(Vjun_s-vjv)));
          }
          (model_.CJORBOT_i) = (model_.CJORBOTD_i);
          (model_.CJORSTI_i) = (model_.CJORSTID_i);
          (model_.CJORGAT_i) = (model_.CJORGATD_i);
          (model_.VBIRBOT_i) = (model_.VBIRBOTD_i);
          (model_.VBIRSTI_i) = (model_.VBIRSTID_i);
          (model_.VBIRGAT_i) = (model_.VBIRGATD_i);
          (model_.PBOT_i) = (model_.PBOTD_i);
          (model_.PSTI_i) = (model_.PSTID_i);
          (model_.PGAT_i) = (model_.PGATD_i);
          (model_.PHIGBOT_i) = (model_.PHIGBOTD_i);
          (model_.PHIGSTI_i) = (model_.PHIGSTID_i);
          (model_.PHIGGAT_i) = (model_.PHIGGATD_i);
          (model_.IDSATRBOT_i) = (model_.IDSATRBOTD_i);
          (model_.IDSATRSTI_i) = (model_.IDSATRSTID_i);
          (model_.IDSATRGAT_i) = (model_.IDSATRGATD_i);
          (model_.CSRHBOT_i) = (model_.CSRHBOTD_i);
          (model_.CSRHSTI_i) = (model_.CSRHSTID_i);
          (model_.CSRHGAT_i) = (model_.CSRHGATD_i);
          (model_.XJUNSTI_i) = (model_.XJUNSTID_i);
          (model_.XJUNGAT_i) = (model_.XJUNGATD_i);
          (model_.CTATBOT_i) = (model_.CTATBOTD_i);
          (model_.CTATSTI_i) = (model_.CTATSTID_i);
          (model_.CTATGAT_i) = (model_.CTATGATD_i);
          (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTD_i);
          (model_.MEFFTATSTI_i) = (model_.MEFFTATSTID_i);
          (model_.MEFFTATGAT_i) = (model_.MEFFTATGATD_i);
          (model_.CBBTBOT_i) = (model_.CBBTBOTD_i);
          (model_.CBBTSTI_i) = (model_.CBBTSTID_i);
          (model_.CBBTGAT_i) = (model_.CBBTGATD_i);
          (model_.FBBTRBOT_i) = (model_.FBBTRBOTD_i);
          (model_.FBBTRSTI_i) = (model_.FBBTRSTID_i);
          (model_.FBBTRGAT_i) = (model_.FBBTRGATD_i);
          (model_.STFBBTBOT_i) = (model_.STFBBTBOTD_i);
          (model_.STFBBTSTI_i) = (model_.STFBBTSTID_i);
          (model_.STFBBTGAT_i) = (model_.STFBBTGATD_i);
          (model_.VBRBOT_i) = (model_.VBRBOTD_i);
          (model_.VBRSTI_i) = (model_.VBRSTID_i);
          (model_.VBRGAT_i) = (model_.VBRGATD_i);
          (model_.PBRBOT_i) = (model_.PBRBOTD_i);
          (model_.PBRSTI_i) = (model_.PBRSTID_i);
          (model_.PBRGAT_i) = (model_.PBRGATD_i);
          (model_.VJUNREF_i) = (model_.VJUNREFD_i);
          (model_.FJUNQ_i) = (model_.FJUNQD_i);
          (model_.phigrbot) = (model_.phigrbot_d);
          (model_.phigrsti) = (model_.phigrsti_d);
          (model_.phigrgat) = (model_.phigrgat_d);
          (model_.phigdbot) = (model_.phigdbot_d);
          (model_.phigdsti) = (model_.phigdsti_d);
          (model_.phigdgat) = (model_.phigdgat_d);
          (model_.ftdbot) = (model_.ftdbot_d);
          (model_.ftdsti) = (model_.ftdsti_d);
          (model_.ftdgat) = (model_.ftdgat_d);
          (model_.idsatbot) = (model_.idsatbot_d);
          (model_.idsatsti) = (model_.idsatsti_d);
          (model_.idsatgat) = (model_.idsatgat_d);
          (model_.ubibot) = (model_.ubibot_d);
          (model_.ubisti) = (model_.ubisti_d);
          (model_.ubigat) = (model_.ubigat_d);
          (model_.vbibot) = (model_.vbibot_d);
          (model_.vbisti) = (model_.vbisti_d);
          (model_.vbigat) = (model_.vbigat_d);
          (model_.vbiinvbot) = (model_.vbiinvbot_d);
          (model_.vbiinvsti) = (model_.vbiinvsti_d);
          (model_.vbiinvgat) = (model_.vbiinvgat_d);
          (model_.one_minus_PBOT) = (model_.one_minus_PBOT_d);
          (model_.one_minus_PSTI) = (model_.one_minus_PSTI_d);
          (model_.one_minus_PGAT) = (model_.one_minus_PGAT_d);
          (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_d);
          (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_d);
          (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_d);
          (model_.cjobot) = (model_.cjobot_d);
          (model_.cjosti) = (model_.cjosti_d);
          (model_.cjogat) = (model_.cjogat_d);
          (model_.qprefbot) = (model_.qprefbot_d);
          (model_.qprefsti) = (model_.qprefsti_d);
          (model_.qprefgat) = (model_.qprefgat_d);
          (model_.qpref2bot) = (model_.qpref2bot_d);
          (model_.qpref2sti) = (model_.qpref2sti_d);
          (model_.qpref2gat) = (model_.qpref2gat_d);
          (model_.wdepnulrbot) = (model_.wdepnulrbot_d);
          (model_.wdepnulrsti) = (model_.wdepnulrsti_d);
          (model_.wdepnulrgat) = (model_.wdepnulrgat_d);
          (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_d);
          (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_d);
          (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_d);
          (model_.VBIRBOTinv) = (model_.VBIRBOTinv_d);
          (model_.VBIRSTIinv) = (model_.VBIRSTIinv_d);
          (model_.VBIRGATinv) = (model_.VBIRGATinv_d);
          (model_.deltaEbot) = (model_.deltaEbot_d);
          (model_.deltaEsti) = (model_.deltaEsti_d);
          (model_.deltaEgat) = (model_.deltaEgat_d);
          (model_.atatbot) = (model_.atatbot_d);
          (model_.atatsti) = (model_.atatsti_d);
          (model_.atatgat) = (model_.atatgat_d);
          (model_.btatpartbot) = (model_.btatpartbot_d);
          (model_.btatpartsti) = (model_.btatpartsti_d);
          (model_.btatpartgat) = (model_.btatpartgat_d);
          (model_.fbbtbot) = (model_.fbbtbot_d);
          (model_.fbbtsti) = (model_.fbbtsti_d);
          (model_.fbbtgat) = (model_.fbbtgat_d);
          (model_.fbbtbot) = (model_.fbbtbot_d);
          (model_.fbbtsti) = (model_.fbbtsti_d);
          (model_.fbbtgat) = (model_.fbbtgat_d);
          (model_.fstopbot) = (model_.fstopbot_d);
          (model_.fstopsti) = (model_.fstopsti_d);
          (model_.fstopgat) = (model_.fstopgat_d);
          (model_.VBRinvbot) = (model_.VBRinvbot_d);
          (model_.VBRinvsti) = (model_.VBRinvsti_d);
          (model_.VBRinvgat) = (model_.VBRinvgat_d);
          (model_.slopebot) = (model_.slopebot_d);
          (model_.slopesti) = (model_.slopesti_d);
          (model_.slopegat) = (model_.slopegat_d);
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (Vjun_d+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vjv = (2.0*((Vjun_d*vfmin_d)/(h3+h5)));
          if ((zflagbot_d>0.5))
          {
            if (((model_.one_minus_PBOT)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvbot))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvbot))),(model_.one_minus_PBOT));
            }
            qjunbot_d = (((model_.qprefbot)*(1-tmpv))+((model_.qpref2bot)*(Vjun_d-vjv)));
          }
          if ((zflagsti_d>0.5))
          {
            if (((model_.one_minus_PSTI)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvsti))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvsti))),(model_.one_minus_PSTI));
            }
            qjunsti_d = (((model_.qprefsti)*(1-tmpv))+((model_.qpref2sti)*(Vjun_d-vjv)));
          }
          if ((zflaggat_d>0.5))
          {
            if (((model_.one_minus_PGAT)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvgat))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvgat))),(model_.one_minus_PGAT));
            }
            qjungat_d = (((model_.qprefgat)*(1-tmpv))+((model_.qpref2gat)*(Vjun_d-vjv)));
          }
        }
        // End block evaluateDynamic
      }
      else
      {
        (model_.CJORBOT_i) = (model_.CJORBOTS_i);
        (model_.CJORSTI_i) = (model_.CJORSTIS_i);
        (model_.CJORGAT_i) = (model_.CJORGATS_i);
        (model_.VBIRBOT_i) = (model_.VBIRBOTS_i);
        (model_.VBIRSTI_i) = (model_.VBIRSTIS_i);
        (model_.VBIRGAT_i) = (model_.VBIRGATS_i);
        (model_.PBOT_i) = (model_.PBOTS_i);
        (model_.PSTI_i) = (model_.PSTIS_i);
        (model_.PGAT_i) = (model_.PGATS_i);
        (model_.PHIGBOT_i) = (model_.PHIGBOTS_i);
        (model_.PHIGSTI_i) = (model_.PHIGSTIS_i);
        (model_.PHIGGAT_i) = (model_.PHIGGATS_i);
        (model_.IDSATRBOT_i) = (model_.IDSATRBOTS_i);
        (model_.IDSATRSTI_i) = (model_.IDSATRSTIS_i);
        (model_.IDSATRGAT_i) = (model_.IDSATRGATS_i);
        (model_.CSRHBOT_i) = (model_.CSRHBOTS_i);
        (model_.CSRHSTI_i) = (model_.CSRHSTIS_i);
        (model_.CSRHGAT_i) = (model_.CSRHGATS_i);
        (model_.XJUNSTI_i) = (model_.XJUNSTIS_i);
        (model_.XJUNGAT_i) = (model_.XJUNGATS_i);
        (model_.CTATBOT_i) = (model_.CTATBOTS_i);
        (model_.CTATSTI_i) = (model_.CTATSTIS_i);
        (model_.CTATGAT_i) = (model_.CTATGATS_i);
        (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTS_i);
        (model_.MEFFTATSTI_i) = (model_.MEFFTATSTIS_i);
        (model_.MEFFTATGAT_i) = (model_.MEFFTATGATS_i);
        (model_.CBBTBOT_i) = (model_.CBBTBOTS_i);
        (model_.CBBTSTI_i) = (model_.CBBTSTIS_i);
        (model_.CBBTGAT_i) = (model_.CBBTGATS_i);
        (model_.FBBTRBOT_i) = (model_.FBBTRBOTS_i);
        (model_.FBBTRSTI_i) = (model_.FBBTRSTIS_i);
        (model_.FBBTRGAT_i) = (model_.FBBTRGATS_i);
        (model_.STFBBTBOT_i) = (model_.STFBBTBOTS_i);
        (model_.STFBBTSTI_i) = (model_.STFBBTSTIS_i);
        (model_.STFBBTGAT_i) = (model_.STFBBTGATS_i);
        (model_.VBRBOT_i) = (model_.VBRBOTS_i);
        (model_.VBRSTI_i) = (model_.VBRSTIS_i);
        (model_.VBRGAT_i) = (model_.VBRGATS_i);
        (model_.PBRBOT_i) = (model_.PBRBOTS_i);
        (model_.PBRSTI_i) = (model_.PBRSTIS_i);
        (model_.PBRGAT_i) = (model_.PBRGATS_i);
        (model_.VJUNREF_i) = (model_.VJUNREFS_i);
        (model_.FJUNQ_i) = (model_.FJUNQS_i);
        (model_.phigrbot) = (model_.phigrbot_s);
        (model_.phigrsti) = (model_.phigrsti_s);
        (model_.phigrgat) = (model_.phigrgat_s);
        (model_.phigdbot) = (model_.phigdbot_s);
        (model_.phigdsti) = (model_.phigdsti_s);
        (model_.phigdgat) = (model_.phigdgat_s);
        (model_.ftdbot) = (model_.ftdbot_s);
        (model_.ftdsti) = (model_.ftdsti_s);
        (model_.ftdgat) = (model_.ftdgat_s);
        (model_.idsatbot) = (model_.idsatbot_s);
        (model_.idsatsti) = (model_.idsatsti_s);
        (model_.idsatgat) = (model_.idsatgat_s);
        (model_.ubibot) = (model_.ubibot_s);
        (model_.ubisti) = (model_.ubisti_s);
        (model_.ubigat) = (model_.ubigat_s);
        (model_.vbibot) = (model_.vbibot_s);
        (model_.vbisti) = (model_.vbisti_s);
        (model_.vbigat) = (model_.vbigat_s);
        (model_.vbiinvbot) = (model_.vbiinvbot_s);
        (model_.vbiinvsti) = (model_.vbiinvsti_s);
        (model_.vbiinvgat) = (model_.vbiinvgat_s);
        (model_.one_minus_PBOT) = (model_.one_minus_PBOT_s);
        (model_.one_minus_PSTI) = (model_.one_minus_PSTI_s);
        (model_.one_minus_PGAT) = (model_.one_minus_PGAT_s);
        (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_s);
        (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_s);
        (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_s);
        (model_.cjobot) = (model_.cjobot_s);
        (model_.cjosti) = (model_.cjosti_s);
        (model_.cjogat) = (model_.cjogat_s);
        (model_.qprefbot) = (model_.qprefbot_s);
        (model_.qprefsti) = (model_.qprefsti_s);
        (model_.qprefgat) = (model_.qprefgat_s);
        (model_.qpref2bot) = (model_.qpref2bot_s);
        (model_.qpref2sti) = (model_.qpref2sti_s);
        (model_.qpref2gat) = (model_.qpref2gat_s);
        (model_.wdepnulrbot) = (model_.wdepnulrbot_s);
        (model_.wdepnulrsti) = (model_.wdepnulrsti_s);
        (model_.wdepnulrgat) = (model_.wdepnulrgat_s);
        (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_s);
        (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_s);
        (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_s);
        (model_.VBIRBOTinv) = (model_.VBIRBOTinv_s);
        (model_.VBIRSTIinv) = (model_.VBIRSTIinv_s);
        (model_.VBIRGATinv) = (model_.VBIRGATinv_s);
        (model_.deltaEbot) = (model_.deltaEbot_s);
        (model_.deltaEsti) = (model_.deltaEsti_s);
        (model_.deltaEgat) = (model_.deltaEgat_s);
        (model_.atatbot) = (model_.atatbot_s);
        (model_.atatsti) = (model_.atatsti_s);
        (model_.atatgat) = (model_.atatgat_s);
        (model_.btatpartbot) = (model_.btatpartbot_s);
        (model_.btatpartsti) = (model_.btatpartsti_s);
        (model_.btatpartgat) = (model_.btatpartgat_s);
        (model_.fbbtbot) = (model_.fbbtbot_s);
        (model_.fbbtsti) = (model_.fbbtsti_s);
        (model_.fbbtgat) = (model_.fbbtgat_s);
        (model_.fbbtbot) = (model_.fbbtbot_s);
        (model_.fbbtsti) = (model_.fbbtsti_s);
        (model_.fbbtgat) = (model_.fbbtgat_s);
        (model_.fstopbot) = (model_.fstopbot_s);
        (model_.fstopsti) = (model_.fstopsti_s);
        (model_.fstopgat) = (model_.fstopgat_s);
        (model_.VBRinvbot) = (model_.VBRinvbot_s);
        (model_.VBRinvsti) = (model_.VBRinvsti_s);
        (model_.VBRinvgat) = (model_.VBRinvgat_s);
        (model_.slopebot) = (model_.slopebot_s);
        (model_.slopesti) = (model_.slopesti_s);
        (model_.slopegat) = (model_.slopegat_s);
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (Vjun_s+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((Vjun_s*vfmin_s)/(h3+h5)));
          if ((Vjun_s<VMAX_s))
          {
            if ((fabs((0.5*(Vjun_s*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(Vjun_s*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(Vjun_s*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(Vjun_s*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_s*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((Vjun_s-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((Vjun_s>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-Vjun_s)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((Vjun_s+vjlim)-sqrt((((Vjun_s-vjlim)*(Vjun_s-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((Vjun_s+vbbtlim_s)-sqrt((((Vjun_s-vbbtlim_s)*(Vjun_s-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((Vjun_s)-sqrt((((Vjun_s)*(Vjun_s))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot_s = 0;
          qjunbot_s = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot_s = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(Vjun_s-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((Vjun_s*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot_s = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti_s = 0;
          qjunsti_s = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti_s = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(Vjun_s-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((Vjun_s*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti_s = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat_s = 0;
          qjungat_s = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat_s = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(Vjun_s-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((Vjun_s*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat_s = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        ijun_s = (((ABSOURCE_i*ijunbot_s)+(LSSOURCE_i*ijunsti_s))+(LGSOURCE_i*ijungat_s));
        (model_.CJORBOT_i) = (model_.CJORBOTD_i);
        (model_.CJORSTI_i) = (model_.CJORSTID_i);
        (model_.CJORGAT_i) = (model_.CJORGATD_i);
        (model_.VBIRBOT_i) = (model_.VBIRBOTD_i);
        (model_.VBIRSTI_i) = (model_.VBIRSTID_i);
        (model_.VBIRGAT_i) = (model_.VBIRGATD_i);
        (model_.PBOT_i) = (model_.PBOTD_i);
        (model_.PSTI_i) = (model_.PSTID_i);
        (model_.PGAT_i) = (model_.PGATD_i);
        (model_.PHIGBOT_i) = (model_.PHIGBOTD_i);
        (model_.PHIGSTI_i) = (model_.PHIGSTID_i);
        (model_.PHIGGAT_i) = (model_.PHIGGATD_i);
        (model_.IDSATRBOT_i) = (model_.IDSATRBOTD_i);
        (model_.IDSATRSTI_i) = (model_.IDSATRSTID_i);
        (model_.IDSATRGAT_i) = (model_.IDSATRGATD_i);
        (model_.CSRHBOT_i) = (model_.CSRHBOTD_i);
        (model_.CSRHSTI_i) = (model_.CSRHSTID_i);
        (model_.CSRHGAT_i) = (model_.CSRHGATD_i);
        (model_.XJUNSTI_i) = (model_.XJUNSTID_i);
        (model_.XJUNGAT_i) = (model_.XJUNGATD_i);
        (model_.CTATBOT_i) = (model_.CTATBOTD_i);
        (model_.CTATSTI_i) = (model_.CTATSTID_i);
        (model_.CTATGAT_i) = (model_.CTATGATD_i);
        (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTD_i);
        (model_.MEFFTATSTI_i) = (model_.MEFFTATSTID_i);
        (model_.MEFFTATGAT_i) = (model_.MEFFTATGATD_i);
        (model_.CBBTBOT_i) = (model_.CBBTBOTD_i);
        (model_.CBBTSTI_i) = (model_.CBBTSTID_i);
        (model_.CBBTGAT_i) = (model_.CBBTGATD_i);
        (model_.FBBTRBOT_i) = (model_.FBBTRBOTD_i);
        (model_.FBBTRSTI_i) = (model_.FBBTRSTID_i);
        (model_.FBBTRGAT_i) = (model_.FBBTRGATD_i);
        (model_.STFBBTBOT_i) = (model_.STFBBTBOTD_i);
        (model_.STFBBTSTI_i) = (model_.STFBBTSTID_i);
        (model_.STFBBTGAT_i) = (model_.STFBBTGATD_i);
        (model_.VBRBOT_i) = (model_.VBRBOTD_i);
        (model_.VBRSTI_i) = (model_.VBRSTID_i);
        (model_.VBRGAT_i) = (model_.VBRGATD_i);
        (model_.PBRBOT_i) = (model_.PBRBOTD_i);
        (model_.PBRSTI_i) = (model_.PBRSTID_i);
        (model_.PBRGAT_i) = (model_.PBRGATD_i);
        (model_.VJUNREF_i) = (model_.VJUNREFD_i);
        (model_.FJUNQ_i) = (model_.FJUNQD_i);
        (model_.phigrbot) = (model_.phigrbot_d);
        (model_.phigrsti) = (model_.phigrsti_d);
        (model_.phigrgat) = (model_.phigrgat_d);
        (model_.phigdbot) = (model_.phigdbot_d);
        (model_.phigdsti) = (model_.phigdsti_d);
        (model_.phigdgat) = (model_.phigdgat_d);
        (model_.ftdbot) = (model_.ftdbot_d);
        (model_.ftdsti) = (model_.ftdsti_d);
        (model_.ftdgat) = (model_.ftdgat_d);
        (model_.idsatbot) = (model_.idsatbot_d);
        (model_.idsatsti) = (model_.idsatsti_d);
        (model_.idsatgat) = (model_.idsatgat_d);
        (model_.ubibot) = (model_.ubibot_d);
        (model_.ubisti) = (model_.ubisti_d);
        (model_.ubigat) = (model_.ubigat_d);
        (model_.vbibot) = (model_.vbibot_d);
        (model_.vbisti) = (model_.vbisti_d);
        (model_.vbigat) = (model_.vbigat_d);
        (model_.vbiinvbot) = (model_.vbiinvbot_d);
        (model_.vbiinvsti) = (model_.vbiinvsti_d);
        (model_.vbiinvgat) = (model_.vbiinvgat_d);
        (model_.one_minus_PBOT) = (model_.one_minus_PBOT_d);
        (model_.one_minus_PSTI) = (model_.one_minus_PSTI_d);
        (model_.one_minus_PGAT) = (model_.one_minus_PGAT_d);
        (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_d);
        (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_d);
        (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_d);
        (model_.cjobot) = (model_.cjobot_d);
        (model_.cjosti) = (model_.cjosti_d);
        (model_.cjogat) = (model_.cjogat_d);
        (model_.qprefbot) = (model_.qprefbot_d);
        (model_.qprefsti) = (model_.qprefsti_d);
        (model_.qprefgat) = (model_.qprefgat_d);
        (model_.qpref2bot) = (model_.qpref2bot_d);
        (model_.qpref2sti) = (model_.qpref2sti_d);
        (model_.qpref2gat) = (model_.qpref2gat_d);
        (model_.wdepnulrbot) = (model_.wdepnulrbot_d);
        (model_.wdepnulrsti) = (model_.wdepnulrsti_d);
        (model_.wdepnulrgat) = (model_.wdepnulrgat_d);
        (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_d);
        (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_d);
        (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_d);
        (model_.VBIRBOTinv) = (model_.VBIRBOTinv_d);
        (model_.VBIRSTIinv) = (model_.VBIRSTIinv_d);
        (model_.VBIRGATinv) = (model_.VBIRGATinv_d);
        (model_.deltaEbot) = (model_.deltaEbot_d);
        (model_.deltaEsti) = (model_.deltaEsti_d);
        (model_.deltaEgat) = (model_.deltaEgat_d);
        (model_.atatbot) = (model_.atatbot_d);
        (model_.atatsti) = (model_.atatsti_d);
        (model_.atatgat) = (model_.atatgat_d);
        (model_.btatpartbot) = (model_.btatpartbot_d);
        (model_.btatpartsti) = (model_.btatpartsti_d);
        (model_.btatpartgat) = (model_.btatpartgat_d);
        (model_.fbbtbot) = (model_.fbbtbot_d);
        (model_.fbbtsti) = (model_.fbbtsti_d);
        (model_.fbbtgat) = (model_.fbbtgat_d);
        (model_.fbbtbot) = (model_.fbbtbot_d);
        (model_.fbbtsti) = (model_.fbbtsti_d);
        (model_.fbbtgat) = (model_.fbbtgat_d);
        (model_.fstopbot) = (model_.fstopbot_d);
        (model_.fstopsti) = (model_.fstopsti_d);
        (model_.fstopgat) = (model_.fstopgat_d);
        (model_.VBRinvbot) = (model_.VBRinvbot_d);
        (model_.VBRinvsti) = (model_.VBRinvsti_d);
        (model_.VBRinvgat) = (model_.VBRinvgat_d);
        (model_.slopebot) = (model_.slopebot_d);
        (model_.slopesti) = (model_.slopesti_d);
        (model_.slopegat) = (model_.slopegat_d);
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (Vjun_d+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((Vjun_d*vfmin_d)/(h3+h5)));
          if ((Vjun_d<VMAX_d))
          {
            if ((fabs((0.5*(Vjun_d*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(Vjun_d*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(Vjun_d*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(Vjun_d*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_d*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((Vjun_d-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((Vjun_d>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-Vjun_d)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((Vjun_d+vjlim)-sqrt((((Vjun_d-vjlim)*(Vjun_d-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((Vjun_d+vbbtlim_d)-sqrt((((Vjun_d-vbbtlim_d)*(Vjun_d-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((Vjun_d)-sqrt((((Vjun_d)*(Vjun_d))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot_d = 0;
          qjunbot_d = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot_d = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(Vjun_d-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((Vjun_d*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot_d = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti_d = 0;
          qjunsti_d = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti_d = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(Vjun_d-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((Vjun_d*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti_d = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat_d = 0;
          qjungat_d = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat_d = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(Vjun_d-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((Vjun_d*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat_d = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        ijun_d = (((ABDRAIN_i*ijunbot_d)+(LSDRAIN_i*ijunsti_d))+(LGDRAIN_i*ijungat_d));
      }
    }
  }
  // End block evaluateStaticDynamic
  //Begin block loadStatic
  {
    Idse = (MULT_i*Ids);
    Igbe = (MULT_i*Igb);
    Igcse = (MULT_i*Igcs);
    Igcde = (MULT_i*Igcd);
    Igsove = (MULT_i*Igsov);
    Igdove = (MULT_i*Igdov);
    Igidle = (MULT_i*Igidl);
    Igisle = (MULT_i*Igisl);
    Iimpacte = (MULT_i*Iimpact);
    ijun_s = (MULT_i*ijun_s);
    ijun_d = (MULT_i*ijun_d);
    if ((sigVds>0))
    {
      // I(DI,BP) <+ ((CHNL_TYPE*Iimpacte))
      staticContributions[admsNodeID_DI] += ((model_.CHNL_TYPE)*Iimpacte);
      staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Iimpacte);
      // I(DI,SI) <+ ((CHNL_TYPE*Idse))
      staticContributions[admsNodeID_DI] += ((model_.CHNL_TYPE)*Idse);
      staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*Idse);
      // I(GP,SI) <+ ((CHNL_TYPE*Igcse))
      staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igcse);
      staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*Igcse);
      // I(GP,DI) <+ ((CHNL_TYPE*Igcde))
      staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igcde);
      staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*Igcde);
    }
    else
    {
      // I(SI,BP) <+ ((CHNL_TYPE*Iimpacte))
      staticContributions[admsNodeID_SI] += ((model_.CHNL_TYPE)*Iimpacte);
      staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Iimpacte);
      // I(SI,DI) <+ ((CHNL_TYPE*Idse))
      staticContributions[admsNodeID_SI] += ((model_.CHNL_TYPE)*Idse);
      staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*Idse);
      // I(GP,DI) <+ ((CHNL_TYPE*Igcse))
      staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igcse);
      staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*Igcse);
      // I(GP,SI) <+ ((CHNL_TYPE*Igcde))
      staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igcde);
      staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*Igcde);
    }
    // I(GP,BP) <+ ((CHNL_TYPE*Igbe))
    staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igbe);
    staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Igbe);
    // I(GP,SI) <+ ((CHNL_TYPE*Igsove))
    staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igsove);
    staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*Igsove);
    // I(GP,DI) <+ ((CHNL_TYPE*Igdove))
    staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igdove);
    staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*Igdove);
    // I(SI,BP) <+ ((CHNL_TYPE*Igisle))
    staticContributions[admsNodeID_SI] += ((model_.CHNL_TYPE)*Igisle);
    staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Igisle);
    // I(DI,BP) <+ ((CHNL_TYPE*Igidle))
    staticContributions[admsNodeID_DI] += ((model_.CHNL_TYPE)*Igidle);
    staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Igidle);
    // I(BS,SI) <+ ((CHNL_TYPE*ijun_s))
    staticContributions[admsNodeID_BS] += ((model_.CHNL_TYPE)*ijun_s);
    staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*ijun_s);
    // I(BD,DI) <+ ((CHNL_TYPE*ijun_d))
    staticContributions[admsNodeID_BD] += ((model_.CHNL_TYPE)*ijun_d);
    staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*ijun_d);
    rgatenoise = (((model_.nt0)*MULT_i)*ggate);
    rsourcenoise = (((model_.nt0)*MULT_i)*gsource);
    rdrainnoise = (((model_.nt0)*MULT_i)*gdrain);
    rbulknoise = (((model_.nt0)*MULT_i)*gbulk);
    rjunsnoise = (((model_.nt0)*MULT_i)*gjuns);
    rjundnoise = (((model_.nt0)*MULT_i)*gjund);
    rwellnoise = (((model_.nt0)*MULT_i)*gwell);
    if ((RG_i>0.0))
    {
      // I(G,GP) <+ (((MULT_i*ggate)*V(G,GP)))
      staticContributions[admsNodeID_G] += ((MULT_i*ggate)*(probeVars[admsProbeID_V_G_GP]));
      staticContributions[admsNodeID_GP] -= ((MULT_i*ggate)*(probeVars[admsProbeID_V_G_GP]));
      // I(G,GP) <+ (white_noise(rgatenoise,"rgate"))
    }
    else
    {
      // V(G,GP) <+ (0.0)
      // do nothing at all
    }
    if ((RSE_i>0.0))
    {
      // I(S,SI) <+ (((MULT_i*gsource)*V(S,SI)))
      staticContributions[admsNodeID_S] += ((MULT_i*gsource)*(probeVars[admsProbeID_V_S_SI]));
      staticContributions[admsNodeID_SI] -= ((MULT_i*gsource)*(probeVars[admsProbeID_V_S_SI]));
      // I(S,SI) <+ (white_noise(rsourcenoise,"rsource"))
    }
    else
    {
      // V(S,SI) <+ (0.0)
      // do nothing at all
    }
    if ((RDE_i>0.0))
    {
      // I(D,DI) <+ (((MULT_i*gdrain)*V(D,DI)))
      staticContributions[admsNodeID_D] += ((MULT_i*gdrain)*(probeVars[admsProbeID_V_D_DI]));
      staticContributions[admsNodeID_DI] -= ((MULT_i*gdrain)*(probeVars[admsProbeID_V_D_DI]));
      // I(D,DI) <+ (white_noise(rdrainnoise,"rdrain"))
    }
    else
    {
      // V(D,DI) <+ (0.0)
      // do nothing at all
    }
    if ((RBULK_i>0.0))
    {
      // I(BP,BI) <+ (((MULT_i*gbulk)*V(BP,BI)))
      staticContributions[admsNodeID_BP] += ((MULT_i*gbulk)*(probeVars[admsProbeID_V_BP_BI]));
      staticContributions[admsNodeID_BI] -= ((MULT_i*gbulk)*(probeVars[admsProbeID_V_BP_BI]));
      // I(BP,BI) <+ (white_noise(rbulknoise,"rbulk"))
    }
    else
    {
      // V(BP,BI) <+ (0.0)
      // do nothing at all
    }
    if ((RJUNS_i>0.0))
    {
      // I(BS,BI) <+ (((MULT_i*gjuns)*V(BS,BI)))
      staticContributions[admsNodeID_BS] += ((MULT_i*gjuns)*(probeVars[admsProbeID_V_BS_BI]));
      staticContributions[admsNodeID_BI] -= ((MULT_i*gjuns)*(probeVars[admsProbeID_V_BS_BI]));
      // I(BS,BI) <+ (white_noise(rjunsnoise,"rjuns"))
    }
    else
    {
      // V(BS,BI) <+ (0.0)
      // do nothing at all
    }
    if ((RJUND_i>0.0))
    {
      // I(BD,BI) <+ (((MULT_i*gjund)*V(BD,BI)))
      staticContributions[admsNodeID_BD] += ((MULT_i*gjund)*(probeVars[admsProbeID_V_BD_BI]));
      staticContributions[admsNodeID_BI] -= ((MULT_i*gjund)*(probeVars[admsProbeID_V_BD_BI]));
      // I(BD,BI) <+ (white_noise(rjundnoise,"rjund"))
    }
    else
    {
      // V(BD,BI) <+ (0.0)
      // do nothing at all
    }
    if ((RWELL_i>0.0))
    {
      // I(B,BI) <+ (((MULT_i*gwell)*V(B,BI)))
      staticContributions[admsNodeID_B] += ((MULT_i*gwell)*(probeVars[admsProbeID_V_B_BI]));
      staticContributions[admsNodeID_BI] -= ((MULT_i*gwell)*(probeVars[admsProbeID_V_B_BI]));
      // I(B,BI) <+ (white_noise(rwellnoise,"rwell"))
    }
    else
    {
      // V(B,BI) <+ (0.0)
      // do nothing at all
    }
    // I(DI,SI) <+ ((1E-15*V(DI,SI)))
    staticContributions[admsNodeID_DI] += (1E-15*(probeVars[admsProbeID_V_DI_SI]));
    staticContributions[admsNodeID_SI] -= (1E-15*(probeVars[admsProbeID_V_DI_SI]));
  }
  // End block loadStatic
  //Begin block loadDynamic
  {
    Qg = (MULT_i*Qg);
    Qb = (MULT_i*Qb);
    Qd = (MULT_i*Qd);
    Qs = (-((Qg+Qb)+Qd));
    Qfgs = (MULT_i*(Qfgs+Qgs_ov));
    Qfgd = (MULT_i*(Qfgd+Qgd_ov));
    Qgb_ov = (MULT_i*Qgb_ov);
    qjun_s = (MULT_i*(((ABSOURCE_i*qjunbot_s)+(LSSOURCE_i*qjunsti_s))+(LGSOURCE_i*qjungat_s)));
    qjun_d = (MULT_i*(((ABDRAIN_i*qjunbot_d)+(LSDRAIN_i*qjunsti_d))+(LGDRAIN_i*qjungat_d)));
    if ((sigVds<0))
    {
      temp = Qd;
      Qd = Qs;
      Qs = temp;
    }
    // I(GP,SI) <+ (ddt((CHNL_TYPE*Qg)))
    dynamicContributions[admsNodeID_GP] += (((model_.CHNL_TYPE)*Qg));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*Qg));
    // I(BP,SI) <+ (ddt((CHNL_TYPE*Qb)))
    dynamicContributions[admsNodeID_BP] += (((model_.CHNL_TYPE)*Qb));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*Qb));
    // I(DI,SI) <+ (ddt((CHNL_TYPE*Qd)))
    dynamicContributions[admsNodeID_DI] += (((model_.CHNL_TYPE)*Qd));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*Qd));
    // I(GP,SI) <+ (ddt((CHNL_TYPE*Qfgs)))
    dynamicContributions[admsNodeID_GP] += (((model_.CHNL_TYPE)*Qfgs));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*Qfgs));
    // I(GP,DI) <+ (ddt((CHNL_TYPE*Qfgd)))
    dynamicContributions[admsNodeID_GP] += (((model_.CHNL_TYPE)*Qfgd));
    dynamicContributions[admsNodeID_DI] -= (((model_.CHNL_TYPE)*Qfgd));
    // I(GP,BP) <+ (ddt((CHNL_TYPE*Qgb_ov)))
    dynamicContributions[admsNodeID_GP] += (((model_.CHNL_TYPE)*Qgb_ov));
    dynamicContributions[admsNodeID_BP] -= (((model_.CHNL_TYPE)*Qgb_ov));
    // I(BS,SI) <+ (ddt((CHNL_TYPE*qjun_s)))
    dynamicContributions[admsNodeID_BS] += (((model_.CHNL_TYPE)*qjun_s));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*qjun_s));
    // I(BD,DI) <+ (ddt((CHNL_TYPE*qjun_d)))
    dynamicContributions[admsNodeID_BD] += (((model_.CHNL_TYPE)*qjun_d));
    dynamicContributions[admsNodeID_DI] -= (((model_.CHNL_TYPE)*qjun_d));
  }
  // End block loadDynamic


  // -- endcode converted from analog/code block
#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << " probeVars[admsProbeID_V_DI_BD] =  "
                 <<probeVars[admsProbeID_V_DI_BD].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_SI_BS] =  "
                 <<probeVars[admsProbeID_V_SI_BS].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_SI_BP] =  "
                 <<probeVars[admsProbeID_V_SI_BP].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_DI_SI] =  "
                 <<probeVars[admsProbeID_V_DI_SI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_GP_SI] =  "
                 <<probeVars[admsProbeID_V_GP_SI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_B_BI] =  "
                 <<probeVars[admsProbeID_V_B_BI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_BP_BI] =  "
                 <<probeVars[admsProbeID_V_BP_BI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_BD_BI] =  "
                 <<probeVars[admsProbeID_V_BD_BI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_BS_BI] =  "
                 <<probeVars[admsProbeID_V_BS_BI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_D_DI] =  "
                 <<probeVars[admsProbeID_V_D_DI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_S_SI] =  "
                 <<probeVars[admsProbeID_V_S_SI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_G_GP] =  "
                 <<probeVars[admsProbeID_V_G_GP].val() << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_D] =  "
                 <<staticContributions[admsNodeID_D].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_D] =  "
                 <<dynamicContributions[admsNodeID_D].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_G] =  "
                 <<staticContributions[admsNodeID_G].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_G] =  "
                 <<dynamicContributions[admsNodeID_G].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_S] =  "
                 <<staticContributions[admsNodeID_S].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_S] =  "
                 <<dynamicContributions[admsNodeID_S].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_B] =  "
                 <<staticContributions[admsNodeID_B].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_B] =  "
                 <<dynamicContributions[admsNodeID_B].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_GP] =  "
                 <<staticContributions[admsNodeID_GP].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_GP] =  "
                 <<dynamicContributions[admsNodeID_GP].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_SI] =  "
                 <<staticContributions[admsNodeID_SI].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_SI] =  "
                 <<dynamicContributions[admsNodeID_SI].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_DI] =  "
                 <<staticContributions[admsNodeID_DI].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_DI] =  "
                 <<dynamicContributions[admsNodeID_DI].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_BI] =  "
                 <<staticContributions[admsNodeID_BI].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_BI] =  "
                 <<dynamicContributions[admsNodeID_BI].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_BP] =  "
                 <<staticContributions[admsNodeID_BP].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_BP] =  "
                 <<dynamicContributions[admsNodeID_BP].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_BS] =  "
                 <<staticContributions[admsNodeID_BS].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_BS] =  "
                 <<dynamicContributions[admsNodeID_BS].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_BD] =  "
                 <<staticContributions[admsNodeID_BD].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_BD] =  "
                 <<dynamicContributions[admsNodeID_BD].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_G_GP) << std::endl;

    if (!origFlag)
      Xyce::dout() << "This step was limited by this device." << std::endl;
  }
#endif // Xyce_DEBUG_DEVICE
  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdFdx
// Purpose       :
// Special Notes : Load the dFdx ("static jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdFdx()
{
  bool bsuccess = true;
  N_LAS_Matrix * dFdxMatPtr = extData.dFdxMatrixPtr;

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << subsection_divider << std::endl;
    Xyce::dout() << "ADMSPSP103VA::Instance::loadDAEdFdx (" << getName() << "):" << std::endl;
  }
#endif
  (*f_DI_Equ_SI_Node_Ptr) +=  +staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) -staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_SI_Node_Ptr) += " << +staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) -staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*f_DI_Equ_BP_Node_Ptr) +=  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_BP_Node_Ptr) += " << -staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*f_BP_Equ_SI_Node_Ptr) +=  -staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BP_Equ_SI_Node_Ptr) += " << -staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*f_BP_Equ_BP_Node_Ptr) +=  +staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) -staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BP_Equ_BP_Node_Ptr) += " << +staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) -staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*f_DI_Equ_GP_Node_Ptr) +=  +staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_GP_Node_Ptr) += " << +staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
#endif
  (*f_BP_Equ_GP_Node_Ptr) +=  +staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BP_Equ_GP_Node_Ptr) += " << +staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
#endif
  (*f_DI_Equ_DI_Node_Ptr) +=  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_DI_Node_Ptr) += " << -staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
#endif
  (*f_BP_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BP_Equ_DI_Node_Ptr) += " << +staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
#endif
  (*f_SI_Equ_SI_Node_Ptr) +=  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) -staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_SI_Node_Ptr) += " << -staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) -staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*f_SI_Equ_BP_Node_Ptr) +=  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_BP_Node_Ptr) += " << -staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*f_SI_Equ_GP_Node_Ptr) +=  +staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_GP_Node_Ptr) += " << +staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
#endif
  (*f_SI_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_DI_Node_Ptr) += " << +staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
#endif
  (*f_GP_Equ_SI_Node_Ptr) +=  -staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) -staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) +staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_GP_Equ_SI_Node_Ptr) += " << -staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) -staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) +staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*f_GP_Equ_BP_Node_Ptr) +=  -staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_GP_Equ_BP_Node_Ptr) += " << -staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*f_GP_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_GP_Equ_DI_Node_Ptr) += " << +staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
#endif
  (*f_GP_Equ_GP_Node_Ptr) +=  -staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) +staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_GP_Equ_GP_Node_Ptr) += " << -staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) +staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
#endif
  (*f_BS_Equ_SI_Node_Ptr) +=  +staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BS_Equ_SI_Node_Ptr) += " << +staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
#endif
  (*f_BS_Equ_BS_Node_Ptr) +=  +staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) -staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BS_Equ_BS_Node_Ptr) += " << +staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) -staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
#endif
  (*f_SI_Equ_BS_Node_Ptr) +=  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_BS_Node_Ptr) += " << -staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
#endif
  (*f_BS_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BS_Equ_DI_Node_Ptr) += " << +staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
#endif
  (*f_BS_Equ_BD_Node_Ptr) +=  -staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BS_Equ_BD_Node_Ptr) += " << -staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
#endif
  (*f_SI_Equ_BD_Node_Ptr) +=  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_BD_Node_Ptr) += " << -staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
#endif
  (*f_BD_Equ_SI_Node_Ptr) +=  +staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BD_Equ_SI_Node_Ptr) += " << +staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
#endif
  (*f_BD_Equ_BS_Node_Ptr) +=  -staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BD_Equ_BS_Node_Ptr) += " << -staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
#endif
  (*f_DI_Equ_BS_Node_Ptr) +=  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_BS_Node_Ptr) += " << -staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
#endif
  (*f_BD_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BD_Equ_DI_Node_Ptr) += " << +staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
#endif
  (*f_BD_Equ_BD_Node_Ptr) +=  +staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) -staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BD_Equ_BD_Node_Ptr) += " << +staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) -staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
#endif
  (*f_DI_Equ_BD_Node_Ptr) +=  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_BD_Node_Ptr) += " << -staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
#endif
  (*f_G_Equ_G_Node_Ptr) +=  +staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_G_Equ_G_Node_Ptr) += " << +staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP)<< std::endl;
  }
#endif
  (*f_G_Equ_GP_Node_Ptr) +=  -staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_G_Equ_GP_Node_Ptr) += " << -staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP)<< std::endl;
  }
#endif
  (*f_GP_Equ_G_Node_Ptr) +=  +staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_GP_Equ_G_Node_Ptr) += " << +staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP)<< std::endl;
  }
#endif
  (*f_S_Equ_S_Node_Ptr) +=  +staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_S_Equ_S_Node_Ptr) += " << +staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI)<< std::endl;
  }
#endif
  (*f_S_Equ_SI_Node_Ptr) +=  -staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_S_Equ_SI_Node_Ptr) += " << -staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI)<< std::endl;
  }
#endif
  (*f_SI_Equ_S_Node_Ptr) +=  +staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_S_Node_Ptr) += " << +staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI)<< std::endl;
  }
#endif
  (*f_D_Equ_D_Node_Ptr) +=  +staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_D_Equ_D_Node_Ptr) += " << +staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI)<< std::endl;
  }
#endif
  (*f_D_Equ_DI_Node_Ptr) +=  -staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_D_Equ_DI_Node_Ptr) += " << -staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI)<< std::endl;
  }
#endif
  (*f_DI_Equ_D_Node_Ptr) +=  +staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_D_Node_Ptr) += " << +staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI)<< std::endl;
  }
#endif
  (*f_BP_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BP_Equ_BI_Node_Ptr) += " << -staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI)<< std::endl;
  }
#endif
  (*f_BI_Equ_BP_Node_Ptr) +=  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BI_Equ_BP_Node_Ptr) += " << +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI)<< std::endl;
  }
#endif
  (*f_BI_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BI_Equ_BI_Node_Ptr) += " << -staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI)<< std::endl;
  }
#endif
  (*f_BS_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BS_Equ_BI_Node_Ptr) += " << -staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI)<< std::endl;
  }
#endif
  (*f_BI_Equ_BS_Node_Ptr) +=  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BI_Equ_BS_Node_Ptr) += " << +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI)<< std::endl;
  }
#endif
  (*f_BD_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BD_Equ_BI_Node_Ptr) += " << -staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI)<< std::endl;
  }
#endif
  (*f_BI_Equ_BD_Node_Ptr) +=  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BI_Equ_BD_Node_Ptr) += " << +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI)<< std::endl;
  }
#endif
  (*f_B_Equ_B_Node_Ptr) +=  +staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_B_Equ_B_Node_Ptr) += " << +staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI)<< std::endl;
  }
#endif
  (*f_B_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_B_Equ_BI_Node_Ptr) += " << -staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI)<< std::endl;
  }
#endif
  (*f_BI_Equ_B_Node_Ptr) +=  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BI_Equ_B_Node_Ptr) += " << +staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI)<< std::endl;
  }
#endif


  return bsuccess;
}


//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdQdx
// Purpose       :
// Special Notes : Load the dQdx ("dynamic jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdQdx()
{
  bool bsuccess = true;
  N_LAS_Matrix * dQdxMatPtr = extData.dQdxMatrixPtr;

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << subsection_divider << std::endl;
    Xyce::dout() << "ADMSPSP103VA::Instance::loadDAEdQdx (" << getName() << "):" << std::endl;
  }
#endif
  (*q_DI_Equ_SI_Node_Ptr) +=  +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_DI_Equ_SI_Node_Ptr) += " << +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*q_DI_Equ_BP_Node_Ptr) +=  -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_DI_Equ_BP_Node_Ptr) += " << -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*q_BP_Equ_SI_Node_Ptr) +=  -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BP_Equ_SI_Node_Ptr) += " << -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*q_BP_Equ_BP_Node_Ptr) +=  -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BP_Equ_BP_Node_Ptr) += " << -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*q_DI_Equ_GP_Node_Ptr) +=  +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_DI_Equ_GP_Node_Ptr) += " << +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
#endif
  (*q_BP_Equ_GP_Node_Ptr) +=  +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BP_Equ_GP_Node_Ptr) += " << +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
#endif
  (*q_DI_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_DI_Equ_DI_Node_Ptr) += " << +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
#endif
  (*q_BP_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BP_Equ_DI_Node_Ptr) += " << +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
#endif
  (*q_SI_Equ_SI_Node_Ptr) +=  +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_SI_Equ_SI_Node_Ptr) += " << +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*q_SI_Equ_BP_Node_Ptr) +=  -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_SI_Equ_BP_Node_Ptr) += " << -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*q_SI_Equ_GP_Node_Ptr) +=  +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_SI_Equ_GP_Node_Ptr) += " << +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
#endif
  (*q_SI_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_SI_Equ_DI_Node_Ptr) += " << +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
#endif
  (*q_GP_Equ_SI_Node_Ptr) +=  -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_GP_Equ_SI_Node_Ptr) += " << -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*q_GP_Equ_BP_Node_Ptr) +=  -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_GP_Equ_BP_Node_Ptr) += " << -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
#endif
  (*q_GP_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_GP_Equ_DI_Node_Ptr) += " << +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
#endif
  (*q_GP_Equ_GP_Node_Ptr) +=  +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_GP_Equ_GP_Node_Ptr) += " << +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
#endif
  (*q_BS_Equ_SI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BS_Equ_SI_Node_Ptr) += " << +dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
#endif
  (*q_BS_Equ_BS_Node_Ptr) +=  -dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BS_Equ_BS_Node_Ptr) += " << -dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
#endif
  (*q_SI_Equ_BS_Node_Ptr) +=  -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_SI_Equ_BS_Node_Ptr) += " << -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
#endif
  (*q_BS_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BS_Equ_DI_Node_Ptr) += " << +dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
#endif
  (*q_BS_Equ_BD_Node_Ptr) +=  -dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BS_Equ_BD_Node_Ptr) += " << -dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
#endif
  (*q_SI_Equ_BD_Node_Ptr) +=  -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_SI_Equ_BD_Node_Ptr) += " << -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
#endif
  (*q_BD_Equ_SI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BD_Equ_SI_Node_Ptr) += " << +dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
#endif
  (*q_BD_Equ_BS_Node_Ptr) +=  -dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BD_Equ_BS_Node_Ptr) += " << -dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
#endif
  (*q_DI_Equ_BS_Node_Ptr) +=  -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_DI_Equ_BS_Node_Ptr) += " << -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
#endif
  (*q_BD_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BD_Equ_DI_Node_Ptr) += " << +dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
#endif
  (*q_BD_Equ_BD_Node_Ptr) +=  -dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BD_Equ_BD_Node_Ptr) += " << -dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
#endif
  (*q_DI_Equ_BD_Node_Ptr) +=  -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_DI_Equ_BD_Node_Ptr) += " << -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
#endif


  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateTemperature
// Purpose       : Set temperature and update any parameters that depend on it
// Special Notes : In Xyce ADMS, we'll simply copy the temperature, which is
//                 in Kelvin, to our "admsTemperature" variable, which needs
//                 to be in Celsius.
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateTemperature(const double & temperatureTemp)
{

  admsTemperature = temperatureTemp;
  adms_vt_nom = adms_vt(temperatureTemp);

  return true;
}

// Class Model
//-----------------------------------------------------------------------------
// Function      : Model::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Model::processParams()
{

  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

  //    Parameter TYPE : [ (-1.0), 1.0 ]
  if ( (!((TYPE >=(-1.0) && TYPE <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TYPE value " << TYPE << " out of range [ (-1.0), 1.0 ]";
  }

  //    Parameter TR : [ (-273.0),  (+inf) [
  if ( (!((TR >=(-273.0)))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TR value " << TR << " out of range [ (-273.0),  (+inf) [";
  }

  //    Parameter SWGEO : [ 0.0, 2.0 ]
  if ( (!((SWGEO >=0.0 && SWGEO <=2.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWGEO value " << SWGEO << " out of range [ 0.0, 2.0 ]";
  }

  //    Parameter SWIGATE : [ 0.0, 1.0 ]
  if ( (!((SWIGATE >=0.0 && SWIGATE <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWIGATE value " << SWIGATE << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter SWIMPACT : [ 0.0, 1.0 ]
  if ( (!((SWIMPACT >=0.0 && SWIMPACT <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWIMPACT value " << SWIMPACT << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter SWGIDL : [ 0.0, 1.0 ]
  if ( (!((SWGIDL >=0.0 && SWGIDL <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWGIDL value " << SWGIDL << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter SWJUNCAP : [ 0.0, 3.0 ]
  if ( (!((SWJUNCAP >=0.0 && SWJUNCAP <=3.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWJUNCAP value " << SWJUNCAP << " out of range [ 0.0, 3.0 ]";
  }

  //    Parameter SWNUD : [ 0.0, 2.0 ]
  if ( (!((SWNUD >=0.0 && SWNUD <=2.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWNUD value " << SWNUD << " out of range [ 0.0, 2.0 ]";
  }

  //    Parameter SWDELVTAC : [ 0.0, 1.0 ]
  if ( (!((SWDELVTAC >=0.0 && SWDELVTAC <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWDELVTAC value " << SWDELVTAC << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter QMC : [ 0.0,  (+inf) [
  if ( (!((QMC >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter QMC value " << QMC << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter TOX : [ 1e-10,  (+inf) [
  if ( (!((TOX >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TOX value " << TOX << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter EPSROX : [ 1.0,  (+inf) [
  if ( (!((EPSROX >=1.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter EPSROX value " << EPSROX << " out of range [ 1.0,  (+inf) [";
  }

  //    Parameter NEFF : [ 1e20, 1e26 ]
  if ( (!((NEFF >=1e20 && NEFF <=1e26 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NEFF value " << NEFF << " out of range [ 1e20, 1e26 ]";
  }

  //    Parameter FACNEFFAC : [ 0.0,  (+inf) [
  if ( (!((FACNEFFAC >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter FACNEFFAC value " << FACNEFFAC << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter GFACNUD : [ 0.01,  (+inf) [
  if ( (!((GFACNUD >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter GFACNUD value " << GFACNUD << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter VSBNUD : [ 0.0,  (+inf) [
  if ( (!((VSBNUD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VSBNUD value " << VSBNUD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter DVSBNUD : [ 0.1,  (+inf) [
  if ( (!((DVSBNUD >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter DVSBNUD value " << DVSBNUD << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter NSLP : [ 1e-3,  (+inf) [
  if ( (!((NSLP >=1e-3))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NSLP value " << NSLP << " out of range [ 1e-3,  (+inf) [";
  }

  //    Parameter DNSUB : [ 0.0, 1.0 ]
  if ( (!((DNSUB >=0.0 && DNSUB <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter DNSUB value " << DNSUB << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter NP : [ 0.0,  (+inf) [
  if ( (!((NP >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NP value " << NP << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CT : [ 0.0,  (+inf) [
  if ( (!((CT >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CT value " << CT << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter TOXOV : [ 1e-10,  (+inf) [
  if ( (!((TOXOV >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TOXOV value " << TOXOV << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter TOXOVD : [ 1e-10,  (+inf) [
  if ( (!((TOXOVD >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TOXOVD value " << TOXOVD << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter NOV : [ 1e20, 1e27 ]
  if ( (!((NOV >=1e20 && NOV <=1e27 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NOV value " << NOV << " out of range [ 1e20, 1e27 ]";
  }

  //    Parameter NOVD : [ 1e20, 1e27 ]
  if ( (!((NOVD >=1e20 && NOVD <=1e27 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NOVD value " << NOVD << " out of range [ 1e20, 1e27 ]";
  }

  //    Parameter CF : [ 0.0,  (+inf) [
  if ( (!((CF >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CF value " << CF << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CFB : [ 0.0, 1.0 ]
  if ( (!((CFB >=0.0 && CFB <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CFB value " << CFB << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter BETN : [ 0.0,  (+inf) [
  if ( (!((BETN >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter BETN value " << BETN << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter MUE : [ 0.0,  (+inf) [
  if ( (!((MUE >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MUE value " << MUE << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter THEMU : [ 0.0,  (+inf) [
  if ( (!((THEMU >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter THEMU value " << THEMU << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CS : [ 0.0,  (+inf) [
  if ( (!((CS >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CS value " << CS << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter XCOR : [ 0.0,  (+inf) [
  if ( (!((XCOR >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter XCOR value " << XCOR << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter FETA : [ 0.0,  (+inf) [
  if ( (!((FETA >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter FETA value " << FETA << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RS : [ 0.0,  (+inf) [
  if ( (!((RS >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RS value " << RS << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RSB : [ (-0.5), 1.0 ]
  if ( (!((RSB >=(-0.5) && RSB <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RSB value " << RSB << " out of range [ (-0.5), 1.0 ]";
  }

  //    Parameter RSG : [ (-0.5),  (+inf) [
  if ( (!((RSG >=(-0.5)))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RSG value " << RSG << " out of range [ (-0.5),  (+inf) [";
  }

  //    Parameter THESAT : [ 0.0,  (+inf) [
  if ( (!((THESAT >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter THESAT value " << THESAT << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter THESATB : [ (-0.5), 1.0 ]
  if ( (!((THESATB >=(-0.5) && THESATB <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter THESATB value " << THESATB << " out of range [ (-0.5), 1.0 ]";
  }

  //    Parameter THESATG : [ (-0.5),  (+inf) [
  if ( (!((THESATG >=(-0.5)))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter THESATG value " << THESATG << " out of range [ (-0.5),  (+inf) [";
  }

  //    Parameter AX : [ 2.0,  (+inf) [
  if ( (!((AX >=2.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter AX value " << AX << " out of range [ 2.0,  (+inf) [";
  }

  //    Parameter ALP : [ 0.0,  (+inf) [
  if ( (!((ALP >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ALP value " << ALP << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter ALP1 : [ 0.0,  (+inf) [
  if ( (!((ALP1 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ALP1 value " << ALP1 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter ALP2 : [ 0.0,  (+inf) [
  if ( (!((ALP2 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ALP2 value " << ALP2 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter VP : [ 1e-10,  (+inf) [
  if ( (!((VP >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VP value " << VP << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter A1 : [ 0.0,  (+inf) [
  if ( (!((A1 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter A1 value " << A1 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter A2 : [ 0.0,  (+inf) [
  if ( (!((A2 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter A2 value " << A2 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter A3 : [ 0.0,  (+inf) [
  if ( (!((A3 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter A3 value " << A3 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter A4 : [ 0.0,  (+inf) [
  if ( (!((A4 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter A4 value " << A4 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter GCO : [ (-10.0), 10.0 ]
  if ( (!((GCO >=(-10.0) && GCO <=10.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter GCO value " << GCO << " out of range [ (-10.0), 10.0 ]";
  }

  //    Parameter IGINV : [ 0.0,  (+inf) [
  if ( (!((IGINV >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IGINV value " << IGINV << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter IGOV : [ 0.0,  (+inf) [
  if ( (!((IGOV >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IGOV value " << IGOV << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter IGOVD : [ 0.0,  (+inf) [
  if ( (!((IGOVD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IGOVD value " << IGOVD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter GC2 : [ 0.0, 10.0 ]
  if ( (!((GC2 >=0.0 && GC2 <=10.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter GC2 value " << GC2 << " out of range [ 0.0, 10.0 ]";
  }

  //    Parameter GC3 : [ (-2.0), 2.0 ]
  if ( (!((GC3 >=(-2.0) && GC3 <=2.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter GC3 value " << GC3 << " out of range [ (-2.0), 2.0 ]";
  }

  //    Parameter CHIB : [ 1.0,  (+inf) [
  if ( (!((CHIB >=1.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CHIB value " << CHIB << " out of range [ 1.0,  (+inf) [";
  }

  //    Parameter AGIDL : [ 0.0,  (+inf) [
  if ( (!((AGIDL >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter AGIDL value " << AGIDL << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter AGIDLD : [ 0.0,  (+inf) [
  if ( (!((AGIDLD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter AGIDLD value " << AGIDLD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter BGIDL : [ 0.0,  (+inf) [
  if ( (!((BGIDL >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter BGIDL value " << BGIDL << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter BGIDLD : [ 0.0,  (+inf) [
  if ( (!((BGIDLD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter BGIDLD value " << BGIDLD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter COX : [ 0.0,  (+inf) [
  if ( (!((COX >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter COX value " << COX << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CGOV : [ 0.0,  (+inf) [
  if ( (!((CGOV >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CGOV value " << CGOV << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CGOVD : [ 0.0,  (+inf) [
  if ( (!((CGOVD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CGOVD value " << CGOVD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CGBOV : [ 0.0,  (+inf) [
  if ( (!((CGBOV >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CGBOV value " << CGBOV << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CFR : [ 0.0,  (+inf) [
  if ( (!((CFR >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CFR value " << CFR << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CFRD : [ 0.0,  (+inf) [
  if ( (!((CFRD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CFRD value " << CFRD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter FNT : [ 0.0,  (+inf) [
  if ( (!((FNT >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter FNT value " << FNT << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter NFA : [ 0.0,  (+inf) [
  if ( (!((NFA >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NFA value " << NFA << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter NFB : [ 0.0,  (+inf) [
  if ( (!((NFB >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NFB value " << NFB << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter NFC : [ 0.0,  (+inf) [
  if ( (!((NFC >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NFC value " << NFC << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter EF : [ 0.0,  (+inf) [
  if ( (!((EF >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter EF value " << EF << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RG : [ 0.0,  (+inf) [
  if ( (!((RG >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RG value " << RG << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RSE : [ 0.0,  (+inf) [
  if ( (!((RSE >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RSE value " << RSE << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RDE : [ 0.0,  (+inf) [
  if ( (!((RDE >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RDE value " << RDE << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RBULK : [ 0.0,  (+inf) [
  if ( (!((RBULK >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RBULK value " << RBULK << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RWELL : [ 0.0,  (+inf) [
  if ( (!((RWELL >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RWELL value " << RWELL << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RJUNS : [ 0.0,  (+inf) [
  if ( (!((RJUNS >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RJUNS value " << RJUNS << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RJUND : [ 0.0,  (+inf) [
  if ( (!((RJUND >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RJUND value " << RJUND << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter TOXO : [ 1e-10,  (+inf) [
  if ( (!((TOXO >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TOXO value " << TOXO << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter EPSROXO : [ 1.0,  (+inf) [
  if ( (!((EPSROXO >=1.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter EPSROXO value " << EPSROXO << " out of range [ 1.0,  (+inf) [";
  }

  //    Parameter NSUBO : [ 1e20,  (+inf) [
  if ( (!((NSUBO >=1e20))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NSUBO value " << NSUBO << " out of range [ 1e20,  (+inf) [";
  }

  //    Parameter WSEG : [ 1e-10,  (+inf) [
  if ( (!((WSEG >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter WSEG value " << WSEG << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter NPCK : [ 0.0,  (+inf) [
  if ( (!((NPCK >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NPCK value " << NPCK << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter WSEGP : [ 1e-10,  (+inf) [
  if ( (!((WSEGP >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter WSEGP value " << WSEGP << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter LPCK : [ 1e-10,  (+inf) [
  if ( (!((LPCK >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LPCK value " << LPCK << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter TOXOVO : [ 1e-10,  (+inf) [
  if ( (!((TOXOVO >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TOXOVO value " << TOXOVO << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter TOXOVDO : [ 1e-10,  (+inf) [
  if ( (!((TOXOVDO >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TOXOVDO value " << TOXOVDO << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter LOV : [ 0.0,  (+inf) [
  if ( (!((LOV >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LOV value " << LOV << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter LOVD : [ 0.0,  (+inf) [
  if ( (!((LOVD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LOVD value " << LOVD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter LP1 : [ 1e-10,  (+inf) [
  if ( (!((LP1 >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LP1 value " << LP1 << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter LP2 : [ 1e-10,  (+inf) [
  if ( (!((LP2 >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LP2 value " << LP2 << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter WBET : [ 1e-10,  (+inf) [
  if ( (!((WBET >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter WBET value " << WBET << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter AXL : [ 0.0,  (+inf) [
  if ( (!((AXL >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter AXL value " << AXL << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter ALP1L2 : [ 0.0,  (+inf) [
  if ( (!((ALP1L2 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ALP1L2 value " << ALP1L2 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter ALP2L2 : [ 0.0,  (+inf) [
  if ( (!((ALP2L2 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ALP2L2 value " << ALP2L2 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RINT : [ 0.0,  (+inf) [
  if ( (!((RINT >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RINT value " << RINT << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RVPOLY : [ 0.0,  (+inf) [
  if ( (!((RVPOLY >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RVPOLY value " << RVPOLY << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RSHG : [ 0.0,  (+inf) [
  if ( (!((RSHG >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RSHG value " << RSHG << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter SAREF : [ 1e-9,  (+inf) [
  if ( (!((SAREF >=1e-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SAREF value " << SAREF << " out of range [ 1e-9,  (+inf) [";
  }

  //    Parameter SBREF : [ 1e-9,  (+inf) [
  if ( (!((SBREF >=1e-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SBREF value " << SBREF << " out of range [ 1e-9,  (+inf) [";
  }

  //    Parameter KVSAT : [ (-1.0), 1.0 ]
  if ( (!((KVSAT >=(-1.0) && KVSAT <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter KVSAT value " << KVSAT << " out of range [ (-1.0), 1.0 ]";
  }

  //    Parameter LLODKUO : [ 0.0,  (+inf) [
  if ( (!((LLODKUO >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LLODKUO value " << LLODKUO << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter WLODKUO : [ 0.0,  (+inf) [
  if ( (!((WLODKUO >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter WLODKUO value " << WLODKUO << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter LLODVTH : [ 0.0,  (+inf) [
  if ( (!((LLODVTH >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LLODVTH value " << LLODVTH << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter WLODVTH : [ 0.0,  (+inf) [
  if ( (!((WLODVTH >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter WLODVTH value " << WLODVTH << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter LODETAO : [ 0.0,  (+inf) [
  if ( (!((LODETAO >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LODETAO value " << LODETAO << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter SCREF : [ 0.0,  (+inf) [
  if ( (!((SCREF >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SCREF value " << SCREF << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter IMAX : [ 1E-12,  (+inf) [
  if ( (!((IMAX >=1E-12))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IMAX value " << IMAX << " out of range [ 1E-12,  (+inf) [";
  }

  //    Parameter TRJ : [ (-250),  (+inf) [
  if ( (!((TRJ >=(-250)))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TRJ value " << TRJ << " out of range [ (-250),  (+inf) [";
  }

  //    Parameter CJORBOT : [ 1E-12,  (+inf) [
  if ( (!((CJORBOT >=1E-12))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CJORBOT value " << CJORBOT << " out of range [ 1E-12,  (+inf) [";
  }

  //    Parameter CJORSTI : [ 1E-18,  (+inf) [
  if ( (!((CJORSTI >=1E-18))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CJORSTI value " << CJORSTI << " out of range [ 1E-18,  (+inf) [";
  }

  //    Parameter CJORGAT : [ 1E-18,  (+inf) [
  if ( (!((CJORGAT >=1E-18))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CJORGAT value " << CJORGAT << " out of range [ 1E-18,  (+inf) [";
  }

  //    Parameter VBIRBOT : [ 0.050,  (+inf) [
  if ( (!((VBIRBOT >=0.050))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBIRBOT value " << VBIRBOT << " out of range [ 0.050,  (+inf) [";
  }

  //    Parameter VBIRSTI : [ 0.050,  (+inf) [
  if ( (!((VBIRSTI >=0.050))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBIRSTI value " << VBIRSTI << " out of range [ 0.050,  (+inf) [";
  }

  //    Parameter VBIRGAT : [ 0.050,  (+inf) [
  if ( (!((VBIRGAT >=0.050))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBIRGAT value " << VBIRGAT << " out of range [ 0.050,  (+inf) [";
  }

  //    Parameter PBOT : [ 0.05, 0.95 ]
  if ( (!((PBOT >=0.05 && PBOT <=0.95 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBOT value " << PBOT << " out of range [ 0.05, 0.95 ]";
  }

  //    Parameter PSTI : [ 0.05, 0.95 ]
  if ( (!((PSTI >=0.05 && PSTI <=0.95 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PSTI value " << PSTI << " out of range [ 0.05, 0.95 ]";
  }

  //    Parameter PGAT : [ 0.05, 0.95 ]
  if ( (!((PGAT >=0.05 && PGAT <=0.95 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PGAT value " << PGAT << " out of range [ 0.05, 0.95 ]";
  }

  //    Parameter IDSATRBOT : [ 0,  (+inf) [
  if ( (!((IDSATRBOT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IDSATRBOT value " << IDSATRBOT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter IDSATRSTI : [ 0,  (+inf) [
  if ( (!((IDSATRSTI >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IDSATRSTI value " << IDSATRSTI << " out of range [ 0,  (+inf) [";
  }

  //    Parameter IDSATRGAT : [ 0,  (+inf) [
  if ( (!((IDSATRGAT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IDSATRGAT value " << IDSATRGAT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CSRHBOT : [ 0,  (+inf) [
  if ( (!((CSRHBOT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CSRHBOT value " << CSRHBOT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CSRHSTI : [ 0,  (+inf) [
  if ( (!((CSRHSTI >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CSRHSTI value " << CSRHSTI << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CSRHGAT : [ 0,  (+inf) [
  if ( (!((CSRHGAT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CSRHGAT value " << CSRHGAT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter XJUNSTI : [ 1E-9,  (+inf) [
  if ( (!((XJUNSTI >=1E-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter XJUNSTI value " << XJUNSTI << " out of range [ 1E-9,  (+inf) [";
  }

  //    Parameter XJUNGAT : [ 1E-9,  (+inf) [
  if ( (!((XJUNGAT >=1E-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter XJUNGAT value " << XJUNGAT << " out of range [ 1E-9,  (+inf) [";
  }

  //    Parameter CTATBOT : [ 0,  (+inf) [
  if ( (!((CTATBOT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CTATBOT value " << CTATBOT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CTATSTI : [ 0,  (+inf) [
  if ( (!((CTATSTI >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CTATSTI value " << CTATSTI << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CTATGAT : [ 0,  (+inf) [
  if ( (!((CTATGAT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CTATGAT value " << CTATGAT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter MEFFTATBOT : [ 0.01,  (+inf) [
  if ( (!((MEFFTATBOT >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MEFFTATBOT value " << MEFFTATBOT << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter MEFFTATSTI : [ 0.01,  (+inf) [
  if ( (!((MEFFTATSTI >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MEFFTATSTI value " << MEFFTATSTI << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter MEFFTATGAT : [ 0.01,  (+inf) [
  if ( (!((MEFFTATGAT >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MEFFTATGAT value " << MEFFTATGAT << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter CBBTBOT : [ 0,  (+inf) [
  if ( (!((CBBTBOT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CBBTBOT value " << CBBTBOT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CBBTSTI : [ 0,  (+inf) [
  if ( (!((CBBTSTI >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CBBTSTI value " << CBBTSTI << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CBBTGAT : [ 0,  (+inf) [
  if ( (!((CBBTGAT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CBBTGAT value " << CBBTGAT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter VBRBOT : [ 0.1,  (+inf) [
  if ( (!((VBRBOT >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBRBOT value " << VBRBOT << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter VBRSTI : [ 0.1,  (+inf) [
  if ( (!((VBRSTI >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBRSTI value " << VBRSTI << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter VBRGAT : [ 0.1,  (+inf) [
  if ( (!((VBRGAT >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBRGAT value " << VBRGAT << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter PBRBOT : [ 0.1,  (+inf) [
  if ( (!((PBRBOT >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBRBOT value " << PBRBOT << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter PBRSTI : [ 0.1,  (+inf) [
  if ( (!((PBRSTI >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBRSTI value " << PBRSTI << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter PBRGAT : [ 0.1,  (+inf) [
  if ( (!((PBRGAT >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBRGAT value " << PBRGAT << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter CJORBOTD : [ 1E-12,  (+inf) [
  if ( (!((CJORBOTD >=1E-12))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CJORBOTD value " << CJORBOTD << " out of range [ 1E-12,  (+inf) [";
  }

  //    Parameter CJORSTID : [ 1E-18,  (+inf) [
  if ( (!((CJORSTID >=1E-18))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CJORSTID value " << CJORSTID << " out of range [ 1E-18,  (+inf) [";
  }

  //    Parameter CJORGATD : [ 1E-18,  (+inf) [
  if ( (!((CJORGATD >=1E-18))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CJORGATD value " << CJORGATD << " out of range [ 1E-18,  (+inf) [";
  }

  //    Parameter VBIRBOTD : [ 0.050,  (+inf) [
  if ( (!((VBIRBOTD >=0.050))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBIRBOTD value " << VBIRBOTD << " out of range [ 0.050,  (+inf) [";
  }

  //    Parameter VBIRSTID : [ 0.050,  (+inf) [
  if ( (!((VBIRSTID >=0.050))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBIRSTID value " << VBIRSTID << " out of range [ 0.050,  (+inf) [";
  }

  //    Parameter VBIRGATD : [ 0.050,  (+inf) [
  if ( (!((VBIRGATD >=0.050))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBIRGATD value " << VBIRGATD << " out of range [ 0.050,  (+inf) [";
  }

  //    Parameter PBOTD : [ 0.05, 0.95 ]
  if ( (!((PBOTD >=0.05 && PBOTD <=0.95 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBOTD value " << PBOTD << " out of range [ 0.05, 0.95 ]";
  }

  //    Parameter PSTID : [ 0.05, 0.95 ]
  if ( (!((PSTID >=0.05 && PSTID <=0.95 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PSTID value " << PSTID << " out of range [ 0.05, 0.95 ]";
  }

  //    Parameter PGATD : [ 0.05, 0.95 ]
  if ( (!((PGATD >=0.05 && PGATD <=0.95 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PGATD value " << PGATD << " out of range [ 0.05, 0.95 ]";
  }

  //    Parameter IDSATRBOTD : [ 0,  (+inf) [
  if ( (!((IDSATRBOTD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IDSATRBOTD value " << IDSATRBOTD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter IDSATRSTID : [ 0,  (+inf) [
  if ( (!((IDSATRSTID >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IDSATRSTID value " << IDSATRSTID << " out of range [ 0,  (+inf) [";
  }

  //    Parameter IDSATRGATD : [ 0,  (+inf) [
  if ( (!((IDSATRGATD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IDSATRGATD value " << IDSATRGATD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CSRHBOTD : [ 0,  (+inf) [
  if ( (!((CSRHBOTD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CSRHBOTD value " << CSRHBOTD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CSRHSTID : [ 0,  (+inf) [
  if ( (!((CSRHSTID >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CSRHSTID value " << CSRHSTID << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CSRHGATD : [ 0,  (+inf) [
  if ( (!((CSRHGATD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CSRHGATD value " << CSRHGATD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter XJUNSTID : [ 1E-9,  (+inf) [
  if ( (!((XJUNSTID >=1E-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter XJUNSTID value " << XJUNSTID << " out of range [ 1E-9,  (+inf) [";
  }

  //    Parameter XJUNGATD : [ 1E-9,  (+inf) [
  if ( (!((XJUNGATD >=1E-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter XJUNGATD value " << XJUNGATD << " out of range [ 1E-9,  (+inf) [";
  }

  //    Parameter CTATBOTD : [ 0,  (+inf) [
  if ( (!((CTATBOTD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CTATBOTD value " << CTATBOTD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CTATSTID : [ 0,  (+inf) [
  if ( (!((CTATSTID >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CTATSTID value " << CTATSTID << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CTATGATD : [ 0,  (+inf) [
  if ( (!((CTATGATD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CTATGATD value " << CTATGATD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter MEFFTATBOTD : [ 0.01,  (+inf) [
  if ( (!((MEFFTATBOTD >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MEFFTATBOTD value " << MEFFTATBOTD << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter MEFFTATSTID : [ 0.01,  (+inf) [
  if ( (!((MEFFTATSTID >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MEFFTATSTID value " << MEFFTATSTID << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter MEFFTATGATD : [ 0.01,  (+inf) [
  if ( (!((MEFFTATGATD >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MEFFTATGATD value " << MEFFTATGATD << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter CBBTBOTD : [ 0,  (+inf) [
  if ( (!((CBBTBOTD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CBBTBOTD value " << CBBTBOTD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CBBTSTID : [ 0,  (+inf) [
  if ( (!((CBBTSTID >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CBBTSTID value " << CBBTSTID << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CBBTGATD : [ 0,  (+inf) [
  if ( (!((CBBTGATD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CBBTGATD value " << CBBTGATD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter VBRBOTD : [ 0.1,  (+inf) [
  if ( (!((VBRBOTD >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBRBOTD value " << VBRBOTD << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter VBRSTID : [ 0.1,  (+inf) [
  if ( (!((VBRSTID >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBRSTID value " << VBRSTID << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter VBRGATD : [ 0.1,  (+inf) [
  if ( (!((VBRGATD >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBRGATD value " << VBRGATD << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter PBRBOTD : [ 0.1,  (+inf) [
  if ( (!((PBRBOTD >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBRBOTD value " << PBRBOTD << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter PBRSTID : [ 0.1,  (+inf) [
  if ( (!((PBRSTID >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBRSTID value " << PBRSTID << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter PBRGATD : [ 0.1,  (+inf) [
  if ( (!((PBRGATD >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBRGATD value " << PBRGATD << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter SWJUNEXP : [ 0.0, 1.0 ]
  if ( (!((SWJUNEXP >=0.0 && SWJUNEXP <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWJUNEXP value " << SWJUNEXP << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter VJUNREF : [ 0.5,  (+inf) [
  if ( (!((VJUNREF >=0.5))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VJUNREF value " << VJUNREF << " out of range [ 0.5,  (+inf) [";
  }

  //    Parameter FJUNQ : [ 0.0,  (+inf) [
  if ( (!((FJUNQ >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter FJUNQ value " << FJUNQ << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter VJUNREFD : [ 0.5,  (+inf) [
  if ( (!((VJUNREFD >=0.5))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VJUNREFD value " << VJUNREFD << " out of range [ 0.5,  (+inf) [";
  }

  //    Parameter FJUNQD : [ 0.0,  (+inf) [
  if ( (!((FJUNQD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter FJUNQD value " << FJUNQD << " out of range [ 0.0,  (+inf) [";
  }


  // and of course, this routine is where we should put the initial_model
  // stuff
  double deltaphigd;
  double deltaphigr;
  double phitrinv;
  double KBOL_over_QELE;
  double auxt;
  double tkd;
  double tkr;
  double TRJ_i;
  double TKD_sq;
  double TKR;
  double TR_i;
  //Begin block initial_model
  {
    if ((TYPE>=0))
    {
      CHNL_TYPE = (+1);
    }
    else
    {
      CHNL_TYPE = (-1);
    }
    SWGEO_i = floor((((SWGEO>0.0)?((SWGEO<2.0)?SWGEO:2.0):0.0)+0.5));
    SWIGATE_i = floor((((SWIGATE>0.0)?((SWIGATE<1.0)?SWIGATE:1.0):0.0)+0.5));
    SWIMPACT_i = floor((((SWIMPACT>0.0)?((SWIMPACT<1.0)?SWIMPACT:1.0):0.0)+0.5));
    SWGIDL_i = floor((((SWGIDL>0.0)?((SWGIDL<1.0)?SWGIDL:1.0):0.0)+0.5));
    SWJUNCAP_i = floor((((SWJUNCAP>0.0)?((SWJUNCAP<3.0)?SWJUNCAP:3.0):0.0)+0.5));
    SWJUNASYM_i = floor((((SWJUNASYM>0.0)?((SWJUNASYM<1.0)?SWJUNASYM:1.0):0.0)+0.5));
    SWNUD_i = floor((((SWNUD>0.0)?((SWNUD<2.0)?SWNUD:2.0):0.0)+0.5));
    SWDELVTAC_i = floor((((SWDELVTAC>0.0)?((SWDELVTAC<1.0)?SWDELVTAC:1.0):0.0)+0.5));
    QMC_i = ((QMC>0.0)?QMC:0.0);
    TOXO_i = ((TOXO>1e-10)?TOXO:1e-10);
    EPSROXO_i = ((EPSROXO>1.0)?EPSROXO:1.0);
    NSUBO_i = ((NSUBO>1e20)?NSUBO:1e20);
    WSEG_i = ((WSEG>1e-10)?WSEG:1e-10);
    NPCK_i = ((NPCK>0.0)?NPCK:0.0);
    WSEGP_i = ((WSEGP>1e-10)?WSEGP:1e-10);
    LPCK_i = ((LPCK>1e-10)?LPCK:1e-10);
    TOXOVO_i = ((TOXOVO>1e-10)?TOXOVO:1e-10);
    TOXOVDO_i = ((TOXOVDO>1e-10)?TOXOVDO:1e-10);
    LOV_i = ((LOV>0.0)?LOV:0.0);
    LOVD_i = ((LOVD>0.0)?LOVD:0.0);
    LP1_i = ((LP1>1e-10)?LP1:1e-10);
    LP2_i = ((LP2>1e-10)?LP2:1e-10);
    WBET_i = ((WBET>1e-10)?WBET:1e-10);
    AXL_i = ((AXL>0.0)?AXL:0.0);
    ALP1L2_i = ((ALP1L2>0.0)?ALP1L2:0.0);
    ALP2L2_i = ((ALP2L2>0.0)?ALP2L2:0.0);
    SAREF_i = ((SAREF>1e-9)?SAREF:1e-9);
    SBREF_i = ((SBREF>1e-9)?SBREF:1e-9);
    KVSAT_i = ((KVSAT>(-1.0))?((KVSAT<1.0)?KVSAT:1.0):(-1.0));
    LLODKUO_i = ((LLODKUO>0.0)?LLODKUO:0.0);
    WLODKUO_i = ((WLODKUO>0.0)?WLODKUO:0.0);
    LLODVTH_i = ((LLODVTH>0.0)?LLODVTH:0.0);
    WLODVTH_i = ((WLODVTH>0.0)?WLODVTH:0.0);
    LODETAO_i = ((LODETAO>0.0)?LODETAO:0.0);
    SCREF_i = ((SCREF>0.0)?SCREF:0.0);
    WEB_i = WEB;
    WEC_i = WEC;
    RSHG_i = ((RSHG>0.0)?RSHG:0.0);
    RSH_i = ((RSH>0.0)?RSH:0.0);
    RSHD_i = ((RSHD>0.0)?RSHD:0.0);
    RINT_i = ((RINT>0.0)?RINT:0.0);
    RVPOLY_i = ((RVPOLY>0.0)?RVPOLY:0.0);
    TR_i = ((TR>(-273))?TR:(-273));
    TKR = (273.15+TR_i);
    TKD = (admsModTemp+DTA);
    TKD_sq = (TKD*TKD);
    dT = (TKD-TKR);
    rT = (TKD/TKR);
    rTn = (TKR/TKD);
    phit = ((TKD*1.3806505E-23)/1.6021918E-19);
    inv_phit = (1.0/phit);
    Eg = ((1.179-(9.025e-5*TKD))-(3.05e-7*TKD_sq));
    phibFac = ((((1.045+(4.5e-4*TKD))*((0.523+(1.4e-3*TKD))-(1.48e-6*TKD_sq)))*TKD_sq)/9.0E4);
    phibFac = ((phibFac>1.0E-3)?phibFac:1.0E-3);
    EPSSI = (8.8541878176E-12*11.8);
    nt0 = ((4*1.3806505E-23)*TKD);
    TRJ_i = ((TRJ>(-250))?TRJ:(-250));
    IMAX_i = ((IMAX>1E-12)?IMAX:1E-12);
    CJORBOT_i = ((CJORBOT>1E-12)?CJORBOT:1E-12);
    CJORSTI_i = ((CJORSTI>1E-18)?CJORSTI:1E-18);
    CJORGAT_i = ((CJORGAT>1E-18)?CJORGAT:1E-18);
    VBIRBOT_i = ((VBIRBOT>0.050)?VBIRBOT:0.050);
    VBIRSTI_i = ((VBIRSTI>0.050)?VBIRSTI:0.050);
    VBIRGAT_i = ((VBIRGAT>0.050)?VBIRGAT:0.050);
    PBOT_i = ((PBOT>0.05)?((PBOT<0.95)?PBOT:0.95):0.05);
    PSTI_i = ((PSTI>0.05)?((PSTI<0.95)?PSTI:0.95):0.05);
    PGAT_i = ((PGAT>0.05)?((PGAT<0.95)?PGAT:0.95):0.05);
    PHIGBOT_i = PHIGBOT;
    PHIGSTI_i = PHIGSTI;
    PHIGGAT_i = PHIGGAT;
    IDSATRBOT_i = ((IDSATRBOT>0)?IDSATRBOT:0);
    IDSATRSTI_i = ((IDSATRSTI>0)?IDSATRSTI:0);
    IDSATRGAT_i = ((IDSATRGAT>0)?IDSATRGAT:0);
    CSRHBOT_i = ((CSRHBOT>0)?CSRHBOT:0);
    CSRHSTI_i = ((CSRHSTI>0)?CSRHSTI:0);
    CSRHGAT_i = ((CSRHGAT>0)?CSRHGAT:0);
    XJUNSTI_i = ((XJUNSTI>1E-9)?XJUNSTI:1E-9);
    XJUNGAT_i = ((XJUNGAT>1E-9)?XJUNGAT:1E-9);
    CTATBOT_i = ((CTATBOT>0)?CTATBOT:0);
    CTATSTI_i = ((CTATSTI>0)?CTATSTI:0);
    CTATGAT_i = ((CTATGAT>0)?CTATGAT:0);
    MEFFTATBOT_i = ((MEFFTATBOT>0.01)?MEFFTATBOT:0.01);
    MEFFTATSTI_i = ((MEFFTATSTI>0.01)?MEFFTATSTI:0.01);
    MEFFTATGAT_i = ((MEFFTATGAT>0.01)?MEFFTATGAT:0.01);
    CBBTBOT_i = ((CBBTBOT>0)?CBBTBOT:0);
    CBBTSTI_i = ((CBBTSTI>0)?CBBTSTI:0);
    CBBTGAT_i = ((CBBTGAT>0)?CBBTGAT:0);
    FBBTRBOT_i = FBBTRBOT;
    FBBTRSTI_i = FBBTRSTI;
    FBBTRGAT_i = FBBTRGAT;
    STFBBTBOT_i = STFBBTBOT;
    STFBBTSTI_i = STFBBTSTI;
    STFBBTGAT_i = STFBBTGAT;
    VBRBOT_i = ((VBRBOT>0.1)?VBRBOT:0.1);
    VBRSTI_i = ((VBRSTI>0.1)?VBRSTI:0.1);
    VBRGAT_i = ((VBRGAT>0.1)?VBRGAT:0.1);
    PBRBOT_i = ((PBRBOT>0.1)?PBRBOT:0.1);
    PBRSTI_i = ((PBRSTI>0.1)?PBRSTI:0.1);
    PBRGAT_i = ((PBRGAT>0.1)?PBRGAT:0.1);
    SWJUNEXP_i = 0.0;
    if ((SWJUNEXP>0.5))
    {
      SWJUNEXP_i = 1.0;
    }
    else
    {
      SWJUNEXP_i = 0.0;
    }
    VJUNREF_i = ((VJUNREF>0.5)?VJUNREF:0.5);
    FJUNQ_i = ((FJUNQ>0.0)?FJUNQ:0.0);
    CJORBOTS_i = CJORBOT_i;
    CJORSTIS_i = CJORSTI_i;
    CJORGATS_i = CJORGAT_i;
    VBIRBOTS_i = VBIRBOT_i;
    VBIRSTIS_i = VBIRSTI_i;
    VBIRGATS_i = VBIRGAT_i;
    PBOTS_i = PBOT_i;
    PSTIS_i = PSTI_i;
    PGATS_i = PGAT_i;
    PHIGBOTS_i = PHIGBOT_i;
    PHIGSTIS_i = PHIGSTI_i;
    PHIGGATS_i = PHIGGAT_i;
    IDSATRBOTS_i = IDSATRBOT_i;
    IDSATRSTIS_i = IDSATRSTI_i;
    IDSATRGATS_i = IDSATRGAT_i;
    CSRHBOTS_i = CSRHBOT_i;
    CSRHSTIS_i = CSRHSTI_i;
    CSRHGATS_i = CSRHGAT_i;
    XJUNSTIS_i = XJUNSTI_i;
    XJUNGATS_i = XJUNGAT_i;
    CTATBOTS_i = CTATBOT_i;
    CTATSTIS_i = CTATSTI_i;
    CTATGATS_i = CTATGAT_i;
    MEFFTATBOTS_i = MEFFTATBOT_i;
    MEFFTATSTIS_i = MEFFTATSTI_i;
    MEFFTATGATS_i = MEFFTATGAT_i;
    CBBTBOTS_i = CBBTBOT_i;
    CBBTSTIS_i = CBBTSTI_i;
    CBBTGATS_i = CBBTGAT_i;
    FBBTRBOTS_i = FBBTRBOT_i;
    FBBTRSTIS_i = FBBTRSTI_i;
    FBBTRGATS_i = FBBTRGAT_i;
    STFBBTBOTS_i = STFBBTBOT_i;
    STFBBTSTIS_i = STFBBTSTI_i;
    STFBBTGATS_i = STFBBTGAT_i;
    VBRBOTS_i = VBRBOT_i;
    VBRSTIS_i = VBRSTI_i;
    VBRGATS_i = VBRGAT_i;
    PBRBOTS_i = PBRBOT_i;
    PBRSTIS_i = PBRSTI_i;
    PBRGATS_i = PBRGAT_i;
    VJUNREFS_i = VJUNREF_i;
    FJUNQS_i = FJUNQ_i;
    if ((SWJUNASYM==0.0))
    {
      CJORBOTD_i = CJORBOTS_i;
      CJORSTID_i = CJORSTIS_i;
      CJORGATD_i = CJORGATS_i;
      VBIRBOTD_i = VBIRBOTS_i;
      VBIRSTID_i = VBIRSTIS_i;
      VBIRGATD_i = VBIRGATS_i;
      PBOTD_i = PBOTS_i;
      PSTID_i = PSTIS_i;
      PGATD_i = PGATS_i;
      PHIGBOTD_i = PHIGBOTS_i;
      PHIGSTID_i = PHIGSTIS_i;
      PHIGGATD_i = PHIGGATS_i;
      IDSATRBOTD_i = IDSATRBOTS_i;
      IDSATRSTID_i = IDSATRSTIS_i;
      IDSATRGATD_i = IDSATRGATS_i;
      CSRHBOTD_i = CSRHBOTS_i;
      CSRHSTID_i = CSRHSTIS_i;
      CSRHGATD_i = CSRHGATS_i;
      XJUNSTID_i = XJUNSTIS_i;
      XJUNGATD_i = XJUNGATS_i;
      CTATBOTD_i = CTATBOTS_i;
      CTATSTID_i = CTATSTIS_i;
      CTATGATD_i = CTATGATS_i;
      MEFFTATBOTD_i = MEFFTATBOTS_i;
      MEFFTATSTID_i = MEFFTATSTIS_i;
      MEFFTATGATD_i = MEFFTATGATS_i;
      CBBTBOTD_i = CBBTBOTS_i;
      CBBTSTID_i = CBBTSTIS_i;
      CBBTGATD_i = CBBTGATS_i;
      FBBTRBOTD_i = FBBTRBOTS_i;
      FBBTRSTID_i = FBBTRSTIS_i;
      FBBTRGATD_i = FBBTRGATS_i;
      STFBBTBOTD_i = STFBBTBOTS_i;
      STFBBTSTID_i = STFBBTSTIS_i;
      STFBBTGATD_i = STFBBTGATS_i;
      VBRBOTD_i = VBRBOTS_i;
      VBRSTID_i = VBRSTIS_i;
      VBRGATD_i = VBRGATS_i;
      PBRBOTD_i = PBRBOTS_i;
      PBRSTID_i = PBRSTIS_i;
      PBRGATD_i = PBRGATS_i;
      VJUNREFD_i = VJUNREFS_i;
      FJUNQD_i = FJUNQS_i;
    }
    else
    {
      CJORBOTD_i = ((CJORBOTD>1E-12)?CJORBOTD:1E-12);
      CJORSTID_i = ((CJORSTID>1E-18)?CJORSTID:1E-18);
      CJORGATD_i = ((CJORGATD>1E-18)?CJORGATD:1E-18);
      VBIRBOTD_i = ((VBIRBOTD>0.050)?VBIRBOTD:0.050);
      VBIRSTID_i = ((VBIRSTID>0.050)?VBIRSTID:0.050);
      VBIRGATD_i = ((VBIRGATD>0.050)?VBIRGATD:0.050);
      PBOTD_i = ((PBOTD>0.05)?((PBOTD<0.95)?PBOTD:0.95):0.05);
      PSTID_i = ((PSTID>0.05)?((PSTID<0.95)?PSTID:0.95):0.05);
      PGATD_i = ((PGATD>0.05)?((PGATD<0.95)?PGATD:0.95):0.05);
      PHIGBOTD_i = PHIGBOTD;
      PHIGSTID_i = PHIGSTID;
      PHIGGATD_i = PHIGGATD;
      IDSATRBOTD_i = ((IDSATRBOTD>0)?IDSATRBOTD:0);
      IDSATRSTID_i = ((IDSATRSTID>0)?IDSATRSTID:0);
      IDSATRGATD_i = ((IDSATRGATD>0)?IDSATRGATD:0);
      CSRHBOTD_i = ((CSRHBOTD>0)?CSRHBOTD:0);
      CSRHSTID_i = ((CSRHSTID>0)?CSRHSTID:0);
      CSRHGATD_i = ((CSRHGATD>0)?CSRHGATD:0);
      XJUNSTID_i = ((XJUNSTID>1E-9)?XJUNSTID:1E-9);
      XJUNGATD_i = ((XJUNGATD>1E-9)?XJUNGATD:1E-9);
      CTATBOTD_i = ((CTATBOTD>0)?CTATBOTD:0);
      CTATSTID_i = ((CTATSTID>0)?CTATSTID:0);
      CTATGATD_i = ((CTATGATD>0)?CTATGATD:0);
      MEFFTATBOTD_i = ((MEFFTATBOTD>0.01)?MEFFTATBOTD:0.01);
      MEFFTATSTID_i = ((MEFFTATSTID>0.01)?MEFFTATSTID:0.01);
      MEFFTATGATD_i = ((MEFFTATGATD>0.01)?MEFFTATGATD:0.01);
      CBBTBOTD_i = ((CBBTBOTD>0)?CBBTBOTD:0);
      CBBTSTID_i = ((CBBTSTID>0)?CBBTSTID:0);
      CBBTGATD_i = ((CBBTGATD>0)?CBBTGATD:0);
      FBBTRBOTD_i = FBBTRBOTD;
      FBBTRSTID_i = FBBTRSTID;
      FBBTRGATD_i = FBBTRGATD;
      STFBBTBOTD_i = STFBBTBOTD;
      STFBBTSTID_i = STFBBTSTID;
      STFBBTGATD_i = STFBBTGATD;
      VBRBOTD_i = ((VBRBOTD>0.1)?VBRBOTD:0.1);
      VBRSTID_i = ((VBRSTID>0.1)?VBRSTID:0.1);
      VBRGATD_i = ((VBRGATD>0.1)?VBRGATD:0.1);
      PBRBOTD_i = ((PBRBOTD>0.1)?PBRBOTD:0.1);
      PBRSTID_i = ((PBRSTID>0.1)?PBRSTID:0.1);
      PBRGATD_i = ((PBRGATD>0.1)?PBRGATD:0.1);
      VJUNREFD_i = ((VJUNREFD>0.5)?VJUNREFD:0.5);
      FJUNQD_i = ((FJUNQD>0.0)?FJUNQD:0.0);
    }
    tkr = (273.15+TRJ_i);
    tkd = std::max((admsModTemp+DTA),(273.15+(-250)));
    auxt = (tkd/tkr);
    KBOL_over_QELE = (1.3806505E-23/1.6021918E-19);
    phitr = (KBOL_over_QELE*tkr);
    phitrinv = (1.0/phitr);
    phitd = (KBOL_over_QELE*tkd);
    phitdinv = (1.0/phitd);
    deltaphigr = ((-((7.02e-4*tkr)*tkr))/(1108.0+tkr));
    phigrbot = (PHIGBOT_i+deltaphigr);
    phigrsti = (PHIGSTI_i+deltaphigr);
    phigrgat = (PHIGGAT_i+deltaphigr);
    deltaphigd = ((-((7.02e-4*tkd)*tkd))/(1108.0+tkd));
    phigdbot = (PHIGBOT_i+deltaphigd);
    phigdsti = (PHIGSTI_i+deltaphigd);
    phigdgat = (PHIGGAT_i+deltaphigd);
    ftdbot = (pow(auxt,1.5)*exp((0.5*((phigrbot*phitrinv)-(phigdbot*phitdinv)))));
    ftdsti = (pow(auxt,1.5)*exp((0.5*((phigrsti*phitrinv)-(phigdsti*phitdinv)))));
    ftdgat = (pow(auxt,1.5)*exp((0.5*((phigrgat*phitrinv)-(phigdgat*phitdinv)))));
    idsatbot = ((IDSATRBOT_i*ftdbot)*ftdbot);
    idsatsti = ((IDSATRSTI_i*ftdsti)*ftdsti);
    idsatgat = ((IDSATRGAT_i*ftdgat)*ftdgat);
    ubibot = ((VBIRBOT_i*auxt)-((2*phitd)*log(ftdbot)));
    ubisti = ((VBIRSTI_i*auxt)-((2*phitd)*log(ftdsti)));
    ubigat = ((VBIRGAT_i*auxt)-((2*phitd)*log(ftdgat)));
    vbibot = (ubibot+(phitd*log((1+exp(((0.050-ubibot)*phitdinv))))));
    vbisti = (ubisti+(phitd*log((1+exp(((0.050-ubisti)*phitdinv))))));
    vbigat = (ubigat+(phitd*log((1+exp(((0.050-ubigat)*phitdinv))))));
    vbiinvbot = (1.0/vbibot);
    vbiinvsti = (1.0/vbisti);
    vbiinvgat = (1.0/vbigat);
    one_minus_PBOT = (1-PBOT_i);
    one_minus_PSTI = (1-PSTI_i);
    one_minus_PGAT = (1-PGAT_i);
    one_over_one_minus_PBOT = (1/one_minus_PBOT);
    one_over_one_minus_PSTI = (1/one_minus_PSTI);
    one_over_one_minus_PGAT = (1/one_minus_PGAT);
    cjobot = (CJORBOT_i*pow((VBIRBOT_i*vbiinvbot),PBOT_i));
    cjosti = (CJORSTI_i*pow((VBIRSTI_i*vbiinvsti),PSTI_i));
    cjogat = (CJORGAT_i*pow((VBIRGAT_i*vbiinvgat),PGAT_i));
    qprefbot = ((cjobot*vbibot)*one_over_one_minus_PBOT);
    qprefsti = ((cjosti*vbisti)*one_over_one_minus_PSTI);
    qprefgat = ((cjogat*vbigat)*one_over_one_minus_PGAT);
    qpref2bot = (2*cjobot);
    qpref2sti = (2*cjosti);
    qpref2gat = (2*cjogat);
    wdepnulrbot = (EPSSI/CJORBOT_i);
    wdepnulrsti = ((XJUNSTI_i*EPSSI)/CJORSTI_i);
    wdepnulrgat = ((XJUNGAT_i*EPSSI)/CJORGAT_i);
    wdepnulrinvbot = (1/wdepnulrbot);
    wdepnulrinvsti = (1/wdepnulrsti);
    wdepnulrinvgat = (1/wdepnulrgat);
    VBIRBOTinv = (1/VBIRBOT_i);
    VBIRSTIinv = (1/VBIRSTI_i);
    VBIRGATinv = (1/VBIRGAT_i);
    perfc = (1.77245385090551603*0.29214664);
    berfc = (((((-5)*0.29214664)+6)-pow(perfc,(-2)))/3);
    cerfc = ((1.0-0.29214664)-berfc);
    deltaEbot = std::max((0.5*phigdbot),phitd);
    deltaEsti = std::max((0.5*phigdsti),phitd);
    deltaEgat = std::max((0.5*phigdgat),phitd);
    atatbot = (deltaEbot*phitdinv);
    atatsti = (deltaEsti*phitdinv);
    atatgat = (deltaEgat*phitdinv);
    btatpartbot = (sqrt(((((32*MEFFTATBOT_i)*9.1093826E-31)*1.6021918E-19)*((deltaEbot*deltaEbot)*deltaEbot)))/(3*1.05457168E-34));
    btatpartsti = (sqrt(((((32*MEFFTATSTI_i)*9.1093826E-31)*1.6021918E-19)*((deltaEsti*deltaEsti)*deltaEsti)))/(3*1.05457168E-34));
    btatpartgat = (sqrt(((((32*MEFFTATGAT_i)*9.1093826E-31)*1.6021918E-19)*((deltaEgat*deltaEgat)*deltaEgat)))/(3*1.05457168E-34));
    fbbtbot = (FBBTRBOT_i*(1+(STFBBTBOT_i*(tkd-tkr))));
    fbbtsti = (FBBTRSTI_i*(1+(STFBBTSTI_i*(tkd-tkr))));
    fbbtgat = (FBBTRGAT_i*(1+(STFBBTGAT_i*(tkd-tkr))));
    fbbtbot = ((fbbtbot>0)?fbbtbot:0);
    fbbtsti = ((fbbtsti>0)?fbbtsti:0);
    fbbtgat = ((fbbtgat>0)?fbbtgat:0);
    fstopbot = (1/(1-pow(0.999,PBRBOT_i)));
    fstopsti = (1/(1-pow(0.999,PBRSTI_i)));
    fstopgat = (1/(1-pow(0.999,PBRGAT_i)));
    VBRinvbot = (1/VBRBOT_i);
    VBRinvsti = (1/VBRSTI_i);
    VBRinvgat = (1/VBRGAT_i);
    slopebot = (((-((fstopbot*fstopbot)*pow(0.999,(PBRBOT_i-1))))*PBRBOT_i)*VBRinvbot);
    slopesti = (((-((fstopsti*fstopsti)*pow(0.999,(PBRSTI_i-1))))*PBRSTI_i)*VBRinvsti);
    slopegat = (((-((fstopgat*fstopgat)*pow(0.999,(PBRGAT_i-1))))*PBRGAT_i)*VBRinvgat);
    phigrbot_s = phigrbot;
    phigrsti_s = phigrsti;
    phigrgat_s = phigrgat;
    phigdbot_s = phigdbot;
    phigdsti_s = phigdsti;
    phigdgat_s = phigdgat;
    ftdbot_s = ftdbot;
    ftdsti_s = ftdsti;
    ftdgat_s = ftdgat;
    idsatbot_s = idsatbot;
    idsatsti_s = idsatsti;
    idsatgat_s = idsatgat;
    ubibot_s = ubibot;
    ubisti_s = ubisti;
    ubigat_s = ubigat;
    vbibot_s = vbibot;
    vbisti_s = vbisti;
    vbigat_s = vbigat;
    vbiinvbot_s = vbiinvbot;
    vbiinvsti_s = vbiinvsti;
    vbiinvgat_s = vbiinvgat;
    one_minus_PBOT_s = one_minus_PBOT;
    one_minus_PSTI_s = one_minus_PSTI;
    one_minus_PGAT_s = one_minus_PGAT;
    one_over_one_minus_PBOT_s = one_over_one_minus_PBOT;
    one_over_one_minus_PSTI_s = one_over_one_minus_PSTI;
    one_over_one_minus_PGAT_s = one_over_one_minus_PGAT;
    cjobot_s = cjobot;
    cjosti_s = cjosti;
    cjogat_s = cjogat;
    qprefbot_s = qprefbot;
    qprefsti_s = qprefsti;
    qprefgat_s = qprefgat;
    qpref2bot_s = qpref2bot;
    qpref2sti_s = qpref2sti;
    qpref2gat_s = qpref2gat;
    wdepnulrbot_s = wdepnulrbot;
    wdepnulrsti_s = wdepnulrsti;
    wdepnulrgat_s = wdepnulrgat;
    wdepnulrinvbot_s = wdepnulrinvbot;
    wdepnulrinvsti_s = wdepnulrinvsti;
    wdepnulrinvgat_s = wdepnulrinvgat;
    VBIRBOTinv_s = VBIRBOTinv;
    VBIRSTIinv_s = VBIRSTIinv;
    VBIRGATinv_s = VBIRGATinv;
    deltaEbot_s = deltaEbot;
    deltaEsti_s = deltaEsti;
    deltaEgat_s = deltaEgat;
    atatbot_s = atatbot;
    atatsti_s = atatsti;
    atatgat_s = atatgat;
    btatpartbot_s = btatpartbot;
    btatpartsti_s = btatpartsti;
    btatpartgat_s = btatpartgat;
    fbbtbot_s = fbbtbot;
    fbbtsti_s = fbbtsti;
    fbbtgat_s = fbbtgat;
    fbbtbot_s = fbbtbot;
    fbbtsti_s = fbbtsti;
    fbbtgat_s = fbbtgat;
    fstopbot_s = fstopbot;
    fstopsti_s = fstopsti;
    fstopgat_s = fstopgat;
    VBRinvbot_s = VBRinvbot;
    VBRinvsti_s = VBRinvsti;
    VBRinvgat_s = VBRinvgat;
    slopebot_s = slopebot;
    slopesti_s = slopesti;
    slopegat_s = slopegat;
    phigrbot_d = (PHIGBOTD_i+deltaphigr);
    phigrsti_d = (PHIGSTID_i+deltaphigr);
    phigrgat_d = (PHIGGATD_i+deltaphigr);
    phigdbot_d = (PHIGBOTD_i+deltaphigd);
    phigdsti_d = (PHIGSTID_i+deltaphigd);
    phigdgat_d = (PHIGGATD_i+deltaphigd);
    ftdbot_d = (pow(auxt,1.5)*exp((0.5*((phigrbot_d*phitrinv)-(phigdbot_d*phitdinv)))));
    ftdsti_d = (pow(auxt,1.5)*exp((0.5*((phigrsti_d*phitrinv)-(phigdsti_d*phitdinv)))));
    ftdgat_d = (pow(auxt,1.5)*exp((0.5*((phigrgat_d*phitrinv)-(phigdgat_d*phitdinv)))));
    idsatbot_d = ((IDSATRBOTD_i*ftdbot_d)*ftdbot_d);
    idsatsti_d = ((IDSATRSTID_i*ftdsti_d)*ftdsti_d);
    idsatgat_d = ((IDSATRGATD_i*ftdgat_d)*ftdgat_d);
    ubibot_d = ((VBIRBOTD_i*auxt)-((2*phitd)*log(ftdbot_d)));
    ubisti_d = ((VBIRSTID_i*auxt)-((2*phitd)*log(ftdsti_d)));
    ubigat_d = ((VBIRGATD_i*auxt)-((2*phitd)*log(ftdgat_d)));
    vbibot_d = (ubibot_d+(phitd*log((1+exp(((0.050-ubibot_d)*phitdinv))))));
    vbisti_d = (ubisti_d+(phitd*log((1+exp(((0.050-ubisti_d)*phitdinv))))));
    vbigat_d = (ubigat_d+(phitd*log((1+exp(((0.050-ubigat_d)*phitdinv))))));
    vbiinvbot_d = (1.0/vbibot_d);
    vbiinvsti_d = (1.0/vbisti_d);
    vbiinvgat_d = (1.0/vbigat_d);
    one_minus_PBOT_d = (1-PBOTD_i);
    one_minus_PSTI_d = (1-PSTID_i);
    one_minus_PGAT_d = (1-PGATD_i);
    one_over_one_minus_PBOT_d = (1/one_minus_PBOT_d);
    one_over_one_minus_PSTI_d = (1/one_minus_PSTI_d);
    one_over_one_minus_PGAT_d = (1/one_minus_PGAT_d);
    cjobot_d = (CJORBOTD_i*pow((VBIRBOTD_i*vbiinvbot_d),PBOTD_i));
    cjosti_d = (CJORSTID_i*pow((VBIRSTID_i*vbiinvsti_d),PSTID_i));
    cjogat_d = (CJORGATD_i*pow((VBIRGATD_i*vbiinvgat_d),PGATD_i));
    qprefbot_d = ((cjobot_d*vbibot_d)*one_over_one_minus_PBOT_d);
    qprefsti_d = ((cjosti_d*vbisti_d)*one_over_one_minus_PSTI_d);
    qprefgat_d = ((cjogat_d*vbigat_d)*one_over_one_minus_PGAT_d);
    qpref2bot_d = (2*cjobot_d);
    qpref2sti_d = (2*cjosti_d);
    qpref2gat_d = (2*cjogat_d);
    wdepnulrbot_d = (EPSSI/CJORBOTD_i);
    wdepnulrsti_d = ((XJUNSTID_i*EPSSI)/CJORSTID_i);
    wdepnulrgat_d = ((XJUNGATD_i*EPSSI)/CJORGATD_i);
    wdepnulrinvbot_d = (1/wdepnulrbot_d);
    wdepnulrinvsti_d = (1/wdepnulrsti_d);
    wdepnulrinvgat_d = (1/wdepnulrgat_d);
    VBIRBOTinv_d = (1/VBIRBOTD_i);
    VBIRSTIinv_d = (1/VBIRSTID_i);
    VBIRGATinv_d = (1/VBIRGATD_i);
    deltaEbot_d = std::max((0.5*phigdbot_d),phitd);
    deltaEsti_d = std::max((0.5*phigdsti_d),phitd);
    deltaEgat_d = std::max((0.5*phigdgat_d),phitd);
    atatbot_d = (deltaEbot_d*phitdinv);
    atatsti_d = (deltaEsti_d*phitdinv);
    atatgat_d = (deltaEgat_d*phitdinv);
    btatpartbot_d = (sqrt(((((32*MEFFTATBOTD_i)*9.1093826E-31)*1.6021918E-19)*((deltaEbot_d*deltaEbot_d)*deltaEbot_d)))/(3*1.05457168E-34));
    btatpartsti_d = (sqrt(((((32*MEFFTATSTID_i)*9.1093826E-31)*1.6021918E-19)*((deltaEsti_d*deltaEsti_d)*deltaEsti_d)))/(3*1.05457168E-34));
    btatpartgat_d = (sqrt(((((32*MEFFTATGATD_i)*9.1093826E-31)*1.6021918E-19)*((deltaEgat_d*deltaEgat_d)*deltaEgat_d)))/(3*1.05457168E-34));
    fbbtbot_d = (FBBTRBOTD_i*(1+(STFBBTBOTD_i*(tkd-tkr))));
    fbbtsti_d = (FBBTRSTID_i*(1+(STFBBTSTID_i*(tkd-tkr))));
    fbbtgat_d = (FBBTRGATD_i*(1+(STFBBTGATD_i*(tkd-tkr))));
    fbbtbot_d = ((fbbtbot_d>0)?fbbtbot_d:0);
    fbbtsti_d = ((fbbtsti_d>0)?fbbtsti_d:0);
    fbbtgat_d = ((fbbtgat_d>0)?fbbtgat_d:0);
    fstopbot_d = (1/(1-pow(0.999,PBRBOTD_i)));
    fstopsti_d = (1/(1-pow(0.999,PBRSTID_i)));
    fstopgat_d = (1/(1-pow(0.999,PBRGATD_i)));
    VBRinvbot_d = (1/VBRBOTD_i);
    VBRinvsti_d = (1/VBRSTID_i);
    VBRinvgat_d = (1/VBRGATD_i);
    slopebot_d = (((-((fstopbot_d*fstopbot_d)*pow(0.999,(PBRBOTD_i-1))))*PBRBOTD_i)*VBRinvbot_d);
    slopesti_d = (((-((fstopsti_d*fstopsti_d)*pow(0.999,(PBRSTID_i-1))))*PBRSTID_i)*VBRinvsti_d);
    slopegat_d = (((-((fstopgat_d*fstopgat_d)*pow(0.999,(PBRGATD_i-1))))*PBRGATD_i)*VBRinvgat_d);
  }
  // End block initial_model


  return true;
}
//----------------------------------------------------------------------------
// Function      : Model::processInstanceParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//----------------------------------------------------------------------------
bool Model::processInstanceParams()
{

  std::vector<Instance*>::iterator iter;
  std::vector<Instance*>::iterator first = instanceContainer.begin();
  std::vector<Instance*>::iterator last  = instanceContainer.end();

  for (iter=first; iter!=last; ++iter)
  {
    (*iter)->processParams();
  }

  return true;
}

//-----------------------------------------------------------------------------
// Function      : Model::Model
// Purpose       : model block constructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::Model(
   const Configuration & configuration,
   const ModelBlock &    model_block,
   const FactoryBlock &  factory_block)
  : DeviceModel(model_block, configuration.getModelParameters(), factory_block),
    LEVEL(103),
    TYPE(1.0),
    TR(21.0),
    SWGEO(1.0),
    SWIGATE(0.0),
    SWIMPACT(0.0),
    SWGIDL(0.0),
    SWJUNCAP(0.0),
    SWJUNASYM(0.0),
    SWNUD(0.0),
    SWDELVTAC(0.0),
    QMC(1.0),
    VFB((-1.0)),
    STVFB(5.0e-4),
    TOX(2.0e-09),
    EPSROX(3.9),
    NEFF(5.0e+23),
    FACNEFFAC(1.0),
                                                                      GFACNUD(1.0),
                                                                      VSBNUD(0.0),
                                                                      DVSBNUD(1.0),
                                                                      VNSUB(0.0),
                                                                      NSLP(0.05),
                                                                      DNSUB(0.0),
                                                                      DPHIB(0.0),
                                                                      DELVTAC(0.0),
                                                                      NP(1.0e+26),
                                                                      CT(0.0),
                                                                      TOXOV(2.0e-09),
                                                                      TOXOVD(2.0e-09),
                                                                      NOV(5.0e+25),
                                                                      NOVD(5.0e+25),
                                                                      CF(0.0),
                                                                      CFB(0.0),
                                                                      BETN(7e-2),
                                                                      STBET(1.0),
                                                                      MUE(0.5),
                                                                      STMUE(0.0),
                                                                      THEMU(1.5),
                                                                      STTHEMU(1.5),
                                                                      CS(0.0),
                                                                      STCS(0.0),
                                                                      XCOR(0.0),
                                                                      STXCOR(0.0),
                                                                      FETA(1.0),
                                                                      RS(30),
                                                                      STRS(1.0),
                                                                      RSB(0.0),
                                                                      RSG(0.0),
                                                                      THESAT(1.0),
                                                                      STTHESAT(1.0),
                                                                      THESATB(0.0),
                                                                      THESATG(0.0),
                                                                      AX(3.0),
                                                                      ALP(0.01),
                                                                      ALP1(0.00),
                                                                      ALP2(0.00),
                                                                      VP(0.05),
                                                                      A1(1.0),
                                                                      A2(10.0),
                                                                      STA2(0.0),
                                                                      A3(1.0),
                                                                      A4(0.0),
                                                                      GCO(0.0),
                                                                      IGINV(0.0),
                                                                      IGOV(0.0),
                                                                      IGOVD(0.0),
                                                                      STIG(2.0),
                                                                      GC2(0.375),
                                                                      GC3(0.063),
                                                                      CHIB(3.1),
                                                                      AGIDL(0.0),
                                                                      AGIDLD(0.0),
                                                                      BGIDL(41.0),
                                                                      BGIDLD(41.0),
                                                                      STBGIDL(0.0),
                                                                      STBGIDLD(0.0),
                                                                      CGIDL(0.0),
                                                                      CGIDLD(0.0),
                                                                      COX(1.0e-14),
                                                                      CGOV(1.0e-15),
                                                                      CGOVD(1.0e-15),
                                                                      CGBOV(0.0),
                                                                      CFR(0.0),
                                                                      CFRD(0.0),
                                                                      FNT(1.0),
                                                                      NFA(8.0e+22),
                                                                      NFB(3.0e+07),
                                                                      NFC(0.0),
                                                                      EF(1.0),
                                                                      RG(0.0),
                                                                      RSE(0.0),
                                                                      RDE(0.0),
                                                                      RBULK(0.0),
                                                                      RWELL(0.0),
                                                                      RJUNS(0.0),
                                                                      RJUND(0.0),
                                                                      POVFB((-1)),
                                                                      PLVFB(0.0),
                                                                      PWVFB(0.0),
                                                                      PLWVFB(0.0),
                                                                      POSTVFB(0.0005),
                                                                      PLSTVFB(0.0),
                                                                      PWSTVFB(0.0),
                                                                      PLWSTVFB(0.0),
                                                                      POTOX(2E-09),
                                                                      POEPSROX(3.9),
                                                                      PONEFF(5E+23),
                                                                      PLNEFF(0.0),
                                                                      PWNEFF(0.0),
                                                                      PLWNEFF(0.0),
                                                                      POFACNEFFAC(1.0),
                                                                      PLFACNEFFAC(0.0),
                                                                      PWFACNEFFAC(0.0),
                                                                      PLWFACNEFFAC(0.0),
                                                                      POGFACNUD(1.0),
                                                                      PLGFACNUD(0.0),
                                                                      PWGFACNUD(0.0),
                                                                      PLWGFACNUD(0.0),
                                                                      POVSBNUD(0.0),
                                                                      PODVSBNUD(1.0),
                                                                      POVNSUB(0),
                                                                      PONSLP(0.05),
                                                                      PODNSUB(0),
                                                                      PODPHIB(0),
                                                                      PLDPHIB(0.0),
                                                                      PWDPHIB(0.0),
                                                                      PLWDPHIB(0.0),
                                                                      PODELVTAC(0),
                                                                      PLDELVTAC(0.0),
                                                                      PWDELVTAC(0.0),
                                                                      PLWDELVTAC(0.0),
                                                                      PONP(1E+26),
                                                                      PLNP(0.0),
                                                                      PWNP(0.0),
                                                                      PLWNP(0.0),
                                                                      POCT(0),
                                                                      PLCT(0.0),
                                                                      PWCT(0.0),
                                                                      PLWCT(0.0),
                                                                      POTOXOV(2E-09),
                                                                      POTOXOVD(2E-09),
                                                                      PONOV(5E+25),
                                                                      PLNOV(0.0),
                                                                      PWNOV(0.0),
                                                                      PLWNOV(0.0),
                                                                      PONOVD(5E+25),
                                                                      PLNOVD(0.0),
                                                                      PWNOVD(0.0),
                                                                      PLWNOVD(0.0),
                                                                      POCF(0),
                                                                      PLCF(0.0),
                                                                      PWCF(0.0),
                                                                      PLWCF(0.0),
                                                                      POCFB(0),
                                                                      POBETN(0.07),
                                                                      PLBETN(0.0),
                                                                      PWBETN(0.0),
                                                                      PLWBETN(0.0),
                                                                      POSTBET(1),
                                                                      PLSTBET(0.0),
                                                                      PWSTBET(0.0),
                                                                      PLWSTBET(0.0),
                                                                      POMUE(0.5),
                                                                      PLMUE(0.0),
                                                                      PWMUE(0.0),
                                                                      PLWMUE(0.0),
                                                                      POSTMUE(0),
                                                                      POTHEMU(1.5),
                                                                      POSTTHEMU(1.5),
                                                                      POCS(0),
                                                                      PLCS(0.0),
                                                                      PWCS(0.0),
                                                                      PLWCS(0.0),
                                                                      POSTCS(0),
                                                                      POXCOR(0),
                                                                      PLXCOR(0.0),
                                                                      PWXCOR(0.0),
                                                                      PLWXCOR(0.0),
                                                                      POSTXCOR(0),
                                                                      POFETA(1),
                                                                      PORS(30),
                                                                      PLRS(0.0),
                                                                      PWRS(0.0),
                                                                      PLWRS(0.0),
                                                                      POSTRS(1),
                                                                      PORSB(0),
                                                                      PORSG(0),
                                                                      POTHESAT(1),
                                                                      PLTHESAT(0.0),
                                                                      PWTHESAT(0.0),
                                                                      PLWTHESAT(0.0),
                                                                      POSTTHESAT(1),
                                                                      PLSTTHESAT(0.0),
                                                                      PWSTTHESAT(0.0),
                                                                      PLWSTTHESAT(0.0),
                                                                      POTHESATB(0),
                                                                      PLTHESATB(0.0),
                                                                      PWTHESATB(0.0),
                                                                      PLWTHESATB(0.0),
                                                                      POTHESATG(0),
                                                                      PLTHESATG(0.0),
                                                                      PWTHESATG(0.0),
                                                                      PLWTHESATG(0.0),
                                                                      POAX(3),
                                                                      PLAX(0.0),
                                                                      PWAX(0.0),
                                                                      PLWAX(0.0),
                                                                      POALP(0.01),
                                                                      PLALP(0.0),
                                                                      PWALP(0.0),
                                                                      PLWALP(0.0),
                                                                      POALP1(0),
                                                                      PLALP1(0.0),
                                                                      PWALP1(0.0),
                                                                      PLWALP1(0.0),
                                                                      POALP2(0),
                                                                      PLALP2(0.0),
                                                                      PWALP2(0.0),
                                                                      PLWALP2(0.0),
                                                                      POVP(0.05),
                                                                      POA1(1),
                                                                      PLA1(0.0),
                                                                      PWA1(0.0),
                                                                      PLWA1(0.0),
                                                                      POA2(10),
                                                                      POSTA2(0),
                                                                      POA3(1),
                                                                      PLA3(0.0),
                                                                      PWA3(0.0),
                                                                      PLWA3(0.0),
                                                                      POA4(0),
                                                                      PLA4(0.0),
                                                                      PWA4(0.0),
                                                                      PLWA4(0.0),
                                                                      POGCO(0),
                                                                      POIGINV(0),
                                                                      PLIGINV(0.0),
                                                                      PWIGINV(0.0),
                                                                      PLWIGINV(0.0),
                                                                      POIGOV(0),
                                                                      PLIGOV(0.0),
                                                                      PWIGOV(0.0),
                                                                      PLWIGOV(0.0),
                                                                      POIGOVD(0),
                                                                      PLIGOVD(0.0),
                                                                      PWIGOVD(0.0),
                                                                      PLWIGOVD(0.0),
                                                                      POSTIG(2),
                                                                      POGC2(0.375),
                                                                      POGC3(0.063),
                                                                      POCHIB(3.1),
                                                                      POAGIDL(0),
                                                                      PLAGIDL(0.0),
                                                                      PWAGIDL(0.0),
                                                                      PLWAGIDL(0.0),
                                                                      POAGIDLD(0),
                                                                      PLAGIDLD(0.0),
                                                                      PWAGIDLD(0.0),
                                                                      PLWAGIDLD(0.0),
                                                                      POBGIDL(41),
                                                                      POBGIDLD(41),
                                                                      POSTBGIDL(0),
                                                                      POSTBGIDLD(0),
                                                                      POCGIDL(0),
                                                                      POCGIDLD(0),
                                                                      POCOX(1E-14),
                                                                      PLCOX(0.0),
                                                                      PWCOX(0.0),
                                                                      PLWCOX(0.0),
                                                                      POCGOV(1E-15),
                                                                      PLCGOV(0.0),
                                                                      PWCGOV(0.0),
                                                                      PLWCGOV(0.0),
                                                                      POCGOVD(1E-15),
                                                                      PLCGOVD(0.0),
                                                                      PWCGOVD(0.0),
                                                                      PLWCGOVD(0.0),
                                                                      POCGBOV(0),
                                                                      PLCGBOV(0.0),
                                                                      PWCGBOV(0.0),
                                                                      PLWCGBOV(0.0),
                                                                      POCFR(0),
                                                                      PLCFR(0.0),
                                                                      PWCFR(0.0),
                                                                      PLWCFR(0.0),
                                                                      POCFRD(0),
                                                                      PLCFRD(0.0),
                                                                      PWCFRD(0.0),
                                                                      PLWCFRD(0.0),
                                                                      POFNT(1),
                                                                      PONFA(8E+22),
                                                                      PLNFA(0.0),
                                                                      PWNFA(0.0),
                                                                      PLWNFA(0.0),
                                                                      PONFB(3E+07),
                                                                      PLNFB(0.0),
                                                                      PWNFB(0.0),
                                                                      PLWNFB(0.0),
                                                                      PONFC(0),
                                                                      PLNFC(0.0),
                                                                      PWNFC(0.0),
                                                                      PLWNFC(0.0),
                                                                      POEF(1.0),
                                                                      POKVTHOWE(0),
                                                                      PLKVTHOWE(0),
                                                                      PWKVTHOWE(0),
                                                                      PLWKVTHOWE(0),
                                                                      POKUOWE(0),
                                                                      PLKUOWE(0),
                                                                      PWKUOWE(0),
                                                                      PLWKUOWE(0),
                                                                      LMIN(0),
                                                                      LMAX(1.0),
                                                                      WMIN(0),
                                                                      WMAX(1.0),
                                                                      LVARO(0.0),
                                                                      LVARL(0.0),
                                                                      LVARW(0.0),
                                                                      LAP(0.0),
                                                                      WVARO(0.0),
                                                                      WVARL(0.0),
                                                                      WVARW(0.0),
                                                                      WOT(0.0),
                                                                      DLQ(0.0),
                                                                      DWQ(0.0),
                                                                      VFBO((-1.0)),
                                                                      VFBL(0.0),
                                                                      VFBW(0.0),
                                                                      VFBLW(0.0),
                                                                      STVFBO(5e-4),
                                                                      STVFBL(0.0),
                                                                      STVFBW(0.0),
                                                                      STVFBLW(0.0),
                                                                      TOXO(2e-9),
                                                                      EPSROXO(3.9),
                                                                      NSUBO(3e23),
                                                                      NSUBW(0.0),
                                                                      WSEG(1e-8),
                                                                      NPCK(1e24),
                                                                      NPCKW(0.0),
                                                                      WSEGP(1e-8),
                                                                      LPCK(1e-8),
                                                                      LPCKW(0.0),
                                                                      FOL1(0.0),
                                                                      FOL2(0.0),
                                                                      FACNEFFACO(1.0),
                                                                      FACNEFFACL(0.0),
                                                                      FACNEFFACW(0.0),
                                                                      FACNEFFACLW(0.0),
                                                                      GFACNUDO(1.0),
                                                                      GFACNUDL(0.0),
                                                                      GFACNUDLEXP(1.0),
                                                                      GFACNUDW(0.0),
                                                                      GFACNUDLW(0.0),
                                                                      VSBNUDO(0.0),
                                                                      DVSBNUDO(1.0),
                                                                      VNSUBO(0.0),
                                                                      NSLPO(0.05),
                                                                      DNSUBO(0.0),
                                                                      DPHIBO(0.0),
                                                                      DPHIBL(0.0),
                                                                      DPHIBLEXP(1.0),
                                                                      DPHIBW(0.0),
                                                                      DPHIBLW(0.0),
                                                                      DELVTACO(0.0),
                                                                      DELVTACL(0.0),
                                                                      DELVTACLEXP(1.0),
                                                                      DELVTACW(0.0),
                                                                      DELVTACLW(0.0),
                                                                      NPO(1e26),
                                                                      NPL(0.0),
                                                                      CTO(0.0),
                                                                      CTL(0.0),
                                                                      CTLEXP(1.0),
                                                                      CTW(0.0),
                                                                      CTLW(0.0),
                                                                      TOXOVO(2e-9),
                                                                      TOXOVDO(2e-9),
                                                                      LOV(0),
                                                                      LOVD(0),
                                                                      NOVO(5e25),
                                                                      NOVDO(5e25),
                                                                      CFL(0.0),
                                                                      CFLEXP(2.0),
                                                                      CFW(0.0),
                                                                      CFBO(0.0),
                                                                      UO(5e-2),
                                                                      FBET1(0.0),
                                                                      FBET1W(0.0),
                                                                      LP1(1e-8),
                                                                      LP1W(0.0),
                                                                      FBET2(0.0),
                                                                      LP2(1e-8),
                                                                      BETW1(0.0),
                                                                      BETW2(0.0),
                                                                      WBET(1e-9),
                                                                      STBETO(1.0),
                                                                      STBETL(0.0),
                                                                      STBETW(0.0),
                                                                      STBETLW(0.0),
                                                                      MUEO(0.5),
                                                                      MUEW(0.0),
                                                                      STMUEO(0.0),
                                                                      THEMUO(1.5),
                                                                      STTHEMUO(1.5),
                                                                      CSO(0.0),
                                                                      CSL(0.0),
                                                                      CSLEXP(1.0),
                                                                      CSW(0.0),
                                                                      CSLW(0.0),
                                                                      STCSO(0.0),
                                                                      XCORO(0.0),
                                                                      XCORL(0.0),
                                                                      XCORW(0.0),
                                                                      XCORLW(0.0),
                                                                      STXCORO(0.0),
                                                                      FETAO(1.0),
                                                                      RSW1(50.0),
                                                                      RSW2(0.0),
                                                                      STRSO(1.0),
                                                                      RSBO(0.0),
                                                                      RSGO(0.0),
                                                                      THESATO(0.0),
                                                                      THESATL(0.05),
                                                                      THESATLEXP(1.0),
                                                                      THESATW(0.0),
                                                                      THESATLW(0.0),
                                                                      STTHESATO(1.0),
                                                                      STTHESATL(0.0),
                                                                      STTHESATW(0.0),
                                                                      STTHESATLW(0.0),
                                                                      THESATBO(0.0),
                                                                      THESATGO(0.0),
                                                                      AXO(18),
                                                                      AXL(0.4),
                                                                      ALPL(5e-4),
                                                                      ALPLEXP(1.0),
                                                                      ALPW(0.0),
                                                                      ALP1L1(0.0),
                                                                      ALP1LEXP(0.5),
                                                                      ALP1L2(0.0),
                                                                      ALP1W(0.0),
                                                                      ALP2L1(0.0),
                                                                      ALP2LEXP(0.5),
                                                                      ALP2L2(0.0),
                                                                      ALP2W(0.0),
                                                                      VPO(0.05),
                                                                      A1O(1.0),
                                                                      A1L(0.0),
                                                                      A1W(0.0),
                                                                      A2O(10),
                                                                      STA2O(0.0),
                                                                      A3O(1.0),
                                                                      A3L(0.0),
                                                                      A3W(0.0),
                                                                      A4O(0.0),
                                                                      A4L(0.0),
                                                                      A4W(0.0),
                                                                      GCOO(0.0),
                                                                      IGINVLW(0.0),
                                                                      IGOVW(0.0),
                                                                      IGOVDW(0.0),
                                                                      STIGO(2.0),
                                                                      GC2O(0.375),
                                                                      GC3O(0.063),
                                                                      CHIBO(3.1),
                                                                      AGIDLW(0.0),
                                                                      AGIDLDW(0.0),
                                                                      BGIDLO(41),
                                                                      BGIDLDO(41),
                                                                      STBGIDLO(0.0),
                                                                      STBGIDLDO(0.0),
                                                                      CGIDLO(0.0),
                                                                      CGIDLDO(0.0),
                                                                      CGBOVL(0.0),
                                                                      CFRW(0.0),
                                                                      CFRDW(0.0),
                                                                      FNTO(1.0),
                                                                      NFALW(8e22),
                                                                      NFBLW(3e7),
                                                                      NFCLW(0.0),
                                                                      EFO(1.0),
                                                                      LINTNOI(0.0),
                                                                      ALPNOI(2.0),
                                                                      KVTHOWEO(0),
                                                                      KVTHOWEL(0),
                                                                      KVTHOWEW(0),
                                                                      KVTHOWELW(0),
                                                                      KUOWEO(0),
                                                                      KUOWEL(0),
                                                                      KUOWEW(0),
                                                                      KUOWELW(0),
                                                                      RGO(0.0),
                                                                      RINT(0.0),
                                                                      RVPOLY(0.0),
                                                                      RSHG(0.0),
                                                                      DLSIL(0.0),
                                                                      RSH(0.0),
                                                                      RSHD(0.0),
                                                                      RBULKO(0.0),
                                                                      RWELLO(0.0),
                                                                      RJUNSO(0.0),
                                                                      RJUNDO(0.0),
                                                                      SAREF(1.0e-6),
                                                                      SBREF(1.0e-6),
                                                                      WLOD(0),
                                                                      KUO(0),
                                                                      KVSAT(0),
                                                                      TKUO(0),
                                                                      LKUO(0),
                                                                      WKUO(0),
                                                                      PKUO(0),
                                                                      LLODKUO(0),
                                                                      WLODKUO(0),
                                                                      KVTHO(0),
                                                                      LKVTHO(0),
                                                                      WKVTHO(0),
                                                                      PKVTHO(0),
                                                                      LLODVTH(0),
                                                                      WLODVTH(0),
                                                                      STETAO(0),
                                                                      LODETAO(1.0),
                                                                      SCREF(1.0e-6),
                                                                      WEB(0),
                                                                      WEC(0),
                                                                      IMAX(1000),
                                                                      TRJ(21),
                                                                      CJORBOT(1E-3),
                                                                      CJORSTI(1E-9),
                                                                      CJORGAT(1E-9),
                                                                      VBIRBOT(1),
                                                                      VBIRSTI(1),
                                                                      VBIRGAT(1),
                                                                      PBOT(0.5),
                                                                      PSTI(0.5),
                                                                      PGAT(0.5),
                                                                      PHIGBOT(1.16),
                                                                      PHIGSTI(1.16),
                                                                      PHIGGAT(1.16),
                                                                      IDSATRBOT(1E-12),
                                                                      IDSATRSTI(1E-18),
                                                                      IDSATRGAT(1E-18),
                                                                      CSRHBOT(1E2),
                                                                      CSRHSTI(1E-4),
                                                                      CSRHGAT(1E-4),
                                                                      XJUNSTI(100E-9),
                                                                      XJUNGAT(100E-9),
                                                                      CTATBOT(1E2),
                                                                      CTATSTI(1E-4),
                                                                      CTATGAT(1E-4),
                                                                      MEFFTATBOT(0.25),
                                                                      MEFFTATSTI(0.25),
                                                                      MEFFTATGAT(0.25),
                                                                      CBBTBOT(1E-12),
                                                                      CBBTSTI(1E-18),
                                                                      CBBTGAT(1E-18),
                                                                      FBBTRBOT(1E9),
                                                                      FBBTRSTI(1E9),
                                                                      FBBTRGAT(1E9),
                                                                      STFBBTBOT((-1E-3)),
                                                                      STFBBTSTI((-1E-3)),
                                                                      STFBBTGAT((-1E-3)),
                                                                      VBRBOT(10),
                                                                      VBRSTI(10),
                                                                      VBRGAT(10),
                                                                      PBRBOT(4),
                                                                      PBRSTI(4),
                                                                      PBRGAT(4),
                                                                      CJORBOTD(1E-3),
                                                                      CJORSTID(1E-9),
                                                                      CJORGATD(1E-9),
                                                                      VBIRBOTD(1),
                                                                      VBIRSTID(1),
                                                                      VBIRGATD(1),
                                                                      PBOTD(0.5),
                                                                      PSTID(0.5),
                                                                      PGATD(0.5),
                                                                      PHIGBOTD(1.16),
                                                                      PHIGSTID(1.16),
                                                                      PHIGGATD(1.16),
                                                                      IDSATRBOTD(1E-12),
                                                                      IDSATRSTID(1E-18),
                                                                      IDSATRGATD(1E-18),
                                                                      CSRHBOTD(1E2),
                                                                      CSRHSTID(1E-4),
                                                                      CSRHGATD(1E-4),
                                                                      XJUNSTID(100E-9),
                                                                      XJUNGATD(100E-9),
                                                                      CTATBOTD(1E2),
                                                                      CTATSTID(1E-4),
                                                                      CTATGATD(1E-4),
                                                                      MEFFTATBOTD(0.25),
                                                                      MEFFTATSTID(0.25),
                                                                      MEFFTATGATD(0.25),
                                                                      CBBTBOTD(1E-12),
                                                                      CBBTSTID(1E-18),
                                                                      CBBTGATD(1E-18),
                                                                      FBBTRBOTD(1E9),
                                                                      FBBTRSTID(1E9),
                                                                      FBBTRGATD(1E9),
                                                                      STFBBTBOTD((-1E-3)),
                                                                      STFBBTSTID((-1E-3)),
                                                                      STFBBTGATD((-1E-3)),
                                                                      VBRBOTD(10),
                                                                      VBRSTID(10),
                                                                      VBRGATD(10),
                                                                      PBRBOTD(4),
                                                                      PBRSTID(4),
                                                                      PBRGATD(4),
                                                                      SWJUNEXP(0.0),
                                                                      VJUNREF(2.5),
                                                                      FJUNQ(0.03),
                                                                      VJUNREFD(2.5),
                                                                      FJUNQD(0.03),
                                                                      DTA(0.0),
                                                                      NSUBO_i(0.0),
                                                                      WSEG_i(0.0),
                                                                      NPCK_i(0.0),
                                                                      WSEGP_i(0.0),
                                                                      LPCK_i(0.0),
                                                                      LOV_i(0.0),
                                                                      LOVD_i(0.0),
                                                                      LP1_i(0.0),
                                                                      LP2_i(0.0),
                                                                      WBET_i(0.0),
                                                                      AXL_i(0.0),
                                                                      ALP1L2_i(0.0),
                                                                      ALP2L2_i(0.0),
                                                                      TOXO_i(0.0),
                                                                      TOXOVO_i(0.0),
                                                                      TOXOVDO_i(0.0),
                                                                      EPSROXO_i(0.0),
                                                                      RINT_i(0.0),
                                                                      RVPOLY_i(0.0),
                                                                      RSHG_i(0.0),
                                                                      RSH_i(0.0),
                                                                      RSHD_i(0.0),
                                                                      SAREF_i(0.0),
                                                                      SBREF_i(0.0),
                                                                      KVSAT_i(0.0),
                                                                      LLODKUO_i(0.0),
                                                                      WLODKUO_i(0.0),
                                                                      LLODVTH_i(0.0),
                                                                      WLODVTH_i(0.0),
                                                                      LODETAO_i(0.0),
                                                                      SCREF_i(0.0),
                                                                      WEB_i(0.0),
                                                                      WEC_i(0.0),
                                                                      QMC_i(0.0),
                                                                      TKD(0.0),
                                                                      dT(0.0),
                                                                      rT(0.0),
                                                                      rTn(0.0),
                                                                      EPSSI(0.0),
                                                                      phit(0.0),
                                                                      inv_phit(0.0),
                                                                      Eg(0.0),
                                                                      phibFac(0.0),
                                                                      nt0(0.0),
                                                                      CHNL_TYPE(0),
                                                                      SWGEO_i(0),
                                                                      SWIGATE_i(0),
                                                                      SWIMPACT_i(0),
                                                                      SWGIDL_i(0),
                                                                      SWJUNCAP_i(0),
                                                                      SWJUNASYM_i(0),
                                                                      SWNUD_i(0),
                                                                      SWDELVTAC_i(0),
                                                                      IMAX_i(0.0),
                                                                      CJORBOT_i(0.0),
                                                                      CJORSTI_i(0.0),
                                                                      CJORGAT_i(0.0),
                                                                      VBIRBOT_i(0.0),
                                                                      VBIRSTI_i(0.0),
                                                                      VBIRGAT_i(0.0),
                                                                      PBOT_i(0.0),
                                                                      PSTI_i(0.0),
                                                                      PGAT_i(0.0),
                                                                      PHIGBOT_i(0.0),
                                                                      PHIGSTI_i(0.0),
                                                                      PHIGGAT_i(0.0),
                                                                      IDSATRBOT_i(0.0),
                                                                      IDSATRSTI_i(0.0),
                                                                      IDSATRGAT_i(0.0),
                                                                      XJUNSTI_i(0.0),
                                                                      XJUNGAT_i(0.0),
                                                                      CSRHBOT_i(0.0),
                                                                      CSRHSTI_i(0.0),
                                                                      CSRHGAT_i(0.0),
                                                                      CTATBOT_i(0.0),
                                                                      CTATSTI_i(0.0),
                                                                      CTATGAT_i(0.0),
                                                                      MEFFTATBOT_i(0.0),
                                                                      MEFFTATSTI_i(0.0),
                                                                      MEFFTATGAT_i(0.0),
                                                                      CBBTBOT_i(0.0),
                                                                      CBBTSTI_i(0.0),
                                                                      CBBTGAT_i(0.0),
                                                                      FBBTRBOT_i(0.0),
                                                                      FBBTRSTI_i(0.0),
                                                                      FBBTRGAT_i(0.0),
                                                                      STFBBTBOT_i(0.0),
                                                                      STFBBTSTI_i(0.0),
                                                                      STFBBTGAT_i(0.0),
                                                                      VBRBOT_i(0.0),
                                                                      VBRSTI_i(0.0),
                                                                      VBRGAT_i(0.0),
                                                                      PBRBOT_i(0.0),
                                                                      PBRSTI_i(0.0),
                                                                      PBRGAT_i(0.0),
                                                                      SWJUNEXP_i(0.0),
                                                                      VJUNREF_i(0.0),
                                                                      FJUNQ_i(0.0),
                                                                      phitr(0.0),
                                                                      phitd(0.0),
                                                                      phitdinv(0.0),
                                                                      perfc(0.0),
                                                                      berfc(0.0),
                                                                      cerfc(0.0),
                                                                      phigrbot(0.0),
                                                                      phigrsti(0.0),
                                                                      phigrgat(0.0),
                                                                      phigdbot(0.0),
                                                                      phigdsti(0.0),
                                                                      phigdgat(0.0),
                                                                      ftdbot(0.0),
                                                                      ftdsti(0.0),
                                                                      ftdgat(0.0),
                                                                      idsatbot(0.0),
                                                                      idsatsti(0.0),
                                                                      idsatgat(0.0),
                                                                      ubibot(0.0),
                                                                      ubisti(0.0),
                                                                      ubigat(0.0),
                                                                      vbibot(0.0),
                                                                      vbisti(0.0),
                                                                      vbigat(0.0),
                                                                      vbiinvbot(0.0),
                                                                      vbiinvsti(0.0),
                                                                      vbiinvgat(0.0),
                                                                      one_minus_PBOT(0.0),
                                                                      one_minus_PSTI(0.0),
                                                                      one_minus_PGAT(0.0),
                                                                      one_over_one_minus_PBOT(0.0),
                                                                      one_over_one_minus_PSTI(0.0),
                                                                      one_over_one_minus_PGAT(0.0),
                                                                      cjobot(0.0),
                                                                      cjosti(0.0),
                                                                      cjogat(0.0),
                                                                      qprefbot(0.0),
                                                                      qprefsti(0.0),
                                                                      qprefgat(0.0),
                                                                      qpref2bot(0.0),
                                                                      qpref2sti(0.0),
                                                                      qpref2gat(0.0),
                                                                      wdepnulrbot(0.0),
                                                                      wdepnulrsti(0.0),
                                                                      wdepnulrgat(0.0),
                                                                      wdepnulrinvbot(0.0),
                                                                      wdepnulrinvsti(0.0),
                                                                      wdepnulrinvgat(0.0),
                                                                      VBIRBOTinv(0.0),
                                                                      VBIRSTIinv(0.0),
                                                                      VBIRGATinv(0.0),
                                                                      deltaEbot(0.0),
                                                                      deltaEsti(0.0),
                                                                      deltaEgat(0.0),
                                                                      atatbot(0.0),
                                                                      atatsti(0.0),
                                                                      atatgat(0.0),
                                                                      btatpartbot(0.0),
                                                                      btatpartsti(0.0),
                                                                      btatpartgat(0.0),
                                                                      fbbtbot(0.0),
                                                                      fbbtsti(0.0),
                                                                      fbbtgat(0.0),
                                                                      fstopbot(0.0),
                                                                      fstopsti(0.0),
                                                                      fstopgat(0.0),
                                                                      VBRinvbot(0.0),
                                                                      VBRinvsti(0.0),
                                                                      VBRinvgat(0.0),
                                                                      slopebot(0.0),
                                                                      slopesti(0.0),
                                                                      slopegat(0.0),
                                                                      CJORBOTS_i(0.0),
                                                                      CJORSTIS_i(0.0),
                                                                      CJORGATS_i(0.0),
                                                                      VBIRBOTS_i(0.0),
                                                                      VBIRSTIS_i(0.0),
                                                                      VBIRGATS_i(0.0),
                                                                      PBOTS_i(0.0),
                                                                      PSTIS_i(0.0),
                                                                      PGATS_i(0.0),
                                                                      PHIGBOTS_i(0.0),
                                                                      PHIGSTIS_i(0.0),
                                                                      PHIGGATS_i(0.0),
                                                                      IDSATRBOTS_i(0.0),
                                                                      IDSATRSTIS_i(0.0),
                                                                      IDSATRGATS_i(0.0),
                                                                      XJUNSTIS_i(0.0),
                                                                      XJUNGATS_i(0.0),
                                                                      CSRHBOTS_i(0.0),
                                                                      CSRHSTIS_i(0.0),
                                                                      CSRHGATS_i(0.0),
                                                                      CTATBOTS_i(0.0),
                                                                      CTATSTIS_i(0.0),
                                                                      CTATGATS_i(0.0),
                                                                      MEFFTATBOTS_i(0.0),
                                                                      MEFFTATSTIS_i(0.0),
                                                                      MEFFTATGATS_i(0.0),
                                                                      CBBTBOTS_i(0.0),
                                                                      CBBTSTIS_i(0.0),
                                                                      CBBTGATS_i(0.0),
                                                                      FBBTRBOTS_i(0.0),
                                                                      FBBTRSTIS_i(0.0),
                                                                      FBBTRGATS_i(0.0),
                                                                      STFBBTBOTS_i(0.0),
                                                                      STFBBTSTIS_i(0.0),
                                                                      STFBBTGATS_i(0.0),
                                                                      VBRBOTS_i(0.0),
                                                                      VBRSTIS_i(0.0),
                                                                      VBRGATS_i(0.0),
                                                                      PBRBOTS_i(0.0),
                                                                      PBRSTIS_i(0.0),
                                                                      PBRGATS_i(0.0),
                                                                      CJORBOTD_i(0.0),
                                                                      CJORSTID_i(0.0),
                                                                      CJORGATD_i(0.0),
                                                                      VBIRBOTD_i(0.0),
                                                                      VBIRSTID_i(0.0),
                                                                      VBIRGATD_i(0.0),
                                                                      PBOTD_i(0.0),
                                                                      PSTID_i(0.0),
                                                                      PGATD_i(0.0),
                                                                      PHIGBOTD_i(0.0),
                                                                      PHIGSTID_i(0.0),
                                                                      PHIGGATD_i(0.0),
                                                                      IDSATRBOTD_i(0.0),
                                                                      IDSATRSTID_i(0.0),
                                                                      IDSATRGATD_i(0.0),
                                                                      XJUNSTID_i(0.0),
                                                                      XJUNGATD_i(0.0),
                                                                      CSRHBOTD_i(0.0),
                                                                      CSRHSTID_i(0.0),
                                                                      CSRHGATD_i(0.0),
                                                                      CTATBOTD_i(0.0),
                                                                      CTATSTID_i(0.0),
                                                                      CTATGATD_i(0.0),
                                                                      MEFFTATBOTD_i(0.0),
                                                                      MEFFTATSTID_i(0.0),
                                                                      MEFFTATGATD_i(0.0),
                                                                      CBBTBOTD_i(0.0),
                                                                      CBBTSTID_i(0.0),
                                                                      CBBTGATD_i(0.0),
                                                                      FBBTRBOTD_i(0.0),
                                                                      FBBTRSTID_i(0.0),
                                                                      FBBTRGATD_i(0.0),
                                                                      STFBBTBOTD_i(0.0),
                                                                      STFBBTSTID_i(0.0),
                                                                      STFBBTGATD_i(0.0),
                                                                      VBRBOTD_i(0.0),
                                                                      VBRSTID_i(0.0),
                                                                      VBRGATD_i(0.0),
                                                                      PBRBOTD_i(0.0),
                                                                      PBRSTID_i(0.0),
                                                                      PBRGATD_i(0.0),
                                                                      VJUNREFS_i(0.0),
                                                                      FJUNQS_i(0.0),
                                                                      VJUNREFD_i(0.0),
                                                                      FJUNQD_i(0.0),
                                                                      phigrbot_s(0.0),
                                                                      phigrsti_s(0.0),
                                                                      phigrgat_s(0.0),
                                                                      phigdbot_s(0.0),
                                                                      phigdsti_s(0.0),
                                                                      phigdgat_s(0.0),
                                                                      ftdbot_s(0.0),
                                                                      ftdsti_s(0.0),
                                                                      ftdgat_s(0.0),
                                                                      idsatbot_s(0.0),
                                                                      idsatsti_s(0.0),
                                                                      idsatgat_s(0.0),
                                                                      ubibot_s(0.0),
                                                                      ubisti_s(0.0),
                                                                      ubigat_s(0.0),
                                                                      vbibot_s(0.0),
                                                                      vbisti_s(0.0),
                                                                      vbigat_s(0.0),
                                                                      vbiinvbot_s(0.0),
                                                                      vbiinvsti_s(0.0),
                                                                      vbiinvgat_s(0.0),
                                                                      one_minus_PBOT_s(0.0),
                                                                      one_minus_PSTI_s(0.0),
                                                                      one_minus_PGAT_s(0.0),
                                                                      one_over_one_minus_PBOT_s(0.0),
                                                                      one_over_one_minus_PSTI_s(0.0),
                                                                      one_over_one_minus_PGAT_s(0.0),
                                                                      cjobot_s(0.0),
                                                                      cjosti_s(0.0),
                                                                      cjogat_s(0.0),
                                                                      qprefbot_s(0.0),
                                                                      qprefsti_s(0.0),
                                                                      qprefgat_s(0.0),
                                                                      qpref2bot_s(0.0),
                                                                      qpref2sti_s(0.0),
                                                                      qpref2gat_s(0.0),
                                                                      wdepnulrbot_s(0.0),
                                                                      wdepnulrsti_s(0.0),
                                                                      wdepnulrgat_s(0.0),
                                                                      wdepnulrinvbot_s(0.0),
                                                                      wdepnulrinvsti_s(0.0),
                                                                      wdepnulrinvgat_s(0.0),
                                                                      VBIRBOTinv_s(0.0),
                                                                      VBIRSTIinv_s(0.0),
                                                                      VBIRGATinv_s(0.0),
                                                                      deltaEbot_s(0.0),
                                                                      deltaEsti_s(0.0),
                                                                      deltaEgat_s(0.0),
                                                                      atatbot_s(0.0),
                                                                      atatsti_s(0.0),
                                                                      atatgat_s(0.0),
                                                                      btatpartbot_s(0.0),
                                                                      btatpartsti_s(0.0),
                                                                      btatpartgat_s(0.0),
                                                                      fbbtbot_s(0.0),
                                                                      fbbtsti_s(0.0),
                                                                      fbbtgat_s(0.0),
                                                                      fstopbot_s(0.0),
                                                                      fstopsti_s(0.0),
                                                                      fstopgat_s(0.0),
                                                                      VBRinvbot_s(0.0),
                                                                      VBRinvsti_s(0.0),
                                                                      VBRinvgat_s(0.0),
                                                                      slopebot_s(0.0),
                                                                      slopesti_s(0.0),
                                                                      slopegat_s(0.0),
                                                                      phigrbot_d(0.0),
                                                                      phigrsti_d(0.0),
                                                                      phigrgat_d(0.0),
                                                                      phigdbot_d(0.0),
                                                                      phigdsti_d(0.0),
                                                                      phigdgat_d(0.0),
                                                                      ftdbot_d(0.0),
                                                                      ftdsti_d(0.0),
                                                                      ftdgat_d(0.0),
                                                                      idsatbot_d(0.0),
                                                                      idsatsti_d(0.0),
                                                                      idsatgat_d(0.0),
                                                                      ubibot_d(0.0),
                                                                      ubisti_d(0.0),
                                                                      ubigat_d(0.0),
                                                                      vbibot_d(0.0),
                                                                      vbisti_d(0.0),
                                                                      vbigat_d(0.0),
                                                                      vbiinvbot_d(0.0),
                                                                      vbiinvsti_d(0.0),
                                                                      vbiinvgat_d(0.0),
                                                                      one_minus_PBOT_d(0.0),
                                                                      one_minus_PSTI_d(0.0),
                                                                      one_minus_PGAT_d(0.0),
                                                                      one_over_one_minus_PBOT_d(0.0),
                                                                      one_over_one_minus_PSTI_d(0.0),
                                                                      one_over_one_minus_PGAT_d(0.0),
                                                                      cjobot_d(0.0),
                                                                      cjosti_d(0.0),
                                                                      cjogat_d(0.0),
                                                                      qprefbot_d(0.0),
                                                                      qprefsti_d(0.0),
                                                                      qprefgat_d(0.0),
                                                                      qpref2bot_d(0.0),
                                                                      qpref2sti_d(0.0),
                                                                      qpref2gat_d(0.0),
                                                                      wdepnulrbot_d(0.0),
                                                                      wdepnulrsti_d(0.0),
                                                                      wdepnulrgat_d(0.0),
                                                                      wdepnulrinvbot_d(0.0),
                                                                      wdepnulrinvsti_d(0.0),
                                                                      wdepnulrinvgat_d(0.0),
                                                                      VBIRBOTinv_d(0.0),
                                                                      VBIRSTIinv_d(0.0),
                                                                      VBIRGATinv_d(0.0),
                                                                      deltaEbot_d(0.0),
                                                                      deltaEsti_d(0.0),
                                                                      deltaEgat_d(0.0),
                                                                      atatbot_d(0.0),
                                                                      atatsti_d(0.0),
                                                                      atatgat_d(0.0),
                                                                      btatpartbot_d(0.0),
                                                                      btatpartsti_d(0.0),
                                                                      btatpartgat_d(0.0),
                                                                      fbbtbot_d(0.0),
                                                                      fbbtsti_d(0.0),
                                                                      fbbtgat_d(0.0),
                                                                      fstopbot_d(0.0),
                                                                      fstopsti_d(0.0),
                                                                      fstopgat_d(0.0),
                                                                      VBRinvbot_d(0.0),
                                                                      VBRinvsti_d(0.0),
                                                                      VBRinvgat_d(0.0),
                                                                      slopebot_d(0.0),
                                                                      slopesti_d(0.0),
                                                                      slopegat_d(0.0)
{
  // Set params to constant default values (from parTable):
  setDefaultParams();

  // Set params according to .model line and constant defaults from metadata:
  setModParams(model_block.params);

  // Set any non-constant parameter defaults:
  // Set any parameters that were not given and whose defaults depend on other
  // parameters:


  if (!given("XYCEADMSMODTEMP"))
    admsModTemp=getDeviceOptions().temp.getImmutableValue<double>();

  // Calculate any parameters specified as expressions:

  updateDependentParameters();

  // Manually added code:
  if (getType() == "pmos" || getType() == "PMOS")
    TYPE = -1;


  // calculate dependent (ie computed) params and check for errors:
  processParams();
}

//-----------------------------------------------------------------------------
// Function      : Model::~Model
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::~Model()
{
  std::vector<Instance*>::iterator iterI;
  std::vector<Instance*>::iterator firstI = instanceContainer.begin ();
  std::vector<Instance*>::iterator lastI  = instanceContainer.end ();

  // loop over instances:
  for (iterI = firstI; iterI != lastI; ++iterI)
  {
    delete (*iterI);
  }
}

//-----------------------------------------------------------------------------
// Function      : Model::printOutInstances
// Purpose       : debugging tool.
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
std::ostream &Model::printOutInstances(std::ostream &os) const
{
  std::vector<Instance*>::const_iterator iter;
  std::vector<Instance*>::const_iterator first = instanceContainer.begin();
  std::vector<Instance*>::const_iterator last  = instanceContainer.end();

  int i;
  os << std::endl;
  os << "    name     model name  Parameters" << std::endl;
  for (i=0, iter=first; iter!=last; ++iter, ++i)
  {
    os << "  " << i << ": " << (*iter)->getName() << "      ";
    os << getName();

    os << std::endl;
    os << "L  =  " << (*iter)->L << std::endl;
    os << "W  =  " << (*iter)->W << std::endl;
    os << "SA  =  " << (*iter)->SA << std::endl;
    os << "SB  =  " << (*iter)->SB << std::endl;
    os << "SD  =  " << (*iter)->SD << std::endl;
    os << "SCA  =  " << (*iter)->SCA << std::endl;
    os << "SCB  =  " << (*iter)->SCB << std::endl;
    os << "SCC  =  " << (*iter)->SCC << std::endl;
    os << "SC  =  " << (*iter)->SC << std::endl;
    os << "NF  =  " << (*iter)->NF << std::endl;
    os << "NGCON  =  " << (*iter)->NGCON << std::endl;
    os << "XGW  =  " << (*iter)->XGW << std::endl;
    os << "NRS  =  " << (*iter)->NRS << std::endl;
    os << "NRD  =  " << (*iter)->NRD << std::endl;
    os << "JW  =  " << (*iter)->JW << std::endl;
    os << "DELVTO  =  " << (*iter)->DELVTO << std::endl;
    os << "FACTUO  =  " << (*iter)->FACTUO << std::endl;
    os << "ABSOURCE  =  " << (*iter)->ABSOURCE << std::endl;
    os << "LSSOURCE  =  " << (*iter)->LSSOURCE << std::endl;
    os << "LGSOURCE  =  " << (*iter)->LGSOURCE << std::endl;
    os << "ABDRAIN  =  " << (*iter)->ABDRAIN << std::endl;
    os << "LSDRAIN  =  " << (*iter)->LSDRAIN << std::endl;
    os << "LGDRAIN  =  " << (*iter)->LGDRAIN << std::endl;
    os << "AS  =  " << (*iter)->AS << std::endl;
    os << "PS  =  " << (*iter)->PS << std::endl;
    os << "AD  =  " << (*iter)->AD << std::endl;
    os << "PD  =  " << (*iter)->PD << std::endl;
    os << "MULT  =  " << (*iter)->MULT << std::endl;
    os << std::endl;
  }

  os << std::endl;

  return os;
}

//-----------------------------------------------------------------------------
// Function      : Model::forEachInstance
// Purpose       : 
// Special Notes :
// Scope         : public
// Creator       : David Baur
// Creation Date : 2/4/2014
//-----------------------------------------------------------------------------
/// Apply a device instance "op" to all instances associated with this
/// model
/// 
/// @param[in] op Operator to apply to all instances.
/// 
/// 
void Model::forEachInstance(DeviceInstanceOp &op) const /* override */ 
{
  for (std::vector<Instance *>::const_iterator it = instanceContainer.begin(); it != instanceContainer.end(); ++it)
    op(*it);
}

Device *Traits::factory(const Configuration &configuration, const FactoryBlock &factory_block)
{
  return new DeviceMaster<Traits>(configuration, factory_block, factory_block.solverState_, factory_block.deviceOptions_);
}

void registerDevice()
{
  Config<Traits>::addConfiguration()
    .registerDevice("m", 103)
    .registerModelType("nmos", 103)
    .registerModelType("pmos", 103);
}



} // namespace ADMSPSP103VA
} // namespace Device
} // namespace Xyce
