
//-----------------------------------------------------------------------------
// Copyright Notice
//
//   Copyright 2002 Sandia Corporation. Under the terms
//   of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S.
//   Government retains certain rights in this software.
//
//    Xyce(TM) Parallel Electrical Simulator
//    Copyright (C) 2002-2014 Sandia Corporation
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------

//-------------------------------------------------------------------------
// Filename       : $RCSfile: N_DEV_ADMSbsimcmg.C,v $
//
// Purpose        :
//
// Special Notes  : Generated from verilog file bsimcmg.va with ADMS
//                  interface for Xyce 6.1.0
//                  DO NOT EDIT THIS FILE DIRECTLY!  It may be overwritten!
//
// Creator        : admsXml-2.3.0
//
// Creation Date  : Mon, 02 Jun 2014 11:31:50
//
// Revision Information:
// ---------------------
//
// Revision Number: $Revision: 1.28 $
//
// Revision Date  : $Date: 2014/06/02 17:46:47 $
//
// Current Owner  : $Author: tvrusso $
//-------------------------------------------------------------------------

#include <Xyce_config.h>
#include <N_DEV_ADMSbsimcmg.h>


#include <N_UTL_Misc.h>

#include <N_DEV_Const.h>
#include <N_DEV_DeviceOptions.h>
#include <N_DEV_DeviceMaster.h>
#include <N_DEV_ExternData.h>
#include <N_DEV_MatrixLoadData.h>
#include <N_DEV_SolverState.h>
#include <N_DEV_Message.h>

#include <N_LAS_Matrix.h>
#include <N_LAS_Vector.h>

namespace Xyce {
namespace Device {
namespace ADMSbsimcmg {
std::vector< std::vector<int> > Instance::jacStamp;
std::vector<int> Instance::jacMap;
std::vector< std::vector<int> > Instance::jacMap2;


void
Traits::loadInstanceParameters(ParametricData<ADMSbsimcmg::Instance> &p)
{
  // Set up each parameter directly, using the up-cased variable name
  // as the tag.

  // This kludge is to force us always to have an instance parameter
  // that the device manager can set to the temperature, even if we have
  // no "TEMP".
  p.addPar("XYCEADMSINSTTEMP", 0.0, &ADMSbsimcmg::Instance::admsInstTemp)
    .setExpressionAccess(NO_DOC)
    .setUnit(U_DEGK)
    .setCategory(CAT_TEMP)
    .setDescription("Internal-use parameter for setting device instance temperature");
  p.addPar("L", static_cast<double>(30*1.0e-9), &ADMSbsimcmg::Instance::L)
    .setDescription("Designed Gate Length");
  p.addPar("D", static_cast<double>(40*1.0e-9), &ADMSbsimcmg::Instance::D)
    .setDescription("Diameter of the cylinder (GEOMOD=3)");
  p.addPar("TFIN", static_cast<double>(15*1.0e-9), &ADMSbsimcmg::Instance::TFIN)
    .setDescription("Body (Fin) thickness");
  p.addPar("FPITCH", static_cast<double>(80*1.0e-9), &ADMSbsimcmg::Instance::FPITCH)
    .setDescription("Fin pitch");
  p.addPar("NFIN", static_cast<double>(1.0), &ADMSbsimcmg::Instance::NFIN)
    .setDescription("Number of fins per finger (real number enables optimization)");
  p.addPar("NGCON", static_cast<int>(1), &ADMSbsimcmg::Instance::NGCON)
    .setDescription("number of gate contact (1 or 2 sided)");
  p.addPar("ASEO", static_cast<double>(0), &ADMSbsimcmg::Instance::ASEO)
    .setDescription("Source to substrate overlap area through oxide");
  p.addPar("ADEO", static_cast<double>(0), &ADMSbsimcmg::Instance::ADEO)
    .setDescription("Drain to substrate overlap area through oxide");
  p.addPar("PSEO", static_cast<double>(0), &ADMSbsimcmg::Instance::PSEO)
    .setDescription("Perimeter of source to substrate overlap region through oxide");
  p.addPar("PDEO", static_cast<double>(0), &ADMSbsimcmg::Instance::PDEO)
    .setDescription("Perimeter of drain to substrate overlap region through oxide");
  p.addPar("ASEJ", static_cast<double>(0), &ADMSbsimcmg::Instance::ASEJ)
    .setDescription("Source junction area (BULKMOD=1)");
  p.addPar("ADEJ", static_cast<double>(0), &ADMSbsimcmg::Instance::ADEJ)
    .setDescription("Drain junction area (BULKMOD=1)");
  p.addPar("PSEJ", static_cast<double>(0), &ADMSbsimcmg::Instance::PSEJ)
    .setDescription("Source to substrate PN junction perimeter (BULKMOD=1)");
  p.addPar("PDEJ", static_cast<double>(0), &ADMSbsimcmg::Instance::PDEJ)
    .setDescription("Drain to substrate PN junction perimeter (BULKMOD=1)");
  p.addPar("COVS", static_cast<double>(0), &ADMSbsimcmg::Instance::COVS)
    .setDescription("Constant g/s overlap capacitance (CGEOMOD=1)");
  p.addPar("COVD", 0.0, &ADMSbsimcmg::Instance::COVD)
    .setDescription("Constant g/d overlap capacitance (CGEOMOD=1)");
  p.addPar("CGSP", static_cast<double>(0.0), &ADMSbsimcmg::Instance::CGSP)
    .setDescription("Constant gate-to-source fringe capacitance (CGEOMOD=1)");
  p.addPar("CGDP", static_cast<double>(0.0), &ADMSbsimcmg::Instance::CGDP)
    .setDescription("Constant gate-to-drain fringe capacitance (CGEOMOD=1)");
  p.addPar("CDSP", static_cast<double>(0.0), &ADMSbsimcmg::Instance::CDSP)
    .setDescription("Constant drain-to-source fringe capacitance (All CGEOMOD)");
  p.addPar("NRS", static_cast<double>(0.0), &ADMSbsimcmg::Instance::NRS)
    .setDescription("Number of source diffusion squares");
  p.addPar("NRD", static_cast<double>(0.0), &ADMSbsimcmg::Instance::NRD)
    .setDescription("Number of source diffusion squares");
  p.addPar("LRSD", 0.0, &ADMSbsimcmg::Instance::LRSD)
    .setDescription("Length of the source/drain");


}

void Traits::loadModelParameters(ParametricData<ADMSbsimcmg::Model> &p)
{
  // Set up each parameter directly, using the up-cased variable name
  // as the tag.

  // This kludge is to force us always to have a model parameter
  // that the device manager can set to the temperature, even if we have
  // no "TEMP".
  p.addPar("XYCEADMSMODTEMP", 0.0, &ADMSbsimcmg::Model::admsModTemp)
    .setExpressionAccess(NO_DOC)
    .setUnit(U_DEGK)
    .setCategory(CAT_TEMP)
    .setDescription("Internal-use parameter for setting device model temperature");
  p.addPar("L", static_cast<double>(30*1.0e-9), &ADMSbsimcmg::Model::L)
    .setDescription("Designed Gate Length");
  p.addPar("D", static_cast<double>(40*1.0e-9), &ADMSbsimcmg::Model::D)
    .setDescription("Diameter of the cylinder (GEOMOD=3)");
  p.addPar("TFIN", static_cast<double>(15*1.0e-9), &ADMSbsimcmg::Model::TFIN)
    .setDescription("Body (Fin) thickness");
  p.addPar("FPITCH", static_cast<double>(80*1.0e-9), &ADMSbsimcmg::Model::FPITCH)
    .setDescription("Fin pitch");
  p.addPar("NF", static_cast<int>(1), &ADMSbsimcmg::Model::NF)
    .setDescription("Number of fingers");
  p.addPar("NFIN", static_cast<double>(1.0), &ADMSbsimcmg::Model::NFIN)
    .setDescription("Number of fins per finger (real number enables optimization)");
  p.addPar("NGCON", static_cast<int>(1), &ADMSbsimcmg::Model::NGCON)
    .setDescription("number of gate contact (1 or 2 sided)");
  p.addPar("ASEO", static_cast<double>(0), &ADMSbsimcmg::Model::ASEO)
    .setDescription("Source to substrate overlap area through oxide");
  p.addPar("ADEO", static_cast<double>(0), &ADMSbsimcmg::Model::ADEO)
    .setDescription("Drain to substrate overlap area through oxide");
  p.addPar("PSEO", static_cast<double>(0), &ADMSbsimcmg::Model::PSEO)
    .setDescription("Perimeter of source to substrate overlap region through oxide");
  p.addPar("PDEO", static_cast<double>(0), &ADMSbsimcmg::Model::PDEO)
    .setDescription("Perimeter of drain to substrate overlap region through oxide");
  p.addPar("ASEJ", static_cast<double>(0), &ADMSbsimcmg::Model::ASEJ)
    .setDescription("Source junction area (BULKMOD=1)");
  p.addPar("ADEJ", static_cast<double>(0), &ADMSbsimcmg::Model::ADEJ)
    .setDescription("Drain junction area (BULKMOD=1)");
  p.addPar("PSEJ", static_cast<double>(0), &ADMSbsimcmg::Model::PSEJ)
    .setDescription("Source to substrate PN junction perimeter (BULKMOD=1)");
  p.addPar("PDEJ", static_cast<double>(0), &ADMSbsimcmg::Model::PDEJ)
    .setDescription("Drain to substrate PN junction perimeter (BULKMOD=1)");
  p.addPar("COVS", static_cast<double>(0), &ADMSbsimcmg::Model::COVS)
    .setDescription("Constant g/s overlap capacitance (CGEOMOD=1)");
  p.addPar("COVD", 0.0, &ADMSbsimcmg::Model::COVD)
    .setDescription("Constant g/d overlap capacitance (CGEOMOD=1)");
  p.addPar("CGSP", static_cast<double>(0.0), &ADMSbsimcmg::Model::CGSP)
    .setDescription("Constant gate-to-source fringe capacitance (CGEOMOD=1)");
  p.addPar("CGDP", static_cast<double>(0.0), &ADMSbsimcmg::Model::CGDP)
    .setDescription("Constant gate-to-drain fringe capacitance (CGEOMOD=1)");
  p.addPar("CDSP", static_cast<double>(0.0), &ADMSbsimcmg::Model::CDSP)
    .setDescription("Constant drain-to-source fringe capacitance (All CGEOMOD)");
  p.addPar("NRS", static_cast<double>(0.0), &ADMSbsimcmg::Model::NRS)
    .setDescription("Number of source diffusion squares");
  p.addPar("NRD", static_cast<double>(0.0), &ADMSbsimcmg::Model::NRD)
    .setDescription("Number of source diffusion squares");
  p.addPar("LRSD", 0.0, &ADMSbsimcmg::Model::LRSD)
    .setDescription("Length of the source/drain");
  p.addPar("XL", static_cast<double>(0), &ADMSbsimcmg::Model::XL)
    .setDescription("L offset for channel length due to mask/etch effect");
  p.addPar("DTEMP", static_cast<double>(0), &ADMSbsimcmg::Model::DTEMP)
    .setDescription("Variability in Device Temperature	");
  p.addPar("DELVTRAND", static_cast<double>(0), &ADMSbsimcmg::Model::DELVTRAND)
    .setDescription("Variability in Vth");
  p.addPar("U0MULT", static_cast<double>(1), &ADMSbsimcmg::Model::U0MULT)
    .setDescription("Variability in carrier mobility");
  p.addPar("IDS0MULT", static_cast<double>(1), &ADMSbsimcmg::Model::IDS0MULT)
    .setDescription("Variability in Drain current for misc. reasons	");
  p.addPar("DEVTYPE", static_cast<int>(1), &ADMSbsimcmg::Model::DEVTYPE);
  p.addPar("BULKMOD", static_cast<int>(0), &ADMSbsimcmg::Model::BULKMOD)
    .setDescription("Bulk model");
  p.addPar("COREMOD", static_cast<int>(0), &ADMSbsimcmg::Model::COREMOD)
    .setDescription("Surface potential algorithm");
  p.addPar("GEOMOD", static_cast<int>(1), &ADMSbsimcmg::Model::GEOMOD)
    .setDescription("Geometry mode selector");
  p.addPar("CGEO1SW", static_cast<int>(0), &ADMSbsimcmg::Model::CGEO1SW);
  p.addPar("RDSMOD", static_cast<int>(0), &ADMSbsimcmg::Model::RDSMOD)
    .setDescription("Resistance model selector");
  p.addPar("ASYMMOD", static_cast<int>(0), &ADMSbsimcmg::Model::ASYMMOD)
    .setDescription("Asymmetric model selector");
  p.addPar("IGCMOD", static_cast<int>(0), &ADMSbsimcmg::Model::IGCMOD)
    .setDescription("model selector for Igc, Igs, and Igd");
  p.addPar("IGBMOD", static_cast<int>(0), &ADMSbsimcmg::Model::IGBMOD)
    .setDescription("model selector for Igb");
  p.addPar("GIDLMOD", static_cast<int>(0), &ADMSbsimcmg::Model::GIDLMOD)
    .setDescription("GIDL/GISL current switcher");
  p.addPar("IIMOD", static_cast<int>(0), &ADMSbsimcmg::Model::IIMOD)
    .setDescription("Impact ionization model switch");
  p.addPar("NQSMOD", static_cast<int>(0), &ADMSbsimcmg::Model::NQSMOD);
  p.addPar("SHMOD", static_cast<int>(0), &ADMSbsimcmg::Model::SHMOD)
    .setDescription("Self heating and T node switcher --- NOT USED IN XYCE");
  p.addPar("RGATEMOD", static_cast<int>(0), &ADMSbsimcmg::Model::RGATEMOD)
    .setDescription("Gate electrode resistor and ge node switcher --- NOT USED IN XYCE");
  p.addPar("RGEOMOD", static_cast<int>(0), &ADMSbsimcmg::Model::RGEOMOD)
    .setDescription("Bias independent parasitic resistance model selector");
  p.addPar("CGEOMOD", static_cast<int>(0), &ADMSbsimcmg::Model::CGEOMOD)
    .setDescription("parasitic capacitance model selector");
  p.addPar("CAPMOD", static_cast<int>(0), &ADMSbsimcmg::Model::CAPMOD)
    .setDescription("Accumulation region capacitance model selector");
  p.addPar("LINT", static_cast<double>(0), &ADMSbsimcmg::Model::LINT)
    .setDescription("Length reduction parameter (dopant diffusion effect)");
  p.addPar("LL", static_cast<double>(0), &ADMSbsimcmg::Model::LL)
    .setDescription("Length reduction parameter (dopant diffusion effect)");
  p.addPar("LLN", static_cast<double>(1), &ADMSbsimcmg::Model::LLN)
    .setDescription("Length reduction parameter (dopant diffusion effect)");
  p.addPar("DLC", static_cast<double>(0), &ADMSbsimcmg::Model::DLC)
    .setDescription("Delta L for C-V model");
  p.addPar("DLCACC", static_cast<double>(0), &ADMSbsimcmg::Model::DLCACC)
    .setDescription("Delta L for C-V model in accumulation region (CAPMOD=1, BULKMOD=1)");
  p.addPar("DLBIN", static_cast<double>(0), &ADMSbsimcmg::Model::DLBIN)
    .setDescription("Delta L for Binning");
  p.addPar("LLC", static_cast<double>(0), &ADMSbsimcmg::Model::LLC)
    .setDescription("Length reduction parameter (dopant diffusion effect)");
  p.addPar("EOT", static_cast<double>(1.0*1.0e-9), &ADMSbsimcmg::Model::EOT)
    .setDescription("equivalent oxide thickness in meters");
  p.addPar("TOXP", static_cast<double>(1.2*1.0e-9), &ADMSbsimcmg::Model::TOXP)
    .setDescription("physical oxide thickness in meters");
  p.addPar("EOTBOX", static_cast<double>(140*1.0e-9), &ADMSbsimcmg::Model::EOTBOX)
    .setDescription("equivalent oxide thickness of the buried oxide (SOI FinFET) or STI (bulk FinFET) in meters");
  p.addPar("HFIN", static_cast<double>(30*1.0e-9), &ADMSbsimcmg::Model::HFIN)
    .setDescription("Fin height in meters");
  p.addPar("FECH", static_cast<double>(1), &ADMSbsimcmg::Model::FECH)
    .setDescription("End-channel factor, for different orientation/shape");
  p.addPar("DELTAW", static_cast<double>(0), &ADMSbsimcmg::Model::DELTAW)
    .setDescription("change of effective width due to shape of fin/cylinder");
  p.addPar("FECHCV", static_cast<double>(1), &ADMSbsimcmg::Model::FECHCV)
    .setDescription("CV end-channel factor, for different orientaion/shape");
  p.addPar("DELTAWCV", static_cast<double>(0), &ADMSbsimcmg::Model::DELTAWCV)
    .setDescription("CV change of effective width due to shape of fin/cylinder");
  p.addPar("NBODY", static_cast<double>(1e22), &ADMSbsimcmg::Model::NBODY)
    .setDescription("channel (body) doping");
  p.addPar("NBODYN1", static_cast<double>(0), &ADMSbsimcmg::Model::NBODYN1)
    .setDescription("NFIN dependence of channel (body) doping");
  p.addPar("NBODYN2", static_cast<double>(1.0e5), &ADMSbsimcmg::Model::NBODYN2)
    .setDescription("NFIN dependence of channel (body) doping");
  p.addPar("NSD", static_cast<double>(2e26), &ADMSbsimcmg::Model::NSD)
    .setDescription("Source/drain active doping concentration in m-3");
  p.addPar("PHIG", static_cast<double>(4.61), &ADMSbsimcmg::Model::PHIG)
    .setDescription("Gate workfunction, eV");
  p.addPar("PHIGL", static_cast<double>(0), &ADMSbsimcmg::Model::PHIGL)
    .setDescription("Length dependence of Gate workfunction, eV/m");
  p.addPar("PHIGN1", static_cast<double>(0), &ADMSbsimcmg::Model::PHIGN1)
    .setDescription("NFIN dependence of Gate workfunction");
  p.addPar("PHIGN2", static_cast<double>(1.0e5), &ADMSbsimcmg::Model::PHIGN2)
    .setDescription("NFIN dependence of Gate workfunction");
  p.addPar("EPSROX", static_cast<double>(3.9), &ADMSbsimcmg::Model::EPSROX)
    .setDescription("Relative dielectric constant of the gate dielectric");
  p.addPar("EPSRSUB", static_cast<double>(11.9), &ADMSbsimcmg::Model::EPSRSUB)
    .setDescription("Relative dielectric constant of the channel material");
  p.addPar("EASUB", static_cast<double>(4.05), &ADMSbsimcmg::Model::EASUB)
    .setDescription("Electron affinity of substrate, eV");
  p.addPar("NI0SUB", static_cast<double>(1.1e16), &ADMSbsimcmg::Model::NI0SUB)
    .setDescription("Intrinsic carrier constant at 300.15K, m-3");
  p.addPar("BG0SUB", static_cast<double>(1.12), &ADMSbsimcmg::Model::BG0SUB)
    .setDescription("Band gap of substrate at 300.15K, eV");
  p.addPar("NC0SUB", static_cast<double>(2.86e25), &ADMSbsimcmg::Model::NC0SUB)
    .setDescription("Conduction band density of states, m-3");
  p.addPar("NGATE", static_cast<double>(0.0), &ADMSbsimcmg::Model::NGATE)
    .setDescription("Parameter for Poly Gate Doping, for metal gate please set NGATE = 0");
  p.addPar("IMIN", static_cast<double>(1.0E-15), &ADMSbsimcmg::Model::Imin)
    .setDescription("Parameter for Vgs Clamping for inversion region calc. in accumulation");
  p.addPar("CIT", static_cast<double>(0.0), &ADMSbsimcmg::Model::CIT)
    .setDescription("parameter for interface trap");
  p.addPar("CDSC", static_cast<double>(7e-3), &ADMSbsimcmg::Model::CDSC)
    .setDescription("coupling capacitance between S/D and channel");
  p.addPar("CDSCN1", static_cast<double>(0), &ADMSbsimcmg::Model::CDSCN1)
    .setDescription("NFIN dependence of CDSC");
  p.addPar("CDSCN2", static_cast<double>(1.0e5), &ADMSbsimcmg::Model::CDSCN2)
    .setDescription("NFIN dependence of CDSC");
  p.addPar("CDSCD", static_cast<double>(7e-3), &ADMSbsimcmg::Model::CDSCD)
    .setDescription("drain-bias sensitivity of CDSC");
  p.addPar("CDSCDN1", static_cast<double>(0), &ADMSbsimcmg::Model::CDSCDN1)
    .setDescription("NFIN dependence of CDSCD");
  p.addPar("CDSCDN2", static_cast<double>(1.0e5), &ADMSbsimcmg::Model::CDSCDN2)
    .setDescription("NFIN dependence of CDSCD");
  p.addPar("CDSCDR", 0.0, &ADMSbsimcmg::Model::CDSCDR)
    .setDescription("Reverse-mode drain-bais sensitivity of CDSC (Experimental)");
  p.addPar("CDSCDRN1", 0.0, &ADMSbsimcmg::Model::CDSCDRN1)
    .setDescription("NFIN dependence of CDSCD");
  p.addPar("CDSCDRN2", 0.0, &ADMSbsimcmg::Model::CDSCDRN2)
    .setDescription("NFIN dependence of CDSCD");
  p.addPar("DVT0", static_cast<double>(0.0), &ADMSbsimcmg::Model::DVT0)
    .setDescription("SCE coefficient");
  p.addPar("DVT1", static_cast<double>(0.60), &ADMSbsimcmg::Model::DVT1)
    .setDescription("SCE exponent coefficient, after binning should be in (0:inf)");
  p.addPar("DVT1SS", 0.0, &ADMSbsimcmg::Model::DVT1SS)
    .setDescription("Subthreshold Swing exponent coefficient, after binning should be in (0:inf)");
  p.addPar("PHIN", static_cast<double>(0.05), &ADMSbsimcmg::Model::PHIN)
    .setDescription("Nonuniform vertical doping effect on surface potential, V");
  p.addPar("ETA0", static_cast<double>(0.60), &ADMSbsimcmg::Model::ETA0)
    .setDescription("DIBL coefficient");
  p.addPar("ETA0N1", static_cast<double>(0), &ADMSbsimcmg::Model::ETA0N1)
    .setDescription("NFIN dependence of ETA0");
  p.addPar("ETA0N2", static_cast<double>(1.0e5), &ADMSbsimcmg::Model::ETA0N2)
    .setDescription("NFIN dependence of ETA0");
  p.addPar("TETA0", static_cast<double>(0.0), &ADMSbsimcmg::Model::TETA0)
    .setDescription("Temperature dependence of DIBL coefficient, 1/K");
  p.addPar("ETA0R", 0.0, &ADMSbsimcmg::Model::ETA0R)
    .setDescription("Reverse-mode DIBL coefficient (Experimental)");
  p.addPar("TETA0R", 0.0, &ADMSbsimcmg::Model::TETA0R)
    .setDescription("Temperature dependence of Reverse-mode DIBL coefficient, 1/K");
  p.addPar("DSUB", static_cast<double>(1.06), &ADMSbsimcmg::Model::DSUB)
    .setDescription("DIBL exponent coefficient");
  p.addPar("DVTP0", static_cast<double>(0), &ADMSbsimcmg::Model::DVTP0)
    .setDescription("Coefficient for Drain-Induced Vth Shift (DITS)");
  p.addPar("DVTP1", static_cast<double>(0), &ADMSbsimcmg::Model::DVTP1)
    .setDescription("DITS exponent coefficient");
  p.addPar("K1RSCE", static_cast<double>(0.0), &ADMSbsimcmg::Model::K1RSCE)
    .setDescription("K1 for reverse short channel effect calculation ");
  p.addPar("LPE0", static_cast<double>(5.0*1.0e-9), &ADMSbsimcmg::Model::LPE0)
    .setDescription("Equivalent length of pocket region at zero bias");
  p.addPar("DVTSHIFT", static_cast<double>(0), &ADMSbsimcmg::Model::DVTSHIFT)
    .setDescription("Vth shift handle");
  p.addPar("K0", static_cast<double>(0.0), &ADMSbsimcmg::Model::K0)
    .setDescription("Lateral NUD voltage parameter, V");
  p.addPar("K01", static_cast<double>(0.0), &ADMSbsimcmg::Model::K01)
    .setDescription("Temperature dependence of lateral NUD voltage parameter, V/K");
  p.addPar("K0SI", static_cast<double>(1.0), &ADMSbsimcmg::Model::K0SI)
    .setDescription("Correction factor for strong inversion, used in Mnud, after binnig should be from (0:inf)");
  p.addPar("K0SI1", static_cast<double>(0.0), &ADMSbsimcmg::Model::K0SI1)
    .setDescription("Temperature dependence of K0SI, 1/K");
  p.addPar("K1SI", 0.0, &ADMSbsimcmg::Model::K1SI)
    .setDescription("Correction factor for strong inversion, used in Mob");
  p.addPar("K1SI1", 0.0, &ADMSbsimcmg::Model::K1SI1)
    .setDescription("Temperature dependence of K1SI, 1/K");
  p.addPar("PHIBE", static_cast<double>(0.7), &ADMSbsimcmg::Model::PHIBE)
    .setDescription("Body effect voltage parameter, V, after binnig should be from [0.2:1.2]");
  p.addPar("K1", static_cast<double>(0.0), &ADMSbsimcmg::Model::K1)
    .setDescription("Body effect coefficient for sub-threshold region");
  p.addPar("K11", static_cast<double>(0.0), &ADMSbsimcmg::Model::K11)
    .setDescription("Temperature dependence of K1");
  p.addPar("K1SAT", static_cast<double>(0.0), &ADMSbsimcmg::Model::K1SAT)
    .setDescription("Correction factor for K1 in saturation (high Vds)		");
  p.addPar("K1SAT1", static_cast<double>(0.0), &ADMSbsimcmg::Model::K1SAT1)
    .setDescription("Temperature dependence of K1SAT1	");
  p.addPar("QMFACTOR", static_cast<double>(0.0), &ADMSbsimcmg::Model::QMFACTOR)
    .setDescription("Prefactor + switch for QM Vth correction");
  p.addPar("QMTCENIV", static_cast<double>(0.0), &ADMSbsimcmg::Model::QMTCENIV)
    .setDescription("Prefactor + switch for QM Width correction for IV");
  p.addPar("QMTCENCV", static_cast<double>(0.0), &ADMSbsimcmg::Model::QMTCENCV)
    .setDescription("Prefactor + switch for QM Width and Toxeff correction for CV");
  p.addPar("QMTCENCVA", static_cast<double>(0.0), &ADMSbsimcmg::Model::QMTCENCVA)
    .setDescription("Prefactor + switch for QM Width and Toxeff correction for CV (accumulation region)");
  p.addPar("AQMTCEN", static_cast<double>(0.0), &ADMSbsimcmg::Model::AQMTCEN)
    .setDescription("Parameter for Geometric dependence of Tcen on R/TFIN/HFIN");
  p.addPar("BQMTCEN", static_cast<double>(12.0e-9), &ADMSbsimcmg::Model::BQMTCEN)
    .setDescription("Parameter for Geometric dependence of Tcen on R/TFIN/HFIN");
  p.addPar("ETAQM", static_cast<double>(0.54), &ADMSbsimcmg::Model::ETAQM)
    .setDescription("Bulk charge coefficient for Tcen");
  p.addPar("QM0", static_cast<double>(1.00e-3), &ADMSbsimcmg::Model::QM0)
    .setDescription("Knee-Point for Tcen in inversion (Charge normalized to Cox)");
  p.addPar("PQM", static_cast<double>(0.66), &ADMSbsimcmg::Model::PQM)
    .setDescription("Slope of normalized Tcen in inversion");
  p.addPar("QM0ACC", static_cast<double>(1.00e-3), &ADMSbsimcmg::Model::QM0ACC)
    .setDescription("Knee-Point for Tcen in accumulation (Charge normalized to Cox)");
  p.addPar("PQMACC", static_cast<double>(0.66), &ADMSbsimcmg::Model::PQMACC)
    .setDescription("Slope of normalized Tcen in accumulation");
  p.addPar("VSAT", static_cast<double>(85000), &ADMSbsimcmg::Model::VSAT);
  p.addPar("VSATN1", static_cast<double>(0), &ADMSbsimcmg::Model::VSATN1)
    .setDescription("NFIN dependence of VSAT ");
  p.addPar("VSATN2", static_cast<double>(1.0e5), &ADMSbsimcmg::Model::VSATN2)
    .setDescription("NFIN dependence of VSAT ");
  p.addPar("AVSAT", static_cast<double>(0.0), &ADMSbsimcmg::Model::AVSAT);
  p.addPar("BVSAT", static_cast<double>(100.0e-9), &ADMSbsimcmg::Model::BVSAT);
  p.addPar("VSAT1", 0.0, &ADMSbsimcmg::Model::VSAT1)
    .setDescription("Velocity Saturation parameter for I_on degradation - forward mode");
  p.addPar("VSAT1N1", 0.0, &ADMSbsimcmg::Model::VSAT1N1)
    .setDescription("NFIN dependence of VSAT1 ");
  p.addPar("VSAT1N2", 0.0, &ADMSbsimcmg::Model::VSAT1N2)
    .setDescription("NFIN dependence of VSAT1 ");
  p.addPar("VSAT1R", 0.0, &ADMSbsimcmg::Model::VSAT1R)
    .setDescription("Velocity Saturation parameter for I_on degradation - reverse mode");
  p.addPar("VSAT1RN1", 0.0, &ADMSbsimcmg::Model::VSAT1RN1)
    .setDescription("NFIN dependence of VSAT1R ");
  p.addPar("VSAT1RN2", 0.0, &ADMSbsimcmg::Model::VSAT1RN2)
    .setDescription("NFIN dependence of VSAT1R ");
  p.addPar("AVSAT1", 0.0, &ADMSbsimcmg::Model::AVSAT1);
  p.addPar("BVSAT1", 0.0, &ADMSbsimcmg::Model::BVSAT1);
  p.addPar("DELTAVSAT", static_cast<double>(1.0), &ADMSbsimcmg::Model::DELTAVSAT);
  p.addPar("PSAT", static_cast<double>(2.0), &ADMSbsimcmg::Model::PSAT)
    .setDescription("Velocity saturation exponent, after binnig should be from [2.0:inf)");
  p.addPar("APSAT", static_cast<double>(0.0), &ADMSbsimcmg::Model::APSAT);
  p.addPar("BPSAT", static_cast<double>(1.0), &ADMSbsimcmg::Model::BPSAT);
  p.addPar("KSATIV", static_cast<double>(1.0), &ADMSbsimcmg::Model::KSATIV);
  p.addPar("VSATCV", 0.0, &ADMSbsimcmg::Model::VSATCV)
    .setDescription("Velocity Saturation parameter for CV");
  p.addPar("AVSATCV", 0.0, &ADMSbsimcmg::Model::AVSATCV);
  p.addPar("BVSATCV", 0.0, &ADMSbsimcmg::Model::BVSATCV);
  p.addPar("DELTAVSATCV", 0.0, &ADMSbsimcmg::Model::DELTAVSATCV);
  p.addPar("PSATCV", 0.0, &ADMSbsimcmg::Model::PSATCV)
    .setDescription("Velocity saturation exponent for C-V");
  p.addPar("APSATCV", 0.0, &ADMSbsimcmg::Model::APSATCV);
  p.addPar("BPSATCV", 0.0, &ADMSbsimcmg::Model::BPSATCV);
  p.addPar("MEXP", static_cast<double>(4.0), &ADMSbsimcmg::Model::MEXP);
  p.addPar("AMEXP", static_cast<double>(0.0), &ADMSbsimcmg::Model::AMEXP);
  p.addPar("BMEXP", static_cast<double>(1.0), &ADMSbsimcmg::Model::BMEXP);
  p.addPar("MEXPR", 0.0, &ADMSbsimcmg::Model::MEXPR);
  p.addPar("AMEXPR", 0.0, &ADMSbsimcmg::Model::AMEXPR);
  p.addPar("BMEXPR", 0.0, &ADMSbsimcmg::Model::BMEXPR);
  p.addPar("PTWG", static_cast<double>(0.0), &ADMSbsimcmg::Model::PTWG)
    .setDescription("Gmsat degradation parameter - forward mode ");
  p.addPar("PTWGR", 0.0, &ADMSbsimcmg::Model::PTWGR)
    .setDescription("Gmsat degradation parameter - reverse mode");
  p.addPar("APTWG", static_cast<double>(0.0), &ADMSbsimcmg::Model::APTWG);
  p.addPar("BPTWG", static_cast<double>(100.0e-9), &ADMSbsimcmg::Model::BPTWG);
  p.addPar("AT", static_cast<double>((-1.56e-3)), &ADMSbsimcmg::Model::AT);
  p.addPar("TMEXP", static_cast<double>(0.0), &ADMSbsimcmg::Model::TMEXP);
  p.addPar("TMEXPR", 0.0, &ADMSbsimcmg::Model::TMEXPR);
  p.addPar("PTWGT", static_cast<double>(0.004), &ADMSbsimcmg::Model::PTWGT);
  p.addPar("U0", static_cast<double>(0.03), &ADMSbsimcmg::Model::U0);
  p.addPar("U0N1", static_cast<double>(0), &ADMSbsimcmg::Model::U0N1)
    .setDescription("NFIN dependence of U0 ");
  p.addPar("U0N2", static_cast<double>(1.0e5), &ADMSbsimcmg::Model::U0N2)
    .setDescription("NFIN dependence of U0 ");
  p.addPar("ETAMOB", static_cast<double>(2.0), &ADMSbsimcmg::Model::ETAMOB);
  p.addPar("UP", static_cast<double>(0), &ADMSbsimcmg::Model::UP);
  p.addPar("LPA", static_cast<double>(1.0), &ADMSbsimcmg::Model::LPA);
  p.addPar("UA", static_cast<double>(0.3), &ADMSbsimcmg::Model::UA);
  p.addPar("AUA", static_cast<double>(0.0), &ADMSbsimcmg::Model::AUA);
  p.addPar("BUA", static_cast<double>(100.0e-9), &ADMSbsimcmg::Model::BUA);
  p.addPar("UC", static_cast<double>(0.0), &ADMSbsimcmg::Model::UC)
    .setDescription("Body effect for mobility degradation parameter - BULKMOD=1");
  p.addPar("EU", static_cast<double>(2.5), &ADMSbsimcmg::Model::EU);
  p.addPar("AEU", static_cast<double>(0.0), &ADMSbsimcmg::Model::AEU);
  p.addPar("BEU", static_cast<double>(100.0e-9), &ADMSbsimcmg::Model::BEU);
  p.addPar("UD", static_cast<double>(0.0), &ADMSbsimcmg::Model::UD);
  p.addPar("AUD", static_cast<double>(0.0), &ADMSbsimcmg::Model::AUD);
  p.addPar("BUD", static_cast<double>(50.0e-9), &ADMSbsimcmg::Model::BUD);
  p.addPar("UCS", static_cast<double>(1.0), &ADMSbsimcmg::Model::UCS);
  p.addPar("UTE", static_cast<double>(0.0), &ADMSbsimcmg::Model::UTE);
  p.addPar("UTL", static_cast<double>((-1.5e-3)), &ADMSbsimcmg::Model::UTL);
  p.addPar("EMOBT", static_cast<double>(0.0), &ADMSbsimcmg::Model::EMOBT);
  p.addPar("UA1", static_cast<double>(1.032e-3), &ADMSbsimcmg::Model::UA1);
  p.addPar("UC1", static_cast<double>(0.056e-9), &ADMSbsimcmg::Model::UC1);
  p.addPar("UD1", static_cast<double>(0.0), &ADMSbsimcmg::Model::UD1);
  p.addPar("UCSTE", static_cast<double>((-4.775e-3)), &ADMSbsimcmg::Model::UCSTE);
  p.addPar("CHARGEWF", static_cast<double>(0), &ADMSbsimcmg::Model::CHARGEWF)
    .setDescription("Average Channel Charge Weighting Factor, +1:source-side, 0:middle, -1:drain-side  ");
  p.addPar("RDSWMIN", static_cast<double>(0.0), &ADMSbsimcmg::Model::RDSWMIN);
  p.addPar("RDSW", static_cast<double>(100.0), &ADMSbsimcmg::Model::RDSW);
  p.addPar("ARDSW", static_cast<double>(0.0), &ADMSbsimcmg::Model::ARDSW);
  p.addPar("BRDSW", static_cast<double>(100.0e-9), &ADMSbsimcmg::Model::BRDSW);
  p.addPar("RSWMIN", static_cast<double>(0.0), &ADMSbsimcmg::Model::RSWMIN);
  p.addPar("RSW", static_cast<double>(50.0), &ADMSbsimcmg::Model::RSW);
  p.addPar("ARSW", static_cast<double>(0.0), &ADMSbsimcmg::Model::ARSW);
  p.addPar("BRSW", static_cast<double>(100.0e-9), &ADMSbsimcmg::Model::BRSW);
  p.addPar("RDWMIN", static_cast<double>(0.0), &ADMSbsimcmg::Model::RDWMIN);
  p.addPar("RDW", static_cast<double>(50.0), &ADMSbsimcmg::Model::RDW);
  p.addPar("ARDW", static_cast<double>(0.0), &ADMSbsimcmg::Model::ARDW);
  p.addPar("BRDW", static_cast<double>(100.0e-9), &ADMSbsimcmg::Model::BRDW);
  p.addPar("RSDR", static_cast<double>(0.0), &ADMSbsimcmg::Model::RSDR)
    .setDescription("Source side drift resistance parameter - forward mode");
  p.addPar("RSDRR", 0.0, &ADMSbsimcmg::Model::RSDRR)
    .setDescription("Source side drift resistance parameter - reverse mode");
  p.addPar("RDDR", 0.0, &ADMSbsimcmg::Model::RDDR)
    .setDescription("Drain side drift resistance parameter - forward mode");
  p.addPar("RDDRR", 0.0, &ADMSbsimcmg::Model::RDDRR)
    .setDescription("Drain side drift resistance parameter - reverse mode");
  p.addPar("PRSDR", static_cast<double>(1.0), &ADMSbsimcmg::Model::PRSDR)
    .setDescription("Source side quasi-saturation parameter");
  p.addPar("PRDDR", 0.0, &ADMSbsimcmg::Model::PRDDR)
    .setDescription("Drain side quasi-saturation parameter");
  p.addPar("PRWGS", static_cast<double>(0.0), &ADMSbsimcmg::Model::PRWGS)
    .setUnit(U_VOLTM1)

    .setDescription("Gate bias dependence of source extension resistance");
  p.addPar("PRWGD", 0.0, &ADMSbsimcmg::Model::PRWGD)
    .setUnit(U_VOLTM1)

    .setDescription("Gate bias dependence of drain extension resistance");
  p.addPar("WR", static_cast<double>(1.0), &ADMSbsimcmg::Model::WR);
  p.addPar("PRT", static_cast<double>(0.001), &ADMSbsimcmg::Model::PRT);
  p.addPar("TRSDR", static_cast<double>(0.0), &ADMSbsimcmg::Model::TRSDR);
  p.addPar("TRDDR", 0.0, &ADMSbsimcmg::Model::TRDDR);
  p.addPar("PDIBL1", static_cast<double>(1.30), &ADMSbsimcmg::Model::PDIBL1)
    .setDescription("DIBL Output Conductance parameter - forward mode");
  p.addPar("PDIBL1R", 0.0, &ADMSbsimcmg::Model::PDIBL1R)
    .setDescription("DIBL Output Conductance parameter - reverse mode ");
  p.addPar("PDIBL2", static_cast<double>(2.0e-4), &ADMSbsimcmg::Model::PDIBL2)
    .setDescription("DIBL Output Conductance parameter ");
  p.addPar("DROUT", static_cast<double>(1.06), &ADMSbsimcmg::Model::DROUT);
  p.addPar("PVAG", static_cast<double>(1.0), &ADMSbsimcmg::Model::PVAG);
  p.addPar("PCLM", static_cast<double>(0.013), &ADMSbsimcmg::Model::PCLM);
  p.addPar("APCLM", static_cast<double>(0.0), &ADMSbsimcmg::Model::APCLM);
  p.addPar("BPCLM", static_cast<double>(100.0e-9), &ADMSbsimcmg::Model::BPCLM);
  p.addPar("PCLMG", static_cast<double>(0.0), &ADMSbsimcmg::Model::PCLMG);
  p.addPar("PCLMCV", 0.0, &ADMSbsimcmg::Model::PCLMCV)
    .setDescription("CLM parameter for Short Channel CV ");
  p.addPar("A1", static_cast<double>(0.0), &ADMSbsimcmg::Model::A1)
    .setDescription("Non-saturation effect parameter for strong inversion region");
  p.addPar("A11", static_cast<double>(0.0), &ADMSbsimcmg::Model::A11)
    .setDescription("Temperature dependence of A1");
  p.addPar("A2", static_cast<double>(0.0), &ADMSbsimcmg::Model::A2)
    .setDescription("Non-saturation effect parameter for moderate inversion region");
  p.addPar("A21", static_cast<double>(0.0), &ADMSbsimcmg::Model::A21)
    .setDescription("Temperature dependence of A2");
  p.addPar("RGEXT", static_cast<double>(0.0), &ADMSbsimcmg::Model::RGEXT)
    .setDescription("Effective gate electrode external resistance");
  p.addPar("RGFIN", static_cast<double>(1.0e-3), &ADMSbsimcmg::Model::RGFIN)
    .setDescription("Effective gate electrode per finger per fin resistance");
  p.addPar("RSHS", static_cast<double>(0.0), &ADMSbsimcmg::Model::RSHS)
    .setDescription("Source-side sheet resistance");
  p.addPar("RSHD", 0.0, &ADMSbsimcmg::Model::RSHD)
    .setDescription("Drain-side sheet resistance");
  p.addPar("HEPI", static_cast<double>(10.0*1.0e-9), &ADMSbsimcmg::Model::HEPI)
    .setDescription("Height of the raised source/drain on top of the fin");
  p.addPar("TSILI", static_cast<double>(10.0*1.0e-9), &ADMSbsimcmg::Model::TSILI)
    .setDescription("Thickness of the silicide on top of the raised source/drain");
  p.addPar("RHOC", static_cast<double>(1.0e-12), &ADMSbsimcmg::Model::RHOC);
  p.addPar("RHORSD", static_cast<double>(1.0), &ADMSbsimcmg::Model::RHORSD);
  p.addPar("CRATIO", static_cast<double>(0.5), &ADMSbsimcmg::Model::CRATIO);
  p.addPar("DELTAPRSD", static_cast<double>(0.0), &ADMSbsimcmg::Model::DELTAPRSD);
  p.addPar("SDTERM", static_cast<int>(0), &ADMSbsimcmg::Model::SDTERM);
  p.addPar("LSP", 0.0, &ADMSbsimcmg::Model::LSP);
  p.addPar("EPSRSP", static_cast<double>(3.9), &ADMSbsimcmg::Model::EPSRSP)
    .setDescription("Relative dielectric constant of the spacer");
  p.addPar("TGATE", static_cast<double>(30.0*1.0e-9), &ADMSbsimcmg::Model::TGATE)
    .setDescription("Gate height on top of the hard mask");
  p.addPar("TMASK", static_cast<double>(30.0*1.0e-9), &ADMSbsimcmg::Model::TMASK)
    .setDescription("Height of hard mask on top of the fin");
  p.addPar("ASILIEND", static_cast<double>(0.0), &ADMSbsimcmg::Model::ASILIEND);
  p.addPar("ARSDEND", static_cast<double>(0.0), &ADMSbsimcmg::Model::ARSDEND);
  p.addPar("PRSDEND", static_cast<double>(0.0), &ADMSbsimcmg::Model::PRSDEND);
  p.addPar("NSDE", static_cast<double>(2e25), &ADMSbsimcmg::Model::NSDE)
    .setDescription("Source/drain active doping concentration at Leff edge");
  p.addPar("RGEOA", static_cast<double>(1.0), &ADMSbsimcmg::Model::RGEOA)
    .setDescription("Fitting parameter for RGEOMOD=1");
  p.addPar("RGEOB", static_cast<double>(0.0), &ADMSbsimcmg::Model::RGEOB)
    .setDescription("Fitting parameter for RGEOMOD=1");
  p.addPar("RGEOC", static_cast<double>(0.0), &ADMSbsimcmg::Model::RGEOC)
    .setDescription("Fitting parameter for RGEOMOD=1");
  p.addPar("RGEOD", static_cast<double>(0.0), &ADMSbsimcmg::Model::RGEOD)
    .setDescription("Fitting parameter for RGEOMOD=1");
  p.addPar("RGEOE", static_cast<double>(0.0), &ADMSbsimcmg::Model::RGEOE)
    .setDescription("Fitting parameter for RGEOMOD=1");
  p.addPar("CGEOA", static_cast<double>(1.0), &ADMSbsimcmg::Model::CGEOA)
    .setDescription("Fitting parameter for CGEOMOD=2");
  p.addPar("CGEOB", static_cast<double>(0.0), &ADMSbsimcmg::Model::CGEOB)
    .setDescription("Fitting parameter for CGEOMOD=2");
  p.addPar("CGEOC", static_cast<double>(0.0), &ADMSbsimcmg::Model::CGEOC)
    .setDescription("Fitting parameter for CGEOMOD=2");
  p.addPar("CGEOD", static_cast<double>(0.0), &ADMSbsimcmg::Model::CGEOD)
    .setDescription("Fitting parameter for CGEOMOD=2");
  p.addPar("CGEOE", static_cast<double>(1.0), &ADMSbsimcmg::Model::CGEOE)
    .setDescription("Fitting parameter for CGEOMOD=2");
  p.addPar("AIGBINV", static_cast<double>(1.11e-2), &ADMSbsimcmg::Model::AIGBINV)
    .setDescription("parameter for Igb in inversion");
  p.addPar("AIGBINV1", static_cast<double>(0), &ADMSbsimcmg::Model::AIGBINV1)
    .setDescription("parameter for Igb in inversion");
  p.addPar("BIGBINV", static_cast<double>(9.49e-4), &ADMSbsimcmg::Model::BIGBINV)
    .setDescription("parameter for Igb in inversion");
  p.addPar("CIGBINV", static_cast<double>(6.00e-3), &ADMSbsimcmg::Model::CIGBINV)
    .setDescription("parameter for Igb in inversion");
  p.addPar("EIGBINV", static_cast<double>(1.1), &ADMSbsimcmg::Model::EIGBINV)
    .setDescription("parameter for Igb in inversion");
  p.addPar("NIGBINV", static_cast<double>(3.0), &ADMSbsimcmg::Model::NIGBINV)
    .setDescription("parameter for Igb in inversion");
  p.addPar("AIGBACC", static_cast<double>(1.36e-2), &ADMSbsimcmg::Model::AIGBACC)
    .setDescription("parameter for Igb in accumulation");
  p.addPar("AIGBACC1", static_cast<double>(0), &ADMSbsimcmg::Model::AIGBACC1)
    .setDescription("parameter for Igb in accumulation");
  p.addPar("BIGBACC", static_cast<double>(1.71e-3), &ADMSbsimcmg::Model::BIGBACC)
    .setDescription("parameter for Igb in accumulation");
  p.addPar("CIGBACC", static_cast<double>(7.5e-2), &ADMSbsimcmg::Model::CIGBACC)
    .setDescription("parameter for Igb in accumulation");
  p.addPar("NIGBACC", static_cast<double>(1.0), &ADMSbsimcmg::Model::NIGBACC)
    .setDescription("parameter for Igb in accumulation");
  p.addPar("AIGC", static_cast<double>(1.36e-2), &ADMSbsimcmg::Model::AIGC)
    .setDescription("parameter for Igc in inversion");
  p.addPar("AIGC1", static_cast<double>(0), &ADMSbsimcmg::Model::AIGC1)
    .setDescription("parameter for Igc in inversion");
  p.addPar("BIGC", static_cast<double>(1.71e-3), &ADMSbsimcmg::Model::BIGC)
    .setDescription("parameter for Igc in inversion");
  p.addPar("CIGC", static_cast<double>(0.075), &ADMSbsimcmg::Model::CIGC)
    .setDescription("parameter for Igc in inversion");
  p.addPar("PIGCD", static_cast<double>(1.0), &ADMSbsimcmg::Model::PIGCD)
    .setDescription("parameter for Igc partition");
  p.addPar("DLCIGS", static_cast<double>(0), &ADMSbsimcmg::Model::DLCIGS)
    .setDescription("Delta L for Igs model");
  p.addPar("AIGS", static_cast<double>(1.36e-2), &ADMSbsimcmg::Model::AIGS)
    .setDescription("parameter for Igs in inversion");
  p.addPar("AIGS1", static_cast<double>(0), &ADMSbsimcmg::Model::AIGS1)
    .setDescription("parameter for Igs in inversion");
  p.addPar("BIGS", static_cast<double>(1.71e-3), &ADMSbsimcmg::Model::BIGS)
    .setDescription("parameter for Igs in inversion");
  p.addPar("CIGS", static_cast<double>(0.075), &ADMSbsimcmg::Model::CIGS)
    .setDescription("parameter for Igs in inversion");
  p.addPar("DLCIGD", 0.0, &ADMSbsimcmg::Model::DLCIGD)
    .setDescription("Delta L for Igd model");
  p.addPar("AIGD", 0.0, &ADMSbsimcmg::Model::AIGD)
    .setDescription("parameter for Igd in inversion");
  p.addPar("AIGD1", 0.0, &ADMSbsimcmg::Model::AIGD1)
    .setDescription("parameter for Igd in inversion");
  p.addPar("BIGD", 0.0, &ADMSbsimcmg::Model::BIGD)
    .setDescription("parameter for Igd in inversion");
  p.addPar("CIGD", 0.0, &ADMSbsimcmg::Model::CIGD)
    .setDescription("parameter for Igd in inversion");
  p.addPar("TOXREF", static_cast<double>(1.2*1.0e-9), &ADMSbsimcmg::Model::TOXREF)
    .setDescription("Target tox value [m]");
  p.addPar("TOXG", 0.0, &ADMSbsimcmg::Model::TOXG)
    .setUnit(U_METER)

    .setDescription("oxide thickness for gate current model in meters, Introduced in BSIM-CMG106.1.0");
  p.addPar("NTOX", static_cast<double>(1.0), &ADMSbsimcmg::Model::NTOX)
    .setDescription("Exponent for Tox ratio");
  p.addPar("POXEDGE", static_cast<double>(1.0), &ADMSbsimcmg::Model::POXEDGE)
    .setDescription("Factor for the gate edge Tox");
  p.addPar("AGISL", static_cast<double>(6.055*1.0e-12), &ADMSbsimcmg::Model::AGISL)
    .setDescription("pre-exponential coeff. for GISL in mho");
  p.addPar("BGISL", static_cast<double>(0.3e9), &ADMSbsimcmg::Model::BGISL)
    .setUnit(U_VMM1)

    .setDescription("exponential coeff. for GISL");
  p.addPar("CGISL", static_cast<double>(0.5), &ADMSbsimcmg::Model::CGISL)
    .setUnit(U_VOLT3)

    .setDescription("parameter for body-effect of GISL");
  p.addPar("EGISL", static_cast<double>(0.2), &ADMSbsimcmg::Model::EGISL)
    .setUnit(U_VOLT)

    .setDescription("band bending parameter for GISL");
  p.addPar("PGISL", static_cast<double>(1.0), &ADMSbsimcmg::Model::PGISL)
    .setDescription("parameter for body-bias effect on GISL");
  p.addPar("AGIDL", 0.0, &ADMSbsimcmg::Model::AGIDL)
    .setDescription("pre-exponential coeff. for GIDL in mho");
  p.addPar("BGIDL", 0.0, &ADMSbsimcmg::Model::BGIDL)
    .setUnit(U_VMM1)

    .setDescription("exponential coeff. for GIDL");
  p.addPar("CGIDL", 0.0, &ADMSbsimcmg::Model::CGIDL)
    .setUnit(U_VOLT3)

    .setDescription("parameter for body-effect of GIDL");
  p.addPar("EGIDL", 0.0, &ADMSbsimcmg::Model::EGIDL)
    .setUnit(U_VOLT)

    .setDescription("band bending parameter for GIDL");
  p.addPar("PGIDL", 0.0, &ADMSbsimcmg::Model::PGIDL)
    .setDescription("parameter for body-bias effect on GIDL");
  p.addPar("ALPHA0", static_cast<double>(0.0), &ADMSbsimcmg::Model::ALPHA0)
    .setUnit(U_MVM1)

    .setDescription("first parameter of Iii");
  p.addPar("ALPHA01", static_cast<double>(0.0), &ADMSbsimcmg::Model::ALPHA01)
    .setDescription("Temperature dependence of ALPHA0, m/V/degrees");
  p.addPar("ALPHA1", static_cast<double>(0.0), &ADMSbsimcmg::Model::ALPHA1)
    .setUnit(U_VOLTM1)

    .setDescription("L scaling parameter of Iii");
  p.addPar("ALPHA11", static_cast<double>(0.0), &ADMSbsimcmg::Model::ALPHA11)
    .setDescription("Temperature dependence ALPHA1, 1/V/degree");
  p.addPar("BETA0", static_cast<double>(0.0), &ADMSbsimcmg::Model::BETA0)
    .setUnit(U_VOLTM1)

    .setDescription("Vds dependent parameter of Iii");
  p.addPar("ALPHAII0", static_cast<double>(0.0), &ADMSbsimcmg::Model::ALPHAII0)
    .setDescription("first parameter of Iii for IIMOD=2, m/V												");
  p.addPar("ALPHAII01", static_cast<double>(0.0), &ADMSbsimcmg::Model::ALPHAII01)
    .setDescription("Temperature dependence of ALPHAII0, m/V/degrees");
  p.addPar("ALPHAII1", static_cast<double>(0.0), &ADMSbsimcmg::Model::ALPHAII1)
    .setUnit(U_VOLTM1)

    .setDescription("L scaling parameter of Iii for IIMOD=2");
  p.addPar("ALPHAII11", static_cast<double>(0.0), &ADMSbsimcmg::Model::ALPHAII11)
    .setDescription("Temperature dependence of ALPHAII1, 1/V/degrees");
  p.addPar("BETAII0", static_cast<double>(0.0), &ADMSbsimcmg::Model::BETAII0)
    .setUnit(U_VOLTM1)

    .setDescription("Vds dependent parameter of Iii");
  p.addPar("BETAII1", static_cast<double>(0.0), &ADMSbsimcmg::Model::BETAII1)
    .setDescription("Vds dependent parameter of Iii");
  p.addPar("BETAII2", static_cast<double>(0.1), &ADMSbsimcmg::Model::BETAII2)
    .setDescription("Vds dependent parameter of Iii, V");
  p.addPar("ESATII", static_cast<double>(1.0e7), &ADMSbsimcmg::Model::ESATII)
    .setUnit(U_VMM1)

    .setDescription("Saturation channel E-Field for Iii");
  p.addPar("LII", static_cast<double>(0.5E-9), &ADMSbsimcmg::Model::LII)
    .setUnit(U_VM)

    .setDescription("Channel length dependent parameter of Iii");
  p.addPar("SII0", static_cast<double>(0.5), &ADMSbsimcmg::Model::SII0)
    .setUnit(U_VOLTM1)

    .setDescription("Vgs dependent parameter of Iii");
  p.addPar("SII1", static_cast<double>(0.1), &ADMSbsimcmg::Model::SII1)
    .setUnit(U_VOLTM1)

    .setDescription("1st Vgs dependent parameter of Iii");
  p.addPar("SII2", static_cast<double>(0.0), &ADMSbsimcmg::Model::SII2)
    .setDescription("2nd Vgs dependent parameter of Iii");
  p.addPar("SIID", static_cast<double>(0.0), &ADMSbsimcmg::Model::SIID)
    .setUnit(U_VOLTM1)

    .setDescription("3rd Vds dependent parameter of Iii");
  p.addPar("EOTACC", 0.0, &ADMSbsimcmg::Model::EOTACC)
    .setUnit(U_METER)

    .setDescription("equivalent oxide thickness for accumulation region in meters");
  p.addPar("DELVFBACC", static_cast<double>(0.0), &ADMSbsimcmg::Model::DELVFBACC)
    .setDescription("Change in Flatband Voltage; Vfb_accumulation-Vfb_inversion");
  p.addPar("CFS", static_cast<double>(2.5e-11), &ADMSbsimcmg::Model::CFS)
    .setDescription("Outer Fringe Cap (source side)");
  p.addPar("CFD", 0.0, &ADMSbsimcmg::Model::CFD)
    .setDescription("Outer Fringe Cap (drain side)");
  p.addPar("CGSO", static_cast<double>(0.0), &ADMSbsimcmg::Model::CGSO)
    .setDescription("Non LDD region source-gate overlap capacitance per unit channel width");
  p.addPar("CGDO", 0.0, &ADMSbsimcmg::Model::CGDO)
    .setDescription("Non LDD region drain-gate overlap capacitance per unit channel width");
  p.addPar("CGSL", static_cast<double>(0.0), &ADMSbsimcmg::Model::CGSL);
  p.addPar("CGDL", 0.0, &ADMSbsimcmg::Model::CGDL);
  p.addPar("CKAPPAS", static_cast<double>(0.6), &ADMSbsimcmg::Model::CKAPPAS);
  p.addPar("CKAPPAD", 0.0, &ADMSbsimcmg::Model::CKAPPAD);
  p.addPar("CGBO", static_cast<double>(0.0), &ADMSbsimcmg::Model::CGBO)
    .setDescription("Gate to substrate overlap cap per unit channel length per finger per NGCON	");
  p.addPar("CGBN", static_cast<double>(0.0), &ADMSbsimcmg::Model::CGBN)
    .setDescription("Gate to substrate overlap cap per unit channel length per fin per finger");
  p.addPar("CGBL", static_cast<double>(0.0), &ADMSbsimcmg::Model::CGBL)
    .setDescription("Bias dependent component of Gate to substrate overlap cap ");
  p.addPar("CKAPPAB", static_cast<double>(0.6), &ADMSbsimcmg::Model::CKAPPAB);
  p.addPar("CSDESW", static_cast<double>(0.0), &ADMSbsimcmg::Model::CSDESW)
    .setDescription("Coefficient for source/drain to substrate sidewall cap");
  p.addPar("CJS", static_cast<double>(5.0e-4), &ADMSbsimcmg::Model::CJS)
    .setDescription("Unit area source-side junction capacitance at zero bias");
  p.addPar("CJD", 0.0, &ADMSbsimcmg::Model::CJD)
    .setDescription("Unit area drain-side junction capacitance at zero bias");
  p.addPar("CJSWS", static_cast<double>(5.0e-10), &ADMSbsimcmg::Model::CJSWS)
    .setDescription("Unit length source-side sidewall junction capacitance at zero bias");
  p.addPar("CJSWD", 0.0, &ADMSbsimcmg::Model::CJSWD)
    .setDescription("Unit length drain-side sidewall junction capacitance at zero bias");
  p.addPar("CJSWGS", static_cast<double>(0.0), &ADMSbsimcmg::Model::CJSWGS)
    .setDescription("Unit length source-side gate sidewall junction capacitance at zero bias");
  p.addPar("CJSWGD", 0.0, &ADMSbsimcmg::Model::CJSWGD)
    .setDescription("Unit length drain-side gate sidewall junction capacitance at zero bias");
  p.addPar("PBS", static_cast<double>(1.0), &ADMSbsimcmg::Model::PBS)
    .setDescription("Source-side bulk junction built-in potential");
  p.addPar("PBD", 0.0, &ADMSbsimcmg::Model::PBD)
    .setDescription("Drain-side bulk junction built-in potential");
  p.addPar("PBSWS", static_cast<double>(1.0), &ADMSbsimcmg::Model::PBSWS)
    .setDescription("Built-in potential for Source-side sidewall junction capacitance");
  p.addPar("PBSWD", 0.0, &ADMSbsimcmg::Model::PBSWD)
    .setDescription("Built-in potential for Drain-side sidewall junction capacitance");
  p.addPar("PBSWGS", 0.0, &ADMSbsimcmg::Model::PBSWGS)
    .setDescription("Built-in potential for Source-side gate sidewall junction capacitance");
  p.addPar("PBSWGD", 0.0, &ADMSbsimcmg::Model::PBSWGD)
    .setDescription("Built-in potential for Drain-side gate sidewall junction capacitance");
  p.addPar("MJS", static_cast<double>(0.5), &ADMSbsimcmg::Model::MJS)
    .setDescription("Source bottom junction capacitance grading coefficient");
  p.addPar("MJD", 0.0, &ADMSbsimcmg::Model::MJD)
    .setDescription("Drain bottom junction capacitance grading coefficient");
  p.addPar("MJSWS", static_cast<double>(0.33), &ADMSbsimcmg::Model::MJSWS)
    .setDescription("Source sidewall junction capacitance grading coefficient");
  p.addPar("MJSWD", 0.0, &ADMSbsimcmg::Model::MJSWD)
    .setDescription("Drain sidewall junction capacitance grading coefficient");
  p.addPar("MJSWGS", 0.0, &ADMSbsimcmg::Model::MJSWGS)
    .setDescription("Source-side gate sidewall junction capacitance grading coefficient");
  p.addPar("MJSWGD", 0.0, &ADMSbsimcmg::Model::MJSWGD)
    .setDescription("Drain-side gate sidewall junction capacitance grading coefficient");
  p.addPar("SJS", static_cast<double>(0.0), &ADMSbsimcmg::Model::SJS)
    .setDescription("Constant for source-side two-step second junction");
  p.addPar("SJD", 0.0, &ADMSbsimcmg::Model::SJD)
    .setDescription("Constant for drain-side two-step second junction");
  p.addPar("SJSWS", static_cast<double>(0.0), &ADMSbsimcmg::Model::SJSWS)
    .setDescription("Constant for source-side sidewall two-step second junction");
  p.addPar("SJSWD", 0.0, &ADMSbsimcmg::Model::SJSWD)
    .setDescription("Constant for drain-side sidewall two-step second junction");
  p.addPar("SJSWGS", static_cast<double>(0.0), &ADMSbsimcmg::Model::SJSWGS)
    .setDescription("Constant for source-side gate sidewall two-step second junction");
  p.addPar("SJSWGD", 0.0, &ADMSbsimcmg::Model::SJSWGD)
    .setDescription("Constant for source-side gate sidewall two-step second junction");
  p.addPar("MJS2", static_cast<double>(0.125), &ADMSbsimcmg::Model::MJS2)
    .setDescription("Source bottom two-step second junction capacitance grading coefficient");
  p.addPar("MJD2", 0.0, &ADMSbsimcmg::Model::MJD2)
    .setDescription("Drain bottom two-step second junction capacitance grading coefficient		");
  p.addPar("MJSWS2", static_cast<double>(0.083), &ADMSbsimcmg::Model::MJSWS2)
    .setDescription("Source sidewall two-step second junction capacitance grading coefficient");
  p.addPar("MJSWD2", 0.0, &ADMSbsimcmg::Model::MJSWD2)
    .setDescription("Drain sidewall two-step second junction capacitance grading coefficient");
  p.addPar("MJSWGS2", 0.0, &ADMSbsimcmg::Model::MJSWGS2)
    .setDescription("Source-side gate sidewall two-step");
  p.addPar("MJSWGD2", 0.0, &ADMSbsimcmg::Model::MJSWGD2)
    .setDescription("Drain-side gate sidewall two-step");
  p.addPar("JSS", static_cast<double>(1.0e-4), &ADMSbsimcmg::Model::JSS)
    .setDescription("Bottom source junction reverse saturation current density");
  p.addPar("JSD", 0.0, &ADMSbsimcmg::Model::JSD)
    .setDescription("Bottom drain junction reverse saturation current density");
  p.addPar("JSWS", static_cast<double>(0.0), &ADMSbsimcmg::Model::JSWS)
    .setDescription("Unit length reverse saturation current for sidewall source junction");
  p.addPar("JSWD", 0.0, &ADMSbsimcmg::Model::JSWD)
    .setDescription("Unit length reverse saturation current for sidewall drain junction");
  p.addPar("JSWGS", static_cast<double>(0.0), &ADMSbsimcmg::Model::JSWGS)
    .setDescription("Unit length reverse saturation current for gate-edge sidewall source junction");
  p.addPar("JSWGD", 0.0, &ADMSbsimcmg::Model::JSWGD)
    .setDescription("Unit length reverse saturation current for gate-edge sidewall drain junction");
  p.addPar("NJS", static_cast<double>(1.0), &ADMSbsimcmg::Model::NJS)
    .setDescription("Source junction emission coefficient");
  p.addPar("NJD", 0.0, &ADMSbsimcmg::Model::NJD)
    .setDescription("Drain junction emission coefficient");
  p.addPar("IJTHSFWD", static_cast<double>(0.1), &ADMSbsimcmg::Model::IJTHSFWD)
    .setDescription("Forward source diode breakdown limiting current");
  p.addPar("IJTHDFWD", 0.0, &ADMSbsimcmg::Model::IJTHDFWD)
    .setDescription("Forward drain diode breakdown limiting current");
  p.addPar("IJTHSREV", static_cast<double>(0.1), &ADMSbsimcmg::Model::IJTHSREV)
    .setDescription("Reverse source diode breakdown limiting current");
  p.addPar("IJTHDREV", 0.0, &ADMSbsimcmg::Model::IJTHDREV)
    .setDescription("Reverse drain diode breakdown limiting current");
  p.addPar("BVS", static_cast<double>(10.0), &ADMSbsimcmg::Model::BVS)
    .setDescription("Source diode breakdown voltage");
  p.addPar("BVD", 0.0, &ADMSbsimcmg::Model::BVD)
    .setDescription("Drain diode breakdown voltage");
  p.addPar("XJBVS", static_cast<double>(1.0), &ADMSbsimcmg::Model::XJBVS)
    .setDescription("Fitting parameter for source diode breakdown current");
  p.addPar("XJBVD", 0.0, &ADMSbsimcmg::Model::XJBVD)
    .setDescription("Fitting parameter for drain diode breakdown current");
  p.addPar("JTSS", static_cast<double>(0.0), &ADMSbsimcmg::Model::JTSS)
    .setDescription("Bottom source junction trap-assisted saturation current density");
  p.addPar("JTSD", 0.0, &ADMSbsimcmg::Model::JTSD)
    .setDescription("Bottom drain junction trap-assisted saturation current density");
  p.addPar("JTSSWS", static_cast<double>(0.0), &ADMSbsimcmg::Model::JTSSWS)
    .setDescription("Unit length trap-assisted saturation current for sidewall source junction");
  p.addPar("JTSSWD", 0.0, &ADMSbsimcmg::Model::JTSSWD)
    .setDescription("Unit length trap-assisted saturation current for sidewall drain junction");
  p.addPar("JTSSWGS", static_cast<double>(0.0), &ADMSbsimcmg::Model::JTSSWGS)
    .setDescription("Unit length trap-assisted saturation current for gate-edge sidewall source junction");
  p.addPar("JTSSWGD", 0.0, &ADMSbsimcmg::Model::JTSSWGD)
    .setDescription("Unit length trap-assisted saturation current for gate-edge sidewall drain junction");
  p.addPar("JTWEFF", static_cast<double>(0.0), &ADMSbsimcmg::Model::JTWEFF)
    .setDescription("Trap assisted tunneling current width dependence");
  p.addPar("NJTS", static_cast<double>(20.0), &ADMSbsimcmg::Model::NJTS)
    .setDescription("Non-ideality factor for JTSS");
  p.addPar("NJTSD", 0.0, &ADMSbsimcmg::Model::NJTSD)
    .setDescription("Non-ideality factor for JTSD");
  p.addPar("NJTSSW", static_cast<double>(20.0), &ADMSbsimcmg::Model::NJTSSW)
    .setDescription("Non-ideality factor for JTSSWS");
  p.addPar("NJTSSWD", 0.0, &ADMSbsimcmg::Model::NJTSSWD)
    .setDescription("Non-ideality factor for JTSSWD");
  p.addPar("NJTSSWG", static_cast<double>(20.0), &ADMSbsimcmg::Model::NJTSSWG)
    .setDescription("Non-ideality factor for JTSSWGS");
  p.addPar("NJTSSWGD", 0.0, &ADMSbsimcmg::Model::NJTSSWGD)
    .setDescription("Non-ideality factor for JTSSWGD");
  p.addPar("VTSS", static_cast<double>(10.0), &ADMSbsimcmg::Model::VTSS)
    .setDescription("Bottom source junction trap-assisted current voltage dependent parameter");
  p.addPar("VTSD", 0.0, &ADMSbsimcmg::Model::VTSD)
    .setDescription("Bottom drain junction trap-assisted current voltage dependent parameter");
  p.addPar("VTSSWS", static_cast<double>(10.0), &ADMSbsimcmg::Model::VTSSWS)
    .setDescription("Unit length trap-assisted current voltage dependent parameter for sidewall source junction ");
  p.addPar("VTSSWD", 0.0, &ADMSbsimcmg::Model::VTSSWD)
    .setDescription("Unit length trap-assisted current voltage dependent parameter for sidewall drain junction");
  p.addPar("VTSSWGS", static_cast<double>(10.0), &ADMSbsimcmg::Model::VTSSWGS)
    .setDescription("Unit length trap-assisted current voltage dependent parameter for gate-edge sidewall source junction");
  p.addPar("VTSSWGD", 0.0, &ADMSbsimcmg::Model::VTSSWGD)
    .setDescription("Unit length trap-assisted current voltage dependent parameter for gate-edge sidewall drain junction ");
  p.addPar("LINTIGEN", static_cast<double>(0), &ADMSbsimcmg::Model::LINTIGEN)
    .setDescription("Lint for Thermal Generation Current");
  p.addPar("NTGEN", static_cast<double>(1.0), &ADMSbsimcmg::Model::NTGEN)
    .setDescription("Thermal Generation Current Parameter");
  p.addPar("AIGEN", static_cast<double>(0), &ADMSbsimcmg::Model::AIGEN)
    .setDescription("Thermal Generation Current Parameter");
  p.addPar("BIGEN", static_cast<double>(0), &ADMSbsimcmg::Model::BIGEN)
    .setDescription("Thermal Generation Current Parameter");
  p.addPar("XRCRG1", static_cast<double>(12.0), &ADMSbsimcmg::Model::XRCRG1);
  p.addPar("XRCRG2", static_cast<double>(1.0), &ADMSbsimcmg::Model::XRCRG2);
  p.addPar("NSEG", static_cast<int>(4), &ADMSbsimcmg::Model::NSEG)
    .setDescription("Number of segments for NQSMOD=3 (3,5 and 10 supported)");
  p.addPar("EF", static_cast<double>(1.0), &ADMSbsimcmg::Model::EF);
  p.addPar("EM", static_cast<double>(4.1e7), &ADMSbsimcmg::Model::EM);
  p.addPar("NOIA", static_cast<double>(6.250e+39), &ADMSbsimcmg::Model::NOIA);
  p.addPar("NOIB", static_cast<double>(3.125e+24), &ADMSbsimcmg::Model::NOIB);
  p.addPar("NOIC", static_cast<double>(8.750e+07), &ADMSbsimcmg::Model::NOIC);
  p.addPar("NTNOI", static_cast<double>(1.0), &ADMSbsimcmg::Model::NTNOI);
  p.addPar("TNOM", static_cast<double>(27.0), &ADMSbsimcmg::Model::TNOM)
    .setDescription("Temperature at which the model is extracted (degrees)");
  p.addPar("TBGASUB", static_cast<double>(7.02e-4), &ADMSbsimcmg::Model::TBGASUB)
    .setDescription("Bandgap Temperature Coefficient (eV / degrees)");
  p.addPar("TBGBSUB", static_cast<double>(1108.0), &ADMSbsimcmg::Model::TBGBSUB)
    .setDescription("Bandgap Temperature Coefficient (degrees)");
  p.addPar("KT1", static_cast<double>(0.0), &ADMSbsimcmg::Model::KT1)
    .setDescription("Vth Temperature Coefficient (V)");
  p.addPar("KT1L", static_cast<double>(0.0), &ADMSbsimcmg::Model::KT1L)
    .setDescription("Vth Temperature L Coefficient (m-V)");
  p.addPar("TSS", static_cast<double>(0.0), &ADMSbsimcmg::Model::TSS)
    .setDescription("SSwing Temperature Coefficient (/ degrees)");
  p.addPar("IIT", static_cast<double>((-0.5)), &ADMSbsimcmg::Model::IIT)
    .setDescription("Impact Ionization Temperature Dependence, IIMOD=1");
  p.addPar("TII", static_cast<double>(0.0), &ADMSbsimcmg::Model::TII)
    .setDescription("Impact Ionization Temperature Dependence, IIMOD=2");
  p.addPar("TGIDL", static_cast<double>((-0.003)), &ADMSbsimcmg::Model::TGIDL)
    .setDescription("GIDL/GISL Temperature Dependence");
  p.addPar("IGT", static_cast<double>(2.5), &ADMSbsimcmg::Model::IGT)
    .setDescription("Gate Current Temperature Dependence");
  p.addPar("TCJ", static_cast<double>(0.0), &ADMSbsimcmg::Model::TCJ)
    .setDescription("Temperature coefficient for CJS/CJD");
  p.addPar("TCJSW", static_cast<double>(0.0), &ADMSbsimcmg::Model::TCJSW)
    .setDescription("Temperature coefficient for CJSWS/CJSWD");
  p.addPar("TCJSWG", static_cast<double>(0.0), &ADMSbsimcmg::Model::TCJSWG)
    .setDescription("Temperature coefficient for CJSWGS/CJSWGD");
  p.addPar("TPB", static_cast<double>(0.0), &ADMSbsimcmg::Model::TPB)
    .setDescription("Temperature coefficient for PBS/PBD");
  p.addPar("TPBSW", static_cast<double>(0.0), &ADMSbsimcmg::Model::TPBSW)
    .setDescription("Temperature coefficient for PBSWS/PBSWD");
  p.addPar("TPBSWG", static_cast<double>(0.0), &ADMSbsimcmg::Model::TPBSWG)
    .setDescription("Temperature coefficient for PBSWGS/PBSWGD");
  p.addPar("XTIS", static_cast<double>(3.0), &ADMSbsimcmg::Model::XTIS)
    .setDescription("Source junction current temperature exponent");
  p.addPar("XTID", 0.0, &ADMSbsimcmg::Model::XTID)
    .setDescription("Drain junction current temperature exponent");
  p.addPar("XTSS", static_cast<double>(0.02), &ADMSbsimcmg::Model::XTSS)
    .setDescription("Power dependence of JTSS on temperature");
  p.addPar("XTSD", 0.0, &ADMSbsimcmg::Model::XTSD)
    .setDescription("Power dependence of JTSD on temperature");
  p.addPar("XTSSWS", static_cast<double>(0.02), &ADMSbsimcmg::Model::XTSSWS)
    .setDescription("Power dependence of JTSSWS on temperature");
  p.addPar("XTSSWD", 0.0, &ADMSbsimcmg::Model::XTSSWD)
    .setDescription("Power dependence of JTSSWD on temperature");
  p.addPar("XTSSWGS", static_cast<double>(0.02), &ADMSbsimcmg::Model::XTSSWGS)
    .setDescription("Power dependence of JTSSWGS on temperature");
  p.addPar("XTSSWGD", 0.0, &ADMSbsimcmg::Model::XTSSWGD)
    .setDescription("Power dependence of JTSSWGD on temperature");
  p.addPar("TNJTS", static_cast<double>(0.0), &ADMSbsimcmg::Model::TNJTS)
    .setDescription("Temperature coefficient for NJTS");
  p.addPar("TNJTSD", 0.0, &ADMSbsimcmg::Model::TNJTSD)
    .setDescription("Temperature coefficient for NJTSD");
  p.addPar("TNJTSSW", static_cast<double>(0.0), &ADMSbsimcmg::Model::TNJTSSW)
    .setDescription("Temperature coefficient for NJTSSW");
  p.addPar("TNJTSSWD", 0.0, &ADMSbsimcmg::Model::TNJTSSWD)
    .setDescription("NTemperature coefficient for NJTSSWD");
  p.addPar("TNJTSSWG", static_cast<double>(0.0), &ADMSbsimcmg::Model::TNJTSSWG)
    .setDescription("Temperature coefficient for NJTSSWG");
  p.addPar("TNJTSSWGD", 0.0, &ADMSbsimcmg::Model::TNJTSSWGD)
    .setDescription("Temperature coefficient for NJTSSWGD");
  p.addPar("RTH0", static_cast<double>(0.01), &ADMSbsimcmg::Model::RTH0)
    .setDescription("Thermal resistance");
  p.addPar("CTH0", static_cast<double>(1.0E-05), &ADMSbsimcmg::Model::CTH0)
    .setDescription("Thermal capacitance");
  p.addPar("WTH0", static_cast<double>(0.0), &ADMSbsimcmg::Model::WTH0)
    .setDescription("Width dependence coefficient for Rth and Cth");
  p.addPar("LNBODY", static_cast<double>(0), &ADMSbsimcmg::Model::LNBODY);
  p.addPar("NNBODY", static_cast<double>(0), &ADMSbsimcmg::Model::NNBODY);
  p.addPar("PNBODY", static_cast<double>(0), &ADMSbsimcmg::Model::PNBODY);
  p.addPar("LPHIG", static_cast<double>(0), &ADMSbsimcmg::Model::LPHIG);
  p.addPar("NPHIG", static_cast<double>(0), &ADMSbsimcmg::Model::NPHIG);
  p.addPar("PPHIG", static_cast<double>(0), &ADMSbsimcmg::Model::PPHIG);
  p.addPar("LNGATE", static_cast<double>(0), &ADMSbsimcmg::Model::LNGATE);
  p.addPar("NNGATE", static_cast<double>(0), &ADMSbsimcmg::Model::NNGATE);
  p.addPar("PNGATE", static_cast<double>(0), &ADMSbsimcmg::Model::PNGATE);
  p.addPar("LCIT", static_cast<double>(0), &ADMSbsimcmg::Model::LCIT);
  p.addPar("NCIT", static_cast<double>(0), &ADMSbsimcmg::Model::NCIT);
  p.addPar("PCIT", static_cast<double>(0), &ADMSbsimcmg::Model::PCIT);
  p.addPar("LCDSC", static_cast<double>(0), &ADMSbsimcmg::Model::LCDSC);
  p.addPar("NCDSC", static_cast<double>(0), &ADMSbsimcmg::Model::NCDSC);
  p.addPar("PCDSC", static_cast<double>(0), &ADMSbsimcmg::Model::PCDSC);
  p.addPar("LCDSCD", static_cast<double>(0), &ADMSbsimcmg::Model::LCDSCD);
  p.addPar("NCDSCD", static_cast<double>(0), &ADMSbsimcmg::Model::NCDSCD);
  p.addPar("PCDSCD", static_cast<double>(0), &ADMSbsimcmg::Model::PCDSCD);
  p.addPar("LCDSCDR", 0.0, &ADMSbsimcmg::Model::LCDSCDR);
  p.addPar("NCDSCDR", 0.0, &ADMSbsimcmg::Model::NCDSCDR);
  p.addPar("PCDSCDR", 0.0, &ADMSbsimcmg::Model::PCDSCDR);
  p.addPar("LDVT0", static_cast<double>(0), &ADMSbsimcmg::Model::LDVT0);
  p.addPar("NDVT0", static_cast<double>(0), &ADMSbsimcmg::Model::NDVT0);
  p.addPar("PDVT0", static_cast<double>(0), &ADMSbsimcmg::Model::PDVT0);
  p.addPar("LDVT1", static_cast<double>(0), &ADMSbsimcmg::Model::LDVT1);
  p.addPar("NDVT1", static_cast<double>(0), &ADMSbsimcmg::Model::NDVT1);
  p.addPar("PDVT1", static_cast<double>(0), &ADMSbsimcmg::Model::PDVT1);
  p.addPar("LDVT1SS", static_cast<double>(0), &ADMSbsimcmg::Model::LDVT1SS);
  p.addPar("NDVT1SS", static_cast<double>(0), &ADMSbsimcmg::Model::NDVT1SS);
  p.addPar("PDVT1SS", static_cast<double>(0), &ADMSbsimcmg::Model::PDVT1SS);
  p.addPar("LPHIN", static_cast<double>(0), &ADMSbsimcmg::Model::LPHIN);
  p.addPar("NPHIN", static_cast<double>(0), &ADMSbsimcmg::Model::NPHIN);
  p.addPar("PPHIN", static_cast<double>(0), &ADMSbsimcmg::Model::PPHIN);
  p.addPar("LETA0", static_cast<double>(0), &ADMSbsimcmg::Model::LETA0);
  p.addPar("NETA0", static_cast<double>(0), &ADMSbsimcmg::Model::NETA0);
  p.addPar("PETA0", static_cast<double>(0), &ADMSbsimcmg::Model::PETA0);
  p.addPar("LETA0R", 0.0, &ADMSbsimcmg::Model::LETA0R);
  p.addPar("NETA0R", 0.0, &ADMSbsimcmg::Model::NETA0R);
  p.addPar("PETA0R", 0.0, &ADMSbsimcmg::Model::PETA0R);
  p.addPar("LDSUB", static_cast<double>(0), &ADMSbsimcmg::Model::LDSUB);
  p.addPar("NDSUB", static_cast<double>(0), &ADMSbsimcmg::Model::NDSUB);
  p.addPar("PDSUB", static_cast<double>(0), &ADMSbsimcmg::Model::PDSUB);
  p.addPar("LK1RSCE", static_cast<double>(0), &ADMSbsimcmg::Model::LK1RSCE);
  p.addPar("NK1RSCE", static_cast<double>(0), &ADMSbsimcmg::Model::NK1RSCE);
  p.addPar("PK1RSCE", static_cast<double>(0), &ADMSbsimcmg::Model::PK1RSCE);
  p.addPar("LLPE0", static_cast<double>(0), &ADMSbsimcmg::Model::LLPE0);
  p.addPar("NLPE0", static_cast<double>(0), &ADMSbsimcmg::Model::NLPE0);
  p.addPar("PLPE0", static_cast<double>(0), &ADMSbsimcmg::Model::PLPE0);
  p.addPar("LDVTSHIFT", static_cast<double>(0), &ADMSbsimcmg::Model::LDVTSHIFT);
  p.addPar("NDVTSHIFT", static_cast<double>(0), &ADMSbsimcmg::Model::NDVTSHIFT);
  p.addPar("PDVTSHIFT", static_cast<double>(0), &ADMSbsimcmg::Model::PDVTSHIFT);
  p.addPar("LPHIBE", static_cast<double>(0), &ADMSbsimcmg::Model::LPHIBE);
  p.addPar("NPHIBE", static_cast<double>(0), &ADMSbsimcmg::Model::NPHIBE);
  p.addPar("PPHIBE", static_cast<double>(0), &ADMSbsimcmg::Model::PPHIBE);
  p.addPar("LK0", static_cast<double>(0), &ADMSbsimcmg::Model::LK0);
  p.addPar("NK0", static_cast<double>(0), &ADMSbsimcmg::Model::NK0);
  p.addPar("PK0", static_cast<double>(0), &ADMSbsimcmg::Model::PK0);
  p.addPar("LK01", static_cast<double>(0), &ADMSbsimcmg::Model::LK01);
  p.addPar("NK01", static_cast<double>(0), &ADMSbsimcmg::Model::NK01);
  p.addPar("PK01", static_cast<double>(0), &ADMSbsimcmg::Model::PK01);
  p.addPar("LK0SI", static_cast<double>(0), &ADMSbsimcmg::Model::LK0SI);
  p.addPar("NK0SI", static_cast<double>(0), &ADMSbsimcmg::Model::NK0SI);
  p.addPar("PK0SI", static_cast<double>(0), &ADMSbsimcmg::Model::PK0SI);
  p.addPar("LK0SI1", static_cast<double>(0), &ADMSbsimcmg::Model::LK0SI1);
  p.addPar("NK0SI1", static_cast<double>(0), &ADMSbsimcmg::Model::NK0SI1);
  p.addPar("PK0SI1", static_cast<double>(0), &ADMSbsimcmg::Model::PK0SI1);
  p.addPar("LK1SI", static_cast<double>(0), &ADMSbsimcmg::Model::LK1SI);
  p.addPar("NK1SI", static_cast<double>(0), &ADMSbsimcmg::Model::NK1SI);
  p.addPar("PK1SI", static_cast<double>(0), &ADMSbsimcmg::Model::PK1SI);
  p.addPar("LK1SI1", static_cast<double>(0), &ADMSbsimcmg::Model::LK1SI1);
  p.addPar("NK1SI1", static_cast<double>(0), &ADMSbsimcmg::Model::NK1SI1);
  p.addPar("PK1SI1", static_cast<double>(0), &ADMSbsimcmg::Model::PK1SI1);
  p.addPar("LK1", static_cast<double>(0), &ADMSbsimcmg::Model::LK1);
  p.addPar("NK1", static_cast<double>(0), &ADMSbsimcmg::Model::NK1);
  p.addPar("PK1", static_cast<double>(0), &ADMSbsimcmg::Model::PK1);
  p.addPar("LK11", static_cast<double>(0), &ADMSbsimcmg::Model::LK11);
  p.addPar("NK11", static_cast<double>(0), &ADMSbsimcmg::Model::NK11);
  p.addPar("PK11", static_cast<double>(0), &ADMSbsimcmg::Model::PK11);
  p.addPar("LK1SAT", static_cast<double>(0), &ADMSbsimcmg::Model::LK1SAT);
  p.addPar("NK1SAT", static_cast<double>(0), &ADMSbsimcmg::Model::NK1SAT);
  p.addPar("PK1SAT", static_cast<double>(0), &ADMSbsimcmg::Model::PK1SAT);
  p.addPar("LK1SAT1", static_cast<double>(0), &ADMSbsimcmg::Model::LK1SAT1);
  p.addPar("NK1SAT1", static_cast<double>(0), &ADMSbsimcmg::Model::NK1SAT1);
  p.addPar("PK1SAT1", static_cast<double>(0), &ADMSbsimcmg::Model::PK1SAT1);
  p.addPar("LDVTB", static_cast<double>(0), &ADMSbsimcmg::Model::LDVTB);
  p.addPar("NDVTB", static_cast<double>(0), &ADMSbsimcmg::Model::NDVTB);
  p.addPar("PDVTB", static_cast<double>(0), &ADMSbsimcmg::Model::PDVTB);
  p.addPar("LLPEB", static_cast<double>(0), &ADMSbsimcmg::Model::LLPEB);
  p.addPar("NLPEB", static_cast<double>(0), &ADMSbsimcmg::Model::NLPEB);
  p.addPar("PLPEB", static_cast<double>(0), &ADMSbsimcmg::Model::PLPEB);
  p.addPar("LQMFACTOR", static_cast<double>(0.0), &ADMSbsimcmg::Model::LQMFACTOR);
  p.addPar("NQMFACTOR", static_cast<double>(0.0), &ADMSbsimcmg::Model::NQMFACTOR);
  p.addPar("PQMFACTOR", static_cast<double>(0.0), &ADMSbsimcmg::Model::PQMFACTOR);
  p.addPar("LQMTCENIV", static_cast<double>(0.0), &ADMSbsimcmg::Model::LQMTCENIV);
  p.addPar("NQMTCENIV", static_cast<double>(0.0), &ADMSbsimcmg::Model::NQMTCENIV);
  p.addPar("PQMTCENIV", static_cast<double>(0.0), &ADMSbsimcmg::Model::PQMTCENIV);
  p.addPar("LQMTCENCV", static_cast<double>(0.0), &ADMSbsimcmg::Model::LQMTCENCV);
  p.addPar("NQMTCENCV", static_cast<double>(0.0), &ADMSbsimcmg::Model::NQMTCENCV);
  p.addPar("PQMTCENCV", static_cast<double>(0.0), &ADMSbsimcmg::Model::PQMTCENCV);
  p.addPar("LQMTCENCVA", static_cast<double>(0.0), &ADMSbsimcmg::Model::LQMTCENCVA);
  p.addPar("NQMTCENCVA", static_cast<double>(0.0), &ADMSbsimcmg::Model::NQMTCENCVA);
  p.addPar("PQMTCENCVA", static_cast<double>(0.0), &ADMSbsimcmg::Model::PQMTCENCVA);
  p.addPar("LVSAT", static_cast<double>(0), &ADMSbsimcmg::Model::LVSAT);
  p.addPar("NVSAT", static_cast<double>(0), &ADMSbsimcmg::Model::NVSAT);
  p.addPar("PVSAT", static_cast<double>(0), &ADMSbsimcmg::Model::PVSAT);
  p.addPar("LVSAT1", 0.0, &ADMSbsimcmg::Model::LVSAT1);
  p.addPar("NVSAT1", 0.0, &ADMSbsimcmg::Model::NVSAT1);
  p.addPar("PVSAT1", 0.0, &ADMSbsimcmg::Model::PVSAT1);
  p.addPar("LVSAT1R", 0.0, &ADMSbsimcmg::Model::LVSAT1R);
  p.addPar("NVSAT1R", 0.0, &ADMSbsimcmg::Model::NVSAT1R);
  p.addPar("PVSAT1R", 0.0, &ADMSbsimcmg::Model::PVSAT1R);
  p.addPar("LPSAT", static_cast<double>(0), &ADMSbsimcmg::Model::LPSAT);
  p.addPar("NPSAT", static_cast<double>(0), &ADMSbsimcmg::Model::NPSAT);
  p.addPar("PPSAT", static_cast<double>(0), &ADMSbsimcmg::Model::PPSAT);
  p.addPar("LDELTAVSAT", static_cast<double>(0), &ADMSbsimcmg::Model::LDELTAVSAT);
  p.addPar("NDELTAVSAT", static_cast<double>(0), &ADMSbsimcmg::Model::NDELTAVSAT);
  p.addPar("PDELTAVSAT", static_cast<double>(0), &ADMSbsimcmg::Model::PDELTAVSAT);
  p.addPar("LKSATIV", static_cast<double>(0), &ADMSbsimcmg::Model::LKSATIV);
  p.addPar("NKSATIV", static_cast<double>(0), &ADMSbsimcmg::Model::NKSATIV);
  p.addPar("PKSATIV", static_cast<double>(0), &ADMSbsimcmg::Model::PKSATIV);
  p.addPar("LVSATCV", static_cast<double>(0), &ADMSbsimcmg::Model::LVSATCV);
  p.addPar("NVSATCV", static_cast<double>(0), &ADMSbsimcmg::Model::NVSATCV);
  p.addPar("PVSATCV", static_cast<double>(0), &ADMSbsimcmg::Model::PVSATCV);
  p.addPar("LPSATCV", static_cast<double>(0), &ADMSbsimcmg::Model::LPSATCV);
  p.addPar("NPSATCV", static_cast<double>(0), &ADMSbsimcmg::Model::NPSATCV);
  p.addPar("PPSATCV", static_cast<double>(0), &ADMSbsimcmg::Model::PPSATCV);
  p.addPar("LDELTAVSATCV", static_cast<double>(0), &ADMSbsimcmg::Model::LDELTAVSATCV);
  p.addPar("NDELTAVSATCV", static_cast<double>(0), &ADMSbsimcmg::Model::NDELTAVSATCV);
  p.addPar("PDELTAVSATCV", static_cast<double>(0), &ADMSbsimcmg::Model::PDELTAVSATCV);
  p.addPar("LMEXP", static_cast<double>(0), &ADMSbsimcmg::Model::LMEXP);
  p.addPar("NMEXP", static_cast<double>(0), &ADMSbsimcmg::Model::NMEXP);
  p.addPar("PMEXP", static_cast<double>(0), &ADMSbsimcmg::Model::PMEXP);
  p.addPar("LMEXPR", static_cast<double>(0), &ADMSbsimcmg::Model::LMEXPR);
  p.addPar("NMEXPR", static_cast<double>(0), &ADMSbsimcmg::Model::NMEXPR);
  p.addPar("PMEXPR", static_cast<double>(0), &ADMSbsimcmg::Model::PMEXPR);
  p.addPar("LPTWG", static_cast<double>(0.0), &ADMSbsimcmg::Model::LPTWG);
  p.addPar("NPTWG", static_cast<double>(0.0), &ADMSbsimcmg::Model::NPTWG);
  p.addPar("PPTWG", static_cast<double>(0.0), &ADMSbsimcmg::Model::PPTWG);
  p.addPar("LPTWGR", 0.0, &ADMSbsimcmg::Model::LPTWGR);
  p.addPar("NPTWGR", 0.0, &ADMSbsimcmg::Model::NPTWGR);
  p.addPar("PPTWGR", 0.0, &ADMSbsimcmg::Model::PPTWGR);
  p.addPar("LU0", static_cast<double>(0), &ADMSbsimcmg::Model::LU0);
  p.addPar("NU0", static_cast<double>(0), &ADMSbsimcmg::Model::NU0);
  p.addPar("PU0", static_cast<double>(0), &ADMSbsimcmg::Model::PU0);
  p.addPar("LETAMOB", static_cast<double>(0), &ADMSbsimcmg::Model::LETAMOB);
  p.addPar("NETAMOB", static_cast<double>(0), &ADMSbsimcmg::Model::NETAMOB);
  p.addPar("PETAMOB", static_cast<double>(0), &ADMSbsimcmg::Model::PETAMOB);
  p.addPar("LUP", static_cast<double>(0), &ADMSbsimcmg::Model::LUP);
  p.addPar("NUP", static_cast<double>(0), &ADMSbsimcmg::Model::NUP);
  p.addPar("PUP", static_cast<double>(0), &ADMSbsimcmg::Model::PUP);
  p.addPar("LUA", static_cast<double>(0), &ADMSbsimcmg::Model::LUA);
  p.addPar("NUA", static_cast<double>(0), &ADMSbsimcmg::Model::NUA);
  p.addPar("PUA", static_cast<double>(0), &ADMSbsimcmg::Model::PUA);
  p.addPar("LUC", static_cast<double>(0), &ADMSbsimcmg::Model::LUC);
  p.addPar("NUC", static_cast<double>(0), &ADMSbsimcmg::Model::NUC);
  p.addPar("PUC", static_cast<double>(0), &ADMSbsimcmg::Model::PUC);
  p.addPar("LEU", static_cast<double>(0), &ADMSbsimcmg::Model::LEU);
  p.addPar("NEU", static_cast<double>(0), &ADMSbsimcmg::Model::NEU);
  p.addPar("PEU", static_cast<double>(0), &ADMSbsimcmg::Model::PEU);
  p.addPar("LUD", static_cast<double>(0), &ADMSbsimcmg::Model::LUD);
  p.addPar("NUD", static_cast<double>(0), &ADMSbsimcmg::Model::NUD);
  p.addPar("PUD", static_cast<double>(0), &ADMSbsimcmg::Model::PUD);
  p.addPar("LUCS", static_cast<double>(0), &ADMSbsimcmg::Model::LUCS);
  p.addPar("NUCS", static_cast<double>(0), &ADMSbsimcmg::Model::NUCS);
  p.addPar("PUCS", static_cast<double>(0), &ADMSbsimcmg::Model::PUCS);
  p.addPar("LPCLM", static_cast<double>(0), &ADMSbsimcmg::Model::LPCLM);
  p.addPar("NPCLM", static_cast<double>(0), &ADMSbsimcmg::Model::NPCLM);
  p.addPar("PPCLM", static_cast<double>(0), &ADMSbsimcmg::Model::PPCLM);
  p.addPar("LPCLMG", static_cast<double>(0), &ADMSbsimcmg::Model::LPCLMG);
  p.addPar("NPCLMG", static_cast<double>(0), &ADMSbsimcmg::Model::NPCLMG);
  p.addPar("PPCLMG", static_cast<double>(0), &ADMSbsimcmg::Model::PPCLMG);
  p.addPar("LPCLMCV", static_cast<double>(0), &ADMSbsimcmg::Model::LPCLMCV);
  p.addPar("NPCLMCV", static_cast<double>(0), &ADMSbsimcmg::Model::NPCLMCV);
  p.addPar("PPCLMCV", static_cast<double>(0), &ADMSbsimcmg::Model::PPCLMCV);
  p.addPar("LA1", static_cast<double>(0), &ADMSbsimcmg::Model::LA1);
  p.addPar("NA1", static_cast<double>(0), &ADMSbsimcmg::Model::NA1);
  p.addPar("PA1", static_cast<double>(0), &ADMSbsimcmg::Model::PA1);
  p.addPar("LA11", static_cast<double>(0), &ADMSbsimcmg::Model::LA11);
  p.addPar("NA11", static_cast<double>(0), &ADMSbsimcmg::Model::NA11);
  p.addPar("PA11", static_cast<double>(0), &ADMSbsimcmg::Model::PA11);
  p.addPar("LA2", static_cast<double>(0), &ADMSbsimcmg::Model::LA2);
  p.addPar("NA2", static_cast<double>(0), &ADMSbsimcmg::Model::NA2);
  p.addPar("PA2", static_cast<double>(0), &ADMSbsimcmg::Model::PA2);
  p.addPar("LA21", static_cast<double>(0), &ADMSbsimcmg::Model::LA21);
  p.addPar("NA21", static_cast<double>(0), &ADMSbsimcmg::Model::NA21);
  p.addPar("PA21", static_cast<double>(0), &ADMSbsimcmg::Model::PA21);
  p.addPar("LRDSW", static_cast<double>(0), &ADMSbsimcmg::Model::LRDSW);
  p.addPar("NRDSW", static_cast<double>(0), &ADMSbsimcmg::Model::NRDSW);
  p.addPar("PRDSW", static_cast<double>(0), &ADMSbsimcmg::Model::PRDSW);
  p.addPar("LRSW", static_cast<double>(0.0), &ADMSbsimcmg::Model::LRSW);
  p.addPar("NRSW", static_cast<double>(0.0), &ADMSbsimcmg::Model::NRSW);
  p.addPar("PRSW", static_cast<double>(0.0), &ADMSbsimcmg::Model::PRSW);
  p.addPar("LRDW", static_cast<double>(0.0), &ADMSbsimcmg::Model::LRDW);
  p.addPar("NRDW", static_cast<double>(0.0), &ADMSbsimcmg::Model::NRDW);
  p.addPar("PRDW", static_cast<double>(0.0), &ADMSbsimcmg::Model::PRDW);
  p.addPar("LPRWGS", static_cast<double>(0), &ADMSbsimcmg::Model::LPRWGS);
  p.addPar("NPRWGS", static_cast<double>(0), &ADMSbsimcmg::Model::NPRWGS);
  p.addPar("PPRWGS", static_cast<double>(0), &ADMSbsimcmg::Model::PPRWGS);
  p.addPar("LPRWGD", static_cast<double>(0), &ADMSbsimcmg::Model::LPRWGD);
  p.addPar("NPRWGD", static_cast<double>(0), &ADMSbsimcmg::Model::NPRWGD);
  p.addPar("PPRWGD", static_cast<double>(0), &ADMSbsimcmg::Model::PPRWGD);
  p.addPar("LWR", static_cast<double>(0), &ADMSbsimcmg::Model::LWR);
  p.addPar("NWR", static_cast<double>(0), &ADMSbsimcmg::Model::NWR);
  p.addPar("PWR", static_cast<double>(0), &ADMSbsimcmg::Model::PWR);
  p.addPar("LPDIBL1", static_cast<double>(0), &ADMSbsimcmg::Model::LPDIBL1);
  p.addPar("NPDIBL1", static_cast<double>(0), &ADMSbsimcmg::Model::NPDIBL1);
  p.addPar("PPDIBL1", static_cast<double>(0), &ADMSbsimcmg::Model::PPDIBL1);
  p.addPar("LPDIBL1R", 0.0, &ADMSbsimcmg::Model::LPDIBL1R);
  p.addPar("NPDIBL1R", 0.0, &ADMSbsimcmg::Model::NPDIBL1R);
  p.addPar("PPDIBL1R", 0.0, &ADMSbsimcmg::Model::PPDIBL1R);
  p.addPar("LPDIBL2", static_cast<double>(0), &ADMSbsimcmg::Model::LPDIBL2);
  p.addPar("NPDIBL2", static_cast<double>(0), &ADMSbsimcmg::Model::NPDIBL2);
  p.addPar("PPDIBL2", static_cast<double>(0), &ADMSbsimcmg::Model::PPDIBL2);
  p.addPar("LDROUT", static_cast<double>(0), &ADMSbsimcmg::Model::LDROUT);
  p.addPar("NDROUT", static_cast<double>(0), &ADMSbsimcmg::Model::NDROUT);
  p.addPar("PDROUT", static_cast<double>(0), &ADMSbsimcmg::Model::PDROUT);
  p.addPar("LPVAG", static_cast<double>(0), &ADMSbsimcmg::Model::LPVAG);
  p.addPar("NPVAG", static_cast<double>(0), &ADMSbsimcmg::Model::NPVAG);
  p.addPar("PPVAG", static_cast<double>(0), &ADMSbsimcmg::Model::PPVAG);
  p.addPar("LAIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::LAIGBINV);
  p.addPar("NAIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::NAIGBINV);
  p.addPar("PAIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::PAIGBINV);
  p.addPar("LAIGBINV1", static_cast<double>(0), &ADMSbsimcmg::Model::LAIGBINV1);
  p.addPar("NAIGBINV1", static_cast<double>(0), &ADMSbsimcmg::Model::NAIGBINV1);
  p.addPar("PAIGBINV1", static_cast<double>(0), &ADMSbsimcmg::Model::PAIGBINV1);
  p.addPar("LBIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::LBIGBINV);
  p.addPar("NBIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::NBIGBINV);
  p.addPar("PBIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::PBIGBINV);
  p.addPar("LCIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::LCIGBINV);
  p.addPar("NCIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::NCIGBINV);
  p.addPar("PCIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::PCIGBINV);
  p.addPar("LEIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::LEIGBINV);
  p.addPar("NEIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::NEIGBINV);
  p.addPar("PEIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::PEIGBINV);
  p.addPar("LNIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::LNIGBINV);
  p.addPar("NNIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::NNIGBINV);
  p.addPar("PNIGBINV", static_cast<double>(0), &ADMSbsimcmg::Model::PNIGBINV);
  p.addPar("LAIGBACC", static_cast<double>(0), &ADMSbsimcmg::Model::LAIGBACC);
  p.addPar("NAIGBACC", static_cast<double>(0), &ADMSbsimcmg::Model::NAIGBACC);
  p.addPar("PAIGBACC", static_cast<double>(0), &ADMSbsimcmg::Model::PAIGBACC);
  p.addPar("LAIGBACC1", static_cast<double>(0), &ADMSbsimcmg::Model::LAIGBACC1);
  p.addPar("NAIGBACC1", static_cast<double>(0), &ADMSbsimcmg::Model::NAIGBACC1);
  p.addPar("PAIGBACC1", static_cast<double>(0), &ADMSbsimcmg::Model::PAIGBACC1);
  p.addPar("LBIGBACC", static_cast<double>(0), &ADMSbsimcmg::Model::LBIGBACC);
  p.addPar("NBIGBACC", static_cast<double>(0), &ADMSbsimcmg::Model::NBIGBACC);
  p.addPar("PBIGBACC", static_cast<double>(0), &ADMSbsimcmg::Model::PBIGBACC);
  p.addPar("LCIGBACC", static_cast<double>(0), &ADMSbsimcmg::Model::LCIGBACC);
  p.addPar("NCIGBACC", static_cast<double>(0), &ADMSbsimcmg::Model::NCIGBACC);
  p.addPar("PCIGBACC", static_cast<double>(0), &ADMSbsimcmg::Model::PCIGBACC);
  p.addPar("LNIGBACC", static_cast<double>(0), &ADMSbsimcmg::Model::LNIGBACC);
  p.addPar("NNIGBACC", static_cast<double>(0), &ADMSbsimcmg::Model::NNIGBACC);
  p.addPar("PNIGBACC", static_cast<double>(0), &ADMSbsimcmg::Model::PNIGBACC);
  p.addPar("LAIGC", static_cast<double>(0), &ADMSbsimcmg::Model::LAIGC);
  p.addPar("NAIGC", static_cast<double>(0), &ADMSbsimcmg::Model::NAIGC);
  p.addPar("PAIGC", static_cast<double>(0), &ADMSbsimcmg::Model::PAIGC);
  p.addPar("LAIGC1", static_cast<double>(0), &ADMSbsimcmg::Model::LAIGC1);
  p.addPar("NAIGC1", static_cast<double>(0), &ADMSbsimcmg::Model::NAIGC1);
  p.addPar("PAIGC1", static_cast<double>(0), &ADMSbsimcmg::Model::PAIGC1);
  p.addPar("LBIGC", static_cast<double>(0), &ADMSbsimcmg::Model::LBIGC);
  p.addPar("NBIGC", static_cast<double>(0), &ADMSbsimcmg::Model::NBIGC);
  p.addPar("PBIGC", static_cast<double>(0), &ADMSbsimcmg::Model::PBIGC);
  p.addPar("LCIGC", static_cast<double>(0), &ADMSbsimcmg::Model::LCIGC);
  p.addPar("NCIGC", static_cast<double>(0), &ADMSbsimcmg::Model::NCIGC);
  p.addPar("PCIGC", static_cast<double>(0), &ADMSbsimcmg::Model::PCIGC);
  p.addPar("LPIGCD", static_cast<double>(0), &ADMSbsimcmg::Model::LPIGCD);
  p.addPar("NPIGCD", static_cast<double>(0), &ADMSbsimcmg::Model::NPIGCD);
  p.addPar("PPIGCD", static_cast<double>(0), &ADMSbsimcmg::Model::PPIGCD);
  p.addPar("LAIGS", static_cast<double>(0), &ADMSbsimcmg::Model::LAIGS);
  p.addPar("NAIGS", static_cast<double>(0), &ADMSbsimcmg::Model::NAIGS);
  p.addPar("PAIGS", static_cast<double>(0), &ADMSbsimcmg::Model::PAIGS);
  p.addPar("LAIGS1", static_cast<double>(0), &ADMSbsimcmg::Model::LAIGS1);
  p.addPar("NAIGS1", static_cast<double>(0), &ADMSbsimcmg::Model::NAIGS1);
  p.addPar("PAIGS1", static_cast<double>(0), &ADMSbsimcmg::Model::PAIGS1);
  p.addPar("LBIGS", static_cast<double>(0), &ADMSbsimcmg::Model::LBIGS);
  p.addPar("NBIGS", static_cast<double>(0), &ADMSbsimcmg::Model::NBIGS);
  p.addPar("PBIGS", static_cast<double>(0), &ADMSbsimcmg::Model::PBIGS);
  p.addPar("LCIGS", static_cast<double>(0), &ADMSbsimcmg::Model::LCIGS);
  p.addPar("NCIGS", static_cast<double>(0), &ADMSbsimcmg::Model::NCIGS);
  p.addPar("PCIGS", static_cast<double>(0), &ADMSbsimcmg::Model::PCIGS);
  p.addPar("LAIGD", 0.0, &ADMSbsimcmg::Model::LAIGD);
  p.addPar("NAIGD", 0.0, &ADMSbsimcmg::Model::NAIGD);
  p.addPar("PAIGD", 0.0, &ADMSbsimcmg::Model::PAIGD);
  p.addPar("LAIGD1", 0.0, &ADMSbsimcmg::Model::LAIGD1);
  p.addPar("NAIGD1", 0.0, &ADMSbsimcmg::Model::NAIGD1);
  p.addPar("PAIGD1", 0.0, &ADMSbsimcmg::Model::PAIGD1);
  p.addPar("LBIGD", 0.0, &ADMSbsimcmg::Model::LBIGD);
  p.addPar("NBIGD", 0.0, &ADMSbsimcmg::Model::NBIGD);
  p.addPar("PBIGD", 0.0, &ADMSbsimcmg::Model::PBIGD);
  p.addPar("LCIGD", 0.0, &ADMSbsimcmg::Model::LCIGD);
  p.addPar("NCIGD", 0.0, &ADMSbsimcmg::Model::NCIGD);
  p.addPar("PCIGD", 0.0, &ADMSbsimcmg::Model::PCIGD);
  p.addPar("LNTOX", static_cast<double>(0), &ADMSbsimcmg::Model::LNTOX);
  p.addPar("NNTOX", static_cast<double>(0), &ADMSbsimcmg::Model::NNTOX);
  p.addPar("PNTOX", static_cast<double>(0), &ADMSbsimcmg::Model::PNTOX);
  p.addPar("LPOXEDGE", static_cast<double>(0), &ADMSbsimcmg::Model::LPOXEDGE);
  p.addPar("NPOXEDGE", static_cast<double>(0), &ADMSbsimcmg::Model::NPOXEDGE);
  p.addPar("PPOXEDGE", static_cast<double>(0), &ADMSbsimcmg::Model::PPOXEDGE);
  p.addPar("LAGISL", static_cast<double>(0), &ADMSbsimcmg::Model::LAGISL);
  p.addPar("NAGISL", static_cast<double>(0), &ADMSbsimcmg::Model::NAGISL);
  p.addPar("PAGISL", static_cast<double>(0), &ADMSbsimcmg::Model::PAGISL);
  p.addPar("LBGISL", static_cast<double>(0), &ADMSbsimcmg::Model::LBGISL);
  p.addPar("NBGISL", static_cast<double>(0), &ADMSbsimcmg::Model::NBGISL);
  p.addPar("PBGISL", static_cast<double>(0), &ADMSbsimcmg::Model::PBGISL);
  p.addPar("LCGISL", static_cast<double>(0), &ADMSbsimcmg::Model::LCGISL);
  p.addPar("NCGISL", static_cast<double>(0), &ADMSbsimcmg::Model::NCGISL);
  p.addPar("PCGISL", static_cast<double>(0), &ADMSbsimcmg::Model::PCGISL);
  p.addPar("LEGISL", static_cast<double>(0), &ADMSbsimcmg::Model::LEGISL);
  p.addPar("NEGISL", static_cast<double>(0), &ADMSbsimcmg::Model::NEGISL);
  p.addPar("PEGISL", static_cast<double>(0), &ADMSbsimcmg::Model::PEGISL);
  p.addPar("LPGISL", static_cast<double>(0), &ADMSbsimcmg::Model::LPGISL);
  p.addPar("NPGISL", static_cast<double>(0), &ADMSbsimcmg::Model::NPGISL);
  p.addPar("PPGISL", static_cast<double>(0), &ADMSbsimcmg::Model::PPGISL);
  p.addPar("LAGIDL", 0.0, &ADMSbsimcmg::Model::LAGIDL);
  p.addPar("NAGIDL", 0.0, &ADMSbsimcmg::Model::NAGIDL);
  p.addPar("PAGIDL", 0.0, &ADMSbsimcmg::Model::PAGIDL);
  p.addPar("LBGIDL", 0.0, &ADMSbsimcmg::Model::LBGIDL);
  p.addPar("NBGIDL", 0.0, &ADMSbsimcmg::Model::NBGIDL);
  p.addPar("PBGIDL", 0.0, &ADMSbsimcmg::Model::PBGIDL);
  p.addPar("LCGIDL", 0.0, &ADMSbsimcmg::Model::LCGIDL);
  p.addPar("NCGIDL", 0.0, &ADMSbsimcmg::Model::NCGIDL);
  p.addPar("PCGIDL", 0.0, &ADMSbsimcmg::Model::PCGIDL);
  p.addPar("LEGIDL", 0.0, &ADMSbsimcmg::Model::LEGIDL);
  p.addPar("NEGIDL", 0.0, &ADMSbsimcmg::Model::NEGIDL);
  p.addPar("PEGIDL", 0.0, &ADMSbsimcmg::Model::PEGIDL);
  p.addPar("LPGIDL", 0.0, &ADMSbsimcmg::Model::LPGIDL);
  p.addPar("NPGIDL", 0.0, &ADMSbsimcmg::Model::NPGIDL);
  p.addPar("PPGIDL", 0.0, &ADMSbsimcmg::Model::PPGIDL);
  p.addPar("LALPHA0", static_cast<double>(0.0), &ADMSbsimcmg::Model::LALPHA0);
  p.addPar("NALPHA0", static_cast<double>(0.0), &ADMSbsimcmg::Model::NALPHA0);
  p.addPar("PALPHA0", static_cast<double>(0.0), &ADMSbsimcmg::Model::PALPHA0);
  p.addPar("LALPHA1", static_cast<double>(0.0), &ADMSbsimcmg::Model::LALPHA1);
  p.addPar("NALPHA1", static_cast<double>(0.0), &ADMSbsimcmg::Model::NALPHA1);
  p.addPar("PALPHA1", static_cast<double>(0.0), &ADMSbsimcmg::Model::PALPHA1);
  p.addPar("LALPHAII0", static_cast<double>(0.0), &ADMSbsimcmg::Model::LALPHAII0);
  p.addPar("NALPHAII0", static_cast<double>(0.0), &ADMSbsimcmg::Model::NALPHAII0);
  p.addPar("PALPHAII0", static_cast<double>(0.0), &ADMSbsimcmg::Model::PALPHAII0);
  p.addPar("LALPHAII1", static_cast<double>(0.0), &ADMSbsimcmg::Model::LALPHAII1);
  p.addPar("NALPHAII1", static_cast<double>(0.0), &ADMSbsimcmg::Model::NALPHAII1);
  p.addPar("PALPHAII1", static_cast<double>(0.0), &ADMSbsimcmg::Model::PALPHAII1);
  p.addPar("LBETA0", static_cast<double>(0.0), &ADMSbsimcmg::Model::LBETA0);
  p.addPar("NBETA0", static_cast<double>(0.0), &ADMSbsimcmg::Model::NBETA0);
  p.addPar("PBETA0", static_cast<double>(0.0), &ADMSbsimcmg::Model::PBETA0);
  p.addPar("LBETAII0", static_cast<double>(0.0), &ADMSbsimcmg::Model::LBETAII0);
  p.addPar("NBETAII0", static_cast<double>(0.0), &ADMSbsimcmg::Model::NBETAII0);
  p.addPar("PBETAII0", static_cast<double>(0.0), &ADMSbsimcmg::Model::PBETAII0);
  p.addPar("LBETAII1", static_cast<double>(0.0), &ADMSbsimcmg::Model::LBETAII1);
  p.addPar("NBETAII1", static_cast<double>(0.0), &ADMSbsimcmg::Model::NBETAII1);
  p.addPar("PBETAII1", static_cast<double>(0.0), &ADMSbsimcmg::Model::PBETAII1);
  p.addPar("LBETAII2", static_cast<double>(0.0), &ADMSbsimcmg::Model::LBETAII2);
  p.addPar("NBETAII2", static_cast<double>(0.0), &ADMSbsimcmg::Model::NBETAII2);
  p.addPar("PBETAII2", static_cast<double>(0.0), &ADMSbsimcmg::Model::PBETAII2);
  p.addPar("LESATII", static_cast<double>(0.0), &ADMSbsimcmg::Model::LESATII);
  p.addPar("NESATII", static_cast<double>(0.0), &ADMSbsimcmg::Model::NESATII);
  p.addPar("PESATII", static_cast<double>(0.0), &ADMSbsimcmg::Model::PESATII);
  p.addPar("LLII", static_cast<double>(0.0), &ADMSbsimcmg::Model::LLII);
  p.addPar("NLII", static_cast<double>(0.0), &ADMSbsimcmg::Model::NLII);
  p.addPar("PLII", static_cast<double>(0.0), &ADMSbsimcmg::Model::PLII);
  p.addPar("LSII0", static_cast<double>(0.0), &ADMSbsimcmg::Model::LSII0);
  p.addPar("NSII0", static_cast<double>(0.0), &ADMSbsimcmg::Model::NSII0);
  p.addPar("PSII0", static_cast<double>(0.0), &ADMSbsimcmg::Model::PSII0);
  p.addPar("LSII1", static_cast<double>(0.0), &ADMSbsimcmg::Model::LSII1);
  p.addPar("NSII1", static_cast<double>(0.0), &ADMSbsimcmg::Model::NSII1);
  p.addPar("PSII1", static_cast<double>(0.0), &ADMSbsimcmg::Model::PSII1);
  p.addPar("LSII2", static_cast<double>(0.0), &ADMSbsimcmg::Model::LSII2);
  p.addPar("NSII2", static_cast<double>(0.0), &ADMSbsimcmg::Model::NSII2);
  p.addPar("PSII2", static_cast<double>(0.0), &ADMSbsimcmg::Model::PSII2);
  p.addPar("LSIID", static_cast<double>(0.0), &ADMSbsimcmg::Model::LSIID);
  p.addPar("NSIID", static_cast<double>(0.0), &ADMSbsimcmg::Model::NSIID);
  p.addPar("PSIID", static_cast<double>(0.0), &ADMSbsimcmg::Model::PSIID);
  p.addPar("LCFS", static_cast<double>(0.0), &ADMSbsimcmg::Model::LCFS);
  p.addPar("NCFS", static_cast<double>(0.0), &ADMSbsimcmg::Model::NCFS);
  p.addPar("PCFS", static_cast<double>(0.0), &ADMSbsimcmg::Model::PCFS);
  p.addPar("LCFD", 0.0, &ADMSbsimcmg::Model::LCFD);
  p.addPar("NCFD", 0.0, &ADMSbsimcmg::Model::NCFD);
  p.addPar("PCFD", 0.0, &ADMSbsimcmg::Model::PCFD);
  p.addPar("LCOVS", static_cast<double>(0.0), &ADMSbsimcmg::Model::LCOVS);
  p.addPar("NCOVS", static_cast<double>(0.0), &ADMSbsimcmg::Model::NCOVS);
  p.addPar("PCOVS", static_cast<double>(0.0), &ADMSbsimcmg::Model::PCOVS);
  p.addPar("LCOVD", 0.0, &ADMSbsimcmg::Model::LCOVD);
  p.addPar("NCOVD", 0.0, &ADMSbsimcmg::Model::NCOVD);
  p.addPar("PCOVD", 0.0, &ADMSbsimcmg::Model::PCOVD);
  p.addPar("LCGSL", static_cast<double>(0.0), &ADMSbsimcmg::Model::LCGSL);
  p.addPar("NCGSL", static_cast<double>(0.0), &ADMSbsimcmg::Model::NCGSL);
  p.addPar("PCGSL", static_cast<double>(0.0), &ADMSbsimcmg::Model::PCGSL);
  p.addPar("LCGDL", 0.0, &ADMSbsimcmg::Model::LCGDL);
  p.addPar("NCGDL", 0.0, &ADMSbsimcmg::Model::NCGDL);
  p.addPar("PCGDL", 0.0, &ADMSbsimcmg::Model::PCGDL);
  p.addPar("LCKAPPAS", static_cast<double>(0.0), &ADMSbsimcmg::Model::LCKAPPAS);
  p.addPar("NCKAPPAS", static_cast<double>(0.0), &ADMSbsimcmg::Model::NCKAPPAS);
  p.addPar("PCKAPPAS", static_cast<double>(0.0), &ADMSbsimcmg::Model::PCKAPPAS);
  p.addPar("LCKAPPAD", 0.0, &ADMSbsimcmg::Model::LCKAPPAD);
  p.addPar("NCKAPPAD", 0.0, &ADMSbsimcmg::Model::NCKAPPAD);
  p.addPar("PCKAPPAD", 0.0, &ADMSbsimcmg::Model::PCKAPPAD);
  p.addPar("LCGBL", static_cast<double>(0.0), &ADMSbsimcmg::Model::LCGBL);
  p.addPar("NCGBL", static_cast<double>(0.0), &ADMSbsimcmg::Model::NCGBL);
  p.addPar("PCGBL", static_cast<double>(0.0), &ADMSbsimcmg::Model::PCGBL);
  p.addPar("LCKAPPAB", static_cast<double>(0.0), &ADMSbsimcmg::Model::LCKAPPAB);
  p.addPar("NCKAPPAB", static_cast<double>(0.0), &ADMSbsimcmg::Model::NCKAPPAB);
  p.addPar("PCKAPPAB", static_cast<double>(0.0), &ADMSbsimcmg::Model::PCKAPPAB);
  p.addPar("LNTGEN", static_cast<double>(0), &ADMSbsimcmg::Model::LNTGEN);
  p.addPar("NNTGEN", static_cast<double>(0), &ADMSbsimcmg::Model::NNTGEN);
  p.addPar("PNTGEN", static_cast<double>(0), &ADMSbsimcmg::Model::PNTGEN);
  p.addPar("LAIGEN", static_cast<double>(0), &ADMSbsimcmg::Model::LAIGEN);
  p.addPar("NAIGEN", static_cast<double>(0), &ADMSbsimcmg::Model::NAIGEN);
  p.addPar("PAIGEN", static_cast<double>(0), &ADMSbsimcmg::Model::PAIGEN);
  p.addPar("LBIGEN", static_cast<double>(0), &ADMSbsimcmg::Model::LBIGEN);
  p.addPar("NBIGEN", static_cast<double>(0), &ADMSbsimcmg::Model::NBIGEN);
  p.addPar("PBIGEN", static_cast<double>(0), &ADMSbsimcmg::Model::PBIGEN);
  p.addPar("LXRCRG1", static_cast<double>(0.0), &ADMSbsimcmg::Model::LXRCRG1);
  p.addPar("NXRCRG1", static_cast<double>(0.0), &ADMSbsimcmg::Model::NXRCRG1);
  p.addPar("PXRCRG1", static_cast<double>(0.0), &ADMSbsimcmg::Model::PXRCRG1);
  p.addPar("LXRCRG2", static_cast<double>(0.0), &ADMSbsimcmg::Model::LXRCRG2);
  p.addPar("NXRCRG2", static_cast<double>(0.0), &ADMSbsimcmg::Model::NXRCRG2);
  p.addPar("PXRCRG2", static_cast<double>(0.0), &ADMSbsimcmg::Model::PXRCRG2);
  p.addPar("LINTNOI", static_cast<double>(0.0), &ADMSbsimcmg::Model::LINTNOI);
  p.addPar("LUTE", static_cast<double>(0.0), &ADMSbsimcmg::Model::LUTE);
  p.addPar("NUTE", static_cast<double>(0.0), &ADMSbsimcmg::Model::NUTE);
  p.addPar("PUTE", static_cast<double>(0.0), &ADMSbsimcmg::Model::PUTE);
  p.addPar("LUTL", static_cast<double>(0.0), &ADMSbsimcmg::Model::LUTL);
  p.addPar("NUTL", static_cast<double>(0.0), &ADMSbsimcmg::Model::NUTL);
  p.addPar("PUTL", static_cast<double>(0.0), &ADMSbsimcmg::Model::PUTL);
  p.addPar("LEMOBT", static_cast<double>(0), &ADMSbsimcmg::Model::LEMOBT);
  p.addPar("NEMOBT", static_cast<double>(0), &ADMSbsimcmg::Model::NEMOBT);
  p.addPar("PEMOBT", static_cast<double>(0), &ADMSbsimcmg::Model::PEMOBT);
  p.addPar("LUA1", static_cast<double>(0.0), &ADMSbsimcmg::Model::LUA1);
  p.addPar("NUA1", static_cast<double>(0.0), &ADMSbsimcmg::Model::NUA1);
  p.addPar("PUA1", static_cast<double>(0.0), &ADMSbsimcmg::Model::PUA1);
  p.addPar("LUC1", static_cast<double>(0.0), &ADMSbsimcmg::Model::LUC1);
  p.addPar("NUC1", static_cast<double>(0.0), &ADMSbsimcmg::Model::NUC1);
  p.addPar("PUC1", static_cast<double>(0.0), &ADMSbsimcmg::Model::PUC1);
  p.addPar("LUD1", static_cast<double>(0.0), &ADMSbsimcmg::Model::LUD1);
  p.addPar("NUD1", static_cast<double>(0.0), &ADMSbsimcmg::Model::NUD1);
  p.addPar("PUD1", static_cast<double>(0.0), &ADMSbsimcmg::Model::PUD1);
  p.addPar("LUCSTE", static_cast<double>(0.0), &ADMSbsimcmg::Model::LUCSTE);
  p.addPar("NUCSTE", static_cast<double>(0.0), &ADMSbsimcmg::Model::NUCSTE);
  p.addPar("PUCSTE", static_cast<double>(0.0), &ADMSbsimcmg::Model::PUCSTE);
  p.addPar("LPTWGT", static_cast<double>(0), &ADMSbsimcmg::Model::LPTWGT);
  p.addPar("NPTWGT", static_cast<double>(0), &ADMSbsimcmg::Model::NPTWGT);
  p.addPar("PPTWGT", static_cast<double>(0), &ADMSbsimcmg::Model::PPTWGT);
  p.addPar("LAT", static_cast<double>(0), &ADMSbsimcmg::Model::LAT);
  p.addPar("NAT", static_cast<double>(0), &ADMSbsimcmg::Model::NAT);
  p.addPar("PAT", static_cast<double>(0), &ADMSbsimcmg::Model::PAT);
  p.addPar("LSTTHETASAT", static_cast<double>(0), &ADMSbsimcmg::Model::LSTTHETASAT);
  p.addPar("NSTTHETASAT", static_cast<double>(0), &ADMSbsimcmg::Model::NSTTHETASAT);
  p.addPar("PSTTHETASAT", static_cast<double>(0), &ADMSbsimcmg::Model::PSTTHETASAT);
  p.addPar("LPRT", static_cast<double>(0), &ADMSbsimcmg::Model::LPRT);
  p.addPar("NPRT", static_cast<double>(0), &ADMSbsimcmg::Model::NPRT);
  p.addPar("PPRT", static_cast<double>(0), &ADMSbsimcmg::Model::PPRT);
  p.addPar("LKT1", static_cast<double>(0), &ADMSbsimcmg::Model::LKT1);
  p.addPar("NKT1", static_cast<double>(0), &ADMSbsimcmg::Model::NKT1);
  p.addPar("PKT1", static_cast<double>(0), &ADMSbsimcmg::Model::PKT1);
  p.addPar("LTSS", static_cast<double>(0), &ADMSbsimcmg::Model::LTSS);
  p.addPar("NTSS", static_cast<double>(0), &ADMSbsimcmg::Model::NTSS);
  p.addPar("PTSS", static_cast<double>(0), &ADMSbsimcmg::Model::PTSS);
  p.addPar("LIIT", static_cast<double>(0), &ADMSbsimcmg::Model::LIIT);
  p.addPar("NIIT", static_cast<double>(0), &ADMSbsimcmg::Model::NIIT);
  p.addPar("PIIT", static_cast<double>(0), &ADMSbsimcmg::Model::PIIT);
  p.addPar("LTII", static_cast<double>(0.0), &ADMSbsimcmg::Model::LTII);
  p.addPar("NTII", static_cast<double>(0.0), &ADMSbsimcmg::Model::NTII);
  p.addPar("PTII", static_cast<double>(0.0), &ADMSbsimcmg::Model::PTII);
  p.addPar("LTGIDL", static_cast<double>(0), &ADMSbsimcmg::Model::LTGIDL);
  p.addPar("NTGIDL", static_cast<double>(0), &ADMSbsimcmg::Model::NTGIDL);
  p.addPar("PTGIDL", static_cast<double>(0), &ADMSbsimcmg::Model::PTGIDL);
  p.addPar("LIGT", static_cast<double>(0), &ADMSbsimcmg::Model::LIGT);
  p.addPar("NIGT", static_cast<double>(0), &ADMSbsimcmg::Model::NIGT);
  p.addPar("PIGT", static_cast<double>(0), &ADMSbsimcmg::Model::PIGT);

}

//-----------------------------------------------------------------------------
// Function      : Instance::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::processParams()
{
  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

  //    Parameter L : [ 1*1.0e-9,  (+inf) [
  if ( (!((L >=1*1.0e-9))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter L value " << L << " out of range [ 1*1.0e-9,  (+inf) [";
  }

  //    Parameter D : [ 1*1.0e-9,  (+inf) [
  if ( (!((D >=1*1.0e-9))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter D value " << D << " out of range [ 1*1.0e-9,  (+inf) [";
  }

  //    Parameter TFIN : [ 1*1.0e-9,  (+inf) [
  if ( (!((TFIN >=1*1.0e-9))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter TFIN value " << TFIN << " out of range [ 1*1.0e-9,  (+inf) [";
  }

  //    Parameter FPITCH : [ TFIN,  (+inf) [
  if ( (!((FPITCH >=TFIN))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter FPITCH value " << FPITCH << " out of range [ TFIN,  (+inf) [";
  }

  //    Parameter NFIN : ] 0,  (+inf) [
  if ( (!((NFIN >0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NFIN value " << NFIN << " out of range ] 0,  (+inf) [";
  }

  //    Parameter NGCON : [ 1, 2 ]
  if ( (!((NGCON >=1 && NGCON <=2 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NGCON value " << NGCON << " out of range [ 1, 2 ]";
  }

  //    Parameter ASEO : [ 0,  (+inf) [
  if ( (!((ASEO >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter ASEO value " << ASEO << " out of range [ 0,  (+inf) [";
  }

  //    Parameter ADEO : [ 0,  (+inf) [
  if ( (!((ADEO >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter ADEO value " << ADEO << " out of range [ 0,  (+inf) [";
  }

  //    Parameter PSEO : [ 0,  (+inf) [
  if ( (!((PSEO >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter PSEO value " << PSEO << " out of range [ 0,  (+inf) [";
  }

  //    Parameter PDEO : [ 0,  (+inf) [
  if ( (!((PDEO >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter PDEO value " << PDEO << " out of range [ 0,  (+inf) [";
  }

  //    Parameter ASEJ : [ 0,  (+inf) [
  if ( (!((ASEJ >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter ASEJ value " << ASEJ << " out of range [ 0,  (+inf) [";
  }

  //    Parameter ADEJ : [ 0,  (+inf) [
  if ( (!((ADEJ >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter ADEJ value " << ADEJ << " out of range [ 0,  (+inf) [";
  }

  //    Parameter PSEJ : [ 0,  (+inf) [
  if ( (!((PSEJ >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter PSEJ value " << PSEJ << " out of range [ 0,  (+inf) [";
  }

  //    Parameter PDEJ : [ 0,  (+inf) [
  if ( (!((PDEJ >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter PDEJ value " << PDEJ << " out of range [ 0,  (+inf) [";
  }

  //    Parameter COVS : [ 0,  (+inf) [
  if ( (!((COVS >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter COVS value " << COVS << " out of range [ 0,  (+inf) [";
  }

  //    Parameter COVD : [ 0,  (+inf) [
  if ( (!((COVD >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter COVD value " << COVD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CGSP : [ 0,  (+inf) [
  if ( (!((CGSP >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CGSP value " << CGSP << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CGDP : [ 0,  (+inf) [
  if ( (!((CGDP >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CGDP value " << CGDP << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CDSP : [ 0,  (+inf) [
  if ( (!((CDSP >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CDSP value " << CDSP << " out of range [ 0,  (+inf) [";
  }

  //    Parameter NRS : [ 0,  (+inf) [
  if ( (!((NRS >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NRS value " << NRS << " out of range [ 0,  (+inf) [";
  }

  //    Parameter NRD : [ 0,  (+inf) [
  if ( (!((NRD >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NRD value " << NRD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter LRSD : ] 0,  (+inf) [
  if ( (!((LRSD >0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter LRSD value " << LRSD << " out of range ] 0,  (+inf) [";
  }


  // this seems a little stupid, but verilog models that use $temperature
  // don't also use a defined parameter "Temp", and count on $temperature
  // to be the one the simulator wants:

  updateTemperature(admsInstTemp);

  // and of course, this routine is where we should put the initial_instance
  // stuff


  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::Instance
// Purpose       : "instance block" constructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------

Instance::Instance(
   const Configuration & configuration,
   const InstanceBlock & instance_block,
   Model &               model,
   const FactoryBlock &  factory_block)
  : DeviceInstance(instance_block, configuration.getInstanceParameters(), factory_block),
    model_(model),
    L(30*1.0e-9),
    D(40*1.0e-9),
    TFIN(15*1.0e-9),
    FPITCH(80*1.0e-9),
    NFIN(1.0),
    NGCON(1),
    ASEO(0),
    ADEO(0),
    PSEO(0),
    PDEO(0),
    ASEJ(0),
    ADEJ(0),
    PSEJ(0),
    PDEJ(0),
    COVS(0),
    COVD(0.0),
                                                                 CGSP(0.0),
                                                                 CGDP(0.0),
                                                                 CDSP(0.0),
                                                                 NRS(0.0),
                                                                 NRD(0.0),
                                                                 LRSD(0.0),
                                                                 li_d(-1),
                                                                 li_g(-1),
                                                                 li_s(-1),
                                                                 li_e(-1),
                                                                 li_di(-1),
                                                                 li_si(-1),
                                                                 f_di_Equ_g_Node_Ptr(0),
                                                                 f_di_Equ_di_Node_Ptr(0),
                                                                 f_si_Equ_g_Node_Ptr(0),
                                                                 f_si_Equ_di_Node_Ptr(0),
                                                                 f_di_Equ_si_Node_Ptr(0),
                                                                 f_si_Equ_si_Node_Ptr(0),
                                                                 f_di_Equ_e_Node_Ptr(0),
                                                                 f_si_Equ_e_Node_Ptr(0),
                                                                 f_g_Equ_g_Node_Ptr(0),
                                                                 f_g_Equ_di_Node_Ptr(0),
                                                                 f_g_Equ_si_Node_Ptr(0),
                                                                 f_g_Equ_e_Node_Ptr(0),
                                                                 f_g_Equ_s_Node_Ptr(0),
                                                                 f_si_Equ_s_Node_Ptr(0),
                                                                 f_g_Equ_d_Node_Ptr(0),
                                                                 f_si_Equ_d_Node_Ptr(0),
                                                                 f_di_Equ_s_Node_Ptr(0),
                                                                 f_di_Equ_d_Node_Ptr(0),
                                                                 f_e_Equ_g_Node_Ptr(0),
                                                                 f_e_Equ_e_Node_Ptr(0),
                                                                 f_e_Equ_di_Node_Ptr(0),
                                                                 f_e_Equ_si_Node_Ptr(0),
                                                                 f_e_Equ_s_Node_Ptr(0),
                                                                 f_e_Equ_d_Node_Ptr(0),
                                                                 f_d_Equ_d_Node_Ptr(0),
                                                                 f_d_Equ_s_Node_Ptr(0),
                                                                 f_s_Equ_d_Node_Ptr(0),
                                                                 f_s_Equ_s_Node_Ptr(0),
                                                                 f_s_Equ_di_Node_Ptr(0),
                                                                 f_s_Equ_si_Node_Ptr(0),
                                                                 f_s_Equ_g_Node_Ptr(0),
                                                                 f_s_Equ_e_Node_Ptr(0),
                                                                 f_d_Equ_di_Node_Ptr(0),
                                                                 f_d_Equ_si_Node_Ptr(0),
                                                                 f_d_Equ_g_Node_Ptr(0),
                                                                 f_d_Equ_e_Node_Ptr(0),
                                                                 q_di_Equ_g_Node_Ptr(0),
                                                                 q_di_Equ_di_Node_Ptr(0),
                                                                 q_si_Equ_g_Node_Ptr(0),
                                                                 q_si_Equ_di_Node_Ptr(0),
                                                                 q_di_Equ_si_Node_Ptr(0),
                                                                 q_si_Equ_si_Node_Ptr(0),
                                                                 q_di_Equ_e_Node_Ptr(0),
                                                                 q_si_Equ_e_Node_Ptr(0),
                                                                 q_g_Equ_g_Node_Ptr(0),
                                                                 q_g_Equ_di_Node_Ptr(0),
                                                                 q_g_Equ_si_Node_Ptr(0),
                                                                 q_g_Equ_e_Node_Ptr(0),
                                                                 q_g_Equ_s_Node_Ptr(0),
                                                                 q_si_Equ_s_Node_Ptr(0),
                                                                 q_g_Equ_d_Node_Ptr(0),
                                                                 q_si_Equ_d_Node_Ptr(0),
                                                                 q_di_Equ_s_Node_Ptr(0),
                                                                 q_di_Equ_d_Node_Ptr(0),
                                                                 q_e_Equ_g_Node_Ptr(0),
                                                                 q_e_Equ_e_Node_Ptr(0),
                                                                 q_e_Equ_di_Node_Ptr(0),
                                                                 q_e_Equ_si_Node_Ptr(0),
                                                                 q_e_Equ_s_Node_Ptr(0),
                                                                 q_e_Equ_d_Node_Ptr(0),
                                                                 q_d_Equ_d_Node_Ptr(0),
                                                                 q_d_Equ_s_Node_Ptr(0),
                                                                 q_s_Equ_d_Node_Ptr(0),
                                                                 q_s_Equ_s_Node_Ptr(0),
                                                                 q_s_Equ_di_Node_Ptr(0),
                                                                 q_s_Equ_si_Node_Ptr(0),
                                                                 q_s_Equ_g_Node_Ptr(0),
                                                                 q_s_Equ_e_Node_Ptr(0),
                                                                 q_d_Equ_di_Node_Ptr(0),
                                                                 q_d_Equ_si_Node_Ptr(0),
                                                                 q_d_Equ_g_Node_Ptr(0),
                                                                 q_d_Equ_e_Node_Ptr(0),
                                                                 admsTemperature(getDeviceOptions().temp.getImmutableValue<double>())

{
  numIntVars = 2 + 0;
  numExtVars = 4;


  // Right now, we only have state for limited probes...
  numStateVars = 0;


  // Set up jacobian stamp:

  if (jacStamp.empty())
  {
    jacStamp.resize(6);
    jacStamp[admsNodeID_d].resize(6);
    jacStamp[admsNodeID_d][0] = admsNodeID_d;
    jacStamp[admsNodeID_d][1] = admsNodeID_s;
    jacStamp[admsNodeID_d][2] = admsNodeID_di;
    jacStamp[admsNodeID_d][3] = admsNodeID_si;
    jacStamp[admsNodeID_d][4] = admsNodeID_g;
    jacStamp[admsNodeID_d][5] = admsNodeID_e;
    jacStamp[admsNodeID_g].resize(6);
    jacStamp[admsNodeID_g][0] = admsNodeID_g;
    jacStamp[admsNodeID_g][1] = admsNodeID_di;
    jacStamp[admsNodeID_g][2] = admsNodeID_si;
    jacStamp[admsNodeID_g][3] = admsNodeID_e;
    jacStamp[admsNodeID_g][4] = admsNodeID_s;
    jacStamp[admsNodeID_g][5] = admsNodeID_d;
    jacStamp[admsNodeID_s].resize(6);
    jacStamp[admsNodeID_s][0] = admsNodeID_d;
    jacStamp[admsNodeID_s][1] = admsNodeID_s;
    jacStamp[admsNodeID_s][2] = admsNodeID_di;
    jacStamp[admsNodeID_s][3] = admsNodeID_si;
    jacStamp[admsNodeID_s][4] = admsNodeID_g;
    jacStamp[admsNodeID_s][5] = admsNodeID_e;
    jacStamp[admsNodeID_e].resize(6);
    jacStamp[admsNodeID_e][0] = admsNodeID_g;
    jacStamp[admsNodeID_e][1] = admsNodeID_e;
    jacStamp[admsNodeID_e][2] = admsNodeID_di;
    jacStamp[admsNodeID_e][3] = admsNodeID_si;
    jacStamp[admsNodeID_e][4] = admsNodeID_s;
    jacStamp[admsNodeID_e][5] = admsNodeID_d;
    jacStamp[admsNodeID_di].resize(6);
    jacStamp[admsNodeID_di][0] = admsNodeID_g;
    jacStamp[admsNodeID_di][1] = admsNodeID_di;
    jacStamp[admsNodeID_di][2] = admsNodeID_si;
    jacStamp[admsNodeID_di][3] = admsNodeID_e;
    jacStamp[admsNodeID_di][4] = admsNodeID_s;
    jacStamp[admsNodeID_di][5] = admsNodeID_d;
    jacStamp[admsNodeID_si].resize(6);
    jacStamp[admsNodeID_si][0] = admsNodeID_g;
    jacStamp[admsNodeID_si][1] = admsNodeID_di;
    jacStamp[admsNodeID_si][2] = admsNodeID_si;
    jacStamp[admsNodeID_si][3] = admsNodeID_e;
    jacStamp[admsNodeID_si][4] = admsNodeID_s;
    jacStamp[admsNodeID_si][5] = admsNodeID_d;


    // This is really not strictly necessary when not mapping away nodes,
    // but makes life easier when we get to registerJacLIDs.  This block
    // simply makes a map that leaves everything in place.  Later, when we
    // start making nodes go away, we will need to modify this.

    int mapSize = jacStamp.size();
    jacMap.clear();
    jacMap2.clear();
    jacMap.resize(mapSize);
    jacMap2.resize(mapSize);
    for (int i=0;i<mapSize;++i)
    {
      int rowSize=jacStamp[i].size();
      jacMap[i]=i;
      jacMap2[i].resize(rowSize);
      for (int j=0;j<rowSize;++j)
      {
        jacMap2[i][j] = j;
      }
    }

  }


  setDefaultParams();
  setParams(instance_block.params);
  // set any non-constant parameter defaults

  // copy any model variables that have associated instance variables, but
  // are only given in the model card:
  if (!(given("L")))
  {
    L = model_.L;
  }
  if (!(given("D")))
  {
    D = model_.D;
  }
  if (!(given("TFIN")))
  {
    TFIN = model_.TFIN;
  }
  if (!(given("FPITCH")))
  {
    FPITCH = model_.FPITCH;
  }
  if (!(given("NFIN")))
  {
    NFIN = model_.NFIN;
  }
  if (!(given("NGCON")))
  {
    NGCON = model_.NGCON;
  }
  if (!(given("ASEO")))
  {
    ASEO = model_.ASEO;
  }
  if (!(given("ADEO")))
  {
    ADEO = model_.ADEO;
  }
  if (!(given("PSEO")))
  {
    PSEO = model_.PSEO;
  }
  if (!(given("PDEO")))
  {
    PDEO = model_.PDEO;
  }
  if (!(given("ASEJ")))
  {
    ASEJ = model_.ASEJ;
  }
  if (!(given("ADEJ")))
  {
    ADEJ = model_.ADEJ;
  }
  if (!(given("PSEJ")))
  {
    PSEJ = model_.PSEJ;
  }
  if (!(given("PDEJ")))
  {
    PDEJ = model_.PDEJ;
  }
  if (!(given("COVS")))
  {
    COVS = model_.COVS;
  }
  if (!(given("COVD")))
  {
    COVD = model_.COVD;
  }
  if (!(given("CGSP")))
  {
    CGSP = model_.CGSP;
  }
  if (!(given("CGDP")))
  {
    CGDP = model_.CGDP;
  }
  if (!(given("CDSP")))
  {
    CDSP = model_.CDSP;
  }
  if (!(given("NRS")))
  {
    NRS = model_.NRS;
  }
  if (!(given("NRD")))
  {
    NRD = model_.NRD;
  }
  if (!(given("LRSD")))
  {
    LRSD = model_.LRSD;
  }



  // Set any parameters that were not given and whose defaults depend on other
  // parameters:
  if (!given("COVD"))
  {
    COVD = COVS;
  }
  if (!given("LRSD"))
  {
    LRSD = L;
  }


  // Real bogosity here...
  if (!given("XYCEADMSINSTTEMP"))
    admsInstTemp=getDeviceOptions().temp.getImmutableValue<double>();


  //calculate any parameters specified as expressions
  updateDependentParameters();

  // calculate dependent (i.e. computed params) and check for errors.
  processParams();
}

//-----------------------------------------------------------------------------
// Function      : Instance::~Instance
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
Instance::~Instance()
{
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerLIDs
// Purpose       : function for registering, and setting up, local ID's.
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerLIDs( const std::vector<int> & intLIDVecRef,
                             const std::vector<int> & extLIDVecRef)
{
  AssertLIDs(intLIDVecRef.size() == numIntVars);
  AssertLIDs(extLIDVecRef.size() == numExtVars);

#ifdef Xyce_DEBUG_DEVICE

  if (getDeviceOptions().debugLevel > 0)
  {
    Xyce::dout() << std::endl << section_divider << std::endl;
    Xyce::dout() << "In ADMSbsimcmg::Instance::register LIDs\n\n";
    Xyce::dout() << "name             = " << getName() << std::endl;
    Xyce::dout() << "number of internal variables: " << numIntVars << std::endl;
    Xyce::dout() << "number of external variables: " << numExtVars << std::endl;
  }
#endif

  // copy over the global ID lists.
  intLIDVec = intLIDVecRef;
  extLIDVec = extLIDVecRef;

  // Now use these lists to obtain the indices into the linear algebra
  // entities.  This assumes an order.
  int i=0;
  li_d = extLIDVecRef[i++];
  li_g = extLIDVecRef[i++];
  li_s = extLIDVecRef[i++];
  li_e = extLIDVecRef[i++];


  i=0;
  li_di = intLIDVecRef[i++];
  li_si = intLIDVecRef[i++];


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    Xyce::dout() << "\nSolution and RHS variables:\n";
    Xyce::dout() << "\nli_d = " << li_d << std::endl;
    Xyce::dout() << "\nli_g = " << li_g << std::endl;
    Xyce::dout() << "\nli_s = " << li_s << std::endl;
    Xyce::dout() << "\nli_e = " << li_e << std::endl;
    Xyce::dout() << "\nli_di = " << li_di << std::endl;
    Xyce::dout() << "\nli_si = " << li_si << std::endl;
  }
#endif

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    Xyce::dout() << "\nEnd of ADMSbsimcmg::Instance::register LIDs\n";
    Xyce::dout() << section_divider << std::endl;
  }
#endif
}

//-----------------------------------------------------------------------------
// Function      : Instance::getIntNameMap
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
std::map<int,std::string> & Instance::getIntNameMap ()
{
  if (intNameMap.empty())
  {
    intNameMap[li_di] = spiceInternalName(getName(), "di");
    intNameMap[li_si] = spiceInternalName(getName(), "si");
  }
  return intNameMap;
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerStateLIDs
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerStateLIDs( const std::vector<int> & staLIDVecRef)
{
  AssertLIDs(staLIDVecRef.size() == numStateVars);
}

//-----------------------------------------------------------------------------
// Function      : Instance::jacobianStamp
// Purpose       :
// Special Notes : In initial version, we won't support mapping away nodes
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
const std::vector< std::vector<int> > & Instance::jacobianStamp() const
{
  return jacStamp;
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerJacLIDs
// Purpose       : Create Offset variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerJacLIDs( const std::vector< std::vector<int> > & jacLIDVec)
{
  DeviceInstance::registerJacLIDs(jacLIDVec);
  std::vector<int> & map=jacMap;
  std::vector< std::vector<int> > & map2=jacMap2;


  // do nothing, we won't use the jac lids anymore, we'll use pointers

}

//-----------------------------------------------------------------------------
// Function      : Instance::setupPointers
// Purpose       : Create pointer variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::setupPointers( )
{

  N_LAS_Matrix * dFdxMatPtr = extData.dFdxMatrixPtr;
  N_LAS_Matrix * dQdxMatPtr = extData.dQdxMatrixPtr;
  f_d_Equ_d_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_d,li_d);
  q_d_Equ_d_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_d,li_d);
  f_d_Equ_s_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_d,li_s);
  q_d_Equ_s_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_d,li_s);
  f_d_Equ_di_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_d,li_di);
  q_d_Equ_di_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_d,li_di);
  f_d_Equ_si_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_d,li_si);
  q_d_Equ_si_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_d,li_si);
  f_d_Equ_g_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_d,li_g);
  q_d_Equ_g_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_d,li_g);
  f_d_Equ_e_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_d,li_e);
  q_d_Equ_e_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_d,li_e);
  f_g_Equ_g_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_g,li_g);
  q_g_Equ_g_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_g,li_g);
  f_g_Equ_di_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_g,li_di);
  q_g_Equ_di_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_g,li_di);
  f_g_Equ_si_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_g,li_si);
  q_g_Equ_si_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_g,li_si);
  f_g_Equ_e_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_g,li_e);
  q_g_Equ_e_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_g,li_e);
  f_g_Equ_s_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_g,li_s);
  q_g_Equ_s_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_g,li_s);
  f_g_Equ_d_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_g,li_d);
  q_g_Equ_d_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_g,li_d);
  f_s_Equ_d_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_s,li_d);
  q_s_Equ_d_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_s,li_d);
  f_s_Equ_s_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_s,li_s);
  q_s_Equ_s_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_s,li_s);
  f_s_Equ_di_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_s,li_di);
  q_s_Equ_di_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_s,li_di);
  f_s_Equ_si_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_s,li_si);
  q_s_Equ_si_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_s,li_si);
  f_s_Equ_g_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_s,li_g);
  q_s_Equ_g_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_s,li_g);
  f_s_Equ_e_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_s,li_e);
  q_s_Equ_e_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_s,li_e);
  f_e_Equ_g_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_e,li_g);
  q_e_Equ_g_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_e,li_g);
  f_e_Equ_e_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_e,li_e);
  q_e_Equ_e_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_e,li_e);
  f_e_Equ_di_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_e,li_di);
  q_e_Equ_di_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_e,li_di);
  f_e_Equ_si_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_e,li_si);
  q_e_Equ_si_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_e,li_si);
  f_e_Equ_s_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_e,li_s);
  q_e_Equ_s_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_e,li_s);
  f_e_Equ_d_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_e,li_d);
  q_e_Equ_d_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_e,li_d);
  f_di_Equ_g_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_di,li_g);
  q_di_Equ_g_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_di,li_g);
  f_di_Equ_di_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_di,li_di);
  q_di_Equ_di_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_di,li_di);
  f_di_Equ_si_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_di,li_si);
  q_di_Equ_si_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_di,li_si);
  f_di_Equ_e_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_di,li_e);
  q_di_Equ_e_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_di,li_e);
  f_di_Equ_s_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_di,li_s);
  q_di_Equ_s_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_di,li_s);
  f_di_Equ_d_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_di,li_d);
  q_di_Equ_d_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_di,li_d);
  f_si_Equ_g_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_si,li_g);
  q_si_Equ_g_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_si,li_g);
  f_si_Equ_di_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_si,li_di);
  q_si_Equ_di_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_si,li_di);
  f_si_Equ_si_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_si,li_si);
  q_si_Equ_si_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_si,li_si);
  f_si_Equ_e_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_si,li_e);
  q_si_Equ_e_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_si,li_e);
  f_si_Equ_s_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_si,li_s);
  q_si_Equ_s_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_si,li_s);
  f_si_Equ_d_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_si,li_d);
  q_si_Equ_d_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_si,li_d);


}

// RHS load functions

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEFVector
// Purpose       : load F vector (static contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEFVector()
{

  bool bsuccess=true;

  (*extData.daeFVectorPtr)[li_d] += staticContributions[admsNodeID_d].val();
  (*extData.daeFVectorPtr)[li_g] += staticContributions[admsNodeID_g].val();
  (*extData.daeFVectorPtr)[li_s] += staticContributions[admsNodeID_s].val();
  (*extData.daeFVectorPtr)[li_e] += staticContributions[admsNodeID_e].val();
  (*extData.daeFVectorPtr)[li_di] += staticContributions[admsNodeID_di].val();
  (*extData.daeFVectorPtr)[li_si] += staticContributions[admsNodeID_si].val();

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEQVector
// Purpose       : load Q vector (dynamic contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEQVector()
{
  (*extData.daeQVectorPtr)[li_d] += dynamicContributions[admsNodeID_d].val();
  (*extData.daeQVectorPtr)[li_g] += dynamicContributions[admsNodeID_g].val();
  (*extData.daeQVectorPtr)[li_s] += dynamicContributions[admsNodeID_s].val();
  (*extData.daeQVectorPtr)[li_e] += dynamicContributions[admsNodeID_e].val();
  (*extData.daeQVectorPtr)[li_di] += dynamicContributions[admsNodeID_di].val();
  (*extData.daeQVectorPtr)[li_si] += dynamicContributions[admsNodeID_si].val();

  return true;
}


//-----------------------------------------------------------------------------
// Function      : Instance::updatePrimaryState
// Purpose       :
// Special Notes : In this initial implementation, does little more than
//                 call updateIntermediateVars()
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updatePrimaryState()
{
  bool bsuccess = true;

  bsuccess = updateIntermediateVars();

  // if old DAE were implemented, we'd save dynamic contributions as state
  // here.


  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateSecondaryState
// Purpose       :
// Special Notes : In this initial implementation, does nothing
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateSecondaryState()
{
  bool bsuccess = true;

  // were old DAE implemented, we'd pull dynamic contribution derivatives
  // out of state.

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateIntermediateVars
// Purpose       : update intermediate variables for one bsimcmg instance
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateIntermediateVars()
{

  bool bsuccess=true;
  N_LAS_Vector * solVectorPtr = extData.nextSolVectorPtr;

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << std::endl << subsection_divider << std::endl;
    Xyce::dout() << "  In ADMSbsimcmg::Instance::updateIntermediateVars\n\n";
    Xyce::dout() << "  name = " << getName() << std::endl;
  }
#endif

  // Local variables
  AdmsFadType sid;
  AdmsFadType Swi;
  double T10;
  AdmsFadType Ssi;
  AdmsFadType Nstar;
  AdmsFadType Nl;
  AdmsFadType N0;
  AdmsFadType DelClm;
  double Leffnoisq;
  double Leffnoi;
  AdmsFadType Esatnoi;
  AdmsFadType IdovVds;
  AdmsFadType vge_overlap;
  AdmsFadType Qedj3;
  AdmsFadType Qedj2;
  AdmsFadType Qedj1;
  AdmsFadType Qesj3;
  AdmsFadType Qesj2;
  double vec;
  double pb2;
  AdmsFadType Qec;
  AdmsFadType arg;
  AdmsFadType sarg;
  AdmsFadType Qesj1;
  AdmsFadType T4a;
  AdmsFadType T1_exp;
  AdmsFadType Vdseffx;
  AdmsFadType igc0;
  AdmsFadType Voxacc;
  AdmsFadType Vaux_Igbacc;
  double vfbzb;
  AdmsFadType Vaux_Igbinv;
  double ALPHAII;
  AdmsFadType VgsStep;
  AdmsFadType Vdsatii;
  AdmsFadType Vdiff;
  AdmsFadType Ratio;
  AdmsFadType cgsp;
  AdmsFadType cgdp;
  AdmsFadType vgd_overlap;
  AdmsFadType vgs_overlap;
  AdmsFadType qgd_ov;
  AdmsFadType qgs_ov;
  AdmsFadType qinv;
  AdmsFadType inv_MclmCV;
  AdmsFadType dqi_idscv;
  AdmsFadType beta_cv;
  AdmsFadType idscv;
  AdmsFadType Tcom;
  AdmsFadType vgd_eff;
  AdmsFadType vgs_eff;
  AdmsFadType Dr;
  AdmsFadType Rdsi;
  AdmsFadType ids0_ov_dqi;
  AdmsFadType ids0;
  AdmsFadType MclmCV;
  AdmsFadType DvsatCV;
  AdmsFadType EsatCVL;
  AdmsFadType EsatCV;
  AdmsFadType Mob;
  AdmsFadType Mnud;
  AdmsFadType Nsat;
  AdmsFadType Dvsat;
  AdmsFadType Esat1L;
  AdmsFadType Esat1;
  AdmsFadType Mclm;
  AdmsFadType Moc;
  AdmsFadType VaDIBL;
  AdmsFadType Vgst2Vtm;
  AdmsFadType diffVds;
  AdmsFadType PVAGfactor;
  AdmsFadType DIBLfactor;
  AdmsFadType Dmob_cv;
  AdmsFadType Eeffm_cv;
  AdmsFadType ueff;
  AdmsFadType Dmob;
  AdmsFadType Eeffm;
  AdmsFadType beta;
  AdmsFadType coxeff;
  AdmsFadType qia2;
  AdmsFadType dqi;
  AdmsFadType qia;
  double qba;
  AdmsFadType phid;
  AdmsFadType vpolyd;
  AdmsFadType Vdseff;
  AdmsFadType Vdsat;
  AdmsFadType Tc;
  AdmsFadType Ta;
  double WVCox;
  AdmsFadType T6;
  AdmsFadType EsatL;
  AdmsFadType Esat;
  AdmsFadType Rdss;
  AdmsFadType Dmobs;
  double qb0;
  AdmsFadType Eeffs;
  AdmsFadType phis;
  AdmsFadType TA;
  AdmsFadType T9;
  AdmsFadType T8;
  AdmsFadType T7;
  AdmsFadType T5;
  AdmsFadType T4;
  AdmsFadType secg0;
  AdmsFadType cosg0;
  AdmsFadType guessB;
  AdmsFadType guessA;
  AdmsFadType vpolys;
  AdmsFadType vch;
  AdmsFadType tang0a;
  AdmsFadType g0a;
  AdmsFadType e3;
  AdmsFadType e2;
  AdmsFadType e1;
  AdmsFadType e0;
  AdmsFadType inv_g0;
  AdmsFadType lncosg0;
  AdmsFadType secg0sq;
  AdmsFadType lng0;
  AdmsFadType tang0;
  AdmsFadType g0;
  AdmsFadType z2;
  AdmsFadType z1;
  AdmsFadType expff;
  AdmsFadType F0;
  AdmsFadType inv_g0sq;
  AdmsFadType vgsfbeff;
  AdmsFadType cdop;
  AdmsFadType vtdop_acc;
  AdmsFadType vtdop;
  AdmsFadType dvth_all;
  double dvth_rsce;
  AdmsFadType dvth_dibl;
  double dvth_vtroll;
  AdmsFadType nVtm;
  AdmsFadType cdsc;
  double phist;
  AdmsFadType inv_MEXP;
  AdmsFadType RDDR_a;
  AdmsFadType RSDR_a;
  AdmsFadType VSAT1_a;
  AdmsFadType PTWG_a;
  AdmsFadType MEXP_a;
  AdmsFadType PDIBL1_a;
  AdmsFadType ETA0_a;
  AdmsFadType CDSCD_a;
  AdmsFadType wr;
  AdmsFadType wf;
  AdmsFadType veseff;
  double vesmax;
  AdmsFadType vesx;
  AdmsFadType vdsx;
  AdmsFadType Qedj;
  AdmsFadType Qesj;
  AdmsFadType etaiv;
  AdmsFadType vgsfb;
  AdmsFadType ves;
  AdmsFadType vgd;
  AdmsFadType vds;
  AdmsFadType vgs;
  AdmsFadType vge;
  AdmsFadType ved_jct;
  AdmsFadType ves_jct;
  AdmsFadType vgd_noswap;
  AdmsFadType vds_noswap;
  AdmsFadType vgs_noswap;
  double TRatio;
  double delTemp;
  double Vtm;
  double Vtm0;
  double Eg;
  double Eg0;
  double ni;
  double Nc;
  double ThetaSS;
  double kT;
  double E0;
  double E0prime;
  double E1;
  double E1prime;
  double gam0;
  double gam1;
  double dvch_qm;
  double ETA0_t;
  double ETA0R_t;
  double U0_t;
  double u0;
  double ETAMOB_t;
  double UA_t;
  double UC_t;
  double UD_t;
  double UCS_t;
  double rdstemp;
  double RSDR_t;
  double RSDRR_t;
  double RDDR_t;
  double RDDRR_t;
  double VSAT_t;
  double VSAT1_t;
  double VSAT1R_t;
  double VSATCV_t;
  double MEXP_t;
  double MEXPR_t;
  double PTWG_t;
  double PTWGR_t;
  double dvth_temp;
  double BETA0_t;
  double SII0_t;
  double K0_t;
  double K0SI_t;
  double K1SI_t;
  double K1_t;
  double K1SAT_t;
  double A1_t;
  double A2_t;
  double AIGBINV_t;
  double AIGBACC_t;
  double AIGC_t;
  double AIGS_t;
  double AIGD_t;
  double BGIDL_t;
  double BGISL_t;
  double ALPHA0_t;
  double ALPHA1_t;
  double ALPHAII0_t;
  double ALPHAII1_t;
  double igtemp;
  double igsd_mult;
  double beta0;
  double vfbsd;
  double phib;
  double vbi;
  double deltaPhi;
  double vpoly0;
  double cpoly;
  double kpoly;
  double g0max;
  double g0min;
  double r2;
  double eta_mu;
  double eta_mu_cv;
  AdmsFadType Tb;
  double igentemp;
  double DevTemp;
  int initialized;
  double R;
  AdmsFadType vgsfbeff_acc;
  AdmsFadType vt0;
  AdmsFadType vt0_acc;
  AdmsFadType F1;
  double F1_acc;
  AdmsFadType cdop_acc;
  AdmsFadType qid;
  AdmsFadType qis;
  AdmsFadType tang0d;
  AdmsFadType tang0s;
  AdmsFadType T11;
  AdmsFadType T12;
  AdmsFadType T13;
  AdmsFadType T14;
  AdmsFadType ids;
  double sigvds;
  AdmsFadType Iii;
  AdmsFadType qd;
  AdmsFadType qg;
  AdmsFadType qs;
  double qb;
  double Qbul;
  AdmsFadType aab;
  double Weff0;
  double WeffCV0;
  AdmsFadType Weff;
  AdmsFadType WeffCV;
  double CJS_t;
  double CJSWS_t;
  double CJSWGS_t;
  double CJD_t;
  double CJSWD_t;
  double CJSWGD_t;
  double PBS_t;
  double PBSWS_t;
  double PBSWGS_t;
  double PBD_t;
  double PBSWD_t;
  double PBSWGD_t;
  double JSS_t;
  double JSWS_t;
  double JSWGS_t;
  double JSD_t;
  double JSWD_t;
  double JSWGD_t;
  double JTSS_t;
  double JTSSWS_t;
  double JTSSWGS_t;
  double JTSD_t;
  double JTSSWD_t;
  double JTSSWGD_t;
  double NJTS_t;
  double NJTSSW_t;
  double NJTSSWG_t;
  double NJTSD_t;
  double NJTSSWD_t;
  double NJTSSWGD_t;
  AdmsFadType Ies;
  AdmsFadType Ied;
  double Czbs;
  double Czbssw;
  double Czbsswg;
  double Czbd;
  double Czbdsw;
  double Czbdswg;
  AdmsFadType Qes;
  AdmsFadType Qed;
  AdmsFadType Qeg;
  double Isbs;
  double Isbd;
  double Nvtms;
  double Nvtmd;
  double SslpRev;
  double IVjsmRev;
  double VjsmRev;
  double SslpFwd;
  double IVjsmFwd;
  double VjsmFwd;
  double DslpRev;
  double IVjdmRev;
  double VjdmRev;
  double DslpFwd;
  double IVjdmFwd;
  double VjdmFwd;
  double XExpBVS;
  double XExpBVD;
  AdmsFadType idsgen;
  double phibulk;
  double phipert;
  AdmsFadType g0s;
  AdmsFadType g0d;
  double r1;
  AdmsFadType q0;
  double F2;
  double Inv_r1pi;
  AdmsFadType Tcen;
  double MTcen;
  AdmsFadType Rdrain;
  AdmsFadType Rsource;
  double Cfr_geo;
  AdmsFadType igbinv;
  AdmsFadType igbs;
  AdmsFadType igbd;
  AdmsFadType igbacc;
  AdmsFadType igcs;
  AdmsFadType igcd;
  AdmsFadType igidl;
  AdmsFadType igisl;
  AdmsFadType igs;
  AdmsFadType igd;
  AdmsFadType cox_acc;
  double r1_acc;
  double Inv_r1pi_acc;
  double CGSO_i;
  double CGDO_i;
  double q0_acc;
  AdmsFadType qb_acc;
  AdmsFadType qg_acc;
  AdmsFadType qi_acc;
  AdmsFadType qgs_fr;
  AdmsFadType qgd_fr;
  AdmsFadType qds_fr;
  AdmsFadType qgs_parasitic;
  AdmsFadType qgd_parasitic;
  AdmsFadType FNPowerAt1Hz;
  AdmsFadType Gtnoi;
  AdmsFadType gspr;
  AdmsFadType gdpr;
  int devsign;
  double epssub;
  double epssp;
  double cox;
  double csi;
  double cbox;
  double epsratio;
  double scl;
  double heff;
  double mx;
  double mxprime;
  double md;
  double mdprime;
  double gprime;
  double gfactor;
  double Lg;
  double deltaL;
  double deltaLCV;
  double Leff;
  double LeffCV;
  double LeffCV_acc;
  double NFINtotal;
  double Inv_L;
  double Inv_NFIN;
  double Inv_LNFIN;
  double NBODY_i;
  double PHIG_i;
  double NGATE_i;
  double CIT_i;
  double CDSC_i;
  double CDSCD_i;
  double DVT0_i;
  double DVT1_i;
  double DVT1SS_i;
  double PHIN_i;
  double ETA0_i;
  double DSUB_i;
  double K1RSCE_i;
  double LPE0_i;
  double DVTSHIFT_i;
  double K0_i;
  double K01_i;
  double K0SI_i;
  double K0SI1_i;
  double K1SI_i;
  double K1SI1_i;
  double PHIBE_i;
  double K1_i;
  double K11_i;
  double K1SAT_i;
  double K1SAT1_i;
  double QMFACTOR_i;
  double QMTCENIV_i;
  double QMTCENCV_i;
  double QMTCENCVA_i;
  double VSAT_i;
  double VSAT1_i;
  double VSATCV_i;
  double DELTAVSAT_i;
  double PSAT_i;
  double DELTAVSATCV_i;
  double PSATCV_i;
  double KSATIV_i;
  double MEXP_i;
  double PTWG_i;
  double U0_i;
  double ETAMOB_i;
  double UP_i;
  double UA_i;
  double UC_i;
  double EU_i;
  double UD_i;
  double UCS_i;
  double PCLM_i;
  double PCLMG_i;
  double PCLMCV_i;
  double A1_i;
  double A11_i;
  double A2_i;
  double A21_i;
  double RDSW_i;
  double RSW_i;
  double RDW_i;
  double PRWGD_i;
  double PRWGS_i;
  double WR_i;
  double PDIBL1_i;
  double PDIBL2_i;
  double DROUT_i;
  double PVAG_i;
  double AIGBINV_i;
  double AIGBINV1_i;
  double BIGBINV_i;
  double CIGBINV_i;
  double EIGBINV_i;
  double NIGBINV_i;
  double AIGBACC_i;
  double AIGBACC1_i;
  double BIGBACC_i;
  double CIGBACC_i;
  double NIGBACC_i;
  double AIGC_i;
  double AIGC1_i;
  double BIGC_i;
  double CIGC_i;
  double PIGCD_i;
  double AIGS_i;
  double AIGS1_i;
  double BIGS_i;
  double CIGS_i;
  double AIGD_i;
  double AIGD1_i;
  double BIGD_i;
  double CIGD_i;
  double NTOX_i;
  double POXEDGE_i;
  double AGIDL_i;
  double BGIDL_i;
  double CGIDL_i;
  double EGIDL_i;
  double PGIDL_i;
  double AGISL_i;
  double BGISL_i;
  double CGISL_i;
  double EGISL_i;
  double PGISL_i;
  double ALPHA0_i;
  double ALPHA1_i;
  double ALPHAII0_i;
  double ALPHAII1_i;
  double BETA0_i;
  double BETAII0_i;
  double BETAII1_i;
  double BETAII2_i;
  double ESATII_i;
  double LII_i;
  double SII0_i;
  double SII1_i;
  double SII2_i;
  double SIID_i;
  double TII_i;
  double CFS_i;
  double CFD_i;
  AdmsFadType COVS_i;
  AdmsFadType COVD_i;
  double CGSL_i;
  double CGDL_i;
  double CGBL_i;
  double CKAPPAS_i;
  double CKAPPAD_i;
  double CKAPPAB_i;
  double NTGEN_i;
  double AIGEN_i;
  double BIGEN_i;
  double CDSCDR_i;
  double ETA0R_i;
  double VSAT1R_i;
  double MEXPR_i;
  double PTWGR_i;
  double PDIBL1R_i;
  double UTE_i;
  double UTL_i;
  double EMOBT_i;
  double UA1_i;
  double UC1_i;
  double UD1_i;
  double UCSTE_i;
  double PTWGT_i;
  double AT_i;
  double PRT_i;
  double KT1_i;
  double TSS_i;
  double IIT_i;
  double TGIDL_i;
  double IGT_i;
  double Tcen0;
  double RDSWMIN_i;
  double RSWMIN_i;
  double RDWMIN_i;
  double LINTIGEN_i;
  double LINTNOI_i;
  double NTNOI_i;
  double Arsd;
  double Prsd;
  double mu_max;
  double mu_rsd;
  double rhorsd;
  double thetarsp;
  double afin;
  AdmsFadType T1;
  double Rsp;
  double arsd_total;
  double prsd_total;
  double lt;
  double alpha;
  AdmsFadType T0;
  double eta;
  AdmsFadType T2;
  AdmsFadType T3;
  double RrsdTML;
  double Rrsdside;
  double Rrsd;
  double Rdsgeo;
  double RSourceGeo;
  double RDrainGeo;
  double Hg;
  double Trsd;
  double Wg;
  double Hrsd;
  double Cgg_top;
  double Cgg_side;
  double Acorner;
  double Ccorner;
  double csbox;
  double cdbox;
  double cgbox;
  double EeffFactor;
  double WeffWRFactor;
  double litl;
  double tmp;
  double Theta_SCE;
  double Theta_SW;
  double Theta_DIBL;
  double Theta_RSCE;
  double nbody;
  double qbs;
  double Aechvb;
  double Bechvb;
  double Toxratio;
  double Toxratioedge;
  double igsd_mult0;
  double Tnom;


  // set the sizes of the Fad arrays:

  if (probeVars.size() != (14))
  {
    probeVars.resize(14);
    staticContributions.resize(6+0);
    dynamicContributions.resize(6+0);
  }

  // initialize contributions to zero (automatically sets derivatives to zero)
  for (int i=0; i < 6+0 ; ++i)
  {
    staticContributions[i]=0;
    dynamicContributions[i]=0;
  }

  // extract solution variables and set as Fad independent variables.
  probeVars[admsProbeID_V_s_si] = (*solVectorPtr)[li_s] - (*solVectorPtr)[li_si];
  probeVars[admsProbeID_V_s_si].diff(admsProbeID_V_s_si,14);

  probeVars[admsProbeID_V_d_di] = (*solVectorPtr)[li_d] - (*solVectorPtr)[li_di];
  probeVars[admsProbeID_V_d_di].diff(admsProbeID_V_d_di,14);

  probeVars[admsProbeID_V_e_g] = (*solVectorPtr)[li_e] - (*solVectorPtr)[li_g];
  probeVars[admsProbeID_V_e_g].diff(admsProbeID_V_e_g,14);

  probeVars[admsProbeID_V_d_s] = (*solVectorPtr)[li_d] - (*solVectorPtr)[li_s];
  probeVars[admsProbeID_V_d_s].diff(admsProbeID_V_d_s,14);

  probeVars[admsProbeID_V_g_d] = (*solVectorPtr)[li_g] - (*solVectorPtr)[li_d];
  probeVars[admsProbeID_V_g_d].diff(admsProbeID_V_g_d,14);

  probeVars[admsProbeID_V_g_s] = (*solVectorPtr)[li_g] - (*solVectorPtr)[li_s];
  probeVars[admsProbeID_V_g_s].diff(admsProbeID_V_g_s,14);

  probeVars[admsProbeID_V_di_d] = (*solVectorPtr)[li_di] - (*solVectorPtr)[li_d];
  probeVars[admsProbeID_V_di_d].diff(admsProbeID_V_di_d,14);

  probeVars[admsProbeID_V_si_s] = (*solVectorPtr)[li_si] - (*solVectorPtr)[li_s];
  probeVars[admsProbeID_V_si_s].diff(admsProbeID_V_si_s,14);

  probeVars[admsProbeID_V_g_e] = (*solVectorPtr)[li_g] - (*solVectorPtr)[li_e];
  probeVars[admsProbeID_V_g_e].diff(admsProbeID_V_g_e,14);

  probeVars[admsProbeID_V_e_di] = (*solVectorPtr)[li_e] - (*solVectorPtr)[li_di];
  probeVars[admsProbeID_V_e_di].diff(admsProbeID_V_e_di,14);

  probeVars[admsProbeID_V_e_si] = (*solVectorPtr)[li_e] - (*solVectorPtr)[li_si];
  probeVars[admsProbeID_V_e_si].diff(admsProbeID_V_e_si,14);

  probeVars[admsProbeID_V_g_di] = (*solVectorPtr)[li_g] - (*solVectorPtr)[li_di];
  probeVars[admsProbeID_V_g_di].diff(admsProbeID_V_g_di,14);

  probeVars[admsProbeID_V_di_si] = (*solVectorPtr)[li_di] - (*solVectorPtr)[li_si];
  probeVars[admsProbeID_V_di_si].diff(admsProbeID_V_di_si,14);

  probeVars[admsProbeID_V_g_si] = (*solVectorPtr)[li_g] - (*solVectorPtr)[li_si];
  probeVars[admsProbeID_V_g_si].diff(admsProbeID_V_g_si,14);


  // -- code converted from analog/code block
  //Begin block CMGBiasIndepCalc
  {
    initialized = 1;
    R = 0;
    vgsfbeff_acc = 0;
    vt0 = 0;
    vt0_acc = 0;
    F1 = 0;
    F1_acc = 0;
    cdop_acc = 0;
    qid = 0;
    qis = 0;
    tang0d = 0;
    tang0s = 0;
    T11 = 0;
    T12 = 0;
    T13 = 0;
    T14 = 0;
    ids = 0;
    sigvds = 0;
    Iii = 0;
    qd = 0;
    qg = 0;
    qs = 0;
    qb = 0;
    Qbul = 0;
    aab = 0;
    Weff0 = 0;
    WeffCV0 = 0;
    Weff = 0;
    WeffCV = 0;
    CJS_t = 0;
    CJSWS_t = 0;
    CJSWGS_t = 0;
    CJD_t = 0;
    CJSWD_t = 0;
    CJSWGD_t = 0;
    PBS_t = 0;
    PBSWS_t = 0;
    PBSWGS_t = 0;
    PBD_t = 0;
    PBSWD_t = 0;
    PBSWGD_t = 0;
    JSS_t = 0;
    JSWS_t = 0;
    JSWGS_t = 0;
    JSD_t = 0;
    JSWD_t = 0;
    JSWGD_t = 0;
    JTSS_t = 0;
    JTSSWS_t = 0;
    JTSSWGS_t = 0;
    JTSD_t = 0;
    JTSSWD_t = 0;
    JTSSWGD_t = 0;
    NJTS_t = 0;
    NJTSSW_t = 0;
    NJTSSWG_t = 0;
    NJTSD_t = 0;
    NJTSSWD_t = 0;
    NJTSSWGD_t = 0;
    Ies = 0;
    Ied = 0;
    Czbs = 0;
    Czbssw = 0;
    Czbsswg = 0;
    Czbd = 0;
    Czbdsw = 0;
    Czbdswg = 0;
    Qes = 0;
    Qed = 0;
    Qeg = 0;
    Isbs = 0;
    Isbd = 0;
    Nvtms = 0;
    Nvtmd = 0;
    SslpRev = 0;
    IVjsmRev = 0;
    VjsmRev = 0;
    SslpFwd = 0;
    IVjsmFwd = 0;
    VjsmFwd = 0;
    DslpRev = 0;
    IVjdmRev = 0;
    VjdmRev = 0;
    DslpFwd = 0;
    IVjdmFwd = 0;
    VjdmFwd = 0;
    XExpBVS = 0;
    XExpBVD = 0;
    idsgen = 0;
    phibulk = 0;
    phipert = 0;
    g0s = 0;
    g0d = 0;
    r1 = 0;
    q0 = 0;
    F2 = 0;
    Inv_r1pi = 0;
    Tcen = 0;
    MTcen = 0;
    Rdrain = 0;
    Rsource = 0;
    Cfr_geo = 0;
    igbinv = 0;
    igbs = 0;
    igbd = 0;
    igbacc = 0;
    igcs = 0;
    igcd = 0;
    igidl = 0;
    igisl = 0;
    igs = 0;
    igd = 0;
    cox_acc = 0;
    r1_acc = 0;
    Inv_r1pi_acc = 0;
    CGSO_i = 0;
    CGDO_i = 0;
    q0_acc = 0;
    qb_acc = 0;
    qg_acc = 0;
    qi_acc = 0;
    qgs_fr = 0;
    qgd_fr = 0;
    qds_fr = 0;
    qgs_parasitic = 0;
    qgd_parasitic = 0;
    FNPowerAt1Hz = 0;
    Gtnoi = 0;
    gspr = 0;
    gdpr = 0;
    if ( (model_.GEOMOD) == (0))
    {
      Weff0 = ((2*(model_.HFIN))-(model_.DELTAW));
      WeffCV0 = ((2*(model_.HFIN))-(model_.DELTAWCV));
    }
    else
      if ( (model_.GEOMOD) == (1))
      {
        Weff0 = (((2*(model_.HFIN))+((model_.FECH)*TFIN))-(model_.DELTAW));
        WeffCV0 = (((2*(model_.HFIN))+((model_.FECHCV)*TFIN))-(model_.DELTAWCV));
      }
      else
        if ( (model_.GEOMOD) == (2))
        {
          Weff0 = (((2*(model_.HFIN))+((2*(model_.FECH))*TFIN))-(model_.DELTAW));
          WeffCV0 = (((2*(model_.HFIN))+((2*(model_.FECHCV))*TFIN))-(model_.DELTAWCV));
        }
        else
          if ( (model_.GEOMOD) == (3))
          {
            R = (D/2.0);
            Weff0 = ((3.14159265358979323846*D)-(model_.DELTAW));
            WeffCV0 = ((3.14159265358979323846*D)-(model_.DELTAWCV));
          }
          else
          {
            // no default
          }
    if (((model_.DEVTYPE)==1))
    {
      devsign = 1;
    }
    else
    {
      devsign = (-1);
    }

    // Manually added code:
    if (model_.getType() == "pmos" || model_.getType() == "PMOS")
      devsign = -1;

    epssub = ((model_.EPSRSUB)*8.8542e-12);
    epssp = ((model_.EPSRSP)*8.8542e-12);
    cox = ((3.9*8.8542e-12)/(model_.EOT));
    csi = (epssub/TFIN);
    cbox = ((3.9*8.8542e-12)/(model_.EOTBOX));
    epsratio = ((model_.EPSRSUB)/3.9);
    if ((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0)))
    {
      cox_acc = ((3.9*8.8542e-12)/(model_.EOTACC));
    }
    scl = sqrt(((((0.5*epsratio)*TFIN)*(model_.EOT))*(1.0+(TFIN/((4.0*epsratio)*(model_.EOT))))));
    heff = sqrt((((model_.HFIN)*((model_.HFIN)+((2*epsratio)*(model_.EOT))))/8.0));
    if ( (model_.GEOMOD) == (1))
    {
      scl = (1.0/sqrt(((1.0/(scl*scl))+(0.25/(heff*heff)))));
    }
    else
      if ( (model_.GEOMOD) == (2))
      {
        scl = (0.5/sqrt(((1.0/(scl*scl))+(0.25/(heff*heff)))));
      }
      else
        if ( (model_.GEOMOD) == (3))
        {
          scl = sqrt(((((0.5*epsratio)*R)*(model_.EOT))*(1.0+(R/((2.0*epsratio)*(model_.EOT))))));
        }
        else
        {
          // no default
        }
    mx = (0.916*9.11e-31);
    mxprime = (0.190*9.11e-31);
    md = (0.190*9.11e-31);
    mdprime = (0.417*9.11e-31);
    gprime = 4.0;
    gfactor = 2.0;
    Lg = (L+(model_.XL));
    deltaL = ((model_.LINT)+((model_.LL)*pow(Lg,(-(model_.LLN)))));
    deltaLCV = ((model_.DLC)+((model_.LLC)*pow(Lg,(-(model_.LLN)))));
    Leff = (Lg-(2.0*deltaL));
    LeffCV = (Lg-(2.0*deltaLCV));
    if ((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0)))
    {
      LeffCV_acc = (LeffCV-(model_.DLCACC));
    }
    NFINtotal = (NFIN*(model_.NF));
    Inv_L = (1.0e-6/(Leff+(model_.DLBIN)));
    Inv_NFIN = (1.0/NFIN);
    Inv_LNFIN = (1.0e-6/((Leff+(model_.DLBIN))*NFIN));
    NBODY_i = ((((model_.NBODY)+(Inv_L*(model_.LNBODY)))+(Inv_NFIN*(model_.NNBODY)))+(Inv_LNFIN*(model_.PNBODY)));
    PHIG_i = ((((model_.PHIG)+(Inv_L*(model_.LPHIG)))+(Inv_NFIN*(model_.NPHIG)))+(Inv_LNFIN*(model_.PPHIG)));
    NGATE_i = ((((model_.NGATE)+(Inv_L*(model_.LNGATE)))+(Inv_NFIN*(model_.NNGATE)))+(Inv_LNFIN*(model_.PNGATE)));
    CIT_i = ((((model_.CIT)+(Inv_L*(model_.LCIT)))+(Inv_NFIN*(model_.NCIT)))+(Inv_LNFIN*(model_.PCIT)));
    CDSC_i = ((((model_.CDSC)+(Inv_L*(model_.LCDSC)))+(Inv_NFIN*(model_.NCDSC)))+(Inv_LNFIN*(model_.PCDSC)));
    CDSCD_i = ((((model_.CDSCD)+(Inv_L*(model_.LCDSCD)))+(Inv_NFIN*(model_.NCDSCD)))+(Inv_LNFIN*(model_.PCDSCD)));
    DVT0_i = ((((model_.DVT0)+(Inv_L*(model_.LDVT0)))+(Inv_NFIN*(model_.NDVT0)))+(Inv_LNFIN*(model_.PDVT0)));
    DVT1_i = ((((model_.DVT1)+(Inv_L*(model_.LDVT1)))+(Inv_NFIN*(model_.NDVT1)))+(Inv_LNFIN*(model_.PDVT1)));
    DVT1SS_i = ((((model_.DVT1SS)+(Inv_L*(model_.LDVT1SS)))+(Inv_NFIN*(model_.NDVT1SS)))+(Inv_LNFIN*(model_.PDVT1SS)));
    PHIN_i = ((((model_.PHIN)+(Inv_L*(model_.LPHIN)))+(Inv_NFIN*(model_.NPHIN)))+(Inv_LNFIN*(model_.PPHIN)));
    ETA0_i = ((((model_.ETA0)+(Inv_L*(model_.LETA0)))+(Inv_NFIN*(model_.NETA0)))+(Inv_LNFIN*(model_.PETA0)));
    DSUB_i = ((((model_.DSUB)+(Inv_L*(model_.LDSUB)))+(Inv_NFIN*(model_.NDSUB)))+(Inv_LNFIN*(model_.PDSUB)));
    K1RSCE_i = ((((model_.K1RSCE)+(Inv_L*(model_.LK1RSCE)))+(Inv_NFIN*(model_.NK1RSCE)))+(Inv_LNFIN*(model_.PK1RSCE)));
    LPE0_i = ((((model_.LPE0)+(Inv_L*(model_.LLPE0)))+(Inv_NFIN*(model_.NLPE0)))+(Inv_LNFIN*(model_.PLPE0)));
    DVTSHIFT_i = ((((model_.DVTSHIFT)+(Inv_L*(model_.LDVTSHIFT)))+(Inv_NFIN*(model_.NDVTSHIFT)))+(Inv_LNFIN*(model_.PDVTSHIFT)));
    K0_i = ((((model_.K0)+(Inv_L*(model_.LK0)))+(Inv_NFIN*(model_.NK0)))+(Inv_LNFIN*(model_.PK0)));
    K01_i = ((((model_.K01)+(Inv_L*(model_.LK01)))+(Inv_NFIN*(model_.NK01)))+(Inv_LNFIN*(model_.PK01)));
    K0SI_i = ((((model_.K0SI)+(Inv_L*(model_.LK0SI)))+(Inv_NFIN*(model_.NK0SI)))+(Inv_LNFIN*(model_.PK0SI)));
    K0SI1_i = ((((model_.K0SI1)+(Inv_L*(model_.LK0SI1)))+(Inv_NFIN*(model_.NK0SI1)))+(Inv_LNFIN*(model_.PK0SI1)));
    K1SI_i = ((((model_.K1SI)+(Inv_L*(model_.LK1SI)))+(Inv_NFIN*(model_.NK1SI)))+(Inv_LNFIN*(model_.PK1SI)));
    K1SI1_i = ((((model_.K1SI1)+(Inv_L*(model_.LK1SI1)))+(Inv_NFIN*(model_.NK1SI1)))+(Inv_LNFIN*(model_.PK1SI1)));
    if (((model_.BULKMOD)!=0))
    {
      PHIBE_i = ((((model_.PHIBE)+(Inv_L*(model_.LPHIBE)))+(Inv_NFIN*(model_.NPHIBE)))+(Inv_LNFIN*(model_.PPHIBE)));
      K1_i = ((((model_.K1)+(Inv_L*(model_.LK1)))+(Inv_NFIN*(model_.NK1)))+(Inv_LNFIN*(model_.PK1)));
      K11_i = ((((model_.K11)+(Inv_L*(model_.LK11)))+(Inv_NFIN*(model_.NK11)))+(Inv_LNFIN*(model_.PK11)));
      K1SAT_i = ((((model_.K1SAT)+(Inv_L*(model_.LK1SAT)))+(Inv_NFIN*(model_.NK1SAT)))+(Inv_LNFIN*(model_.PK1SAT)));
      K1SAT1_i = ((((model_.K1SAT1)+(Inv_L*(model_.LK1SAT1)))+(Inv_NFIN*(model_.NK1SAT1)))+(Inv_LNFIN*(model_.PK1SAT1)));
    }
    QMFACTOR_i = ((((model_.QMFACTOR)+(Inv_L*(model_.LQMFACTOR)))+(Inv_NFIN*(model_.NQMFACTOR)))+(Inv_LNFIN*(model_.PQMFACTOR)));
    QMTCENIV_i = ((((model_.QMTCENIV)+(Inv_L*(model_.LQMTCENIV)))+(Inv_NFIN*(model_.NQMTCENIV)))+(Inv_LNFIN*(model_.PQMTCENIV)));
    QMTCENCV_i = ((((model_.QMTCENCV)+(Inv_L*(model_.LQMTCENCV)))+(Inv_NFIN*(model_.NQMTCENCV)))+(Inv_LNFIN*(model_.PQMTCENCV)));
    QMTCENCVA_i = ((((model_.QMTCENCVA)+(Inv_L*(model_.LQMTCENCVA)))+(Inv_NFIN*(model_.NQMTCENCVA)))+(Inv_LNFIN*(model_.PQMTCENCVA)));
    VSAT_i = ((((model_.VSAT)+(Inv_L*(model_.LVSAT)))+(Inv_NFIN*(model_.NVSAT)))+(Inv_LNFIN*(model_.PVSAT)));
    VSAT1_i = ((((model_.VSAT1)+(Inv_L*(model_.LVSAT1)))+(Inv_NFIN*(model_.NVSAT1)))+(Inv_LNFIN*(model_.PVSAT1)));
    VSATCV_i = ((((model_.VSATCV)+(Inv_L*(model_.LVSATCV)))+(Inv_NFIN*(model_.NVSATCV)))+(Inv_LNFIN*(model_.PVSATCV)));
    DELTAVSAT_i = ((((model_.DELTAVSAT)+(Inv_L*(model_.LDELTAVSAT)))+(Inv_NFIN*(model_.NDELTAVSAT)))+(Inv_LNFIN*(model_.PDELTAVSAT)));
    PSAT_i = ((((model_.PSAT)+(Inv_L*(model_.LPSAT)))+(Inv_NFIN*(model_.NPSAT)))+(Inv_LNFIN*(model_.PPSAT)));
    DELTAVSATCV_i = ((((model_.DELTAVSATCV)+(Inv_L*(model_.LDELTAVSATCV)))+(Inv_NFIN*(model_.NDELTAVSATCV)))+(Inv_LNFIN*(model_.PDELTAVSATCV)));
    PSATCV_i = ((((model_.PSATCV)+(Inv_L*(model_.LPSATCV)))+(Inv_NFIN*(model_.NPSATCV)))+(Inv_LNFIN*(model_.PPSATCV)));
    KSATIV_i = ((((model_.KSATIV)+(Inv_L*(model_.LKSATIV)))+(Inv_NFIN*(model_.NKSATIV)))+(Inv_LNFIN*(model_.PKSATIV)));
    MEXP_i = ((((model_.MEXP)+(Inv_L*(model_.LMEXP)))+(Inv_NFIN*(model_.NMEXP)))+(Inv_LNFIN*(model_.PMEXP)));
    PTWG_i = ((((model_.PTWG)+(Inv_L*(model_.LPTWG)))+(Inv_NFIN*(model_.NPTWG)))+(Inv_LNFIN*(model_.PPTWG)));
    U0_i = ((((model_.U0)+(Inv_L*(model_.LU0)))+(Inv_NFIN*(model_.NU0)))+(Inv_LNFIN*(model_.PU0)));
    ETAMOB_i = ((((model_.ETAMOB)+(Inv_L*(model_.LETAMOB)))+(Inv_NFIN*(model_.NETAMOB)))+(Inv_LNFIN*(model_.PETAMOB)));
    UP_i = ((((model_.UP)+(Inv_L*(model_.LUP)))+(Inv_NFIN*(model_.NUP)))+(Inv_LNFIN*(model_.PUP)));
    UA_i = ((((model_.UA)+(Inv_L*(model_.LUA)))+(Inv_NFIN*(model_.NUA)))+(Inv_LNFIN*(model_.PUA)));
    if (((model_.BULKMOD)!=0))
    {
      UC_i = ((((model_.UC)+(Inv_L*(model_.LUC)))+(Inv_NFIN*(model_.NUC)))+(Inv_LNFIN*(model_.PUC)));
    }
    EU_i = ((((model_.EU)+(Inv_L*(model_.LEU)))+(Inv_NFIN*(model_.NEU)))+(Inv_LNFIN*(model_.PEU)));
    UD_i = ((((model_.UD)+(Inv_L*(model_.LUD)))+(Inv_NFIN*(model_.NUD)))+(Inv_LNFIN*(model_.PUD)));
    UCS_i = ((((model_.UCS)+(Inv_L*(model_.LUCS)))+(Inv_NFIN*(model_.NUCS)))+(Inv_LNFIN*(model_.PUCS)));
    PCLM_i = ((((model_.PCLM)+(Inv_L*(model_.LPCLM)))+(Inv_NFIN*(model_.NPCLM)))+(Inv_LNFIN*(model_.PPCLM)));
    PCLMG_i = ((((model_.PCLMG)+(Inv_L*(model_.LPCLMG)))+(Inv_NFIN*(model_.NPCLMG)))+(Inv_LNFIN*(model_.PPCLMG)));
    PCLMCV_i = ((((model_.PCLMCV)+(Inv_L*(model_.LPCLMCV)))+(Inv_NFIN*(model_.NPCLMCV)))+(Inv_LNFIN*(model_.PPCLMCV)));
    A1_i = ((((model_.A1)+(Inv_L*(model_.LA1)))+(Inv_NFIN*(model_.NA1)))+(Inv_LNFIN*(model_.PA1)));
    A11_i = ((((model_.A11)+(Inv_L*(model_.LA11)))+(Inv_NFIN*(model_.NA11)))+(Inv_LNFIN*(model_.PA11)));
    A2_i = ((((model_.A2)+(Inv_L*(model_.LA2)))+(Inv_NFIN*(model_.NA2)))+(Inv_LNFIN*(model_.PA2)));
    A21_i = ((((model_.A21)+(Inv_L*(model_.LA21)))+(Inv_NFIN*(model_.NA21)))+(Inv_LNFIN*(model_.PA21)));
    RDSW_i = ((((model_.RDSW)+(Inv_L*(model_.LRDSW)))+(Inv_NFIN*(model_.NRDSW)))+(Inv_LNFIN*(model_.PRDSW)));
    RSW_i = ((((model_.RSW)+(Inv_L*(model_.LRSW)))+(Inv_NFIN*(model_.NRSW)))+(Inv_LNFIN*(model_.PRSW)));
    RDW_i = ((((model_.RDW)+(Inv_L*(model_.LRDW)))+(Inv_NFIN*(model_.NRDW)))+(Inv_LNFIN*(model_.PRDW)));
    PRWGD_i = ((((model_.PRWGD)+(Inv_L*(model_.LPRWGD)))+(Inv_NFIN*(model_.NPRWGD)))+(Inv_LNFIN*(model_.PPRWGD)));
    PRWGS_i = ((((model_.PRWGS)+(Inv_L*(model_.LPRWGS)))+(Inv_NFIN*(model_.NPRWGS)))+(Inv_LNFIN*(model_.PPRWGS)));
    WR_i = ((((model_.WR)+(Inv_L*(model_.LWR)))+(Inv_NFIN*(model_.NWR)))+(Inv_LNFIN*(model_.PWR)));
    PDIBL1_i = ((((model_.PDIBL1)+(Inv_L*(model_.LPDIBL1)))+(Inv_NFIN*(model_.NPDIBL1)))+(Inv_LNFIN*(model_.PPDIBL1)));
    PDIBL2_i = ((((model_.PDIBL2)+(Inv_L*(model_.LPDIBL2)))+(Inv_NFIN*(model_.NPDIBL2)))+(Inv_LNFIN*(model_.PPDIBL2)));
    DROUT_i = ((((model_.DROUT)+(Inv_L*(model_.LDROUT)))+(Inv_NFIN*(model_.NDROUT)))+(Inv_LNFIN*(model_.PDROUT)));
    PVAG_i = ((((model_.PVAG)+(Inv_L*(model_.LPVAG)))+(Inv_NFIN*(model_.NPVAG)))+(Inv_LNFIN*(model_.PPVAG)));
    AIGBINV_i = ((((model_.AIGBINV)+(Inv_L*(model_.LAIGBINV)))+(Inv_NFIN*(model_.NAIGBINV)))+(Inv_LNFIN*(model_.PAIGBINV)));
    AIGBINV1_i = ((((model_.AIGBINV1)+(Inv_L*(model_.LAIGBINV1)))+(Inv_NFIN*(model_.NAIGBINV1)))+(Inv_LNFIN*(model_.PAIGBINV1)));
    BIGBINV_i = ((((model_.BIGBINV)+(Inv_L*(model_.LBIGBINV)))+(Inv_NFIN*(model_.NBIGBINV)))+(Inv_LNFIN*(model_.PBIGBINV)));
    CIGBINV_i = ((((model_.CIGBINV)+(Inv_L*(model_.LCIGBINV)))+(Inv_NFIN*(model_.NCIGBINV)))+(Inv_LNFIN*(model_.PCIGBINV)));
    EIGBINV_i = ((((model_.EIGBINV)+(Inv_L*(model_.LEIGBINV)))+(Inv_NFIN*(model_.NEIGBINV)))+(Inv_LNFIN*(model_.PEIGBINV)));
    NIGBINV_i = ((((model_.NIGBINV)+(Inv_L*(model_.LNIGBINV)))+(Inv_NFIN*(model_.NNIGBINV)))+(Inv_LNFIN*(model_.PNIGBINV)));
    AIGBACC_i = ((((model_.AIGBACC)+(Inv_L*(model_.LAIGBACC)))+(Inv_NFIN*(model_.NAIGBACC)))+(Inv_LNFIN*(model_.PAIGBACC)));
    AIGBACC1_i = ((((model_.AIGBACC1)+(Inv_L*(model_.LAIGBACC1)))+(Inv_NFIN*(model_.NAIGBACC1)))+(Inv_LNFIN*(model_.PAIGBACC1)));
    BIGBACC_i = ((((model_.BIGBACC)+(Inv_L*(model_.LBIGBACC)))+(Inv_NFIN*(model_.NBIGBACC)))+(Inv_LNFIN*(model_.PBIGBACC)));
    CIGBACC_i = ((((model_.CIGBACC)+(Inv_L*(model_.LCIGBACC)))+(Inv_NFIN*(model_.NCIGBACC)))+(Inv_LNFIN*(model_.PCIGBACC)));
    NIGBACC_i = ((((model_.NIGBACC)+(Inv_L*(model_.LNIGBACC)))+(Inv_NFIN*(model_.NNIGBACC)))+(Inv_LNFIN*(model_.PNIGBACC)));
    AIGC_i = ((((model_.AIGC)+(Inv_L*(model_.LAIGC)))+(Inv_NFIN*(model_.NAIGC)))+(Inv_LNFIN*(model_.PAIGC)));
    AIGC1_i = ((((model_.AIGC1)+(Inv_L*(model_.LAIGC1)))+(Inv_NFIN*(model_.NAIGC1)))+(Inv_LNFIN*(model_.PAIGC1)));
    BIGC_i = ((((model_.BIGC)+(Inv_L*(model_.LBIGC)))+(Inv_NFIN*(model_.NBIGC)))+(Inv_LNFIN*(model_.PBIGC)));
    CIGC_i = ((((model_.CIGC)+(Inv_L*(model_.LCIGC)))+(Inv_NFIN*(model_.NCIGC)))+(Inv_LNFIN*(model_.PCIGC)));
    PIGCD_i = ((((model_.PIGCD)+(Inv_L*(model_.LPIGCD)))+(Inv_NFIN*(model_.NPIGCD)))+(Inv_LNFIN*(model_.PPIGCD)));
    AIGS_i = ((((model_.AIGS)+(Inv_L*(model_.LAIGS)))+(Inv_NFIN*(model_.NAIGS)))+(Inv_LNFIN*(model_.PAIGS)));
    AIGS1_i = ((((model_.AIGS1)+(Inv_L*(model_.LAIGS1)))+(Inv_NFIN*(model_.NAIGS1)))+(Inv_LNFIN*(model_.PAIGS1)));
    BIGS_i = ((((model_.BIGS)+(Inv_L*(model_.LBIGS)))+(Inv_NFIN*(model_.NBIGS)))+(Inv_LNFIN*(model_.PBIGS)));
    CIGS_i = ((((model_.CIGS)+(Inv_L*(model_.LCIGS)))+(Inv_NFIN*(model_.NCIGS)))+(Inv_LNFIN*(model_.PCIGS)));
    AIGD_i = ((((model_.AIGD)+(Inv_L*(model_.LAIGD)))+(Inv_NFIN*(model_.NAIGD)))+(Inv_LNFIN*(model_.PAIGD)));
    AIGD1_i = ((((model_.AIGD1)+(Inv_L*(model_.LAIGD1)))+(Inv_NFIN*(model_.NAIGD1)))+(Inv_LNFIN*(model_.PAIGD1)));
    BIGD_i = ((((model_.BIGD)+(Inv_L*(model_.LBIGD)))+(Inv_NFIN*(model_.NBIGD)))+(Inv_LNFIN*(model_.PBIGD)));
    CIGD_i = ((((model_.CIGD)+(Inv_L*(model_.LCIGD)))+(Inv_NFIN*(model_.NCIGD)))+(Inv_LNFIN*(model_.PCIGD)));
    NTOX_i = ((((model_.NTOX)+(Inv_L*(model_.LNTOX)))+(Inv_NFIN*(model_.NNTOX)))+(Inv_LNFIN*(model_.PNTOX)));
    POXEDGE_i = ((((model_.POXEDGE)+(Inv_L*(model_.LPOXEDGE)))+(Inv_NFIN*(model_.NPOXEDGE)))+(Inv_LNFIN*(model_.PPOXEDGE)));
    AGIDL_i = ((((model_.AGIDL)+(Inv_L*(model_.LAGIDL)))+(Inv_NFIN*(model_.NAGIDL)))+(Inv_LNFIN*(model_.PAGIDL)));
    BGIDL_i = ((((model_.BGIDL)+(Inv_L*(model_.LBGIDL)))+(Inv_NFIN*(model_.NBGIDL)))+(Inv_LNFIN*(model_.PBGIDL)));
    CGIDL_i = ((((model_.CGIDL)+(Inv_L*(model_.LCGIDL)))+(Inv_NFIN*(model_.NCGIDL)))+(Inv_LNFIN*(model_.PCGIDL)));
    EGIDL_i = ((((model_.EGIDL)+(Inv_L*(model_.LEGIDL)))+(Inv_NFIN*(model_.NEGIDL)))+(Inv_LNFIN*(model_.PEGIDL)));
    PGIDL_i = ((((model_.PGIDL)+(Inv_L*(model_.LPGIDL)))+(Inv_NFIN*(model_.NPGIDL)))+(Inv_LNFIN*(model_.PPGIDL)));
    AGISL_i = ((((model_.AGISL)+(Inv_L*(model_.LAGISL)))+(Inv_NFIN*(model_.NAGISL)))+(Inv_LNFIN*(model_.PAGISL)));
    BGISL_i = ((((model_.BGISL)+(Inv_L*(model_.LBGISL)))+(Inv_NFIN*(model_.NBGISL)))+(Inv_LNFIN*(model_.PBGISL)));
    CGISL_i = ((((model_.CGISL)+(Inv_L*(model_.LCGISL)))+(Inv_NFIN*(model_.NCGISL)))+(Inv_LNFIN*(model_.PCGISL)));
    EGISL_i = ((((model_.EGISL)+(Inv_L*(model_.LEGISL)))+(Inv_NFIN*(model_.NEGISL)))+(Inv_LNFIN*(model_.PEGISL)));
    PGISL_i = ((((model_.PGISL)+(Inv_L*(model_.LPGISL)))+(Inv_NFIN*(model_.NPGISL)))+(Inv_LNFIN*(model_.PPGISL)));
    ALPHA0_i = ((((model_.ALPHA0)+(Inv_L*(model_.LALPHA0)))+(Inv_NFIN*(model_.NALPHA0)))+(Inv_LNFIN*(model_.PALPHA0)));
    ALPHA1_i = ((((model_.ALPHA1)+(Inv_L*(model_.LALPHA1)))+(Inv_NFIN*(model_.NALPHA1)))+(Inv_LNFIN*(model_.PALPHA1)));
    ALPHAII0_i = ((((model_.ALPHAII0)+(Inv_L*(model_.LALPHAII0)))+(Inv_NFIN*(model_.NALPHAII0)))+(Inv_LNFIN*(model_.PALPHAII0)));
    ALPHAII1_i = ((((model_.ALPHAII1)+(Inv_L*(model_.LALPHAII1)))+(Inv_NFIN*(model_.NALPHAII1)))+(Inv_LNFIN*(model_.PALPHAII1)));
    BETA0_i = ((((model_.BETA0)+(Inv_L*(model_.LBETA0)))+(Inv_NFIN*(model_.NBETA0)))+(Inv_LNFIN*(model_.PBETA0)));
    BETAII0_i = ((((model_.BETAII0)+(Inv_L*(model_.LBETAII0)))+(Inv_NFIN*(model_.NBETAII0)))+(Inv_LNFIN*(model_.PBETAII0)));
    BETAII1_i = ((((model_.BETAII1)+(Inv_L*(model_.LBETAII1)))+(Inv_NFIN*(model_.NBETAII1)))+(Inv_LNFIN*(model_.PBETAII1)));
    BETAII2_i = ((((model_.BETAII2)+(Inv_L*(model_.LBETAII2)))+(Inv_NFIN*(model_.NBETAII2)))+(Inv_LNFIN*(model_.PBETAII2)));
    ESATII_i = ((((model_.ESATII)+(Inv_L*(model_.LESATII)))+(Inv_NFIN*(model_.NESATII)))+(Inv_LNFIN*(model_.PESATII)));
    LII_i = ((((model_.LII)+(Inv_L*(model_.LLII)))+(Inv_NFIN*(model_.NLII)))+(Inv_LNFIN*(model_.PLII)));
    SII0_i = ((((model_.SII0)+(Inv_L*(model_.LSII0)))+(Inv_NFIN*(model_.NSII0)))+(Inv_LNFIN*(model_.PSII0)));
    SII1_i = ((((model_.SII1)+(Inv_L*(model_.LSII1)))+(Inv_NFIN*(model_.NSII1)))+(Inv_LNFIN*(model_.PSII1)));
    SII2_i = ((((model_.SII2)+(Inv_L*(model_.LSII2)))+(Inv_NFIN*(model_.NSII2)))+(Inv_LNFIN*(model_.PSII2)));
    SIID_i = ((((model_.SIID)+(Inv_L*(model_.LSIID)))+(Inv_NFIN*(model_.NSIID)))+(Inv_LNFIN*(model_.PSIID)));
    TII_i = ((((model_.TII)+(Inv_L*(model_.LTII)))+(Inv_NFIN*(model_.NTII)))+(Inv_LNFIN*(model_.PTII)));
    CFS_i = ((((model_.CFS)+(Inv_L*(model_.LCFS)))+(Inv_NFIN*(model_.NCFS)))+(Inv_LNFIN*(model_.PCFS)));
    CFD_i = ((((model_.CFD)+(Inv_L*(model_.LCFD)))+(Inv_NFIN*(model_.NCFD)))+(Inv_LNFIN*(model_.PCFD)));
    COVS_i = (((COVS+(Inv_L*(model_.LCOVS)))+(Inv_NFIN*(model_.NCOVS)))+(Inv_LNFIN*(model_.PCOVS)));
    COVD_i = (((COVD+(Inv_L*(model_.LCOVD)))+(Inv_NFIN*(model_.NCOVD)))+(Inv_LNFIN*(model_.PCOVD)));
    CGSL_i = ((((model_.CGSL)+(Inv_L*(model_.LCGSL)))+(Inv_NFIN*(model_.NCGSL)))+(Inv_LNFIN*(model_.PCGSL)));
    CGDL_i = ((((model_.CGDL)+(Inv_L*(model_.LCGDL)))+(Inv_NFIN*(model_.NCGDL)))+(Inv_LNFIN*(model_.PCGDL)));
    CGBL_i = ((((model_.CGBL)+(Inv_L*(model_.LCGBL)))+(Inv_NFIN*(model_.NCGBL)))+(Inv_LNFIN*(model_.PCGBL)));
    CKAPPAS_i = ((((model_.CKAPPAS)+(Inv_L*(model_.LCKAPPAS)))+(Inv_NFIN*(model_.NCKAPPAS)))+(Inv_LNFIN*(model_.PCKAPPAS)));
    CKAPPAD_i = ((((model_.CKAPPAD)+(Inv_L*(model_.LCKAPPAD)))+(Inv_NFIN*(model_.NCKAPPAD)))+(Inv_LNFIN*(model_.PCKAPPAD)));
    CKAPPAB_i = ((((model_.CKAPPAB)+(Inv_L*(model_.LCKAPPAB)))+(Inv_NFIN*(model_.NCKAPPAB)))+(Inv_LNFIN*(model_.PCKAPPAB)));
    NTGEN_i = ((((model_.NTGEN)+(Inv_L*(model_.LNTGEN)))+(Inv_NFIN*(model_.NNTGEN)))+(Inv_LNFIN*(model_.PNTGEN)));
    AIGEN_i = ((((model_.AIGEN)+(Inv_L*(model_.LAIGEN)))+(Inv_NFIN*(model_.NAIGEN)))+(Inv_LNFIN*(model_.PAIGEN)));
    BIGEN_i = ((((model_.BIGEN)+(Inv_L*(model_.LBIGEN)))+(Inv_NFIN*(model_.NBIGEN)))+(Inv_LNFIN*(model_.PBIGEN)));
    if (((model_.ASYMMOD)!=0))
    {
      CDSCDR_i = ((((model_.CDSCDR)+(Inv_L*(model_.LCDSCDR)))+(Inv_NFIN*(model_.NCDSCDR)))+(Inv_LNFIN*(model_.PCDSCDR)));
      ETA0R_i = ((((model_.ETA0R)+(Inv_L*(model_.LETA0R)))+(Inv_NFIN*(model_.NETA0R)))+(Inv_LNFIN*(model_.PETA0R)));
      VSAT1R_i = ((((model_.VSAT1R)+(Inv_L*(model_.LVSAT1R)))+(Inv_NFIN*(model_.NVSAT1R)))+(Inv_LNFIN*(model_.PVSAT1R)));
      MEXPR_i = ((((model_.MEXPR)+(Inv_L*(model_.LMEXPR)))+(Inv_NFIN*(model_.NMEXPR)))+(Inv_LNFIN*(model_.PMEXPR)));
      PTWGR_i = ((((model_.PTWGR)+(Inv_L*(model_.LPTWGR)))+(Inv_NFIN*(model_.NPTWGR)))+(Inv_LNFIN*(model_.PPTWGR)));
      PDIBL1R_i = ((((model_.PDIBL1R)+(Inv_L*(model_.LPDIBL1R)))+(Inv_NFIN*(model_.NPDIBL1R)))+(Inv_LNFIN*(model_.PPDIBL1R)));
    }
    if (((model_.NQSMOD)==1))
    {
      std::cerr  << "[bsimcmg] Although the model selector NQSMOD is set to 1, the NQS gate resistance model is not activated in the Verilog-A code. Please uncomment `define __NQSMOD1__ in bsimcmg.va to activate it." <<  std::endl; 
    }
    if (((model_.NQSMOD)==2))
    {
      std::cerr  << "[bsimcmg] Although the model selector NQSMOD is set to 2, the NQS gate resistance model is not activated in the Verilog-A code. Please uncomment `define __NQSMOD2__ in bsimcmg.va to activate it." <<  std::endl; 
    }
    UTE_i = ((((model_.UTE)+(Inv_L*(model_.LUTE)))+(Inv_NFIN*(model_.NUTE)))+(Inv_LNFIN*(model_.PUTE)));
    UTL_i = ((((model_.UTL)+(Inv_L*(model_.LUTL)))+(Inv_NFIN*(model_.NUTL)))+(Inv_LNFIN*(model_.PUTL)));
    EMOBT_i = ((((model_.EMOBT)+(Inv_L*(model_.LEMOBT)))+(Inv_NFIN*(model_.NEMOBT)))+(Inv_LNFIN*(model_.PEMOBT)));
    UA1_i = ((((model_.UA1)+(Inv_L*(model_.LUA1)))+(Inv_NFIN*(model_.NUA1)))+(Inv_LNFIN*(model_.PUA1)));
    if (((model_.BULKMOD)!=0))
    {
      UC1_i = ((((model_.UC1)+(Inv_L*(model_.LUC1)))+(Inv_NFIN*(model_.NUC1)))+(Inv_LNFIN*(model_.PUC1)));
    }
    UD1_i = ((((model_.UD1)+(Inv_L*(model_.LUD1)))+(Inv_NFIN*(model_.NUD1)))+(Inv_LNFIN*(model_.PUD1)));
    UCSTE_i = ((((model_.UCSTE)+(Inv_L*(model_.LUCSTE)))+(Inv_NFIN*(model_.NUCSTE)))+(Inv_LNFIN*(model_.PUCSTE)));
    PTWGT_i = ((((model_.PTWGT)+(Inv_L*(model_.LPTWGT)))+(Inv_NFIN*(model_.NPTWGT)))+(Inv_LNFIN*(model_.PPTWGT)));
    AT_i = ((((model_.AT)+(Inv_L*(model_.LAT)))+(Inv_NFIN*(model_.NAT)))+(Inv_LNFIN*(model_.PAT)));
    PRT_i = ((((model_.PRT)+(Inv_L*(model_.LPRT)))+(Inv_NFIN*(model_.NPRT)))+(Inv_LNFIN*(model_.PPRT)));
    KT1_i = ((((model_.KT1)+(Inv_L*(model_.LKT1)))+(Inv_NFIN*(model_.NKT1)))+(Inv_LNFIN*(model_.PKT1)));
    TSS_i = ((((model_.TSS)+(Inv_L*(model_.LTSS)))+(Inv_NFIN*(model_.NTSS)))+(Inv_LNFIN*(model_.PTSS)));
    IIT_i = ((((model_.IIT)+(Inv_L*(model_.LIIT)))+(Inv_NFIN*(model_.NIIT)))+(Inv_LNFIN*(model_.PIIT)));
    TGIDL_i = ((((model_.TGIDL)+(Inv_L*(model_.LTGIDL)))+(Inv_NFIN*(model_.NTGIDL)))+(Inv_LNFIN*(model_.PTGIDL)));
    IGT_i = ((((model_.IGT)+(Inv_L*(model_.LIGT)))+(Inv_NFIN*(model_.NIGT)))+(Inv_LNFIN*(model_.PIGT)));
    if (((model_.PHIGN1)!=0))
    {
      PHIG_i = (PHIG_i*(1.0+(((model_.PHIGN1)/NFIN)*model_.analogFunctions.lln((1.0+(NFIN/(model_.PHIGN2)))))));
    }
    if (((model_.ETA0N1)!=0))
    {
      ETA0_i = (ETA0_i*(1.0+(((model_.ETA0N1)/NFIN)*model_.analogFunctions.lln((1.0+(NFIN/(model_.ETA0N2)))))));
    }
    if (((model_.CDSCN1)!=0))
    {
      CDSC_i = (CDSC_i*(1.0+(((model_.CDSCN1)/NFIN)*model_.analogFunctions.lln((1.0+(NFIN/(model_.CDSCN2)))))));
    }
    if (((model_.CDSCDN1)!=0))
    {
      CDSCD_i = (CDSCD_i*(1.0+(((model_.CDSCDN1)/NFIN)*model_.analogFunctions.lln((1.0+(NFIN/(model_.CDSCDN2)))))));
    }
    if (((model_.CDSCDRN1)!=0))
    {
      CDSCDR_i = (CDSCDR_i*(1.0+(((model_.CDSCDRN1)/NFIN)*model_.analogFunctions.lln((1.0+(NFIN/(model_.CDSCDRN2)))))));
    }
    if (((model_.NBODYN1)!=0))
    {
      NBODY_i = (NBODY_i*(1.0+(((model_.NBODYN1)/NFIN)*model_.analogFunctions.lln((1.0+(NFIN/(model_.NBODYN2)))))));
    }
    if (((model_.VSATN1)!=0))
    {
      VSAT_i = (VSAT_i*(1.0+(((model_.VSATN1)/NFIN)*model_.analogFunctions.lln((1.0+(NFIN/(model_.VSATN2)))))));
    }
    if (((model_.VSAT1N1)!=0))
    {
      VSAT1_i = (VSAT1_i*(1.0+(((model_.VSAT1N1)/NFIN)*model_.analogFunctions.lln((1.0+(NFIN/(model_.VSAT1N2)))))));
    }
    if (((model_.VSAT1RN1)!=0))
    {
      VSAT1R_i = (VSAT1R_i*(1.0+(((model_.VSAT1RN1)/NFIN)*model_.analogFunctions.lln((1.0+(NFIN/(model_.VSAT1RN2)))))));
    }
    if (((model_.U0N1)!=0))
    {
      U0_i = (U0_i*(1.0+(((model_.U0N1)/NFIN)*model_.analogFunctions.lln((1.0+(NFIN/(model_.U0N2)))))));
    }
    PHIG_i = (PHIG_i+((model_.PHIGL)*Leff));
    if (((model_.LPA)>0))
    {
      U0_i = (U0_i*(1-(UP_i*pow(Leff,(-(model_.LPA))))));
    }
    else
    {
      U0_i = (U0_i*(1-UP_i));
    }
    UA_i = (UA_i+((model_.AUA)*model_.analogFunctions.lexp(((-Leff)/(model_.BUA)))));
    UD_i = (UD_i+((model_.AUD)*model_.analogFunctions.lexp(((-Leff)/(model_.BUD)))));
    EU_i = (EU_i+((model_.AEU)*model_.analogFunctions.lexp(((-Leff)/(model_.BEU)))));
    if (((model_.RDSMOD)==1))
    {
      RSW_i = (RSW_i+((model_.ARSW)*model_.analogFunctions.lexp(((-Leff)/(model_.BRSW)))));
      RDW_i = (RDW_i+((model_.ARDW)*model_.analogFunctions.lexp(((-Leff)/(model_.BRDW)))));
    }
    else
    {
      RDSW_i = (RDSW_i+((model_.ARDSW)*model_.analogFunctions.lexp(((-Leff)/(model_.BRDSW)))));
    }
    PCLM_i = (PCLM_i+((model_.APCLM)*model_.analogFunctions.lexp(((-Leff)/(model_.BPCLM)))));
    MEXP_i = (MEXP_i+((model_.AMEXP)*pow(Leff,(-(model_.BMEXP)))));
    if (((model_.ASYMMOD)!=0))
    {
      MEXPR_i = (MEXPR_i+((model_.AMEXPR)*pow(Leff,(-(model_.BMEXPR)))));
    }
    PTWG_i = (PTWG_i+((model_.APTWG)*model_.analogFunctions.lexp(((-Leff)/(model_.BPTWG)))));
    if (((model_.ASYMMOD)!=0))
    {
      PTWGR_i = (PTWGR_i+((model_.APTWG)*model_.analogFunctions.lexp(((-Leff)/(model_.BPTWG)))));
    }
    VSAT_i = (VSAT_i+((model_.AVSAT)*model_.analogFunctions.lexp(((-Leff)/(model_.BVSAT)))));
    VSAT1_i = (VSAT1_i+((model_.AVSAT1)*model_.analogFunctions.lexp(((-Leff)/(model_.BVSAT1)))));
    if (((model_.ASYMMOD)!=0))
    {
      VSAT1R_i = (VSAT1R_i+((model_.AVSAT1)*model_.analogFunctions.lexp(((-Leff)/(model_.BVSAT1)))));
    }
    PSAT_i = (PSAT_i+((model_.APSAT)*model_.analogFunctions.lexp(((-Leff)/(model_.BPSAT)))));
    PSATCV_i = (PSATCV_i+((model_.APSATCV)*model_.analogFunctions.lexp(((-Leff)/(model_.BPSATCV)))));
    VSATCV_i = (VSATCV_i+((model_.AVSATCV)*model_.analogFunctions.lexp(((-LeffCV)/(model_.BVSATCV)))));
    if ((((QMTCENIV_i>0.0)||(QMTCENCV_i>0.0))||(QMTCENCVA_i>0.0)))
    {
      if ( (model_.GEOMOD) == (0))
      {
        MTcen = (1.0+((model_.AQMTCEN)*model_.analogFunctions.lexp(((-TFIN)/(model_.BQMTCEN)))));
        Tcen0 = (TFIN*MTcen);
      }
      else
        if ( (model_.GEOMOD) == (1))
        {
          MTcen = (1.0+((model_.AQMTCEN)*model_.analogFunctions.lexp(((-std::min((model_.HFIN),TFIN))/(model_.BQMTCEN)))));
          Tcen0 = (std::min(TFIN,(model_.HFIN))*MTcen);
        }
        else
          if ( (model_.GEOMOD) == (2))
          {
            MTcen = (1.0+((model_.AQMTCEN)*model_.analogFunctions.lexp(((-std::min((model_.HFIN),TFIN))/(model_.BQMTCEN)))));
            Tcen0 = (std::min(TFIN,(model_.HFIN))*MTcen);
          }
          else
            if ( (model_.GEOMOD) == (3))
            {
              MTcen = (1.0+((model_.AQMTCEN)*model_.analogFunctions.lexp(((-R)/(model_.BQMTCEN)))));
              Tcen0 = (R*MTcen);
            }
            else
            {
              // no default
            }
    }
    if ((Leff<=0))
    {
      std::cerr  << "Fatal: Leff = %e is not positive." << Leff <<  std::endl; 
    }
    else
    {
      if ((Leff<=1e-9))
      {
        std::cerr  << "Warning: Leff = %e <= 1.0e-9." << Leff <<  std::endl; 
      }
    }
    if ((LeffCV<=1e-9))
    {
      std::cerr  << "Warning: LeffCV = %e <= 1.0e-9." << LeffCV <<  std::endl; 
    }
    if ((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0)))
    {
      if ((LeffCV_acc<=1e-9))
      {
        std::cerr  << "Warning: LeffCV_acc = %e <= 1.0e-9." << LeffCV_acc <<  std::endl; 
      }
    }
    if ((Weff0<=1e-9))
    {
      std::cerr  << "Warning: Weff0 = %e <= 1.0e-9." << Weff0 <<  std::endl; 
    }
    if ((WeffCV0<=1e-9))
    {
      std::cerr  << "Warning: WeffCV0 = %e <= 1.0e-9." << WeffCV0 <<  std::endl; 
    }
    if ((NBODY_i<=0))
    {
      std::cerr  << "Fatal: NBODY_i = %e is not positive." << NBODY_i <<  std::endl; 
    }
    else
    {
      if ((NBODY_i<=1e18))
      {
        std::cerr  << "Warning: NBODY_i = %e m^-3 may be too small." << NBODY_i <<  std::endl; 
      }
    }
    if ((NGATE_i<0))
    {
      std::cerr  << "Fatal: NGATE_i = %e is negative." << NGATE_i <<  std::endl; 
    }
    else
    {
      if (((NGATE_i!=0)&&(NGATE_i<=1e24)))
      {
        std::cerr  << "Warning: NGATE_i = %e may be too small." << NGATE_i <<  std::endl; 
      }
      else
      {
        if ((NGATE_i>1e31))
        {
          std::cerr  << "Fatal: NGATE_i = %e is too high." << NGATE_i <<  std::endl; 
        }
      }
    }
    if ((DVT0_i<0))
    {
      std::cerr  << "Warning: DVT0_i = %e is negative." << DVT0_i <<  std::endl; 
    }
    if ((DVT1_i<=0))
    {
      std::cerr  << "Fatal: DVT1_i = %e is not positive." << DVT1_i <<  std::endl; 
    }
    if ((DVT1SS_i<=0))
    {
      std::cerr  << "Fatal: DVT1SS_i = %e is not positive." << DVT1SS_i <<  std::endl; 
    }
    if ((CDSC_i<0))
    {
      std::cerr  << "Warning: CDSC_i = %e is negative." << CDSC_i <<  std::endl; 
    }
    if ((CDSCD_i<0))
    {
      std::cerr  << "Warning: CDSCD_i = %e is negative." << CDSCD_i <<  std::endl; 
    }
    if ((DSUB_i<=0))
    {
      std::cerr  << "Fatal: DSUB_i = %e is not positive." << DSUB_i <<  std::endl; 
    }
    if ((ETA0_i<0))
    {
      std::cerr  << "Warning: ETA0_i = %e is negative." << ETA0_i <<  std::endl; 
    }
    if ((LPE0_i<(-Leff)))
    {
      std::cerr  << "Warning: LPE0_i = %e is less than -Leff. Clipping LPE0_i to 0" << LPE0_i <<  std::endl; 
      LPE0_i = 0;
    }
    if ((K0SI_i<=0))
    {
      std::cerr  << "Warning: K0SI_i = %e is not positive, setting it to 0." << K0SI_i <<  std::endl; 
      K0SI_i = 0;
    }
    if ((K1SI_i<=0))
    {
      std::cerr  << "Warning: K1SI_i = %e is not positive, setting it to 0." << K1SI_i <<  std::endl; 
      K1SI_i = 0;
    }
    if (((PHIBE_i<0.2)&&((model_.BULKMOD)!=0)))
    {
      std::cerr  << "Warning: PHIBE_i = %e is less than 0.2, setting it to 0.2." << PHIBE_i <<  std::endl; 
      PHIBE_i = 0.2;
    }
    if (((PHIBE_i>1.2)&&((model_.BULKMOD)!=0)))
    {
      std::cerr  << "Warning: PHIBE_i = %e is larger than 1.2, setting it to 1.2." << PHIBE_i <<  std::endl; 
      PHIBE_i = 1.2;
    }
    if ((PSAT_i<2.0))
    {
      std::cerr  << "Warning: PSAT_i = %e is less than 2.0, setting it to 2.0." << PSAT_i <<  std::endl; 
      PSAT_i = 2.0;
    }
    if ((PSATCV_i<2.0))
    {
      std::cerr  << "Warning: PSATCV_i = %e is less than 2.0, setting it to 2.0." << PSATCV_i <<  std::endl; 
      PSATCV_i = 2.0;
    }
    if ((U0_i<0))
    {
      std::cerr  << "Warning: U0_i = %e is negative, setting it to 0." << U0_i <<  std::endl; 
      U0_i = 0;
    }
    if ((UA_i<0))
    {
      std::cerr  << "Warning: UA_i = %e is negative, setting it to 0." << UA_i <<  std::endl; 
      UA_i = 0;
    }
    if ((EU_i<0))
    {
      std::cerr  << "Warning: EU_i = %e is negative, setting it to 0." << EU_i <<  std::endl; 
      EU_i = 0;
    }
    if ((UD_i<0))
    {
      std::cerr  << "Warning: UD_i = %e is negative, setting it to 0." << UD_i <<  std::endl; 
      UD_i = 0;
    }
    if ((UCS_i<0))
    {
      std::cerr  << "Warning: UCS_i = %e is negative, setting it to 0." << UCS_i <<  std::endl; 
      UCS_i = 0;
    }
    RDSWMIN_i = (model_.RDSWMIN);
    if ((RDSWMIN_i<0))
    {
      std::cerr  << "Warning: RDSWMIN = %e is negative.  Set to zero" << RDSWMIN_i <<  std::endl; 
      RDSWMIN_i = 0;
    }
    if ((RDSW_i<0))
    {
      std::cerr  << "Warning: RDSW_i = %e is negative.  Set to zero" << RDSW_i <<  std::endl; 
      RDSW_i = 0;
    }
    RSWMIN_i = (model_.RSWMIN);
    if ((RSWMIN_i<0))
    {
      std::cerr  << "Warning: RSWMIN = %e is negative.  Set to zero" << RSWMIN_i <<  std::endl; 
      RSWMIN_i = 0;
    }
    if ((RSW_i<0))
    {
      std::cerr  << "Warning: RSW_i = %e is negative.  Set to zero" << RSW_i <<  std::endl; 
      RSW_i = 0;
    }
    RDWMIN_i = (model_.RDWMIN);
    if ((RDWMIN_i<0))
    {
      std::cerr  << "Warning: RDWMIN = %e is negative.  Set to zero" << RDWMIN_i <<  std::endl; 
      RDWMIN_i = 0;
    }
    if ((RDW_i<0))
    {
      std::cerr  << "Warning: RDW_i = %e is negative.  Set to zero" << RDW_i <<  std::endl; 
      RDW_i = 0;
    }
    if ((PRWGD_i<0))
    {
      std::cerr  << "Warning: PRWGD_i = %e is negative.  Set to zero" << PRWGD_i <<  std::endl; 
      PRWGD_i = 0;
    }
    if ((PRWGS_i<0))
    {
      std::cerr  << "Warning: PRWGS_i = %e is negative.  Set to zero" << PRWGS_i <<  std::endl; 
      PRWGS_i = 0;
    }
    if ((PCLM_i<0))
    {
      std::cerr  << "Warning: PCLM_i = %e is negative." << PCLM_i <<  std::endl; 
    }
    if ((PDIBL1_i<0))
    {
      std::cerr  << "Warning: PDIBL1_i = %e is negative." << PDIBL1_i <<  std::endl; 
    }
    if (((model_.ASYMMOD)!=0))
    {
      if ((PDIBL1R_i<0))
      {
        std::cerr  << "Warning: PDIBL1R_i = %e is negative." << PDIBL1R_i <<  std::endl; 
      }
    }
    if ((PDIBL2_i<0))
    {
      std::cerr  << "Fatal: PDIBL2_i = %e is negative." << PDIBL2_i <<  std::endl; 
    }
    if ((DROUT_i<=0))
    {
      std::cerr  << "Fatal: DROUT_i = %e is non-positive." << DROUT_i <<  std::endl; 
    }
    if ((MEXP_i<2.0))
    {
      std::cerr  << "Warning: MEXP_i = %e < 2.  Setting MEXP_i = 2." << MEXP_i <<  std::endl; 
      MEXP_i = 2.0;
    }
    if (((model_.ASYMMOD)!=0))
    {
      if ((MEXPR_i<2.0))
      {
        std::cerr  << "Warning: MEXPR_i = %e < 2.  Setting MEXPR_i = 2." << MEXPR_i <<  std::endl; 
        MEXPR_i = 2.0;
      }
    }
    if ((PTWG_i<0))
    {
      std::cerr  << "Warning: PTWG_i = %e is negative, setting it to 0." << PTWG_i <<  std::endl; 
      PTWG_i = 0;
    }
    if (((QMTCENIV_i>0)||(QMTCENCV_i>0)))
    {
      if (((model_.QM0)<=0))
      {
        std::cerr  << "Fatal: QM0 = %e is non-positive." << (model_.QM0) <<  std::endl; 
      }
    }
    if (((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0))&&(QMTCENCVA_i>0)))
    {
      if (((model_.QM0ACC)<=0))
      {
        std::cerr  << "Fatal: QM0ACC = %e is non-positive." << (model_.QM0ACC) <<  std::endl; 
      }
    }
    if ((CGIDL_i<0.0))
    {
      std::cerr  << "Warning: CGIDL_i = %e < 0.  Setting CGIDL_i = 0." << CGIDL_i <<  std::endl; 
      CGIDL_i = 0.0;
    }
    if ((CGISL_i<0.0))
    {
      std::cerr  << "Warning: CGISL_i = %e < 0.  Setting CGISL_i = 0." << CGISL_i <<  std::endl; 
      CGISL_i = 0.0;
    }
    if (((model_.IGBMOD)!=0))
    {
      if ((NIGBINV_i<=0))
      {
        std::cerr  << "Fatal: NIGBINV_i = %e is non-positive." << NIGBINV_i <<  std::endl; 
      }
      if ((NIGBACC_i<=0))
      {
        std::cerr  << "Fatal: NIGBACC_i = %e is non-positive." << NIGBACC_i <<  std::endl; 
      }
    }
    if (((model_.IGCMOD)!=0))
    {
      if ((POXEDGE_i<=0))
      {
        std::cerr  << "Fatal: POXEDGE_i = %e is non-positive." << POXEDGE_i <<  std::endl; 
      }
      if ((PIGCD_i<=0))
      {
        std::cerr  << "Fatal: PIGCD_i = %e is non-positive." << PIGCD_i <<  std::endl; 
      }
    }
    if ((((model_.IGCMOD)!=0)||((model_.IGBMOD)!=0)))
    {
      if (((model_.TOXREF)<=0))
      {
        std::cerr  << "Fatal: TOXREF = %e is non-positive." << (model_.TOXREF) <<  std::endl; 
      }
    }
    if (((model_.LINTIGEN)>=(Leff/2)))
    {
      std::cerr  << "Warning: LINTIGEN = %e is too large - Leff for r/g current is negative.  Re-setting LINTIGEN = 0." << (model_.LINTIGEN) <<  std::endl; 
      LINTIGEN_i = 0;
    }
    else
    {
      LINTIGEN_i = (model_.LINTIGEN);
    }
    if ((NTGEN_i<=0))
    {
      std::cerr  << "Fatal: NTGEN_i = %e is non-positive." << NTGEN_i <<  std::endl; 
    }
    if (((model_.IIMOD)==2))
    {
      if ((BETAII0_i<0.0))
      {
        std::cerr  << "Warning:  BETAII0_i = %e is negative." << BETAII0_i <<  std::endl; 
      }
      if ((BETAII1_i<0.0))
      {
        std::cerr  << "Warning:  BETAII1_i = %e is negative." << BETAII1_i <<  std::endl; 
      }
      if ((BETAII2_i<0.0))
      {
        std::cerr  << "Warning:  BETAII2_i = %e is negative." << BETAII2_i <<  std::endl; 
      }
      if ((ESATII_i<0.0))
      {
        std::cerr  << "Warning:  ESATII_i = %e is negative." << ESATII_i <<  std::endl; 
      }
      if ((LII_i<0.0))
      {
        std::cerr  << "Warning:  LII_i = %e is negative." << LII_i <<  std::endl; 
      }
      if ((SII1_i<0.0))
      {
        std::cerr  << "Warning:  SII1_i = %e is negative." << (model_.SII1) <<  std::endl; 
      }
      if ((SII2_i<0.0))
      {
        std::cerr  << "Warning:  SII2_i = %e is negative." << SII2_i <<  std::endl; 
      }
      if ((SIID_i<0.0))
      {
        std::cerr  << "Warning:  SIID_i = %e is negative." << SIID_i <<  std::endl; 
      }
    }
    if (((model_.EF)<=0))
    {
      std::cerr  << "Fatal: EF = %e is non-positive." << (model_.EF) <<  std::endl; 
    }
    else
    {
      if (((model_.EF)>2.0))
      {
        std::cerr  << "Fatal: EF = %e > 2.0." << (model_.EF) <<  std::endl; 
      }
    }
    if (((model_.LINTNOI)>=(Leff/2)))
    {
      std::cerr  << "Warning: LINTNOI = %e is too large - Leff for noise is negative.  Re-setting LINTNOI = 0." << (model_.LINTNOI) <<  std::endl; 
      LINTNOI_i = 0;
    }
    else
    {
      LINTNOI_i = (model_.LINTNOI);
    }
    if (((model_.NTNOI)<0))
    {
      std::cerr  << "Warning: NTNOI = %e is negative. Set to zero." << (model_.NTNOI) <<  std::endl; 
      NTNOI_i = 0;
    }
    else
    {
      NTNOI_i = (model_.NTNOI);
    }
    if (((model_.SHMOD)!=0))
    {
      std::cerr  << "[bsimcmg] Although the model selector SHMOD is set to 1, the self heating model is not activated in the Verilog-A code.  Please uncomment `define __SHMOD__ in bsimcmg.va to activate it." <<  std::endl; 
    }
    if (((model_.RGATEMOD)!=0))
    {
      std::cerr  << "[bsimcmg] Although the model selector RGATEMOD is set to 1, the gate electrode resistance model is not activated in the Verilog-A code.  Please uncomment `define __RGATEMOD__ in bsimcmg.va to activate it." <<  std::endl; 
    }
    if (((model_.RGEOMOD)==0))
    {
      RSourceGeo = ((model_.RSHS)*NRS);
      RDrainGeo = ((model_.RSHD)*NRD);
    }
    else
    {
      if (((model_.HEPI)>0))
      {
        Arsd = ((FPITCH*(model_.HFIN))+((TFIN+((FPITCH-TFIN)*(model_.CRATIO)))*(model_.HEPI)));
      }
      else
      {
        Arsd = (FPITCH*std::max(((model_.HFIN)+(model_.HEPI)),1.0e-9));
      }
      Prsd = (FPITCH+(model_.DELTAPRSD));
      if ((model_.given("RHORSD")))
      {
        rhorsd = (model_.RHORSD);
      }
      else
      {
        if (((model_.DEVTYPE)==1))
        {
          mu_max = 1417;
        }
        else
        {
          mu_max = 470.5;
        }
        if (((model_.DEVTYPE)==1))
        {
          mu_rsd = (((52.2+((mu_max-52.2)/(1+pow(((model_.NSD)/9.68e22),0.680))))-(43.4/(1.0+pow((3.43e26/(model_.NSD)),2))))*1.0e-4);
        }
        else
        {
          mu_rsd = (((44.9+((mu_max-44.9)/(1+pow(((model_.NSD)/2.23e22),0.719))))-(29.0/(1.0+pow((6.10e26/(model_.NSD)),2))))*1.0e-4);
        }
        rhorsd = (1/((1.60219e-19*(model_.NSD))*mu_rsd));
      }
      thetarsp = ((55*3.14159265358979323846)/180);
      afin = std::min(std::max((TFIN*((model_.HFIN)+std::min((model_.HEPI),0.0))),1.0e-18),Arsd);
      T1 = ((thetarsp>=(3.14159265358979323846/2))?0:((thetarsp<=((-3.14159265358979323846)/2))?0:(1.0/tan(thetarsp))));
      Rsp = (((rhorsd*T1.val())/(sqrt(3.14159265358979323846)*NFIN))*(((1.0/sqrt(afin))-(2.0/sqrt(Arsd)))+sqrt((afin/(Arsd*Arsd)))));
      arsd_total = ((Arsd*NFIN)+(model_.ARSDEND));
      prsd_total = ((Prsd*NFIN)+(model_.PRSDEND));
      lt = sqrt((((model_.RHOC)*arsd_total)/(rhorsd*prsd_total)));
      alpha = (LRSD/lt);
      T0 = model_.analogFunctions.lexp<AdmsFadType>((alpha+alpha));
      if (((model_.SDTERM)==1))
      {
        eta = ((rhorsd*lt)/(model_.RHOC));
        T1 = (T0*(1.0+eta));
        T2 = ((T1+1.0)-eta);
        T3 = ((T1-1.0)+eta);
      }
      else
      {
        T2 = (T0+1.0);
        T3 = (T0-1.0);
      }
      RrsdTML = (((rhorsd*lt)*T2.val())/(arsd_total*T3.val()));
      if (((model_.HEPI)<(-1.0e-10)))
      {
        Rrsdside = ((model_.RHOC)/(((-(model_.HEPI))*TFIN)*NFIN));
        Rrsd = (((RrsdTML+Rsp)*Rrsdside)/((RrsdTML+Rsp)+Rrsdside));
      }
      else
      {
        Rrsd = (RrsdTML+Rsp);
      }
      Rdsgeo = ((Rrsd/(model_.NF))*std::max((((((model_.RGEOA)+((model_.RGEOB)*TFIN))+((model_.RGEOC)*FPITCH))+((model_.RGEOD)*LRSD))+((model_.RGEOE)*(model_.HEPI))),0.0));
      RSourceGeo = Rdsgeo;
      RDrainGeo = Rdsgeo;
    }
    if ((RSourceGeo<=1.0e-3))
    {
      RSourceGeo = 1.0e-3;
    }
    if ((RDrainGeo<=1.0e-3))
    {
      RDrainGeo = 1.0e-3;
    }
    if (((model_.RDSMOD)!=0))
    {
      if ((RSWMIN_i<=0))
      {
        RSWMIN_i = 0;
      }
      if ((RDWMIN_i<=0))
      {
        RDWMIN_i = 0;
      }
      if ((RSW_i<=0))
      {
        RSW_i = 0;
      }
      if ((RDW_i<=0))
      {
        RDW_i = 0;
      }
    }
    else
    {
      if ((RDSWMIN_i<=0))
      {
        RDSWMIN_i = 0;
      }
      if ((RDSW_i<=0))
      {
        RDSW_i = 0;
      }
    }
    if (((model_.CGEOMOD)!=1))
    {
      if ((model_.given("CGSO")))
      {
        CGSO_i = (model_.CGSO);
      }
      else
      {
        if (((model_.given("DLC"))&&((model_.DLC)>0)))
        {
          CGSO_i = std::max(0.0,(((model_.DLC)*cox)-CGSL_i));
        }
        else
        {
          CGSO_i = ((0.3*TFIN)*cox);
        }
      }
      if ((model_.given("CGDO")))
      {
        CGDO_i = (model_.CGDO);
      }
      else
      {
        if (((model_.given("DLC"))&&((model_.DLC)>0)))
        {
          CGDO_i = std::max(0.0,(((model_.DLC)*cox)-CGDL_i));
        }
        else
        {
          CGDO_i = ((0.3*TFIN)*cox);
        }
      }
    }
    if (((model_.CGEOMOD)==2))
    {
      Hg = ((model_.TGATE)+(model_.TMASK));
      Trsd = (0.5*(FPITCH-TFIN));
      Wg = std::max((Trsd-(model_.TOXP)),0.0);
      Hrsd = std::max(((model_.HEPI)+(model_.TSILI)),0.0);
      if (((model_.TMASK)>0))
      {
        T0 = (3.467e-11*model_.analogFunctions.lln<AdmsFadType>(((1.0e-7*(model_.EPSRSP))/(3.9*(model_.LSP)))));
        T1 = (((0.942*Hrsd)*epssp)/(model_.LSP));
        Cgg_top = ((T0.val()+T1.val())*(TFIN+((FPITCH-TFIN)*(model_.CRATIO))));
      }
      else
      {
        //Begin block cfr_top_trigate
        {
          //Block-local variables for block cfr_top_trigate
          double Hr;
          double Lr;
          double Hgdelta;
          double Lmax;
          double y;
          double x;
          //End of Block-local variables
          //Block-local variables for block cfr_top_trigate
          double CcgSat;
          double Cnon;
          double TT1;
          double Ccg1;
          double r1cf;
          double Rcf;
          double Ccg2;
          //End of Block-local variables
          //Block-local variables for block cfr_top_trigate
          double Ccg;
          double C1;
          double C2;
          double C3;
          double Cfglog;
          double dcf;
          double TT0;
          //End of Block-local variables
          //Block-local variables for block cfr_top_trigate
          double TT2;
          double Cfgsat;
          double delta;
          double Cfg;
          //End of Block-local variables
          Hr = (2.3+((0.2*(Hg+(model_.TOXP)))/Hrsd));
          Lr = 1.05;
          Hgdelta = fabs(((Hg+(model_.TOXP))-Hrsd));
          Lmax = ((model_.LSP)*Lr);
          y = std::min(Hrsd,(Hg+(model_.TOXP)));
          x = ((model_.LSP)/(Hr+1.0));
          Cnon = 1.7e12;
          CcgSat = ((epssp*(y-x))/(model_.LSP));
          TT1 = (Cnon*CcgSat);
          if ((TT1>80.0))
          {
            Ccg1 = CcgSat;
          }
          else
          {
            Ccg1 = ((1.0/Cnon)*log((1.0+model_.analogFunctions.lexp(TT1))));
          }
          r1cf = (0.5*std::min((Hrsd/(Hg+(model_.TOXP))),((Hg+(model_.TOXP))/Hrsd)));
          Rcf = (Hgdelta*r1cf);
          Ccg2 = (((epssp*2)/3.14159265358979323846)*log((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP))));
          Ccg = (TFIN*(Ccg1+Ccg2));
          x = (Lmax/Hg);
          C1 = (4.0/(sqrt((2.0*(x+1)))*3.14159265358979323846));
          C2 = ((((sqrt(((((model_.TOXP)*(model_.TOXP))+((2.0*Hg)*(model_.TOXP)))+((Hg*Hg)*(x+1))))*sqrt((x+1)))+(model_.TOXP))+(Hg*x))+Hg);
          C3 = (((model_.TOXP)*sqrt(((x+1)*(x+4))))+((model_.TOXP)*(x+2)));
          Cfglog = (epssp*((C1*log((C2/C3)))+12.27));
          dcf = (Hr*Lr);
          TT0 = sqrt(((dcf*dcf)+1.0));
          TT1 = (((sqrt((((dcf*dcf)+1)*((((dcf*(model_.TOXP))*(dcf*(model_.TOXP)))+(((2*dcf)*Lmax)*(model_.TOXP)))+((((dcf*dcf)+1)*Lmax)*Lmax))))+(dcf*(model_.TOXP)))+((dcf*dcf)*Lmax))+Lmax);
          TT2 = ((TT0+1.0)*(dcf*(model_.TOXP)));
          Cfgsat = (((((((2.0*epssp)*sqrt(2.0))/3.14159265358979323846)*0.85)*dcf)/TT0)*log((TT1/TT2)));
          delta = 1.2e-12;
          TT1 = ((Cfgsat-Cfglog)-delta);
          Cfg = (TFIN*(Cfgsat-(0.5*(TT1+sqrt(((TT1*TT1)+((4*delta)*Cfgsat)))))));
          Cgg_top = (Ccg+Cfg);
        }
        // End block cfr_top_trigate
      }
      if (((model_.TMASK)>0))
      {
        //Begin block cfr_side_dblgate
        {
          //Block-local variables for block cfr_side_dblgate
          double Hr;
          double Lr;
          double Hgdelta;
          double Lmax;
          double y;
          double x;
          //End of Block-local variables
          //Block-local variables for block cfr_side_dblgate
          double CcgSat;
          double Cnon;
          double TT1;
          double Ccg1;
          double r1cf;
          double Rcf;
          double Ccg2;
          //End of Block-local variables
          //Block-local variables for block cfr_side_dblgate
          double Ccg;
          double C1;
          double C2;
          double C3;
          double Cfglog;
          double dcf;
          double TT0;
          //End of Block-local variables
          //Block-local variables for block cfr_side_dblgate
          double TT2;
          double Cfgsat;
          double delta;
          double Cfg;
          //End of Block-local variables
          Hr = (2.3+((0.2*(Wg+(model_.TOXP)))/Trsd));
          Lr = 1.05;
          Hgdelta = fabs(((Wg+(model_.TOXP))-Trsd));
          Lmax = ((model_.LSP)*Lr);
          y = std::min(Trsd,(Wg+(model_.TOXP)));
          x = ((model_.LSP)/(Hr+1.0));
          Cnon = 1.7e12;
          CcgSat = ((epssp*(y-x))/(model_.LSP));
          TT1 = (Cnon*CcgSat);
          if ((TT1>80.0))
          {
            Ccg1 = CcgSat;
          }
          else
          {
            Ccg1 = ((1.0/Cnon)*log((1.0+model_.analogFunctions.lexp(TT1))));
          }
          r1cf = (0.5*std::min((Trsd/(Wg+(model_.TOXP))),((Wg+(model_.TOXP))/Trsd)));
          Rcf = (Hgdelta*r1cf);
          Ccg2 = (((epssp*2)/3.14159265358979323846)*log((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP))));
          Ccg = ((model_.HFIN)*(Ccg1+Ccg2));
          x = (Lmax/Wg);
          C1 = (4.0/(sqrt((2.0*(x+1)))*3.14159265358979323846));
          C2 = ((((sqrt(((((model_.TOXP)*(model_.TOXP))+((2.0*Wg)*(model_.TOXP)))+((Wg*Wg)*(x+1))))*sqrt((x+1)))+(model_.TOXP))+(Wg*x))+Wg);
          C3 = (((model_.TOXP)*sqrt(((x+1)*(x+4))))+((model_.TOXP)*(x+2)));
          Cfglog = (epssp*((C1*log((C2/C3)))+12.27));
          dcf = (Hr*Lr);
          TT0 = sqrt(((dcf*dcf)+1.0));
          TT1 = (((sqrt((((dcf*dcf)+1)*((((dcf*(model_.TOXP))*(dcf*(model_.TOXP)))+(((2*dcf)*Lmax)*(model_.TOXP)))+((((dcf*dcf)+1)*Lmax)*Lmax))))+(dcf*(model_.TOXP)))+((dcf*dcf)*Lmax))+Lmax);
          TT2 = ((TT0+1.0)*(dcf*(model_.TOXP)));
          Cfgsat = (((((((2.0*epssp)*sqrt(2.0))/3.14159265358979323846)*0.70)*dcf)/TT0)*log((TT1/TT2)));
          delta = 1.2e-12;
          TT1 = ((Cfgsat-Cfglog)-delta);
          Cfg = ((model_.HFIN)*(Cfgsat-(0.5*(TT1+sqrt(((TT1*TT1)+((4*delta)*Cfgsat)))))));
          Cgg_side = (Ccg+Cfg);
        }
        // End block cfr_side_dblgate
      }
      else
      {
        //Begin block cfr_side_trigate
        {
          //Block-local variables for block cfr_side_trigate
          double Hr;
          double Lr;
          double Hgdelta;
          double Lmax;
          double y;
          double x;
          //End of Block-local variables
          //Block-local variables for block cfr_side_trigate
          double CcgSat;
          double Cnon;
          double TT1;
          double Ccg1;
          double r1cf;
          double Rcf;
          double Ccg2;
          //End of Block-local variables
          //Block-local variables for block cfr_side_trigate
          double Ccg;
          double C1;
          double C2;
          double C3;
          double Cfglog;
          double dcf;
          double TT0;
          //End of Block-local variables
          //Block-local variables for block cfr_side_trigate
          double TT2;
          double Cfgsat;
          double delta;
          double Cfg;
          //End of Block-local variables
          Hr = (2.3+((0.2*(Wg+(model_.TOXP)))/Trsd));
          Lr = 1.05;
          Hgdelta = fabs(((Wg+(model_.TOXP))-Trsd));
          Lmax = ((model_.LSP)*Lr);
          y = std::min(Trsd,(Wg+(model_.TOXP)));
          x = ((model_.LSP)/(Hr+1.0));
          Cnon = 1.7e12;
          CcgSat = ((epssp*(y-x))/(model_.LSP));
          TT1 = (Cnon*CcgSat);
          if ((TT1>80.0))
          {
            Ccg1 = CcgSat;
          }
          else
          {
            Ccg1 = ((1.0/Cnon)*log((1.0+model_.analogFunctions.lexp(TT1))));
          }
          r1cf = (0.5*std::min((Trsd/(Wg+(model_.TOXP))),((Wg+(model_.TOXP))/Trsd)));
          Rcf = (Hgdelta*r1cf);
          Ccg2 = (((epssp*2)/3.14159265358979323846)*log((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP))));
          Ccg = ((model_.HFIN)*(Ccg1+Ccg2));
          x = (Lmax/Wg);
          C1 = (4.0/(sqrt((2.0*(x+1)))*3.14159265358979323846));
          C2 = ((((sqrt(((((model_.TOXP)*(model_.TOXP))+((2.0*Wg)*(model_.TOXP)))+((Wg*Wg)*(x+1))))*sqrt((x+1)))+(model_.TOXP))+(Wg*x))+Wg);
          C3 = (((model_.TOXP)*sqrt(((x+1)*(x+4))))+((model_.TOXP)*(x+2)));
          Cfglog = (epssp*((C1*log((C2/C3)))+12.27));
          dcf = (Hr*Lr);
          TT0 = sqrt(((dcf*dcf)+1.0));
          TT1 = (((sqrt((((dcf*dcf)+1)*((((dcf*(model_.TOXP))*(dcf*(model_.TOXP)))+(((2*dcf)*Lmax)*(model_.TOXP)))+((((dcf*dcf)+1)*Lmax)*Lmax))))+(dcf*(model_.TOXP)))+((dcf*dcf)*Lmax))+Lmax);
          TT2 = ((TT0+1.0)*(dcf*(model_.TOXP)));
          Cfgsat = (((((((2.0*epssp)*sqrt(2.0))/3.14159265358979323846)*0.85)*dcf)/TT0)*log((TT1/TT2)));
          delta = 1.2e-12;
          TT1 = ((Cfgsat-Cfglog)-delta);
          Cfg = ((model_.HFIN)*(Cfgsat-(0.5*(TT1+sqrt(((TT1*TT1)+((4*delta)*Cfgsat)))))));
          Cgg_side = (Ccg+Cfg);
        }
        // End block cfr_side_trigate
      }
      if (((model_.TMASK)>0))
      {
        Acorner = 0.0;
      }
      else
      {
        if (((model_.HEPI)>0))
        {
          Acorner = ((FPITCH-TFIN)*(((model_.HEPI)*(model_.CRATIO))+(model_.TSILI)));
        }
        else
        {
          Acorner = ((FPITCH-TFIN)*Hrsd);
        }
      }
      Ccorner = (((((NFIN*Acorner)+(model_.ARSDEND))+(model_.ASILIEND))*epssp)/(model_.LSP));
      Cfr_geo = (((Ccorner+(Cgg_top*NFIN))+((((model_.CGEOE)*Cgg_side)*NFIN)*2.0))*(model_.NF));
      Cfr_geo = (Cfr_geo*std::max(((((model_.CGEOA)+((model_.CGEOB)*TFIN))+((model_.CGEOC)*FPITCH))+((model_.CGEOD)*LRSD)),0.0));
    }
    T0 = ((model_.CSDESW)*model_.analogFunctions.lln<AdmsFadType>((1.0+((model_.HFIN)/(model_.EOTBOX)))));
    csbox = ((cbox*ASEO)+(T0.val()*std::max(0.0,(PSEO-(FPITCH*NFINtotal)))));
    cdbox = ((cbox*ADEO)+(T0.val()*std::max(0.0,(PDEO-(FPITCH*NFINtotal)))));
    cgbox = (((((model_.CGBO)*(model_.NF))*NGCON)+((model_.CGBN)*NFINtotal))*LeffCV);
    EeffFactor = (1.0e-8/(epsratio*(model_.EOT)));
    WeffWRFactor = (1.0/(pow((Weff0*1.0e6),WR_i)*NFINtotal));
    litl = sqrt((((epsratio*(model_.EOT))*0.5)*TFIN));
    tmp = (((DVT1_i*Leff)/scl)+1.0e-6);
    if ((tmp<40.0))
    {
      Theta_SCE = (0.5/(cosh(tmp)-1.0));
    }
    else
    {
      Theta_SCE = exp((-tmp));
    }
    tmp = (((DVT1SS_i*Leff)/scl)+1.0e-6);
    if ((tmp<40.0))
    {
      Theta_SW = (0.5/(cosh(tmp)-1.0));
    }
    else
    {
      Theta_SW = exp((-tmp));
    }
    tmp = (((DSUB_i*Leff)/scl)+1.0e-6);
    if ((tmp<40.0))
    {
      Theta_DIBL = (0.5/(cosh(tmp)-1.0));
    }
    else
    {
      Theta_DIBL = exp((-tmp));
    }
    Theta_RSCE = (sqrt((1.0+(LPE0_i/Leff)))-1.0);
    if ((((model_.COREMOD)!=0)&&(NBODY_i>1e23)))
    {
      nbody = 1e23;
    }
    else
    {
      nbody = NBODY_i;
    }
    if (((model_.GEOMOD)!=3))
    {
      qbs = (((1.60219e-19*nbody)*TFIN)/(2*cox));
    }
    else
    {
      qbs = (((1.60219e-19*nbody)*R)/(2*cox));
    }
    if (((model_.GEOMOD)!=3))
    {
      phibulk = ((((1.60219e-19/(2*epssub))*nbody)*(TFIN/2))*(TFIN/2));
      if (((model_.COREMOD)!=0))
      {
        Qbul = 0;
      }
      else
      {
        Qbul = sqrt(((((2*1.60219e-19)*nbody)*epssub)*phibulk));
      }
      F2 = model_.analogFunctions.lln((2.0/TFIN));
    }
    else
    {
      r1 = ((2*epssub)/(R*cox));
      if ((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0)))
      {
        r1_acc = ((2.0*epssub)/(R*cox_acc.val()));
      }
    }
    if (((model_.DEVTYPE)==1))
    {
      Aechvb = 4.97232e-7;
    }
    else
    {
      Aechvb = 3.42537e-7;
    }
    if (((model_.DEVTYPE)==1))
    {
      Bechvb = 7.45669e11;
    }
    else
    {
      Bechvb = 1.16645e12;
    }
    T0 = ((model_.TOXG)*(model_.TOXG));
    T1 = ((model_.TOXG)*POXEDGE_i);
    T2 = (T1*T1);
    Toxratio = (model_.analogFunctions.lexp((NTOX_i*model_.analogFunctions.lln(((model_.TOXREF)/(model_.TOXG)))))/T0.val());
    Toxratioedge = (model_.analogFunctions.lexp((NTOX_i*model_.analogFunctions.lln(((model_.TOXREF)/T1.val()))))/T2.val());
    igsd_mult0 = ((Weff0*Aechvb)*Toxratioedge);
    if (((model_.TNOM)<(-273.15)))
    {
      std::cerr  << "Warning: (TNOM=%e) < -`P_CELSIUS0. Set to 27 C." << (model_.TNOM) <<  std::endl; 
      Tnom = 300.15;
    }
    else
    {
      Tnom = ((model_.TNOM)+273.15);
    }
  }
  // End block CMGBiasIndepCalc
  DevTemp = (admsTemperature+(model_.DTEMP));
  //Begin block CMGTempDepCalc
  {
    TRatio = (DevTemp/Tnom);
    delTemp = (DevTemp-Tnom);
    Vtm = (8.617087e-5*DevTemp);
    Vtm0 = (8.617087e-5*Tnom);
    Eg = ((model_.BG0SUB)-((((model_.TBGASUB)*DevTemp)*DevTemp)/(DevTemp+(model_.TBGBSUB))));
    Eg0 = ((model_.BG0SUB)-((((model_.TBGASUB)*Tnom)*Tnom)/(Tnom+(model_.TBGBSUB))));
    T1 = ((DevTemp/300.15)*sqrt((DevTemp/300.15)));
    ni = (((model_.NI0SUB)*T1.val())*model_.analogFunctions.lexp((((model_.BG0SUB)/((2.0*8.617087e-5)*300.15))-(Eg/(2.0*Vtm)))));
    Nc = ((model_.NC0SUB)*T1.val());
    ThetaSS = model_.analogFunctions.hypsmooth(((1.0+(TSS_i*delTemp))-1.0E-6),1.0E-3);
    if (((model_.GEOMOD)!=3))
    {
      kT = (Vtm*1.60219e-19);
      T0 = ((1.05457e-34*3.14159265358979323846)/TFIN);
      E0 = ((T0.val()*T0.val())/(2.0*mx));
      E0prime = ((T0.val()*T0.val())/(2.0*mxprime));
      E1 = (4.0*E0);
      E1prime = (4.0*E0prime);
      T1 = ((gprime*mdprime)/(gfactor*md));
      gam0 = (1.0+(T1.val()*model_.analogFunctions.lexp(((E0-E0prime)/kT))));
      gam1 = ((gam0+model_.analogFunctions.lexp(((E0-E1)/kT)))+(T1.val()*model_.analogFunctions.lexp(((E0-E1prime)/kT))));
      T2 = ((-Vtm)*model_.analogFunctions.lln<AdmsFadType>((((((gfactor*md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*Nc))*kT)/TFIN)*gam1)));
      dvch_qm = (QMFACTOR_i*((E0/1.60219e-19)+T2.val()));
    }
    else
    {
      T0 = ((1.05457e-34*2.4048)/R);
      E0 = ((T0.val()*T0.val())/(2.0*mx));
      dvch_qm = ((QMFACTOR_i*E0)/1.60219e-19);
    }
    ETA0_t = (ETA0_i*(1.0+model_.analogFunctions.hypmax(((model_.TETA0)*delTemp),(-0.9),1e-4)));
    ETA0R_t = (ETA0R_i*(1.0+model_.analogFunctions.hypmax(((model_.TETA0R)*delTemp),(-0.9),1e-4)));
    T1 = (U0_i*pow(TRatio,UTE_i));
    U0_t = (T1.val()+model_.analogFunctions.hypmax((UTL_i*delTemp),((-0.9)*T1.val()),1e-4));
    u0 = U0_t;
    ETAMOB_t = (ETAMOB_i*model_.analogFunctions.hypsmooth(((1.0+(EMOBT_i*delTemp))-1.0E-6),1.0E-3));
    UA_t = (UA_i+model_.analogFunctions.hypmax((UA1_i*delTemp),(-UA_i),1.0e-6));
    if (((model_.BULKMOD)!=0))
    {
      UC_t = (UC_i*model_.analogFunctions.hypsmooth(((1.0+(UC1_i*delTemp))-1.0E-6),1.0E-3));
    }
    UD_t = (UD_i*pow(TRatio,UD1_i));
    UCS_t = (UCS_i*pow(TRatio,UCSTE_i));
    rdstemp = model_.analogFunctions.hypsmooth(((1.0+(PRT_i*delTemp))-1.0E-6),1.0E-3);
    RSDR_t = ((model_.RSDR)*model_.analogFunctions.hypsmooth(((1.0+((model_.TRSDR)*delTemp))-1.0E-6),1.0E-3));
    if (((model_.ASYMMOD)!=0))
    {
      RSDRR_t = ((model_.RSDRR)*model_.analogFunctions.hypsmooth(((1.0+((model_.TRSDR)*delTemp))-1.0E-6),1.0E-3));
    }
    RDDR_t = ((model_.RDDR)*model_.analogFunctions.hypsmooth(((1.0+((model_.TRDDR)*delTemp))-1.0E-6),1.0E-3));
    if (((model_.ASYMMOD)!=0))
    {
      RDDRR_t = ((model_.RDDRR)*model_.analogFunctions.hypsmooth(((1.0+((model_.TRDDR)*delTemp))-1.0E-6),1.0E-3));
    }
    VSAT_t = (VSAT_i*((1.0+model_.analogFunctions.hypsmooth((0.9-(AT_i*delTemp)),1.0E-3))-model_.analogFunctions.hypsmooth(0.9,1.0E-3)));
    if ((VSAT_t<1000))
    {
      std::cerr  << "Warning: VSAT(%f) = %e is less than 1K, setting it to 1K." << DevTemp << VSAT_t <<  std::endl; 
      VSAT_t = 1000;
    }
    VSAT1_t = (VSAT1_i*((1.0+model_.analogFunctions.hypsmooth((0.9-(AT_i*delTemp)),1.0E-3))-model_.analogFunctions.hypsmooth(0.9,1.0E-3)));
    if ((VSAT1_t<1000))
    {
      std::cerr  << "Warning: VSAT1(%f) = %e is less than 1K, setting it to 1K." << DevTemp << VSAT1_t <<  std::endl; 
      VSAT1_t = 1000;
    }
    if (((model_.ASYMMOD)!=0))
    {
      VSAT1R_t = (VSAT1R_i*((1.0+model_.analogFunctions.hypsmooth((0.9-(AT_i*delTemp)),1.0E-3))-model_.analogFunctions.hypsmooth(0.9,1.0E-3)));
      if ((VSAT1R_t<1000))
      {
        std::cerr  << "Warning: VSAT1R(%f) = %e is less than 1K, setting it to 1K." << DevTemp << VSAT1R_t <<  std::endl; 
        VSAT1R_t = 1000;
      }
    }
    VSATCV_t = (VSATCV_i*((1.0+model_.analogFunctions.hypsmooth((0.9-(AT_i*delTemp)),1.0E-3))-model_.analogFunctions.hypsmooth(0.9,1.0E-3)));
    if ((VSATCV_t<1000))
    {
      std::cerr  << "Warning: VSATCV(%f) = %e is less than 1K, setting it to 1K." << DevTemp << VSATCV_t <<  std::endl; 
      VSATCV_t = 1000;
    }
    MEXP_t = (model_.analogFunctions.hypsmooth(((MEXP_i*(1.0+((model_.TMEXP)*delTemp)))-2.0),1.0E-3)+2.0);
    if (((model_.ASYMMOD)!=0))
    {
      MEXPR_t = (model_.analogFunctions.hypsmooth(((MEXPR_i*(1.0+((model_.TMEXPR)*delTemp)))-2.0),1.0E-3)+2.0);
    }
    PTWG_t = (PTWG_i*model_.analogFunctions.hypsmooth(((1.0-(PTWGT_i*delTemp))-1.0E-6),1.0E-3));
    if (((model_.ASYMMOD)!=0))
    {
      PTWGR_t = (PTWGR_i*model_.analogFunctions.hypsmooth(((1.0-(PTWGT_i*delTemp))-1.0E-6),1.0E-3));
    }
    dvth_temp = ((KT1_i+((model_.KT1L)/Leff))*(TRatio-1.0));
    BETA0_t = (BETA0_i*pow(TRatio,IIT_i));
    SII0_t = (SII0_i*(model_.analogFunctions.hypsmooth(((1+(TII_i*(TRatio-1)))-0.01),1.0E-3)+0.01));
    K0_t = (K0_i+(K01_i*delTemp));
    K0SI_t = (K0SI_i+model_.analogFunctions.hypmax((K0SI1_i*delTemp),(-K0SI_i),1E-6));
    K1SI_t = (K1SI_i+model_.analogFunctions.hypmax((K1SI1_i*delTemp),(-K1SI_i),1E-6));
    K1_t = (K1_i+model_.analogFunctions.hypmax((K11_i*delTemp),(-K1_i),1E-6));
    K1SAT_t = (K1SAT_i+(K1SAT1_i*delTemp));
    A1_t = (A1_i+(A11_i*delTemp));
    A2_t = (A2_i+(A21_i*delTemp));
    AIGBINV_t = (AIGBINV_i+model_.analogFunctions.hypmax((AIGBINV1_i*delTemp),(-AIGBINV_i),1.0E-6));
    AIGBACC_t = (AIGBACC_i+model_.analogFunctions.hypmax((AIGBACC1_i*delTemp),(-AIGBACC_i),1.0E-6));
    AIGC_t = (AIGC_i+model_.analogFunctions.hypmax((AIGC1_i*delTemp),(-AIGC_i),1.0E-6));
    AIGS_t = (AIGS_i+model_.analogFunctions.hypmax((AIGS1_i*delTemp),(-AIGS_i),1.0E-6));
    AIGD_t = (AIGD_i+model_.analogFunctions.hypmax((AIGD1_i*delTemp),(-AIGD_i),1.0E-6));
    BGIDL_t = (BGIDL_i*model_.analogFunctions.hypsmooth(((1.0+(TGIDL_i*delTemp))-1.0E-6),1.0E-3));
    BGISL_t = (BGISL_i*model_.analogFunctions.hypsmooth(((1.0+(TGIDL_i*delTemp))-1.0E-6),1.0E-3));
    ALPHA0_t = (ALPHA0_i+model_.analogFunctions.hypmax(((model_.ALPHA01)*delTemp),(-ALPHA0_i),1.0E-6));
    ALPHA1_t = (ALPHA1_i+model_.analogFunctions.hypmax(((model_.ALPHA11)*delTemp),(-ALPHA1_i),1.0E-6));
    ALPHAII0_t = (ALPHAII0_i+model_.analogFunctions.hypmax(((model_.ALPHAII01)*delTemp),(-ALPHAII0_i),1.0E-6));
    ALPHAII1_t = (ALPHAII1_i+model_.analogFunctions.hypmax(((model_.ALPHAII11)*delTemp),(-ALPHAII1_i),1.0E-6));
    igtemp = model_.analogFunctions.lexp((IGT_i*model_.analogFunctions.lln(TRatio)));
    igsd_mult = (igsd_mult0*igtemp);
    if (((model_.BULKMOD)!=0))
    {
      CJS_t = ((model_.CJS)*model_.analogFunctions.hypsmooth(((1.0+((model_.TCJ)*delTemp))-1.0E-6),1.0E-3));
      CJD_t = ((model_.CJD)*model_.analogFunctions.hypsmooth(((1.0+((model_.TCJ)*delTemp))-1.0E-6),1.0E-3));
      CJSWS_t = ((model_.CJSWS)*model_.analogFunctions.hypsmooth(((1.0+((model_.TCJSW)*delTemp))-1.0E-6),1.0E-3));
      CJSWD_t = ((model_.CJSWD)*model_.analogFunctions.hypsmooth(((1.0+((model_.TCJSW)*delTemp))-1.0E-6),1.0E-3));
      CJSWGS_t = ((model_.CJSWGS)*model_.analogFunctions.hypsmooth(((1.0+((model_.TCJSWG)*delTemp))-1.0E-6),1.0E-3));
      CJSWGD_t = ((model_.CJSWGD)*model_.analogFunctions.hypsmooth(((1.0+((model_.TCJSWG)*delTemp))-1.0E-6),1.0E-3));
      PBS_t = (model_.analogFunctions.hypsmooth((((model_.PBS)-((model_.TPB)*delTemp))-0.01),1.0E-3)+0.01);
      PBD_t = (model_.analogFunctions.hypsmooth((((model_.PBD)-((model_.TPB)*delTemp))-0.01),1.0E-3)+0.01);
      PBSWS_t = (model_.analogFunctions.hypsmooth((((model_.PBSWS)-((model_.TPBSW)*delTemp))-0.01),1.0E-3)+0.01);
      PBSWD_t = (model_.analogFunctions.hypsmooth((((model_.PBSWD)-((model_.TPBSW)*delTemp))-0.01),1.0E-3)+0.01);
      PBSWGS_t = (model_.analogFunctions.hypsmooth((((model_.PBSWGS)-((model_.TPBSWG)*delTemp))-0.01),1.0E-3)+0.01);
      PBSWGD_t = (model_.analogFunctions.hypsmooth((((model_.PBSWGD)-((model_.TPBSWG)*delTemp))-0.01),1.0E-3)+0.01);
      T0 = ((Eg0/Vtm0)-(Eg/Vtm));
      T1 = model_.analogFunctions.lln<AdmsFadType>(TRatio);
      T3 = model_.analogFunctions.lexp<AdmsFadType>(((T0+((model_.XTIS)*T1))/(model_.NJS)));
      JSS_t = ((model_.JSS)*T3.val());
      JSWS_t = ((model_.JSWS)*T3.val());
      JSWGS_t = ((model_.JSWGS)*T3.val());
      T3 = model_.analogFunctions.lexp<AdmsFadType>(((T0+((model_.XTID)*T1))/(model_.NJD)));
      JSD_t = ((model_.JSD)*T3.val());
      JSWD_t = ((model_.JSWD)*T3.val());
      JSWGD_t = ((model_.JSWGD)*T3.val());
      JTSS_t = ((model_.JTSS)*model_.analogFunctions.lexp((((Eg0*(model_.XTSS))*(TRatio-1))/Vtm)));
      JTSD_t = ((model_.JTSD)*model_.analogFunctions.lexp((((Eg0*(model_.XTSD))*(TRatio-1))/Vtm)));
      JTSSWS_t = ((model_.JTSSWS)*model_.analogFunctions.lexp((((Eg0*(model_.XTSSWS))*(TRatio-1))/Vtm)));
      JTSSWD_t = ((model_.JTSSWD)*model_.analogFunctions.lexp((((Eg0*(model_.XTSSWD))*(TRatio-1))/Vtm)));
      JTSSWGS_t = (((model_.JTSSWGS)*(sqrt(((model_.JTWEFF)/Weff0))+1.0))*model_.analogFunctions.lexp((((Eg0*(model_.XTSSWGS))*(TRatio-1))/Vtm)));
      JTSSWGD_t = (((model_.JTSSWGD)*(sqrt(((model_.JTWEFF)/Weff0))+1.0))*model_.analogFunctions.lexp((((Eg0*(model_.XTSSWGD))*(TRatio-1))/Vtm)));
      NJTS_t = (model_.analogFunctions.hypsmooth((((model_.NJTS)*(1.0+((model_.TNJTS)*(TRatio-1.0))))-0.01),1.0E-3)+0.01);
      NJTSD_t = (model_.analogFunctions.hypsmooth((((model_.NJTSD)*(1.0+((model_.TNJTSD)*(TRatio-1.0))))-0.01),1.0E-3)+0.01);
      NJTSSW_t = (model_.analogFunctions.hypsmooth((((model_.NJTSSW)*(1.0+((model_.TNJTSSW)*(TRatio-1.0))))-0.01),1.0E-3)+0.01);
      NJTSSWD_t = (model_.analogFunctions.hypsmooth((((model_.NJTSSWD)*(1.0+((model_.TNJTSSWD)*(TRatio-1.0))))-0.01),1.0E-3)+0.01);
      NJTSSWG_t = (model_.analogFunctions.hypsmooth((((model_.NJTSSWG)*(1.0+((model_.TNJTSSWG)*(TRatio-1.0))))-0.01),1.0E-3)+0.01);
      NJTSSWGD_t = (model_.analogFunctions.hypsmooth((((model_.NJTSSWGD)*(1.0+((model_.TNJTSSWGD)*(TRatio-1.0))))-0.01),1.0E-3)+0.01);
    }
    beta0 = (((u0*cox)*Weff0)/Leff);
    if (((model_.NGATE)>0))
    {
      vfbsd = (devsign*(model_.analogFunctions.hypsmooth(((0.5*Eg)-(Vtm*model_.analogFunctions.lln(((model_.NGATE)/ni)))),1.0E-4)-((0.5*Eg)-(devsign*((0.5*Eg)-model_.analogFunctions.hypsmooth(((0.5*Eg)-(Vtm*model_.analogFunctions.lln(((model_.NSD)/ni)))),1.0E-4))))));
    }
    else
    {
      vfbsd = (devsign*(PHIG_i-(((model_.EASUB)+(0.5*Eg))-(devsign*((0.5*Eg)-model_.analogFunctions.hypsmooth(((0.5*Eg)-(Vtm*model_.analogFunctions.lln(((model_.NSD)/ni)))),1.0E-4))))));
    }
    phib = (Vtm*model_.analogFunctions.lln((nbody/ni)));
    vbi = (Vtm*model_.analogFunctions.lln(((nbody*(model_.NSD))/(ni*ni))));
    if ((NGATE_i>0))
    {
      deltaPhi = model_.analogFunctions.hypsmooth(((0.5*Eg)-(Vtm*model_.analogFunctions.lln((NGATE_i/ni)))),1.0E-4);
      if (((model_.GEOMOD)!=3))
      {
        vpoly0 = (((1.60219e-19*NGATE_i)*epssub)/((2.0*cox)*cox));
        cpoly = (1.0/(4.0*vpoly0));
      }
      else
      {
        T0 = ((R+(model_.EOT))/R);
        vpoly0 = (((((1.60219e-19*NGATE_i)*epssub)*T0.val())*T0.val())/((2.0*cox)*cox));
        cpoly = (1.0/(4.0*vpoly0));
      }
      kpoly = (1.0+((2.0*cpoly)*qbs));
    }
    else
    {
      if (((model_.DEVTYPE)==1))
      {
        deltaPhi = (devsign*(PHIG_i-((model_.EASUB))));
      }
      else
      {
        deltaPhi = (devsign*(PHIG_i-((model_.EASUB)+Eg)));
      }
      cpoly = 0.0;
      vpoly0 = 0.0;
      kpoly = 0.0;
    }
    if (((model_.GEOMOD)!=3))
    {
      r1 = ((2.0*epssub)/(cox*TFIN));
      g0max = 1.57079;
      g0min = 1e-37;
      Inv_r1pi = (1.0/(r1*3.14159265358979323846));
      if ((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0)))
      {
        r1_acc = ((2.0*epssub)/(cox_acc.val()*TFIN));
        Inv_r1pi_acc = (1.0/(r1_acc*3.14159265358979323846));
      }
    }
    else
    {
      g0max = 700;
      g0min = 1e-37;
    }
    if ((NGATE_i>0))
    {
      if (((model_.GEOMOD)!=3))
      {
        r2 = (((4.0*Vtm)*epssub)/(((1.60219e-19*TFIN)*TFIN)*NGATE_i));
      }
      else
      {
        r2 = ((((2.0*cpoly)*r1)*r1)*Vtm);
      }
    }
    else
    {
      r2 = 0.0;
    }
    eta_mu = (0.5*ETAMOB_t);
    eta_mu_cv = 0.5;
    if (((model_.DEVTYPE)!=1))
    {
      eta_mu = ((1.0/3.0)*ETAMOB_t);
      eta_mu_cv = (1.0/3.0);
    }
    if (((model_.BULKMOD)!=0))
    {
      Isbs = (((ASEJ*JSS_t)+(PSEJ*JSWS_t))+((Weff0*NFINtotal)*JSWGS_t));
      if ((Isbs>0.0))
      {
        Nvtms = (Vtm*(model_.NJS));
        XExpBVS = (model_.analogFunctions.lexp(((-(model_.BVS))/Nvtms))*(model_.XJBVS));
        T2 = std::max(((model_.IJTHSFWD)/Isbs),10.0);
        Tb = ((1.0+T2)-XExpBVS);
        VjsmFwd = (Nvtms*model_.analogFunctions.lln((0.5*(Tb.val()+sqrt(((Tb.val()*Tb.val())+(4*XExpBVS)))))));
        T0 = model_.analogFunctions.lexp<AdmsFadType>((VjsmFwd/Nvtms));
        IVjsmFwd = (Isbs*(((T0.val()-(XExpBVS/T0.val()))+XExpBVS)-1.0));
        SslpFwd = ((Isbs*(T0.val()+(XExpBVS/T0.val())))/Nvtms);
        T2 = (model_.analogFunctions.hypsmooth<AdmsFadType>((((model_.IJTHSREV)/Isbs)-10.0),1.0E-3)+10.0);
        VjsmRev = ((-(model_.BVS))-(Nvtms*model_.analogFunctions.lln(((T2.val()-1.0)/(model_.XJBVS)))));
        T1 = ((model_.XJBVS)*model_.analogFunctions.lexp<AdmsFadType>(((-((model_.BVS)+VjsmRev))/Nvtms)));
        IVjsmRev = (Isbs*(1.0+T1.val()));
        SslpRev = (((-Isbs)*T1.val())/Nvtms);
      }
      Isbd = (((ADEJ*JSD_t)+(PDEJ*JSWD_t))+((Weff0*NFINtotal)*JSWGD_t));
      if ((Isbd>0.0))
      {
        Nvtmd = (Vtm*(model_.NJD));
        XExpBVD = (model_.analogFunctions.lexp(((-(model_.BVD))/Nvtmd))*(model_.XJBVD));
        T2 = std::max(((model_.IJTHDFWD)/Isbd),10.0);
        Tb = ((1.0+T2)-XExpBVD);
        VjdmFwd = (Nvtmd*model_.analogFunctions.lln((0.5*(Tb.val()+sqrt(((Tb.val()*Tb.val())+(4*XExpBVD)))))));
        T0 = model_.analogFunctions.lexp<AdmsFadType>((VjdmFwd/Nvtmd));
        IVjdmFwd = (Isbd*(((T0.val()-(XExpBVD/T0.val()))+XExpBVD)-1.0));
        DslpFwd = ((Isbd*(T0.val()+(XExpBVD/T0.val())))/Nvtmd);
        T2 = (model_.analogFunctions.hypsmooth<AdmsFadType>((((model_.IJTHDREV)/Isbd)-10.0),1.0E-3)+10.0);
        VjdmRev = ((-(model_.BVD))-(Nvtmd*model_.analogFunctions.lln(((T2.val()-1.0)/(model_.XJBVD)))));
        T1 = ((model_.XJBVD)*model_.analogFunctions.lexp<AdmsFadType>(((-((model_.BVD)+VjdmRev))/Nvtmd)));
        IVjdmRev = (Isbd*(1.0+T1.val()));
        DslpRev = (((-Isbd)*T1.val())/Nvtmd);
      }
      Czbs = (CJS_t*ASEJ);
      Czbssw = (CJSWS_t*PSEJ);
      Czbsswg = ((CJSWGS_t*Weff0)*NFINtotal);
      Czbd = (CJD_t*ADEJ);
      Czbdsw = (CJSWD_t*PDEJ);
      Czbdswg = ((CJSWGD_t*Weff0)*NFINtotal);
    }
    T0 = ((Eg/Vtm)*(TRatio-1.0));
    T1 = (T0/NTGEN_i);
    igentemp = model_.analogFunctions.lexp(T1.val());
  }
  // End block CMGTempDepCalc
  if ((!initialized))
  {
    std::cerr  << "Warning: initial_step is not triggered at the first execution of this code.  As a result, bias-independent variables may not be initialized.  Check your simulator for Verilog-A language compatibility." <<  std::endl; 
  }
  else
  {
    vgs_noswap = (devsign*(probeVars[admsProbeID_V_g_si]));
    vds_noswap = (devsign*(probeVars[admsProbeID_V_di_si]));
    vgd_noswap = (devsign*(probeVars[admsProbeID_V_g_di]));
    ves_jct = (devsign*(probeVars[admsProbeID_V_e_si]));
    ved_jct = (devsign*(probeVars[admsProbeID_V_e_di]));
    vge = (devsign*(probeVars[admsProbeID_V_g_e]));
    sigvds = 1.0;
    if ((vds_noswap<0.0))
    {
      sigvds = (-1.0);
      vgs = (vgs_noswap-vds_noswap);
      vds = ((-1.0)*vds_noswap);
      vgd = (vgd_noswap+vds_noswap);
      ves = ved_jct;
    }
    else
    {
      vgs = vgs_noswap;
      vds = vds_noswap;
      vgd = vgd_noswap;
      ves = ves_jct;
    }
    vgsfb = (vgs-deltaPhi);
    etaiv = 0.0;
    Qes = 0.0;
    Qesj = 0.0;
    Qeg = 0.0;
    Qed = 0.0;
    Qedj = 0.0;
    vdsx = (sqrt(((vds*vds)+0.01))-0.1);
    if (((model_.BULKMOD)!=0))
    {
      vesx = (ves-(0.5*(vds-vdsx)));
      vesmax = (0.95*PHIBE_i);
      T2 = ((vesmax-vesx)-1.0E-3);
      veseff = (vesmax-(0.5*(T2+sqrt(((T2*T2)+(0.004*vesmax))))));
    }
    T0 = tanh(((0.6*vds_noswap)/Vtm));
    wf = (0.5+(0.5*T0));
    wr = (1.0-wf);
    if (((model_.ASYMMOD)!=0))
    {
      CDSCD_a = ((CDSCDR_i*wr)+(CDSCD_i*wf));
      ETA0_a = ((ETA0R_t*wr)+(ETA0_t*wf));
      PDIBL1_a = ((PDIBL1R_i*wr)+(PDIBL1_i*wf));
      MEXP_a = ((MEXPR_t*wr)+(MEXP_t*wf));
      PTWG_a = ((PTWGR_t*wr)+(PTWG_t*wf));
      VSAT1_a = ((VSAT1R_t*wr)+(VSAT1_t*wf));
      RSDR_a = ((RSDRR_t*wr)+(RSDR_t*wf));
      RDDR_a = ((RDDRR_t*wr)+(RDDR_t*wf));
    }
    else
    {
      CDSCD_a = CDSCD_i;
      ETA0_a = ETA0_t;
      PDIBL1_a = PDIBL1_i;
      MEXP_a = MEXP_t;
      PTWG_a = PTWG_t;
      VSAT1_a = VSAT1_t;
      RSDR_a = RSDR_t;
      RDDR_a = RDDR_t;
    }
    inv_MEXP = (1.0/MEXP_a);
    phist = ((0.4+phib)+PHIN_i);
    if (((model_.GEOMOD)!=3))
    {
      T1 = (((2*cox)*csi)/((2*csi)+cox));
    }
    else
    {
      T1 = cox;
    }
    cdsc = (Theta_SW*(CDSC_i+(CDSCD_a*vdsx)));
    nVtm = ((Vtm*ThetaSS)*(1.0+(((CIT_i/TRatio)+cdsc)/T1)));
    dvth_vtroll = (((-DVT0_i)*Theta_SCE)*(vbi-phist));
    dvth_dibl = ((((-ETA0_a)*Theta_DIBL)*vdsx)+((model_.DVTP0)*pow(vdsx,(model_.DVTP1))));
    dvth_rsce = ((K1RSCE_i*Theta_RSCE)*sqrt(phist));
    dvth_all = ((((dvth_vtroll+dvth_dibl)+dvth_rsce)+dvth_temp)+DVTSHIFT_i);
    vgsfb = (vgsfb-dvth_all);
    if (((model_.GEOMOD)!=3))
    {
      F1 = ((0.5*model_.analogFunctions.lln<AdmsFadType>((((2*epssub)*nVtm)/(1.60219e-19*Nc))))+F2);
      if (((model_.COREMOD)!=0))
      {
        vgsfb = (vgsfb-((((0.5*1.60219e-19)*nbody)*TFIN)/cox));
      }
      else
      {
        q0 = ((((5.0*nVtm)*(epssub/TFIN))+(2.0*Qbul))/cox);
      }
      if ((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0)))
      {
        F1_acc = ((0.5*model_.analogFunctions.lln((((2*epssub)*Vtm)/(1.60219e-19*Nc))))+F2);
      }
      cdop = 1.0;
    }
    else
    {
      q0 = ((2.0*nVtm)*r1);
      T0 = (((1.60219e-19*nbody)*R)/cox);
      vtdop = (((-nVtm)*model_.analogFunctions.lln<AdmsFadType>((nVtm/T0)))-(nVtm*model_.analogFunctions.lln<AdmsFadType>((1-model_.analogFunctions.lexp<AdmsFadType>(((-T0)/((2.0*r1)*nVtm)))))));
      cdop = ((2.0*r1)*model_.analogFunctions.lexp<AdmsFadType>(((-vtdop)/nVtm)));
      vt0 = ((((0.5*T0)+(((2.0*phib)*nVtm)/Vtm))-(nVtm*model_.analogFunctions.lln<AdmsFadType>(((0.5*T0)/nVtm))))+vtdop);
      if ((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0)))
      {
        q0_acc = ((2.0*Vtm)*r1_acc);
        T0 = (((1.60219e-19*ni)*R)/cox_acc);
        vtdop_acc = (((-Vtm)*model_.analogFunctions.lln<AdmsFadType>((Vtm/T0)))-(Vtm*model_.analogFunctions.lln<AdmsFadType>((1-model_.analogFunctions.lexp<AdmsFadType>(((-T0)/((2.0*r1_acc)*Vtm)))))));
        cdop_acc = ((2.0*r1_acc)*model_.analogFunctions.lexp<AdmsFadType>(((-vtdop_acc)/Vtm)));
        vt0_acc = (((0.5*T0)-(Vtm*model_.analogFunctions.lln<AdmsFadType>(((0.5*T0)/Vtm))))+vtdop_acc);
      }
    }
    if (((model_.GEOMOD)!=3))
    {
      T0 = (-(dvch_qm+(nVtm*model_.analogFunctions.lln<AdmsFadType>((((2.0*cox)*(model_.Imin))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN))))));
      T1 = ((vgsfb+T0)+(model_.DELVTRAND));
      vgsfbeff = (model_.analogFunctions.hypsmooth<AdmsFadType>(T1,1.0E-4)-T0);
    }
    else
    {
      T0 = (-(dvch_qm+(nVtm*model_.analogFunctions.lln<AdmsFadType>((((2.0*cox)*(model_.Imin))/((((beta0*nVtm)*1.60219e-19)*ni)*R))))));
      T1 = ((((vgsfb+(model_.DELVTRAND))+T0)+(0.5*Eg))+((phib*nVtm)/Vtm));
      vgsfbeff = ((model_.analogFunctions.hypsmooth<AdmsFadType>(T1,1.0E-4)-T0)-vt0);
    }
    if ((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0)))
    {
      T1 = ((((-vge)+deltaPhi)-(0.5*Eg))+(model_.DELVFBACC));
      if (((model_.GEOMOD)!=3))
      {
        vgsfbeff_acc = (model_.analogFunctions.hypsmooth<AdmsFadType>(T1,1.0E-4)-(0.5*Eg));
      }
      else
      {
        vgsfbeff_acc = (model_.analogFunctions.hypsmooth<AdmsFadType>(T1,1.0E-4)-vt0_acc);
      }
    }
    if (((model_.GEOMOD)!=3))
    {
      T14 = (2.0*nVtm);
      if (((model_.COREMOD)==0))
      {
        aab = (phibulk/(nVtm*nVtm));
        T0 = (phibulk*aab);
        T11 = (((r1*phibulk)/nVtm)+(r2*T0));
        T12 = model_.analogFunctions.lexp<AdmsFadType>((phibulk/(2.0*nVtm)));
        T13 = (T12*T12);
      }
    }
    if ((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0)))
    {
      if (((model_.GEOMOD)!=3))
      {
        F0 = ((vgsfbeff_acc/(2.0*Vtm))-F1_acc);
        expff = model_.analogFunctions.lexp<AdmsFadType>(F0);
        z1 = atan(expff);
        if ((F0>80.0))
        {
          T0 = F0;
        }
        else
        {
          T0 = model_.analogFunctions.lln<AdmsFadType>((1.0+expff));
        }
        z2 = atan(((2*T0)*Inv_r1pi_acc));
        g0 = min(z1,max(z2,1e-15));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        tang0 = tan(g0);
        lng0 = model_.analogFunctions.lln<AdmsFadType>(g0);
        secg0sq = ((tang0*tang0)+1.0);
        lncosg0 = ((-0.5)*model_.analogFunctions.lln<AdmsFadType>(secg0sq));
        inv_g0 = (1.0/g0);
        T0 = (g0*tang0);
        e0 = (((lng0-lncosg0)+(r1_acc*T0))-F0);
        e1 = ((inv_g0+((secg0sq*g0)*r1_acc))+(tang0*(1.0+r1_acc)));
        e2 = ((secg0sq*(1.0+(2.0*(r1_acc+(T0*r1_acc)))))-(inv_g0*inv_g0));
        e3 = (((((2.0*inv_g0)*inv_g0)*inv_g0)+((((2.0*g0)*secg0sq)*secg0sq)*r1_acc))+(((2.0*secg0sq)*tang0)*((1.0+(3.0*r1_acc))+((2.0*r1_acc)*T0))));
        g0 = (g0-((e0/e1)*((1.0+((e0*e2)/((2.0*e1)*e1)))+(((e0*e0)*(((3.0*e2)*e2)-(e1*e3)))/((((6.0*e1)*e1)*e1)*e1)))));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        tang0 = tan(g0);
        lng0 = model_.analogFunctions.lln<AdmsFadType>(g0);
        secg0sq = ((tang0*tang0)+1.0);
        lncosg0 = ((-0.5)*model_.analogFunctions.lln<AdmsFadType>(secg0sq));
        inv_g0 = (1.0/g0);
        T0 = (g0*tang0);
        e0 = (((lng0-lncosg0)+(r1_acc*T0))-F0);
        e1 = ((inv_g0+((secg0sq*g0)*r1_acc))+(tang0*(1.0+r1_acc)));
        e2 = ((secg0sq*(1.0+(2.0*(r1_acc+(T0*r1_acc)))))-(inv_g0*inv_g0));
        e3 = (((((2.0*inv_g0)*inv_g0)*inv_g0)+((((2.0*g0)*secg0sq)*secg0sq)*r1_acc))+(((2.0*secg0sq)*tang0)*((1.0+(3.0*r1_acc))+((2.0*r1_acc)*T0))));
        g0 = (g0-((e0/e1)*((1.0+((e0*e2)/((2.0*e1)*e1)))+(((e0*e0)*(((3.0*e2)*e2)-(e1*e3)))/((((6.0*e1)*e1)*e1)*e1)))));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        g0a = g0;
        tang0a = tan(g0a);
        qi_acc = (vgsfbeff_acc-((2.0*Vtm)*((model_.analogFunctions.lln<AdmsFadType>(g0a)+(0.5*model_.analogFunctions.lln<AdmsFadType>((1.0+(tang0a*tang0a)))))+F1_acc)));
      }
      else
      {
        F0 = (vgsfbeff_acc/(2.0*Vtm));
        if ((F0>80.0))
        {
          T0 = F0;
        }
        else
        {
          T0 = model_.analogFunctions.lln<AdmsFadType>((1+model_.analogFunctions.lexp<AdmsFadType>(F0)));
        }
        if ((F0<(-10)))
        {
          g0 = model_.analogFunctions.lexp<AdmsFadType>((2*F0));
        }
        else
        {
          if ((F0>10))
          {
            g0 = (F0/r1_acc);
          }
          else
          {
            g0 = ((sqrt((0.25+(((r1_acc*r1_acc)*T0)*T0)))-0.5)/(r1_acc*r1_acc));
          }
        }
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        if ((F0<(-50)))
        {
          g0a = g0;
        }
        else
        {
          inv_g0 = (1.0/g0);
          inv_g0sq = (inv_g0*inv_g0);
          T0 = (1+(cdop_acc*g0));
          T1 = (cdop_acc/T0);
          T2 = (T1*T1);
          e0 = ((((0.5*model_.analogFunctions.lln<AdmsFadType>(g0))+(0.5*model_.analogFunctions.lln<AdmsFadType>(T0)))+(r1_acc*g0))-F0);
          e1 = (((0.5*inv_g0)+(0.5*T1))+r1_acc);
          e2 = (((-0.5)*inv_g0sq)-(0.5*T2));
          e3 = ((inv_g0*inv_g0sq)+(T2*T1));
          g0 = (g0-((e0/e1)*((1.0+((e0*e2)/((2.0*e1)*e1)))+(((e0*e0)*(((3.0*e2)*e2)-(e1*e3)))/((((6.0*e1)*e1)*e1)*e1)))));
          if (((g0>g0max)||(g0<g0min)))
          {
            if ((g0>g0max))
            {
              g0 = g0max;
            }
            else
            {
              g0 = g0min;
            }
          }
          inv_g0 = (1.0/g0);
          inv_g0sq = (inv_g0*inv_g0);
          T0 = (1+(cdop_acc*g0));
          T1 = (cdop_acc/T0);
          T2 = (T1*T1);
          e0 = ((((0.5*model_.analogFunctions.lln<AdmsFadType>(g0))+(0.5*model_.analogFunctions.lln<AdmsFadType>(T0)))+(r1_acc*g0))-F0);
          e1 = (((0.5*inv_g0)+(0.5*T1))+r1_acc);
          e2 = (((-0.5)*inv_g0sq)-(0.5*T2));
          e3 = ((inv_g0*inv_g0sq)+(T2*T1));
          g0 = (g0-((e0/e1)*((1.0+((e0*e2)/((2.0*e1)*e1)))+(((e0*e0)*(((3.0*e2)*e2)-(e1*e3)))/((((6.0*e1)*e1)*e1)*e1)))));
          if (((g0>g0max)||(g0<g0min)))
          {
            if ((g0>g0max))
            {
              g0 = g0max;
            }
            else
            {
              g0 = g0min;
            }
          }
          g0a = g0;
        }
        qi_acc = (q0_acc*g0a);
      }
    }
    vch = (+dvch_qm);
    if (((model_.GEOMOD)!=3))
    {
      if (((model_.COREMOD)!=0))
      {
        F0 = (((vgsfbeff-vch)/(2.0*nVtm))-F1);
        expff = model_.analogFunctions.lexp<AdmsFadType>(F0);
        z1 = atan(expff);
        if ((F0>80.0))
        {
          T0 = F0;
        }
        else
        {
          T0 = model_.analogFunctions.lln<AdmsFadType>((1.0+expff));
        }
        z2 = atan(((2*T0)*Inv_r1pi));
        g0 = min(z1,max(z2,1e-15));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        tang0 = tan(g0);
        lng0 = model_.analogFunctions.lln<AdmsFadType>(g0);
        secg0sq = ((tang0*tang0)+1.0);
        lncosg0 = ((-0.5)*model_.analogFunctions.lln<AdmsFadType>(secg0sq));
        inv_g0 = (1.0/g0);
        T0 = (g0*tang0);
        T1 = (T0*T0);
        e0 = ((((lng0-lncosg0)+(r1*T0))+(r2*T1))-F0);
        e1 = ((inv_g0+((secg0sq*g0)*(r1+((2.0*r2)*T0))))+(tang0*(1.0+(r1+((2.0*r2)*T0)))));
        e2 = ((secg0sq*(1.0+(2.0*(((r1+(((r2*g0)*g0)*secg0sq))+(T0*r1))+((2.0*r2)*(T1+(2.0*T0)))))))+((inv_g0*inv_g0)*(((2.0*T1)*r2)-1.0)));
        e3 = (((((2.0*inv_g0)*inv_g0)*inv_g0)+((((2.0*g0)*secg0sq)*secg0sq)*(r1+((2.0*r2)*(3.0+(4.0*T0))))))+(((2.0*secg0sq)*tang0)*(((1.0+(3.0*r1))+((2.0*r1)*T0))+((2.0*r2)*((3.0*(1+(2.0*T0)))+(2.0*T1))))));
        g0 = (g0-((e0/e1)*((1.0+((e0*e2)/((2.0*e1)*e1)))+(((e0*e0)*(((3.0*e2)*e2)-(e1*e3)))/((((6.0*e1)*e1)*e1)*e1)))));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        tang0 = tan(g0);
        lng0 = model_.analogFunctions.lln<AdmsFadType>(g0);
        secg0sq = ((tang0*tang0)+1.0);
        lncosg0 = ((-0.5)*model_.analogFunctions.lln<AdmsFadType>(secg0sq));
        inv_g0 = (1.0/g0);
        T0 = (g0*tang0);
        T1 = (T0*T0);
        e0 = ((((lng0-lncosg0)+(r1*T0))+(r2*T1))-F0);
        e1 = ((inv_g0+((secg0sq*g0)*(r1+((2.0*r2)*T0))))+(tang0*(1.0+(r1+((2.0*r2)*T0)))));
        e2 = ((secg0sq*(1.0+(2.0*(((r1+(((r2*g0)*g0)*secg0sq))+(T0*r1))+((2.0*r2)*(T1+(2.0*T0)))))))+((inv_g0*inv_g0)*(((2.0*T1)*r2)-1.0)));
        e3 = (((((2.0*inv_g0)*inv_g0)*inv_g0)+((((2.0*g0)*secg0sq)*secg0sq)*(r1+((2.0*r2)*(3.0+(4.0*T0))))))+(((2.0*secg0sq)*tang0)*(((1.0+(3.0*r1))+((2.0*r1)*T0))+((2.0*r2)*((3.0*(1+(2.0*T0)))+(2.0*T1))))));
        g0 = (g0-((e0/e1)*((1.0+((e0*e2)/((2.0*e1)*e1)))+(((e0*e0)*(((3.0*e2)*e2)-(e1*e3)))/((((6.0*e1)*e1)*e1)*e1)))));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        g0s = g0;
        tang0s = tan(g0s);
        phis = (vch+((2.0*nVtm)*((model_.analogFunctions.lln<AdmsFadType>(g0s)+(0.5*model_.analogFunctions.lln<AdmsFadType>((1.0+(tang0s*tang0s)))))+F1)));
      }
      else
      {
        F0 = ((((vgsfbeff-phibulk)-vch)/T14)-F1);
        T0 = (phibulk*aab);
        T1 = (phibulk/T14);
        z1 = ((((2.0*r1)-1.0)*T1)+(r2*T0));
        guessA = ((2.0*r1)*T1);
        guessA = (guessA/(1.0-exp((-guessA))));
        z2 = (z1+log((sqrt(guessA)/r1)));
        if (((F0-z2)>((-0.3)/T14)))
        {
          if (((F0-z2)<20))
          {
            T2 = (((0.5/guessA)*log((1.0+exp((2.0*(F0-z2))))))+1.0);
          }
          else
          {
            T2 = (((0.5/guessA)*(2.0*(F0-z2)))+1.0);
          }
          T3 = pow(T2,2.0);
          guessB = (((guessA/r1)*sqrt((T3-1.0)))*exp((-T1)));
        }
        else
        {
          guessB = exp(((F0-z1)-T1));
        }
        g0 = guessB;
        if ((g0>1e-60))
        {
          g0 = (1.0/((1.0/g0)+(1.0/(0.5*3.14159265358979323846))));
          tang0 = tan(g0);
          cosg0 = cos(g0);
          secg0 = (1.0/cosg0);
          secg0sq = (secg0*secg0);
          lng0 = (-log((1.0/g0)));
          T0 = (1.0+(g0*tang0));
          T1 = (((g0*g0)*((T13*secg0sq)-1.0))+(aab*(phibulk-(T14*model_.analogFunctions.lln<AdmsFadType>(cosg0)))));
          T2 = sqrt(T1);
          T3 = ((((-2.0)*g0)+((aab*T14)*tang0))+((((2.0*T13)*g0)*secg0sq)*T0));
          T4 = (((-2.0)+(((((2.0*T13)*g0)*g0)*secg0sq)*secg0sq))+(secg0sq*((((2*T13)+(aab*T14))+(((8.0*T13)*g0)*tang0))+(((((4.0*T13)*g0)*g0)*tang0)*tang0))));
          T5 = (((2.0*tang0)*T4)+(4.0*(((((((3.0*T13)*g0)*secg0sq)*secg0sq)*T0)+tang0)+((((2.0*T13)*secg0sq)*T0)*tang0))));
          T7 = ((((lng0-model_.analogFunctions.lln<AdmsFadType>(cosg0))+(r2*T1))+(r1*T2))-F0);
          T8 = ((((1.0/g0)+tang0)+(r2*T3))+((r1*T3)/(2.0*T2)));
          T9 = ((((((-1.0)/(g0*g0))+secg0sq)-(((r1*T3)*T3)/(((4*T2)*T2)*T2)))+((r1*T4)/(2.0*T2)))+(r2*T4));
          TA = (((((2.0/((g0*g0)*g0))+((2.0*secg0sq)*tang0))+((((3.0*r1)*T3)/(4.0*pow(T2,3)))*(((T3*T3)/((2.0*T2)*T2))-T4)))+((r1*T5)/(2.0*T2)))+(r2*T5));
          g0 = (g0-((T7/T8)*((1.0+((T7*T9)/((2.0*T8)*T8)))+(((T7*T7)*(((3.0*T9)*T9)-(T8*TA)))/(6.0*pow(T8,4))))));
          tang0 = tan(g0);
          cosg0 = cos(g0);
          secg0 = (1.0/cosg0);
          secg0sq = (secg0*secg0);
          lng0 = (-log((1.0/g0)));
          T0 = (1.0+(g0*tang0));
          T1 = (((g0*g0)*((T13*secg0sq)-1.0))+(aab*(phibulk-(T14*model_.analogFunctions.lln<AdmsFadType>(cosg0)))));
          T2 = sqrt(T1);
          T3 = ((((-2.0)*g0)+((aab*T14)*tang0))+((((2.0*T13)*g0)*secg0sq)*T0));
          T4 = (((-2.0)+(((((2.0*T13)*g0)*g0)*secg0sq)*secg0sq))+(secg0sq*((((2*T13)+(aab*T14))+(((8.0*T13)*g0)*tang0))+(((((4.0*T13)*g0)*g0)*tang0)*tang0))));
          T5 = (((2.0*tang0)*T4)+(4.0*(((((((3.0*T13)*g0)*secg0sq)*secg0sq)*T0)+tang0)+((((2.0*T13)*secg0sq)*T0)*tang0))));
          T7 = ((((lng0-model_.analogFunctions.lln<AdmsFadType>(cosg0))+(r2*T1))+(r1*T2))-F0);
          T8 = ((((1.0/g0)+tang0)+(r2*T3))+((r1*T3)/(2.0*T2)));
          T9 = ((((((-1.0)/(g0*g0))+secg0sq)-(((r1*T3)*T3)/(((4*T2)*T2)*T2)))+((r1*T4)/(2.0*T2)))+(r2*T4));
          TA = (((((2.0/((g0*g0)*g0))+((2.0*secg0sq)*tang0))+((((3.0*r1)*T3)/(4.0*pow(T2,3)))*(((T3*T3)/((2.0*T2)*T2))-T4)))+((r1*T5)/(2.0*T2)))+(r2*T5));
          g0 = (g0-((T7/T8)*((1.0+((T7*T9)/((2.0*T8)*T8)))+(((T7*T7)*(((3.0*T9)*T9)-(T8*TA)))/(6.0*pow(T8,4))))));
          lng0 = (-log((1.0/g0)));
        }
        else
        {
          if ((g0>=1e-300))
          {
            lng0 = (-log((1.0/g0)));
          }
          else
          {
            if (((F0-z2)>((-0.3)/T14)))
            {
              lng0 = ((-log((1.0/((guessA/r1)*sqrt((T3-1.0))))))-T1);
            }
            else
            {
              lng0 = ((F0-z1)-T1);
            }
          }
        }
        phis = ((vch+(T14*((lng0-model_.analogFunctions.lln<AdmsFadType>(cos(g0)))+F1)))+phibulk);
      }
    }
    else
    {
      F0 = ((vgsfbeff-vch)/(2.0*nVtm));
      if ((F0<(-10)))
      {
        g0 = model_.analogFunctions.lexp<AdmsFadType>((2.0*F0));
      }
      else
      {
        if ((F0>10))
        {
          g0 = (F0/r1);
        }
        else
        {
          T0 = model_.analogFunctions.lln<AdmsFadType>((1+model_.analogFunctions.lexp<AdmsFadType>(F0)));
          g0 = ((sqrt((0.25+(((r1*r1)*T0)*T0)))-0.5)/(r1*r1));
        }
      }
      if (((g0>g0max)||(g0<g0min)))
      {
        if ((g0>g0max))
        {
          g0 = g0max;
        }
        else
        {
          g0 = g0min;
        }
      }
      if ((F0<(-50)))
      {
        g0s = g0;
      }
      else
      {
        inv_g0 = (1.0/g0);
        inv_g0sq = (inv_g0*inv_g0);
        T0 = (1+(cdop*g0));
        T1 = (cdop/T0);
        T2 = (T1*T1);
        e0 = (((((0.5*model_.analogFunctions.lln<AdmsFadType>(g0))+(0.5*model_.analogFunctions.lln<AdmsFadType>(T0)))+(r1*g0))+((r2*g0)*g0))-F0);
        e1 = ((((0.5*inv_g0)+(0.5*T1))+r1)+((2*r2)*g0));
        e2 = ((((-0.5)*inv_g0sq)-(0.5*T2))+(2*r2));
        e3 = ((inv_g0*inv_g0sq)+(T2*T1));
        g0 = (g0-((e0/e1)*((1.0+((e0*e2)/((2.0*e1)*e1)))+(((e0*e0)*(((3.0*e2)*e2)-(e1*e3)))/((((6.0*e1)*e1)*e1)*e1)))));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        inv_g0 = (1.0/g0);
        inv_g0sq = (inv_g0*inv_g0);
        T0 = (1+(cdop*g0));
        T1 = (cdop/T0);
        T2 = (T1*T1);
        e0 = (((((0.5*model_.analogFunctions.lln<AdmsFadType>(g0))+(0.5*model_.analogFunctions.lln<AdmsFadType>(T0)))+(r1*g0))+((r2*g0)*g0))-F0);
        e1 = ((((0.5*inv_g0)+(0.5*T1))+r1)+((2*r2)*g0));
        e2 = ((((-0.5)*inv_g0sq)-(0.5*T2))+(2.0*r2));
        e3 = ((inv_g0*inv_g0sq)+(T2*T1));
        g0 = (g0-((e0/e1)*((1.0+((e0*e2)/((2.0*e1)*e1)))+(((e0*e0)*(((3.0*e2)*e2)-(e1*e3)))/((((6.0*e1)*e1)*e1)*e1)))));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        g0s = g0;
      }
      vpolys = ((((2.0*nVtm)*r2)*g0s)*g0s);
      phis = ((vgsfbeff-(((2.0*nVtm)*r1)*g0s))-vpolys);
      qis = (q0*g0s);
    }
    if (((model_.GEOMOD)!=3))
    {
      if ((NGATE_i>0))
      {
        T0 = (sqrt((1.0+((vgsfbeff-phis)/vpoly0)))-1.0);
        vpolys = ((vpoly0*T0)*T0);
      }
      else
      {
        vpolys = 0;
      }
      if (((model_.COREMOD)!=0))
      {
        qis = ((vgsfbeff-phis)-vpolys);
      }
      else
      {
        qis = (((vgsfbeff-phis)-qbs)-vpolys);
      }
    }
    Eeffs = (EeffFactor*(qbs+(eta_mu*qis)));
    qb0 = (1.0e-2/cox);
    T2 = pow((0.5*(1.0+fabs((qis/qb0)))),UCS_t);
    if (((model_.BULKMOD)!=0))
    {
      T3 = (((UA_t+(UC_t*veseff))*pow(fabs(Eeffs),EU_i))+(UD_t/T2));
    }
    else
    {
      T3 = ((UA_t*pow(fabs(Eeffs),EU_i))+(UD_t/T2));
    }
    Dmobs = (1.0+T3);
    Dmobs = (Dmobs/(model_.U0MULT));
    if (((model_.RDSMOD)!=0))
    {
      Rdss = 0.0;
    }
    else
    {
      T4 = (1.0+(PRWGS_i*qis));
      T1 = (1.0/T4);
      T0 = (0.5*(T1+sqrt(((T1*T1)+0.01))));
      Rdss = ((((RDSWMIN_i+(RDSW_i*T0))*WeffWRFactor)*NFINtotal)*rdstemp);
    }
    Esat = (((2*VSAT_t)/u0)*Dmobs);
    EsatL = (Esat*Leff);
    T6 = (KSATIV_i*((vgsfbeff-phis)+(2*Vtm)));
    if ((Rdss==0))
    {
      Vdsat = ((EsatL*T6)/(EsatL+T6));
    }
    else
    {
      WVCox = ((Weff0*VSAT_t)*cox);
      T0 = (WVCox*Rdss);
      Ta = (2*T0);
      Tb = ((T6+EsatL)+((3*T6)*T0));
      Tc = (T6*(EsatL+((2*T6)*T0)));
      Vdsat = ((Tb-sqrt(((Tb*Tb)-((2*Ta)*Tc))))/Ta);
    }
    Vdsat = (model_.analogFunctions.hypsmooth<AdmsFadType>((Vdsat-1.0E-3),1.0E-5)+1.0E-3);
    T7 = pow((vds/Vdsat),MEXP_a);
    T8 = pow((1.0+T7),inv_MEXP);
    Vdseff = (vds/T8);
    if ((Vdseff>vds))
    {
      Vdseff = vds;
    }
    vch = (Vdseff+dvch_qm);
    if (((model_.GEOMOD)!=3))
    {
      if (((model_.COREMOD)!=0))
      {
        F0 = (((vgsfbeff-vch)/(2.0*nVtm))-F1);
        expff = model_.analogFunctions.lexp<AdmsFadType>(F0);
        z1 = atan(expff);
        if ((F0>80.0))
        {
          T0 = F0;
        }
        else
        {
          T0 = model_.analogFunctions.lln<AdmsFadType>((1.0+expff));
        }
        z2 = atan(((2*T0)*Inv_r1pi));
        g0 = min(z1,max(z2,1e-15));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        tang0 = tan(g0);
        lng0 = model_.analogFunctions.lln<AdmsFadType>(g0);
        secg0sq = ((tang0*tang0)+1.0);
        lncosg0 = ((-0.5)*model_.analogFunctions.lln<AdmsFadType>(secg0sq));
        inv_g0 = (1.0/g0);
        T0 = (g0*tang0);
        T1 = (T0*T0);
        e0 = ((((lng0-lncosg0)+(r1*T0))+(r2*T1))-F0);
        e1 = ((inv_g0+((secg0sq*g0)*(r1+((2.0*r2)*T0))))+(tang0*(1.0+(r1+((2.0*r2)*T0)))));
        e2 = ((secg0sq*(1.0+(2.0*(((r1+(((r2*g0)*g0)*secg0sq))+(T0*r1))+((2.0*r2)*(T1+(2.0*T0)))))))+((inv_g0*inv_g0)*(((2.0*T1)*r2)-1.0)));
        e3 = (((((2.0*inv_g0)*inv_g0)*inv_g0)+((((2.0*g0)*secg0sq)*secg0sq)*(r1+((2.0*r2)*(3.0+(4.0*T0))))))+(((2.0*secg0sq)*tang0)*(((1.0+(3.0*r1))+((2.0*r1)*T0))+((2.0*r2)*((3.0*(1+(2.0*T0)))+(2.0*T1))))));
        g0 = (g0-((e0/e1)*((1.0+((e0*e2)/((2.0*e1)*e1)))+(((e0*e0)*(((3.0*e2)*e2)-(e1*e3)))/((((6.0*e1)*e1)*e1)*e1)))));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        tang0 = tan(g0);
        lng0 = model_.analogFunctions.lln<AdmsFadType>(g0);
        secg0sq = ((tang0*tang0)+1.0);
        lncosg0 = ((-0.5)*model_.analogFunctions.lln<AdmsFadType>(secg0sq));
        inv_g0 = (1.0/g0);
        T0 = (g0*tang0);
        T1 = (T0*T0);
        e0 = ((((lng0-lncosg0)+(r1*T0))+(r2*T1))-F0);
        e1 = ((inv_g0+((secg0sq*g0)*(r1+((2.0*r2)*T0))))+(tang0*(1.0+(r1+((2.0*r2)*T0)))));
        e2 = ((secg0sq*(1.0+(2.0*(((r1+(((r2*g0)*g0)*secg0sq))+(T0*r1))+((2.0*r2)*(T1+(2.0*T0)))))))+((inv_g0*inv_g0)*(((2.0*T1)*r2)-1.0)));
        e3 = (((((2.0*inv_g0)*inv_g0)*inv_g0)+((((2.0*g0)*secg0sq)*secg0sq)*(r1+((2.0*r2)*(3.0+(4.0*T0))))))+(((2.0*secg0sq)*tang0)*(((1.0+(3.0*r1))+((2.0*r1)*T0))+((2.0*r2)*((3.0*(1+(2.0*T0)))+(2.0*T1))))));
        g0 = (g0-((e0/e1)*((1.0+((e0*e2)/((2.0*e1)*e1)))+(((e0*e0)*(((3.0*e2)*e2)-(e1*e3)))/((((6.0*e1)*e1)*e1)*e1)))));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        g0d = g0;
        tang0d = tan(g0d);
        phid = (vch+((2.0*nVtm)*((model_.analogFunctions.lln<AdmsFadType>(g0d)+(0.5*model_.analogFunctions.lln<AdmsFadType>((1.0+(tang0d*tang0d)))))+F1)));
      }
      else
      {
        F0 = ((((vgsfbeff-phibulk)-vch)/T14)-F1);
        T0 = (phibulk*aab);
        T1 = (phibulk/T14);
        z1 = ((((2.0*r1)-1.0)*T1)+(r2*T0));
        guessA = ((2.0*r1)*T1);
        guessA = (guessA/(1.0-exp((-guessA))));
        z2 = (z1+log((sqrt(guessA)/r1)));
        if (((F0-z2)>((-0.3)/T14)))
        {
          if (((F0-z2)<20))
          {
            T2 = (((0.5/guessA)*log((1.0+exp((2.0*(F0-z2))))))+1.0);
          }
          else
          {
            T2 = (((0.5/guessA)*(2.0*(F0-z2)))+1.0);
          }
          T3 = pow(T2,2.0);
          guessB = (((guessA/r1)*sqrt((T3-1.0)))*exp((-T1)));
        }
        else
        {
          guessB = exp(((F0-z1)-T1));
        }
        g0 = guessB;
        if ((g0>1e-60))
        {
          g0 = (1.0/((1.0/g0)+(1.0/(0.5*3.14159265358979323846))));
          tang0 = tan(g0);
          cosg0 = cos(g0);
          secg0 = (1.0/cosg0);
          secg0sq = (secg0*secg0);
          lng0 = (-log((1.0/g0)));
          T0 = (1.0+(g0*tang0));
          T1 = (((g0*g0)*((T13*secg0sq)-1.0))+(aab*(phibulk-(T14*model_.analogFunctions.lln<AdmsFadType>(cosg0)))));
          T2 = sqrt(T1);
          T3 = ((((-2.0)*g0)+((aab*T14)*tang0))+((((2.0*T13)*g0)*secg0sq)*T0));
          T4 = (((-2.0)+(((((2.0*T13)*g0)*g0)*secg0sq)*secg0sq))+(secg0sq*((((2*T13)+(aab*T14))+(((8.0*T13)*g0)*tang0))+(((((4.0*T13)*g0)*g0)*tang0)*tang0))));
          T5 = (((2.0*tang0)*T4)+(4.0*(((((((3.0*T13)*g0)*secg0sq)*secg0sq)*T0)+tang0)+((((2.0*T13)*secg0sq)*T0)*tang0))));
          T7 = ((((lng0-model_.analogFunctions.lln<AdmsFadType>(cosg0))+(r2*T1))+(r1*T2))-F0);
          T8 = ((((1.0/g0)+tang0)+(r2*T3))+((r1*T3)/(2.0*T2)));
          T9 = ((((((-1.0)/(g0*g0))+secg0sq)-(((r1*T3)*T3)/(((4*T2)*T2)*T2)))+((r1*T4)/(2.0*T2)))+(r2*T4));
          TA = (((((2.0/((g0*g0)*g0))+((2.0*secg0sq)*tang0))+((((3.0*r1)*T3)/(4.0*pow(T2,3)))*(((T3*T3)/((2.0*T2)*T2))-T4)))+((r1*T5)/(2.0*T2)))+(r2*T5));
          g0 = (g0-((T7/T8)*((1.0+((T7*T9)/((2.0*T8)*T8)))+(((T7*T7)*(((3.0*T9)*T9)-(T8*TA)))/(6.0*pow(T8,4))))));
          tang0 = tan(g0);
          cosg0 = cos(g0);
          secg0 = (1.0/cosg0);
          secg0sq = (secg0*secg0);
          lng0 = (-log((1.0/g0)));
          T0 = (1.0+(g0*tang0));
          T1 = (((g0*g0)*((T13*secg0sq)-1.0))+(aab*(phibulk-(T14*model_.analogFunctions.lln<AdmsFadType>(cosg0)))));
          T2 = sqrt(T1);
          T3 = ((((-2.0)*g0)+((aab*T14)*tang0))+((((2.0*T13)*g0)*secg0sq)*T0));
          T4 = (((-2.0)+(((((2.0*T13)*g0)*g0)*secg0sq)*secg0sq))+(secg0sq*((((2*T13)+(aab*T14))+(((8.0*T13)*g0)*tang0))+(((((4.0*T13)*g0)*g0)*tang0)*tang0))));
          T5 = (((2.0*tang0)*T4)+(4.0*(((((((3.0*T13)*g0)*secg0sq)*secg0sq)*T0)+tang0)+((((2.0*T13)*secg0sq)*T0)*tang0))));
          T7 = ((((lng0-model_.analogFunctions.lln<AdmsFadType>(cosg0))+(r2*T1))+(r1*T2))-F0);
          T8 = ((((1.0/g0)+tang0)+(r2*T3))+((r1*T3)/(2.0*T2)));
          T9 = ((((((-1.0)/(g0*g0))+secg0sq)-(((r1*T3)*T3)/(((4*T2)*T2)*T2)))+((r1*T4)/(2.0*T2)))+(r2*T4));
          TA = (((((2.0/((g0*g0)*g0))+((2.0*secg0sq)*tang0))+((((3.0*r1)*T3)/(4.0*pow(T2,3)))*(((T3*T3)/((2.0*T2)*T2))-T4)))+((r1*T5)/(2.0*T2)))+(r2*T5));
          g0 = (g0-((T7/T8)*((1.0+((T7*T9)/((2.0*T8)*T8)))+(((T7*T7)*(((3.0*T9)*T9)-(T8*TA)))/(6.0*pow(T8,4))))));
          lng0 = (-log((1.0/g0)));
        }
        else
        {
          if ((g0>=1e-300))
          {
            lng0 = (-log((1.0/g0)));
          }
          else
          {
            if (((F0-z2)>((-0.3)/T14)))
            {
              lng0 = ((-log((1.0/((guessA/r1)*sqrt((T3-1.0))))))-T1);
            }
            else
            {
              lng0 = ((F0-z1)-T1);
            }
          }
        }
        phid = ((vch+(T14*((lng0-model_.analogFunctions.lln<AdmsFadType>(cos(g0)))+F1)))+phibulk);
      }
    }
    else
    {
      F0 = ((vgsfbeff-vch)/(2.0*nVtm));
      if ((F0<(-10)))
      {
        g0 = model_.analogFunctions.lexp<AdmsFadType>((2.0*F0));
      }
      else
      {
        if ((F0>10))
        {
          g0 = (F0/r1);
        }
        else
        {
          T0 = model_.analogFunctions.lln<AdmsFadType>((1.0+model_.analogFunctions.lexp<AdmsFadType>(F0)));
          g0 = ((sqrt((0.25+(((r1*r1)*T0)*T0)))-0.5)/(r1*r1));
        }
      }
      if (((g0>g0max)||(g0<g0min)))
      {
        if ((g0>g0max))
        {
          g0 = g0max;
        }
        else
        {
          g0 = g0min;
        }
      }
      if ((F0<(-50)))
      {
        g0d = g0;
      }
      else
      {
        inv_g0 = (1.0/g0);
        inv_g0sq = (inv_g0*inv_g0);
        T0 = (1+(cdop*g0));
        T1 = (cdop/T0);
        T2 = (T1*T1);
        e0 = (((((0.5*model_.analogFunctions.lln<AdmsFadType>(g0))+(0.5*model_.analogFunctions.lln<AdmsFadType>(T0)))+(r1*g0))+((r2*g0)*g0))-F0);
        e1 = ((((0.5*inv_g0)+(0.5*T1))+r1)+((2*r2)*g0));
        e2 = ((((-0.5)*inv_g0sq)-(0.5*T2))+(2*r2));
        e3 = ((inv_g0*inv_g0sq)+(T2*T1));
        g0 = (g0-((e0/e1)*((1.0+((e0*e2)/((2.0*e1)*e1)))+(((e0*e0)*(((3.0*e2)*e2)-(e1*e3)))/((((6.0*e1)*e1)*e1)*e1)))));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        inv_g0 = (1.0/g0);
        inv_g0sq = (inv_g0*inv_g0);
        T0 = (1+(cdop*g0));
        T1 = (cdop/T0);
        T2 = (T1*T1);
        e0 = (((((0.5*model_.analogFunctions.lln<AdmsFadType>(g0))+(0.5*model_.analogFunctions.lln<AdmsFadType>(T0)))+(r1*g0))+((r2*g0)*g0))-F0);
        e1 = ((((0.5*inv_g0)+(0.5*T1))+r1)+((2*r2)*g0));
        e2 = ((((-0.5)*inv_g0sq)-(0.5*T2))+(2*r2));
        e3 = ((inv_g0*inv_g0sq)+(T2*T1));
        g0 = (g0-((e0/e1)*((1.0+((e0*e2)/((2.0*e1)*e1)))+(((e0*e0)*(((3.0*e2)*e2)-(e1*e3)))/((((6.0*e1)*e1)*e1)*e1)))));
        if (((g0>g0max)||(g0<g0min)))
        {
          if ((g0>g0max))
          {
            g0 = g0max;
          }
          else
          {
            g0 = g0min;
          }
        }
        g0d = g0;
      }
      vpolyd = ((((2*nVtm)*r2)*g0d)*g0d);
      phid = ((vgsfbeff-(((2*nVtm)*r1)*g0d))-vpolyd);
      qid = (q0*g0d);
    }
    qba = qbs;
    if (((model_.GEOMOD)!=3))
    {
      if ((NGATE_i>0))
      {
        T0 = (sqrt((1+((vgsfbeff-phid)/vpoly0)))-1);
        vpolyd = ((vpoly0*T0)*T0);
      }
      else
      {
        vpolyd = 0;
      }
      if (((model_.COREMOD)!=0))
      {
        qid = ((vgsfbeff-phid)-vpolyd);
      }
      else
      {
        qid = (((vgsfbeff-phid)-qbs)-vpolyd);
      }
    }
    qia = (0.5*(qis+qid));
    dqi = (qis-qid);
    T0 = (pow(Vdseff,2.0)/6.25e-4);
    if (((model_.CHARGEWF)!=0))
    {
      qia2 = ((0.5*(qis+qid))+((((model_.CHARGEWF)*(1.0-model_.analogFunctions.lexp<AdmsFadType>((-T0))))*0.5)*dqi));
    }
    else
    {
      qia2 = (0.5*(qis+qid));
    }
    if (((QMTCENIV_i>0.0)||(QMTCENCV_i>0.0)))
    {
      T4 = ((qia+((model_.ETAQM)*qba))/(model_.QM0));
      T5 = (1.0+pow(T4,(model_.PQM)));
      Tcen = (Tcen0/T5);
      if ( (model_.GEOMOD) == (0))
      {
        Weff = Weff0;
        WeffCV = WeffCV0;
      }
      else
        if ( (model_.GEOMOD) == (1))
        {
          Weff = (Weff0-((4.0*QMTCENIV_i)*Tcen));
          WeffCV = (WeffCV0-((4.0*QMTCENCV_i)*Tcen));
        }
        else
          if ( (model_.GEOMOD) == (2))
          {
            Weff = (Weff0-((8.0*QMTCENIV_i)*Tcen));
            WeffCV = (WeffCV0-((8.0*QMTCENCV_i)*Tcen));
          }
          else
            if ( (model_.GEOMOD) == (3))
            {
              Weff = (Weff0-(((2.0*3.14159265358979323846)*QMTCENIV_i)*Tcen));
              WeffCV = (WeffCV0-(((2.0*3.14159265358979323846)*QMTCENCV_i)*Tcen));
            }
            else
            {
              // no default
            }
      if (((model_.GEOMOD)!=3))
      {
        coxeff = ((3.9*8.8542e-12)/((((model_.TOXP)*3.9)/(model_.EPSROX))+((Tcen*QMTCENCV_i)/epsratio)));
      }
      else
      {
        coxeff = ((3.9*8.8542e-12)/(R*((model_.analogFunctions.lln<AdmsFadType>((R/(R-(Tcen*QMTCENCV_i))))/epsratio)+((model_.analogFunctions.lln<AdmsFadType>((1+((model_.TOXP)/R)))*3.9)/(model_.EPSROX)))));
      }
    }
    else
    {
      Weff = Weff0;
      WeffCV = WeffCV0;
      coxeff = cox;
    }
    if (((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0))&&(QMTCENCVA_i!=0)))
    {
      T6 = (1.0+pow((qi_acc/(model_.QM0ACC)),(model_.PQMACC)));
      Tcen = (Tcen0/T6);
      if (((model_.GEOMOD)!=3))
      {
        cox_acc = ((3.9*8.8542e-12)/((((model_.TOXP)*3.9)/(model_.EPSROX))+((Tcen*QMTCENCVA_i)/epsratio)));
      }
      else
      {
        cox_acc = ((3.9*8.8542e-12)/(R*((model_.analogFunctions.lln<AdmsFadType>((R/(R-(Tcen*QMTCENCVA_i))))/epsratio)+((model_.analogFunctions.lln<AdmsFadType>((1+((model_.TOXP)/R)))*3.9)/(model_.EPSROX)))));
      }
    }
    beta = (((u0*cox)*Weff)/Leff);
    Eeffm = (EeffFactor*(qba+(eta_mu*qia2)));
    T2 = pow((0.5*(1.0+fabs((qia2/qb0)))),UCS_t);
    if (((model_.BULKMOD)!=0))
    {
      T3 = (((UA_t+(UC_t*veseff))*pow(fabs(Eeffm),EU_i))+(UD_t/T2));
    }
    else
    {
      T3 = ((UA_t*pow(fabs(Eeffm),EU_i))+(UD_t/T2));
    }
    Dmob = (1.0+T3);
    Dmob = (Dmob/(model_.U0MULT));
    ueff = (u0/Dmob);
    Eeffm_cv = (EeffFactor*(qba+(eta_mu_cv*qia2)));
    T3 = ((UA_t*pow(fabs(Eeffm_cv),EU_i))+(UD_t/T2));
    Dmob_cv = (1.0+T3);
    Dmob_cv = (Dmob_cv/(model_.U0MULT));
    tmp = (((DROUT_i*Leff)/scl)+1.0e-6);
    if ((tmp<40.0))
    {
      DIBLfactor = (((0.5*PDIBL1_a)/(cosh(tmp)-1.0))+PDIBL2_i);
    }
    else
    {
      DIBLfactor = ((PDIBL1_a*exp((-tmp)))+PDIBL2_i);
    }
    if ((PVAG_i>0))
    {
      PVAGfactor = (1.0+((PVAG_i*qia)/EsatL));
    }
    else
    {
      PVAGfactor = (1.0/(1.0-((PVAG_i*qia)/EsatL)));
    }
    if ((Vdseff>vds))
    {
      Vdseff = vds;
    }
    diffVds = (vds-Vdseff);
    Vgst2Vtm = (qia+(2.0*Vtm));
    if ((DIBLfactor>0))
    {
      T1 = Vgst2Vtm;
      T3 = (T1/(Vdsat+T1));
      VaDIBL = (((T1/DIBLfactor)*T3)*PVAGfactor);
      Moc = (1.0+(diffVds/VaDIBL));
    }
    else
    {
      Moc = 1.0;
    }
    if ((PCLM_i>0))
    {
      if ((PCLMG_i<0.0))
      {
        T1 = (1.0/((1.0/PCLM_i)-(PCLMG_i*qia)));
      }
      else
      {
        T1 = (PCLM_i+(PCLMG_i*qia));
      }
      Mclm = (1.0+(T1*model_.analogFunctions.lln<AdmsFadType>((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL))))));
    }
    else
    {
      Mclm = 1.0;
    }
    Moc = (Moc*Mclm);
    Esat1 = ((2.0*VSAT1_a)/ueff);
    Esat1L = (Esat1*Leff);
    T0 = model_.analogFunctions.lexp<AdmsFadType>((PSAT_i*model_.analogFunctions.lln<AdmsFadType>((dqi/Esat1L))));
    Ta = (1.0+model_.analogFunctions.lexp<AdmsFadType>(((1.0/PSAT_i)*model_.analogFunctions.lln<AdmsFadType>(DELTAVSAT_i))));
    Dvsat = ((1.0+model_.analogFunctions.lexp<AdmsFadType>(((1.0/PSAT_i)*model_.analogFunctions.lln<AdmsFadType>((DELTAVSAT_i+T0)))))/Ta);
    Dvsat = (Dvsat+((((0.5*PTWG_a)*qia)*dqi)*dqi));
    T0 = (A1_t+(A2_t/(qia+(2.0*nVtm))));
    T1 = ((T0*dqi)*dqi);
    T2 = ((T1+1.0)-0.001);
    T3 = ((-1.0)+(0.5*(T2+sqrt(((T2*T2)+0.004)))));
    Nsat = (0.5*(1.0+sqrt((1.0+T3))));
    Dvsat = (Dvsat*Nsat);
    if ((K0_t!=0))
    {
      T1 = (K0_t/((K0SI_t*qia)+(2.0*nVtm)));
      Mnud = model_.analogFunctions.lexp<AdmsFadType>((-T1));
    }
    else
    {
      Mnud = 1.0;
    }
    if (((model_.BULKMOD)!=0))
    {
      T0 = model_.analogFunctions.hypsmooth<AdmsFadType>((K1_t+(K1SAT_t*vdsx)),1.0E-6);
      T1 = (T0/((K1SI_t*qia)+(2.0*nVtm)));
      T3 = (sqrt((PHIBE_i-veseff))-sqrt(PHIBE_i));
      Mob = model_.analogFunctions.lexp<AdmsFadType>(((-T1)*T3));
    }
    else
    {
      Mob = 1.0;
    }
    EsatCV = (((2.0*VSATCV_t)*Dmob_cv)/u0);
    EsatCVL = (EsatCV*LeffCV);
    T0 = model_.analogFunctions.lexp<AdmsFadType>((PSATCV_i*model_.analogFunctions.lln<AdmsFadType>((dqi/EsatCVL))));
    Ta = (1.0+model_.analogFunctions.lexp<AdmsFadType>(((1.0/PSATCV_i)*model_.analogFunctions.lln<AdmsFadType>(DELTAVSATCV_i))));
    DvsatCV = ((1.0+model_.analogFunctions.lexp<AdmsFadType>(((1.0/PSATCV_i)*model_.analogFunctions.lln<AdmsFadType>((DELTAVSATCV_i+T0)))))/Ta);
    if ((PCLMCV_i!=0))
    {
      MclmCV = (1.0+(PCLMCV_i*model_.analogFunctions.lln<AdmsFadType>((1.0+(((vds-Vdseff)/PCLMCV_i)/(Vdsat+EsatCVL))))));
    }
    else
    {
      MclmCV = 1.0;
    }
    if (((model_.GEOMOD)!=3))
    {
      qb = (((((-1.60219e-19)*nbody)*(model_.HFIN))*TFIN)*LeffCV);
    }
    else
    {
      qb = ((((((-1.60219e-19)*nbody)*3.14159265358979323846)*R)*R)*LeffCV);
    }
    if ((((model_.GEOMOD)!=3)&&((model_.COREMOD)!=0)))
    {
      T0 = ((2.0*csi)/cox);
      T1 = (g0s*tang0s);
      T2 = (g0d*tang0d);
      if ((NGATE_i>0.0))
      {
        T3 = ((((4.0*r2)*(((T1*T1)+(T1*T2))+(T2*T2)))/3.0)+(T0*(T1+T2)));
      }
      else
      {
        T3 = (T0*(T1+T2));
      }
      T6 = ((g0s*g0s)-(g0d*g0d));
      ids0 = ((((2.0*T0)*nVtm)*nVtm)*(((T3+2.0)*(T1-T2))-T6));
      ids0_ov_dqi = ((0.5*nVtm)*(T3+1.0));
      if (((model_.RDSMOD)!=0))
      {
        Rdsi = 0.0;
        Dr = 1.0;
        T2 = (vgs_noswap-vfbsd);
        T3 = sqrt(((T2*T2)+1.0e-1));
        vgs_eff = (0.5*(T2+T3));
        T4 = (1.0+(PRWGS_i*vgs_eff));
        T1 = (1.0/T4);
        T0 = (0.5*(T1+sqrt(((T1*T1)+0.01))));
        T5 = (RSW_i*(1.0+(RSDR_a*model_.analogFunctions.lexp<AdmsFadType>(((0.5*(model_.PRSDR))*model_.analogFunctions.lln<AdmsFadType>((((probeVars[admsProbeID_V_si_s])*(probeVars[admsProbeID_V_si_s]))+1.0E-6)))))));
        Rsource = (rdstemp*(RSourceGeo+((RSWMIN_i+(T5*T0))*WeffWRFactor)));
        T2 = (vgd_noswap-vfbsd);
        T3 = sqrt(((T2*T2)+1.0e-1));
        vgd_eff = (0.5*(T2+T3));
        T4 = (1.0+(PRWGD_i*vgd_eff));
        T1 = (1.0/T4);
        T0 = (0.5*(T1+sqrt(((T1*T1)+0.01))));
        T5 = (RDW_i*(1.0+(RDDR_a*model_.analogFunctions.lexp<AdmsFadType>(((0.5*(model_.PRDDR))*model_.analogFunctions.lln<AdmsFadType>((((probeVars[admsProbeID_V_di_d])*(probeVars[admsProbeID_V_di_d]))+1.0E-6)))))));
        Rdrain = (rdstemp*(RDrainGeo+((RDWMIN_i+(T5*T0))*WeffWRFactor)));
      }
      else
      {
        Rsource = RSourceGeo;
        Rdrain = RDrainGeo;
        T4 = (1.0+(PRWGS_i*qia));
        T1 = (1.0/T4);
        T0 = (0.5*(T1+sqrt(((T1*T1)+0.01))));
        Rdsi = ((rdstemp*(RDSWMIN_i+(RDSW_i*T0)))*WeffWRFactor);
        Dr = (1.0+((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*Rdsi));
      }
      ids = ((((((NFINtotal*beta)*ids0)*Moc)*Mob)*Mnud)/((Dmob*Dvsat)*Dr));
      ids = (ids*(model_.IDS0MULT));
      if ((NGATE_i>0.0))
      {
        Tcom = (((qis*qis)+(qis*qid))+(qid*qid));
      }
      else
      {
        Tcom = 0.0;
      }
      if ((NGATE_i>0))
      {
        idscv = (((((2.0*cpoly)*Tcom)/3.0)+(kpoly*qia))+((2.0-etaiv)*nVtm));
      }
      else
      {
        idscv = (qia+((2.0-etaiv)*nVtm));
      }
      idscv = (idscv/DvsatCV);
      beta_cv = (((u0*coxeff)*WeffCV)/LeffCV);
      dqi_idscv = (dqi/idscv);
      if ((NGATE_i>0))
      {
        T1 = (kpoly+((4.0*cpoly)*qia));
      }
      else
      {
        T1 = 1.0;
      }
      qg = (qia+(((T1*dqi)*dqi_idscv)/12.0));
      if ((NGATE_i>0))
      {
        T1 = ((15.0*kpoly)+(cpoly*((32.0*qid)+(28.0*qis))));
        T2 = ((((63.0*kpoly)*kpoly)+(((126.0*cpoly)*kpoly)*qia))+((cpoly*cpoly)*((256.0*Tcom)+((240.0*qis)*qid))));
      }
      else
      {
        T1 = 15.0;
        T2 = 63.0;
      }
      qd = ((0.5*qia)-((dqi*((1.0-((T1*dqi_idscv)/30.0))-(((T2*dqi_idscv)*dqi_idscv)/1260.0)))/12.0));
      inv_MclmCV = (1.0/MclmCV);
      qg = ((inv_MclmCV*qg)+((MclmCV-1.0)*qid));
      qd = (((inv_MclmCV*inv_MclmCV)*qd)+((0.5*(MclmCV-inv_MclmCV))*qid));
      T1 = ((WeffCV*LeffCV)*coxeff);
      qinv = ((NFINtotal*qg)*T1);
      qd = ((NFINtotal*qd)*T1);
      qg = (qinv-(NFINtotal*qb));
      qd = (-qd);
      qb = ((+NFINtotal)*qb);
      qs = (((-qg)-qd)-qb);
      if ((sigvds<0))
      {
        T1 = qd;
        qd = qs;
        qs = T1;
      }
    }
    else
    {
      if (((model_.NQSMOD)==3))
      {
        std::cerr  << "[bsimcmg] Although the model selector NQSMOD is set to 3, the NQS charge segmentation model is not activated in the Verilog-A code.  Please uncomment `define __NQSMOD3__ in bsimcmg.va to activate it. Quasi-static calculations being performed instead" <<  std::endl; 
      }
      if ((NGATE_i>0.0))
      {
        Tcom = (((qis*qis)+(qis*qid))+(qid*qid));
      }
      else
      {
        Tcom = 0.0;
      }
      if ((NGATE_i>0))
      {
        T0 = (((2.0*cpoly)*Tcom)/3);
        T1 = (kpoly*qia);
      }
      else
      {
        T0 = 0;
        T1 = qia;
      }
      etaiv = (q0/(q0+(cdop*qia)));
      T2 = ((2.0-etaiv)*nVtm);
      ids0_ov_dqi = ((T0+T1)+T2);
      ids0 = (ids0_ov_dqi*dqi);
      if (((model_.RDSMOD)!=0))
      {
        Rdsi = 0.0;
        Dr = 1.0;
        T2 = (vgs_noswap-vfbsd);
        T3 = sqrt(((T2*T2)+1.0e-1));
        vgs_eff = (0.5*(T2+T3));
        T4 = (1.0+(PRWGS_i*vgs_eff));
        T1 = (1.0/T4);
        T0 = (0.5*(T1+sqrt(((T1*T1)+0.01))));
        T5 = (RSW_i*(1.0+(RSDR_a*model_.analogFunctions.lexp<AdmsFadType>(((0.5*(model_.PRSDR))*model_.analogFunctions.lln<AdmsFadType>((((probeVars[admsProbeID_V_si_s])*(probeVars[admsProbeID_V_si_s]))+1.0E-6)))))));
        Rsource = (rdstemp*(RSourceGeo+((RSWMIN_i+(T5*T0))*WeffWRFactor)));
        T2 = (vgd_noswap-vfbsd);
        T3 = sqrt(((T2*T2)+1.0e-1));
        vgd_eff = (0.5*(T2+T3));
        T4 = (1.0+(PRWGD_i*vgd_eff));
        T1 = (1.0/T4);
        T0 = (0.5*(T1+sqrt(((T1*T1)+0.01))));
        T5 = (RDW_i*(1.0+(RDDR_a*model_.analogFunctions.lexp<AdmsFadType>(((0.5*(model_.PRDDR))*model_.analogFunctions.lln<AdmsFadType>((((probeVars[admsProbeID_V_di_d])*(probeVars[admsProbeID_V_di_d]))+1.0E-6)))))));
        Rdrain = (rdstemp*(RDrainGeo+((RDWMIN_i+(T5*T0))*WeffWRFactor)));
      }
      else
      {
        Rsource = RSourceGeo;
        Rdrain = RDrainGeo;
        T4 = (1.0+(PRWGS_i*qia));
        T1 = (1.0/T4);
        T0 = (0.5*(T1+sqrt(((T1*T1)+0.01))));
        Rdsi = ((rdstemp*(RDSWMIN_i+(RDSW_i*T0)))*WeffWRFactor);
        Dr = (1.0+((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*Rdsi));
      }
      ids = ((((((NFINtotal*beta)*ids0)*Moc)*Mob)*Mnud)/((Dmob*Dvsat)*Dr));
      ids = (ids*(model_.IDS0MULT));
      if ((NGATE_i>0))
      {
        idscv = (((((2.0*cpoly)*Tcom)/3.0)+(kpoly*qia))+((2.0-etaiv)*nVtm));
      }
      else
      {
        idscv = (qia+((2.0-etaiv)*nVtm));
      }
      idscv = (idscv/DvsatCV);
      beta_cv = (((u0*coxeff)*WeffCV)/LeffCV);
      dqi_idscv = (dqi/idscv);
      if ((NGATE_i>0))
      {
        T1 = (kpoly+((4.0*cpoly)*qia));
      }
      else
      {
        T1 = 1.0;
      }
      qg = (qia+(((T1*dqi)*dqi_idscv)/12.0));
      if ((NGATE_i>0))
      {
        T1 = ((15.0*kpoly)+(cpoly*((32.0*qid)+(28.0*qis))));
        T2 = ((((63.0*kpoly)*kpoly)+(((126.0*cpoly)*kpoly)*qia))+((cpoly*cpoly)*((256.0*Tcom)+((240.0*qis)*qid))));
      }
      else
      {
        T1 = 15.0;
        T2 = 63.0;
      }
      qd = ((0.5*qia)-((dqi*((1.0-((T1*dqi_idscv)/30.0))-(((T2*dqi_idscv)*dqi_idscv)/1260.0)))/12.0));
      inv_MclmCV = (1.0/MclmCV);
      qg = ((inv_MclmCV*qg)+((MclmCV-1.0)*qid));
      qd = (((inv_MclmCV*inv_MclmCV)*qd)+((0.5*(MclmCV-inv_MclmCV))*qid));
      T1 = ((WeffCV*LeffCV)*coxeff);
      qinv = ((NFINtotal*qg)*T1);
      qd = ((NFINtotal*qd)*T1);
      qg = (qinv-(NFINtotal*qb));
      qd = (-qd);
      qb = ((+NFINtotal)*qb);
      qs = (((-qg)-qd)-qb);
      if ((sigvds<0))
      {
        T1 = qd;
        qd = qs;
        qs = T1;
      }
    }
    if ((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0)))
    {
      T1 = (((NFINtotal*WeffCV0)*LeffCV_acc)*cox_acc);
      qg_acc = ((-qi_acc)*T1);
      qb_acc = ((+qi_acc)*T1);
    }
    qgs_ov = 0.0;
    qgd_ov = 0.0;
    if (((model_.CGEOMOD)!=1))
    {
      T1 = ((NFINtotal*WeffCV)*devsign);
      T2 = (devsign*(probeVars[admsProbeID_V_g_si]));
      T0 = ((T2-vfbsd)+0.02);
      vgs_overlap = (0.5*(T0-sqrt(((T0*T0)+(4.0*0.02)))));
      qgs_ov = (T1*((CGSL_i*(((T2-vfbsd)-vgs_overlap)-((0.5*CKAPPAS_i)*(sqrt((1.0-((4.0*vgs_overlap)/CKAPPAS_i)))-1.0))))+(CGSO_i*T2)));
      T2 = (devsign*(probeVars[admsProbeID_V_g_di]));
      T0 = ((T2-vfbsd)+0.02);
      vgd_overlap = (0.5*(T0-sqrt(((T0*T0)+(4.0*0.02)))));
      qgd_ov = (T1*((CGDL_i*(((T2-vfbsd)-vgd_overlap)-((0.5*CKAPPAD_i)*(sqrt((1.0-((4.0*vgd_overlap)/CKAPPAD_i)))-1.0))))+(CGDO_i*T2)));
    }
    if (((model_.CGEOMOD)==0))
    {
      T1 = (NFINtotal*WeffCV0);
      qgs_fr = ((T1*CFS_i)*(probeVars[admsProbeID_V_g_si]));
      qgd_fr = ((T1*CFD_i)*(probeVars[admsProbeID_V_g_di]));
      qgs_parasitic = (qgs_ov+qgs_fr);
      qgd_parasitic = (qgd_ov+qgd_fr);
    }
    else
    {
      if (((model_.CGEOMOD)==1))
      {
        if (((model_.CGEO1SW)==1))
        {
          T0 = (NFINtotal*WeffCV0);
          COVS_i = (T0*COVS_i);
          COVD_i = (T0*COVD_i);
          cgsp = (T0*CGSP);
          cgdp = (T0*CGDP);
        }
        else
        {
          cgsp = CGSP;
          cgdp = CGDP;
        }
        qgs_ov = (COVS_i*(probeVars[admsProbeID_V_g_si]));
        qgd_ov = (COVD_i*(probeVars[admsProbeID_V_g_di]));
        qgs_parasitic = qgs_ov;
        qgd_parasitic = qgd_ov;
        qgs_fr = (cgsp*(probeVars[admsProbeID_V_g_s]));
        qgd_fr = (cgdp*(probeVars[admsProbeID_V_g_d]));
      }
      else
      {
        qgs_fr = (Cfr_geo*(probeVars[admsProbeID_V_g_si]));
        qgd_fr = (Cfr_geo*(probeVars[admsProbeID_V_g_di]));
        qgs_parasitic = (qgs_ov+qgs_fr);
        qgd_parasitic = (qgd_ov+qgd_fr);
      }
    }
    qds_fr = (CDSP*(probeVars[admsProbeID_V_d_s]));
    Iii = 0;
    if (((model_.IIMOD)==1))
    {
      T0 = ((ALPHA0_t+(ALPHA1_t*Leff))/Leff);
      if (((T0<=0.0)||(BETA0_t<=0.0)))
      {
        Iii = 0.0;
      }
      else
      {
        T1 = ((-BETA0_t)/(diffVds+1.0e-30));
        Iii = (((T0*diffVds)*ids)*model_.analogFunctions.lexp<AdmsFadType>(T1));
      }
    }
    else
    {
      if (((model_.IIMOD)==2))
      {
        ALPHAII = ((ALPHAII0_t+(ALPHAII1_t*Leff))/Leff);
        if ((ALPHAII<=0.0))
        {
          Iii = 0.0;
        }
        else
        {
          T0 = (ESATII_i*Leff);
          T1 = ((SII0_t*T0)/(1.0+T0));
          T0 = (1.0/(1.0+model_.analogFunctions.hypsmooth<AdmsFadType>((SII1_i*vgsfbeff),1.0e-3)));
          T3 = (T0+SII2_i);
          T2 = model_.analogFunctions.hypsmooth<AdmsFadType>((vgsfbeff*T3),1.0e-3);
          T3 = (1.0/(1.0+(SIID_i*vds)));
          VgsStep = ((T1*T2)*T3);
          Vdsatii = (VgsStep*(1.0-(LII_i/Leff)));
          Vdiff = (vds-Vdsatii);
          T0 = ((BETAII2_i+(BETAII1_i*Vdiff))+((BETAII0_i*Vdiff)*Vdiff));
          T1 = sqrt(((T0*T0)+1.0E-10));
          T2 = ((10.0-(ALPHAII*model_.analogFunctions.lexp<AdmsFadType>((Vdiff/T1))))-0.01);
          Ratio = (10.0-(0.5*(T2+sqrt(((T2*T2)+((4.0*10.0)*0.01))))));
          Iii = (Ratio*ids);
        }
      }
    }
    igbinv = 0.0;
    igbacc = 0.0;
    igcs = 0.0;
    igcd = 0.0;
    igs = 0.0;
    igd = 0.0;
    if (((model_.IGBMOD)!=0))
    {
      T1 = (((qia-EIGBINV_i)/NIGBINV_i)/Vtm);
      Vaux_Igbinv = ((NIGBINV_i*Vtm)*model_.analogFunctions.lln<AdmsFadType>((1+model_.analogFunctions.lexp<AdmsFadType>(T1))));
      T2 = (AIGBINV_t-(BIGBINV_i*qia));
      T3 = (1+(CIGBINV_i*qia));
      T4 = ((((-9.82222e11)*(model_.TOXG))*T2)*T3);
      T5 = model_.analogFunctions.lexp<AdmsFadType>(T4);
      T6 = 3.75956e-7;
      igbinv = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*T5);
      igbinv = (igbinv*igtemp);
      vfbzb = ((deltaPhi-(Eg/2.0))-phib);
      T0 = (vfbzb-vge);
      T1 = ((T0/NIGBACC_i)/Vtm);
      Vaux_Igbacc = ((NIGBACC_i*Vtm)*model_.analogFunctions.lln<AdmsFadType>((1+model_.analogFunctions.lexp<AdmsFadType>(T1))));
      if ((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0)))
      {
        Voxacc = qi_acc;
      }
      else
      {
        if ((vfbzb<=0))
        {
          Voxacc = (0.5*((T0-0.02)+sqrt((((T0-0.02)*(T0-0.02))-(0.08*vfbzb)))));
        }
        else
        {
          Voxacc = (0.5*((T0-0.02)+sqrt((((T0-0.02)*(T0-0.02))+(0.08*vfbzb)))));
        }
      }
      T2 = (AIGBACC_t-(BIGBACC_i*Voxacc));
      T3 = (1+(CIGBACC_i*Voxacc));
      T4 = ((((-7.45669e11)*(model_.TOXG))*T2)*T3);
      T5 = model_.analogFunctions.lexp<AdmsFadType>(T4);
      T6 = 4.97232e-7;
      igbacc = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*T5);
      igbacc = (igbacc*igtemp);
    }
    if (((model_.IGCMOD)!=0))
    {
      T1 = (AIGC_t-(BIGC_i*qia));
      T2 = (1.0+(CIGC_i*qia));
      T3 = ((((-Bechvb)*(model_.TOXG))*T1)*T2);
      T4 = (qia*model_.analogFunctions.lexp<AdmsFadType>(T3));
      T5 = ((vge+(0.5*vdsx))+(0.5*(ves_jct+ved_jct)));
      igc0 = ((((((Weff0*Leff)*Aechvb)*Toxratio)*T4)*T5)*igtemp);
      Vdseffx = (sqrt(((Vdseff*Vdseff)+0.01))-0.1);
      T1 = (PIGCD_i*Vdseffx);
      T1_exp = model_.analogFunctions.lexp<AdmsFadType>((-T1));
      T3 = (((T1+T1_exp)-1.0)+1.0E-4);
      T4 = ((1.0-((T1+1.0)*T1_exp))+1.0E-4);
      T5 = ((T1*T1)+2.0E-4);
      igcd = ((igc0*T4)/T5);
      igcs = ((igc0*T3)/T5);
      T0 = vgs_noswap;
      vgs_eff = sqrt(((T0*T0)+1.0e-4));
      T1 = (AIGS_t-(BIGS_i*vgs_eff));
      T2 = (1.0+(CIGS_i*vgs_eff));
      T3 = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*T2);
      T4 = model_.analogFunctions.lexp<AdmsFadType>(T3);
      if ((sigvds>0))
      {
        igs = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*T4);
      }
      else
      {
        igd = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*T4);
      }
      T0 = vgd_noswap;
      vgd_eff = sqrt(((T0*T0)+1.0e-4));
      T1 = (AIGD_t-(BIGD_i*vgd_eff));
      T2 = (1.0+(CIGD_i*vgd_eff));
      T3 = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*T2);
      T4 = model_.analogFunctions.lexp<AdmsFadType>(T3);
      if ((sigvds>0))
      {
        igd = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*T4);
      }
      else
      {
        igs = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*T4);
      }
    }
    igisl = 0.0;
    igidl = 0.0;
    if (((model_.GIDLMOD)!=0))
    {
      T0 = (epsratio*(model_.EOT));
      if (((AGIDL_i<=0.0)||(BGIDL_t<=0.0)))
      {
        T6 = 0.0;
      }
      else
      {
        T1 = ((((-vgd_noswap)-EGIDL_i)+vfbsd)/T0);
        T1 = model_.analogFunctions.hypsmooth<AdmsFadType>(T1,1.0E-2);
        T2 = (BGIDL_t/(T1+1.0E-3));
        T3 = model_.analogFunctions.lexp<AdmsFadType>((PGIDL_i*model_.analogFunctions.lln<AdmsFadType>(T1)));
        if (((model_.BULKMOD)!=0))
        {
          T4 = (((-ved_jct)*ved_jct)*ved_jct);
          T4a = ((CGIDL_i+fabs(T4))+1.0E-9);
          T5 = (model_.analogFunctions.hypsmooth<AdmsFadType>((T4/T4a),1.0E-6)-1.0E-6);
          T6 = ((((AGIDL_i*Weff0)*T3)*model_.analogFunctions.lexp<AdmsFadType>((-T2)))*T5);
        }
        else
        {
          T6 = ((((AGIDL_i*Weff0)*T3)*model_.analogFunctions.lexp<AdmsFadType>((-T2)))*vds_noswap);
        }
      }
      if ((sigvds>0.0))
      {
        igidl = T6;
      }
      else
      {
        igisl = T6;
      }
      if (((AGISL_i<=0.0)||(BGISL_t<=0.0)))
      {
        T6 = 0.0;
      }
      else
      {
        T1 = ((((-vgs_noswap)-EGISL_i)+vfbsd)/T0);
        T1 = model_.analogFunctions.hypsmooth<AdmsFadType>(T1,1.0E-2);
        T2 = (BGISL_t/(T1+1.0E-3));
        T3 = model_.analogFunctions.lexp<AdmsFadType>((PGISL_i*model_.analogFunctions.lln<AdmsFadType>(T1)));
        if (((model_.BULKMOD)!=0))
        {
          T4 = (((-ves_jct)*ves_jct)*ves_jct);
          T4a = ((CGISL_i+fabs(T4))+1.0E-9);
          T5 = (model_.analogFunctions.hypsmooth<AdmsFadType>((T4/T4a),1.0E-6)-1.0E-6);
          T6 = ((((AGISL_i*Weff0)*T3)*model_.analogFunctions.lexp<AdmsFadType>((-T2)))*T5);
        }
        else
        {
          T6 = ((((AGISL_i*Weff0)*T3)*model_.analogFunctions.lexp<AdmsFadType>((-T2)))*(-vds_noswap));
        }
      }
      if ((sigvds>0.0))
      {
        igisl = T6;
      }
      else
      {
        igidl = T6;
      }
    }
    if (((model_.BULKMOD)!=0))
    {
      if ((Isbs>0.0))
      {
        if ((ves_jct<VjsmRev))
        {
          T0 = (ves_jct/Nvtms);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>(T0)-1.0);
          T2 = (IVjsmRev+(SslpRev*(ves_jct-VjsmRev)));
          Ies = (T1*T2);
        }
        else
        {
          if ((ves_jct<=VjsmFwd))
          {
            T0 = (ves_jct/Nvtms);
            T1 = (((model_.BVS)+ves_jct)/Nvtms);
            T2 = model_.analogFunctions.lexp<AdmsFadType>((-T1));
            Ies = (Isbs*(((model_.analogFunctions.lexp<AdmsFadType>(T0)+XExpBVS)-1.0)-((model_.XJBVS)*T2)));
          }
          else
          {
            Ies = (IVjsmFwd+(SslpFwd*(ves_jct-VjsmFwd)));
          }
        }
      }
      else
      {
        Ies = 0.0;
      }
      if ((JTSS_t>0.0))
      {
        if ((((model_.VTSS)-ves_jct)<((model_.VTSS)*1.0e-3)))
        {
          T0 = (((-ves_jct)/Vtm0)/NJTS_t);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>((T0*1.0e+3))-1.0);
          Ies = (Ies-((ASEJ*JTSS_t)*T1));
        }
        else
        {
          T0 = (((-ves_jct)/Vtm0)/NJTS_t);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>(((T0*(model_.VTSS))/((model_.VTSS)-ves_jct)))-1.0);
          Ies = (Ies-((ASEJ*JTSS_t)*T1));
        }
      }
      if ((JTSSWS_t>0.0))
      {
        if ((((model_.VTSSWS)-ves_jct)<((model_.VTSSWS)*1.0e-3)))
        {
          T0 = (((-ves_jct)/Vtm0)/NJTSSW_t);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>((T0*1.0e+3))-1.0);
          Ies = (Ies-((PSEJ*JTSSWS_t)*T1));
        }
        else
        {
          T0 = (((-ves_jct)/Vtm0)/NJTSSW_t);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>(((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct)))-1.0);
          Ies = (Ies-((PSEJ*JTSSWS_t)*T1));
        }
      }
      if ((JTSSWGS_t>0.0))
      {
        if ((((model_.VTSSWGS)-ves_jct)<((model_.VTSSWGS)*1.0e-3)))
        {
          T0 = (((-ves_jct)/Vtm0)/NJTSSWG_t);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>((T0*1.0e+3))-1.0);
          Ies = (Ies-(((Weff0*NFINtotal)*JTSSWGS_t)*T1));
        }
        else
        {
          T0 = (((-ves_jct)/Vtm0)/NJTSSWG_t);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>(((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct)))-1.0);
          Ies = (Ies-(((Weff0*NFINtotal)*JTSSWGS_t)*T1));
        }
      }
      if ((Isbd>0.0))
      {
        if ((ved_jct<VjdmRev))
        {
          T0 = (ved_jct/Nvtmd);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>(T0)-1.0);
          T2 = (IVjdmRev+(DslpRev*(ved_jct-VjdmRev)));
          Ied = (T1*T2);
        }
        else
        {
          if ((ved_jct<=VjdmFwd))
          {
            T0 = (ved_jct/Nvtmd);
            T1 = (((model_.BVD)+ved_jct)/Nvtmd);
            T2 = model_.analogFunctions.lexp<AdmsFadType>((-T1));
            Ied = (Isbd*(((model_.analogFunctions.lexp<AdmsFadType>(T0)+XExpBVD)-1.0)-((model_.XJBVD)*T2)));
          }
          else
          {
            Ied = (IVjdmFwd+(DslpFwd*(ved_jct-VjdmFwd)));
          }
        }
      }
      else
      {
        Ied = 0.0;
      }
      if ((JTSD_t>0.0))
      {
        if ((((model_.VTSD)-ved_jct)<((model_.VTSD)*1.0e-3)))
        {
          T0 = (((-ved_jct)/Vtm0)/NJTSD_t);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>((T0*1.0e+3))-1.0);
          Ied = (Ied-((ADEJ*JTSD_t)*T1));
        }
        else
        {
          T0 = (((-ved_jct)/Vtm0)/NJTSD_t);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>(((T0*(model_.VTSD))/((model_.VTSD)-ved_jct)))-1.0);
          Ied = (Ied-((ADEJ*JTSD_t)*T1));
        }
      }
      if ((JTSSWD_t>0.0))
      {
        if ((((model_.VTSSWD)-ved_jct)<((model_.VTSSWD)*1.0e-3)))
        {
          T0 = (((-ved_jct)/Vtm0)/NJTSSWD_t);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>((T0*1.0e+3))-1.0);
          Ied = (Ied-((PDEJ*JTSSWD_t)*T1));
        }
        else
        {
          T0 = (((-ved_jct)/Vtm0)/NJTSSWD_t);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>(((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct)))-1.0);
          Ied = (Ied-((PDEJ*JTSSWD_t)*T1));
        }
      }
      if ((JTSSWGD_t>0.0))
      {
        if ((((model_.VTSSWGD)-ved_jct)<((model_.VTSSWGD)*1.0e-3)))
        {
          T0 = (((-ved_jct)/Vtm0)/NJTSSWGD_t);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>((T0*1.0e+3))-1.0);
          Ied = (Ied-(((Weff0*NFINtotal)*JTSSWGD_t)*T1));
        }
        else
        {
          T0 = (((-ved_jct)/Vtm0)/NJTSSWGD_t);
          T1 = (model_.analogFunctions.lexp<AdmsFadType>(((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct)))-1.0);
          Ied = (Ied-(((Weff0*NFINtotal)*JTSSWGD_t)*T1));
        }
      }
      {
        if ((Czbs>0.0))
        {
          T1 = (ves_jct/PBS_t);
          if ((T1<0.9))
          {
            if (((model_.SJS)>0.0))
            {
              vec = (PBS_t*(1.0-model_.analogFunctions.lexp(((1.0/(model_.MJS))*model_.analogFunctions.lln((1.0/(model_.SJS)))))));
              pb2 = ((((PBS_t*(model_.SJS))*(model_.MJS2))/(model_.MJS))/model_.analogFunctions.lexp(((-(1.0+(model_.MJS)))*model_.analogFunctions.lln((1.0-(vec/PBS_t))))));
              if ((ves_jct>vec))
              {
                arg = (1.0-T1);
                if (((model_.MJS)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJS))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qesj1 = (((PBS_t*Czbs)*(1.0-(arg*sarg)))/(1.0-(model_.MJS)));
              }
              else
              {
                arg = (1.0-(vec/PBS_t));
                if (((model_.MJS)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJS))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qec = (((PBS_t*Czbs)*(1.0-(arg*sarg)))/(1.0-(model_.MJS)));
                arg = (1.0-((ves_jct-vec)/pb2));
                if (((model_.MJS2)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJS2))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qesj1 = (Qec+(((((model_.SJS)*pb2)*Czbs)*(1.0-(arg*sarg)))/(1.0-(model_.MJS2))));
              }
            }
            else
            {
              arg = (1.0-T1);
              if (((model_.MJS)==0.5))
              {
                sarg = (1.0/sqrt(arg));
              }
              else
              {
                sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJS))*model_.analogFunctions.lln<AdmsFadType>(arg)));
              }
              Qesj1 = (((PBS_t*Czbs)*(1.0-(arg*sarg)))/(1.0-(model_.MJS)));
            }
          }
          else
          {
            T2 = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJS))*model_.analogFunctions.lln<AdmsFadType>(0.1)));
            T3 = (1.0/(1.0-(model_.MJS)));
            T4 = ((T2*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));
            T5 = (T3*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
            Qesj1 = ((PBS_t*Czbs)*(T4+T5));
          }
        }
        else
        {
          Qesj1 = 0.0;
        }
      }
      {
        if ((Czbssw>0.0))
        {
          T1 = (ves_jct/PBSWS_t);
          if ((T1<0.9))
          {
            if (((model_.SJSWS)>0.0))
            {
              vec = (PBSWS_t*(1.0-model_.analogFunctions.lexp(((1.0/(model_.MJSWS))*model_.analogFunctions.lln((1.0/(model_.SJSWS)))))));
              pb2 = ((((PBSWS_t*(model_.SJSWS))*(model_.MJSWS2))/(model_.MJSWS))/model_.analogFunctions.lexp(((-(1.0+(model_.MJSWS)))*model_.analogFunctions.lln((1.0-(vec/PBSWS_t))))));
              if ((ves_jct>vec))
              {
                arg = (1.0-T1);
                if (((model_.MJSWS)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWS))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qesj2 = (((PBSWS_t*Czbssw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWS)));
              }
              else
              {
                arg = (1.0-(vec/PBSWS_t));
                if (((model_.MJSWS)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWS))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qec = (((PBSWS_t*Czbssw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWS)));
                arg = (1.0-((ves_jct-vec)/pb2));
                if (((model_.MJSWS2)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWS2))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qesj2 = (Qec+(((((model_.SJSWS)*pb2)*Czbssw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWS2))));
              }
            }
            else
            {
              arg = (1.0-T1);
              if (((model_.MJSWS)==0.5))
              {
                sarg = (1.0/sqrt(arg));
              }
              else
              {
                sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWS))*model_.analogFunctions.lln<AdmsFadType>(arg)));
              }
              Qesj2 = (((PBSWS_t*Czbssw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWS)));
            }
          }
          else
          {
            T2 = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWS))*model_.analogFunctions.lln<AdmsFadType>(0.1)));
            T3 = (1.0/(1.0-(model_.MJSWS)));
            T4 = ((T2*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));
            T5 = (T3*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
            Qesj2 = ((PBSWS_t*Czbssw)*(T4+T5));
          }
        }
        else
        {
          Qesj2 = 0.0;
        }
      }
      {
        if ((Czbsswg>0.0))
        {
          T1 = (ves_jct/PBSWGS_t);
          if ((T1<0.9))
          {
            if (((model_.SJSWGS)>0.0))
            {
              vec = (PBSWGS_t*(1.0-model_.analogFunctions.lexp(((1.0/(model_.MJSWGS))*model_.analogFunctions.lln((1.0/(model_.SJSWGS)))))));
              pb2 = ((((PBSWGS_t*(model_.SJSWGS))*(model_.MJSWGS2))/(model_.MJSWGS))/model_.analogFunctions.lexp(((-(1.0+(model_.MJSWGS)))*model_.analogFunctions.lln((1.0-(vec/PBSWGS_t))))));
              if ((ves_jct>vec))
              {
                arg = (1.0-T1);
                if (((model_.MJSWGS)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWGS))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qesj3 = (((PBSWGS_t*Czbsswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGS)));
              }
              else
              {
                arg = (1.0-(vec/PBSWGS_t));
                if (((model_.MJSWGS)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWGS))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qec = (((PBSWGS_t*Czbsswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGS)));
                arg = (1.0-((ves_jct-vec)/pb2));
                if (((model_.MJSWGS2)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWGS2))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qesj3 = (Qec+(((((model_.SJSWGS)*pb2)*Czbsswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGS2))));
              }
            }
            else
            {
              arg = (1.0-T1);
              if (((model_.MJSWGS)==0.5))
              {
                sarg = (1.0/sqrt(arg));
              }
              else
              {
                sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWGS))*model_.analogFunctions.lln<AdmsFadType>(arg)));
              }
              Qesj3 = (((PBSWGS_t*Czbsswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGS)));
            }
          }
          else
          {
            T2 = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWGS))*model_.analogFunctions.lln<AdmsFadType>(0.1)));
            T3 = (1.0/(1.0-(model_.MJSWGS)));
            T4 = ((T2*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));
            T5 = (T3*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
            Qesj3 = ((PBSWGS_t*Czbsswg)*(T4+T5));
          }
        }
        else
        {
          Qesj3 = 0.0;
        }
      }
      Qesj = ((Qesj1+Qesj2)+Qesj3);
      {
        if ((Czbd>0.0))
        {
          T1 = (ved_jct/PBD_t);
          if ((T1<0.9))
          {
            if (((model_.SJD)>0.0))
            {
              vec = (PBD_t*(1.0-model_.analogFunctions.lexp(((1.0/(model_.MJD))*model_.analogFunctions.lln((1.0/(model_.SJD)))))));
              pb2 = ((((PBD_t*(model_.SJD))*(model_.MJD2))/(model_.MJD))/model_.analogFunctions.lexp(((-(1.0+(model_.MJD)))*model_.analogFunctions.lln((1.0-(vec/PBD_t))))));
              if ((ved_jct>vec))
              {
                arg = (1.0-T1);
                if (((model_.MJD)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJD))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qedj1 = (((PBD_t*Czbd)*(1.0-(arg*sarg)))/(1.0-(model_.MJD)));
              }
              else
              {
                arg = (1.0-(vec/PBD_t));
                if (((model_.MJD)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJD))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qec = (((PBD_t*Czbd)*(1.0-(arg*sarg)))/(1.0-(model_.MJD)));
                arg = (1.0-((ved_jct-vec)/pb2));
                if (((model_.MJD2)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJD2))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qedj1 = (Qec+(((((model_.SJD)*pb2)*Czbd)*(1.0-(arg*sarg)))/(1.0-(model_.MJD2))));
              }
            }
            else
            {
              arg = (1.0-T1);
              if (((model_.MJD)==0.5))
              {
                sarg = (1.0/sqrt(arg));
              }
              else
              {
                sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJD))*model_.analogFunctions.lln<AdmsFadType>(arg)));
              }
              Qedj1 = (((PBD_t*Czbd)*(1.0-(arg*sarg)))/(1.0-(model_.MJD)));
            }
          }
          else
          {
            T2 = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJD))*model_.analogFunctions.lln<AdmsFadType>(0.1)));
            T3 = (1.0/(1.0-(model_.MJD)));
            T4 = ((T2*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));
            T5 = (T3*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
            Qedj1 = ((PBD_t*Czbd)*(T4+T5));
          }
        }
        else
        {
          Qedj1 = 0.0;
        }
      }
      {
        if ((Czbdsw>0.0))
        {
          T1 = (ved_jct/PBSWD_t);
          if ((T1<0.9))
          {
            if (((model_.SJSWD)>0.0))
            {
              vec = (PBSWD_t*(1.0-model_.analogFunctions.lexp(((1.0/(model_.MJSWD))*model_.analogFunctions.lln((1.0/(model_.SJSWD)))))));
              pb2 = ((((PBSWD_t*(model_.SJSWD))*(model_.MJSWD2))/(model_.MJSWD))/model_.analogFunctions.lexp(((-(1.0+(model_.MJSWD)))*model_.analogFunctions.lln((1.0-(vec/PBSWD_t))))));
              if ((ved_jct>vec))
              {
                arg = (1.0-T1);
                if (((model_.MJSWD)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWD))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qedj2 = (((PBSWD_t*Czbdsw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWD)));
              }
              else
              {
                arg = (1.0-(vec/PBSWD_t));
                if (((model_.MJSWD)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWD))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qec = (((PBSWD_t*Czbdsw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWD)));
                arg = (1.0-((ved_jct-vec)/pb2));
                if (((model_.MJSWD2)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWD2))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qedj2 = (Qec+(((((model_.SJSWD)*pb2)*Czbdsw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWD2))));
              }
            }
            else
            {
              arg = (1.0-T1);
              if (((model_.MJSWD)==0.5))
              {
                sarg = (1.0/sqrt(arg));
              }
              else
              {
                sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWD))*model_.analogFunctions.lln<AdmsFadType>(arg)));
              }
              Qedj2 = (((PBSWD_t*Czbdsw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWD)));
            }
          }
          else
          {
            T2 = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWD))*model_.analogFunctions.lln<AdmsFadType>(0.1)));
            T3 = (1.0/(1.0-(model_.MJSWD)));
            T4 = ((T2*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));
            T5 = (T3*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
            Qedj2 = ((PBSWD_t*Czbdsw)*(T4+T5));
          }
        }
        else
        {
          Qedj2 = 0.0;
        }
      }
      {
        if ((Czbdswg>0.0))
        {
          T1 = (ved_jct/PBSWGD_t);
          if ((T1<0.9))
          {
            if (((model_.SJSWGD)>0.0))
            {
              vec = (PBSWGD_t*(1.0-model_.analogFunctions.lexp(((1.0/(model_.MJSWGD))*model_.analogFunctions.lln((1.0/(model_.SJSWGD)))))));
              pb2 = ((((PBSWGD_t*(model_.SJSWGD))*(model_.MJSWGD2))/(model_.MJSWGD))/model_.analogFunctions.lexp(((-(1.0+(model_.MJSWGD)))*model_.analogFunctions.lln((1.0-(vec/PBSWGD_t))))));
              if ((ved_jct>vec))
              {
                arg = (1.0-T1);
                if (((model_.MJSWGD)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWGD))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qedj3 = (((PBSWGD_t*Czbdswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGD)));
              }
              else
              {
                arg = (1.0-(vec/PBSWGD_t));
                if (((model_.MJSWGD)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWGD))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qec = (((PBSWGD_t*Czbdswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGD)));
                arg = (1.0-((ved_jct-vec)/pb2));
                if (((model_.MJSWGD2)==0.5))
                {
                  sarg = (1.0/sqrt(arg));
                }
                else
                {
                  sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWGD2))*model_.analogFunctions.lln<AdmsFadType>(arg)));
                }
                Qedj3 = (Qec+(((((model_.SJSWGD)*pb2)*Czbdswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGD2))));
              }
            }
            else
            {
              arg = (1.0-T1);
              if (((model_.MJSWGD)==0.5))
              {
                sarg = (1.0/sqrt(arg));
              }
              else
              {
                sarg = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWGD))*model_.analogFunctions.lln<AdmsFadType>(arg)));
              }
              Qedj3 = (((PBSWGD_t*Czbdswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGD)));
            }
          }
          else
          {
            T2 = model_.analogFunctions.lexp<AdmsFadType>(((-(model_.MJSWGD))*model_.analogFunctions.lln<AdmsFadType>(0.1)));
            T3 = (1.0/(1.0-(model_.MJSWGD)));
            T4 = ((T2*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));
            T5 = (T3*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
            Qedj3 = ((PBSWGD_t*Czbdswg)*(T4+T5));
          }
        }
        else
        {
          Qedj3 = 0.0;
        }
      }
      Qedj = ((Qedj1+Qedj2)+Qedj3);
    }
    Qes = (Qesj+(csbox*ves_jct));
    Qed = (Qedj+(cdbox*ved_jct));
    Qeg = ((cgbox*devsign)*(probeVars[admsProbeID_V_e_g]));
    if (((model_.BULKMOD)!=0))
    {
      T2 = (devsign*(probeVars[admsProbeID_V_g_e]));
      T3 = ((((T2-deltaPhi)+(Eg/2.0))+phib)-(model_.DELVFBACC));
      T0 = (T3+0.02);
      vge_overlap = (0.5*(T0+sqrt(((T0*T0)+(4.0*0.02)))));
      Qeg = (Qeg-((NFINtotal*LeffCV)*(CGBL_i*((T3-vge_overlap)+((0.5*CKAPPAB_i)*(sqrt((1.0+((4.0*vge_overlap)/CKAPPAB_i)))-1.0))))));
    }
    T0 = vds;
    T1 = (T0*(AIGEN_i+((BIGEN_i*T0)*T0)));
    idsgen = (((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*T1);
    IdovVds = (((beta*ids0_ov_dqi)*Moc)/((Dmob*Dvsat)*Dr));
    T0 = (((ueff*coxeff)*Weff)/Leff);
    igidl = (NFINtotal*igidl);
    igisl = (NFINtotal*igisl);
    igcd = (NFINtotal*igcd);
    igcs = (NFINtotal*igcs);
    igs = (NFINtotal*igs);
    igd = (NFINtotal*igd);
    igbinv = (NFINtotal*igbinv);
    igbacc = (NFINtotal*igbacc);
    idsgen = (NFINtotal*idsgen);
    Iii = (NFINtotal*Iii);
    igbs = 0.0;
    igbd = 0.0;
    if (((model_.BULKMOD)==0))
    {
      igbs = ((igbinv+igbacc)*wf);
      igbd = ((igbinv+igbacc)*wr);
    }
    Esatnoi = ((2.0*VSAT_t)/ueff);
    if (((((model_.NOIA)>0)||((model_.NOIB)>0))||((model_.NOIC)>0)))
    {
      Leffnoi = (Leff-(2.0*LINTNOI_i));
      Leffnoisq = (Leffnoi*Leffnoi);
      if (((model_.EM)<=0.0))
      {
        DelClm = 0.0;
      }
      else
      {
        T0 = (((diffVds/litl)+(model_.EM))/Esatnoi);
        DelClm = (litl*model_.analogFunctions.lln<AdmsFadType>(T0));
        if ((DelClm<0.0))
        {
          DelClm = 0.0;
        }
      }
      T1 = (((((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*fabs(ids))*ueff);
      T2 = ((1.0e10*coxeff)*Leffnoisq);
      N0 = ((coxeff*qis)/1.60219e-19);
      Nl = ((coxeff*qid)/1.60219e-19);
      Nstar = ((Vtm/1.60219e-19)*(coxeff+CIT_i));
      T3 = ((model_.NOIA)*model_.analogFunctions.lln<AdmsFadType>(((N0+Nstar)/(Nl+Nstar))));
      T4 = ((model_.NOIB)*(N0-Nl));
      T5 = ((0.5*(model_.NOIC))*((N0*N0)-(Nl*Nl)));
      T6 = (((1.60219e-19*Vtm)*ids)*ids);
      T7 = (((1.0e10*Leffnoisq)*Weff)*NFINtotal);
      T8 = (((model_.NOIA)+((model_.NOIB)*Nl))+(((model_.NOIC)*Nl)*Nl));
      T9 = ((Nl+Nstar)*(Nl+Nstar));
      Ssi = (((T1/T2)*((T3+T4)+T5))+((((T6/T7)*DelClm)*T8)/T9));
      T10 = (((model_.NOIA)*1.60219e-19)*Vtm);
      T11 = (((((Weff*NFINtotal)*Leffnoi)*1.0e10)*Nstar)*Nstar);
      Swi = (((T10/T11)*ids)*ids);
      T1 = (Swi+Ssi);
      if ((T1>0.0))
      {
        FNPowerAt1Hz = ((Ssi*Swi)/T1);
      }
      else
      {
        FNPowerAt1Hz = 0.0;
      }
    }
    else
    {
      FNPowerAt1Hz = 0.0;
    }
    T0 = (ueff*qinv);
    T1 = ((T0*Rdsi)+(Leff*Leff));
    Gtnoi = ((T0/T1)*NTNOI_i);
    sid = (((4*Vtm)*1.60219e-19)*Gtnoi);
    gspr = (1/Rsource);
    gdpr = (1/Rdrain);
  }
  if ((!initialized))
  {
    devsign = 0.0;
    Rsource = 1.0;
    Rdrain = 1.0;
    std::cerr  << "uninitialized" <<  std::endl; 
  }
  if ((sigvds>0.0))
  {
    // I(di,si) <+ ((devsign*ids))
    staticContributions[admsNodeID_di] += (devsign*ids);
    staticContributions[admsNodeID_si] -= (devsign*ids);
  }
  else
  {
    // I(si,di) <+ ((devsign*ids))
    staticContributions[admsNodeID_si] += (devsign*ids);
    staticContributions[admsNodeID_di] -= (devsign*ids);
  }
  // I(di,si) <+ ((devsign*ddt(qd)))
  dynamicContributions[admsNodeID_di] += (devsign*(qd));
  dynamicContributions[admsNodeID_si] -= (devsign*(qd));
  // I(g,si) <+ ((devsign*ddt(qg)))
  dynamicContributions[admsNodeID_g] += (devsign*(qg));
  dynamicContributions[admsNodeID_si] -= (devsign*(qg));
  if ((sigvds>0))
  {
    // I(di,si) <+ ((devsign*idsgen))
    staticContributions[admsNodeID_di] += (devsign*idsgen);
    staticContributions[admsNodeID_si] -= (devsign*idsgen);
    // I(g,si) <+ ((devsign*(igcs+igs)))
    staticContributions[admsNodeID_g] += (devsign*(igcs+igs));
    staticContributions[admsNodeID_si] -= (devsign*(igcs+igs));
    // I(g,di) <+ ((devsign*(igcd+igd)))
    staticContributions[admsNodeID_g] += (devsign*(igcd+igd));
    staticContributions[admsNodeID_di] -= (devsign*(igcd+igd));
    if (((model_.BULKMOD)!=0))
    {
      // I(di,e) <+ ((devsign*(igidl+Iii)))
      staticContributions[admsNodeID_di] += (devsign*(igidl+Iii));
      staticContributions[admsNodeID_e] -= (devsign*(igidl+Iii));
      // I(si,e) <+ ((devsign*igisl))
      staticContributions[admsNodeID_si] += (devsign*igisl);
      staticContributions[admsNodeID_e] -= (devsign*igisl);
      // I(g,e) <+ ((devsign*(igbinv+igbacc)))
      staticContributions[admsNodeID_g] += (devsign*(igbinv+igbacc));
      staticContributions[admsNodeID_e] -= (devsign*(igbinv+igbacc));
    }
    else
    {
      // I(di,si) <+ ((devsign*(igidl+Iii)))
      staticContributions[admsNodeID_di] += (devsign*(igidl+Iii));
      staticContributions[admsNodeID_si] -= (devsign*(igidl+Iii));
      // I(si,di) <+ ((devsign*igisl))
      staticContributions[admsNodeID_si] += (devsign*igisl);
      staticContributions[admsNodeID_di] -= (devsign*igisl);
    }
  }
  else
  {
    // I(si,di) <+ ((devsign*idsgen))
    staticContributions[admsNodeID_si] += (devsign*idsgen);
    staticContributions[admsNodeID_di] -= (devsign*idsgen);
    // I(g,di) <+ ((devsign*(igcs+igs)))
    staticContributions[admsNodeID_g] += (devsign*(igcs+igs));
    staticContributions[admsNodeID_di] -= (devsign*(igcs+igs));
    // I(g,si) <+ ((devsign*(igcd+igd)))
    staticContributions[admsNodeID_g] += (devsign*(igcd+igd));
    staticContributions[admsNodeID_si] -= (devsign*(igcd+igd));
    if (((model_.BULKMOD)!=0))
    {
      // I(si,e) <+ ((devsign*(igidl+Iii)))
      staticContributions[admsNodeID_si] += (devsign*(igidl+Iii));
      staticContributions[admsNodeID_e] -= (devsign*(igidl+Iii));
      // I(di,e) <+ ((devsign*igisl))
      staticContributions[admsNodeID_di] += (devsign*igisl);
      staticContributions[admsNodeID_e] -= (devsign*igisl);
      // I(g,e) <+ ((devsign*(igbinv+igbacc)))
      staticContributions[admsNodeID_g] += (devsign*(igbinv+igbacc));
      staticContributions[admsNodeID_e] -= (devsign*(igbinv+igbacc));
    }
    else
    {
      // I(si,di) <+ ((devsign*(igidl+Iii)))
      staticContributions[admsNodeID_si] += (devsign*(igidl+Iii));
      staticContributions[admsNodeID_di] -= (devsign*(igidl+Iii));
      // I(di,si) <+ ((devsign*igisl))
      staticContributions[admsNodeID_di] += (devsign*igisl);
      staticContributions[admsNodeID_si] -= (devsign*igisl);
    }
  }
  if (((model_.BULKMOD)==0))
  {
    // I(g,si) <+ ((devsign*igbs))
    staticContributions[admsNodeID_g] += (devsign*igbs);
    staticContributions[admsNodeID_si] -= (devsign*igbs);
    // I(g,di) <+ ((devsign*igbd))
    staticContributions[admsNodeID_g] += (devsign*igbd);
    staticContributions[admsNodeID_di] -= (devsign*igbd);
  }
  if (((model_.BULKMOD)!=0))
  {
    // I(e,si) <+ ((devsign*Ies))
    staticContributions[admsNodeID_e] += (devsign*Ies);
    staticContributions[admsNodeID_si] -= (devsign*Ies);
    // I(e,di) <+ ((devsign*Ied))
    staticContributions[admsNodeID_e] += (devsign*Ied);
    staticContributions[admsNodeID_di] -= (devsign*Ied);
  }
  // I(e,si) <+ ((devsign*ddt(Qes)))
  dynamicContributions[admsNodeID_e] += (devsign*(Qes));
  dynamicContributions[admsNodeID_si] -= (devsign*(Qes));
  // I(e,di) <+ ((devsign*ddt(Qed)))
  dynamicContributions[admsNodeID_e] += (devsign*(Qed));
  dynamicContributions[admsNodeID_di] -= (devsign*(Qed));
  // I(e,g) <+ ((devsign*ddt(Qeg)))
  dynamicContributions[admsNodeID_e] += (devsign*(Qeg));
  dynamicContributions[admsNodeID_g] -= (devsign*(Qeg));
  // I(g,si) <+ (ddt(qgs_parasitic))
  dynamicContributions[admsNodeID_g] += (qgs_parasitic);
  dynamicContributions[admsNodeID_si] -= (qgs_parasitic);
  // I(g,di) <+ (ddt(qgd_parasitic))
  dynamicContributions[admsNodeID_g] += (qgd_parasitic);
  dynamicContributions[admsNodeID_di] -= (qgd_parasitic);
  // I(d,s) <+ (ddt(qds_fr))
  dynamicContributions[admsNodeID_d] += (qds_fr);
  dynamicContributions[admsNodeID_s] -= (qds_fr);
  if (((model_.CGEOMOD)==1))
  {
    // I(g,s) <+ (ddt(qgs_fr))
    dynamicContributions[admsNodeID_g] += (qgs_fr);
    dynamicContributions[admsNodeID_s] -= (qgs_fr);
    // I(g,d) <+ (ddt(qgd_fr))
    dynamicContributions[admsNodeID_g] += (qgd_fr);
    dynamicContributions[admsNodeID_d] -= (qgd_fr);
  }
  if ((((model_.CAPMOD)!=0)&&((model_.BULKMOD)!=0)))
  {
    // I(g,si) <+ ((devsign*ddt(qg_acc)))
    dynamicContributions[admsNodeID_g] += (devsign*(qg_acc));
    dynamicContributions[admsNodeID_si] -= (devsign*(qg_acc));
    // I(e,si) <+ ((devsign*ddt(qb_acc)))
    dynamicContributions[admsNodeID_e] += (devsign*(qb_acc));
    dynamicContributions[admsNodeID_si] -= (devsign*(qb_acc));
  }
  // I(d,di) <+ ((V(d,di)/Rdrain))
  staticContributions[admsNodeID_d] += ((probeVars[admsProbeID_V_d_di])/Rdrain);
  staticContributions[admsNodeID_di] -= ((probeVars[admsProbeID_V_d_di])/Rdrain);
  // I(s,si) <+ ((V(s,si)/Rsource))
  staticContributions[admsNodeID_s] += ((probeVars[admsProbeID_V_s_si])/Rsource);
  staticContributions[admsNodeID_si] -= ((probeVars[admsProbeID_V_s_si])/Rsource);
  // I(di,si) <+ (flicker_noise(FNPowerAt1Hz,EF,"flicker"))
  // I(d,di) <+ (white_noise((((4*Vtm)*1.60219e-19)*gdpr),"thermal"))
  // I(s,si) <+ (white_noise((((4*Vtm)*1.60219e-19)*gspr),"thermal"))
  // I(di,si) <+ (white_noise(sid,"thermal"))
  if (((model_.IGCMOD)!=0))
  {
    if ((sigvds>0))
    {
      // I(g,si) <+ (white_noise(((2*1.60219e-19)*abs((igcs+igs))),"shot"))
      // I(g,di) <+ (white_noise(((2*1.60219e-19)*abs((igcd+igd))),"shot"))
    }
    else
    {
      // I(g,di) <+ (white_noise(((2*1.60219e-19)*abs((igcs+igs))),"shot"))
      // I(g,si) <+ (white_noise(((2*1.60219e-19)*abs((igcd+igd))),"shot"))
    }
  }
  if (((model_.IGBMOD)!=0))
  {
    if (((model_.BULKMOD)!=0))
    {
      // I(g,e) <+ (white_noise(((2*1.60219e-19)*abs((igbinv+igbacc))),"shot"))
    }
    else
    {
      // I(g,si) <+ (white_noise(((2*1.60219e-19)*abs(igbs)),"shot"))
      // I(g,di) <+ (white_noise(((2*1.60219e-19)*abs(igbd)),"shot"))
    }
  }


  // -- endcode converted from analog/code block
#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << " probeVars[admsProbeID_V_s_si] =  "
                 <<probeVars[admsProbeID_V_s_si].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_d_di] =  "
                 <<probeVars[admsProbeID_V_d_di].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_e_g] =  "
                 <<probeVars[admsProbeID_V_e_g].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_d_s] =  "
                 <<probeVars[admsProbeID_V_d_s].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_g_d] =  "
                 <<probeVars[admsProbeID_V_g_d].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_g_s] =  "
                 <<probeVars[admsProbeID_V_g_s].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_di_d] =  "
                 <<probeVars[admsProbeID_V_di_d].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_si_s] =  "
                 <<probeVars[admsProbeID_V_si_s].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_g_e] =  "
                 <<probeVars[admsProbeID_V_g_e].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_e_di] =  "
                 <<probeVars[admsProbeID_V_e_di].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_e_si] =  "
                 <<probeVars[admsProbeID_V_e_si].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_g_di] =  "
                 <<probeVars[admsProbeID_V_g_di].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_di_si] =  "
                 <<probeVars[admsProbeID_V_di_si].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_g_si] =  "
                 <<probeVars[admsProbeID_V_g_si].val() << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_d] =  "
                 <<staticContributions[admsNodeID_d].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_s_si) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_s_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_d_di) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_d_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_e_g) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_e_g) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_d_s) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_d_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_g_d) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_g_d) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_g_s) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_g_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_di_d) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_di_d) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_si_s) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_si_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_g_e) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_g_e) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_e_di) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_e_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_e_si) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_e_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_g_di) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_g_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_di_si) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_di_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_g_si) =  " <<staticContributions[admsNodeID_d].dx(admsProbeID_V_g_si) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_d] =  "
                 <<dynamicContributions[admsNodeID_d].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_s_si) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_s_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_d_di) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_d_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_g) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_g) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_d_s) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_d_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_d) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_d) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_s) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_di_d) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_di_d) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_si_s) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_si_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_e) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_e) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_di) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_si) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_di) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_di_si) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_di_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_si) =  " <<dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_si) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_g] =  "
                 <<staticContributions[admsNodeID_g].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_s_si) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_s_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_d_di) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_d_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_e_g) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_e_g) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_d_s) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_d_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_g_d) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_g_d) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_g_s) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_g_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_di_d) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_di_d) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_si_s) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_si_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_g_e) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_g_e) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_e_di) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_e_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_e_si) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_e_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_g_di) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_g_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_di_si) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_di_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_g_si) =  " <<staticContributions[admsNodeID_g].dx(admsProbeID_V_g_si) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_g] =  "
                 <<dynamicContributions[admsNodeID_g].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_s_si) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_s_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_d_di) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_d_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_g) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_g) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_d_s) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_d_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_d) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_d) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_s) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_di_d) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_di_d) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_si_s) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_si_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_e) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_e) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_di) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_si) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_di) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_di_si) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_di_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_si) =  " <<dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_si) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_s] =  "
                 <<staticContributions[admsNodeID_s].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_s_si) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_s_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_d_di) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_d_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_e_g) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_e_g) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_d_s) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_d_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_g_d) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_g_d) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_g_s) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_g_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_di_d) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_di_d) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_si_s) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_si_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_g_e) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_g_e) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_e_di) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_e_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_e_si) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_e_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_g_di) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_g_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_di_si) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_di_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_g_si) =  " <<staticContributions[admsNodeID_s].dx(admsProbeID_V_g_si) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_s] =  "
                 <<dynamicContributions[admsNodeID_s].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_s_si) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_s_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_d_di) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_d_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_g) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_g) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_d_s) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_d_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_d) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_d) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_s) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_di_d) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_di_d) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_si_s) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_si_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_e) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_e) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_di) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_si) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_di) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_di_si) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_di_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_si) =  " <<dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_si) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_e] =  "
                 <<staticContributions[admsNodeID_e].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_s_si) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_s_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_d_di) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_d_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_e_g) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_e_g) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_d_s) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_d_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_g_d) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_g_d) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_g_s) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_g_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_di_d) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_di_d) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_si_s) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_si_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_g_e) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_g_e) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_e_di) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_e_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_e_si) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_e_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_g_di) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_g_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_di_si) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_di_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_g_si) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_g_si) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_e] =  "
                 <<dynamicContributions[admsNodeID_e].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_s_si) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_s_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_d_di) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_d_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_g) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_g) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_d_s) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_d_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_d) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_d) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_s) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_d) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_d) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_si_s) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_si_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_e) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_e) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_di) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_si) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_di) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_si) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_si) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_si) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_di] =  "
                 <<staticContributions[admsNodeID_di].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_s_si) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_s_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_d_di) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_d_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_e_g) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_e_g) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_d_s) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_d_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_g_d) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_g_d) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_g_s) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_g_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_di_d) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_di_d) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_si_s) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_si_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_g_e) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_g_e) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_e_di) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_e_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_e_si) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_e_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_g_di) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_g_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_di_si) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_di_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_g_si) =  " <<staticContributions[admsNodeID_di].dx(admsProbeID_V_g_si) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_di] =  "
                 <<dynamicContributions[admsNodeID_di].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_s_si) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_s_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_d_di) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_d_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_g) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_g) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_d_s) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_d_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_d) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_d) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_s) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_d) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_d) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_si_s) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_si_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_e) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_e) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_di) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_si) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_di) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_si) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_si) =  " <<dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_si) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_si] =  "
                 <<staticContributions[admsNodeID_si].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_s_si) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_s_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_d_di) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_d_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_e_g) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_e_g) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_d_s) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_d_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_g_d) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_g_d) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_g_s) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_g_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_di_d) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_di_d) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_si_s) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_si_s) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_g_e) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_g_e) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_e_di) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_e_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_e_si) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_e_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_g_di) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_g_di) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_di_si) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_di_si) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_g_si) =  " <<staticContributions[admsNodeID_si].dx(admsProbeID_V_g_si) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_si] =  "
                 <<dynamicContributions[admsNodeID_si].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_s_si) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_s_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_d_di) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_d_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_g) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_g) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_d_s) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_d_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_d) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_d) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_s) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_d) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_d) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_si_s) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_si_s) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_e) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_e) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_di) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_si) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_di) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_di) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_si) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_si) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_si) =  " <<dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_si) << std::endl;

    if (!origFlag)
      Xyce::dout() << "This step was limited by this device." << std::endl;
  }
#endif // Xyce_DEBUG_DEVICE
  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdFdx
// Purpose       :
// Special Notes : Load the dFdx ("static jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdFdx()
{
  bool bsuccess = true;
  N_LAS_Matrix * dFdxMatPtr = extData.dFdxMatrixPtr;

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << subsection_divider << std::endl;
    Xyce::dout() << "ADMSbsimcmg::Instance::loadDAEdFdx (" << getName() << "):" << std::endl;
  }
#endif
  (*f_di_Equ_g_Node_Ptr) +=  +staticContributions[admsNodeID_di].dx(admsProbeID_V_g_e) +staticContributions[admsNodeID_di].dx(admsProbeID_V_g_si) +staticContributions[admsNodeID_di].dx(admsProbeID_V_g_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_di_Equ_g_Node_Ptr) += " << +staticContributions[admsNodeID_di].dx(admsProbeID_V_g_e) +staticContributions[admsNodeID_di].dx(admsProbeID_V_g_si) +staticContributions[admsNodeID_di].dx(admsProbeID_V_g_di)<< std::endl;
  }
#endif
  (*f_di_Equ_di_Node_Ptr) +=  -staticContributions[admsNodeID_di].dx(admsProbeID_V_d_di) +staticContributions[admsNodeID_di].dx(admsProbeID_V_di_d) -staticContributions[admsNodeID_di].dx(admsProbeID_V_e_di) +staticContributions[admsNodeID_di].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_di].dx(admsProbeID_V_g_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_di_Equ_di_Node_Ptr) += " << -staticContributions[admsNodeID_di].dx(admsProbeID_V_d_di) +staticContributions[admsNodeID_di].dx(admsProbeID_V_di_d) -staticContributions[admsNodeID_di].dx(admsProbeID_V_e_di) +staticContributions[admsNodeID_di].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_di].dx(admsProbeID_V_g_di)<< std::endl;
  }
#endif
  (*f_si_Equ_g_Node_Ptr) +=  +staticContributions[admsNodeID_si].dx(admsProbeID_V_g_e) +staticContributions[admsNodeID_si].dx(admsProbeID_V_g_si) +staticContributions[admsNodeID_si].dx(admsProbeID_V_g_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_si_Equ_g_Node_Ptr) += " << +staticContributions[admsNodeID_si].dx(admsProbeID_V_g_e) +staticContributions[admsNodeID_si].dx(admsProbeID_V_g_si) +staticContributions[admsNodeID_si].dx(admsProbeID_V_g_di)<< std::endl;
  }
#endif
  (*f_si_Equ_di_Node_Ptr) +=  +staticContributions[admsNodeID_si].dx(admsProbeID_V_di_d) -staticContributions[admsNodeID_si].dx(admsProbeID_V_e_di) +staticContributions[admsNodeID_si].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_si].dx(admsProbeID_V_g_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_si_Equ_di_Node_Ptr) += " << +staticContributions[admsNodeID_si].dx(admsProbeID_V_di_d) -staticContributions[admsNodeID_si].dx(admsProbeID_V_e_di) +staticContributions[admsNodeID_si].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_si].dx(admsProbeID_V_g_di)<< std::endl;
  }
#endif
  (*f_di_Equ_si_Node_Ptr) +=  +staticContributions[admsNodeID_di].dx(admsProbeID_V_si_s) -staticContributions[admsNodeID_di].dx(admsProbeID_V_e_si) -staticContributions[admsNodeID_di].dx(admsProbeID_V_g_si) -staticContributions[admsNodeID_di].dx(admsProbeID_V_di_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_di_Equ_si_Node_Ptr) += " << +staticContributions[admsNodeID_di].dx(admsProbeID_V_si_s) -staticContributions[admsNodeID_di].dx(admsProbeID_V_e_si) -staticContributions[admsNodeID_di].dx(admsProbeID_V_g_si) -staticContributions[admsNodeID_di].dx(admsProbeID_V_di_si)<< std::endl;
  }
#endif
  (*f_si_Equ_si_Node_Ptr) +=  -staticContributions[admsNodeID_si].dx(admsProbeID_V_s_si) +staticContributions[admsNodeID_si].dx(admsProbeID_V_si_s) -staticContributions[admsNodeID_si].dx(admsProbeID_V_e_si) -staticContributions[admsNodeID_si].dx(admsProbeID_V_g_si) -staticContributions[admsNodeID_si].dx(admsProbeID_V_di_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_si_Equ_si_Node_Ptr) += " << -staticContributions[admsNodeID_si].dx(admsProbeID_V_s_si) +staticContributions[admsNodeID_si].dx(admsProbeID_V_si_s) -staticContributions[admsNodeID_si].dx(admsProbeID_V_e_si) -staticContributions[admsNodeID_si].dx(admsProbeID_V_g_si) -staticContributions[admsNodeID_si].dx(admsProbeID_V_di_si)<< std::endl;
  }
#endif
  (*f_di_Equ_e_Node_Ptr) +=  +staticContributions[admsNodeID_di].dx(admsProbeID_V_e_si) +staticContributions[admsNodeID_di].dx(admsProbeID_V_e_di) -staticContributions[admsNodeID_di].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_di_Equ_e_Node_Ptr) += " << +staticContributions[admsNodeID_di].dx(admsProbeID_V_e_si) +staticContributions[admsNodeID_di].dx(admsProbeID_V_e_di) -staticContributions[admsNodeID_di].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif
  (*f_si_Equ_e_Node_Ptr) +=  +staticContributions[admsNodeID_si].dx(admsProbeID_V_e_si) +staticContributions[admsNodeID_si].dx(admsProbeID_V_e_di) -staticContributions[admsNodeID_si].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_si_Equ_e_Node_Ptr) += " << +staticContributions[admsNodeID_si].dx(admsProbeID_V_e_si) +staticContributions[admsNodeID_si].dx(admsProbeID_V_e_di) -staticContributions[admsNodeID_si].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif
  (*f_g_Equ_g_Node_Ptr) +=  +staticContributions[admsNodeID_g].dx(admsProbeID_V_g_di) +staticContributions[admsNodeID_g].dx(admsProbeID_V_g_e) +staticContributions[admsNodeID_g].dx(admsProbeID_V_g_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_g_Equ_g_Node_Ptr) += " << +staticContributions[admsNodeID_g].dx(admsProbeID_V_g_di) +staticContributions[admsNodeID_g].dx(admsProbeID_V_g_e) +staticContributions[admsNodeID_g].dx(admsProbeID_V_g_si)<< std::endl;
  }
#endif
  (*f_g_Equ_di_Node_Ptr) +=  -staticContributions[admsNodeID_g].dx(admsProbeID_V_g_di) +staticContributions[admsNodeID_g].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_g].dx(admsProbeID_V_e_di) +staticContributions[admsNodeID_g].dx(admsProbeID_V_di_d);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_g_Equ_di_Node_Ptr) += " << -staticContributions[admsNodeID_g].dx(admsProbeID_V_g_di) +staticContributions[admsNodeID_g].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_g].dx(admsProbeID_V_e_di) +staticContributions[admsNodeID_g].dx(admsProbeID_V_di_d)<< std::endl;
  }
#endif
  (*f_g_Equ_si_Node_Ptr) +=  -staticContributions[admsNodeID_g].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_g].dx(admsProbeID_V_e_si) -staticContributions[admsNodeID_g].dx(admsProbeID_V_g_si) +staticContributions[admsNodeID_g].dx(admsProbeID_V_si_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_g_Equ_si_Node_Ptr) += " << -staticContributions[admsNodeID_g].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_g].dx(admsProbeID_V_e_si) -staticContributions[admsNodeID_g].dx(admsProbeID_V_g_si) +staticContributions[admsNodeID_g].dx(admsProbeID_V_si_s)<< std::endl;
  }
#endif
  (*f_g_Equ_e_Node_Ptr) +=  +staticContributions[admsNodeID_g].dx(admsProbeID_V_e_si) +staticContributions[admsNodeID_g].dx(admsProbeID_V_e_di) -staticContributions[admsNodeID_g].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_g_Equ_e_Node_Ptr) += " << +staticContributions[admsNodeID_g].dx(admsProbeID_V_e_si) +staticContributions[admsNodeID_g].dx(admsProbeID_V_e_di) -staticContributions[admsNodeID_g].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif
  (*f_g_Equ_s_Node_Ptr) +=  -staticContributions[admsNodeID_g].dx(admsProbeID_V_si_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_g_Equ_s_Node_Ptr) += " << -staticContributions[admsNodeID_g].dx(admsProbeID_V_si_s)<< std::endl;
  }
#endif
  (*f_si_Equ_s_Node_Ptr) +=  +staticContributions[admsNodeID_si].dx(admsProbeID_V_s_si) -staticContributions[admsNodeID_si].dx(admsProbeID_V_si_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_si_Equ_s_Node_Ptr) += " << +staticContributions[admsNodeID_si].dx(admsProbeID_V_s_si) -staticContributions[admsNodeID_si].dx(admsProbeID_V_si_s)<< std::endl;
  }
#endif
  (*f_g_Equ_d_Node_Ptr) +=  -staticContributions[admsNodeID_g].dx(admsProbeID_V_di_d);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_g_Equ_d_Node_Ptr) += " << -staticContributions[admsNodeID_g].dx(admsProbeID_V_di_d)<< std::endl;
  }
#endif
  (*f_si_Equ_d_Node_Ptr) +=  -staticContributions[admsNodeID_si].dx(admsProbeID_V_di_d);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_si_Equ_d_Node_Ptr) += " << -staticContributions[admsNodeID_si].dx(admsProbeID_V_di_d)<< std::endl;
  }
#endif
  (*f_di_Equ_s_Node_Ptr) +=  -staticContributions[admsNodeID_di].dx(admsProbeID_V_si_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_di_Equ_s_Node_Ptr) += " << -staticContributions[admsNodeID_di].dx(admsProbeID_V_si_s)<< std::endl;
  }
#endif
  (*f_di_Equ_d_Node_Ptr) +=  +staticContributions[admsNodeID_di].dx(admsProbeID_V_d_di) -staticContributions[admsNodeID_di].dx(admsProbeID_V_di_d);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_di_Equ_d_Node_Ptr) += " << +staticContributions[admsNodeID_di].dx(admsProbeID_V_d_di) -staticContributions[admsNodeID_di].dx(admsProbeID_V_di_d)<< std::endl;
  }
#endif
  (*f_e_Equ_g_Node_Ptr) +=  +staticContributions[admsNodeID_e].dx(admsProbeID_V_g_di) +staticContributions[admsNodeID_e].dx(admsProbeID_V_g_si) +staticContributions[admsNodeID_e].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_e_Equ_g_Node_Ptr) += " << +staticContributions[admsNodeID_e].dx(admsProbeID_V_g_di) +staticContributions[admsNodeID_e].dx(admsProbeID_V_g_si) +staticContributions[admsNodeID_e].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif
  (*f_e_Equ_e_Node_Ptr) +=  +staticContributions[admsNodeID_e].dx(admsProbeID_V_e_si) +staticContributions[admsNodeID_e].dx(admsProbeID_V_e_di) -staticContributions[admsNodeID_e].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_e_Equ_e_Node_Ptr) += " << +staticContributions[admsNodeID_e].dx(admsProbeID_V_e_si) +staticContributions[admsNodeID_e].dx(admsProbeID_V_e_di) -staticContributions[admsNodeID_e].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif
  (*f_e_Equ_di_Node_Ptr) +=  -staticContributions[admsNodeID_e].dx(admsProbeID_V_g_di) +staticContributions[admsNodeID_e].dx(admsProbeID_V_di_d) +staticContributions[admsNodeID_e].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_e].dx(admsProbeID_V_e_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_e_Equ_di_Node_Ptr) += " << -staticContributions[admsNodeID_e].dx(admsProbeID_V_g_di) +staticContributions[admsNodeID_e].dx(admsProbeID_V_di_d) +staticContributions[admsNodeID_e].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_e].dx(admsProbeID_V_e_di)<< std::endl;
  }
#endif
  (*f_e_Equ_si_Node_Ptr) +=  +staticContributions[admsNodeID_e].dx(admsProbeID_V_si_s) -staticContributions[admsNodeID_e].dx(admsProbeID_V_g_si) -staticContributions[admsNodeID_e].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_e].dx(admsProbeID_V_e_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_e_Equ_si_Node_Ptr) += " << +staticContributions[admsNodeID_e].dx(admsProbeID_V_si_s) -staticContributions[admsNodeID_e].dx(admsProbeID_V_g_si) -staticContributions[admsNodeID_e].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_e].dx(admsProbeID_V_e_si)<< std::endl;
  }
#endif
  (*f_e_Equ_s_Node_Ptr) +=  -staticContributions[admsNodeID_e].dx(admsProbeID_V_si_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_e_Equ_s_Node_Ptr) += " << -staticContributions[admsNodeID_e].dx(admsProbeID_V_si_s)<< std::endl;
  }
#endif
  (*f_e_Equ_d_Node_Ptr) +=  -staticContributions[admsNodeID_e].dx(admsProbeID_V_di_d);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_e_Equ_d_Node_Ptr) += " << -staticContributions[admsNodeID_e].dx(admsProbeID_V_di_d)<< std::endl;
  }
#endif
  (*f_d_Equ_d_Node_Ptr) +=  +staticContributions[admsNodeID_d].dx(admsProbeID_V_d_di) -staticContributions[admsNodeID_d].dx(admsProbeID_V_di_d);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_d_Equ_d_Node_Ptr) += " << +staticContributions[admsNodeID_d].dx(admsProbeID_V_d_di) -staticContributions[admsNodeID_d].dx(admsProbeID_V_di_d)<< std::endl;
  }
#endif
  (*f_d_Equ_s_Node_Ptr) +=  -staticContributions[admsNodeID_d].dx(admsProbeID_V_si_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_d_Equ_s_Node_Ptr) += " << -staticContributions[admsNodeID_d].dx(admsProbeID_V_si_s)<< std::endl;
  }
#endif
  (*f_s_Equ_d_Node_Ptr) +=  -staticContributions[admsNodeID_s].dx(admsProbeID_V_di_d);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_s_Equ_d_Node_Ptr) += " << -staticContributions[admsNodeID_s].dx(admsProbeID_V_di_d)<< std::endl;
  }
#endif
  (*f_s_Equ_s_Node_Ptr) +=  +staticContributions[admsNodeID_s].dx(admsProbeID_V_s_si) -staticContributions[admsNodeID_s].dx(admsProbeID_V_si_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_s_Equ_s_Node_Ptr) += " << +staticContributions[admsNodeID_s].dx(admsProbeID_V_s_si) -staticContributions[admsNodeID_s].dx(admsProbeID_V_si_s)<< std::endl;
  }
#endif
  (*f_s_Equ_di_Node_Ptr) +=  +staticContributions[admsNodeID_s].dx(admsProbeID_V_di_d) -staticContributions[admsNodeID_s].dx(admsProbeID_V_g_di) -staticContributions[admsNodeID_s].dx(admsProbeID_V_e_di) +staticContributions[admsNodeID_s].dx(admsProbeID_V_di_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_s_Equ_di_Node_Ptr) += " << +staticContributions[admsNodeID_s].dx(admsProbeID_V_di_d) -staticContributions[admsNodeID_s].dx(admsProbeID_V_g_di) -staticContributions[admsNodeID_s].dx(admsProbeID_V_e_di) +staticContributions[admsNodeID_s].dx(admsProbeID_V_di_si)<< std::endl;
  }
#endif
  (*f_s_Equ_si_Node_Ptr) +=  -staticContributions[admsNodeID_s].dx(admsProbeID_V_s_si) +staticContributions[admsNodeID_s].dx(admsProbeID_V_si_s) -staticContributions[admsNodeID_s].dx(admsProbeID_V_e_si) -staticContributions[admsNodeID_s].dx(admsProbeID_V_g_si) -staticContributions[admsNodeID_s].dx(admsProbeID_V_di_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_s_Equ_si_Node_Ptr) += " << -staticContributions[admsNodeID_s].dx(admsProbeID_V_s_si) +staticContributions[admsNodeID_s].dx(admsProbeID_V_si_s) -staticContributions[admsNodeID_s].dx(admsProbeID_V_e_si) -staticContributions[admsNodeID_s].dx(admsProbeID_V_g_si) -staticContributions[admsNodeID_s].dx(admsProbeID_V_di_si)<< std::endl;
  }
#endif
  (*f_s_Equ_g_Node_Ptr) +=  +staticContributions[admsNodeID_s].dx(admsProbeID_V_g_di) +staticContributions[admsNodeID_s].dx(admsProbeID_V_g_e) +staticContributions[admsNodeID_s].dx(admsProbeID_V_g_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_s_Equ_g_Node_Ptr) += " << +staticContributions[admsNodeID_s].dx(admsProbeID_V_g_di) +staticContributions[admsNodeID_s].dx(admsProbeID_V_g_e) +staticContributions[admsNodeID_s].dx(admsProbeID_V_g_si)<< std::endl;
  }
#endif
  (*f_s_Equ_e_Node_Ptr) +=  +staticContributions[admsNodeID_s].dx(admsProbeID_V_e_si) +staticContributions[admsNodeID_s].dx(admsProbeID_V_e_di) -staticContributions[admsNodeID_s].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_s_Equ_e_Node_Ptr) += " << +staticContributions[admsNodeID_s].dx(admsProbeID_V_e_si) +staticContributions[admsNodeID_s].dx(admsProbeID_V_e_di) -staticContributions[admsNodeID_s].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif
  (*f_d_Equ_di_Node_Ptr) +=  -staticContributions[admsNodeID_d].dx(admsProbeID_V_d_di) +staticContributions[admsNodeID_d].dx(admsProbeID_V_di_d) -staticContributions[admsNodeID_d].dx(admsProbeID_V_e_di) +staticContributions[admsNodeID_d].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_d].dx(admsProbeID_V_g_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_d_Equ_di_Node_Ptr) += " << -staticContributions[admsNodeID_d].dx(admsProbeID_V_d_di) +staticContributions[admsNodeID_d].dx(admsProbeID_V_di_d) -staticContributions[admsNodeID_d].dx(admsProbeID_V_e_di) +staticContributions[admsNodeID_d].dx(admsProbeID_V_di_si) -staticContributions[admsNodeID_d].dx(admsProbeID_V_g_di)<< std::endl;
  }
#endif
  (*f_d_Equ_si_Node_Ptr) +=  +staticContributions[admsNodeID_d].dx(admsProbeID_V_si_s) -staticContributions[admsNodeID_d].dx(admsProbeID_V_e_si) -staticContributions[admsNodeID_d].dx(admsProbeID_V_g_si) -staticContributions[admsNodeID_d].dx(admsProbeID_V_di_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_d_Equ_si_Node_Ptr) += " << +staticContributions[admsNodeID_d].dx(admsProbeID_V_si_s) -staticContributions[admsNodeID_d].dx(admsProbeID_V_e_si) -staticContributions[admsNodeID_d].dx(admsProbeID_V_g_si) -staticContributions[admsNodeID_d].dx(admsProbeID_V_di_si)<< std::endl;
  }
#endif
  (*f_d_Equ_g_Node_Ptr) +=  +staticContributions[admsNodeID_d].dx(admsProbeID_V_g_e) +staticContributions[admsNodeID_d].dx(admsProbeID_V_g_si) +staticContributions[admsNodeID_d].dx(admsProbeID_V_g_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_d_Equ_g_Node_Ptr) += " << +staticContributions[admsNodeID_d].dx(admsProbeID_V_g_e) +staticContributions[admsNodeID_d].dx(admsProbeID_V_g_si) +staticContributions[admsNodeID_d].dx(admsProbeID_V_g_di)<< std::endl;
  }
#endif
  (*f_d_Equ_e_Node_Ptr) +=  +staticContributions[admsNodeID_d].dx(admsProbeID_V_e_si) +staticContributions[admsNodeID_d].dx(admsProbeID_V_e_di) -staticContributions[admsNodeID_d].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_d_Equ_e_Node_Ptr) += " << +staticContributions[admsNodeID_d].dx(admsProbeID_V_e_si) +staticContributions[admsNodeID_d].dx(admsProbeID_V_e_di) -staticContributions[admsNodeID_d].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif


  return bsuccess;
}


//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdQdx
// Purpose       :
// Special Notes : Load the dQdx ("dynamic jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdQdx()
{
  bool bsuccess = true;
  N_LAS_Matrix * dQdxMatPtr = extData.dQdxMatrixPtr;

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << subsection_divider << std::endl;
    Xyce::dout() << "ADMSbsimcmg::Instance::loadDAEdQdx (" << getName() << "):" << std::endl;
  }
#endif
  (*q_di_Equ_g_Node_Ptr) +=  +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_d) +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_e) +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_si) +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_di_Equ_g_Node_Ptr) += " << +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_d) +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_e) +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_si) +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_di)<< std::endl;
  }
#endif
  (*q_di_Equ_di_Node_Ptr) +=  +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_d) +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_si) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_di_Equ_di_Node_Ptr) += " << +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_d) +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_si) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_di)<< std::endl;
  }
#endif
  (*q_si_Equ_g_Node_Ptr) +=  +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_s) +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_e) +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_si) +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_si_Equ_g_Node_Ptr) += " << +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_s) +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_e) +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_si) +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_di)<< std::endl;
  }
#endif
  (*q_si_Equ_di_Node_Ptr) +=  +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_d) +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_si) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_si_Equ_di_Node_Ptr) += " << +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_d) +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_si) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_di)<< std::endl;
  }
#endif
  (*q_di_Equ_si_Node_Ptr) +=  +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_si_s) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_si) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_si) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_di_Equ_si_Node_Ptr) += " << +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_si_s) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_si) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_si) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_si)<< std::endl;
  }
#endif
  (*q_si_Equ_si_Node_Ptr) +=  +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_si_s) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_si) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_si) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_si_Equ_si_Node_Ptr) += " << +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_si_s) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_si) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_si) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_si)<< std::endl;
  }
#endif
  (*q_di_Equ_e_Node_Ptr) +=  +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_si) +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_di_Equ_e_Node_Ptr) += " << +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_si) +dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif
  (*q_si_Equ_e_Node_Ptr) +=  +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_si) +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_si_Equ_e_Node_Ptr) += " << +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_si) +dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif
  (*q_g_Equ_g_Node_Ptr) +=  +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_d) +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_s) -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_g) +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_e) +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_si) +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_g_Equ_g_Node_Ptr) += " << +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_d) +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_s) -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_g) +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_e) +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_si) +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_di)<< std::endl;
  }
#endif
  (*q_g_Equ_di_Node_Ptr) +=  +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_di_si) -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_di);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_g_Equ_di_Node_Ptr) += " << +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_di_si) -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_di)<< std::endl;
  }
#endif
  (*q_g_Equ_si_Node_Ptr) +=  -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_di_si) -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_si) -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_g_Equ_si_Node_Ptr) += " << -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_di_si) -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_si) -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_si)<< std::endl;
  }
#endif
  (*q_g_Equ_e_Node_Ptr) +=  +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_g) +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_si) +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_g_Equ_e_Node_Ptr) += " << +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_g) +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_si) +dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif
  (*q_g_Equ_s_Node_Ptr) +=  -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_g_Equ_s_Node_Ptr) += " << -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_s)<< std::endl;
  }
#endif
  (*q_si_Equ_s_Node_Ptr) +=  -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_s) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_si_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_si_Equ_s_Node_Ptr) += " << -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_s) -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_si_s)<< std::endl;
  }
#endif
  (*q_g_Equ_d_Node_Ptr) +=  -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_d);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_g_Equ_d_Node_Ptr) += " << -dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_d)<< std::endl;
  }
#endif
  (*q_si_Equ_d_Node_Ptr) +=  -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_d);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_si_Equ_d_Node_Ptr) += " << -dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_d)<< std::endl;
  }
#endif
  (*q_di_Equ_s_Node_Ptr) +=  -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_si_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_di_Equ_s_Node_Ptr) += " << -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_si_s)<< std::endl;
  }
#endif
  (*q_di_Equ_d_Node_Ptr) +=  -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_d) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_d);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_di_Equ_d_Node_Ptr) += " << -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_d) -dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_d)<< std::endl;
  }
#endif
  (*q_e_Equ_g_Node_Ptr) +=  -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_g) +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_di) +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_e) +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_e_Equ_g_Node_Ptr) += " << -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_g) +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_di) +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_e) +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_si)<< std::endl;
  }
#endif
  (*q_e_Equ_e_Node_Ptr) +=  +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_g) +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_si) +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_e_Equ_e_Node_Ptr) += " << +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_g) +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_si) +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif
  (*q_e_Equ_di_Node_Ptr) +=  +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_d) -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_di) -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_di) +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_e_Equ_di_Node_Ptr) += " << +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_d) -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_di) -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_di) +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_si)<< std::endl;
  }
#endif
  (*q_e_Equ_si_Node_Ptr) +=  +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_si_s) -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_si) -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_si) -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_e_Equ_si_Node_Ptr) += " << +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_si_s) -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_si) -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_si) -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_si)<< std::endl;
  }
#endif
  (*q_e_Equ_s_Node_Ptr) +=  -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_si_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_e_Equ_s_Node_Ptr) += " << -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_si_s)<< std::endl;
  }
#endif
  (*q_e_Equ_d_Node_Ptr) +=  -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_d);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_e_Equ_d_Node_Ptr) += " << -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_d)<< std::endl;
  }
#endif
  (*q_d_Equ_d_Node_Ptr) +=  -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_d) +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_d_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_d_Equ_d_Node_Ptr) += " << -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_d) +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_d_s)<< std::endl;
  }
#endif
  (*q_d_Equ_s_Node_Ptr) +=  -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_d_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_d_Equ_s_Node_Ptr) += " << -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_d_s)<< std::endl;
  }
#endif
  (*q_s_Equ_d_Node_Ptr) +=  +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_d_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_s_Equ_d_Node_Ptr) += " << +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_d_s)<< std::endl;
  }
#endif
  (*q_s_Equ_s_Node_Ptr) +=  -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_s) -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_d_s);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_s_Equ_s_Node_Ptr) += " << -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_s) -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_d_s)<< std::endl;
  }
#endif
  (*q_s_Equ_di_Node_Ptr) +=  -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_di) -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_di) +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_di_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_s_Equ_di_Node_Ptr) += " << -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_di) -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_di) +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_di_si)<< std::endl;
  }
#endif
  (*q_s_Equ_si_Node_Ptr) +=  -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_si) -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_si) -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_di_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_s_Equ_si_Node_Ptr) += " << -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_si) -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_si) -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_di_si)<< std::endl;
  }
#endif
  (*q_s_Equ_g_Node_Ptr) +=  +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_s) +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_di) +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_e) +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_s_Equ_g_Node_Ptr) += " << +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_s) +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_di) +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_e) +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_si)<< std::endl;
  }
#endif
  (*q_s_Equ_e_Node_Ptr) +=  +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_si) +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_s_Equ_e_Node_Ptr) += " << +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_si) +dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif
  (*q_d_Equ_di_Node_Ptr) +=  -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_di) -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_di) +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_di_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_d_Equ_di_Node_Ptr) += " << -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_di) -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_di) +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_di_si)<< std::endl;
  }
#endif
  (*q_d_Equ_si_Node_Ptr) +=  -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_si) -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_si) -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_di_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_d_Equ_si_Node_Ptr) += " << -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_si) -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_si) -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_di_si)<< std::endl;
  }
#endif
  (*q_d_Equ_g_Node_Ptr) +=  +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_d) +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_di) +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_e) +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_si);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_d_Equ_g_Node_Ptr) += " << +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_d) +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_di) +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_e) +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_si)<< std::endl;
  }
#endif
  (*q_d_Equ_e_Node_Ptr) +=  +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_si) +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_d_Equ_e_Node_Ptr) += " << +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_si) +dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_di) -dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_e)<< std::endl;
  }
#endif


  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateTemperature
// Purpose       : Set temperature and update any parameters that depend on it
// Special Notes : In Xyce ADMS, we'll simply copy the temperature, which is
//                 in Kelvin, to our "admsTemperature" variable, which needs
//                 to be in Celsius.
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateTemperature(const double & temperatureTemp)
{

  admsTemperature = temperatureTemp;
  adms_vt_nom = adms_vt(temperatureTemp);

  return true;
}

// Class Model
//-----------------------------------------------------------------------------
// Function      : Model::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Model::processParams()
{

  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

  //    Parameter NF : [ 1,  (+inf) [
  if ( (!((NF >=1))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NF value " << NF << " out of range [ 1,  (+inf) [";
  }

  //    Parameter U0MULT : [ 0,  (+inf) [
  if ( (!((U0MULT >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter U0MULT value " << U0MULT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter IDS0MULT : [ 0,  (+inf) [
  if ( (!((IDS0MULT >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter IDS0MULT value " << IDS0MULT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter DEVTYPE : [ 0, 1 ]
  if ( (!((DEVTYPE >=0 && DEVTYPE <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter DEVTYPE value " << DEVTYPE << " out of range [ 0, 1 ]";
  }

  //    Parameter BULKMOD : [ 0, 1 ]
  if ( (!((BULKMOD >=0 && BULKMOD <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter BULKMOD value " << BULKMOD << " out of range [ 0, 1 ]";
  }

  //    Parameter COREMOD : [ 0, 1 ]
  if ( (!((COREMOD >=0 && COREMOD <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter COREMOD value " << COREMOD << " out of range [ 0, 1 ]";
  }

  //    Parameter GEOMOD : [ 0, 3 ]
  if ( (!((GEOMOD >=0 && GEOMOD <=3 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter GEOMOD value " << GEOMOD << " out of range [ 0, 3 ]";
  }

  //    Parameter CGEO1SW : [ 0, 1 ]
  if ( (!((CGEO1SW >=0 && CGEO1SW <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CGEO1SW value " << CGEO1SW << " out of range [ 0, 1 ]";
  }

  //    Parameter RDSMOD : [ 0, 1 ]
  if ( (!((RDSMOD >=0 && RDSMOD <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter RDSMOD value " << RDSMOD << " out of range [ 0, 1 ]";
  }

  //    Parameter ASYMMOD : [ 0, 1 ]
  if ( (!((ASYMMOD >=0 && ASYMMOD <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter ASYMMOD value " << ASYMMOD << " out of range [ 0, 1 ]";
  }

  //    Parameter IGCMOD : [ 0, 1 ]
  if ( (!((IGCMOD >=0 && IGCMOD <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter IGCMOD value " << IGCMOD << " out of range [ 0, 1 ]";
  }

  //    Parameter IGBMOD : [ 0, 1 ]
  if ( (!((IGBMOD >=0 && IGBMOD <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter IGBMOD value " << IGBMOD << " out of range [ 0, 1 ]";
  }

  //    Parameter GIDLMOD : [ 0, 1 ]
  if ( (!((GIDLMOD >=0 && GIDLMOD <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter GIDLMOD value " << GIDLMOD << " out of range [ 0, 1 ]";
  }

  //    Parameter IIMOD : [ 0, 2 ]
  if ( (!((IIMOD >=0 && IIMOD <=2 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter IIMOD value " << IIMOD << " out of range [ 0, 2 ]";
  }

  //    Parameter NQSMOD : [ 0, 2 ]
  if ( (!((NQSMOD >=0 && NQSMOD <=2 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NQSMOD value " << NQSMOD << " out of range [ 0, 2 ]";
  }

  //    Parameter SHMOD : [ 0, 1 ]
  if ( (!((SHMOD >=0 && SHMOD <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter SHMOD value " << SHMOD << " out of range [ 0, 1 ]";
  }

  //    Parameter RGATEMOD : [ 0, 1 ]
  if ( (!((RGATEMOD >=0 && RGATEMOD <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter RGATEMOD value " << RGATEMOD << " out of range [ 0, 1 ]";
  }

  //    Parameter RGEOMOD : [ 0, 1 ]
  if ( (!((RGEOMOD >=0 && RGEOMOD <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter RGEOMOD value " << RGEOMOD << " out of range [ 0, 1 ]";
  }

  //    Parameter CGEOMOD : [ 0, 2 ]
  if ( (!((CGEOMOD >=0 && CGEOMOD <=2 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CGEOMOD value " << CGEOMOD << " out of range [ 0, 2 ]";
  }

  //    Parameter CAPMOD : [ 0, 1 ]
  if ( (!((CAPMOD >=0 && CAPMOD <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CAPMOD value " << CAPMOD << " out of range [ 0, 1 ]";
  }

  //    Parameter EOT : [ 0.1*1.0e-9,  (+inf) [
  if ( (!((EOT >=0.1*1.0e-9))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter EOT value " << EOT << " out of range [ 0.1*1.0e-9,  (+inf) [";
  }

  //    Parameter TOXP : [ 0.1*1.0e-9,  (+inf) [
  if ( (!((TOXP >=0.1*1.0e-9))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter TOXP value " << TOXP << " out of range [ 0.1*1.0e-9,  (+inf) [";
  }

  //    Parameter EOTBOX : [ 1*1.0e-9,  (+inf) [
  if ( (!((EOTBOX >=1*1.0e-9))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter EOTBOX value " << EOTBOX << " out of range [ 1*1.0e-9,  (+inf) [";
  }

  //    Parameter HFIN : [ 1*1.0e-9,  (+inf) [
  if ( (!((HFIN >=1*1.0e-9))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter HFIN value " << HFIN << " out of range [ 1*1.0e-9,  (+inf) [";
  }

  //    Parameter FECH : [ 0,  (+inf) [
  if ( (!((FECH >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter FECH value " << FECH << " out of range [ 0,  (+inf) [";
  }

  //    Parameter FECHCV : [ 0,  (+inf) [
  if ( (!((FECHCV >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter FECHCV value " << FECHCV << " out of range [ 0,  (+inf) [";
  }

  //    Parameter NBODY : [ 1e18, 5e24 ]
  if ( (!((NBODY >=1e18 && NBODY <=5e24 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NBODY value " << NBODY << " out of range [ 1e18, 5e24 ]";
  }

  //    Parameter NBODYN1 : [ (-0.08),  (+inf) [
  if ( (!((NBODYN1 >=(-0.08)))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NBODYN1 value " << NBODYN1 << " out of range [ (-0.08),  (+inf) [";
  }

  //    Parameter NBODYN2 : [ 1.0e-5,  (+inf) [
  if ( (!((NBODYN2 >=1.0e-5))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NBODYN2 value " << NBODYN2 << " out of range [ 1.0e-5,  (+inf) [";
  }

  //    Parameter NSD : [ 2e25, 1e27 ]
  if ( (!((NSD >=2e25 && NSD <=1e27 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NSD value " << NSD << " out of range [ 2e25, 1e27 ]";
  }

  //    Parameter PHIG : [ 0,  (+inf) [
  if ( (!((PHIG >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter PHIG value " << PHIG << " out of range [ 0,  (+inf) [";
  }

  //    Parameter PHIGN1 : [ (-0.08),  (+inf) [
  if ( (!((PHIGN1 >=(-0.08)))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter PHIGN1 value " << PHIGN1 << " out of range [ (-0.08),  (+inf) [";
  }

  //    Parameter PHIGN2 : [ 1.0e-5,  (+inf) [
  if ( (!((PHIGN2 >=1.0e-5))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter PHIGN2 value " << PHIGN2 << " out of range [ 1.0e-5,  (+inf) [";
  }

  //    Parameter EPSROX : [ 1,  (+inf) [
  if ( (!((EPSROX >=1))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter EPSROX value " << EPSROX << " out of range [ 1,  (+inf) [";
  }

  //    Parameter EPSRSUB : [ 1,  (+inf) [
  if ( (!((EPSRSUB >=1))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter EPSRSUB value " << EPSRSUB << " out of range [ 1,  (+inf) [";
  }

  //    Parameter EASUB : [ 0,  (+inf) [
  if ( (!((EASUB >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter EASUB value " << EASUB << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CDSCN1 : [ (-0.08),  (+inf) [
  if ( (!((CDSCN1 >=(-0.08)))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CDSCN1 value " << CDSCN1 << " out of range [ (-0.08),  (+inf) [";
  }

  //    Parameter CDSCN2 : [ 1.0e-5,  (+inf) [
  if ( (!((CDSCN2 >=1.0e-5))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CDSCN2 value " << CDSCN2 << " out of range [ 1.0e-5,  (+inf) [";
  }

  //    Parameter CDSCDN1 : [ (-0.08),  (+inf) [
  if ( (!((CDSCDN1 >=(-0.08)))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CDSCDN1 value " << CDSCDN1 << " out of range [ (-0.08),  (+inf) [";
  }

  //    Parameter CDSCDN2 : [ 1.0e-5,  (+inf) [
  if ( (!((CDSCDN2 >=1.0e-5))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CDSCDN2 value " << CDSCDN2 << " out of range [ 1.0e-5,  (+inf) [";
  }

  //    Parameter CDSCDRN1 : [ (-0.08),  (+inf) [
  if ( (!((CDSCDRN1 >=(-0.08)))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CDSCDRN1 value " << CDSCDRN1 << " out of range [ (-0.08),  (+inf) [";
  }

  //    Parameter CDSCDRN2 : [ 1.0e-5,  (+inf) [
  if ( (!((CDSCDRN2 >=1.0e-5))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CDSCDRN2 value " << CDSCDRN2 << " out of range [ 1.0e-5,  (+inf) [";
  }

  //    Parameter ETA0N1 : [ (-0.08),  (+inf) [
  if ( (!((ETA0N1 >=(-0.08)))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter ETA0N1 value " << ETA0N1 << " out of range [ (-0.08),  (+inf) [";
  }

  //    Parameter ETA0N2 : [ 1.0e-5,  (+inf) [
  if ( (!((ETA0N2 >=1.0e-5))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter ETA0N2 value " << ETA0N2 << " out of range [ 1.0e-5,  (+inf) [";
  }

  //    Parameter VSATN1 : [ (-0.08),  (+inf) [
  if ( (!((VSATN1 >=(-0.08)))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter VSATN1 value " << VSATN1 << " out of range [ (-0.08),  (+inf) [";
  }

  //    Parameter VSATN2 : [ 1.0e-5,  (+inf) [
  if ( (!((VSATN2 >=1.0e-5))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter VSATN2 value " << VSATN2 << " out of range [ 1.0e-5,  (+inf) [";
  }

  //    Parameter VSAT1N1 : [ (-0.08),  (+inf) [
  if ( (!((VSAT1N1 >=(-0.08)))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter VSAT1N1 value " << VSAT1N1 << " out of range [ (-0.08),  (+inf) [";
  }

  //    Parameter VSAT1N2 : [ 1.0e-5,  (+inf) [
  if ( (!((VSAT1N2 >=1.0e-5))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter VSAT1N2 value " << VSAT1N2 << " out of range [ 1.0e-5,  (+inf) [";
  }

  //    Parameter VSAT1RN1 : [ (-0.08),  (+inf) [
  if ( (!((VSAT1RN1 >=(-0.08)))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter VSAT1RN1 value " << VSAT1RN1 << " out of range [ (-0.08),  (+inf) [";
  }

  //    Parameter VSAT1RN2 : [ 1.0e-5,  (+inf) [
  if ( (!((VSAT1RN2 >=1.0e-5))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter VSAT1RN2 value " << VSAT1RN2 << " out of range [ 1.0e-5,  (+inf) [";
  }

  //    Parameter U0N1 : [ (-0.08),  (+inf) [
  if ( (!((U0N1 >=(-0.08)))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter U0N1 value " << U0N1 << " out of range [ (-0.08),  (+inf) [";
  }

  //    Parameter U0N2 : [ 1.0e-5,  (+inf) [
  if ( (!((U0N2 >=1.0e-5))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter U0N2 value " << U0N2 << " out of range [ 1.0e-5,  (+inf) [";
  }

  //    Parameter CHARGEWF : [ (-1), 1 ]
  if ( (!((CHARGEWF >=(-1) && CHARGEWF <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CHARGEWF value " << CHARGEWF << " out of range [ (-1), 1 ]";
  }

  //    Parameter RSDR : [ 0,  (+inf) [
  if ( (!((RSDR >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter RSDR value " << RSDR << " out of range [ 0,  (+inf) [";
  }

  //    Parameter RSDRR : [ 0,  (+inf) [
  if ( (!((RSDRR >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter RSDRR value " << RSDRR << " out of range [ 0,  (+inf) [";
  }

  //    Parameter RDDR : [ 0,  (+inf) [
  if ( (!((RDDR >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter RDDR value " << RDDR << " out of range [ 0,  (+inf) [";
  }

  //    Parameter RDDRR : [ 0,  (+inf) [
  if ( (!((RDDRR >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter RDDRR value " << RDDRR << " out of range [ 0,  (+inf) [";
  }

  //    Parameter RGEXT : [ 0,  (+inf) [
  if ( (!((RGEXT >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter RGEXT value " << RGEXT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter RGFIN : [ 1.0e-3,  (+inf) [
  if ( (!((RGFIN >=1.0e-3))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter RGFIN value " << RGFIN << " out of range [ 1.0e-3,  (+inf) [";
  }

  //    Parameter RHOC : [ 1.0e-18, 1.0e-9 ]
  if ( (!((RHOC >=1.0e-18 && RHOC <=1.0e-9 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter RHOC value " << RHOC << " out of range [ 1.0e-18, 1.0e-9 ]";
  }

  //    Parameter RHORSD : ] 0,  (+inf) [
  if ( (!((RHORSD >0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter RHORSD value " << RHORSD << " out of range ] 0,  (+inf) [";
  }

  //    Parameter CRATIO : [ 0, 1 ]
  if ( (!((CRATIO >=0 && CRATIO <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CRATIO value " << CRATIO << " out of range [ 0, 1 ]";
  }

  //    Parameter DELTAPRSD : ] (-FPITCH),  (+inf) [
  if ( (!((DELTAPRSD >(-FPITCH)))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter DELTAPRSD value " << DELTAPRSD << " out of range ] (-FPITCH),  (+inf) [";
  }

  //    Parameter SDTERM : [ 0, 1 ]
  if ( (!((SDTERM >=0 && SDTERM <=1 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter SDTERM value " << SDTERM << " out of range [ 0, 1 ]";
  }

  //    Parameter LSP : ] 0,  (+inf) [
  if ( (!((LSP >0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter LSP value " << LSP << " out of range ] 0,  (+inf) [";
  }

  //    Parameter EPSRSP : [ 1,  (+inf) [
  if ( (!((EPSRSP >=1))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter EPSRSP value " << EPSRSP << " out of range [ 1,  (+inf) [";
  }

  //    Parameter TGATE : ] 0,  (+inf) [
  if ( (!((TGATE >0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter TGATE value " << TGATE << " out of range ] 0,  (+inf) [";
  }

  //    Parameter TMASK : [ 0,  (+inf) [
  if ( (!((TMASK >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter TMASK value " << TMASK << " out of range [ 0,  (+inf) [";
  }

  //    Parameter ASILIEND : [ 0,  (+inf) [
  if ( (!((ASILIEND >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter ASILIEND value " << ASILIEND << " out of range [ 0,  (+inf) [";
  }

  //    Parameter ARSDEND : [ 0,  (+inf) [
  if ( (!((ARSDEND >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter ARSDEND value " << ARSDEND << " out of range [ 0,  (+inf) [";
  }

  //    Parameter PRSDEND : [ 0,  (+inf) [
  if ( (!((PRSDEND >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter PRSDEND value " << PRSDEND << " out of range [ 0,  (+inf) [";
  }

  //    Parameter NSDE : [ 1e25, 1e26 ]
  if ( (!((NSDE >=1e25 && NSDE <=1e26 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NSDE value " << NSDE << " out of range [ 1e25, 1e26 ]";
  }

  //    Parameter CGEOE : [ 0,  (+inf) [
  if ( (!((CGEOE >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CGEOE value " << CGEOE << " out of range [ 0,  (+inf) [";
  }

  //    Parameter TOXREF : ] 0,  (+inf) [
  if ( (!((TOXREF >0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter TOXREF value " << TOXREF << " out of range ] 0,  (+inf) [";
  }

  //    Parameter EOTACC : [ 0.1*1.0e-9,  (+inf) [
  if ( (!((EOTACC >=0.1*1.0e-9))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter EOTACC value " << EOTACC << " out of range [ 0.1*1.0e-9,  (+inf) [";
  }

  //    Parameter CFS : [ 0,  (+inf) [
  if ( (!((CFS >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CFS value " << CFS << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CFD : [ 0,  (+inf) [
  if ( (!((CFD >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CFD value " << CFD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CGSO : [ 0,  (+inf) [
  if ( (!((CGSO >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CGSO value " << CGSO << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CGDO : [ 0,  (+inf) [
  if ( (!((CGDO >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CGDO value " << CGDO << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CGSL : [ 0,  (+inf) [
  if ( (!((CGSL >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CGSL value " << CGSL << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CGDL : [ 0,  (+inf) [
  if ( (!((CGDL >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CGDL value " << CGDL << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CKAPPAS : [ 0.02,  (+inf) [
  if ( (!((CKAPPAS >=0.02))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CKAPPAS value " << CKAPPAS << " out of range [ 0.02,  (+inf) [";
  }

  //    Parameter CKAPPAD : [ 0.02,  (+inf) [
  if ( (!((CKAPPAD >=0.02))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CKAPPAD value " << CKAPPAD << " out of range [ 0.02,  (+inf) [";
  }

  //    Parameter CGBO : [ 0,  (+inf) [
  if ( (!((CGBO >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CGBO value " << CGBO << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CGBN : [ 0,  (+inf) [
  if ( (!((CGBN >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CGBN value " << CGBN << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CGBL : [ 0,  (+inf) [
  if ( (!((CGBL >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CGBL value " << CGBL << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CKAPPAB : [ 0.02,  (+inf) [
  if ( (!((CKAPPAB >=0.02))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CKAPPAB value " << CKAPPAB << " out of range [ 0.02,  (+inf) [";
  }

  //    Parameter CSDESW : [ 0,  (+inf) [
  if ( (!((CSDESW >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CSDESW value " << CSDESW << " out of range [ 0,  (+inf) [";
  }

  //    Parameter SJS : [ 0,  (+inf) [
  if ( (!((SJS >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter SJS value " << SJS << " out of range [ 0,  (+inf) [";
  }

  //    Parameter SJD : [ 0,  (+inf) [
  if ( (!((SJD >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter SJD value " << SJD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter SJSWS : [ 0,  (+inf) [
  if ( (!((SJSWS >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter SJSWS value " << SJSWS << " out of range [ 0,  (+inf) [";
  }

  //    Parameter SJSWD : [ 0,  (+inf) [
  if ( (!((SJSWD >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter SJSWD value " << SJSWD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter SJSWGS : [ 0,  (+inf) [
  if ( (!((SJSWGS >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter SJSWGS value " << SJSWGS << " out of range [ 0,  (+inf) [";
  }

  //    Parameter SJSWGD : [ 0,  (+inf) [
  if ( (!((SJSWGD >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter SJSWGD value " << SJSWGD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter NSEG : [ 4, 10 ]
  if ( (!((NSEG >=4 && NSEG <=10 ))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NSEG value " << NSEG << " out of range [ 4, 10 ]";
  }

  //    Parameter NTNOI : [ 0,  (+inf) [
  if ( (!((NTNOI >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter NTNOI value " << NTNOI << " out of range [ 0,  (+inf) [";
  }

  //    Parameter TNOM : [ (-273.15),  (+inf) [
  if ( (!((TNOM >=(-273.15)))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter TNOM value " << TNOM << " out of range [ (-273.15),  (+inf) [";
  }

  //    Parameter RTH0 : [ 0,  (+inf) [
  if ( (!((RTH0 >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter RTH0 value " << RTH0 << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CTH0 : [ 0,  (+inf) [
  if ( (!((CTH0 >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter CTH0 value " << CTH0 << " out of range [ 0,  (+inf) [";
  }

  //    Parameter WTH0 : [ 0,  (+inf) [
  if ( (!((WTH0 >=0))) )
  {
    UserError0(*this) << "ADMSbsimcmg: Parameter WTH0 value " << WTH0 << " out of range [ 0,  (+inf) [";
  }


  // and of course, this routine is where we should put the initial_model
  // stuff


  return true;
}
//----------------------------------------------------------------------------
// Function      : Model::processInstanceParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//----------------------------------------------------------------------------
bool Model::processInstanceParams()
{

  std::vector<Instance*>::iterator iter;
  std::vector<Instance*>::iterator first = instanceContainer.begin();
  std::vector<Instance*>::iterator last  = instanceContainer.end();

  for (iter=first; iter!=last; ++iter)
  {
    (*iter)->processParams();
  }

  return true;
}

//-----------------------------------------------------------------------------
// Function      : Model::Model
// Purpose       : model block constructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::Model(
   const Configuration & configuration,
   const ModelBlock &    model_block,
   const FactoryBlock &  factory_block)
  : DeviceModel(model_block, configuration.getModelParameters(), factory_block),
    NF(1),
    XL(0),
    DTEMP(0),
    DELVTRAND(0),
    U0MULT(1),
    IDS0MULT(1),
    DEVTYPE(1),
    BULKMOD(0),
    COREMOD(0),
    GEOMOD(1),
    CGEO1SW(0),
    RDSMOD(0),
    ASYMMOD(0),
    IGCMOD(0),
    IGBMOD(0),
    GIDLMOD(0),
    IIMOD(0),
    NQSMOD(0),
    SHMOD(0),
    RGATEMOD(0),
                                                                 RGEOMOD(0),
                                                                 CGEOMOD(0),
                                                                 CAPMOD(0),
                                                                 LINT(0),
                                                                 LL(0),
                                                                 LLN(1),
                                                                 DLC(0),
                                                                 DLCACC(0),
                                                                 DLBIN(0),
                                                                 LLC(0),
                                                                 EOT(1.0*1.0e-9),
                                                                 TOXP(1.2*1.0e-9),
                                                                 EOTBOX(140*1.0e-9),
                                                                 HFIN(30*1.0e-9),
                                                                 FECH(1),
                                                                 DELTAW(0),
                                                                 FECHCV(1),
                                                                 DELTAWCV(0),
                                                                 NBODY(1e22),
                                                                 NBODYN1(0),
                                                                 NBODYN2(1.0e5),
                                                                 NSD(2e26),
                                                                 PHIG(4.61),
                                                                 PHIGL(0),
                                                                 PHIGN1(0),
                                                                 PHIGN2(1.0e5),
                                                                 EPSROX(3.9),
                                                                 EPSRSUB(11.9),
                                                                 EASUB(4.05),
                                                                 NI0SUB(1.1e16),
                                                                 BG0SUB(1.12),
                                                                 NC0SUB(2.86e25),
                                                                 NGATE(0.0),
                                                                 Imin(1.0E-15),
                                                                 CIT(0.0),
                                                                 CDSC(7e-3),
                                                                 CDSCN1(0),
                                                                 CDSCN2(1.0e5),
                                                                 CDSCD(7e-3),
                                                                 CDSCDN1(0),
                                                                 CDSCDN2(1.0e5),
                                                                 CDSCDR(0.0),
                                                                 CDSCDRN1(0.0),
                                                                 CDSCDRN2(0.0),
                                                                 DVT0(0.0),
                                                                 DVT1(0.60),
                                                                 DVT1SS(0.0),
                                                                 PHIN(0.05),
                                                                 ETA0(0.60),
                                                                 ETA0N1(0),
                                                                 ETA0N2(1.0e5),
                                                                 TETA0(0.0),
                                                                 ETA0R(0.0),
                                                                 TETA0R(0.0),
                                                                 DSUB(1.06),
                                                                 DVTP0(0),
                                                                 DVTP1(0),
                                                                 K1RSCE(0.0),
                                                                 LPE0(5.0*1.0e-9),
                                                                 DVTSHIFT(0),
                                                                 K0(0.0),
                                                                 K01(0.0),
                                                                 K0SI(1.0),
                                                                 K0SI1(0.0),
                                                                 K1SI(0.0),
                                                                 K1SI1(0.0),
                                                                 PHIBE(0.7),
                                                                 K1(0.0),
                                                                 K11(0.0),
                                                                 K1SAT(0.0),
                                                                 K1SAT1(0.0),
                                                                 QMFACTOR(0.0),
                                                                 QMTCENIV(0.0),
                                                                 QMTCENCV(0.0),
                                                                 QMTCENCVA(0.0),
                                                                 AQMTCEN(0.0),
                                                                 BQMTCEN(12.0e-9),
                                                                 ETAQM(0.54),
                                                                 QM0(1.00e-3),
                                                                 PQM(0.66),
                                                                 QM0ACC(1.00e-3),
                                                                 PQMACC(0.66),
                                                                 VSAT(85000),
                                                                 VSATN1(0),
                                                                 VSATN2(1.0e5),
                                                                 AVSAT(0.0),
                                                                 BVSAT(100.0e-9),
                                                                 VSAT1(0.0),
                                                                 VSAT1N1(0.0),
                                                                 VSAT1N2(0.0),
                                                                 VSAT1R(0.0),
                                                                 VSAT1RN1(0.0),
                                                                 VSAT1RN2(0.0),
                                                                 AVSAT1(0.0),
                                                                 BVSAT1(0.0),
                                                                 DELTAVSAT(1.0),
                                                                 PSAT(2.0),
                                                                 APSAT(0.0),
                                                                 BPSAT(1.0),
                                                                 KSATIV(1.0),
                                                                 VSATCV(0.0),
                                                                 AVSATCV(0.0),
                                                                 BVSATCV(0.0),
                                                                 DELTAVSATCV(0.0),
                                                                 PSATCV(0.0),
                                                                 APSATCV(0.0),
                                                                 BPSATCV(0.0),
                                                                 MEXP(4.0),
                                                                 AMEXP(0.0),
                                                                 BMEXP(1.0),
                                                                 MEXPR(0.0),
                                                                 AMEXPR(0.0),
                                                                 BMEXPR(0.0),
                                                                 PTWG(0.0),
                                                                 PTWGR(0.0),
                                                                 APTWG(0.0),
                                                                 BPTWG(100.0e-9),
                                                                 AT((-1.56e-3)),
                                                                 TMEXP(0.0),
                                                                 TMEXPR(0.0),
                                                                 PTWGT(0.004),
                                                                 U0(0.03),
                                                                 U0N1(0),
                                                                 U0N2(1.0e5),
                                                                 ETAMOB(2.0),
                                                                 UP(0),
                                                                 LPA(1.0),
                                                                 UA(0.3),
                                                                 AUA(0.0),
                                                                 BUA(100.0e-9),
                                                                 UC(0.0),
                                                                 EU(2.5),
                                                                 AEU(0.0),
                                                                 BEU(100.0e-9),
                                                                 UD(0.0),
                                                                 AUD(0.0),
                                                                 BUD(50.0e-9),
                                                                 UCS(1.0),
                                                                 UTE(0.0),
                                                                 UTL((-1.5e-3)),
                                                                 EMOBT(0.0),
                                                                 UA1(1.032e-3),
                                                                 UC1(0.056e-9),
                                                                 UD1(0.0),
                                                                 UCSTE((-4.775e-3)),
                                                                 CHARGEWF(0),
                                                                 RDSWMIN(0.0),
                                                                 RDSW(100.0),
                                                                 ARDSW(0.0),
                                                                 BRDSW(100.0e-9),
                                                                 RSWMIN(0.0),
                                                                 RSW(50.0),
                                                                 ARSW(0.0),
                                                                 BRSW(100.0e-9),
                                                                 RDWMIN(0.0),
                                                                 RDW(50.0),
                                                                 ARDW(0.0),
                                                                 BRDW(100.0e-9),
                                                                 RSDR(0.0),
                                                                 RSDRR(0.0),
                                                                 RDDR(0.0),
                                                                 RDDRR(0.0),
                                                                 PRSDR(1.0),
                                                                 PRDDR(0.0),
                                                                 PRWGS(0.0),
                                                                 PRWGD(0.0),
                                                                 WR(1.0),
                                                                 PRT(0.001),
                                                                 TRSDR(0.0),
                                                                 TRDDR(0.0),
                                                                 PDIBL1(1.30),
                                                                 PDIBL1R(0.0),
                                                                 PDIBL2(2.0e-4),
                                                                 DROUT(1.06),
                                                                 PVAG(1.0),
                                                                 PCLM(0.013),
                                                                 APCLM(0.0),
                                                                 BPCLM(100.0e-9),
                                                                 PCLMG(0.0),
                                                                 PCLMCV(0.0),
                                                                 A1(0.0),
                                                                 A11(0.0),
                                                                 A2(0.0),
                                                                 A21(0.0),
                                                                 RGEXT(0.0),
                                                                 RGFIN(1.0e-3),
                                                                 RSHS(0.0),
                                                                 RSHD(0.0),
                                                                 HEPI(10.0*1.0e-9),
                                                                 TSILI(10.0*1.0e-9),
                                                                 RHOC(1.0e-12),
                                                                 RHORSD(1.0),
                                                                 CRATIO(0.5),
                                                                 DELTAPRSD(0.0),
                                                                 SDTERM(0),
                                                                 LSP(0.0),
                                                                 EPSRSP(3.9),
                                                                 TGATE(30.0*1.0e-9),
                                                                 TMASK(30.0*1.0e-9),
                                                                 ASILIEND(0.0),
                                                                 ARSDEND(0.0),
                                                                 PRSDEND(0.0),
                                                                 NSDE(2e25),
                                                                 RGEOA(1.0),
                                                                 RGEOB(0.0),
                                                                 RGEOC(0.0),
                                                                 RGEOD(0.0),
                                                                 RGEOE(0.0),
                                                                 CGEOA(1.0),
                                                                 CGEOB(0.0),
                                                                 CGEOC(0.0),
                                                                 CGEOD(0.0),
                                                                 CGEOE(1.0),
                                                                 AIGBINV(1.11e-2),
                                                                 AIGBINV1(0),
                                                                 BIGBINV(9.49e-4),
                                                                 CIGBINV(6.00e-3),
                                                                 EIGBINV(1.1),
                                                                 NIGBINV(3.0),
                                                                 AIGBACC(1.36e-2),
                                                                 AIGBACC1(0),
                                                                 BIGBACC(1.71e-3),
                                                                 CIGBACC(7.5e-2),
                                                                 NIGBACC(1.0),
                                                                 AIGC(1.36e-2),
                                                                 AIGC1(0),
                                                                 BIGC(1.71e-3),
                                                                 CIGC(0.075),
                                                                 PIGCD(1.0),
                                                                 DLCIGS(0),
                                                                 AIGS(1.36e-2),
                                                                 AIGS1(0),
                                                                 BIGS(1.71e-3),
                                                                 CIGS(0.075),
                                                                 DLCIGD(0.0),
                                                                 AIGD(0.0),
                                                                 AIGD1(0.0),
                                                                 BIGD(0.0),
                                                                 CIGD(0.0),
                                                                 TOXREF(1.2*1.0e-9),
                                                                 TOXG(0.0),
                                                                 NTOX(1.0),
                                                                 POXEDGE(1.0),
                                                                 AGISL(6.055*1.0e-12),
                                                                 BGISL(0.3e9),
                                                                 CGISL(0.5),
                                                                 EGISL(0.2),
                                                                 PGISL(1.0),
                                                                 AGIDL(0.0),
                                                                 BGIDL(0.0),
                                                                 CGIDL(0.0),
                                                                 EGIDL(0.0),
                                                                 PGIDL(0.0),
                                                                 ALPHA0(0.0),
                                                                 ALPHA01(0.0),
                                                                 ALPHA1(0.0),
                                                                 ALPHA11(0.0),
                                                                 BETA0(0.0),
                                                                 ALPHAII0(0.0),
                                                                 ALPHAII01(0.0),
                                                                 ALPHAII1(0.0),
                                                                 ALPHAII11(0.0),
                                                                 BETAII0(0.0),
                                                                 BETAII1(0.0),
                                                                 BETAII2(0.1),
                                                                 ESATII(1.0e7),
                                                                 LII(0.5E-9),
                                                                 SII0(0.5),
                                                                 SII1(0.1),
                                                                 SII2(0.0),
                                                                 SIID(0.0),
                                                                 EOTACC(0.0),
                                                                 DELVFBACC(0.0),
                                                                 CFS(2.5e-11),
                                                                 CFD(0.0),
                                                                 CGSO(0.0),
                                                                 CGDO(0.0),
                                                                 CGSL(0.0),
                                                                 CGDL(0.0),
                                                                 CKAPPAS(0.6),
                                                                 CKAPPAD(0.0),
                                                                 CGBO(0.0),
                                                                 CGBN(0.0),
                                                                 CGBL(0.0),
                                                                 CKAPPAB(0.6),
                                                                 CSDESW(0.0),
                                                                 CJS(5.0e-4),
                                                                 CJD(0.0),
                                                                 CJSWS(5.0e-10),
                                                                 CJSWD(0.0),
                                                                 CJSWGS(0.0),
                                                                 CJSWGD(0.0),
                                                                 PBS(1.0),
                                                                 PBD(0.0),
                                                                 PBSWS(1.0),
                                                                 PBSWD(0.0),
                                                                 PBSWGS(0.0),
                                                                 PBSWGD(0.0),
                                                                 MJS(0.5),
                                                                 MJD(0.0),
                                                                 MJSWS(0.33),
                                                                 MJSWD(0.0),
                                                                 MJSWGS(0.0),
                                                                 MJSWGD(0.0),
                                                                 SJS(0.0),
                                                                 SJD(0.0),
                                                                 SJSWS(0.0),
                                                                 SJSWD(0.0),
                                                                 SJSWGS(0.0),
                                                                 SJSWGD(0.0),
                                                                 MJS2(0.125),
                                                                 MJD2(0.0),
                                                                 MJSWS2(0.083),
                                                                 MJSWD2(0.0),
                                                                 MJSWGS2(0.0),
                                                                 MJSWGD2(0.0),
                                                                 JSS(1.0e-4),
                                                                 JSD(0.0),
                                                                 JSWS(0.0),
                                                                 JSWD(0.0),
                                                                 JSWGS(0.0),
                                                                 JSWGD(0.0),
                                                                 NJS(1.0),
                                                                 NJD(0.0),
                                                                 IJTHSFWD(0.1),
                                                                 IJTHDFWD(0.0),
                                                                 IJTHSREV(0.1),
                                                                 IJTHDREV(0.0),
                                                                 BVS(10.0),
                                                                 BVD(0.0),
                                                                 XJBVS(1.0),
                                                                 XJBVD(0.0),
                                                                 JTSS(0.0),
                                                                 JTSD(0.0),
                                                                 JTSSWS(0.0),
                                                                 JTSSWD(0.0),
                                                                 JTSSWGS(0.0),
                                                                 JTSSWGD(0.0),
                                                                 JTWEFF(0.0),
                                                                 NJTS(20.0),
                                                                 NJTSD(0.0),
                                                                 NJTSSW(20.0),
                                                                 NJTSSWD(0.0),
                                                                 NJTSSWG(20.0),
                                                                 NJTSSWGD(0.0),
                                                                 VTSS(10.0),
                                                                 VTSD(0.0),
                                                                 VTSSWS(10.0),
                                                                 VTSSWD(0.0),
                                                                 VTSSWGS(10.0),
                                                                 VTSSWGD(0.0),
                                                                 LINTIGEN(0),
                                                                 NTGEN(1.0),
                                                                 AIGEN(0),
                                                                 BIGEN(0),
                                                                 XRCRG1(12.0),
                                                                 XRCRG2(1.0),
                                                                 NSEG(4),
                                                                 EF(1.0),
                                                                 EM(4.1e7),
                                                                 NOIA(6.250e+39),
                                                                 NOIB(3.125e+24),
                                                                 NOIC(8.750e+07),
                                                                 NTNOI(1.0),
                                                                 TNOM(27.0),
                                                                 TBGASUB(7.02e-4),
                                                                 TBGBSUB(1108.0),
                                                                 KT1(0.0),
                                                                 KT1L(0.0),
                                                                 TSS(0.0),
                                                                 IIT((-0.5)),
                                                                 TII(0.0),
                                                                 TGIDL((-0.003)),
                                                                 IGT(2.5),
                                                                 TCJ(0.0),
                                                                 TCJSW(0.0),
                                                                 TCJSWG(0.0),
                                                                 TPB(0.0),
                                                                 TPBSW(0.0),
                                                                 TPBSWG(0.0),
                                                                 XTIS(3.0),
                                                                 XTID(0.0),
                                                                 XTSS(0.02),
                                                                 XTSD(0.0),
                                                                 XTSSWS(0.02),
                                                                 XTSSWD(0.0),
                                                                 XTSSWGS(0.02),
                                                                 XTSSWGD(0.0),
                                                                 TNJTS(0.0),
                                                                 TNJTSD(0.0),
                                                                 TNJTSSW(0.0),
                                                                 TNJTSSWD(0.0),
                                                                 TNJTSSWG(0.0),
                                                                 TNJTSSWGD(0.0),
                                                                 RTH0(0.01),
                                                                 CTH0(1.0E-05),
                                                                 WTH0(0.0),
                                                                 LNBODY(0),
                                                                 NNBODY(0),
                                                                 PNBODY(0),
                                                                 LPHIG(0),
                                                                 NPHIG(0),
                                                                 PPHIG(0),
                                                                 LNGATE(0),
                                                                 NNGATE(0),
                                                                 PNGATE(0),
                                                                 LCIT(0),
                                                                 NCIT(0),
                                                                 PCIT(0),
                                                                 LCDSC(0),
                                                                 NCDSC(0),
                                                                 PCDSC(0),
                                                                 LCDSCD(0),
                                                                 NCDSCD(0),
                                                                 PCDSCD(0),
                                                                 LCDSCDR(0.0),
                                                                 NCDSCDR(0.0),
                                                                 PCDSCDR(0.0),
                                                                 LDVT0(0),
                                                                 NDVT0(0),
                                                                 PDVT0(0),
                                                                 LDVT1(0),
                                                                 NDVT1(0),
                                                                 PDVT1(0),
                                                                 LDVT1SS(0),
                                                                 NDVT1SS(0),
                                                                 PDVT1SS(0),
                                                                 LPHIN(0),
                                                                 NPHIN(0),
                                                                 PPHIN(0),
                                                                 LETA0(0),
                                                                 NETA0(0),
                                                                 PETA0(0),
                                                                 LETA0R(0.0),
                                                                 NETA0R(0.0),
                                                                 PETA0R(0.0),
                                                                 LDSUB(0),
                                                                 NDSUB(0),
                                                                 PDSUB(0),
                                                                 LK1RSCE(0),
                                                                 NK1RSCE(0),
                                                                 PK1RSCE(0),
                                                                 LLPE0(0),
                                                                 NLPE0(0),
                                                                 PLPE0(0),
                                                                 LDVTSHIFT(0),
                                                                 NDVTSHIFT(0),
                                                                 PDVTSHIFT(0),
                                                                 LPHIBE(0),
                                                                 NPHIBE(0),
                                                                 PPHIBE(0),
                                                                 LK0(0),
                                                                 NK0(0),
                                                                 PK0(0),
                                                                 LK01(0),
                                                                 NK01(0),
                                                                 PK01(0),
                                                                 LK0SI(0),
                                                                 NK0SI(0),
                                                                 PK0SI(0),
                                                                 LK0SI1(0),
                                                                 NK0SI1(0),
                                                                 PK0SI1(0),
                                                                 LK1SI(0),
                                                                 NK1SI(0),
                                                                 PK1SI(0),
                                                                 LK1SI1(0),
                                                                 NK1SI1(0),
                                                                 PK1SI1(0),
                                                                 LK1(0),
                                                                 NK1(0),
                                                                 PK1(0),
                                                                 LK11(0),
                                                                 NK11(0),
                                                                 PK11(0),
                                                                 LK1SAT(0),
                                                                 NK1SAT(0),
                                                                 PK1SAT(0),
                                                                 LK1SAT1(0),
                                                                 NK1SAT1(0),
                                                                 PK1SAT1(0),
                                                                 LDVTB(0),
                                                                 NDVTB(0),
                                                                 PDVTB(0),
                                                                 LLPEB(0),
                                                                 NLPEB(0),
                                                                 PLPEB(0),
                                                                 LQMFACTOR(0.0),
                                                                 NQMFACTOR(0.0),
                                                                 PQMFACTOR(0.0),
                                                                 LQMTCENIV(0.0),
                                                                 NQMTCENIV(0.0),
                                                                 PQMTCENIV(0.0),
                                                                 LQMTCENCV(0.0),
                                                                 NQMTCENCV(0.0),
                                                                 PQMTCENCV(0.0),
                                                                 LQMTCENCVA(0.0),
                                                                 NQMTCENCVA(0.0),
                                                                 PQMTCENCVA(0.0),
                                                                 LVSAT(0),
                                                                 NVSAT(0),
                                                                 PVSAT(0),
                                                                 LVSAT1(0.0),
                                                                 NVSAT1(0.0),
                                                                 PVSAT1(0.0),
                                                                 LVSAT1R(0.0),
                                                                 NVSAT1R(0.0),
                                                                 PVSAT1R(0.0),
                                                                 LPSAT(0),
                                                                 NPSAT(0),
                                                                 PPSAT(0),
                                                                 LDELTAVSAT(0),
                                                                 NDELTAVSAT(0),
                                                                 PDELTAVSAT(0),
                                                                 LKSATIV(0),
                                                                 NKSATIV(0),
                                                                 PKSATIV(0),
                                                                 LVSATCV(0),
                                                                 NVSATCV(0),
                                                                 PVSATCV(0),
                                                                 LPSATCV(0),
                                                                 NPSATCV(0),
                                                                 PPSATCV(0),
                                                                 LDELTAVSATCV(0),
                                                                 NDELTAVSATCV(0),
                                                                 PDELTAVSATCV(0),
                                                                 LMEXP(0),
                                                                 NMEXP(0),
                                                                 PMEXP(0),
                                                                 LMEXPR(0),
                                                                 NMEXPR(0),
                                                                 PMEXPR(0),
                                                                 LPTWG(0.0),
                                                                 NPTWG(0.0),
                                                                 PPTWG(0.0),
                                                                 LPTWGR(0.0),
                                                                 NPTWGR(0.0),
                                                                 PPTWGR(0.0),
                                                                 LU0(0),
                                                                 NU0(0),
                                                                 PU0(0),
                                                                 LETAMOB(0),
                                                                 NETAMOB(0),
                                                                 PETAMOB(0),
                                                                 LUP(0),
                                                                 NUP(0),
                                                                 PUP(0),
                                                                 LUA(0),
                                                                 NUA(0),
                                                                 PUA(0),
                                                                 LUC(0),
                                                                 NUC(0),
                                                                 PUC(0),
                                                                 LEU(0),
                                                                 NEU(0),
                                                                 PEU(0),
                                                                 LUD(0),
                                                                 NUD(0),
                                                                 PUD(0),
                                                                 LUCS(0),
                                                                 NUCS(0),
                                                                 PUCS(0),
                                                                 LPCLM(0),
                                                                 NPCLM(0),
                                                                 PPCLM(0),
                                                                 LPCLMG(0),
                                                                 NPCLMG(0),
                                                                 PPCLMG(0),
                                                                 LPCLMCV(0),
                                                                 NPCLMCV(0),
                                                                 PPCLMCV(0),
                                                                 LA1(0),
                                                                 NA1(0),
                                                                 PA1(0),
                                                                 LA11(0),
                                                                 NA11(0),
                                                                 PA11(0),
                                                                 LA2(0),
                                                                 NA2(0),
                                                                 PA2(0),
                                                                 LA21(0),
                                                                 NA21(0),
                                                                 PA21(0),
                                                                 LRDSW(0),
                                                                 NRDSW(0),
                                                                 PRDSW(0),
                                                                 LRSW(0.0),
                                                                 NRSW(0.0),
                                                                 PRSW(0.0),
                                                                 LRDW(0.0),
                                                                 NRDW(0.0),
                                                                 PRDW(0.0),
                                                                 LPRWGS(0),
                                                                 NPRWGS(0),
                                                                 PPRWGS(0),
                                                                 LPRWGD(0),
                                                                 NPRWGD(0),
                                                                 PPRWGD(0),
                                                                 LWR(0),
                                                                 NWR(0),
                                                                 PWR(0),
                                                                 LPDIBL1(0),
                                                                 NPDIBL1(0),
                                                                 PPDIBL1(0),
                                                                 LPDIBL1R(0.0),
                                                                 NPDIBL1R(0.0),
                                                                 PPDIBL1R(0.0),
                                                                 LPDIBL2(0),
                                                                 NPDIBL2(0),
                                                                 PPDIBL2(0),
                                                                 LDROUT(0),
                                                                 NDROUT(0),
                                                                 PDROUT(0),
                                                                 LPVAG(0),
                                                                 NPVAG(0),
                                                                 PPVAG(0),
                                                                 LAIGBINV(0),
                                                                 NAIGBINV(0),
                                                                 PAIGBINV(0),
                                                                 LAIGBINV1(0),
                                                                 NAIGBINV1(0),
                                                                 PAIGBINV1(0),
                                                                 LBIGBINV(0),
                                                                 NBIGBINV(0),
                                                                 PBIGBINV(0),
                                                                 LCIGBINV(0),
                                                                 NCIGBINV(0),
                                                                 PCIGBINV(0),
                                                                 LEIGBINV(0),
                                                                 NEIGBINV(0),
                                                                 PEIGBINV(0),
                                                                 LNIGBINV(0),
                                                                 NNIGBINV(0),
                                                                 PNIGBINV(0),
                                                                 LAIGBACC(0),
                                                                 NAIGBACC(0),
                                                                 PAIGBACC(0),
                                                                 LAIGBACC1(0),
                                                                 NAIGBACC1(0),
                                                                 PAIGBACC1(0),
                                                                 LBIGBACC(0),
                                                                 NBIGBACC(0),
                                                                 PBIGBACC(0),
                                                                 LCIGBACC(0),
                                                                 NCIGBACC(0),
                                                                 PCIGBACC(0),
                                                                 LNIGBACC(0),
                                                                 NNIGBACC(0),
                                                                 PNIGBACC(0),
                                                                 LAIGC(0),
                                                                 NAIGC(0),
                                                                 PAIGC(0),
                                                                 LAIGC1(0),
                                                                 NAIGC1(0),
                                                                 PAIGC1(0),
                                                                 LBIGC(0),
                                                                 NBIGC(0),
                                                                 PBIGC(0),
                                                                 LCIGC(0),
                                                                 NCIGC(0),
                                                                 PCIGC(0),
                                                                 LPIGCD(0),
                                                                 NPIGCD(0),
                                                                 PPIGCD(0),
                                                                 LAIGS(0),
                                                                 NAIGS(0),
                                                                 PAIGS(0),
                                                                 LAIGS1(0),
                                                                 NAIGS1(0),
                                                                 PAIGS1(0),
                                                                 LBIGS(0),
                                                                 NBIGS(0),
                                                                 PBIGS(0),
                                                                 LCIGS(0),
                                                                 NCIGS(0),
                                                                 PCIGS(0),
                                                                 LAIGD(0.0),
                                                                 NAIGD(0.0),
                                                                 PAIGD(0.0),
                                                                 LAIGD1(0.0),
                                                                 NAIGD1(0.0),
                                                                 PAIGD1(0.0),
                                                                 LBIGD(0.0),
                                                                 NBIGD(0.0),
                                                                 PBIGD(0.0),
                                                                 LCIGD(0.0),
                                                                 NCIGD(0.0),
                                                                 PCIGD(0.0),
                                                                 LNTOX(0),
                                                                 NNTOX(0),
                                                                 PNTOX(0),
                                                                 LPOXEDGE(0),
                                                                 NPOXEDGE(0),
                                                                 PPOXEDGE(0),
                                                                 LAGISL(0),
                                                                 NAGISL(0),
                                                                 PAGISL(0),
                                                                 LBGISL(0),
                                                                 NBGISL(0),
                                                                 PBGISL(0),
                                                                 LCGISL(0),
                                                                 NCGISL(0),
                                                                 PCGISL(0),
                                                                 LEGISL(0),
                                                                 NEGISL(0),
                                                                 PEGISL(0),
                                                                 LPGISL(0),
                                                                 NPGISL(0),
                                                                 PPGISL(0),
                                                                 LAGIDL(0.0),
                                                                 NAGIDL(0.0),
                                                                 PAGIDL(0.0),
                                                                 LBGIDL(0.0),
                                                                 NBGIDL(0.0),
                                                                 PBGIDL(0.0),
                                                                 LCGIDL(0.0),
                                                                 NCGIDL(0.0),
                                                                 PCGIDL(0.0),
                                                                 LEGIDL(0.0),
                                                                 NEGIDL(0.0),
                                                                 PEGIDL(0.0),
                                                                 LPGIDL(0.0),
                                                                 NPGIDL(0.0),
                                                                 PPGIDL(0.0),
                                                                 LALPHA0(0.0),
                                                                 NALPHA0(0.0),
                                                                 PALPHA0(0.0),
                                                                 LALPHA1(0.0),
                                                                 NALPHA1(0.0),
                                                                 PALPHA1(0.0),
                                                                 LALPHAII0(0.0),
                                                                 NALPHAII0(0.0),
                                                                 PALPHAII0(0.0),
                                                                 LALPHAII1(0.0),
                                                                 NALPHAII1(0.0),
                                                                 PALPHAII1(0.0),
                                                                 LBETA0(0.0),
                                                                 NBETA0(0.0),
                                                                 PBETA0(0.0),
                                                                 LBETAII0(0.0),
                                                                 NBETAII0(0.0),
                                                                 PBETAII0(0.0),
                                                                 LBETAII1(0.0),
                                                                 NBETAII1(0.0),
                                                                 PBETAII1(0.0),
                                                                 LBETAII2(0.0),
                                                                 NBETAII2(0.0),
                                                                 PBETAII2(0.0),
                                                                 LESATII(0.0),
                                                                 NESATII(0.0),
                                                                 PESATII(0.0),
                                                                 LLII(0.0),
                                                                 NLII(0.0),
                                                                 PLII(0.0),
                                                                 LSII0(0.0),
                                                                 NSII0(0.0),
                                                                 PSII0(0.0),
                                                                 LSII1(0.0),
                                                                 NSII1(0.0),
                                                                 PSII1(0.0),
                                                                 LSII2(0.0),
                                                                 NSII2(0.0),
                                                                 PSII2(0.0),
                                                                 LSIID(0.0),
                                                                 NSIID(0.0),
                                                                 PSIID(0.0),
                                                                 LCFS(0.0),
                                                                 NCFS(0.0),
                                                                 PCFS(0.0),
                                                                 LCFD(0.0),
                                                                 NCFD(0.0),
                                                                 PCFD(0.0),
                                                                 LCOVS(0.0),
                                                                 NCOVS(0.0),
                                                                 PCOVS(0.0),
                                                                 LCOVD(0.0),
                                                                 NCOVD(0.0),
                                                                 PCOVD(0.0),
                                                                 LCGSL(0.0),
                                                                 NCGSL(0.0),
                                                                 PCGSL(0.0),
                                                                 LCGDL(0.0),
                                                                 NCGDL(0.0),
                                                                 PCGDL(0.0),
                                                                 LCKAPPAS(0.0),
                                                                 NCKAPPAS(0.0),
                                                                 PCKAPPAS(0.0),
                                                                 LCKAPPAD(0.0),
                                                                 NCKAPPAD(0.0),
                                                                 PCKAPPAD(0.0),
                                                                 LCGBL(0.0),
                                                                 NCGBL(0.0),
                                                                 PCGBL(0.0),
                                                                 LCKAPPAB(0.0),
                                                                 NCKAPPAB(0.0),
                                                                 PCKAPPAB(0.0),
                                                                 LNTGEN(0),
                                                                 NNTGEN(0),
                                                                 PNTGEN(0),
                                                                 LAIGEN(0),
                                                                 NAIGEN(0),
                                                                 PAIGEN(0),
                                                                 LBIGEN(0),
                                                                 NBIGEN(0),
                                                                 PBIGEN(0),
                                                                 LXRCRG1(0.0),
                                                                 NXRCRG1(0.0),
                                                                 PXRCRG1(0.0),
                                                                 LXRCRG2(0.0),
                                                                 NXRCRG2(0.0),
                                                                 PXRCRG2(0.0),
                                                                 LINTNOI(0.0),
                                                                 LUTE(0.0),
                                                                 NUTE(0.0),
                                                                 PUTE(0.0),
                                                                 LUTL(0.0),
                                                                 NUTL(0.0),
                                                                 PUTL(0.0),
                                                                 LEMOBT(0),
                                                                 NEMOBT(0),
                                                                 PEMOBT(0),
                                                                 LUA1(0.0),
                                                                 NUA1(0.0),
                                                                 PUA1(0.0),
                                                                 LUC1(0.0),
                                                                 NUC1(0.0),
                                                                 PUC1(0.0),
                                                                 LUD1(0.0),
                                                                 NUD1(0.0),
                                                                 PUD1(0.0),
                                                                 LUCSTE(0.0),
                                                                 NUCSTE(0.0),
                                                                 PUCSTE(0.0),
                                                                 LPTWGT(0),
                                                                 NPTWGT(0),
                                                                 PPTWGT(0),
                                                                 LAT(0),
                                                                 NAT(0),
                                                                 PAT(0),
                                                                 LSTTHETASAT(0),
                                                                 NSTTHETASAT(0),
                                                                 PSTTHETASAT(0),
                                                                 LPRT(0),
                                                                 NPRT(0),
                                                                 PPRT(0),
                                                                 LKT1(0),
                                                                 NKT1(0),
                                                                 PKT1(0),
                                                                 LTSS(0),
                                                                 NTSS(0),
                                                                 PTSS(0),
                                                                 LIIT(0),
                                                                 NIIT(0),
                                                                 PIIT(0),
                                                                 LTII(0.0),
                                                                 NTII(0.0),
                                                                 PTII(0.0),
                                                                 LTGIDL(0),
                                                                 NTGIDL(0),
                                                                 PTGIDL(0),
                                                                 LIGT(0),
                                                                 NIGT(0),
                                                                 PIGT(0)
{
  // Set params to constant default values (from parTable):
  setDefaultParams();

  // Set params according to .model line and constant defaults from metadata:
  setModParams(model_block.params);

  // Set any non-constant parameter defaults:
  // Set any parameters that were not given and whose defaults depend on other
  // parameters:
  if (!given("CDSCDR"))
  {
    CDSCDR = CDSCD;
  }
  if (!given("CDSCDRN1"))
  {
    CDSCDRN1 = CDSCDN1;
  }
  if (!given("CDSCDRN2"))
  {
    CDSCDRN2 = CDSCDN2;
  }
  if (!given("DVT1SS"))
  {
    DVT1SS = DVT1;
  }
  if (!given("ETA0R"))
  {
    ETA0R = ETA0;
  }
  if (!given("TETA0R"))
  {
    TETA0R = TETA0;
  }
  if (!given("K1SI"))
  {
    K1SI = K0SI;
  }
  if (!given("K1SI1"))
  {
    K1SI1 = K0SI1;
  }
  if (!given("VSAT1"))
  {
    VSAT1 = VSAT;
  }
  if (!given("VSAT1N1"))
  {
    VSAT1N1 = VSATN1;
  }
  if (!given("VSAT1N2"))
  {
    VSAT1N2 = VSATN2;
  }
  if (!given("VSAT1R"))
  {
    VSAT1R = VSAT1;
  }
  if (!given("VSAT1RN1"))
  {
    VSAT1RN1 = VSAT1N1;
  }
  if (!given("VSAT1RN2"))
  {
    VSAT1RN2 = VSAT1N2;
  }
  if (!given("AVSAT1"))
  {
    AVSAT1 = AVSAT;
  }
  if (!given("BVSAT1"))
  {
    BVSAT1 = BVSAT;
  }
  if (!given("VSATCV"))
  {
    VSATCV = VSAT;
  }
  if (!given("AVSATCV"))
  {
    AVSATCV = AVSAT;
  }
  if (!given("BVSATCV"))
  {
    BVSATCV = BVSAT;
  }
  if (!given("DELTAVSATCV"))
  {
    DELTAVSATCV = DELTAVSAT;
  }
  if (!given("PSATCV"))
  {
    PSATCV = PSAT;
  }
  if (!given("APSATCV"))
  {
    APSATCV = APSAT;
  }
  if (!given("BPSATCV"))
  {
    BPSATCV = BPSAT;
  }
  if (!given("MEXPR"))
  {
    MEXPR = MEXP;
  }
  if (!given("AMEXPR"))
  {
    AMEXPR = AMEXP;
  }
  if (!given("BMEXPR"))
  {
    BMEXPR = BMEXP;
  }
  if (!given("PTWGR"))
  {
    PTWGR = PTWG;
  }
  if (!given("TMEXPR"))
  {
    TMEXPR = TMEXP;
  }
  if (!given("RSDRR"))
  {
    RSDRR = RSDR;
  }
  if (!given("RDDR"))
  {
    RDDR = RSDR;
  }
  if (!given("RDDRR"))
  {
    RDDRR = RDDR;
  }
  if (!given("PRDDR"))
  {
    PRDDR = PRSDR;
  }
  if (!given("PRWGD"))
  {
    PRWGD = PRWGS;
  }
  if (!given("TRDDR"))
  {
    TRDDR = TRSDR;
  }
  if (!given("PDIBL1R"))
  {
    PDIBL1R = PDIBL1;
  }
  if (!given("PCLMCV"))
  {
    PCLMCV = PCLM;
  }
  if (!given("RSHD"))
  {
    RSHD = RSHS;
  }
  if (!given("LSP"))
  {
    LSP = (0.2*(L+XL));
  }
  if (!given("DLCIGD"))
  {
    DLCIGD = DLCIGS;
  }
  if (!given("AIGD"))
  {
    AIGD = AIGS;
  }
  if (!given("AIGD1"))
  {
    AIGD1 = AIGS1;
  }
  if (!given("BIGD"))
  {
    BIGD = BIGS;
  }
  if (!given("CIGD"))
  {
    CIGD = CIGS;
  }
  if (!given("TOXG"))
  {
    TOXG = TOXP;
  }
  if (!given("AGIDL"))
  {
    AGIDL = AGISL;
  }
  if (!given("BGIDL"))
  {
    BGIDL = BGISL;
  }
  if (!given("CGIDL"))
  {
    CGIDL = CGISL;
  }
  if (!given("EGIDL"))
  {
    EGIDL = EGISL;
  }
  if (!given("PGIDL"))
  {
    PGIDL = PGISL;
  }
  if (!given("EOTACC"))
  {
    EOTACC = EOT;
  }
  if (!given("CFD"))
  {
    CFD = CFS;
  }
  if (!given("CGDO"))
  {
    CGDO = CGSO;
  }
  if (!given("CGDL"))
  {
    CGDL = CGSL;
  }
  if (!given("CKAPPAD"))
  {
    CKAPPAD = CKAPPAS;
  }
  if (!given("CJD"))
  {
    CJD = CJS;
  }
  if (!given("CJSWD"))
  {
    CJSWD = CJSWS;
  }
  if (!given("CJSWGD"))
  {
    CJSWGD = CJSWGS;
  }
  if (!given("PBD"))
  {
    PBD = PBS;
  }
  if (!given("PBSWD"))
  {
    PBSWD = PBSWS;
  }
  if (!given("PBSWGS"))
  {
    PBSWGS = PBSWS;
  }
  if (!given("PBSWGD"))
  {
    PBSWGD = PBSWGS;
  }
  if (!given("MJD"))
  {
    MJD = MJS;
  }
  if (!given("MJSWD"))
  {
    MJSWD = MJSWS;
  }
  if (!given("MJSWGS"))
  {
    MJSWGS = MJSWS;
  }
  if (!given("MJSWGD"))
  {
    MJSWGD = MJSWGS;
  }
  if (!given("SJD"))
  {
    SJD = SJS;
  }
  if (!given("SJSWD"))
  {
    SJSWD = SJSWS;
  }
  if (!given("SJSWGD"))
  {
    SJSWGD = SJSWGS;
  }
  if (!given("MJD2"))
  {
    MJD2 = MJS2;
  }
  if (!given("MJSWD2"))
  {
    MJSWD2 = MJSWS2;
  }
  if (!given("MJSWGS2"))
  {
    MJSWGS2 = MJSWS2;
  }
  if (!given("MJSWGD2"))
  {
    MJSWGD2 = MJSWGS2;
  }
  if (!given("JSD"))
  {
    JSD = JSS;
  }
  if (!given("JSWD"))
  {
    JSWD = JSWS;
  }
  if (!given("JSWGD"))
  {
    JSWGD = JSWGS;
  }
  if (!given("NJD"))
  {
    NJD = NJS;
  }
  if (!given("IJTHDFWD"))
  {
    IJTHDFWD = IJTHSFWD;
  }
  if (!given("IJTHDREV"))
  {
    IJTHDREV = IJTHSREV;
  }
  if (!given("BVD"))
  {
    BVD = BVS;
  }
  if (!given("XJBVD"))
  {
    XJBVD = XJBVS;
  }
  if (!given("JTSD"))
  {
    JTSD = JTSS;
  }
  if (!given("JTSSWD"))
  {
    JTSSWD = JTSSWS;
  }
  if (!given("JTSSWGD"))
  {
    JTSSWGD = JTSSWGS;
  }
  if (!given("NJTSD"))
  {
    NJTSD = NJTS;
  }
  if (!given("NJTSSWD"))
  {
    NJTSSWD = NJTSSW;
  }
  if (!given("NJTSSWGD"))
  {
    NJTSSWGD = NJTSSWG;
  }
  if (!given("VTSD"))
  {
    VTSD = VTSS;
  }
  if (!given("VTSSWD"))
  {
    VTSSWD = VTSSWS;
  }
  if (!given("VTSSWGD"))
  {
    VTSSWGD = VTSSWGS;
  }
  if (!given("XTID"))
  {
    XTID = XTIS;
  }
  if (!given("XTSD"))
  {
    XTSD = XTSS;
  }
  if (!given("XTSSWD"))
  {
    XTSSWD = XTSSWS;
  }
  if (!given("XTSSWGD"))
  {
    XTSSWGD = XTSSWGS;
  }
  if (!given("TNJTSD"))
  {
    TNJTSD = TNJTS;
  }
  if (!given("TNJTSSWD"))
  {
    TNJTSSWD = TNJTSSW;
  }
  if (!given("TNJTSSWGD"))
  {
    TNJTSSWGD = TNJTSSWG;
  }
  if (!given("LCDSCDR"))
  {
    LCDSCDR = LCDSCD;
  }
  if (!given("NCDSCDR"))
  {
    NCDSCDR = NCDSCD;
  }
  if (!given("PCDSCDR"))
  {
    PCDSCDR = PCDSCD;
  }
  if (!given("LETA0R"))
  {
    LETA0R = LETA0;
  }
  if (!given("NETA0R"))
  {
    NETA0R = NETA0;
  }
  if (!given("PETA0R"))
  {
    PETA0R = PETA0;
  }
  if (!given("LVSAT1"))
  {
    LVSAT1 = LVSAT;
  }
  if (!given("NVSAT1"))
  {
    NVSAT1 = NVSAT;
  }
  if (!given("PVSAT1"))
  {
    PVSAT1 = PVSAT;
  }
  if (!given("LVSAT1R"))
  {
    LVSAT1R = LVSAT1;
  }
  if (!given("NVSAT1R"))
  {
    NVSAT1R = NVSAT1;
  }
  if (!given("PVSAT1R"))
  {
    PVSAT1R = PVSAT1;
  }
  if (!given("LPTWGR"))
  {
    LPTWGR = LPTWG;
  }
  if (!given("NPTWGR"))
  {
    NPTWGR = NPTWG;
  }
  if (!given("PPTWGR"))
  {
    PPTWGR = PPTWG;
  }
  if (!given("LPDIBL1R"))
  {
    LPDIBL1R = LPDIBL1;
  }
  if (!given("NPDIBL1R"))
  {
    NPDIBL1R = NPDIBL1;
  }
  if (!given("PPDIBL1R"))
  {
    PPDIBL1R = PPDIBL1;
  }
  if (!given("LAIGD"))
  {
    LAIGD = LAIGS;
  }
  if (!given("NAIGD"))
  {
    NAIGD = NAIGS;
  }
  if (!given("PAIGD"))
  {
    PAIGD = PAIGS;
  }
  if (!given("LAIGD1"))
  {
    LAIGD1 = LAIGS1;
  }
  if (!given("NAIGD1"))
  {
    NAIGD1 = NAIGS1;
  }
  if (!given("PAIGD1"))
  {
    PAIGD1 = PAIGS1;
  }
  if (!given("LBIGD"))
  {
    LBIGD = LBIGS;
  }
  if (!given("NBIGD"))
  {
    NBIGD = NBIGS;
  }
  if (!given("PBIGD"))
  {
    PBIGD = PBIGS;
  }
  if (!given("LCIGD"))
  {
    LCIGD = LCIGS;
  }
  if (!given("NCIGD"))
  {
    NCIGD = NCIGS;
  }
  if (!given("PCIGD"))
  {
    PCIGD = PCIGS;
  }
  if (!given("LAGIDL"))
  {
    LAGIDL = LAGISL;
  }
  if (!given("NAGIDL"))
  {
    NAGIDL = NAGISL;
  }
  if (!given("PAGIDL"))
  {
    PAGIDL = PAGISL;
  }
  if (!given("LBGIDL"))
  {
    LBGIDL = LBGISL;
  }
  if (!given("NBGIDL"))
  {
    NBGIDL = NBGISL;
  }
  if (!given("PBGIDL"))
  {
    PBGIDL = PBGISL;
  }
  if (!given("LCGIDL"))
  {
    LCGIDL = LCGISL;
  }
  if (!given("NCGIDL"))
  {
    NCGIDL = NCGISL;
  }
  if (!given("PCGIDL"))
  {
    PCGIDL = PCGISL;
  }
  if (!given("LEGIDL"))
  {
    LEGIDL = LEGISL;
  }
  if (!given("NEGIDL"))
  {
    NEGIDL = NEGISL;
  }
  if (!given("PEGIDL"))
  {
    PEGIDL = PEGISL;
  }
  if (!given("LPGIDL"))
  {
    LPGIDL = LPGISL;
  }
  if (!given("NPGIDL"))
  {
    NPGIDL = NPGISL;
  }
  if (!given("PPGIDL"))
  {
    PPGIDL = PPGISL;
  }
  if (!given("LCFD"))
  {
    LCFD = LCFS;
  }
  if (!given("NCFD"))
  {
    NCFD = NCFS;
  }
  if (!given("PCFD"))
  {
    PCFD = PCFS;
  }
  if (!given("LCOVD"))
  {
    LCOVD = LCOVS;
  }
  if (!given("NCOVD"))
  {
    NCOVD = NCOVS;
  }
  if (!given("PCOVD"))
  {
    PCOVD = PCOVS;
  }
  if (!given("LCGDL"))
  {
    LCGDL = LCGSL;
  }
  if (!given("NCGDL"))
  {
    NCGDL = NCGSL;
  }
  if (!given("PCGDL"))
  {
    PCGDL = PCGSL;
  }
  if (!given("LCKAPPAD"))
  {
    LCKAPPAD = LCKAPPAS;
  }
  if (!given("NCKAPPAD"))
  {
    NCKAPPAD = NCKAPPAS;
  }
  if (!given("PCKAPPAD"))
  {
    PCKAPPAD = PCKAPPAS;
  }


  if (!given("XYCEADMSMODTEMP"))
    admsModTemp=getDeviceOptions().temp.getImmutableValue<double>();

  // Fix the TNOM parameter that has "helpfully" been converted to Kelvin
  // by the DeviceEntity class

  if (given("TNOM"))
    TNOM -= CONSTCtoK;

  // Calculate any parameters specified as expressions:

  updateDependentParameters();

  // calculate dependent (ie computed) params and check for errors:
  processParams();
}

//-----------------------------------------------------------------------------
// Function      : Model::~Model
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::~Model()
{
  std::vector<Instance*>::iterator iterI;
  std::vector<Instance*>::iterator firstI = instanceContainer.begin ();
  std::vector<Instance*>::iterator lastI  = instanceContainer.end ();

  // loop over instances:
  for (iterI = firstI; iterI != lastI; ++iterI)
  {
    delete (*iterI);
  }
}

//-----------------------------------------------------------------------------
// Function      : Model::printOutInstances
// Purpose       : debugging tool.
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
std::ostream &Model::printOutInstances(std::ostream &os) const
{
  std::vector<Instance*>::const_iterator iter;
  std::vector<Instance*>::const_iterator first = instanceContainer.begin();
  std::vector<Instance*>::const_iterator last  = instanceContainer.end();

  int i;
  os << std::endl;
  os << "    name     model name  Parameters" << std::endl;
  for (i=0, iter=first; iter!=last; ++iter, ++i)
  {
    os << "  " << i << ": " << (*iter)->getName() << "      ";
    os << getName();

    os << std::endl;
    os << "L  =  " << (*iter)->L << std::endl;
    os << "D  =  " << (*iter)->D << std::endl;
    os << "TFIN  =  " << (*iter)->TFIN << std::endl;
    os << "FPITCH  =  " << (*iter)->FPITCH << std::endl;
    os << "NFIN  =  " << (*iter)->NFIN << std::endl;
    os << "NGCON  =  " << (*iter)->NGCON << std::endl;
    os << "ASEO  =  " << (*iter)->ASEO << std::endl;
    os << "ADEO  =  " << (*iter)->ADEO << std::endl;
    os << "PSEO  =  " << (*iter)->PSEO << std::endl;
    os << "PDEO  =  " << (*iter)->PDEO << std::endl;
    os << "ASEJ  =  " << (*iter)->ASEJ << std::endl;
    os << "ADEJ  =  " << (*iter)->ADEJ << std::endl;
    os << "PSEJ  =  " << (*iter)->PSEJ << std::endl;
    os << "PDEJ  =  " << (*iter)->PDEJ << std::endl;
    os << "COVS  =  " << (*iter)->COVS << std::endl;
    os << "COVD  =  " << (*iter)->COVD << std::endl;
    os << "CGSP  =  " << (*iter)->CGSP << std::endl;
    os << "CGDP  =  " << (*iter)->CGDP << std::endl;
    os << "CDSP  =  " << (*iter)->CDSP << std::endl;
    os << "NRS  =  " << (*iter)->NRS << std::endl;
    os << "NRD  =  " << (*iter)->NRD << std::endl;
    os << "LRSD  =  " << (*iter)->LRSD << std::endl;
    os << std::endl;
  }

  os << std::endl;

  return os;
}

//-----------------------------------------------------------------------------
// Function      : Model::forEachInstance
// Purpose       : 
// Special Notes :
// Scope         : public
// Creator       : David Baur
// Creation Date : 2/4/2014
//-----------------------------------------------------------------------------
/// Apply a device instance "op" to all instances associated with this
/// model
/// 
/// @param[in] op Operator to apply to all instances.
/// 
/// 
void Model::forEachInstance(DeviceInstanceOp &op) const /* override */ 
{
  for (std::vector<Instance *>::const_iterator it = instanceContainer.begin(); it != instanceContainer.end(); ++it)
    op(*it);
}

Device *Traits::factory(const Configuration &configuration, const FactoryBlock &factory_block)
{
  return new DeviceMaster<Traits>(configuration, factory_block, factory_block.solverState_, factory_block.deviceOptions_);
}

void registerDevice()
{
  Config<Traits>::addConfiguration()
    .registerDevice("m", 107)
    .registerModelType("nmos", 107)
    .registerModelType("pmos", 107);
}



} // namespace ADMSbsimcmg
} // namespace Device
} // namespace Xyce
